diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 2b35d0e..0015f59 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -119074,6 +119074,877 @@ SingletonAsOrderedSet(): OrderedSet with
 
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\section{domain SEM SparseEchelonMatrix}
+
+\begin{chunk}{SparseEchelonMatrix.input}
+)set break resume
+)sys rm -f SparseEchelonMatrix.output
+)spool SparseEchelonMatrix.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SparseEchelonMatrix
+--R SparseEchelonMatrix(C: OrderedSet,D: Ring)  is a domain constructor
+--R Abbreviation for SparseEchelonMatrix is SEM 
+--R This constructor is exposed in this frame.
+--R Issue )edit /research/ref/SEM.spad to see algebra source code for SEM 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Matrix(D),%) -> %              allIndices : % -> List(C)
+--R coerce : % -> Matrix(D)               coerce : % -> OutputForm
+--R copy : % -> %                         deleteRow! : (%,Integer) -> Void
+--R elimZeroCols! : % -> Void             elt : (%,Integer,C) -> D
+--R horizJoin : (%,%) -> %                join : (%,%) -> %
+--R ncols : % -> NonNegativeInteger       new : (List(C),Integer) -> %
+--R nrows : % -> NonNegativeInteger       setelt! : (%,Integer,C,D) -> Void
+--R ?*? : (Matrix(Fraction(D)),%) -> % if D has INTDOM
+--R appendRow! : (%,Record(Indices: List(C),Entries: List(D))) -> Void
+--R consRow! : (%,Record(Indices: List(C),Entries: List(D))) -> Void
+--R extract : (%,Integer,Integer) -> %
+--R horizSplit : (%,C) -> Record(Left: %,Right: %)
+--R pivot : (%,Integer) -> Record(Index: C,Entry: D)
+--R pivots : % -> Record(Indices: List(C),Entries: List(D))
+--R primitiveRowEchelon : % -> Record(Ech: %,Lt: Matrix(Fraction(D)),Pivots: List(D),Rank: NonNegativeInteger) if D has GCDDOM
+--R purge! : (%,(C -> Boolean)) -> Void
+--R row : (%,Integer) -> Record(Indices: List(C),Entries: List(D))
+--R rowEchelon : % -> Record(Ech: %,Lt: Matrix(D),Pivots: List(D),Rank: NonNegativeInteger)
+--R setGcdMode : Symbol -> Symbol if D has GCDDOM
+--R setRow! : (%,Integer,List(C),List(D)) -> Void
+--R setRow! : (%,Integer,Record(Indices: List(C),Entries: List(D))) -> Void
+--R sortedPurge! : (%,(C -> Boolean)) -> Void
+--R
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{SparseEchelonMatrix.help}
+====================================================================
+SparseEchelonMatrix examples
+====================================================================
+
+See Also:
+o )show SparseEchelonMatrix
+
+\end{chunk}
+
+\pagehead{SparseEchelonMatrix}{SEM}
+\pagepic{ps/v103sparseechelonmatrix.eps}{SEM}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{SEM}{?*?} &
+\cross{SEM}{allIndices} &
+\cross{SEM}{coerce} \\
+\cross{SEM}{coerce} &
+\cross{SEM}{copy} &
+\cross{SEM}{deleteRow!} \\
+\cross{SEM}{elimZeroCols!} &
+\cross{SEM}{elt} &
+\cross{SEM}{horizJoin} \\
+\cross{SEM}{join} &
+\cross{SEM}{ncols} &
+\cross{SEM}{new} \\
+\cross{SEM}{nrows} &
+\cross{SEM}{setelt!} &
+\cross{SEM}{?*?} \\
+\cross{SEM}{appendRow!} &
+\cross{SEM}{consRow!} &
+\cross{SEM}{extract} \\
+\cross{SEM}{horizSplit} &
+\cross{SEM}{pivot} &
+\cross{SEM}{pivots} \\
+\cross{SEM}{primitiveRowEchelon} &
+\cross{SEM}{purge!} &
+\cross{SEM}{row} \\
+\cross{SEM}{rowEchelon} &
+\cross{SEM}{setGcdMode} &
+\cross{SEM}{setRow!} \\
+\cross{SEM}{setRow!} &
+\cross{SEM}{sortedPurge!} 
+\end{tabular} 
+
+\begin{chunk}{domain SEM SparseEchelonMatrix}
+)abbrev domain SEM SparseEchelonMatrix
+++ Description:
+++  \spad{SparseEchelonMatrix(C, D)} implements sparse matrices whose columns
+++  are enumerated by the \spadtype{OrderedSet} \spad{C} and whose entries
+++  belong to the \spadtype{GcdDomain} \spad{D}. The basic operation of
+++  this domain is the computation of an row echelon form. The used algorithm
+++  tries to maintain the sparsity and is especially adapted to matrices who
+++  are already close to a row echelon form.
+
+SparseEchelonMatrix(C : OrderedSet, D : Ring) : Cat == Def where
+
+  Sy  ==> Symbol
+  L   ==> List
+  V   ==> Vector
+  VD  ==> Vector D
+  MD  ==> Matrix D
+  FD  ==> Fraction D
+  MFD ==> Matrix FD
+  I   ==> Integer
+  NNI ==> NonNegativeInteger
+  B   ==> Boolean
+  OUT ==> OutputForm
+
+  ROWREC ==> Record(Indices : L C, Entries : L D)
+
+  iter ==> "iterated"::Sy
+  rand ==> "random"::Sy
+
+  Cat ==> CoercibleTo OUT with
+
+    shallowlyMutable
+      ++ Matrices may be altered destructively.
+
+    finiteAggregate
+      ++ Matrices are finite.
+
+    coerce : % -> MD
+      ++ \spad{coerce(A)} yields the matrix \spad{A} in the usual matrix type.
+
+    copy : % -> %
+      ++ \spad{copy(A)} returns a copy of the matrix \spad{A}.
+
+    ncols : % -> NNI
+      ++ \spad{ncols(A)} returns the number of columns of the matrix \spad{A}.
+
+    nrows : % -> NNI
+      ++ \spad{nrows(A)} returns the number of rows of the matrix \spad{A}.
+
+    allIndices : % -> L C
+      ++ \spad{allIndices(A)} returns all indices used for enumerating the
+      ++ columns of the matrix \spad{A}.
+
+    elimZeroCols! : % -> Void
+      ++ \spad{elimZeroCols!(A)} removes columns which contain only zeros.
+      ++ This effects basically only the value of \spad{allIndices(A)}.
+
+    purge! : (%, C-> B) -> Void
+      ++ \spad{purge!(A, crit)} eliminates all columns belonging to an index
+      ++ \spad{c} such that \spad{crit(c)} yields \spad{true}.
+
+    sortedPurge! : (%, C-> B) -> Void
+      ++ \spad{sortedPurge!(A, crit)} is like \spad{purge}, however, with the
+      ++ additional assumption that \spad{crit} respects the ordering of the
+      ++ indices.
+
+    new : (L C, I) -> %
+      ++ \spad{new(inds, nrows)} generates a new matrix with \spad{nrows}
+      ++ rows and columns enumerated by the indices \spad{inds}. The matrix
+      ++ is empty, i.e. the zero matrix.
+
+    elt : (%, I, C) -> D
+      ++ \spad{elt(A, i, c)} returns the entry of the matrix \spad{A} in row
+      ++ \spad{i} and in the column with index \spad{c}.
+
+    setelt! : (%, I, C, D) -> Void
+      ++ \spad{setelt!(A, i, c, d)} sets the entry of the matrix \spad{A} in
+      ++ row \spad{i} and in the column with index \spad{c} to the value
+      ++ \spad{d}.
+
+    row : (%, I) -> ROWREC
+      ++ \spad{row(A, i)} returns the \spad{i}-th row of the matrix \spad{A}.
+
+    setRow! : (%, I, ROWREC) -> Void
+      ++ \spad{setRow!(A, i, ind, ent)} sets the \spad{i}-th row of the matrix
+      ++ \spad{A} to the value \spad{r}.
+
+    setRow! : (%, I, L C, L D) -> Void
+      ++ \spad{setRow!(A, i, ind, ent)} sets the \spad{i}-th row of the matrix
+      ++ \spad{A}. Its indices are \spad{ind}; the entries \spad{ent}.
+
+    deleteRow! : (%, I) -> Void
+      ++ \spad{deleteRow(A, i)} deletes the \spad{i}-th row of the matrix
+      ++ \spad{A}.
+
+    consRow! : (%, ROWREC) -> Void
+      ++ \spad{consRow!(A, r)} inserts the row \spad{r} at the top of the
+      ++ matrix \spad{A}.
+
+    appendRow! : (%, ROWREC) -> Void
+      ++ \spad{appendRow!(A, r)} appends the row \spad{r} at the end of the
+      ++ matrix \spad{A}.
+
+    extract : (%, I, I) -> %
+      ++ \spad{extract(A, i1, i2)} extracts the rows \spad{i1} to \spad{i2}
+      ++ and returns them as a new matrix.
+
+    rowEchelon : % -> Record(Ech : %, Lt : MD, Pivots : L D, Rank : NNI)
+      ++ \spad{primitiveRowEchelon(A)} computes a row echelon form for the
+      ++ matrix \spad{A}. The algorithm used is fraction-free elimination.
+      ++ It is especially adapted to matrices already close to row echelon
+      ++ form. The transformation matrix, the used pivots and the rank of the
+      ++ matrix are also returned.
+
+    if D has GcdDomain then
+
+      setGcdMode : Sy -> Sy
+        ++ \spad{setGcdMode(s)} sets a new value for the flag deciding on
+        ++ the method used to compute gcd`s for lists. Possible values for
+        ++ \spad{s} are \spad{iterated} and \spad{random}.
+
+      primitiveRowEchelon: % -> Record(Ech:%, Lt:MFD, Pivots:L D, Rank:NNI)
+        ++ \spad{primitiveRowEchelon(A)} computes a row echelon form for the
+        ++ matrix \spad{A}. The algorithm used is fraction-free elimination.
+        ++ Every row is made primitive by division by the gcd. The algorithm
+        ++ is especially adapted to matrices already close to row echelon
+        ++ form. The transformation matrix, the used pivots and the rank of the
+        ++ matrix are also returned.
+
+    pivot : (%, I) -> Record(Index : C, Entry : D)
+      ++ \spad{pivot(A, i)} returns the leading entry of the \spad{i}-th row
+      ++ of the matrix \spad{A} together with its index.
+
+    pivots : % -> ROWREC
+      ++ \spad{pivots(A)} returns all leading entries of the matrix \spad{A}
+      ++ together with their indices.
+
+    "*" : (MD, %) -> %
+      ++ \spad{L*A} implements left multiplication with a usual matrix.
+
+    if D has IntegralDomain then
+
+      "*" : (MFD, %) -> %
+        ++ \spad{L*A} implements left multiplication with a usual matrix over
+        ++ the quotient field of \spad{D}.
+
+    join : (%, %) -> %
+      ++ \spad{join(A, B)} vertically concats the matrices \spad{A} and
+      ++ \spad{B}.
+
+    horizJoin : (%, %) -> %
+      ++ \spad{horizJoin(A, B)} horizontally concats the matrices \spad{A} and
+      ++ \spad{B}. It is assumed that all indices of \spad{B} are smaller than
+      ++ those of \spad{A}.
+
+    horizSplit : (%, C) -> Record(Left : %, Right : %)
+      ++ \spad{horizSplit(A, c)} splits the matrix \spad{A} into two at the
+      ++ column given by \spad{c}. The first column of the right matrix is
+      ++ enumerated by the first index less or equal to \spad{c}.
+
+  Def ==> add
+
+    minInd : I := minIndex([i for i in 1..1])
+    offset : I := minInd-1
+    emptyRec : ROWREC := [empty, empty]
+    noChecks? : B := D has lazyRepresentation  -- flag for lazy representation
+    seed : I := 113                   -- seed for random number generation
+    GCDmode : Sy := iter              -- flag for gcd algorithm
+
+    greater(r1 : ROWREC, r2 : ROWREC) : B ==
+        empty? r1.Indices => false
+        empty? r2.Indices => true
+        first(r2.Indices) < first(r1.Indices)
+
+    -- -------------- --
+    -- Representation --
+    -- -------------- --
+
+    -- For efficiency reasons most checks for correct index ranges are omitted.
+
+    Rep := Record(NCols : NNI, NRows : NNI, AllInds : L C, Rows : V ROWREC)
+
+    ncols(A : %) : NNI == A.NCols
+
+    nrows(A : %) : NNI == A.NRows
+
+    allIndices(A : %) : L C == copy A.AllInds
+
+    row(A : %, i : I) : ROWREC ==
+        -- i < 0 or i > A.NRows => error "index out of range"
+        qelt(A.Rows, i)
+
+    setRow!(A : %, i : I, r : ROWREC) : Void ==
+        -- i < 0 or i > A.NRows => error "index out of range"
+        qsetelt!(A.Rows, i, r)
+        void
+
+    setRow!(A : %, i : I, inds : L C, ents : L D) : Void ==
+        -- i < 0 or i > A.NRows => error "index out of range"
+        -- #inds  ^=  #ents => error "improper row"
+        qsetelt!(A.Rows, i, [inds, ents])
+        void
+
+    new(inds : L C, n : I) : % ==
+        [#inds, n::NNI, inds, [copy emptyRec  for i in 1..n]]
+
+    elt(A : %, i : I, c : C) : D ==
+        r := row(A, i)
+        pos := position(c, r.Indices)
+        pos < minInd => 0$D
+        qelt(r.Entries, pos)
+
+    setelt!(A : %, i : I, c : C, d : D) : Void ==
+        r := row(A, i)
+        pos := position(c, r.Indices)
+        if pos >= minInd then
+            qsetelt!(r.Entries, pos, d)
+        else
+            j := minInd
+            for ind in r.Indices  while c < ind repeat
+                j := j+1
+            r.Indices := insert!(c, r.Indices, j)
+            r.Entries := insert!(d, r.Entries, j)
+        qsetelt!(A.Rows, i, r)
+        void
+
+    coerce(A : %) : MD ==
+        zero? A.NCols => error "cannot coerce matrix with zero columns"
+        AA : MD := new(A.NRows, A.NCols, 0$D)
+        for r in entries(A.Rows)  for i in minRowIndex(AA).. repeat
+            inds := r.Indices
+            ents := r.Entries
+            for ind in A.AllInds  for j in minColIndex(AA).. _
+                    while not empty? inds repeat
+                if ind = first inds then
+                    qsetelt!(AA, i, j, first ents)
+                    inds := rest inds
+                    ents := rest ents
+        AA
+
+    coerce(A : %) : OUT ==
+        zero? A.NCols => 0$D ::OUT
+        A::MD::OUT
+
+    copy(A : %) : % ==
+        resRows : V ROWREC := new(A.NRows, emptyRec)
+        for l in 1..A.NRows repeat
+            r := qelt(A.Rows, l)
+            qsetelt!(resRows, l, [copy r.Indices, copy r.Entries])
+        [A.NCols, A.NRows, copy A.AllInds, resRows]
+
+    -- ----------------------- --
+    -- Basic Matrix Operations --
+    -- ----------------------- --
+
+    elimZeroCols!(A : %) : Void ==
+        newInds : L C := empty
+        for r in entries(A.Rows) repeat
+            newInds := removeDuplicates! merge!((x, y) +-> y < x,
+                                                newInds, r.Indices)
+        A.AllInds := newInds
+        void
+
+    purge!(A : %, crit : C-> B) : Void ==
+        newInds : L C := empty
+        for c in A.AllInds repeat
+            if not crit c then
+                newInds := cons(c, newInds)
+        newInds := reverse! newInds
+        if #newInds  ^=  #A.AllInds then
+            A.AllInds := newInds
+            for l in 1..A.NRows repeat
+                r := qelt(A.Rows, l)
+                newInds : L C := empty
+                newEnts : L D := empty
+                for c in r.Indices   for e in r.Entries repeat
+                    if not crit c then
+                        newInds := cons(c, newInds)
+                        newEnts := cons(e, newEnts)
+                qsetelt!(A.Rows, l, [reverse! newInds, reverse! newEnts])
+        void
+
+    sortedPurge!(A : %, crit : C-> B) : Void ==
+        if crit first A.AllInds then
+            while not(empty? A.AllInds) and crit first A.AllInds repeat
+                A.AllInds := rest A.AllInds
+            for l in 1..A.NRows repeat
+                r := qelt(A.Rows, l)
+                while not(empty? r.Indices) and crit first r.Indices repeat
+                    r.Indices := rest r.Indices
+                    r.Entries := rest r.Entries
+                qsetelt!(A.Rows, l, r)
+        void
+
+    deleteRow!(A : %, i : I) : Void ==
+        i > A.NRows => A
+        nr := (A.NRows-1)::NNI
+        resRows : V ROWREC := new(nr, emptyRec)
+        for l in 1..(i-1) repeat
+            qsetelt!(resRows, l, qelt(A.Rows, l))
+        for l in (i+1)..A.NRows repeat
+            qsetelt!(resRows, l-1, qelt(A.Rows, l))
+        A.NRows := nr
+        A.Rows := resRows
+        void
+
+    consRow!(A : %, r : ROWREC) : Void ==
+        A.NRows := A.NRows + 1
+        newRows : L ROWREC := cons(r, entries A.Rows)
+        A.Rows := construct newRows
+        newInds := setDifference(r.Indices, A.AllInds)
+        if not empty? newInds then
+            A.AllInds := merge((x, y) +-> y < x, A.AllInds,
+                               sort!((x, y) +-> y < x, newInds))
+        void
+
+    appendRow!(A : %, r : ROWREC) : Void ==
+        A.NRows := A.NRows + 1
+        newRows : L ROWREC := concat(entries A.Rows, r)
+        A.Rows := construct newRows
+        newInds := setDifference(r.Indices, A.AllInds)
+        if not empty? newInds then
+            A.AllInds := merge((x, y) +-> y < x, A.AllInds,
+                               sort!((x, y) +-> y < x, newInds))
+        void
+
+    extract(A : %, i1 : I, i2 : I) : % ==
+        nr := (i2-i1+1)::NNI
+        resRows : V ROWREC := new(nr, emptyRec)
+        newInds : L C := empty
+        for i in i1..i2 repeat
+            qsetelt!(resRows, i-i1+1, row(A, i))
+            newInds := removeDuplicates! merge((x, y) +-> y < x,
+                                               newInds, row(A, i).Indices)
+        [A.NCols, nr, newInds, resRows]
+
+    join(A1 : %, A2 : %) : % ==
+        newInds := removeDuplicates! merge((x : C, y : C) : Boolean +-> y < x,
+                                           A1.AllInds, A2.AllInds)
+        newNRows := A1.NRows + A2.NRows
+        newRows : V ROWREC := new(newNRows, emptyRec)
+        for l in 1..A1.NRows repeat
+            qsetelt!(newRows, l, qelt(A1.Rows, l))
+        for l in 1..A2.NRows repeat
+            qsetelt!(newRows, A1.NRows+l, qelt(A2.Rows, l))
+        [#newInds, newNRows, newInds, newRows]
+
+    horizJoin(A1 : %, A2 : %) : % ==
+        A1.NRows ^= A2.NRows => error "incompatible dimensions in horizJoin"
+        newInds := append(A1.AllInds, A2.AllInds)
+        res : % := new(newInds, A1.NRows)
+        for i in 1..A1.NRows repeat
+            r1 := row(A1, i)
+            r2 := row(A2, i)
+            setRow!(res, i, append(r1.Indices, r2.Indices), _
+                            append(r1.Entries, r2.Entries))
+        res
+
+    horizSplit(A : %, c : C) : Record(Left : %, Right : %) ==
+        rinds : L C := allIndices A
+        linds : L C := empty
+        while not(empty? rinds) and (first(rinds) > c) repeat
+            linds := cons(first(rinds), linds)
+            rinds := rest rinds
+        empty? linds => [new(linds, A.NRows), A]
+        linds := reverse! linds
+        empty? rinds => [A, new(rinds, A.NRows)]
+        LA : % := new(linds, A.NRows)
+        RA : % := new(rinds, A.NRows)
+        for i in 1..A.NRows repeat
+            r := row(A, i)
+            ri : L C := r.Indices
+            re : L D := r.Entries
+            li : L C := empty
+            le : L D := empty
+            while not(empty? ri) and (first(ri) > c) repeat
+                li := cons(first(ri), li)
+                le := cons(first re, le)
+                ri := rest ri
+                re := rest re
+            if not empty? li then
+                li := reverse! li
+                le := reverse! le
+                setRow!(LA, i, li, le)
+            if not empty? ri then
+                setRow!(RA, i, ri, re)
+        [LA, RA]
+
+    -- ----------- --
+    -- Row Echelon --
+    -- ----------- --
+
+    addRows(d1 : D, r1 : ROWREC, d2 : D, r2 : ROWREC) : ROWREC ==
+        -- Computes linear combination of two rows.
+        -- Local function.
+        empty? r1.Indices =>
+            one? d2 => r2
+            [r2.Indices, [d2*e2  for e2 in r2.Entries]]
+        empty? r2.Indices =>
+            one? d1 => r1
+            [r1.Indices, [d1*e1  for e1 in r1.Entries]]
+        resI : L C := empty
+        resE : L D := empty
+        lent1 : L D
+        lent2 : L D
+        if not(noChecks?) and one? d1 then
+            lent1 := r1.Entries
+        else
+            lent1 := [d1*e1  for e1 in r1.Entries]
+        if not(noChecks?) and one? d2 then
+            lent2 := copy r2.Entries
+        else
+            lent2 := [d2*e2  for e2 in r2.Entries]
+        lind2 := copy r2.Indices
+
+        for c1 in r1.Indices  for e1 in lent1 repeat
+            while not(empty? lind2) and c1 < first(lind2) repeat
+                resI := cons(first lind2, resI)
+                resE := cons(first(lent2), resE)
+                lind2 := rest lind2
+                lent2 := rest lent2
+            if not(empty? lind2) and first(lind2) = c1 then
+                sum := e1+first(lent2)
+                if noChecks? or not zero? sum then
+                    resI := cons(c1, resI)
+                    resE := cons(sum, resE)
+                lind2 := rest lind2
+                lent2 := rest lent2
+            else
+                resI := cons(c1, resI)
+                resE := cons(e1, resE)
+
+        resI := concat!(reverse! resI, lind2)
+        resE := concat!(reverse! resE, lent2)
+        while not(empty? resE) and zero? first resE repeat
+            resI := rest resI
+            resE := rest resE
+        [resI, resE]
+
+    pivot(A : %, i : I) : Record(Index : C, Entry : D) ==
+        r := row(A, i)
+        empty? r.Indices => error "empty row"
+        [first r.Indices, first r.Entries]
+
+    pivots(A : %) : ROWREC ==
+        resI : L C := empty
+        resE : L D := empty
+        for r in entries A.Rows | not empty? r.Indices repeat
+            resI := cons(first r.Indices, resI)
+            resE := cons(first r.Entries, resE)
+        [reverse! resI, reverse! resE]
+
+    rowEchelon(AA : %) : Record(Ech : %, Lt : MD, Pivots : L D, Rank : NNI) ==
+        A := copy AA
+        LTr : MD := diagonalMatrix [1$D  for i in 1..A.NRows]
+        Pivs : L D := empty
+
+        -- check pivots
+        for i in 1..A.NRows repeat
+            r := qelt(A.Rows, i)
+            changed? : B := false
+            while not(empty? r.Entries) and zero? first r.Entries repeat
+                r.Entries := rest r.Entries
+                r.Indices := rest r.Indices
+                changed? := true
+            if changed? then
+                qsetelt!(A.Rows, i, r)
+
+        -- sort rows by pivots (bubble sort)
+        sorted? : B := false
+        until sorted? repeat
+            sorted? := true
+            oldr := qelt(A.Rows, 1)
+            for i in 2..A.NRows repeat
+                newr := qelt(A.Rows, i)
+                if greater(newr, oldr) then
+                    qsetelt!(A.Rows, i, oldr)
+                    qsetelt!(A.Rows, i-1, newr)
+                    swapRows!(LTr, i-1, i)
+                    sorted? := false
+                else
+                    oldr := newr
+
+        -- fraction-free elimination
+        finished? : B := false
+        pivlen, pivrow, rk : NNI
+        for i in 1..A.NRows  until finished? repeat
+            r := qelt(A.Rows, i)
+            finished? := empty? r.Indices
+            if finished? then
+                rk : NNI := (i-1)::NNI
+            else                         -- search good pivot
+                pivind := first r.Indices
+                pivlen := #r.Indices
+                pivrow := i
+                k : I := 0
+                for j in (i+1)..A.NRows _
+                        while not(empty? qelt(A.Rows, j).Indices) and _
+                            pivind = first(qelt(A.Rows, j).Indices) repeat
+                    len := #qelt(A.Rows, j).Indices
+                    k := k+1
+                    if len < pivlen then
+                        pivlen := len
+                        pivrow := j
+                piv : D := first qelt(A.Rows, pivrow).Entries
+                Pivs := cons(piv, Pivs)
+
+                -- elimination necessary?
+                if k > 0 then
+                    if pivrow ^= i then
+                        pr := qelt(A.Rows, pivrow)
+                        qsetelt!(A.Rows, pivrow, qelt(A.Rows, i))
+                        qsetelt!(A.Rows, i, pr)
+                        swapRows!(LTr, i, pivrow)
+
+                    -- elimination (and resorting of rows)
+                    pr := copy qelt(A.Rows, i)
+                    pr.Indices := rest pr.Indices
+                    pr.Entries := rest pr.Entries
+                    for j in (i+1)..(i+k) repeat
+                        r := copy qelt(A.Rows, i+1)
+                        c := first r.Entries
+                        r.Indices := rest r.Indices
+                        r.Entries := rest r.Entries
+                        r := addRows(piv, r, -c, pr)
+                        for l in 1..A.NRows repeat
+                            f := piv*qelt(LTr, i+1, l) - c*qelt(LTr, i, l)
+                            qsetelt!(LTr, i+1, l, f)
+                        for l in (i+2)..(2*i+k+1-j) repeat
+                            qsetelt!(A.Rows, l-1, qelt(A.Rows, l))
+                            swapRows!(LTr, l-1, l)
+                        for l in (2*i+k+2-j)..A.NRows _
+                                while greater(qelt(A.Rows, l), r) repeat
+                            qsetelt!(A.Rows, l-1, qelt(A.Rows, l))
+                            swapRows!(LTr, l-1, l)
+                        qsetelt!(A.Rows, l-1, r)
+
+        if not finished? then
+            rk : NNI := A.NRows
+        [A, LTr, Pivs, rk]
+
+    if D has GcdDomain then
+
+        setGcdMode(s : Sy) : Sy ==
+            tmp := GCDmode
+            (s = iter) or (s = rand) =>
+                GCDmode := s
+                tmp
+            error "unknown gcd mode"
+
+        randomGCD(le : L D) : D ==
+            -- Probabilistic technique.
+            #le = 2 => gcd(first le, second le)
+            f := first le
+            g := second le
+            l := rest rest le
+            while not empty? l repeat
+                one? first l => return 1$D
+                f := f + (1+random(113)$I)*first(l)
+                l := rest l
+                if not empty? l then
+                    one? first l => return 1$D
+                    g := g + (1+random(113)$I)*first(l)
+                    l := rest l
+            h := gcd(f, g)
+            l := [h]
+            for e in le repeat
+                tmp := e exquo h
+                if tmp case "failed" then
+                    l := cons(e, l)
+            one?(#l) => h
+            randomGCD l
+
+        iteratedGCD(le : L D) : D ==
+            -- Computes gcd iteratively
+            res := gcd(first le, second le)
+            l := rest rest le
+            while not(empty?(l) or one?(res)) repeat
+                res := gcd(res, first l)
+                l := rest l
+            res
+
+        makePrimitive(r : ROWREC) : Record(GCD : D, Row : ROWREC) ==
+            -- remove common gcd of row
+            le := r.Entries
+            one?(#le) => [first le, [r.Indices, [1$D]]]
+            g : D
+            if GCDmode = 'iterated then
+                g := iteratedGCD le
+            else
+                g := randomGCD le
+            one? g => [1, r]
+            le := [(e exquo g)::D  for e in le]
+            [g, [r.Indices, le]]
+
+        primitiveRowEchelon(AA : %) : _
+                Record(Ech : %, Lt : MFD, Pivots : L D, Rank : NNI) ==
+            A := copy AA
+            LTr : MFD := diagonalMatrix [1$FD  for i in 1..A.NRows]
+            Pivs : L D := empty
+
+            -- check pivots
+            for i in 1..A.NRows repeat
+                r := qelt(A.Rows, i)
+                changed? : B := false
+                while not(empty? r.Entries) and zero? first r.Entries repeat
+                    r.Entries := rest r.Entries
+                    r.Indices := rest r.Indices
+                    changed? := true
+                if changed? then
+                    qsetelt!(A.Rows, i, r)
+
+            -- sort rows by pivots (bubble sort)
+            sorted? : B := false
+            until sorted? repeat
+                sorted? := true
+                oldr := qelt(A.Rows, 1)
+                for i in 2..A.NRows repeat
+                    newr := qelt(A.Rows, i)
+                    if greater(newr, oldr) then
+                        qsetelt!(A.Rows, i, oldr)
+                        qsetelt!(A.Rows, i-1, newr)
+                        swapRows!(LTr, i-1, i)
+                        sorted? := false
+                    else
+                        oldr := newr
+
+            -- primitive fraction-free elimination
+            finished? : B := false
+            pivlen, pivrow, rk : NNI
+            for i in 1..A.NRows  until finished? repeat
+                r := qelt(A.Rows, i)
+                finished? := empty? r.Indices
+                if finished? then
+                    rk : NNI := (i-1)::NNI
+                else                          -- search good pivot
+                    pivind := first r.Indices
+                    pivlen := #r.Indices
+                    pivrow := i
+                    k : I := 0
+                    for j in (i+1)..A.NRows _
+                            while not(empty? qelt(A.Rows, j).Indices) and _
+                              pivind = first(qelt(A.Rows, j).Indices) repeat
+                        len := #qelt(A.Rows, j).Indices
+                        k := k+1
+                        if len < pivlen then
+                            pivlen := len
+                            pivrow := j
+
+                    -- make row primitive
+                    tmp := makePrimitive qelt(A.Rows, pivrow)
+                    if not one? tmp.GCD then
+                        qsetelt!(A.Rows, pivrow, tmp.Row)
+                        q : FD := 1/tmp.GCD
+                        for l in 1..A.NRows | not zero? qelt(LTr, pivrow, l) _
+                                repeat
+                            qsetelt!(LTr, pivrow, l, q*qelt(LTr, pivrow, l))
+                    piv : D := first qelt(A.Rows, pivrow).Entries
+                    Pivs := cons(piv, Pivs)
+
+                    -- elimination necessary?
+                    if k > 0 then
+                        if pivrow ^= i then
+                            pr := qelt(A.Rows, pivrow)
+                            qsetelt!(A.Rows, pivrow, qelt(A.Rows, i))
+                            qsetelt!(A.Rows, i, pr)
+                            swapRows!(LTr, i, pivrow)
+
+                        -- elimination (and resorting of rows)
+                        pr := copy tmp.Row
+                        pr.Indices := rest pr.Indices
+                        pr.Entries := rest pr.Entries
+                        for j in (i+1)..(i+k) repeat
+                            r := copy qelt(A.Rows, i+1)
+                            c := first r.Entries
+                            r.Indices := rest r.Indices
+                            r.Entries := rest r.Entries
+                            r := addRows(piv, r, -c, pr)
+                            for l in 1..A.NRows repeat
+                                fd : FD := piv *$FD qelt(LTr, i+1, l) - _
+                                           (c*qelt(LTr, i, l))::FD
+                                qsetelt!(LTr, i+1, l, fd)
+                            for l in (i+2)..(2*i+k+1-j) repeat
+                                qsetelt!(A.Rows, l-1, qelt(A.Rows, l))
+                                swapRows!(LTr, l-1, l)
+                            for l in (2*i+k+2-j)..A.NRows _
+                                    while greater(qelt(A.Rows, l), r) repeat
+                                qsetelt!(A.Rows, l-1, qelt(A.Rows, l))
+                                swapRows!(LTr, l-1, l)
+                            qsetelt!(A.Rows, l-1, r)
+
+            if not finished? then
+                rk : NNI := A.NRows
+            [A, LTr, Pivs, rk]
+
+    -- -------------- --
+    -- Multiplication --
+    -- -------------- --
+
+    L : MD * AA : % ==
+        ncols(L) ^= AA.NRows => error "improper matrix dimensions"
+        A := copy AA
+        rlen := nrows L
+        res : % := new(A.AllInds, rlen)
+
+        for c in A.AllInds repeat
+            tmp : V D := new(rlen, 0$D)
+            for i in 1..A.NRows repeat
+                r := qelt(A.Rows, i)
+                inds := r.Indices
+                if not(empty? inds) and first(inds) = c then
+                    for k in 1..rlen | not zero? qelt(L, k, i) repeat
+                        qsetelt!(tmp, k, qelt(tmp, k) + qelt(L, k, i)* _
+                                 first(r.Entries))
+                    r.Entries := rest r.Entries
+                    r.Indices := rest inds
+                    qsetelt!(A.Rows, i, r)
+            for k in 1..rlen | not zero? qelt(tmp, k) repeat
+                r := qelt(res.Rows, k)
+                r.Indices := cons(c, r.Indices)
+                r.Entries := cons(qelt(tmp, k), r.Entries)
+                qsetelt!(res.Rows, k, r)
+
+        for k in 1..rlen repeat
+            r := qelt(res.Rows, k)
+            r.Indices := reverse! r.Indices
+            r.Entries := reverse! r.Entries
+            qsetelt!(res.Rows, k, r)
+        res
+
+    if D has IntegralDomain then
+
+        mult(f : FD, d : D) : D ==
+            res := numer(f)*d
+            tmp := res exquo denom(f)
+            tmp case "failed" => error "cannot divide in mult"
+            tmp::D
+
+        L : MFD * AA : % ==
+            ncols(L) ^= AA.NRows => error "improper matrix dimensions"
+            A := copy AA
+            rlen := nrows L
+            res : % := new(A.AllInds, rlen)
+
+            for c in A.AllInds repeat
+                tmp : V FD := new(rlen, 0$FD)
+                for i in 1..A.NRows repeat
+                    r := qelt(A.Rows, i)
+                    inds := r.Indices
+                    if not(empty? inds) and first(inds) = c then
+                        for k in 1..rlen | not zero? qelt(L, k, i) repeat
+                            qsetelt!(tmp, k, qelt(tmp, k) + qelt(L, k, i)* _
+                                     first(r.Entries))
+                        r.Entries := rest r.Entries
+                        r.Indices := rest inds
+                        qsetelt!(A.Rows, i, r)
+                for k in 1..rlen | not zero? qelt(tmp, k) repeat
+                    d : Union(D, "failed") := retractIfCan qelt(tmp, k)
+                    d case "failed" => error "cannot divide in *"
+                    r := qelt(res.Rows, k)
+                    r.Indices := cons(c, r.Indices)
+                    r.Entries := cons(d::D, r.Entries)
+                    qsetelt!(res.Rows, k, r)
+
+            for k in 1..rlen repeat
+                r := qelt(res.Rows, k)
+                r.Indices := reverse! r.Indices
+                r.Entries := reverse! r.Entries
+                qsetelt!(res.Rows, k, r)
+            res
+
+\end{chunk}
+\begin{chunk}{SEM.dotabb}
+"SEM" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SEM"]
+"ALIST" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ALIST"]
+"SEM" -> "ALIST"
+
+\end{chunk}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SMP SparseMultivariatePolynomial}
 
 \begin{chunk}{SparseMultivariatePolynomial.input}
diff --git a/books/bookvol10.pamphlet b/books/bookvol10.pamphlet
index 53b0bea..c8f1684 100644
--- a/books/bookvol10.pamphlet
+++ b/books/bookvol10.pamphlet
@@ -11034,7 +11034,7 @@ LAYER16=\
   ${OUT}/RESULT.o   ${OUT}/RFFACT.o   ${OUT}/RMATRIX.o  ${OUT}/ROMAN.o    \
   ${OUT}/ROUTINE.o  ${OUT}/RPOLCAT.o  ${OUT}/RPOLCAT-.o ${OUT}/RULECOLD.o \
   ${OUT}/SAOS.o     ${OUT}/SCELL.o  \
-  ${OUT}/SEGBIND.o  ${OUT}/SET.o      ${OUT}/SPECOUT.o  \
+  ${OUT}/SEGBIND.o  ${OUT}/SEM.o      ${OUT}/SET.o      ${OUT}/SPECOUT.o  \
   ${OUT}/SQMATRIX.o ${OUT}/SWITCH.o   ${OUT}/SYMS.o     ${OUT}/SYMTAB.o   \
   ${OUT}/SYSSOLP.o  ${OUT}/UTSCAT.o   ${OUT}/UTSCAT-.o  ${OUT}/VARIABLE.o \
   layer16done
@@ -12882,6 +12882,29 @@ LAYER16=\
 /*"SEGBIND" -> {"A1AGG-"; "ISTRING"; "SRAGG-"; "FLAGG-"; "LNAGG-"}*/
 /*"SEGBIND" -> "BOOLEAN"*/
 
+"SEM" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SEM"]
+"SEM" -> "ALIST"
+/*"SEM" -> {"A1AGG", "A1AGG-", "ABELGRP", "ABELMON", "ABELMON-"; */
+/*"SEM" -> {ABELSG", "ABELSG-", "AGG", "AGG-", "ALGEBRA", "ALIST"; */
+/*"SEM" -> {BASTYPE", "BASTYPE-", "BMODULE", "BOOLEAN", "CABMON"; */
+/*"SEM" -> {CFCAT", "CHAR", "CHARNZ", "CHARZ", "CLAGG", "CLAGG-"; */
+/*"SEM" -> {COMRING", "DIFEXT", "DIFRING", "DIVRING", "ELAGG"; */
+/*"SEM" -> {ELAGG-", "ELTAB", "ELTAGG", "ELTAGG-", "ENTIRER"; */
+/*"SEM" -> {EUCDOM", "EVALAB", "FEVALAB", "FIELD", "FLAGG", "FLAGG-"; */
+/*"SEM" -> {FLINEXP", "FPATMAB", "GCDDOM", "HOAGG", "HOAGG-"; */
+/*"SEM" -> {IARRAY1", "IEVALAB", "ILIST", "INS", "INT", "INTDOM"; */
+/*"SEM" -> {ISTRING", "IVECTOR", "IXAGG", "IXAGG-", "KOERCE"; */
+/*"SEM" -> {KONVERT", "LINEXP", "LIST", "LMODULE", "LNAGG", "LNAGG-"; */
+/*"SEM" -> {LORER", "LSAGG", "LSAGG-", "MODULE", "MONOID", "MONOID-"; */
+/*"SEM" -> {NNI", "OAGROUP", "OAMON", "OASGP", "OCAMON", "OINTDOM"; */
+/*"SEM" -> {OM", "ORDRING", "ORDSET", "ORDSET-", "OUTFORM", "PATAB"; */
+/*"SEM" -> {PATMAB", "PDRING", "PFECAT", "PI", "PID", "PRIMARR"; */
+/*"SEM" -> {QFCAT", "RCAGG", "RCAGG-", "REAL", "REF", "RETRACT"; */
+/*"SEM" -> {RING", "RMODULE", "RNG", "SETCAT", "SETCAT-", "SGROUP"; */
+/*"SEM" -> {SGROUP-", "SINT", "SRAGG-", "STAGG", "STAGG-", "STEP"; */
+/*"SEM" -> {STRING", "SYMBOL", "TYPE", "UFD", "URAGG", "URAGG-"; */
+/*"SEM" -> {VECTCAT", "VECTCAT-", "VECTOR"; */
+
 "SET" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SET"]
 /*"SET" -> {"FSAGG"; "DIAGG"; "DIOPS"; "BGAGG"; "HOAGG"; "AGG"; "TYPE"}*/
 /*"SET" -> {"SETCAT"; "BASTYPE"; "KOERCE"; "EVALAB"; "IEVALAB"; "CLAGG"}*/
@@ -18935,6 +18958,7 @@ REGRESS= \
  SmithNormalForm.regress \
  SortedCache.regress \
  SortPackage.regress \
+ SparseEchelonMatrix.regress \
  SparseTable.regress \
  SparseMultivariatePolynomial.regress \
  SparseMultivariateTaylorSeries.regress \
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index ad1491b..b2d34a7 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -24569,6 +24569,7 @@ otherwise the new algebra won't be loaded by the interpreter when needed.
    (|SimplifyAlgebraicNumberConvertPackage| . SIMPAN)
    (|SingleInteger| . SINT)
    (|SmithNormalForm| . SMITH)
+   (|SparseEchelonMatrix| . SEM)
    (|SparseUnivariatePolynomialExpressions| . SUPEXPR)
    (|SparseUnivariatePolynomialFunctions2| . SUP2)
    (|SpecialOutputPackage| . SPECOUT)
diff --git a/books/ps/v103sparseechelonmatrix.eps b/books/ps/v103sparseechelonmatrix.eps
new file mode 100644
index 0000000..c1a38bf
--- /dev/null
+++ b/books/ps/v103sparseechelonmatrix.eps
@@ -0,0 +1,278 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: graphviz version 2.26.3 (20100126.1600)
+%%Title: pic
+%%Pages: 1
+%%BoundingBox: 36 36 100 152
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 100 152
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 64 116 boxprim clip newpath
+1 1 set_scale 0 rotate 40 41 translate
+0.16355 0.45339 0.92549 graphcolor
+newpath -4 -5 moveto
+-4 112 lineto
+61 112 lineto
+61 -5 lineto
+closepath fill
+1 setlinewidth
+0.16355 0.45339 0.92549 graphcolor
+newpath -4 -5 moveto
+-4 112 lineto
+61 112 lineto
+61 -5 lineto
+closepath stroke
+% SEM
+gsave
+[ /Rect [ 1 72 55 108 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.3.pdf#nameddest=SEM) >>
+  /Subtype /Link
+/ANN pdfmark
+0.27273 0.73333 1 nodecolor
+newpath 55 108 moveto
+1 108 lineto
+1 72 lineto
+55 72 lineto
+closepath fill
+1 setlinewidth
+filled
+0.27273 0.73333 1 nodecolor
+newpath 55 108 moveto
+1 108 lineto
+1 72 lineto
+55 72 lineto
+closepath stroke
+0 0 0 nodecolor
+14 /Times-Roman set_font
+12.5 86.4 moveto 31 (SEM) alignedtext
+grestore
+% ALIST
+gsave
+[ /Rect [ 0 0 56 36 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI (bookvol10.3.pdf#nameddest=ALIST) >>
+  /Subtype /Link
+/ANN pdfmark
+0.27273 0.73333 1 nodecolor
+newpath 56 36 moveto
+0 36 lineto
+0 0 lineto
+56 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.27273 0.73333 1 nodecolor
+newpath 56 36 moveto
+0 36 lineto
+0 0 lineto
+56 0 lineto
+closepath stroke
+0 0 0 nodecolor
+14 /Times-Roman set_font
+7.5 14.4 moveto 41 (ALIST) alignedtext
+grestore
+% SEM->ALIST
+gsave
+1 setlinewidth
+0 0 0 edgecolor
+newpath 28 71.83 moveto
+28 64.13 28 54.97 28 46.42 curveto
+stroke
+0 0 0 edgecolor
+newpath 31.5 46.41 moveto
+28 36.41 lineto
+24.5 46.41 lineto
+closepath fill
+1 setlinewidth
+solid
+0 0 0 edgecolor
+newpath 31.5 46.41 moveto
+28 36.41 lineto
+24.5 46.41 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+end
+restore
+%%EOF
diff --git a/changelog b/changelog
index 6bf0843..a90755b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,14 @@
+20140906 tpd src/axiom-website/patches.html 20140906.01.tpd.patch
+20140906 tpd books/bookvol10.3 add SparseEchelonMatrix domain
+20140906 tpd books/bookvol10 add SparseEchelonMatrix domain
+20140906 tpd books/bookvol5 add SparseEchelonMatrix domain
+20140906 tpd books/ps/v103sparseechelonmatrix.eps added
+20140906 tpd src/share/algebra/browse.daase add SparseEchelonMatrix
+20140906 tpd src/share/algebra/category.daase add SparseEchelonMatrix
+20140906 tpd src/share/algebra/dependents.daase/index.kaf add SEM
+20140906 tpd src/share/algebra/interp.daase add SparseEchelonMatrix
+20140906 tpd src/share/algebra/operation.daase add SparseEchelonMatrix
+20140906 tpd src/share/algebra/users.daase/index.kaf add SparseEchelonMatrix
 20140904 tpd src/axiom-website/patches.html 20140904.01.tpd.patch
 20140904 tpd books/ps/v104graphviz.eps
 20140904 tpd books/bookvol10.3
diff --git a/patch b/patch
index dbdf69b..f45c72c 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,3 @@
-books/bookvol10.4 add graphviz package
+books/bookvol10.3 add SparseEchelonMatrix domain
 
-Add a package to create encapsulated postscript (.eps) graphs
+Add the SparseEchelonMatrix (SEM)
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index f195772..3ea8770 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4628,6 +4628,8 @@ src/input/Makefile typo fix<br/>
 src/axiom-website/videos.html add Building Test Cases video<br/>
 <a href="patches/20140904.01.tpd.patch">20140904.01.tpd.patch</a>
 books/bookvol10.4 add graphviz package<br/>
+<a href="patches/20140906.01.tpd.patch">20140906.01.tpd.patch</a>
+books/bookvol10.3 add SparseEchelonMatrix domain<br/>
  </body>
 </html>
 
diff --git a/src/share/algebra/browse.daase b/src/share/algebra/browse.daase
index 29fbfc4..d4ce06d 100644
--- a/src/share/algebra/browse.daase
+++ b/src/share/algebra/browse.daase
@@ -1,5 +1,5 @@
 
-(2503905 . 3618799568)       
+(2509984 . 3619047074)       
 (|OneDimensionalArrayAggregate&| A S) 
 ((|constructor| (NIL "One-dimensional-array aggregates serves as models for one-dimensional arrays. Categorically, these aggregates are finite linear aggregates with the \\spadatt{shallowlyMutable} property, that is, any component of the array may be changed without affecting the identity of the overall array. Array data structures are typically represented by a fixed area in storage and cannot efficiently grow or shrink on demand as can list structures (see however \\spadtype{FlexibleArray} for a data structure which is a cross between a list and an array). Iteration over, and access to, elements of arrays is extremely fast (and often can be optimized to open-code). Insertion and deletion however is generally slow since an entirely new data structure must be created for the result."))) 
 NIL 
@@ -4408,6 +4408,10 @@ NIL
 ((|constructor| (NIL "This category provides an interface for expanding segments to a stream of elements.")) (|map| ((|#2| (|Mapping| |#1| |#1|) $) "\\spad{map(f,l..h by \\spad{k)}} produces a value of type \\spad{L} by applying \\spad{f} to each of the succesive elements of the segment, that is, \\spad{[f(l), f(l+k), ..., f(lN)]}, where \\spad{lN \\spad{<=} \\spad{h} < lN+k}.")) (|expand| ((|#2| $) "\\spad{expand(l..h by \\spad{k)}} creates value of type \\spad{L} with elements \\spad{l, l+k, \\spad{...} \\spad{lN}} where \\spad{lN \\spad{<=} \\spad{h} < lN+k}. For example, \\spad{expand(1..5 by 2) = [1,3,5]}.") ((|#2| (|List| $)) "\\spad{expand(l)} creates a new value of type \\spad{L} in which each segment \\spad{l..h by \\spad{k}} is replaced with \\spad{l, l+k, \\spad{...} lN}, where \\spad{lN \\spad{<=} \\spad{h} < lN+k}. For example, \\spad{expand [1..4, 7..9] = [1,2,3,4,7,8,9]}."))) 
 ((|nil| . T)) 
 NIL 
+(|SparseEchelonMatrix| C D) 
+((|constructor| (NIL "\\spad{SparseEchelonMatrix(C, \\spad{D)}} implements sparse matrices whose columns are enumerated by the \\spadtype{OrderedSet} \\spad{C} and whose entries belong to the \\spadtype{GcdDomain} \\spad{D}. The basic operation of this domain is the computation of an row echelon form. The used algorithm tries to maintain the sparsity and is especially adapted to matrices who are already close to a row echelon form.")) (|horizSplit| (((|Record| (|:| |Left| $) (|:| |Right| $)) $ |#1|) "\\spad{horizSplit(A, \\spad{c)}} splits the matrix \\spad{A} into two at the column given by \\spad{c}. The first column of the right matrix is enumerated by the first index less or equal to \\spad{c}.")) (|horizJoin| (($ $ $) "\\spad{horizJoin(A, \\spad{B)}} horizontally concats the matrices \\spad{A} and \\spad{B}. It is assumed that all indices of \\spad{B} are smaller than those of \\spad{A}.")) (|join| (($ $ $) "\\spad{join(A, \\spad{B)}} vertically concats the matrices \\spad{A} and \\spad{B}.")) (* (($ (|Matrix| (|Fraction| |#2|)) $) "\\spad{L*A} implements left multiplication with a usual matrix over the quotient field of \\spad{D}.") (($ (|Matrix| |#2|) $) "\\spad{L*A} implements left multiplication with a usual matrix.")) (|pivots| (((|Record| (|:| |Indices| (|List| |#1|)) (|:| |Entries| (|List| |#2|))) $) "\\spad{pivots(A)} returns all leading entries of the matrix \\spad{A} together with their indices.")) (|pivot| (((|Record| (|:| |Index| |#1|) (|:| |Entry| |#2|)) $ (|Integer|)) "\\spad{pivot(A, i)} returns the leading entry of the \\spad{i}-th row of the matrix \\spad{A} together with its index.")) (|primitiveRowEchelon| (((|Record| (|:| |Ech| $) (|:| |Lt| (|Matrix| (|Fraction| |#2|))) (|:| |Pivots| (|List| |#2|)) (|:| |Rank| (|NonNegativeInteger|))) $) "\\spad{primitiveRowEchelon(A)} computes a row echelon form for the matrix \\spad{A}. The algorithm used is fraction-free elimination. Every row is made primitive by division by the gcd. The algorithm is especially adapted to matrices already close to row echelon form. The transformation matrix, the used pivots and the rank of the matrix are also returned.")) (|setGcdMode| (((|Symbol|) (|Symbol|)) "\\spad{setGcdMode(s)} sets a new value for the flag deciding on the method used to compute gcd`s for lists. Possible values for \\spad{s} are \\spad{iterated} and \\spad{random}.")) (|rowEchelon| (((|Record| (|:| |Ech| $) (|:| |Lt| (|Matrix| |#2|)) (|:| |Pivots| (|List| |#2|)) (|:| |Rank| (|NonNegativeInteger|))) $) "\\spad{primitiveRowEchelon(A)} computes a row echelon form for the matrix \\spad{A}. The algorithm used is fraction-free elimination. It is especially adapted to matrices already close to row echelon form. The transformation matrix, the used pivots and the rank of the matrix are also returned.")) (|extract| (($ $ (|Integer|) (|Integer|)) "\\spad{extract(A, i1, i2)} extracts the rows \\spad{i1} to \\spad{i2} and returns them as a new matrix.")) (|appendRow!| (((|Void|) $ (|Record| (|:| |Indices| (|List| |#1|)) (|:| |Entries| (|List| |#2|)))) "\\spad{appendRow!(A, \\spad{r)}} appends the row \\spad{r} at the end of the matrix \\spad{A}.")) (|consRow!| (((|Void|) $ (|Record| (|:| |Indices| (|List| |#1|)) (|:| |Entries| (|List| |#2|)))) "\\spad{consRow!(A, \\spad{r)}} inserts the row \\spad{r} at the top of the matrix \\spad{A}.")) (|deleteRow!| (((|Void|) $ (|Integer|)) "\\spad{deleteRow(A, i)} deletes the \\spad{i}-th row of the matrix \\spad{A}.")) (|setRow!| (((|Void|) $ (|Integer|) (|List| |#1|) (|List| |#2|)) "\\spad{setRow!(A, i, ind, ent)} sets the \\spad{i}-th row of the matrix \\spad{A}. Its indices are \\spad{ind}; the entries \\spad{ent}.") (((|Void|) $ (|Integer|) (|Record| (|:| |Indices| (|List| |#1|)) (|:| |Entries| (|List| |#2|)))) "\\spad{setRow!(A, i, ind, ent)} sets the \\spad{i}-th row of the matrix \\spad{A} to the value \\spad{r}.")) (|row| (((|Record| (|:| |Indices| (|List| |#1|)) (|:| |Entries| (|List| |#2|))) $ (|Integer|)) "\\spad{row(A, i)} returns the \\spad{i}-th row of the matrix \\spad{A}.")) (|setelt!| (((|Void|) $ (|Integer|) |#1| |#2|) "\\spad{setelt!(A, i, \\spad{c,} \\spad{d)}} sets the entry of the matrix \\spad{A} in row \\spad{i} and in the column with index \\spad{c} to the value \\spad{d}.")) (|elt| ((|#2| $ (|Integer|) |#1|) "\\spad{elt(A, i, \\spad{c)}} returns the entry of the matrix \\spad{A} in row \\spad{i} and in the column with index \\spad{c}.")) (|new| (($ (|List| |#1|) (|Integer|)) "\\spad{new(inds, nrows)} generates a new matrix with \\spad{nrows} rows and columns enumerated by the indices \\spad{inds}. The matrix is empty, \\spadignore{i.e.} the zero matrix.")) (|sortedPurge!| (((|Void|) $ (|Mapping| (|Boolean|) |#1|)) "\\spad{sortedPurge!(A, crit)} is like \\spad{purge}, however, with the additional assumption that \\spad{crit} respects the ordering of the indices.")) (|purge!| (((|Void|) $ (|Mapping| (|Boolean|) |#1|)) "\\spad{purge!(A, crit)} eliminates all columns belonging to an index \\spad{c} such that \\spad{crit(c)} yields \\spad{true}.")) (|elimZeroCols!| (((|Void|) $) "\\spad{elimZeroCols!(A)} removes columns which contain only zeros. This effects basically only the value of \\spad{allIndices(A)}.")) (|allIndices| (((|List| |#1|) $) "\\spad{allIndices(A)} returns all indices used for enumerating the columns of the matrix \\spad{A}.")) (|nrows| (((|NonNegativeInteger|) $) "\\spad{nrows(A)} returns the number of rows of the matrix \\spad{A}.")) (|ncols| (((|NonNegativeInteger|) $) "\\spad{ncols(A)} returns the number of columns of the matrix \\spad{A}.")) (|copy| (($ $) "\\spad{copy(A)} returns a copy of the matrix \\spad{A}.")) (|coerce| (((|Matrix| |#2|) $) "\\spad{coerce(A)} yields the matrix \\spad{A} in the usual matrix type.")) (|finiteAggregate| ((|attribute|) "Matrices are finite.")) (|shallowlyMutable| ((|attribute|) "Matrices may be altered destructively."))) 
+((|shallowlyMutable| . T) (|finiteAggregate| . T)) 
+((|HasCategory| |#2| (QUOTE (|GcdDomain|))) (|HasCategory| |#2| (QUOTE (|IntegralDomain|)))) 
 (|SetAggregate&| A S) 
 ((|constructor| (NIL "A set category lists a collection of set-theoretic operations useful for both finite sets and multisets. Note however that finite sets are distinct from multisets. Although the operations defined for set categories are common to both, the relationship between the two cannot be described by inclusion or inheritance.")) (|union| (($ |#2| $) "\\spad{union(x,u)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x,} \\axiom{union(x,u)} returns a copy of u.") (($ $ |#2|) "\\spad{union(u,x)} returns the set aggregate \\spad{u} with the element \\spad{x} added. If \\spad{u} already contains \\spad{x,} \\axiom{union(u,x)} returns a copy of u.") (($ $ $) "\\spad{union(u,v)} returns the set aggregate of elements which are members of either set aggregate \\spad{u} or \\spad{v.}")) (|subset?| (((|Boolean|) $ $) "\\spad{subset?(u,v)} tests if \\spad{u} is a subset of \\spad{v.} Note that equivalent to \\axiom{reduce(and,{member?(x,v) for \\spad{x} in u},true,false)}.")) (|symmetricDifference| (($ $ $) "\\spad{symmetricDifference(u,v)} returns the set aggregate of elements \\spad{x} which are members of set aggregate \\spad{u} or set aggregate \\spad{v} but not both. If \\spad{u} and \\spad{v} have no elements in common, \\axiom{symmetricDifference(u,v)} returns a copy of u. Note that \\axiom{symmetricDifference(u,v) = \\indented{1}{union(difference(u,v),difference(v,u))}}")) (|difference| (($ $ |#2|) "\\spad{difference(u,x)} returns the set aggregate \\spad{u} with element \\spad{x} removed. If \\spad{u} does not contain \\spad{x,} a copy of \\spad{u} is returned. Note that \\axiom{difference(s, \\spad{x)} = difference(s, {x})}.") (($ $ $) "\\spad{difference(u,v)} returns the set aggregate \\spad{w} consisting of elements in set aggregate \\spad{u} but not in set aggregate \\spad{v.} If \\spad{u} and \\spad{v} have no elements in common, \\axiom{difference(u,v)} returns a copy of u. Note that equivalent to the notation (not currently supported) \\axiom{{x for \\spad{x} in \\spad{u} | not member?(x,v)}}.")) (|intersect| (($ $ $) "\\spad{intersect(u,v)} returns the set aggregate \\spad{w} consisting of elements common to both set aggregates \\spad{u} and \\spad{v.} Note that equivalent to the notation (not currently supported) \\spad{{x} for \\spad{x} in \\spad{u} | member?(x,v)}.")) (|set| (($ (|List| |#2|)) "\\spad{set([x,y,...,z])} creates a set aggregate containing items x,y,...,z.") (($) "\\spad{set()}$D creates an empty set aggregate of type \\spad{D.}")) (|brace| (($ (|List| |#2|)) "\\spad{brace([x,y,...,z])} creates a set aggregate containing items x,y,...,z. This form is considered obsolete. Use \\axiomFun{set} instead.") (($) "\\spad{brace()}$D (otherwise written {}$D) creates an empty set aggregate of type \\spad{D.} This form is considered obsolete. Use \\axiomFun{set} instead.")) (< (((|Boolean|) $ $) "\\spad{s < \\spad{t}} returns \\spad{true} if all elements of set aggregate \\spad{s} are also elements of set aggregate \\spad{t.}"))) 
 NIL 
@@ -5196,4 +5200,4 @@ NIL
 NIL 
 NIL 
 NIL 
-((|Category| NIL 2503885 2503890 2503895 2503900) (|Union| NIL 2503865 2503870 2503875 2503880) (|Record| NIL 2503845 2503850 2503855 2503860) (|Mapping| NIL 2503825 2503830 2503835 2503840) (|Enumeration| NIL 2503805 2503810 2503815 2503820) (|IntegerMod| "bookvol10.3.pamphlet" 2503583 2503603 2503711 2503800) (|IntegerLinearDependence| "bookvol10.4.pamphlet" 2502683 2502714 2503573 2503578) (|ZeroDimensionalSolvePackage| "bookvol10.4.pamphlet" 2493275 2493321 2502673 2502678) (|ParadoxicalCombinatorsForStreams| "bookvol10.4.pamphlet" 2492743 2492783 2493265 2493270) (|XRecursivePolynomial| "bookvol10.3.pamphlet" 2491884 2491921 2492522 2492644) (|XPolynomialRing| "bookvol10.3.pamphlet" 2489463 2489488 2491460 2491651) (|XPolynomial| "bookvol10.3.pamphlet" 2488950 2488969 2489242 2489364) (|XPolynomialsCat| "bookvol10.2.pamphlet" 2488203 2488231 2488823 2488945) (|XPBWPolynomial| "bookvol10.3.pamphlet" 2486765 2486796 2487891 2488013) (|ExtensionField| "bookvol10.2.pamphlet" 2485150 2485172 2486595 2486760) (|ExtensionField&| NIL 2483547 2483572 2484995 2485000) (|XFreeAlgebra| "bookvol10.2.pamphlet" 2480520 2480545 2483420 2483542) (|XExponentialPackage| "bookvol10.4.pamphlet" 2479903 2479945 2480510 2480515) (|XDistributedPolynomial| "bookvol10.3.pamphlet" 2479438 2479473 2479682 2479804) (|XAlgebra| "bookvol10.2.pamphlet" 2479108 2479124 2479370 2479433) (|WuWenTsunTriangularSet| "bookvol10.3.pamphlet" 2475676 2475712 2478729 2478781) (|WeightedPolynomials| "bookvol10.3.pamphlet" 2474624 2474684 2475468 2475585) (|WildFunctionFieldIntegralBasis| "bookvol10.4.pamphlet" 2472176 2472221 2474614 2474619) (|WeierstrassPreparation| "bookvol10.4.pamphlet" 2470421 2470451 2472166 2472171) (|VectorSpace| "bookvol10.2.pamphlet" 2470069 2470088 2470372 2470416) (|VectorSpace&| NIL 2469753 2469775 2470059 2470064) (|Void| "bookvol10.3.pamphlet" 2469346 2469356 2469743 2469748) (|ViewportPackage| "bookvol10.4.pamphlet" 2467050 2467071 2469336 2469341) (|ViewDefaultsPackage| "bookvol10.4.pamphlet" 2462294 2462319 2467040 2467045) (|ThreeDimensionalViewport| "bookvol10.3.pamphlet" 2446489 2446519 2462284 2462289) (|TwoDimensionalViewport| "bookvol10.3.pamphlet" 2434661 2434689 2446479 2446484) (|Vector| "bookvol10.3.pamphlet" 2433375 2433389 2433629 2433681) (|VectorFunctions2| "bookvol10.4.pamphlet" 2432036 2432062 2433365 2433370) (|VectorCategory| "bookvol10.2.pamphlet" 2430000 2430022 2431967 2432031) (|VectorCategory&| NIL 2427752 2427777 2429722 2429727) (|Variable| "bookvol10.3.pamphlet" 2427527 2427547 2427742 2427747) (|UnivariateTaylorSeriesCZero| "bookvol10.3.pamphlet" 2422256 2422302 2425571 2425736) (|TaylorSolve| "bookvol10.4.pamphlet" 2422155 2422187 2422246 2422251) (|UTSodetools| "bookvol10.4.pamphlet" 2421433 2421461 2422099 2422104) (|UnivariateTaylorSeriesODESolver| "bookvol10.4.pamphlet" 2419595 2419643 2421423 2421428) (|UnivariateTaylorSeries| "bookvol10.3.pamphlet" 2413952 2413999 2417639 2417804) (|UnivariateTaylorSeriesCategory| "bookvol10.2.pamphlet" 2411174 2411217 2413782 2413947) (|UnivariateTaylorSeriesCategory&| NIL 2407981 2408027 2410592 2410597) (|UnivariateTaylorSeriesFunctions2| "bookvol10.4.pamphlet" 2407577 2407641 2407971 2407976) (|UnaryRecursiveAggregate| "bookvol10.2.pamphlet" 2402841 2402872 2407557 2407572) (|UnaryRecursiveAggregate&| NIL 2398065 2398099 2402784 2402789) (|UnivariatePuiseuxSeriesWithExponentialSingularity| "bookvol10.3.pamphlet" 2395200 2395272 2396660 2396901) (|UnivariatePuiseuxSeries| "bookvol10.3.pamphlet" 2392261 2392309 2392862 2393114) (|UnivariatePuiseuxSeriesConstructor| "bookvol10.3.pamphlet" 2389521 2389572 2389923 2390175) (|UnivariatePuiseuxSeriesConstructorCategory| "bookvol10.2.pamphlet" 2387849 2387908 2389264 2389516) (|UnivariatePuiseuxSeriesConstructorCategory&| NIL 2386421 2386483 2387839 2387844) (|UnivariatePuiseuxSeriesCategory| "bookvol10.2.pamphlet" 2384881 2384925 2386164 2386416) (|UnivariatePuiseuxSeriesFunctions2| "bookvol10.4.pamphlet" 2384394 2384477 2384871 2384876) (|UnivariatePolynomialSquareFree| "bookvol10.4.pamphlet" 2382795 2382836 2384384 2384389) (|UnivariatePowerSeriesCategory| "bookvol10.2.pamphlet" 2380271 2380321 2382625 2382790) (|UnivariatePowerSeriesCategory&| NIL 2377484 2377537 2379841 2379846) (|UnivariatePolynomialCategory| "bookvol10.2.pamphlet" 2371723 2371759 2377202 2377479) (|UnivariatePolynomialCategory&| NIL 2365917 2365956 2371399 2371404) (|UnivariatePolynomialCategoryFunctions2| "bookvol10.4.pamphlet" 2365347 2365401 2365907 2365912) (|UnivariatePolynomial| "bookvol10.3.pamphlet" 2361228 2361260 2361836 2362113) (|UnivariatePolynomialMultiplicationPackage| "bookvol10.4.pamphlet" 2360124 2360175 2361218 2361223) (|UnivariatePolynomialDivisionPackage| "bookvol10.4.pamphlet" 2359657 2359703 2360114 2360119) (|UnivariatePolynomialDecompositionPackage| "bookvol10.4.pamphlet" 2357861 2357912 2359647 2359652) (|UnivariatePolynomialCommonDenominator| "bookvol10.4.pamphlet" 2357028 2357078 2357851 2357856) (|UnivariatePolynomialFunctions2| "bookvol10.4.pamphlet" 2356403 2356451 2357018 2357023) (|UniversalSegment| "bookvol10.3.pamphlet" 2355726 2355750 2356305 2356310) (|UniversalSegmentFunctions2| "bookvol10.4.pamphlet" 2355201 2355237 2355673 2355678) (|UnivariateFactorize| "bookvol10.4.pamphlet" 2354308 2354336 2355191 2355196) (|UnivariateLaurentSeries| "bookvol10.3.pamphlet" 2342131 2342179 2343124 2343834) (|UnivariateLaurentSeriesConstructor| "bookvol10.3.pamphlet" 2334869 2334920 2335268 2335520) (|UnivariateLaurentSeriesConstructorCategory| "bookvol10.2.pamphlet" 2332317 2332376 2334583 2334864) (|UnivariateLaurentSeriesConstructorCategory&| NIL 2330001 2330063 2332270 2332275) (|UnivariateLaurentSeriesCategory| "bookvol10.2.pamphlet" 2328080 2328124 2329744 2329996) (|UnivariateLaurentSeriesFunctions2| "bookvol10.4.pamphlet" 2327594 2327677 2328070 2328075) (|UnivariateFormalPowerSeries| "bookvol10.3.pamphlet" 2325540 2325580 2325638 2325803) (|UnivariateFormalPowerSeriesFunctions| "bookvol10.4.pamphlet" 2325422 2325471 2325530 2325535) (|UniqueFactorizationDomain| "bookvol10.2.pamphlet" 2324426 2324457 2325305 2325417) (|UniqueFactorizationDomain&| NIL 2323534 2323568 2324416 2324421) (|UserDefinedVariableOrdering| "bookvol10.4.pamphlet" 2322321 2322354 2323524 2323529) (|UserDefinedPartialOrdering| "bookvol10.4.pamphlet" 2319816 2319850 2322269 2322274) (|U8Vector| "bookvol10.3.pamphlet" 2318861 2318875 2319069 2319121) (|U8Matrix| "bookvol10.3.pamphlet" 2317960 2317974 2318352 2318404) (|U32Vector| "bookvol10.3.pamphlet" 2317003 2317018 2317213 2317265) (|U32Matrix| "bookvol10.3.pamphlet" 2316099 2316114 2316494 2316546) (|U16Vector| "bookvol10.3.pamphlet" 2315142 2315157 2315352 2315404) (|U16Matrix| "bookvol10.3.pamphlet" 2314238 2314253 2314633 2314685) (|Type| "bookvol10.2.pamphlet" 2314159 2314169 2314218 2314233) (|TwoFactorize| "bookvol10.4.pamphlet" 2312814 2312834 2314149 2314154) (|Tuple| "bookvol10.3.pamphlet" 2311813 2311826 2312761 2312766) (|TubePlotTools| "bookvol10.4.pamphlet" 2308697 2308716 2311803 2311808) (|TubePlot| "bookvol10.3.pamphlet" 2307382 2307404 2308687 2308692) (|TaylorSeries| "bookvol10.3.pamphlet" 2305794 2305819 2306777 2306942) (|TriangularSetCategory| "bookvol10.2.pamphlet" 2295307 2295342 2305725 2305789) (|TriangularSetCategory&| NIL 2284838 2284876 2295259 2295264) (|TranscendentalManipulations| "bookvol10.4.pamphlet" 2279214 2279251 2284484 2284489) (|TriangularMatrixOperations| "bookvol10.4.pamphlet" 2278162 2278210 2279204 2279209) (|TrigonometricManipulations| "bookvol10.4.pamphlet" 2276640 2276676 2278152 2278157) (|TrigonometricFunctionCategory| "bookvol10.2.pamphlet" 2276126 2276161 2276630 2276635) (|TrigonometricFunctionCategory&| NIL 2275609 2275647 2276116 2276121) (|Tree| "bookvol10.3.pamphlet" 2273774 2273786 2275392 2275444) (|TranscendentalFunctionCategory| "bookvol10.2.pamphlet" 2273594 2273630 2273764 2273769) (|TranscendentalFunctionCategory&| NIL 2273411 2273450 2273584 2273589) (|TopLevelThreeSpace| "bookvol10.4.pamphlet" 2273074 2273098 2273401 2273406) (|ToolsForSign| "bookvol10.4.pamphlet" 2272728 2272748 2273064 2273069) (|TextFile| "bookvol10.3.pamphlet" 2271302 2271316 2272718 2272723) (|TexFormat| "bookvol10.3.pamphlet" 2268433 2268448 2271292 2271297) (|TexFormat1| "bookvol10.4.pamphlet" 2267982 2268000 2268423 2268428) (|TemplateUtilities| "bookvol10.4.pamphlet" 2267529 2267552 2267972 2267977) (|TabulatedComputationPackage| "bookvol10.4.pamphlet" 2265696 2265743 2267519 2267524) (|TableAggregate| "bookvol10.2.pamphlet" 2264694 2264728 2265651 2265691) (|TableAggregate&| NIL 2263724 2263761 2264684 2264689) (|TangentExpansions| "bookvol10.4.pamphlet" 2263086 2263111 2263714 2263719) (|Table| "bookvol10.3.pamphlet" 2261901 2261926 2262173 2262225) (|Tableau| "bookvol10.3.pamphlet" 2261387 2261402 2261891 2261896) (|TableauxBumpers| "bookvol10.4.pamphlet" 2258293 2258316 2261377 2261382) (|SystemSolvePackage| "bookvol10.4.pamphlet" 2254909 2254935 2258283 2258288) (|SymbolTable| "bookvol10.3.pamphlet" 2252998 2253015 2254899 2254904) (|TheSymbolTable| "bookvol10.3.pamphlet" 2249052 2249072 2252988 2252993) (|SymmetricPolynomial| "bookvol10.3.pamphlet" 2247698 2247725 2247796 2248030) (|SymmetricFunctions| "bookvol10.4.pamphlet" 2247104 2247130 2247688 2247693) (|Symbol| "bookvol10.3.pamphlet" 2244563 2244575 2247094 2247099) (|Switch| "bookvol10.3.pamphlet" 2241306 2241318 2244553 2244558) (|SparseUnivariateTaylorSeries| "bookvol10.3.pamphlet" 2237889 2237942 2239350 2239515) (|SparseUnivariatePuiseuxSeries| "bookvol10.3.pamphlet" 2234527 2234581 2235551 2235803) (|SparseUnivariatePolynomial| "bookvol10.3.pamphlet" 2230138 2230172 2231016 2231293) (|SupFractionFactorizer| "bookvol10.4.pamphlet" 2229240 2229276 2230128 2230133) (|SparseUnivariatePolynomialExpressions| "bookvol10.3.pamphlet" 2225562 2225607 2225665 2225942) (|SparseUnivariatePolynomialFunctions2| "bookvol10.4.pamphlet" 2224923 2224969 2225552 2225557) (|RationalFunctionSum| "bookvol10.4.pamphlet" 2223509 2223536 2224913 2224918) (|FunctionSpaceSum| "bookvol10.4.pamphlet" 2223178 2223204 2223499 2223504) (|SparseUnivariateLaurentSeries| "bookvol10.3.pamphlet" 2210610 2210664 2211622 2212356) (|SuchThat| "bookvol10.3.pamphlet" 2210287 2210307 2210600 2210605) (|SubSpace| "bookvol10.3.pamphlet" 2202637 2202657 2210277 2210282) (|SubResultantPackage| "bookvol10.4.pamphlet" 2201780 2201810 2202580 2202585) (|StreamTranscendentalFunctions| "bookvol10.4.pamphlet" 2197855 2197897 2201770 2201775) (|StreamTranscendentalFunctionsNonCommutative| "bookvol10.4.pamphlet" 2194285 2194341 2197845 2197850) (|StreamTaylorSeriesOperations| "bookvol10.4.pamphlet" 2186812 2186848 2194146 2194151) (|StringTable| "bookvol10.3.pamphlet" 2185706 2185731 2185863 2185915) (|String| "bookvol10.3.pamphlet" 2184891 2184903 2184992 2185044) (|StringCategory| "bookvol10.2.pamphlet" 2184631 2184651 2184822 2184886) (|Stream| "bookvol10.3.pamphlet" 2180150 2180164 2184313 2184341) (|StreamFunctions3| "bookvol10.4.pamphlet" 2179478 2179506 2180140 2180145) (|StreamFunctions2| "bookvol10.4.pamphlet" 2178038 2178064 2179468 2179473) (|StreamFunctions1| "bookvol10.4.pamphlet" 2177533 2177557 2178028 2178033) (|StreamTensor| "bookvol10.4.pamphlet" 2177209 2177229 2177523 2177528) (|StreamInfiniteProduct| "bookvol10.4.pamphlet" 2176127 2176161 2177199 2177204) (|StepThrough| "bookvol10.2.pamphlet" 2175345 2175362 2176117 2176122) (|SparseTable| "bookvol10.3.pamphlet" 2174283 2174319 2174456 2174484) (|StreamAggregate| "bookvol10.2.pamphlet" 2173370 2173393 2174263 2174278) (|StreamAggregate&| NIL 2172464 2172490 2173360 2173365) (|Stack| "bookvol10.3.pamphlet" 2168452 2168465 2172247 2172299) (|SquareFreeRegularTriangularSet| "bookvol10.3.pamphlet" 2166591 2166635 2168073 2168125) (|SquareFreeRegularSetDecompositionPackage| "bookvol10.4.pamphlet" 2165320 2165377 2166581 2166586) (|StringAggregate| "bookvol10.2.pamphlet" 2160620 2160641 2165251 2165315) (|StringAggregate&| NIL 2155976 2156000 2160610 2160615) (|SquareMatrix| "bookvol10.3.pamphlet" 2153240 2153267 2154155 2154297) (|SplittingTree| "bookvol10.3.pamphlet" 2148650 2148673 2152904 2152956) (|SplittingNode| "bookvol10.3.pamphlet" 2145688 2145711 2148640 2148645) (|SpecialFunctionCategory| "bookvol10.2.pamphlet" 2144479 2144508 2145678 2145683) (|SpecialOutputPackage| "bookvol10.4.pamphlet" 2143031 2143057 2144469 2144474) (|ThreeSpaceCategory| "bookvol10.2.pamphlet" 2127406 2127432 2143021 2143026) (|ThreeSpace| "bookvol10.3.pamphlet" 2127181 2127199 2127396 2127401) (|SortPackage| "bookvol10.4.pamphlet" 2126714 2126735 2127129 2127134) (|TransSolvePackage| "bookvol10.4.pamphlet" 2124295 2124320 2126704 2126709) (|TransSolvePackageService| "bookvol10.4.pamphlet" 2122863 2122895 2124285 2124290) (|RadicalSolvePackage| "bookvol10.4.pamphlet" 2117335 2117362 2122853 2122858) (|PolynomialSolveByFormulas| "bookvol10.4.pamphlet" 2115781 2115817 2117325 2117330) (|SquareFreeNormalizedTriangularSetCategory| "bookvol10.2.pamphlet" 2115489 2115544 2115712 2115776) (|SparseMultivariateTaylorSeries| "bookvol10.3.pamphlet" 2113446 2113499 2114884 2115049) (|SparseMultivariatePolynomial| "bookvol10.3.pamphlet" 2109978 2110023 2110376 2110610) (|SmithNormalForm| "bookvol10.4.pamphlet" 2108803 2108840 2109968 2109973) (|SquareMatrixCategory| "bookvol10.2.pamphlet" 2106858 2106905 2108699 2108798) (|SquareMatrixCategory&| NIL 2104868 2104918 2106712 2106717) (|StackAggregate| "bookvol10.2.pamphlet" 2103434 2103456 2104799 2104863) (|SingleInteger| "bookvol10.3.pamphlet" 2101682 2101701 2103195 2103429) (|SimplifyAlgebraicNumberConvertPackage| "bookvol10.4.pamphlet" 2101391 2101434 2101672 2101677) (|RationalFunctionSign| "bookvol10.4.pamphlet" 2100464 2100492 2101381 2101386) (|ElementaryFunctionSign| "bookvol10.4.pamphlet" 2099708 2099740 2100454 2100459) (|SturmHabichtPackage| "bookvol10.4.pamphlet" 2097649 2097680 2099657 2099662) (|SplitHomogeneousDirectProduct| "bookvol10.3.pamphlet" 2087285 2087338 2087813 2088017) (|SemiGroup| "bookvol10.2.pamphlet" 2086591 2086606 2087275 2087280) (|SemiGroup&| NIL 2085894 2085912 2086581 2086586) (|SymmetricGroupCombinatoricFunctions| "bookvol10.4.pamphlet" 2079374 2079415 2085884 2085889) (|SquareFreeRegularTriangularSetCategory| "bookvol10.2.pamphlet" 2078877 2078929 2079305 2079369) (|SquareFreeRegularTriangularSetGcdPackage| "bookvol10.4.pamphlet" 2078539 2078596 2078867 2078872) (|SquareFreeQuasiComponentPackage| "bookvol10.4.pamphlet" 2074428 2074476 2078529 2078534) (|SimpleFortranProgram| "bookvol10.3.pamphlet" 2073872 2073903 2074418 2074423) (|SExpressionOf| "bookvol10.3.pamphlet" 2073705 2073755 2073862 2073867) (|SExpression| "bookvol10.3.pamphlet" 2073589 2073606 2073695 2073700) (|SExpressionCategory| "bookvol10.2.pamphlet" 2070824 2070880 2073579 2073584) (|Set| "bookvol10.3.pamphlet" 2069074 2069085 2070187 2070267) (|SetOfMIntegersInOneToN| "bookvol10.3.pamphlet" 2067535 2067571 2069064 2069069) (|SetCategory| "bookvol10.2.pamphlet" 2067017 2067034 2067525 2067530) (|SetCategory&| NIL 2066496 2066516 2067007 2067012) (|SetCategoryWithDegree| "bookvol10.2.pamphlet" 2066369 2066396 2066486 2066491) (|SetAggregate| "bookvol10.2.pamphlet" 2063234 2063254 2066321 2066364) (|SetAggregate&| NIL 2060134 2060157 2063224 2063229) (|SegmentExpansionCategory| "bookvol10.2.pamphlet" 2059175 2059209 2060114 2060129) (|Segment| "bookvol10.3.pamphlet" 2058967 2058982 2059077 2059082) (|SegmentCategory| "bookvol10.2.pamphlet" 2057743 2057766 2058947 2058962) (|SegmentBinding| "bookvol10.3.pamphlet" 2056810 2056832 2057690 2057695) (|SegmentBindingFunctions2| "bookvol10.4.pamphlet" 2056495 2056529 2056800 2056805) (|SegmentFunctions2| "bookvol10.4.pamphlet" 2055891 2055918 2056442 2056447) (|SequentialDifferentialVariable| "bookvol10.3.pamphlet" 2055162 2055200 2055881 2055886) (|SequentialDifferentialPolynomial| "bookvol10.3.pamphlet" 2051450 2051490 2051756 2051990) (|StochasticDifferential| "bookvol10.3.pamphlet" 2047885 2047915 2051401 2051445) (|StructuralConstantsPackage| "bookvol10.4.pamphlet" 2045965 2045999 2047875 2047880) (|SimpleCell| "bookvol10.3.pamphlet" 2045913 2045950 2045955 2045960) (|SortedCache| "bookvol10.4.pamphlet" 2044754 2044773 2045903 2045908) (|SingletonAsOrderedSet| "bookvol10.3.pamphlet" 2044608 2044635 2044744 2044749) (|SAERationalFunctionAlgFactor| "bookvol10.4.pamphlet" 2044296 2044341 2044598 2044603) (|SimpleAlgebraicExtension| "bookvol10.3.pamphlet" 2042023 2042060 2042701 2042917) (|SimpleAlgebraicExtensionAlgFactor| "bookvol10.4.pamphlet" 2041694 2041744 2042013 2042018) (|RationalUnivariateRepresentationPackage| "bookvol10.4.pamphlet" 2039394 2039446 2041684 2041689) (|Ruleset| "bookvol10.3.pamphlet" 2038826 2038850 2039384 2039389) (|RewriteRule| "bookvol10.3.pamphlet" 2037004 2037032 2038816 2038821) (|RuleCalled| "bookvol10.3.pamphlet" 2036849 2036869 2036994 2036999) (|RegularTriangularSetGcdPackage| "bookvol10.4.pamphlet" 2034192 2034239 2036839 2036844) (|RegularTriangularSetCategory| "bookvol10.2.pamphlet" 2024980 2025022 2034123 2034187) (|RegularTriangularSetCategory&| NIL 2015824 2015869 2024970 2024975) (|RegularSetDecompositionPackage| "bookvol10.4.pamphlet" 2014550 2014597 2015814 2015819) (|RealRootCharacterizationCategory| "bookvol10.2.pamphlet" 2012927 2012986 2014540 2014545) (|RealRootCharacterizationCategory&| NIL 2011301 2011363 2012917 2012922) (|RecursivePolynomialCategory| "bookvol10.2.pamphlet" 1994412 1994451 2011062 2011296) (|RecursivePolynomialCategory&| NIL 1977226 1977268 1993879 1993884) (|RoutinesTable| "bookvol10.3.pamphlet" 1973502 1973521 1976256 1976308) (|RomanNumeral| "bookvol10.3.pamphlet" 1972635 1972653 1973263 1973497) (|RightOpenIntervalRootCharacterization| "bookvol10.3.pamphlet" 1971735 1971801 1972625 1972630) (|RealNumberSystem| "bookvol10.2.pamphlet" 1970473 1970495 1971565 1971730) (|RealNumberSystem&| NIL 1969368 1969393 1970463 1970468) (|Rng| "bookvol10.2.pamphlet" 1968888 1968897 1969358 1969363) (|RightModule| "bookvol10.2.pamphlet" 1968395 1968414 1968878 1968883) (|RectangularMatrixCategoryFunctions2| "bookvol10.4.pamphlet" 1967791 1967880 1968385 1968390) (|RectangularMatrix| "bookvol10.3.pamphlet" 1966350 1966383 1966852 1966920) (|RectangularMatrixCategory| "bookvol10.2.pamphlet" 1961935 1961988 1966265 1966345) (|RectangularMatrixCategory&| NIL 1957409 1957465 1961742 1961747) (|RationalInterpolation| "bookvol10.4.pamphlet" 1957283 1957317 1957399 1957404) (|Ring| "bookvol10.2.pamphlet" 1956634 1956644 1957256 1957278) (|Ring&| NIL 1955999 1956012 1956624 1956629) (|RandomIntegerDistributions| "bookvol10.4.pamphlet" 1955004 1955036 1955989 1955994) (|RegularChain| "bookvol10.3.pamphlet" 1953346 1953371 1954236 1954288) (|RootsFindingPackage| "bookvol10.4.pamphlet" 1951380 1951407 1953336 1953341) (|RationalFunction| "bookvol10.4.pamphlet" 1949023 1949047 1951370 1951375) (|RationalFunctionFactorizer| "bookvol10.4.pamphlet" 1948462 1948496 1949013 1949018) (|RationalFunctionFactor| "bookvol10.4.pamphlet" 1948178 1948209 1948452 1948457) (|RandomFloatDistributions| "bookvol10.4.pamphlet" 1947153 1947183 1948168 1948173) (|RetractSolvePackage| "bookvol10.4.pamphlet" 1946556 1946585 1947143 1947148) (|RetractableTo| "bookvol10.2.pamphlet" 1945888 1945909 1946546 1946551) (|RetractableTo&| NIL 1945217 1945241 1945878 1945883) (|Result| "bookvol10.3.pamphlet" 1943659 1943671 1944247 1944299) (|ResidueRing| "bookvol10.3.pamphlet" 1942970 1943021 1943565 1943654) (|ResolveLatticeCompletion| "bookvol10.4.pamphlet" 1942275 1942307 1942960 1942965) (|RepeatedSquaring| "bookvol10.4.pamphlet" 1941993 1942017 1942265 1942270) (|RadicalEigenPackage| "bookvol10.4.pamphlet" 1939533 1939558 1941983 1941988) (|RepeatedDoubling| "bookvol10.4.pamphlet" 1939219 1939243 1939523 1939528) (|RepresentationPackage2| "bookvol10.4.pamphlet" 1929197 1929227 1939038 1939043) (|RepresentationPackage1| "bookvol10.4.pamphlet" 1923558 1923588 1929139 1929144) (|RegularTriangularSet| "bookvol10.3.pamphlet" 1921755 1921789 1923179 1923231) (|Reference| "bookvol10.3.pamphlet" 1921091 1921108 1921702 1921707) (|ReductionOfOrder| "bookvol10.4.pamphlet" 1920212 1920238 1921081 1921086) (|RecurrenceOperator| "bookvol10.4.pamphlet" 1918607 1918635 1920166 1920171) (|RealClosure| "bookvol10.3.pamphlet" 1917228 1917256 1917890 1918055) (|RealSolvePackage| "bookvol10.4.pamphlet" 1915788 1915810 1917218 1917223) (|RealConstant| "bookvol10.2.pamphlet" 1915663 1915681 1915778 1915783) (|RealZeroPackageQ| "bookvol10.4.pamphlet" 1913001 1913029 1915653 1915658) (|RealZeroPackage| "bookvol10.4.pamphlet" 1909898 1909925 1912991 1912996) (|ReducedDivisor| "bookvol10.4.pamphlet" 1909636 1909672 1909888 1909893) (|RandomDistributions| "bookvol10.4.pamphlet" 1909187 1909214 1909626 1909631) (|TranscendentalRischDESystem| "bookvol10.4.pamphlet" 1908021 1908059 1909177 1909182) (|TranscendentalRischDE| "bookvol10.4.pamphlet" 1905972 1906004 1908011 1908016) (|ElementaryRischDESystem| "bookvol10.4.pamphlet" 1905197 1905230 1905962 1905967) (|ElementaryRischDE| "bookvol10.4.pamphlet" 1904243 1904270 1905187 1905192) (|RealClosedField| "bookvol10.2.pamphlet" 1901488 1901509 1904073 1904238) (|RealClosedField&| NIL 1898890 1898914 1901478 1901483) (|RecursiveAggregate| "bookvol10.2.pamphlet" 1896848 1896874 1898870 1898885) (|RecursiveAggregate&| NIL 1894721 1894750 1896746 1896751) (|RationalRetractions| "bookvol10.4.pamphlet" 1894126 1894153 1894711 1894716) (|RationalFactorize| "bookvol10.4.pamphlet" 1893296 1893322 1894116 1894121) (|RandomNumberSource| "bookvol10.4.pamphlet" 1892638 1892662 1893286 1893291) (|RadixUtilities| "bookvol10.4.pamphlet" 1892383 1892403 1892628 1892633) (|RadixExpansion| "bookvol10.3.pamphlet" 1888474 1888499 1890137 1890302) (|RadicalFunctionField| "bookvol10.3.pamphlet" 1886346 1886396 1886462 1886717) (|RadicalCategory| "bookvol10.2.pamphlet" 1885965 1885986 1886336 1886341) (|RadicalCategory&| NIL 1885581 1885605 1885955 1885960) (|Queue| "bookvol10.3.pamphlet" 1881349 1881362 1885364 1885416) (|Quaternion| "bookvol10.3.pamphlet" 1879672 1879690 1879973 1880081) (|QuaternionCategoryFunctions2| "bookvol10.4.pamphlet" 1879051 1879095 1879662 1879667) (|QuaternionCategory| "bookvol10.2.pamphlet" 1877199 1877225 1878938 1879046) (|QuaternionCategory&| NIL 1875038 1875067 1876780 1876785) (|QueueAggregate| "bookvol10.2.pamphlet" 1873815 1873837 1874969 1875033) (|QuadraticForm| "bookvol10.3.pamphlet" 1873273 1873298 1873805 1873810) (|QuotientFieldCategory| "bookvol10.2.pamphlet" 1871877 1871906 1873091 1873268) (|QuotientFieldCategory&| NIL 1869971 1870003 1871188 1871193) (|QuotientFieldCategoryFunctions2| "bookvol10.4.pamphlet" 1869643 1869688 1869961 1869966) (|QueryEquation| "bookvol10.3.pamphlet" 1869207 1869226 1869633 1869638) (|QuasiComponentPackage| "bookvol10.4.pamphlet" 1865172 1865210 1869197 1869202) (|QuasiAlgebraicSet| "bookvol10.3.pamphlet" 1861301 1861348 1865057 1865062) (|QuasiAlgebraicSet2| "bookvol10.4.pamphlet" 1859297 1859331 1861291 1861296) (|PAdicWildFunctionFieldIntegralBasis| "bookvol10.4.pamphlet" 1856596 1856646 1859287 1859292) (|PushVariables| "bookvol10.4.pamphlet" 1855922 1855952 1856586 1856591) (|PartialTranscendentalFunctions| "bookvol10.2.pamphlet" 1852173 1852211 1855912 1855917) (|PointPackage| "bookvol10.4.pamphlet" 1849289 1849309 1852163 1852168) (|PointFunctions2| "bookvol10.4.pamphlet" 1849095 1849122 1849279 1849284) (|PointCategory| "bookvol10.2.pamphlet" 1848151 1848172 1849026 1849090) (|PolynomialSquareFree| "bookvol10.4.pamphlet" 1847444 1847486 1848141 1848146) (|PseudoLinearNormalForm| "bookvol10.4.pamphlet" 1846294 1846324 1847434 1847439) (|PolynomialSetUtilitiesPackage| "bookvol10.4.pamphlet" 1833740 1833783 1846136 1846141) (|PolynomialSetCategory| "bookvol10.2.pamphlet" 1828564 1828606 1833696 1833735) (|PolynomialSetCategory&| NIL 1823373 1823418 1828508 1828513) (|PlottableSpaceCurveCategory| "bookvol10.2.pamphlet" 1822373 1822406 1823363 1823368) (|PowerSeriesCategory| "bookvol10.2.pamphlet" 1821051 1821097 1822203 1822368) (|PowerSeriesCategory&| NIL 1819886 1819935 1821041 1821046) (|Partition| "bookvol10.3.pamphlet" 1818682 1818697 1819876 1819881) (|ProjectiveSpaceCategory| "bookvol10.2.pamphlet" 1816156 1816187 1818672 1818677) (|PseudoRemainderSequence| "bookvol10.4.pamphlet" 1807797 1807835 1816105 1816110) (|PriorityQueueAggregate| "bookvol10.2.pamphlet" 1807175 1807205 1807728 1807792) (|ProjectiveSpace| "bookvol10.3.pamphlet" 1807046 1807075 1807165 1807170) (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 1806884 1806946 1807036 1807041) (|ProjectivePlane| "bookvol10.3.pamphlet" 1806761 1806784 1806874 1806879) (|Product| "bookvol10.3.pamphlet" 1803561 1803578 1804093 1804161) (|PolynomialRing| "bookvol10.3.pamphlet" 1801609 1801633 1802314 1802548) (|ProjectiveAlgebraicSetPackage| "bookvol10.4.pamphlet" 1800836 1800902 1801599 1801604) (|PrintPackage| "bookvol10.4.pamphlet" 1800578 1800596 1800826 1800831) (|IntegerPrimesPackage| "bookvol10.4.pamphlet" 1798793 1798821 1800568 1800573) (|PrimitiveElement| "bookvol10.4.pamphlet" 1796870 1796894 1798783 1798788) (|PrimitiveFunctionCategory| "bookvol10.2.pamphlet" 1796458 1796489 1796860 1796865) (|PrimitiveArray| "bookvol10.3.pamphlet" 1795575 1795597 1795740 1795792) (|PrimitiveArrayFunctions2| "bookvol10.4.pamphlet" 1793659 1793693 1795565 1795570) (|PrecomputedAssociatedEquations| "bookvol10.4.pamphlet" 1792997 1793037 1793649 1793654) (|PlottablePlaneCurveCategory| "bookvol10.2.pamphlet" 1792337 1792370 1792987 1792992) (|U32VectorPolynomialOperations| "bookvol10.4.pamphlet" 1787119 1787154 1792327 1792332) (|PolynomialRoots| "bookvol10.4.pamphlet" 1785847 1785878 1787068 1787073) (|Polynomial| "bookvol10.3.pamphlet" 1782243 1782261 1782747 1782981) (|PolynomialCategoryLifting| "bookvol10.4.pamphlet" 1781509 1781555 1782233 1782238) (|PolynomialCategoryQuotientFunctions| "bookvol10.4.pamphlet" 1779490 1779541 1781499 1781504) (|PolynomialCategory| "bookvol10.2.pamphlet" 1772797 1772834 1779251 1779485) (|PolynomialCategory&| NIL 1765251 1765291 1771708 1771713) (|PolynomialToUnivariatePolynomial| "bookvol10.4.pamphlet" 1764667 1764711 1765241 1765246) (|PolynomialFunctions2| "bookvol10.4.pamphlet" 1764255 1764285 1764657 1764662) (|RealPolynomialUtilitiesPackage| "bookvol10.4.pamphlet" 1763259 1763316 1764202 1764207) (|PolToPol| "bookvol10.4.pamphlet" 1762001 1762022 1763249 1763254) (|Point| "bookvol10.3.pamphlet" 1760879 1760892 1760969 1761021) (|PolynomialNumberTheoryFunctions| "bookvol10.4.pamphlet" 1757522 1757559 1760869 1760874) (|PatternMatchTools| "bookvol10.4.pamphlet" 1756328 1756357 1757512 1757517) (|PatternMatchSymbol| "bookvol10.4.pamphlet" 1755869 1755895 1756318 1756323) (|PatternMatchQuotientFieldCategory| "bookvol10.4.pamphlet" 1755437 1755482 1755859 1755864) (|AttachPredicates| "bookvol10.4.pamphlet" 1754947 1754971 1755427 1755432) (|FunctionSpaceAttachPredicates| "bookvol10.4.pamphlet" 1754423 1754464 1754937 1754942) (|PatternMatchPolynomialCategory| "bookvol10.4.pamphlet" 1753461 1753507 1754341 1754346) (|PatternMatchListAggregate| "bookvol10.4.pamphlet" 1753023 1753060 1753451 1753456) (|PatternMatchKernel| "bookvol10.4.pamphlet" 1752586 1752614 1753013 1753018) (|PatternMatchIntegerNumberSystem| "bookvol10.4.pamphlet" 1752137 1752176 1752576 1752581) (|PatternMatchFunctionSpace| "bookvol10.4.pamphlet" 1751703 1751740 1752127 1752132) (|PatternMatchPushDown| "bookvol10.4.pamphlet" 1750995 1751027 1751693 1751698) (|PatternMatchAssertions| "bookvol10.4.pamphlet" 1750042 1750070 1750985 1750990) (|FunctionSpaceAssertions| "bookvol10.4.pamphlet" 1749049 1749082 1750032 1750037) (|PolynomialPackageForCurve| "bookvol10.4.pamphlet" 1747924 1747985 1749039 1749044) (|PlotTools| "bookvol10.4.pamphlet" 1747697 1747712 1747914 1747919) (|Plot| "bookvol10.3.pamphlet" 1742547 1742557 1747687 1747692) (|Plot3D| "bookvol10.3.pamphlet" 1739157 1739169 1742537 1742542) (|PlotFunctions1| "bookvol10.4.pamphlet" 1738296 1738318 1739147 1739152) (|ParametricLinearEquations| "bookvol10.4.pamphlet" 1724386 1724436 1738286 1738291) (|Plcs| "bookvol10.3.pamphlet" 1724291 1724307 1724376 1724381) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 1724159 1724212 1724281 1724286) (|Places| "bookvol10.3.pamphlet" 1724066 1724080 1724149 1724154) (|PlacesCategory| "bookvol10.2.pamphlet" 1723096 1723122 1724056 1724061) (|PolynomialInterpolation| "bookvol10.4.pamphlet" 1722701 1722737 1723086 1723091) (|PolynomialInterpolationAlgorithms| "bookvol10.4.pamphlet" 1722458 1722501 1722691 1722696) (|PositiveInteger| "bookvol10.3.pamphlet" 1722061 1722082 1722424 1722453) (|PrincipalIdealDomain| "bookvol10.2.pamphlet" 1720980 1721006 1721944 1722056) (|PiCoercions| "bookvol10.4.pamphlet" 1720716 1720735 1720970 1720975) (|PolyGroebner| "bookvol10.4.pamphlet" 1719328 1719348 1720706 1720711) (|PermutationGroupExamples| "bookvol10.4.pamphlet" 1711264 1711294 1719318 1719323) (|PolynomialGcdPackage| "bookvol10.4.pamphlet" 1709727 1709762 1711254 1711259) (|PartialFractionPackage| "bookvol10.4.pamphlet" 1708758 1708788 1709717 1709722) (|PartialFraction| "bookvol10.3.pamphlet" 1704243 1704266 1708588 1708753) (|PointsOfFiniteOrderTools| "bookvol10.4.pamphlet" 1703568 1703606 1704233 1704238) (|PackageForPoly| "bookvol10.4.pamphlet" 1701697 1701738 1703558 1703563) (|PointsOfFiniteOrderRational| "bookvol10.4.pamphlet" 1701042 1701085 1701687 1701692) (|PointsOfFiniteOrder| "bookvol10.4.pamphlet" 1700450 1700490 1701032 1701037) (|PrimeField| "bookvol10.3.pamphlet" 1700006 1700026 1700144 1700309) (|PolynomialFactorizationExplicit| "bookvol10.2.pamphlet" 1697642 1697679 1699889 1700001) (|PolynomialFactorizationExplicit&| NIL 1695329 1695369 1697579 1697584) (|PolynomialFactorizationByRecursionUnivariate| "bookvol10.4.pamphlet" 1693194 1693248 1695319 1695324) (|PolynomialFactorizationByRecursion| "bookvol10.4.pamphlet" 1690822 1690877 1693184 1693189) (|Permutation| "bookvol10.3.pamphlet" 1686107 1686126 1690624 1690646) (|PermutationGroup| "bookvol10.3.pamphlet" 1680858 1680882 1686097 1686102) (|PermutationCategory| "bookvol10.2.pamphlet" 1679497 1679524 1680831 1680853) (|Permanent| "bookvol10.4.pamphlet" 1678249 1678270 1679487 1679492) (|PendantTree| "bookvol10.3.pamphlet" 1677490 1677509 1678079 1678084) (|PartialDifferentialRing| "bookvol10.2.pamphlet" 1675837 1675868 1677463 1677485) (|PartialDifferentialRing&| NIL 1674198 1674232 1675827 1675832) (|NumericalPDEProblem| "bookvol10.3.pamphlet" 1672360 1672385 1674188 1674193) (|AnnaPartialDifferentialEquationPackage| "bookvol10.4.pamphlet" 1666400 1666444 1672350 1672355) (|PolynomialDecomposition| "bookvol10.4.pamphlet" 1665735 1665769 1666390 1666395) (|PartialDifferentialEquationsSolverCategory| "bookvol10.2.pamphlet" 1663845 1663893 1665725 1665730) (|PolynomialComposition| "bookvol10.4.pamphlet" 1663561 1663593 1663835 1663840) (|PoincareBirkhoffWittLyndonBasis| "bookvol10.3.pamphlet" 1662174 1662220 1663551 1663556) (|Pattern| "bookvol10.3.pamphlet" 1656454 1656469 1662164 1662169) (|PatternFunctions2| "bookvol10.4.pamphlet" 1656170 1656197 1656444 1656449) (|PatternFunctions1| "bookvol10.4.pamphlet" 1654457 1654484 1656160 1656165) (|PatternMatchResult| "bookvol10.3.pamphlet" 1652102 1652130 1654447 1654452) (|PatternMatchResultFunctions2| "bookvol10.4.pamphlet" 1651788 1651828 1652092 1652097) (|PatternMatch| "bookvol10.4.pamphlet" 1649958 1649999 1651455 1651460) (|PatternMatchable| "bookvol10.2.pamphlet" 1649383 1649407 1649948 1649953) (|PatternMatchListResult| "bookvol10.3.pamphlet" 1648473 1648507 1649373 1649378) (|Patternable| "bookvol10.2.pamphlet" 1648170 1648189 1648463 1648468) (|PartitionsAndPermutations| "bookvol10.4.pamphlet" 1645665 1645696 1648160 1648165) (|ParametricSurface| "bookvol10.3.pamphlet" 1645108 1645151 1645655 1645660) (|ParametricSurfaceFunctions2| "bookvol10.4.pamphlet" 1644876 1644917 1645098 1645103) (|ParametricSpaceCurve| "bookvol10.3.pamphlet" 1644316 1644362 1644866 1644871) (|ParametricSpaceCurveFunctions2| "bookvol10.4.pamphlet" 1644075 1644119 1644306 1644311) (|ParametricPlaneCurve| "bookvol10.3.pamphlet" 1643527 1643573 1644065 1644070) (|ParametricPlaneCurveFunctions2| "bookvol10.4.pamphlet" 1643286 1643330 1643517 1643522) (|ParametrizationPackage| "bookvol10.4.pamphlet" 1642089 1642158 1643276 1643281) (|PolynomialAN2Expression| "bookvol10.4.pamphlet" 1641482 1641511 1642079 1642084) (|Palette| "bookvol10.3.pamphlet" 1640485 1640498 1641472 1641477) (|PackageForAlgebraicFunctionField| "bookvol10.4.pamphlet" 1634898 1634951 1640437 1640442) (|PackageForAlgebraicFunctionFieldOverFiniteField| "bookvol10.4.pamphlet" 1628697 1628765 1634810 1634815) (|PAdicRationalConstructor| "bookvol10.3.pamphlet" 1625493 1625533 1626644 1626809) (|PAdicRational| "bookvol10.3.pamphlet" 1622677 1622700 1622861 1623026) (|PAdicInteger| "bookvol10.3.pamphlet" 1622369 1622391 1622560 1622672) (|PAdicIntegerCategory| "bookvol10.2.pamphlet" 1620854 1620884 1622252 1622364) (|PadeApproximantPackage| "bookvol10.4.pamphlet" 1619779 1619818 1620844 1620849) (|PadeApproximants| "bookvol10.4.pamphlet" 1618770 1618800 1619769 1619774) (|PseudoAlgebraicClosureOfRationalNumber| "bookvol10.3.pamphlet" 1617383 1617427 1618255 1618420) (|PseudoAlgebraicClosureOfRationalNumberCategory| "bookvol10.2.pamphlet" 1616251 1616303 1617213 1617378) (|PseudoAlgebraicClosureOfPerfectFieldCategory| "bookvol10.2.pamphlet" 1614436 1614486 1616081 1616246) (|PseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 1613251 1613294 1614121 1614286) (|PseudoAlgebraicClosureOfFiniteFieldCategory| "bookvol10.2.pamphlet" 1612125 1612174 1613081 1613246) (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| "bookvol10.3.pamphlet" 1610140 1610204 1611035 1611200) (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory| "bookvol10.2.pamphlet" 1608992 1609052 1609970 1610135) (|OrdinaryWeightedPolynomials| "bookvol10.3.pamphlet" 1607909 1607964 1608784 1608901) (|OrderedVariableList| "bookvol10.3.pamphlet" 1607673 1607713 1607899 1607904) (|OutputPackage| "bookvol10.4.pamphlet" 1606788 1606807 1607663 1607668) (|OutputForm| "bookvol10.3.pamphlet" 1596194 1596210 1606778 1606783) (|OrdSetInts| "bookvol10.3.pamphlet" 1595791 1595807 1596184 1596189) (|OrthogonalPolynomialFunctions| "bookvol10.4.pamphlet" 1594204 1594241 1595691 1595696) (|UnivariateSkewPolynomial| "bookvol10.3.pamphlet" 1593435 1593487 1593789 1593852) (|SparseUnivariateSkewPolynomial| "bookvol10.3.pamphlet" 1592595 1592649 1593020 1593083) (|UnivariateSkewPolynomialCategoryOps| "bookvol10.4.pamphlet" 1590307 1590352 1592500 1592505) (|UnivariateSkewPolynomialCategory| "bookvol10.2.pamphlet" 1584265 1584305 1590239 1590302) (|UnivariateSkewPolynomialCategory&| NIL 1578101 1578144 1584078 1584083) (|OrderedSet| "bookvol10.2.pamphlet" 1577233 1577249 1578091 1578096) (|OrderedSet&| NIL 1576362 1576381 1577223 1577228) (|OrderedRing| "bookvol10.2.pamphlet" 1575680 1575697 1576335 1576357) (|OrderedRing&| NIL 1575012 1575032 1575670 1575675) (|OrderedMonoid| "bookvol10.2.pamphlet" 1574725 1574744 1575002 1575007) (|OrderingFunctions| "bookvol10.4.pamphlet" 1573857 1573888 1574715 1574720) (|OrderedFinite| "bookvol10.2.pamphlet" 1573780 1573799 1573847 1573852) (|OrderedCompletion| "bookvol10.3.pamphlet" 1572130 1572155 1573200 1573245) (|OrderedCompletionFunctions2| "bookvol10.4.pamphlet" 1571457 1571494 1572120 1572125) (|NumericalOptimizationProblem| "bookvol10.3.pamphlet" 1569197 1569231 1571447 1571452) (|AnnaNumericalOptimizationPackage| "bookvol10.4.pamphlet" 1561619 1561657 1569187 1569192) (|NumericalOptimizationCategory| "bookvol10.2.pamphlet" 1559070 1559105 1561609 1561614) (|OperationsQuery| "bookvol10.4.pamphlet" 1558612 1558633 1559060 1559065) (|Operator| "bookvol10.3.pamphlet" 1558250 1558266 1558336 1558453) (|OnePointCompletion| "bookvol10.3.pamphlet" 1556883 1556909 1557670 1557715) (|OnePointCompletionFunctions2| "bookvol10.4.pamphlet" 1556348 1556386 1556873 1556878) (|OpenMathServerPackage| "bookvol10.4.pamphlet" 1555379 1555406 1556338 1556343) (|OrderedMultisetAggregate| "bookvol10.2.pamphlet" 1555100 1555132 1555282 1555374) (|OpenMathPackage| "bookvol10.4.pamphlet" 1553763 1553784 1555090 1555095) (|OpenMath| "bookvol10.2.pamphlet" 1552832 1552846 1553753 1553758) (|OppositeMonogenicLinearOperator| "bookvol10.3.pamphlet" 1552169 1552210 1552667 1552730) (|ExpressionToOpenMath| "bookvol10.4.pamphlet" 1551985 1552013 1552159 1552164) (|OpenMathError| "bookvol10.3.pamphlet" 1551527 1551546 1551975 1551980) (|OpenMathErrorKind| "bookvol10.3.pamphlet" 1550564 1550587 1551517 1551522) (|OpenMathEncoding| "bookvol10.3.pamphlet" 1549896 1549918 1550554 1550559) (|OpenMathDevice| "bookvol10.3.pamphlet" 1544627 1544647 1549886 1549891) (|OpenMathConnection| "bookvol10.3.pamphlet" 1544028 1544052 1544617 1544622) (|OrderedIntegralDomain| "bookvol10.2.pamphlet" 1543743 1543770 1543911 1544023) (|OrderedFreeMonoid| "bookvol10.3.pamphlet" 1537355 1537380 1543733 1543738) (|OrderlyDifferentialVariable| "bookvol10.3.pamphlet" 1536613 1536648 1537345 1537350) (|OrdinaryDifferentialRing| "bookvol10.3.pamphlet" 1535952 1536000 1536338 1536571) (|OrderlyDifferentialPolynomial| "bookvol10.3.pamphlet" 1532208 1532245 1532561 1532795) (|OrderedDirectProduct| "bookvol10.3.pamphlet" 1521996 1522034 1522372 1522576) (|ODETools| "bookvol10.4.pamphlet" 1520519 1520540 1521986 1521991) (|SystemODESolver| "bookvol10.4.pamphlet" 1517970 1517996 1520509 1520514) (|RationalRicDE| "bookvol10.4.pamphlet" 1513869 1513893 1517904 1517909) (|ReduceLODE| "bookvol10.4.pamphlet" 1513226 1513254 1513859 1513864) (|RationalLODE| "bookvol10.4.pamphlet" 1510664 1510687 1513216 1513221) (|PrimitiveRatRicDE| "bookvol10.4.pamphlet" 1507668 1507701 1510654 1510659) (|NumericalODEProblem| "bookvol10.3.pamphlet" 1506307 1506332 1507658 1507663) (|PrimitiveRatDE| "bookvol10.4.pamphlet" 1503557 1503587 1506297 1506302) (|PureAlgebraicLODE| "bookvol10.4.pamphlet" 1502912 1502947 1503547 1503552) (|AnnaOrdinaryDifferentialEquationPackage| "bookvol10.4.pamphlet" 1490619 1490664 1502902 1502907) (|ODEIntegration| "bookvol10.4.pamphlet" 1490030 1490054 1490609 1490614) (|ODEIntensityFunctionsTable| "bookvol10.3.pamphlet" 1487409 1487441 1490020 1490025) (|ElementaryFunctionODESolver| "bookvol10.4.pamphlet" 1482705 1482742 1487399 1487404) (|ConstantLODE| "bookvol10.4.pamphlet" 1482208 1482232 1482695 1482700) (|OrdinaryDifferentialEquationsSolverCategory| "bookvol10.2.pamphlet" 1480558 1480607 1482198 1482203) (|Octonion| "bookvol10.3.pamphlet" 1478407 1478423 1479095 1479158) (|OctonionCategoryFunctions2| "bookvol10.4.pamphlet" 1478032 1478074 1478397 1478402) (|OctonionCategory| "bookvol10.2.pamphlet" 1475942 1475966 1477964 1478027) (|OctonionCategory&| NIL 1473502 1473529 1475527 1475532) (|OrderedCancellationAbelianMonoid| "bookvol10.2.pamphlet" 1473322 1473360 1473492 1473497) (|OrderedAbelianSemiGroup| "bookvol10.2.pamphlet" 1473067 1473096 1473312 1473317) (|OrderedAbelianMonoidSup| "bookvol10.2.pamphlet" 1472400 1472429 1473057 1473062) (|OrderedAbelianMonoid| "bookvol10.2.pamphlet" 1472245 1472271 1472390 1472395) (|OrderedAbelianGroup| "bookvol10.2.pamphlet" 1472092 1472117 1472235 1472240) (|NumericTubePlot| "bookvol10.4.pamphlet" 1471806 1471835 1472082 1472087) (|NumericalQuadrature| "bookvol10.4.pamphlet" 1460518 1460543 1471796 1471801) (|NumericalOrdinaryDifferentialEquations| "bookvol10.4.pamphlet" 1452049 1452093 1460508 1460513) (|NumericalIntegrationCategory| "bookvol10.2.pamphlet" 1449378 1449412 1452039 1452044) (|NumberFormats| "bookvol10.4.pamphlet" 1448209 1448228 1449368 1449373) (|Numeric| "bookvol10.4.pamphlet" 1440316 1440331 1447968 1447973) (|NormalizedTriangularSetCategory| "bookvol10.2.pamphlet" 1439669 1439714 1440247 1440311) (|NumberTheoreticPolynomialFunctions| "bookvol10.4.pamphlet" 1439171 1439213 1439569 1439574) (|NewSparseUnivariatePolynomial| "bookvol10.3.pamphlet" 1431984 1432021 1435660 1435937) (|NewSparseUnivariatePolynomialFunctions2| "bookvol10.4.pamphlet" 1431343 1431392 1431974 1431979) (|NewSparseMultivariatePolynomial| "bookvol10.3.pamphlet" 1426329 1426377 1426650 1426884) (|NeitherSparseOrDensePowerSeries| "bookvol10.3.pamphlet" 1424503 1424542 1424609 1424774) (|NumericRealEigenPackage| "bookvol10.4.pamphlet" 1422872 1422907 1424493 1424498) (|NewtonPolygon| "bookvol10.4.pamphlet" 1422753 1422793 1422862 1422867) (|NPCoef| "bookvol10.4.pamphlet" 1421997 1422021 1422743 1422748) (|NottinghamGroup| "bookvol10.3.pamphlet" 1421869 1421892 1421970 1421992) (|NormRetractPackage| "bookvol10.4.pamphlet" 1421451 1421502 1421859 1421864) (|NormalizationPackage| "bookvol10.4.pamphlet" 1420281 1420318 1421441 1421446) (|NormInMonogenicAlgebra| "bookvol10.4.pamphlet" 1419943 1419989 1420271 1420276) (|None| "bookvol10.3.pamphlet" 1419682 1419692 1419933 1419938) (|NoneFunctions1| "bookvol10.4.pamphlet" 1419346 1419368 1419672 1419677) (|NonLinearFirstOrderODESolver| "bookvol10.4.pamphlet" 1418781 1418819 1419336 1419341) (|NonNegativeInteger| "bookvol10.3.pamphlet" 1417647 1417671 1418747 1418776) (|NonLinearSolvePackage| "bookvol10.4.pamphlet" 1416254 1416283 1417637 1417642) (|NumericalIntegrationProblem| "bookvol10.3.pamphlet" 1413917 1413950 1416244 1416249) (|NumberFieldIntegralBasis| "bookvol10.4.pamphlet" 1411367 1411402 1413907 1413912) (|NewtonInterpolation| "bookvol10.4.pamphlet" 1410673 1410700 1411357 1411362) (|NonCommutativeOperatorDivision| "bookvol10.4.pamphlet" 1408789 1408829 1410663 1410668) (|NumericContinuedFraction| "bookvol10.4.pamphlet" 1408428 1408460 1408779 1408784) (|NumericComplexEigenPackage| "bookvol10.4.pamphlet" 1406582 1406620 1408418 1408423) (|NonAssociativeRing| "bookvol10.2.pamphlet" 1406164 1406188 1406572 1406577) (|NonAssociativeRing&| NIL 1405743 1405770 1406154 1406159) (|NonAssociativeRng| "bookvol10.2.pamphlet" 1405106 1405129 1405733 1405738) (|NonAssociativeRng&| NIL 1404466 1404492 1405096 1405101) (|NAGLinkSupportPackage| "bookvol10.4.pamphlet" 1403524 1403551 1404456 1404461) (|NagSpecialFunctionsPackage| "bookvol10.4.pamphlet" 1393942 1393974 1403514 1403519) (|NagLapack| "bookvol10.4.pamphlet" 1392435 1392450 1393932 1393937) (|NagLinearEquationSolvingPackage| "bookvol10.4.pamphlet" 1386870 1386907 1392425 1392430) (|NagEigenPackage| "bookvol10.4.pamphlet" 1381013 1381034 1386860 1386865) (|NagMatrixOperationsPackage| "bookvol10.4.pamphlet" 1376799 1376831 1381003 1381008) (|NagOptimisationPackage| "bookvol10.4.pamphlet" 1370573 1370601 1376789 1376794) (|NagFittingPackage| "bookvol10.4.pamphlet" 1361315 1361338 1370563 1370568) (|NagInterpolationPackage| "bookvol10.4.pamphlet" 1357385 1357414 1361305 1361310) (|NagPartialDifferentialEquationsPackage| "bookvol10.4.pamphlet" 1355388 1355432 1357375 1357380) (|NagOrdinaryDifferentialEquationsPackage| "bookvol10.4.pamphlet" 1348157 1348202 1355378 1355383) (|NagIntegrationPackage| "bookvol10.4.pamphlet" 1342682 1342709 1348147 1348152) (|NagSeriesSummationPackage| "bookvol10.4.pamphlet" 1338591 1338622 1342672 1342677) (|NagRootFindingPackage| "bookvol10.4.pamphlet" 1337118 1337145 1338581 1338586) (|NagPolynomialRootsPackage| "bookvol10.4.pamphlet" 1336425 1336456 1337108 1337113) (|NonAssociativeAlgebra| "bookvol10.2.pamphlet" 1335941 1335970 1336376 1336420) (|NonAssociativeAlgebra&| NIL 1335493 1335525 1335931 1335936) (|MyUnivariatePolynomial| "bookvol10.3.pamphlet" 1331639 1331673 1331982 1332259) (|MyExpression| "bookvol10.3.pamphlet" 1329189 1329213 1329271 1329638) (|MultivariateSquareFree| "bookvol10.4.pamphlet" 1326137 1326174 1329179 1329184) (|MultivariateFactorize| "bookvol10.4.pamphlet" 1325516 1325552 1326127 1326132) (|MultivariateTaylorSeriesCategory| "bookvol10.2.pamphlet" 1323448 1323499 1325346 1325511) (|MergeThing| "bookvol10.4.pamphlet" 1323099 1323117 1323438 1323443) (|MoreSystemCommands| "bookvol10.4.pamphlet" 1322541 1322565 1323089 1323094) (|Multiset| "bookvol10.3.pamphlet" 1320517 1320533 1322222 1322302) (|MultisetAggregate| "bookvol10.2.pamphlet" 1320306 1320331 1320444 1320512) (|MonoidRing| "bookvol10.3.pamphlet" 1317219 1317239 1319900 1320017) (|MonoidRingFunctions2| "bookvol10.4.pamphlet" 1316763 1316795 1317209 1317214) (|MRationalFactorize| "bookvol10.4.pamphlet" 1316308 1316341 1316753 1316758) (|MPolyCatRationalFunctionFactorizer| "bookvol10.4.pamphlet" 1314349 1314400 1316298 1316303) (|MultivariatePolynomial| "bookvol10.3.pamphlet" 1310797 1310832 1311159 1311393) (|MPolyCatPolyFactorizer| "bookvol10.4.pamphlet" 1310056 1310095 1310787 1310792) (|MPolyCatFunctions3| "bookvol10.4.pamphlet" 1309853 1309909 1310046 1310051) (|MPolyCatFunctions2| "bookvol10.4.pamphlet" 1309588 1309637 1309843 1309848) (|MonomialExtensionTools| "bookvol10.4.pamphlet" 1307943 1307976 1309578 1309583) (|Monoid| "bookvol10.2.pamphlet" 1306841 1306853 1307933 1307938) (|Monoid&| NIL 1305736 1305751 1306831 1306836) (|MonogenicAlgebra| "bookvol10.2.pamphlet" 1304369 1304396 1305515 1305731) (|MonogenicAlgebra&| NIL 1303080 1303110 1304229 1304234) (|MonadWithUnit| "bookvol10.2.pamphlet" 1301222 1301241 1303070 1303075) (|MonadWithUnit&| NIL 1299361 1299383 1301212 1301217) (|Monad| "bookvol10.2.pamphlet" 1298549 1298560 1299351 1299356) (|Monad&| NIL 1297734 1297748 1298539 1298544) (|MoebiusTransform| "bookvol10.3.pamphlet" 1296374 1296398 1297707 1297729) (|Module| "bookvol10.2.pamphlet" 1296066 1296080 1296325 1296369) (|Module&| NIL 1295794 1295811 1296056 1296061) (|ModularRing| "bookvol10.3.pamphlet" 1295089 1295145 1295767 1295789) (|ModuleOperator| "bookvol10.3.pamphlet" 1293599 1293623 1294813 1294930) (|ModuleMonomial| "bookvol10.3.pamphlet" 1293100 1293130 1293589 1293594) (|ModMonic| "bookvol10.3.pamphlet" 1288672 1288694 1289496 1289773) (|ModularField| "bookvol10.3.pamphlet" 1287949 1288006 1288502 1288667) (|MathMLFormat| "bookvol10.3.pamphlet" 1286744 1286762 1287939 1287944) (|MultipleMap| "bookvol10.4.pamphlet" 1286469 1286512 1286734 1286739) (|MonogenicLinearOperator| "bookvol10.2.pamphlet" 1284842 1284873 1286401 1286464) (|MultivariateLifting| "bookvol10.4.pamphlet" 1283441 1283475 1284832 1284837) (|MakeUnaryCompiledFunction| "bookvol10.4.pamphlet" 1282862 1282899 1283431 1283436) (|MakeRecord| "bookvol10.4.pamphlet" 1282446 1282467 1282852 1282857) (|MakeFunction| "bookvol10.4.pamphlet" 1281721 1281741 1282436 1282441) (|MakeFloatCompiledFunction| "bookvol10.4.pamphlet" 1280548 1280581 1281711 1281716) (|MakeCachableSet| "bookvol10.3.pamphlet" 1280313 1280336 1280538 1280543) (|MakeBinaryCompiledFunction| "bookvol10.4.pamphlet" 1279728 1279770 1280303 1280308) (|MachineInteger| "bookvol10.3.pamphlet" 1279076 1279096 1279551 1279723) (|ModularHermitianRowReduction| "bookvol10.4.pamphlet" 1277689 1277725 1279066 1279071) (|MachineFloat| "bookvol10.3.pamphlet" 1276047 1276065 1277499 1277684) (|MultFiniteFactorize| "bookvol10.4.pamphlet" 1275434 1275469 1276037 1276042) (|MeshCreationRoutinesForThreeDimensions| "bookvol10.4.pamphlet" 1273310 1273354 1275424 1275429) (|ModularDistinctDegreeFactorizer| "bookvol10.4.pamphlet" 1271534 1271573 1273300 1273305) (|MultiDictionary| "bookvol10.2.pamphlet" 1270789 1270812 1271489 1271529) (|MachineComplex| "bookvol10.3.pamphlet" 1264702 1264722 1265328 1265733) (|MatrixCommonDenominator| "bookvol10.4.pamphlet" 1263883 1263916 1264692 1264697) (|MultiVariableCalculusFunctions| "bookvol10.4.pamphlet" 1261119 1261169 1263873 1263878) (|StorageEfficientMatrixOperations| "bookvol10.4.pamphlet" 1258369 1258409 1261109 1261114) (|Matrix| "bookvol10.3.pamphlet" 1257124 1257138 1257610 1257662) (|MatrixLinearAlgebraFunctions| "bookvol10.4.pamphlet" 1254478 1254528 1256980 1256985) (|MatrixCategory| "bookvol10.2.pamphlet" 1240569 1240603 1254409 1254473) (|MatrixCategory&| NIL 1226483 1226520 1240326 1240331) (|MatrixCategoryFunctions2| "bookvol10.4.pamphlet" 1225743 1225813 1226473 1226478) (|MappingPackage4| "bookvol10.4.pamphlet" 1224524 1224549 1225733 1225738) (|MappingPackage3| "bookvol10.4.pamphlet" 1223386 1223413 1224514 1224519) (|MappingPackage2| "bookvol10.4.pamphlet" 1222679 1222704 1223376 1223381) (|MappingPackage1| "bookvol10.4.pamphlet" 1221488 1221511 1222669 1222674) (|MappingPackageInternalHacks3| "bookvol10.4.pamphlet" 1221274 1221314 1221478 1221483) (|MappingPackageInternalHacks2| "bookvol10.4.pamphlet" 1221017 1221055 1221264 1221269) (|MappingPackageInternalHacks1| "bookvol10.4.pamphlet" 1220627 1220663 1221007 1221012) (|MatrixManipulation| "bookvol10.4.pamphlet" 1216283 1216323 1220617 1220622) (|Magma| "bookvol10.3.pamphlet" 1214564 1214584 1216273 1216278) (|ModularAlgebraicGcdOperations| "bookvol10.2.pamphlet" 1212393 1212435 1214554 1214559) (|ThreeDimensionalMatrix| "bookvol10.3.pamphlet" 1210317 1210347 1211953 1211958) (|LazyStreamAggregate| "bookvol10.2.pamphlet" 1206048 1206075 1210297 1210312) (|LazyStreamAggregate&| NIL 1201786 1201816 1206038 1206043) (|LyndonWord| "bookvol10.3.pamphlet" 1199016 1199041 1201776 1201781) (|LieSquareMatrix| "bookvol10.3.pamphlet" 1196929 1196956 1197324 1197411) (|LinearSystemPolynomialPackage| "bookvol10.4.pamphlet" 1196445 1196489 1196919 1196924) (|LinearSystemMatrixPackage| "bookvol10.4.pamphlet" 1195228 1195275 1196435 1196440) (|LinearSystemMatrixPackage1| "bookvol10.4.pamphlet" 1192970 1193004 1195218 1195223) (|ListAggregate| "bookvol10.2.pamphlet" 1192591 1192612 1192901 1192965) (|ListAggregate&| NIL 1192268 1192292 1192581 1192586) (|LiePolynomial| "bookvol10.3.pamphlet" 1191372 1191402 1192091 1192177) (|LinearPolynomialEquationByFractions| "bookvol10.4.pamphlet" 1190600 1190643 1191362 1191367) (|LocalParametrizationOfSimplePointPackage| "bookvol10.4.pamphlet" 1189038 1189125 1190590 1190595) (|LeftOreRing| "bookvol10.2.pamphlet" 1188483 1188500 1188947 1189033) (|LinesOpPack| "bookvol10.4.pamphlet" 1187147 1187166 1188473 1188478) (|Localize| "bookvol10.3.pamphlet" 1186504 1186524 1187047 1187091) (|Logic| "bookvol10.2.pamphlet" 1186133 1186144 1186494 1186499) (|Logic&| NIL 1185759 1185773 1186123 1186128) (|LinearOrdinaryDifferentialOperatorsOps| "bookvol10.4.pamphlet" 1184653 1184701 1185749 1185754) (|LinearOrdinaryDifferentialOperator| "bookvol10.3.pamphlet" 1183896 1183945 1184238 1184301) (|LinearOrdinaryDifferentialOperatorFactorizer| "bookvol10.4.pamphlet" 1182883 1182938 1183830 1183835) (|LinearOrdinaryDifferentialOperatorCategory| "bookvol10.2.pamphlet" 1181468 1181518 1182815 1182878) (|LinearOrdinaryDifferentialOperatorCategory&| NIL 1180071 1180124 1181421 1181426) (|LinearOrdinaryDifferentialOperator2| "bookvol10.3.pamphlet" 1179203 1179248 1179656 1179719) (|LinearOrdinaryDifferentialOperator1| "bookvol10.3.pamphlet" 1178462 1178505 1178788 1178851) (|ElementaryFunctionLODESolver| "bookvol10.4.pamphlet" 1177166 1177206 1178452 1178457) (|LocalPowerSeriesCategory| "bookvol10.2.pamphlet" 1175495 1175527 1176996 1177161) (|LinearAggregate| "bookvol10.2.pamphlet" 1171958 1171981 1175475 1175490) (|LinearAggregate&| NIL 1168381 1168407 1171901 1171906) (|ListMonoidOps| "bookvol10.3.pamphlet" 1164982 1165010 1168371 1168376) (|LeftModule| "bookvol10.2.pamphlet" 1164489 1164507 1164972 1164977) (|ListMultiDictionary| "bookvol10.3.pamphlet" 1163529 1163556 1164198 1164250) (|LinearSystemFromPowerSeriesPackage| "bookvol10.4.pamphlet" 1162948 1162994 1163519 1163524) (|List| "bookvol10.3.pamphlet" 1160779 1160791 1162188 1162240) (|ListFunctions3| "bookvol10.4.pamphlet" 1160082 1160108 1160769 1160774) (|ListFunctions2| "bookvol10.4.pamphlet" 1158750 1158774 1160072 1160077) (|ListToMap| "bookvol10.4.pamphlet" 1155606 1155625 1158740 1158745) (|LinearlyExplicitRingOver| "bookvol10.2.pamphlet" 1154955 1154987 1155579 1155601) (|LinearDependence| "bookvol10.4.pamphlet" 1153808 1153834 1154861 1154866) (|RationalFunctionLimitPackage| "bookvol10.4.pamphlet" 1151740 1151776 1153798 1153803) (|PowerSeriesLimitPackage| "bookvol10.4.pamphlet" 1150594 1150628 1151730 1151735) (|AssociatedLieAlgebra| "bookvol10.3.pamphlet" 1148299 1148329 1149577 1149821) (|LieAlgebra| "bookvol10.2.pamphlet" 1147859 1147877 1148208 1148294) (|LieAlgebra&| NIL 1147460 1147481 1147812 1147817) (|Library| "bookvol10.3.pamphlet" 1145803 1145816 1146514 1146542) (|LinGroebnerPackage| "bookvol10.4.pamphlet" 1143169 1143200 1145793 1145798) (|LiouvillianFunction| "bookvol10.4.pamphlet" 1141935 1141964 1143159 1143164) (|LiouvillianFunctionCategory| "bookvol10.2.pamphlet" 1140763 1140796 1141925 1141930) (|LexTriangularPackage| "bookvol10.4.pamphlet" 1136577 1136610 1140753 1140758) (|LieExponentials| "bookvol10.3.pamphlet" 1134792 1134832 1136550 1136572) (|LeadingCoefDetermination| "bookvol10.4.pamphlet" 1133200 1133239 1134782 1134787) (|LazardSetSolvingPackage| "bookvol10.4.pamphlet" 1132289 1132332 1133190 1133195) (|LaurentPolynomial| "bookvol10.3.pamphlet" 1130895 1130923 1131727 1131839) (|LaplaceTransform| "bookvol10.4.pamphlet" 1130430 1130456 1130885 1130890) (|LocalAlgebra| "bookvol10.3.pamphlet" 1129797 1129821 1130319 1130382) (|LeftAlgebra| "bookvol10.2.pamphlet" 1129557 1129576 1129770 1129792) (|LeftAlgebra&| NIL 1129331 1129353 1129547 1129552) (|Kovacic| "bookvol10.4.pamphlet" 1128011 1128029 1129321 1129326) (|ConvertibleTo| "bookvol10.2.pamphlet" 1127724 1127745 1128001 1128006) (|CoercibleTo| "bookvol10.2.pamphlet" 1127452 1127471 1127714 1127719) (|Kernel| "bookvol10.3.pamphlet" 1125951 1125965 1127178 1127183) (|KernelFunctions2| "bookvol10.4.pamphlet" 1125640 1125666 1125941 1125946) (|KeyedDictionary| "bookvol10.2.pamphlet" 1124753 1124788 1125595 1125635) (|KeyedDictionary&| NIL 1123898 1123936 1124743 1124748) (|KeyedAccessFile| "bookvol10.3.pamphlet" 1122370 1122399 1123092 1123144) (|AssociatedJordanAlgebra| "bookvol10.3.pamphlet" 1120051 1120084 1121353 1121597) (|IndexedAggregate| "bookvol10.2.pamphlet" 1118281 1118319 1120031 1120046) (|IndexedAggregate&| NIL 1116334 1116375 1118087 1118092) (|IndexedVector| "bookvol10.3.pamphlet" 1115151 1115177 1115302 1115354) (|InfiniteTuple| "bookvol10.3.pamphlet" 1114260 1114281 1115141 1115146) (|InnerTrigonometricManipulations| "bookvol10.4.pamphlet" 1112998 1113042 1114250 1114255) (|InfiniteTupleFunctions3| "bookvol10.4.pamphlet" 1112483 1112518 1112988 1112993) (|InfiniteTupleFunctions2| "bookvol10.4.pamphlet" 1112206 1112239 1112473 1112478) (|InnerTaylorSeries| "bookvol10.3.pamphlet" 1109896 1109926 1111939 1112155) (|InnerSparseUnivariatePowerSeries| "bookvol10.3.pamphlet" 1102023 1102068 1108639 1108804) (|InnerPolySum| "bookvol10.4.pamphlet" 1101480 1101506 1102013 1102018) (|IndexedString| "bookvol10.3.pamphlet" 1100477 1100501 1100654 1100706) (|InternalRationalUnivariateRepresentationPackage| "bookvol10.4.pamphlet" 1099427 1099491 1100467 1100472) (|IrrRepSymNatPackage| "bookvol10.4.pamphlet" 1097478 1097503 1099417 1099422) (|IntegrationResultRFToFunction| "bookvol10.4.pamphlet" 1095982 1096019 1097418 1097423) (|IrredPolyOverFiniteField| "bookvol10.4.pamphlet" 1095561 1095594 1095972 1095977) (|IntegerRoots| "bookvol10.4.pamphlet" 1093867 1093887 1095551 1095556) (|IntegrationResult| "bookvol10.3.pamphlet" 1091525 1091550 1093668 1093712) (|IntegrationResultFunctions2| "bookvol10.4.pamphlet" 1090648 1090685 1091515 1091520) (|IntegrationResultToFunction| "bookvol10.4.pamphlet" 1089804 1089841 1090638 1090643) (|InternalPrintPackage| "bookvol10.4.pamphlet" 1089562 1089588 1089794 1089799) (|InnerPrimeField| "bookvol10.3.pamphlet" 1089139 1089164 1089256 1089421) (|InnerPAdicInteger| "bookvol10.3.pamphlet" 1088852 1088893 1089022 1089134) (|InverseLaplaceTransform| "bookvol10.4.pamphlet" 1088432 1088465 1088842 1088847) (|TranscendentalIntegration| "bookvol10.4.pamphlet" 1081435 1081471 1088422 1088427) (|IntegrationTools| "bookvol10.4.pamphlet" 1079138 1079164 1080857 1080862) (|IntegerSolveLinearPolynomialEquation| "bookvol10.4.pamphlet" 1078424 1078466 1079128 1079133) (|Interval| "bookvol10.3.pamphlet" 1078143 1078159 1078287 1078419) (|RationalFunctionIntegration| "bookvol10.4.pamphlet" 1076486 1076521 1078133 1078138) (|IntegerRetractions| "bookvol10.4.pamphlet" 1075963 1075989 1076476 1076481) (|RationalIntegration| "bookvol10.4.pamphlet" 1074619 1074649 1075953 1075958) (|PatternMatchIntegration| "bookvol10.4.pamphlet" 1072790 1072823 1074137 1074142) (|PureAlgebraicIntegration| "bookvol10.4.pamphlet" 1070389 1070425 1072682 1072687) (|AnnaNumericalIntegrationPackage| "bookvol10.4.pamphlet" 1060885 1060922 1070379 1070384) (|Integer| "bookvol10.3.pamphlet" 1060131 1060144 1060629 1060880) (|TranscendentalHermiteIntegration| "bookvol10.4.pamphlet" 1059371 1059414 1060121 1060126) (|AlgebraicHermiteIntegration| "bookvol10.4.pamphlet" 1058995 1059040 1059361 1059366) (|IntegerNumberTheoryFunctions| "bookvol10.4.pamphlet" 1055348 1055382 1058985 1058990) (|GenusZeroIntegration| "bookvol10.4.pamphlet" 1048452 1048484 1055240 1055245) (|IntegrationFunctionsTable| "bookvol10.3.pamphlet" 1042427 1042458 1048442 1048447) (|InterpolateFormsPackage| "bookvol10.4.pamphlet" 1041558 1041636 1042417 1042422) (|IntegerFactorizationPackage| "bookvol10.4.pamphlet" 1040619 1040654 1041548 1041553) (|InterfaceGroebnerPackage| "bookvol10.4.pamphlet" 1040465 1040511 1040609 1040614) (|ElementaryIntegration| "bookvol10.4.pamphlet" 1038808 1038839 1040455 1040460) (|IntegralDomain| "bookvol10.2.pamphlet" 1037405 1037425 1038691 1038803) (|IntegralDomain&| NIL 1036106 1036129 1037395 1037400) (|IntersectionDivisorPackage| "bookvol10.4.pamphlet" 1035228 1035339 1036096 1036101) (|IntervalCategory| "bookvol10.2.pamphlet" 1033784 1033808 1035091 1035223) (|IntegerBits| "bookvol10.4.pamphlet" 1033306 1033323 1033774 1033779) (|AlgebraicIntegrate| "bookvol10.4.pamphlet" 1032452 1032491 1033296 1033301) (|AlgebraicIntegration| "bookvol10.4.pamphlet" 1031914 1031944 1032442 1032447) (|InnerTable| "bookvol10.3.pamphlet" 1030830 1030869 1031001 1031053) (|IntegerNumberSystem| "bookvol10.2.pamphlet" 1028068 1028093 1030653 1030825) (|IntegerNumberSystem&| NIL 1025470 1025498 1028058 1028063) (|InnerPolySign| "bookvol10.4.pamphlet" 1024907 1024931 1025460 1025465) (|InfiniteProductPrimeField| "bookvol10.4.pamphlet" 1023980 1024022 1024897 1024902) (|InfiniteProductFiniteField| "bookvol10.4.pamphlet" 1023044 1023092 1023970 1023975) (|InnerMultFact| "bookvol10.4.pamphlet" 1022039 1022067 1023034 1023039) (|InnerModularGcd| "bookvol10.4.pamphlet" 1021183 1021226 1022029 1022034) (|InnerNumericFloatSolvePackage| "bookvol10.4.pamphlet" 1019505 1019550 1021173 1021178) (|InfiniteProductCharacteristicZero| "bookvol10.4.pamphlet" 1018554 1018604 1019495 1019500) (|InputForm| "bookvol10.3.pamphlet" 1015468 1015483 1018544 1018549) (|InputFormFunctions1| "bookvol10.4.pamphlet" 1015096 1015123 1015458 1015463) (|Infinity| "bookvol10.4.pamphlet" 1014678 1014692 1015086 1015091) (|InfinitlyClosePoint| "bookvol10.3.pamphlet" 1014078 1014158 1014668 1014673) (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 1013464 1013543 1014068 1014073) (|InfinitlyClosePointCategory| "bookvol10.2.pamphlet" 1012092 1012180 1013454 1013459) (|InnerNumericEigenPackage| "bookvol10.4.pamphlet" 1010618 1010658 1012082 1012087) (|IndexedExponents| "bookvol10.3.pamphlet" 1010510 1010541 1010608 1010613) (|IncrementingMaps| "bookvol10.4.pamphlet" 1009913 1009937 1010500 1010505) (|InnerNormalBasisFieldFunctions| "bookvol10.4.pamphlet" 1005779 1005818 1009903 1009908) (|IndexedMatrix| "bookvol10.3.pamphlet" 1004804 1004841 1005327 1005379) (|InnerMatrixQuotientFieldFunctions| "bookvol10.4.pamphlet" 1003852 1003927 1004747 1004752) (|InnerMatrixLinearAlgebraFunctions| "bookvol10.4.pamphlet" 1002421 1002476 1003795 1003800) (|IndexedList| "bookvol10.3.pamphlet" 1001175 1001199 1001703 1001755) (|InnerIndexedTwoDimensionalArray| "bookvol10.3.pamphlet" 1000824 1000891 1000958 1001010) (|InnerFiniteField| "bookvol10.3.pamphlet" 1000044 1000074 1000309 1000474) (|IndexedFlexibleArray| "bookvol10.3.pamphlet" 997135 997168 999326 999378) (|InnerFreeAbelianMonoid| "bookvol10.3.pamphlet" 996935 996972 997073 997078) (|InnerEvalable| "bookvol10.2.pamphlet" 996321 996344 996925 996930) (|InnerEvalable&| NIL 995704 995730 996311 996316) (|IndexedDirectProductObject| "bookvol10.3.pamphlet" 995493 995529 995694 995699) (|IndexedDirectProductOrderedAbelianMonoidSup| "bookvol10.3.pamphlet" 995225 995278 995483 995488) (|IndexedDirectProductOrderedAbelianMonoid| "bookvol10.3.pamphlet" 994922 994972 995215 995220) (|IndexedDirectProductCategory| "bookvol10.2.pamphlet" 993834 993872 994912 994917) (|IndexedDirectProductAbelianMonoid| "bookvol10.3.pamphlet" 993563 993606 993824 993829) (|IndexedDirectProductAbelianGroup| "bookvol10.3.pamphlet" 993295 993337 993553 993558) (|IdealDecompositionPackage| "bookvol10.4.pamphlet" 990544 990585 993285 993290) (|PolynomialIdeals| "bookvol10.3.pamphlet" 985600 985649 990465 990470) (|InfClsPt| "bookvol10.3.pamphlet" 985051 985080 985590 985595) (|InnerCommonDenominator| "bookvol10.4.pamphlet" 984264 984300 985041 985046) (|IndexCard| "bookvol10.3.pamphlet" 983540 983555 984254 984259) (|IntegralBasisPolynomialTools| "bookvol10.4.pamphlet" 982157 982200 983530 983535) (|IndexedBits| "bookvol10.3.pamphlet" 981314 981336 981735 981787) (|IntegralBasisTools| "bookvol10.4.pamphlet" 978229 978260 981304 981309) (|ChineseRemainderToolsForIntegralBases| "bookvol10.4.pamphlet" 977104 977154 978219 978224) (|IndexedTwoDimensionalArray| "bookvol10.3.pamphlet" 976764 976814 976887 976939) (|IndexedOneDimensionalArray| "bookvol10.3.pamphlet" 975929 975968 976046 976098) (|InnerAlgebraicNumber| "bookvol10.3.pamphlet" 974046 974072 975657 975822) (|InnerAlgFactor| "bookvol10.4.pamphlet" 973595 973636 974036 974041) (|HyperbolicFunctionCategory| "bookvol10.2.pamphlet" 972949 972981 973585 973590) (|HyperbolicFunctionCategory&| NIL 972300 972335 972939 972944) (|HTMLFormat| "bookvol10.3.pamphlet" 971144 971160 972290 972295) (|HomogeneousAggregate| "bookvol10.2.pamphlet" 968920 968948 971124 971139) (|HomogeneousAggregate&| NIL 966497 966528 968704 968709) (|HexadecimalExpansion| "bookvol10.3.pamphlet" 963635 963661 964251 964416) (|HeuGcd| "bookvol10.4.pamphlet" 962583 962598 963625 963630) (|HyperellipticFiniteDivisor| "bookvol10.3.pamphlet" 962195 962239 962573 962578) (|Heap| "bookvol10.3.pamphlet" 958283 958295 961978 962030) (|HomogeneousDirectProduct| "bookvol10.3.pamphlet" 948065 948103 948447 948651) (|HomogeneousDistributedMultivariatePolynomial| "bookvol10.3.pamphlet" 944234 944291 944875 945109) (|HallBasis| "bookvol10.4.pamphlet" 942823 942838 944224 944229) (|HashTable| "bookvol10.3.pamphlet" 941694 941732 941910 941962) (|Pi| "bookvol10.3.pamphlet" 941233 941241 941524 941689) (|GuessUnivariatePolynomial| "bookvol10.4.pamphlet" 927307 927342 941223 941228) (|GuessPolynomial| "bookvol10.4.pamphlet" 926981 927002 927094 927099) (|Guess| "bookvol10.4.pamphlet" 911246 911288 926825 926830) (|GuessInteger| "bookvol10.4.pamphlet" 910955 910973 911063 911068) (|GuessFinite| "bookvol10.4.pamphlet" 910758 910777 910876 910881) (|GuessFiniteFunctions| "bookvol10.4.pamphlet" 910621 910649 910748 910753) (|GuessAlgebraicNumber| "bookvol10.4.pamphlet" 910409 910435 910527 910532) (|GeneralTriangularSet| "bookvol10.3.pamphlet" 909526 909560 910030 910082) (|GeneralSparseTable| "bookvol10.3.pamphlet" 908449 908500 908637 908665) (|GeneralUnivariatePowerSeries| "bookvol10.3.pamphlet" 905126 905179 906111 906363) (|Group| "bookvol10.2.pamphlet" 904094 904105 905099 905121) (|Group&| NIL 903076 903090 904084 904089) (|GroebnerSolve| "bookvol10.4.pamphlet" 901660 901688 903066 903071) (|GradedModule| "bookvol10.2.pamphlet" 900290 900312 901650 901655) (|GradedModule&| NIL 898917 898942 900280 900285) (|GraphImage| "bookvol10.3.pamphlet" 891948 891964 898907 898912) (|GraphicsDefaults| "bookvol10.4.pamphlet" 890329 890351 891938 891943) (|GrayCode| "bookvol10.4.pamphlet" 888864 888878 890319 890324) (|Graphviz| "bookvol10.4.pamphlet" 887688 887702 888854 888859) (|GradedAlgebra| "bookvol10.2.pamphlet" 886880 886903 887678 887683) (|GradedAlgebra&| NIL 886069 886095 886870 886875) (|GeneralPolynomialSet| "bookvol10.3.pamphlet" 885500 885541 885730 885782) (|GeneralPackageForAlgebraicFunctionField| "bookvol10.4.pamphlet" 880233 880357 885452 885457) (|GosperSummationMethod| "bookvol10.4.pamphlet" 879483 879520 880223 880228) (|GuessOption| "bookvol10.3.pamphlet" 873767 873784 879473 879478) (|GuessOptionFunctions0| "bookvol10.3.pamphlet" 870163 870190 873757 873762) (|GeneralModulePolynomial| "bookvol10.3.pamphlet" 869242 869290 870114 870158) (|GeneralHenselPackage| "bookvol10.4.pamphlet" 868396 868428 869232 869237) (|GenerateUnivariatePowerSeries| "bookvol10.4.pamphlet" 864182 864222 868386 868391) (|GenUFactorize| "bookvol10.4.pamphlet" 863775 863796 864172 864177) (|GeneralPolynomialGcdPackage| "bookvol10.4.pamphlet" 863400 863442 863765 863770) (|GeneralizedMultivariateFactorize| "bookvol10.4.pamphlet" 862837 862886 863390 863395) (|GenExEuclid| "bookvol10.4.pamphlet" 861310 861332 862827 862832) (|GnuDraw| "bookvol10.4.pamphlet" 859770 859783 861300 861305) (|GeneralDistributedMultivariatePolynomial| "bookvol10.3.pamphlet" 855789 855844 856580 856814) (|GenericNonAssociativeAlgebra| "bookvol10.3.pamphlet" 849629 849682 855478 855595) (|GcdDomain| "bookvol10.2.pamphlet" 848533 848548 849512 849624) (|GcdDomain&| NIL 847541 847559 848523 848528) (|GroebnerPackage| "bookvol10.4.pamphlet" 843072 843123 847494 847499) (|GroebnerInternalPackage| "bookvol10.4.pamphlet" 839149 839208 843062 843067) (|GroebnerFactorizationPackage| "bookvol10.4.pamphlet" 834588 834652 839139 839144) (|EuclideanGroebnerBasisPackage| "bookvol10.4.pamphlet" 831214 831279 834578 834583) (|GaussianFactorizationPackage| "bookvol10.4.pamphlet" 830511 830545 831204 831209) (|GaloisGroupUtilities| "bookvol10.4.pamphlet" 828802 828830 830450 830455) (|GaloisGroupPolynomialUtilities| "bookvol10.4.pamphlet" 827241 827282 828792 828797) (|GaloisGroupFactorizationUtilities| "bookvol10.4.pamphlet" 825419 825465 827231 827236) (|GaloisGroupFactorizer| "bookvol10.4.pamphlet" 815838 815868 825409 825414) (|FortranVectorFunctionCategory| "bookvol10.2.pamphlet" 812754 812789 815818 815833) (|FortranVectorCategory| "bookvol10.2.pamphlet" 811779 811806 812734 812749) (|FunctionCalled| "bookvol10.3.pamphlet" 811616 811640 811769 811774) (|FortranType| "bookvol10.3.pamphlet" 809839 809856 811606 811611) (|FortranTemplate| "bookvol10.3.pamphlet" 808997 809018 809829 809834) (|FunctionSpaceUnivariatePolynomialFactor| "bookvol10.4.pamphlet" 807986 808038 808909 808914) (|FortranScalarType| "bookvol10.3.pamphlet" 806115 806138 807976 807981) (|FunctionSpaceReduce| "bookvol10.4.pamphlet" 805526 805555 806105 806110) (|FunctionSpacePrimitiveElement| "bookvol10.4.pamphlet" 804340 804379 805460 805465) (|FunctionalSpecialFunction| "bookvol10.4.pamphlet" 801608 801643 804330 804335) (|FunctionSpace| "bookvol10.2.pamphlet" 795360 795381 801224 801603) (|FunctionSpace&| NIL 788919 788943 794786 794791) (|FunctionSpaceIntegration| "bookvol10.4.pamphlet" 788517 788551 788909 788914) (|FourierSeries| "bookvol10.3.pamphlet" 787766 787789 788269 788424) (|FunctionSpaceComplexIntegration| "bookvol10.4.pamphlet" 787005 787046 787756 787761) (|FiniteSetAggregate| "bookvol10.2.pamphlet" 786125 786151 786908 787000) (|FiniteSetAggregate&| NIL 785247 785276 786033 786038) (|FiniteSetAggregateFunctions2| "bookvol10.4.pamphlet" 783964 784006 785237 785242) (|FunctionSpaceToUnivariatePowerSeries| "bookvol10.4.pamphlet" 778421 778489 783954 783959) (|FunctionSpaceFunctions2| "bookvol10.4.pamphlet" 778012 778049 778411 778416) (|FunctionSpaceToExponentialExpansion| "bookvol10.4.pamphlet" 777142 777198 778002 778007) (|FactoredFunctionUtilities| "bookvol10.4.pamphlet" 776119 776152 777132 777137) (|Factored| "bookvol10.3.pamphlet" 767823 767839 774877 774989) (|FramedNonAssociativeAlgebra| "bookvol10.2.pamphlet" 762945 762980 767729 767818) (|FramedNonAssociativeAlgebra&| NIL 758111 758149 762898 762903) (|FramedNonAssociativeAlgebraFunctions2| "bookvol10.4.pamphlet" 757524 757577 758101 758106) (|FramedModule| "bookvol10.3.pamphlet" 756918 756954 757445 757450) (|FractionalIdeal| "bookvol10.3.pamphlet" 756135 756165 756891 756913) (|FractionalIdealFunctions2| "bookvol10.4.pamphlet" 755850 755905 756125 756130) (|FullyRetractableTo| "bookvol10.2.pamphlet" 755508 755534 755840 755845) (|FullyRetractableTo&| NIL 754995 755024 755330 755335) (|FramedAlgebra| "bookvol10.2.pamphlet" 753366 753390 754927 754990) (|FramedAlgebra&| NIL 751792 751819 753356 753361) (|Fraction| "bookvol10.3.pamphlet" 748044 748060 748435 748729) (|FractionFunctions2| "bookvol10.4.pamphlet" 747641 747669 748034 748039) (|FactoredFunctions2| "bookvol10.4.pamphlet" 746983 747011 747631 747636) (|FloatingPointSystem| "bookvol10.2.pamphlet" 743835 743860 746793 746978) (|FloatingPointSystem&| NIL 740765 740793 743726 743731) (|FieldOfPrimeCharacteristic| "bookvol10.2.pamphlet" 739723 739755 740595 740760) (|FieldOfPrimeCharacteristic&| NIL 738838 738873 739713 739718) (|FullyPatternMatchable| "bookvol10.2.pamphlet" 738571 738600 738818 738833) (|FullPartialFractionExpansion| "bookvol10.3.pamphlet" 737299 737338 738561 738566) (|FortranProgram| "bookvol10.3.pamphlet" 735771 735833 737289 737294) (|FortranPackage| "bookvol10.4.pamphlet" 734708 734728 735761 735766) (|FortranFunctionCategory| "bookvol10.2.pamphlet" 731777 731806 734688 734703) (|FortranProgramCategory| "bookvol10.2.pamphlet" 731460 731488 731757 731772) (|ScriptFormulaFormat| "bookvol10.3.pamphlet" 728837 728862 731450 731455) (|ScriptFormulaFormat1| "bookvol10.4.pamphlet" 728298 728326 728827 728832) (|FindOrderFinite| "bookvol10.4.pamphlet" 728070 728103 728288 728293) (|FortranOutputStackPackage| "bookvol10.4.pamphlet" 727248 727279 728060 728065) (|FreeNilpotentLie| "bookvol10.3.pamphlet" 726639 726675 727199 727243) (|FileNameCategory| "bookvol10.2.pamphlet" 724969 724991 726629 726634) (|FileName| "bookvol10.3.pamphlet" 724855 724869 724959 724964) (|FortranMachineTypeCategory| "bookvol10.2.pamphlet" 724586 724618 724738 724850) (|FreeMonoid| "bookvol10.3.pamphlet" 721340 721358 724534 724539) (|FreeModule| "bookvol10.3.pamphlet" 721005 721025 721244 721288) (|FortranMatrixFunctionCategory| "bookvol10.2.pamphlet" 717928 717963 720985 721000) (|FortranMatrixCategory| "bookvol10.2.pamphlet" 716953 716980 717908 717923) (|FreeModuleCat| "bookvol10.2.pamphlet" 714619 714648 716904 716948) (|FreeModule1| "bookvol10.3.pamphlet" 714042 714063 714523 714567) (|FloatingRealPackage| "bookvol10.4.pamphlet" 711833 711864 714032 714037) (|Float| "bookvol10.3.pamphlet" 708626 708637 711590 711828) (|FloatingComplexPackage| "bookvol10.4.pamphlet" 706072 706106 708616 708621) (|FullyLinearlyExplicitRingOver| "bookvol10.2.pamphlet" 705740 705777 706045 706067) (|FullyLinearlyExplicitRingOver&| NIL 705341 705381 705649 705654) (|FiniteLinearAggregateSort| "bookvol10.4.pamphlet" 704574 704609 705331 705336) (|FreeLieAlgebra| "bookvol10.2.pamphlet" 702612 702643 704483 704569) (|FiniteLinearAggregate| "bookvol10.2.pamphlet" 699787 699816 702568 702607) (|FiniteLinearAggregate&| NIL 696857 696889 699641 699646) (|FiniteLinearAggregateFunctions2| "bookvol10.4.pamphlet" 695549 695594 696847 696852) (|FiniteRankAlgebra| "bookvol10.2.pamphlet" 693631 693659 695481 695544) (|FiniteRankAlgebra&| NIL 691624 691655 693477 693482) (|Finite| "bookvol10.2.pamphlet" 690615 690627 691614 691619) (|Finite&| NIL 689603 689618 690605 690610) (|FiniteRankNonAssociativeAlgebra| "bookvol10.2.pamphlet" 678887 678926 689509 689598) (|FiniteRankNonAssociativeAlgebra&| NIL 668206 668248 678831 678836) (|File| "bookvol10.3.pamphlet" 667791 667803 668196 668201) (|FileCategory| "bookvol10.2.pamphlet" 666228 666255 667781 667786) (|Field| "bookvol10.2.pamphlet" 665491 665502 666058 666223) (|Field&| NIL 664911 664925 665481 665486) (|FreeGroup| "bookvol10.3.pamphlet" 663438 663455 664884 664906) (|FGLMIfCanPackage| "bookvol10.4.pamphlet" 662331 662360 663428 663433) (|FiniteFieldExtension| "bookvol10.3.pamphlet" 661611 661644 661916 662081) (|FiniteFieldSquareFreeDecomposition| "bookvol10.4.pamphlet" 661452 661501 661601 661606) (|FiniteFieldSolveLinearPolynomialEquation| "bookvol10.4.pamphlet" 660921 660976 661442 661447) (|FiniteFieldPolynomialPackage| "bookvol10.4.pamphlet" 652294 652331 660911 660916) (|FiniteFieldPolynomialPackage2| "bookvol10.4.pamphlet" 651353 651393 652284 652289) (|FiniteFieldExtensionByPolynomial| "bookvol10.3.pamphlet" 650688 650738 650938 651103) (|FiniteField| "bookvol10.3.pamphlet" 649976 650001 650198 650363) (|FiniteFieldNormalBasisExtension| "bookvol10.3.pamphlet" 648366 648415 649561 649726) (|FiniteFieldNormalBasisExtensionByPolynomial| "bookvol10.3.pamphlet" 646730 646788 647951 648116) (|FiniteFieldNormalBasis| "bookvol10.3.pamphlet" 645080 645121 646240 646405) (|FunctionFieldIntegralBasis| "bookvol10.4.pamphlet" 642430 642469 645070 645075) (|FiniteFieldCategory| "bookvol10.2.pamphlet" 639939 639964 642260 642425) (|FiniteFieldCategory&| NIL 637605 637633 639929 639934) (|FiniteFieldHomomorphisms| "bookvol10.4.pamphlet" 636376 636415 637595 637600) (|FiniteFieldFunctions| "bookvol10.4.pamphlet" 633833 633862 636366 636371) (|FractionFreeFastGaussian| "bookvol10.4.pamphlet" 627937 627971 633823 633828) (|FractionFreeFastGaussianFractions| "bookvol10.4.pamphlet" 626585 626631 627927 627932) (|FiniteFieldFactorizationWithSizeParseBySideEffect| "bookvol10.4.pamphlet" 625957 626021 626575 626580) (|FiniteFieldFactorization| "bookvol10.4.pamphlet" 625856 625895 625947 625952) (|FiniteFieldCyclicGroupExtension| "bookvol10.3.pamphlet" 624577 624626 625441 625606) (|FiniteFieldCyclicGroupExtensionByPolynomial| "bookvol10.3.pamphlet" 623320 623381 624162 624327) (|FiniteFieldCyclicGroup| "bookvol10.3.pamphlet" 621956 621997 622830 622995) (|FunctionFieldCategory| "bookvol10.2.pamphlet" 610647 610684 621696 621951) (|FunctionFieldCategory&| NIL 599508 599548 610560 610565) (|FunctionFieldCategoryFunctions2| "bookvol10.4.pamphlet" 599218 599287 599498 599503) (|FortranExpression| "bookvol10.3.pamphlet" 591811 591872 598906 598969) (|FullyEvalableOver| "bookvol10.2.pamphlet" 591506 591531 591801 591806) (|FullyEvalableOver&| NIL 590960 590988 591258 591263) (|FiniteDivisor| "bookvol10.3.pamphlet" 590404 590435 590950 590955) (|FiniteDivisorCategory| "bookvol10.2.pamphlet" 588401 588440 590394 590399) (|FiniteDivisorCategory&| NIL 586395 586437 588391 588396) (|FiniteDivisorFunctions2| "bookvol10.4.pamphlet" 586120 586181 586385 586390) (|FortranCodePackage1| "bookvol10.4.pamphlet" 584664 584689 586110 586115) (|FourierComponent| "bookvol10.3.pamphlet" 584181 584205 584654 584659) (|FortranCode| "bookvol10.3.pamphlet" 574137 574154 584171 584176) (|FiniteAlgebraicExtensionField| "bookvol10.2.pamphlet" 567319 567356 573967 574132) (|FiniteAlgebraicExtensionField&| NIL 560620 560660 567271 567276) (|FlexibleArray| "bookvol10.3.pamphlet" 558913 558934 559902 559954) (|FiniteAbelianMonoidRing| "bookvol10.2.pamphlet" 556966 556999 558743 558908) (|FiniteAbelianMonoidRing&| NIL 555038 555074 556818 556823) (|FiniteAbelianMonoidRingFunctions2| "bookvol10.4.pamphlet" 554581 554634 555028 555033) (|FreeAbelianMonoid| "bookvol10.3.pamphlet" 554189 554214 554501 554506) (|FreeAbelianMonoidCategory| "bookvol10.2.pamphlet" 552349 552384 554179 554184) (|FreeAbelianGroup| "bookvol10.3.pamphlet" 551901 551925 552197 552241) (|FactoringUtilities| "bookvol10.4.pamphlet" 550097 550130 551891 551896) (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| "bookvol10.4.pamphlet" 549926 549989 550087 550092) (|FactoredFunctions| "bookvol10.4.pamphlet" 549105 549130 549916 549921) (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| "bookvol10.4.pamphlet" 548926 548997 549095 549100) (|ExponentialOfUnivariatePuiseuxSeries| "bookvol10.3.pamphlet" 545259 545316 546588 546840) (|ExpressionTubePlot| "bookvol10.4.pamphlet" 542711 542735 545249 545254) (|ExpressionSolve| "bookvol10.4.pamphlet" 542604 542642 542701 542706) (|ExpressionSpaceODESolver| "bookvol10.4.pamphlet" 539330 539364 542594 542599) (|Expression| "bookvol10.3.pamphlet" 533411 533429 534141 534764) (|ExpressionToUnivariatePowerSeries| "bookvol10.4.pamphlet" 529470 529514 533401 533406) (|ExpressionFunctions2| "bookvol10.4.pamphlet" 529222 529252 529460 529465) (|ExponentialExpansion| "bookvol10.3.pamphlet" 524154 524197 524810 524975) (|Export3D| "bookvol10.4.pamphlet" 524001 524015 524144 524149) (|Exit| "bookvol10.3.pamphlet" 523670 523680 523991 523996) (|EvaluateCycleIndicators| "bookvol10.4.pamphlet" 523147 523178 523660 523665) (|Evalable| "bookvol10.2.pamphlet" 522705 522721 523137 523142) (|Evalable&| NIL 522260 522279 522695 522700) (|EuclideanDomain| "bookvol10.2.pamphlet" 519776 519797 522143 522255) (|EuclideanDomain&| NIL 517396 517420 519766 519771) (|ExpertSystemToolsPackage| "bookvol10.4.pamphlet" 509232 509262 517386 517391) (|ExpertSystemToolsPackage2| "bookvol10.4.pamphlet" 508804 508841 509222 509227) (|ExpertSystemToolsPackage1| "bookvol10.4.pamphlet" 508466 508500 508794 508799) (|ExpressionSpace| "bookvol10.2.pamphlet" 501400 501421 508456 508461) (|ExpressionSpace&| NIL 494223 494247 501282 501287) (|ExpertSystemContinuityPackage| "bookvol10.4.pamphlet" 491005 491040 494213 494218) (|ExpertSystemContinuityPackage1| "bookvol10.4.pamphlet" 490718 490758 490995 491000) (|ExpressionSpaceFunctions2| "bookvol10.4.pamphlet" 490206 490241 490708 490713) (|ExpressionSpaceFunctions1| "bookvol10.4.pamphlet" 489745 489780 490196 490201) (|ErrorFunctions| "bookvol10.4.pamphlet" 487209 487229 489735 489740) (|EqTable| "bookvol10.3.pamphlet" 486082 486109 486296 486348) (|Equation| "bookvol10.3.pamphlet" 480557 480573 483310 483449) (|EquationFunctions2| "bookvol10.4.pamphlet" 480259 480287 480547 480552) (|EigenPackage| "bookvol10.4.pamphlet" 476603 476623 480249 480254) (|EntireRing| "bookvol10.2.pamphlet" 476104 476120 476512 476598) (|EuclideanModularRing| "bookvol10.3.pamphlet" 475231 475298 475987 476099) (|EltableAggregate| "bookvol10.2.pamphlet" 473673 473706 475221 475226) (|EltableAggregate&| NIL 472065 472101 473616 473621) (|Eltable| "bookvol10.2.pamphlet" 471592 471615 472055 472060) (|EllipticFunctionsUnivariateTaylorSeries| "bookvol10.4.pamphlet" 470944 471000 471582 471587) (|ElementaryFunctionCategory| "bookvol10.2.pamphlet" 470617 470649 470934 470939) (|ElementaryFunctionCategory&| NIL 470287 470322 470607 470612) (|ExtensibleLinearAggregate| "bookvol10.2.pamphlet" 468167 468200 470242 470282) (|ExtensibleLinearAggregate&| NIL 465992 466028 468070 468075) (|ElementaryFunctionsUnivariatePuiseuxSeries| "bookvol10.3.pamphlet" 462724 462794 465945 465950) (|ElementaryFunctionsUnivariateLaurentSeries| "bookvol10.3.pamphlet" 459517 459580 462677 462682) (|ElementaryFunctionStructurePackage| "bookvol10.4.pamphlet" 457486 457530 459507 459512) (|ElementaryFunction| "bookvol10.4.pamphlet" 452250 452278 457476 457481) (|ExtAlgBasis| "bookvol10.3.pamphlet" 450555 450572 452240 452245) (|e04ucfAnnaType| "bookvol10.3.pamphlet" 450081 450101 450545 450550) (|e04nafAnnaType| "bookvol10.3.pamphlet" 449648 449668 450071 450076) (|e04mbfAnnaType| "bookvol10.3.pamphlet" 449218 449238 449638 449643) (|e04jafAnnaType| "bookvol10.3.pamphlet" 448744 448764 449208 449213) (|e04gcfAnnaType| "bookvol10.3.pamphlet" 448270 448290 448734 448739) (|e04fdfAnnaType| "bookvol10.3.pamphlet" 447796 447816 448260 448265) (|e04dgfAnnaType| "bookvol10.3.pamphlet" 447322 447342 447786 447791) (|e04AgentsPackage| "bookvol10.4.pamphlet" 443050 443072 447312 447317) (|DifferentialVariableCategory| "bookvol10.2.pamphlet" 439773 439809 443040 443045) (|DifferentialVariableCategory&| NIL 436493 436532 439763 439768) (|DesingTreePackage| "bookvol10.4.pamphlet" 433563 433665 436483 436488) (|DesingTree| "bookvol10.3.pamphlet" 432714 432732 433346 433398) (|DesingTreeCategory| "bookvol10.2.pamphlet" 432267 432293 432645 432709) (|DifferentialSparseMultivariatePolynomial| "bookvol10.3.pamphlet" 428735 428787 429066 429300) (|DrawOption| "bookvol10.3.pamphlet" 422490 422506 428725 428730) (|DrawOptionFunctions1| "bookvol10.4.pamphlet" 422143 422171 422480 422485) (|DrawOptionFunctions0| "bookvol10.4.pamphlet" 417084 417110 422133 422138) (|TopLevelDrawFunctionsForPoints| "bookvol10.4.pamphlet" 415297 415333 417074 417079) (|TopLevelDrawFunctions| "bookvol10.4.pamphlet" 408186 408218 415287 415292) (|DrawNumericHack| "bookvol10.4.pamphlet" 407436 407459 408176 408181) (|DrawComplex| "bookvol10.4.pamphlet" 404852 404869 407426 407431) (|TopLevelDrawFunctionsForAlgebraicCurves| "bookvol10.4.pamphlet" 404362 404414 404842 404847) (|TopLevelDrawFunctionsForCompiledFunctions| "bookvol10.4.pamphlet" 393763 393810 404352 404357) (|DequeueAggregate| "bookvol10.2.pamphlet" 391934 391958 393694 393758) (|DifferentialPolynomialCategory| "bookvol10.2.pamphlet" 387196 387240 391695 391929) (|DifferentialPolynomialCategory&| NIL 382636 382683 387138 387143) (|DirectProductModule| "bookvol10.3.pamphlet" 374403 374436 374542 374981) (|DirectProductMatrixModule| "bookvol10.3.pamphlet" 366161 366202 366309 366748) (|DistributedMultivariatePolynomial| "bookvol10.3.pamphlet" 362387 362433 362971 363205) (|DiscreteLogarithmPackage| "bookvol10.4.pamphlet" 361705 361737 362377 362382) (|DataList| "bookvol10.3.pamphlet" 360290 360306 360987 361039) (|DoublyLinkedAggregate| "bookvol10.2.pamphlet" 358718 358747 360270 360285) (|DivisionRing| "bookvol10.2.pamphlet" 358114 358132 358627 358713) (|DivisionRing&| NIL 357588 357609 358104 358109) (|Divisor| "bookvol10.3.pamphlet" 357396 357411 357480 357524) (|DivisorCategory| "bookvol10.2.pamphlet" 356131 356154 357347 357391) (|DisplayPackage| "bookvol10.4.pamphlet" 354333 354353 356121 356126) (|DirichletRing| "bookvol10.3.pamphlet" 353494 353520 354061 354281) (|DirectProduct| "bookvol10.3.pamphlet" 343022 343049 343658 343862) (|DirectProductFunctions2| "bookvol10.4.pamphlet" 341862 341901 343012 343017) (|DirectProductCategory| "bookvol10.2.pamphlet" 340701 340736 341641 341857) (|DirectProductCategory&| NIL 339245 339283 340188 340193) (|DiophantineSolutionPackage| "bookvol10.4.pamphlet" 338066 338098 339235 339240) (|DictionaryOperations| "bookvol10.2.pamphlet" 337115 337143 338021 338061) (|DictionaryOperations&| NIL 336150 336181 337059 337064) (|DifferentialRing| "bookvol10.2.pamphlet" 335250 335272 336123 336145) (|DifferentialRing&| NIL 334364 334389 335240 335245) (|DifferentialExtension| "bookvol10.2.pamphlet" 333489 333518 334337 334359) (|DifferentialExtension&| NIL 332499 332531 333350 333355) (|Dictionary| "bookvol10.2.pamphlet" 332098 332116 332454 332494) (|Dictionary&| NIL 331729 331750 332088 332093) (|DenavitHartenbergMatrix| "bookvol10.3.pamphlet" 329894 329925 331277 331329) (|DoubleFloatVector| "bookvol10.3.pamphlet" 328248 328271 328649 328701) (|DoubleFloatSpecialFunctions| "bookvol10.4.pamphlet" 319417 319450 328238 328243) (|DoubleFloatMatrix| "bookvol10.3.pamphlet" 318442 318465 318872 318924) (|DoubleFloat| "bookvol10.3.pamphlet" 314738 314755 318252 318437) (|DefiniteIntegrationTools| "bookvol10.4.pamphlet" 312955 312989 314728 314733) (|DeRhamComplex| "bookvol10.3.pamphlet" 310895 310938 312928 312950) (|Dequeue| "bookvol10.3.pamphlet" 305033 305048 310678 310730) (|DegreeReductionPackage| "bookvol10.4.pamphlet" 304628 304662 305023 305028) (|RationalFunctionDefiniteIntegration| "bookvol10.4.pamphlet" 302060 302103 304618 304623) (|ElementaryFunctionDefiniteIntegration| "bookvol10.4.pamphlet" 300509 300556 302050 302055) (|DecimalExpansion| "bookvol10.3.pamphlet" 297663 297685 298263 298428) (|DistinctDegreeFactorize| "bookvol10.4.pamphlet" 295523 295557 297653 297658) (|DoubleResultantPackage| "bookvol10.4.pamphlet" 295115 295155 295513 295518) (|Database| "bookvol10.3.pamphlet" 293762 293778 295105 295110) (|d03fafAnnaType| "bookvol10.3.pamphlet" 293578 293598 293752 293757) (|d03eefAnnaType| "bookvol10.3.pamphlet" 293386 293406 293568 293573) (|d03AgentsPackage| "bookvol10.4.pamphlet" 292317 292339 293376 293381) (|d02ejfAnnaType| "bookvol10.3.pamphlet" 291769 291789 292307 292312) (|d02cjfAnnaType| "bookvol10.3.pamphlet" 291237 291257 291759 291764) (|d02bhfAnnaType| "bookvol10.3.pamphlet" 290717 290737 291227 291232) (|d02bbfAnnaType| "bookvol10.3.pamphlet" 290197 290217 290707 290712) (|d02AgentsPackage| "bookvol10.4.pamphlet" 285128 285150 290187 290192) (|d01WeightsPackage| "bookvol10.4.pamphlet" 283436 283459 285118 285123) (|d01TransformFunctionType| "bookvol10.3.pamphlet" 283391 283421 283426 283431) (|d01gbfAnnaType| "bookvol10.3.pamphlet" 282903 282923 283381 283386) (|d01fcfAnnaType| "bookvol10.3.pamphlet" 282415 282435 282893 282898) (|d01asfAnnaType| "bookvol10.3.pamphlet" 281873 281893 282405 282410) (|d01aqfAnnaType| "bookvol10.3.pamphlet" 281356 281376 281863 281868) (|d01apfAnnaType| "bookvol10.3.pamphlet" 280826 280846 281346 281351) (|d01anfAnnaType| "bookvol10.3.pamphlet" 280310 280330 280816 280821) (|d01amfAnnaType| "bookvol10.3.pamphlet" 279810 279830 280300 280305) (|d01alfAnnaType| "bookvol10.3.pamphlet" 279340 279360 279800 279805) (|d01akfAnnaType| "bookvol10.3.pamphlet" 278858 278878 279330 279335) (|d01ajfAnnaType| "bookvol10.3.pamphlet" 278371 278391 278848 278853) (|d01AgentsPackage| "bookvol10.4.pamphlet" 274464 274486 278361 278366) (|CyclotomicPolynomialPackage| "bookvol10.4.pamphlet" 273943 273976 274454 274459) (|CycleIndicators| "bookvol10.4.pamphlet" 270741 270762 273933 273938) (|CoerceVectorMatrixPackage| "bookvol10.4.pamphlet" 270103 270136 270731 270736) (|ComplexTrigonometricManipulations| "bookvol10.4.pamphlet" 268544 268587 270093 270098) (|CyclicStreamTools| "bookvol10.4.pamphlet" 267318 267346 268534 268539) (|ComplexRootFindingPackage| "bookvol10.4.pamphlet" 261310 261346 267308 267313) (|CRApackage| "bookvol10.4.pamphlet" 260459 260477 261300 261305) (|ComplexPatternMatch| "bookvol10.4.pamphlet" 259932 259964 260362 260367) (|CharacteristicPolynomialInMonogenicalAlgebra| "bookvol10.4.pamphlet" 259595 259656 259922 259927) (|CoordinateSystems| "bookvol10.4.pamphlet" 254595 254620 259585 259590) (|ContinuedFraction| "bookvol10.3.pamphlet" 250509 250534 254425 254590) (|CommutativeRing| "bookvol10.2.pamphlet" 250143 250164 250415 250504) (|SubSpaceComponentProperty| "bookvol10.3.pamphlet" 249620 249651 250133 250138) (|ComplexPattern| "bookvol10.4.pamphlet" 249375 249402 249610 249615) (|Complex| "bookvol10.3.pamphlet" 241232 241247 241486 241962) (|ComplexFunctions2| "bookvol10.4.pamphlet" 240940 240967 241222 241227) (|ComplexFactorization| "bookvol10.4.pamphlet" 240718 240750 240930 240935) (|ComplexCategory| "bookvol10.2.pamphlet" 238596 238619 240225 240713) (|ComplexCategory&| NIL 236162 236188 237794 237799) (|Comparable| "bookvol10.2.pamphlet" 235893 235909 236152 236157) (|CommuteUnivariatePolynomialCategory| "bookvol10.4.pamphlet" 235634 235685 235883 235888) (|CommonOperators| "bookvol10.4.pamphlet" 235160 235181 235624 235629) (|Commutator| "bookvol10.3.pamphlet" 234961 234977 235150 235155) (|CombinatorialOpsCategory| "bookvol10.2.pamphlet" 233974 234004 234951 234956) (|IntegerCombinatoricFunctions| "bookvol10.4.pamphlet" 232440 232476 233964 233969) (|CombinatorialFunction| "bookvol10.4.pamphlet" 229875 229906 232430 232435) (|Color| "bookvol10.3.pamphlet" 228710 228721 229865 229870) (|ComplexRootPackage| "bookvol10.4.pamphlet" 228028 228061 228700 228705) (|TwoDimensionalPlotClipping| "bookvol10.4.pamphlet" 224124 224156 228018 228023) (|CliffordAlgebra| "bookvol10.3.pamphlet" 222802 222831 224056 224119) (|Collection| "bookvol10.2.pamphlet" 219814 219832 222782 222797) (|Collection&| NIL 216668 216689 219639 219644) (|ComplexIntegerSolveLinearPolynomialEquation| "bookvol10.4.pamphlet" 215966 216020 216658 216663) (|ChangeOfVariable| "bookvol10.4.pamphlet" 213926 213958 215956 215961) (|CharacteristicZero| "bookvol10.2.pamphlet" 213818 213842 213899 213921) (|CharacteristicPolynomialPackage| "bookvol10.4.pamphlet" 213303 213342 213808 213813) (|CharacteristicNonZero| "bookvol10.2.pamphlet" 213030 213057 213276 213298) (|Character| "bookvol10.3.pamphlet" 209384 209399 213020 213025) (|CombinatorialFunctionCategory| "bookvol10.2.pamphlet" 208530 208565 209374 209379) (|Cell| "bookvol10.3.pamphlet" 208494 208515 208520 208525) (|ComplexDoubleFloatVector| "bookvol10.3.pamphlet" 206305 206335 206958 207010) (|ComplexDoubleFloatMatrix| "bookvol10.3.pamphlet" 205193 205223 205639 205691) (|CommonDenominator| "bookvol10.4.pamphlet" 204418 204447 205183 205188) (|CharacterClass| "bookvol10.3.pamphlet" 202612 202632 203682 203762) (|CartesianTensor| "bookvol10.3.pamphlet" 193778 193815 202602 202607) (|CartesianTensorFunctions2| "bookvol10.4.pamphlet" 193145 193195 193768 193773) (|CardinalNumber| "bookvol10.3.pamphlet" 189463 189483 193111 193140) (|CylindricalAlgebraicDecompositionUtilities| "bookvol10.4.pamphlet" 189087 189139 189453 189458) (|CylindricalAlgebraicDecompositionPackage| "bookvol10.4.pamphlet" 189015 189072 189077 189082) (|CachableSet| "bookvol10.2.pamphlet" 188622 188639 189005 189010) (|CancellationAbelianMonoid| "bookvol10.2.pamphlet" 188092 188123 188612 188617) (|BinaryTree| "bookvol10.3.pamphlet" 187129 187147 187875 187927) (|BinaryTournament| "bookvol10.3.pamphlet" 186310 186334 186912 186964) (|BinaryTreeCategory| "bookvol10.2.pamphlet" 185643 185669 186241 186305) (|BinaryTreeCategory&| NIL 185032 185061 185633 185638) (|BitAggregate| "bookvol10.2.pamphlet" 184100 184118 184963 185027) (|BitAggregate&| NIL 183224 183245 184090 184095) (|BinarySearchTree| "bookvol10.3.pamphlet" 181821 181845 183007 183059) (|BasicStochasticDifferential| "bookvol10.3.pamphlet" 179686 179719 181811 181816) (|BrillhartTests| "bookvol10.4.pamphlet" 178447 178470 179676 179681) (|BinaryRecursiveAggregate| "bookvol10.2.pamphlet" 177385 177417 178427 178442) (|BinaryRecursiveAggregate&| NIL 176283 176318 177328 177333) (|BalancedPAdicRational| "bookvol10.3.pamphlet" 173193 173224 173403 173568) (|BalancedPAdicInteger| "bookvol10.3.pamphlet" 172860 172890 173076 173188) (|BoundIntegerRoots| "bookvol10.4.pamphlet" 172507 172535 172850 172855) (|BasicOperator| "bookvol10.3.pamphlet" 168028 168047 172497 172502) (|BasicOperatorFunctions1| "bookvol10.4.pamphlet" 165485 165516 167976 167981) (|Boolean| "bookvol10.3.pamphlet" 164350 164363 165475 165480) (|BiModule| "bookvol10.2.pamphlet" 163971 163989 164301 164345) (|BlowUpPackage| "bookvol10.4.pamphlet" 162238 162285 163961 163966) (|BlowUpWithQuadTrans| "bookvol10.3.pamphlet" 162111 162136 162203 162233) (|BlowUpMethodCategory| "bookvol10.2.pamphlet" 162070 162096 162101 162106) (|BlowUpWithHamburgerNoether| "bookvol10.3.pamphlet" 161938 161970 162037 162065) (|BlasLevelOne| "bookvol10.5.pamphlet" 150200 150218 161928 161933) (|Bits| "bookvol10.3.pamphlet" 149561 149571 149778 149830) (|BinaryFile| "bookvol10.3.pamphlet" 148910 148926 149551 149556) (|BinaryExpansion| "bookvol10.3.pamphlet" 146032 146053 146664 146829) (|BagAggregate| "bookvol10.2.pamphlet" 145254 145274 145987 146027) (|BagAggregate&| NIL 144508 144531 145244 145249) (|BasicFunctions| "bookvol10.3.pamphlet" 143905 143925 144476 144503) (|BezoutMatrix| "bookvol10.4.pamphlet" 143027 143064 143847 143852) (|Bezier| "bookvol10.4.pamphlet" 140886 140900 143017 143022) (|BalancedBinaryTree| "bookvol10.3.pamphlet" 136455 136481 140669 140721) (|BasicType| "bookvol10.2.pamphlet" 136142 136157 136445 136450) (|BasicType&| NIL 135826 135844 136132 136137) (|BalancedFactorisation| "bookvol10.4.pamphlet" 135226 135258 135816 135821) (|AxiomServer| "bookvol10.4.pamphlet" 135077 135094 135216 135221) (|Automorphism| "bookvol10.3.pamphlet" 134504 134524 135050 135072) (|UnitsKnownAttribute| "bookvol10.2.pamphlet" 134282 134307 134484 134499) (|AttributeRegistry| "bookvol10.2.pamphlet" 130635 130658 133835 134277) (|AttributeButtons| "bookvol10.3.pamphlet" 126733 126755 130603 130630) (|ShallowlyMutableAttribute| "bookvol10.2.pamphlet" 126470 126501 126713 126728) (|ArcTrigonometricFunctionCategory| "bookvol10.2.pamphlet" 125909 125947 126460 126465) (|ArcTrigonometricFunctionCategory&| NIL 125345 125386 125899 125904) (|PartiallyOrderedSetAttribute| "bookvol10.2.pamphlet" 125117 125151 125325 125340) (|NoZeroDivisorsAttribute| "bookvol10.2.pamphlet" 124918 124947 125097 125112) (|NullSquareAttribute| "bookvol10.2.pamphlet" 124783 124808 124898 124913) (|NotherianAttribute| "bookvol10.2.pamphlet" 124641 124665 124763 124778) (|MultiplicativeValuationAttribute| "bookvol10.2.pamphlet" 124450 124488 124621 124636) (|LeftUnitaryAttribute| "bookvol10.2.pamphlet" 124293 124319 124430 124445) (|LazyRepresentationAttribute| "bookvol10.2.pamphlet" 124155 124188 124273 124288) (|JacobiIdentityAttribute| "bookvol10.2.pamphlet" 123988 124017 124135 124150) (|FiniteAggregateAttribute| "bookvol10.2.pamphlet" 123849 123879 123968 123983) (|CanonicalUnitNormalAttribute| "bookvol10.2.pamphlet" 123523 123557 123829 123844) (|CommutativeStarAttribute| "bookvol10.2.pamphlet" 123250 123280 123503 123518) (|CentralAttribute| "bookvol10.2.pamphlet" 122931 122953 123230 123245) (|CanonicalAttribute| "bookvol10.2.pamphlet" 122728 122752 122911 122926) (|CanonicalClosedAttribute| "bookvol10.2.pamphlet" 122544 122574 122708 122723) (|ArbitraryPrecisionAttribute| "bookvol10.2.pamphlet" 122374 122407 122524 122539) (|ArbitraryExponentAttribute| "bookvol10.2.pamphlet" 122242 122274 122354 122369) (|ApproximateAttribute| "bookvol10.2.pamphlet" 122131 122157 122222 122237) (|AdditiveValuationAttribute| "bookvol10.2.pamphlet" 121944 121976 122111 122126) (|ArrayStack| "bookvol10.3.pamphlet" 117592 117610 121727 121779) (|AssociatedEquations| "bookvol10.4.pamphlet" 116361 116390 117545 117550) (|Asp9| "bookvol10.3.pamphlet" 115514 115531 116351 116356) (|Asp8| "bookvol10.3.pamphlet" 114453 114470 115504 115509) (|Asp80| "bookvol10.3.pamphlet" 113780 113798 114443 114448) (|Asp7| "bookvol10.3.pamphlet" 112974 112991 113770 113775) (|Asp78| "bookvol10.3.pamphlet" 112448 112466 112964 112969) (|Asp77| "bookvol10.3.pamphlet" 111816 111834 112438 112443) (|Asp74| "bookvol10.3.pamphlet" 110838 110856 111806 111811) (|Asp73| "bookvol10.3.pamphlet" 110096 110114 110828 110833) (|Asp6| "bookvol10.3.pamphlet" 108772 108789 110086 110091) (|Asp55| "bookvol10.3.pamphlet" 107204 107222 108762 108767) (|Asp50| "bookvol10.3.pamphlet" 104855 104873 107194 107199) (|Asp4| "bookvol10.3.pamphlet" 104140 104157 104845 104850) (|Asp49| "bookvol10.3.pamphlet" 103124 103142 104130 104135) (|Asp42| "bookvol10.3.pamphlet" 101396 101439 103114 103119) (|Asp41| "bookvol10.3.pamphlet" 99894 99937 101386 101391) (|Asp35| "bookvol10.3.pamphlet" 98874 98892 99884 99889) (|Asp34| "bookvol10.3.pamphlet" 98120 98138 98864 98869) (|Asp33| "bookvol10.3.pamphlet" 97701 97719 98110 98115) (|Asp31| "bookvol10.3.pamphlet" 96810 96828 97691 97696) (|Asp30| "bookvol10.3.pamphlet" 95537 95555 96800 96805) (|Asp29| "bookvol10.3.pamphlet" 95016 95034 95527 95532) (|Asp28| "bookvol10.3.pamphlet" 85442 85460 95006 95011) (|Asp27| "bookvol10.3.pamphlet" 84293 84311 85432 85437) (|Asp24| "bookvol10.3.pamphlet" 83371 83389 84283 84288) (|Asp20| "bookvol10.3.pamphlet" 82539 82557 83361 83366) (|Asp1| "bookvol10.3.pamphlet" 81915 81932 82529 82534) (|Asp19| "bookvol10.3.pamphlet" 75989 76007 81905 81910) (|Asp12| "bookvol10.3.pamphlet" 75402 75420 75979 75984) (|Asp10| "bookvol10.3.pamphlet" 74678 74696 75392 75397) (|TwoDimensionalArray| "bookvol10.3.pamphlet" 74219 74246 74461 74513) (|OneDimensionalArray| "bookvol10.3.pamphlet" 72993 73020 73501 73553) (|OneDimensionalArrayFunctions2| "bookvol10.4.pamphlet" 71002 71041 72983 72988) (|TwoDimensionalArrayCategory| "bookvol10.2.pamphlet" 64227 64274 70933 70997) (|TwoDimensionalArrayCategory&| NIL 57508 57558 64217 64222) (|ApplyRules| "bookvol10.4.pamphlet" 56819 56846 57498 57503) (|ApplyUnivariateSkewPolynomial| "bookvol10.4.pamphlet" 56394 56435 56809 56814) (|ApplicationProgramInterface| "bookvol10.4.pamphlet" 55305 55338 56384 56389) (|Any| "bookvol10.3.pamphlet" 53651 53660 55295 55300) (|AnyFunctions1| "bookvol10.4.pamphlet" 52716 52737 53641 53646) (|AntiSymm| "bookvol10.3.pamphlet" 51159 51182 52689 52711) (|AnonymousFunction| "bookvol10.3.pamphlet" 51056 51079 51149 51154) (|AlgebraicNumber| "bookvol10.3.pamphlet" 49265 49286 50784 50949) (|AbelianMonoidRing| "bookvol10.2.pamphlet" 47392 47419 49095 49260) (|AbelianMonoidRing&| NIL 45343 45373 47049 47054) (|AssociationList| "bookvol10.3.pamphlet" 43080 43115 43442 43494) (|AlgebraGivenByStructuralConstants| "bookvol10.3.pamphlet" 42104 42162 42901 42990) (|AlgebraPackage| "bookvol10.4.pamphlet" 38043 38067 42047 42052) (|AlgebraicMultFact| "bookvol10.4.pamphlet" 37236 37266 38033 38038) (|AlgebraicManipulations| "bookvol10.4.pamphlet" 34652 34684 36992 36997) (|AlgebraicFunctionField| "bookvol10.3.pamphlet" 32419 32467 32640 32895) (|AlgFactor| "bookvol10.4.pamphlet" 31536 31554 32409 32414) (|Algebra| "bookvol10.2.pamphlet" 31006 31021 31468 31531) (|Algebra&| NIL 30531 30549 30996 31001) (|AssociationListAggregate| "bookvol10.2.pamphlet" 29985 30029 30462 30526) (|ArcHyperbolicFunctionCategory| "bookvol10.2.pamphlet" 29338 29373 29975 29980) (|Aggregate| "bookvol10.2.pamphlet" 27707 27722 29318 29333) (|Aggregate&| NIL 26037 26055 27651 27656) (|AffineSpaceCategory| "bookvol10.2.pamphlet" 23907 23934 26027 26032) (|AlgebraicFunction| "bookvol10.4.pamphlet" 22279 22306 23827 23832) (|AffineSpace| "bookvol10.3.pamphlet" 22112 22137 22269 22274) (|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 21912 21970 22102 22107) (|AffinePlane| "bookvol10.3.pamphlet" 21751 21770 21902 21907) (|AffineAlgebraicSetComputeWithResultant| "bookvol10.4.pamphlet" 21597 21672 21741 21746) (|AffineAlgebraicSetComputeWithGroebnerBasis| "bookvol10.4.pamphlet" 21139 21218 21587 21592) (|PlaneAlgebraicCurvePlot| "bookvol10.3.pamphlet" 19405 19434 21129 21134) (|AlgebraicallyClosedFunctionSpace| "bookvol10.2.pamphlet" 17181 17221 19223 19400) (|AlgebraicallyClosedFunctionSpace&| NIL 15126 15169 17171 17176) (|AlgebraicallyClosedField| "bookvol10.2.pamphlet" 10185 10215 14956 15121) (|AlgebraicallyClosedField&| NIL 5401 5434 10175 10180) (|AbelianSemiGroup| "bookvol10.2.pamphlet" 4744 4766 5391 5396) (|AbelianSemiGroup&| NIL 4084 4109 4734 4739) (|AbelianMonoid| "bookvol10.2.pamphlet" 3441 3460 4074 4079) (|AbelianMonoid&| NIL 2795 2817 3431 3436) (|AbelianGroup| "bookvol10.2.pamphlet" 2290 2308 2785 2790) (|AbelianGroup&| NIL 1782 1803 2280 2285) (|OneDimensionalArrayAggregate| "bookvol10.2.pamphlet" 878 914 1713 1777) (|OneDimensionalArrayAggregate&| NIL 30 69 868 873)) 
\ No newline at end of file
+((|Category| NIL 2509964 2509969 2509974 2509979) (|Union| NIL 2509944 2509949 2509954 2509959) (|Record| NIL 2509924 2509929 2509934 2509939) (|Mapping| NIL 2509904 2509909 2509914 2509919) (|Enumeration| NIL 2509884 2509889 2509894 2509899) (|IntegerMod| "bookvol10.3.pamphlet" 2509662 2509682 2509790 2509879) (|IntegerLinearDependence| "bookvol10.4.pamphlet" 2508762 2508793 2509652 2509657) (|ZeroDimensionalSolvePackage| "bookvol10.4.pamphlet" 2499354 2499400 2508752 2508757) (|ParadoxicalCombinatorsForStreams| "bookvol10.4.pamphlet" 2498822 2498862 2499344 2499349) (|XRecursivePolynomial| "bookvol10.3.pamphlet" 2497963 2498000 2498601 2498723) (|XPolynomialRing| "bookvol10.3.pamphlet" 2495542 2495567 2497539 2497730) (|XPolynomial| "bookvol10.3.pamphlet" 2495029 2495048 2495321 2495443) (|XPolynomialsCat| "bookvol10.2.pamphlet" 2494282 2494310 2494902 2495024) (|XPBWPolynomial| "bookvol10.3.pamphlet" 2492844 2492875 2493970 2494092) (|ExtensionField| "bookvol10.2.pamphlet" 2491229 2491251 2492674 2492839) (|ExtensionField&| NIL 2489626 2489651 2491074 2491079) (|XFreeAlgebra| "bookvol10.2.pamphlet" 2486599 2486624 2489499 2489621) (|XExponentialPackage| "bookvol10.4.pamphlet" 2485982 2486024 2486589 2486594) (|XDistributedPolynomial| "bookvol10.3.pamphlet" 2485517 2485552 2485761 2485883) (|XAlgebra| "bookvol10.2.pamphlet" 2485187 2485203 2485449 2485512) (|WuWenTsunTriangularSet| "bookvol10.3.pamphlet" 2481755 2481791 2484808 2484860) (|WeightedPolynomials| "bookvol10.3.pamphlet" 2480703 2480763 2481547 2481664) (|WildFunctionFieldIntegralBasis| "bookvol10.4.pamphlet" 2478255 2478300 2480693 2480698) (|WeierstrassPreparation| "bookvol10.4.pamphlet" 2476500 2476530 2478245 2478250) (|VectorSpace| "bookvol10.2.pamphlet" 2476148 2476167 2476451 2476495) (|VectorSpace&| NIL 2475832 2475854 2476138 2476143) (|Void| "bookvol10.3.pamphlet" 2475425 2475435 2475822 2475827) (|ViewportPackage| "bookvol10.4.pamphlet" 2473129 2473150 2475415 2475420) (|ViewDefaultsPackage| "bookvol10.4.pamphlet" 2468373 2468398 2473119 2473124) (|ThreeDimensionalViewport| "bookvol10.3.pamphlet" 2452568 2452598 2468363 2468368) (|TwoDimensionalViewport| "bookvol10.3.pamphlet" 2440740 2440768 2452558 2452563) (|Vector| "bookvol10.3.pamphlet" 2439454 2439468 2439708 2439760) (|VectorFunctions2| "bookvol10.4.pamphlet" 2438115 2438141 2439444 2439449) (|VectorCategory| "bookvol10.2.pamphlet" 2436079 2436101 2438046 2438110) (|VectorCategory&| NIL 2433831 2433856 2435801 2435806) (|Variable| "bookvol10.3.pamphlet" 2433606 2433626 2433821 2433826) (|UnivariateTaylorSeriesCZero| "bookvol10.3.pamphlet" 2428335 2428381 2431650 2431815) (|TaylorSolve| "bookvol10.4.pamphlet" 2428234 2428266 2428325 2428330) (|UTSodetools| "bookvol10.4.pamphlet" 2427512 2427540 2428178 2428183) (|UnivariateTaylorSeriesODESolver| "bookvol10.4.pamphlet" 2425674 2425722 2427502 2427507) (|UnivariateTaylorSeries| "bookvol10.3.pamphlet" 2420031 2420078 2423718 2423883) (|UnivariateTaylorSeriesCategory| "bookvol10.2.pamphlet" 2417253 2417296 2419861 2420026) (|UnivariateTaylorSeriesCategory&| NIL 2414060 2414106 2416671 2416676) (|UnivariateTaylorSeriesFunctions2| "bookvol10.4.pamphlet" 2413656 2413720 2414050 2414055) (|UnaryRecursiveAggregate| "bookvol10.2.pamphlet" 2408920 2408951 2413636 2413651) (|UnaryRecursiveAggregate&| NIL 2404144 2404178 2408863 2408868) (|UnivariatePuiseuxSeriesWithExponentialSingularity| "bookvol10.3.pamphlet" 2401279 2401351 2402739 2402980) (|UnivariatePuiseuxSeries| "bookvol10.3.pamphlet" 2398340 2398388 2398941 2399193) (|UnivariatePuiseuxSeriesConstructor| "bookvol10.3.pamphlet" 2395600 2395651 2396002 2396254) (|UnivariatePuiseuxSeriesConstructorCategory| "bookvol10.2.pamphlet" 2393928 2393987 2395343 2395595) (|UnivariatePuiseuxSeriesConstructorCategory&| NIL 2392500 2392562 2393918 2393923) (|UnivariatePuiseuxSeriesCategory| "bookvol10.2.pamphlet" 2390960 2391004 2392243 2392495) (|UnivariatePuiseuxSeriesFunctions2| "bookvol10.4.pamphlet" 2390473 2390556 2390950 2390955) (|UnivariatePolynomialSquareFree| "bookvol10.4.pamphlet" 2388874 2388915 2390463 2390468) (|UnivariatePowerSeriesCategory| "bookvol10.2.pamphlet" 2386350 2386400 2388704 2388869) (|UnivariatePowerSeriesCategory&| NIL 2383563 2383616 2385920 2385925) (|UnivariatePolynomialCategory| "bookvol10.2.pamphlet" 2377802 2377838 2383281 2383558) (|UnivariatePolynomialCategory&| NIL 2371996 2372035 2377478 2377483) (|UnivariatePolynomialCategoryFunctions2| "bookvol10.4.pamphlet" 2371426 2371480 2371986 2371991) (|UnivariatePolynomial| "bookvol10.3.pamphlet" 2367307 2367339 2367915 2368192) (|UnivariatePolynomialMultiplicationPackage| "bookvol10.4.pamphlet" 2366203 2366254 2367297 2367302) (|UnivariatePolynomialDivisionPackage| "bookvol10.4.pamphlet" 2365736 2365782 2366193 2366198) (|UnivariatePolynomialDecompositionPackage| "bookvol10.4.pamphlet" 2363940 2363991 2365726 2365731) (|UnivariatePolynomialCommonDenominator| "bookvol10.4.pamphlet" 2363107 2363157 2363930 2363935) (|UnivariatePolynomialFunctions2| "bookvol10.4.pamphlet" 2362482 2362530 2363097 2363102) (|UniversalSegment| "bookvol10.3.pamphlet" 2361805 2361829 2362384 2362389) (|UniversalSegmentFunctions2| "bookvol10.4.pamphlet" 2361280 2361316 2361752 2361757) (|UnivariateFactorize| "bookvol10.4.pamphlet" 2360387 2360415 2361270 2361275) (|UnivariateLaurentSeries| "bookvol10.3.pamphlet" 2348210 2348258 2349203 2349913) (|UnivariateLaurentSeriesConstructor| "bookvol10.3.pamphlet" 2340948 2340999 2341347 2341599) (|UnivariateLaurentSeriesConstructorCategory| "bookvol10.2.pamphlet" 2338396 2338455 2340662 2340943) (|UnivariateLaurentSeriesConstructorCategory&| NIL 2336080 2336142 2338349 2338354) (|UnivariateLaurentSeriesCategory| "bookvol10.2.pamphlet" 2334159 2334203 2335823 2336075) (|UnivariateLaurentSeriesFunctions2| "bookvol10.4.pamphlet" 2333673 2333756 2334149 2334154) (|UnivariateFormalPowerSeries| "bookvol10.3.pamphlet" 2331619 2331659 2331717 2331882) (|UnivariateFormalPowerSeriesFunctions| "bookvol10.4.pamphlet" 2331501 2331550 2331609 2331614) (|UniqueFactorizationDomain| "bookvol10.2.pamphlet" 2330505 2330536 2331384 2331496) (|UniqueFactorizationDomain&| NIL 2329613 2329647 2330495 2330500) (|UserDefinedVariableOrdering| "bookvol10.4.pamphlet" 2328400 2328433 2329603 2329608) (|UserDefinedPartialOrdering| "bookvol10.4.pamphlet" 2325895 2325929 2328348 2328353) (|U8Vector| "bookvol10.3.pamphlet" 2324940 2324954 2325148 2325200) (|U8Matrix| "bookvol10.3.pamphlet" 2324039 2324053 2324431 2324483) (|U32Vector| "bookvol10.3.pamphlet" 2323082 2323097 2323292 2323344) (|U32Matrix| "bookvol10.3.pamphlet" 2322178 2322193 2322573 2322625) (|U16Vector| "bookvol10.3.pamphlet" 2321221 2321236 2321431 2321483) (|U16Matrix| "bookvol10.3.pamphlet" 2320317 2320332 2320712 2320764) (|Type| "bookvol10.2.pamphlet" 2320238 2320248 2320297 2320312) (|TwoFactorize| "bookvol10.4.pamphlet" 2318893 2318913 2320228 2320233) (|Tuple| "bookvol10.3.pamphlet" 2317892 2317905 2318840 2318845) (|TubePlotTools| "bookvol10.4.pamphlet" 2314776 2314795 2317882 2317887) (|TubePlot| "bookvol10.3.pamphlet" 2313461 2313483 2314766 2314771) (|TaylorSeries| "bookvol10.3.pamphlet" 2311873 2311898 2312856 2313021) (|TriangularSetCategory| "bookvol10.2.pamphlet" 2301386 2301421 2311804 2311868) (|TriangularSetCategory&| NIL 2290917 2290955 2301338 2301343) (|TranscendentalManipulations| "bookvol10.4.pamphlet" 2285293 2285330 2290563 2290568) (|TriangularMatrixOperations| "bookvol10.4.pamphlet" 2284241 2284289 2285283 2285288) (|TrigonometricManipulations| "bookvol10.4.pamphlet" 2282719 2282755 2284231 2284236) (|TrigonometricFunctionCategory| "bookvol10.2.pamphlet" 2282205 2282240 2282709 2282714) (|TrigonometricFunctionCategory&| NIL 2281688 2281726 2282195 2282200) (|Tree| "bookvol10.3.pamphlet" 2279853 2279865 2281471 2281523) (|TranscendentalFunctionCategory| "bookvol10.2.pamphlet" 2279673 2279709 2279843 2279848) (|TranscendentalFunctionCategory&| NIL 2279490 2279529 2279663 2279668) (|TopLevelThreeSpace| "bookvol10.4.pamphlet" 2279153 2279177 2279480 2279485) (|ToolsForSign| "bookvol10.4.pamphlet" 2278807 2278827 2279143 2279148) (|TextFile| "bookvol10.3.pamphlet" 2277381 2277395 2278797 2278802) (|TexFormat| "bookvol10.3.pamphlet" 2274512 2274527 2277371 2277376) (|TexFormat1| "bookvol10.4.pamphlet" 2274061 2274079 2274502 2274507) (|TemplateUtilities| "bookvol10.4.pamphlet" 2273608 2273631 2274051 2274056) (|TabulatedComputationPackage| "bookvol10.4.pamphlet" 2271775 2271822 2273598 2273603) (|TableAggregate| "bookvol10.2.pamphlet" 2270773 2270807 2271730 2271770) (|TableAggregate&| NIL 2269803 2269840 2270763 2270768) (|TangentExpansions| "bookvol10.4.pamphlet" 2269165 2269190 2269793 2269798) (|Table| "bookvol10.3.pamphlet" 2267980 2268005 2268252 2268304) (|Tableau| "bookvol10.3.pamphlet" 2267466 2267481 2267970 2267975) (|TableauxBumpers| "bookvol10.4.pamphlet" 2264372 2264395 2267456 2267461) (|SystemSolvePackage| "bookvol10.4.pamphlet" 2260988 2261014 2264362 2264367) (|SymbolTable| "bookvol10.3.pamphlet" 2259077 2259094 2260978 2260983) (|TheSymbolTable| "bookvol10.3.pamphlet" 2255131 2255151 2259067 2259072) (|SymmetricPolynomial| "bookvol10.3.pamphlet" 2253777 2253804 2253875 2254109) (|SymmetricFunctions| "bookvol10.4.pamphlet" 2253183 2253209 2253767 2253772) (|Symbol| "bookvol10.3.pamphlet" 2250642 2250654 2253173 2253178) (|Switch| "bookvol10.3.pamphlet" 2247385 2247397 2250632 2250637) (|SparseUnivariateTaylorSeries| "bookvol10.3.pamphlet" 2243968 2244021 2245429 2245594) (|SparseUnivariatePuiseuxSeries| "bookvol10.3.pamphlet" 2240606 2240660 2241630 2241882) (|SparseUnivariatePolynomial| "bookvol10.3.pamphlet" 2236217 2236251 2237095 2237372) (|SupFractionFactorizer| "bookvol10.4.pamphlet" 2235319 2235355 2236207 2236212) (|SparseUnivariatePolynomialExpressions| "bookvol10.3.pamphlet" 2231641 2231686 2231744 2232021) (|SparseUnivariatePolynomialFunctions2| "bookvol10.4.pamphlet" 2231002 2231048 2231631 2231636) (|RationalFunctionSum| "bookvol10.4.pamphlet" 2229588 2229615 2230992 2230997) (|FunctionSpaceSum| "bookvol10.4.pamphlet" 2229257 2229283 2229578 2229583) (|SparseUnivariateLaurentSeries| "bookvol10.3.pamphlet" 2216689 2216743 2217701 2218435) (|SuchThat| "bookvol10.3.pamphlet" 2216366 2216386 2216679 2216684) (|SubSpace| "bookvol10.3.pamphlet" 2208716 2208736 2216356 2216361) (|SubResultantPackage| "bookvol10.4.pamphlet" 2207859 2207889 2208659 2208664) (|StreamTranscendentalFunctions| "bookvol10.4.pamphlet" 2203934 2203976 2207849 2207854) (|StreamTranscendentalFunctionsNonCommutative| "bookvol10.4.pamphlet" 2200364 2200420 2203924 2203929) (|StreamTaylorSeriesOperations| "bookvol10.4.pamphlet" 2192891 2192927 2200225 2200230) (|StringTable| "bookvol10.3.pamphlet" 2191785 2191810 2191942 2191994) (|String| "bookvol10.3.pamphlet" 2190970 2190982 2191071 2191123) (|StringCategory| "bookvol10.2.pamphlet" 2190710 2190730 2190901 2190965) (|Stream| "bookvol10.3.pamphlet" 2186229 2186243 2190392 2190420) (|StreamFunctions3| "bookvol10.4.pamphlet" 2185557 2185585 2186219 2186224) (|StreamFunctions2| "bookvol10.4.pamphlet" 2184117 2184143 2185547 2185552) (|StreamFunctions1| "bookvol10.4.pamphlet" 2183612 2183636 2184107 2184112) (|StreamTensor| "bookvol10.4.pamphlet" 2183288 2183308 2183602 2183607) (|StreamInfiniteProduct| "bookvol10.4.pamphlet" 2182206 2182240 2183278 2183283) (|StepThrough| "bookvol10.2.pamphlet" 2181424 2181441 2182196 2182201) (|SparseTable| "bookvol10.3.pamphlet" 2180362 2180398 2180535 2180563) (|StreamAggregate| "bookvol10.2.pamphlet" 2179449 2179472 2180342 2180357) (|StreamAggregate&| NIL 2178543 2178569 2179439 2179444) (|Stack| "bookvol10.3.pamphlet" 2174531 2174544 2178326 2178378) (|SquareFreeRegularTriangularSet| "bookvol10.3.pamphlet" 2172670 2172714 2174152 2174204) (|SquareFreeRegularSetDecompositionPackage| "bookvol10.4.pamphlet" 2171399 2171456 2172660 2172665) (|StringAggregate| "bookvol10.2.pamphlet" 2166699 2166720 2171330 2171394) (|StringAggregate&| NIL 2162055 2162079 2166689 2166694) (|SquareMatrix| "bookvol10.3.pamphlet" 2159319 2159346 2160234 2160376) (|SplittingTree| "bookvol10.3.pamphlet" 2154729 2154752 2158983 2159035) (|SplittingNode| "bookvol10.3.pamphlet" 2151767 2151790 2154719 2154724) (|SpecialFunctionCategory| "bookvol10.2.pamphlet" 2150558 2150587 2151757 2151762) (|SpecialOutputPackage| "bookvol10.4.pamphlet" 2149110 2149136 2150548 2150553) (|ThreeSpaceCategory| "bookvol10.2.pamphlet" 2133485 2133511 2149100 2149105) (|ThreeSpace| "bookvol10.3.pamphlet" 2133260 2133278 2133475 2133480) (|SortPackage| "bookvol10.4.pamphlet" 2132793 2132814 2133208 2133213) (|TransSolvePackage| "bookvol10.4.pamphlet" 2130374 2130399 2132783 2132788) (|TransSolvePackageService| "bookvol10.4.pamphlet" 2128942 2128974 2130364 2130369) (|RadicalSolvePackage| "bookvol10.4.pamphlet" 2123414 2123441 2128932 2128937) (|PolynomialSolveByFormulas| "bookvol10.4.pamphlet" 2121860 2121896 2123404 2123409) (|SquareFreeNormalizedTriangularSetCategory| "bookvol10.2.pamphlet" 2121568 2121623 2121791 2121855) (|SparseMultivariateTaylorSeries| "bookvol10.3.pamphlet" 2119525 2119578 2120963 2121128) (|SparseMultivariatePolynomial| "bookvol10.3.pamphlet" 2116057 2116102 2116455 2116689) (|SmithNormalForm| "bookvol10.4.pamphlet" 2114882 2114919 2116047 2116052) (|SquareMatrixCategory| "bookvol10.2.pamphlet" 2112937 2112984 2114778 2114877) (|SquareMatrixCategory&| NIL 2110947 2110997 2112791 2112796) (|StackAggregate| "bookvol10.2.pamphlet" 2109513 2109535 2110878 2110942) (|SingleInteger| "bookvol10.3.pamphlet" 2107761 2107780 2109274 2109508) (|SimplifyAlgebraicNumberConvertPackage| "bookvol10.4.pamphlet" 2107470 2107513 2107751 2107756) (|RationalFunctionSign| "bookvol10.4.pamphlet" 2106543 2106571 2107460 2107465) (|ElementaryFunctionSign| "bookvol10.4.pamphlet" 2105787 2105819 2106533 2106538) (|SturmHabichtPackage| "bookvol10.4.pamphlet" 2103728 2103759 2105736 2105741) (|SplitHomogeneousDirectProduct| "bookvol10.3.pamphlet" 2093364 2093417 2093892 2094096) (|SemiGroup| "bookvol10.2.pamphlet" 2092670 2092685 2093354 2093359) (|SemiGroup&| NIL 2091973 2091991 2092660 2092665) (|SymmetricGroupCombinatoricFunctions| "bookvol10.4.pamphlet" 2085453 2085494 2091963 2091968) (|SquareFreeRegularTriangularSetCategory| "bookvol10.2.pamphlet" 2084956 2085008 2085384 2085448) (|SquareFreeRegularTriangularSetGcdPackage| "bookvol10.4.pamphlet" 2084618 2084675 2084946 2084951) (|SquareFreeQuasiComponentPackage| "bookvol10.4.pamphlet" 2080507 2080555 2084608 2084613) (|SimpleFortranProgram| "bookvol10.3.pamphlet" 2079951 2079982 2080497 2080502) (|SExpressionOf| "bookvol10.3.pamphlet" 2079784 2079834 2079941 2079946) (|SExpression| "bookvol10.3.pamphlet" 2079668 2079685 2079774 2079779) (|SExpressionCategory| "bookvol10.2.pamphlet" 2076903 2076959 2079658 2079663) (|Set| "bookvol10.3.pamphlet" 2075153 2075164 2076266 2076346) (|SetOfMIntegersInOneToN| "bookvol10.3.pamphlet" 2073614 2073650 2075143 2075148) (|SetCategory| "bookvol10.2.pamphlet" 2073096 2073113 2073604 2073609) (|SetCategory&| NIL 2072575 2072595 2073086 2073091) (|SetCategoryWithDegree| "bookvol10.2.pamphlet" 2072448 2072475 2072565 2072570) (|SetAggregate| "bookvol10.2.pamphlet" 2069313 2069333 2072400 2072443) (|SetAggregate&| NIL 2066213 2066236 2069303 2069308) (|SparseEchelonMatrix| "bookvol10.3.pamphlet" 2060134 2060163 2066067 2066119) (|SegmentExpansionCategory| "bookvol10.2.pamphlet" 2059175 2059209 2060114 2060129) (|Segment| "bookvol10.3.pamphlet" 2058967 2058982 2059077 2059082) (|SegmentCategory| "bookvol10.2.pamphlet" 2057743 2057766 2058947 2058962) (|SegmentBinding| "bookvol10.3.pamphlet" 2056810 2056832 2057690 2057695) (|SegmentBindingFunctions2| "bookvol10.4.pamphlet" 2056495 2056529 2056800 2056805) (|SegmentFunctions2| "bookvol10.4.pamphlet" 2055891 2055918 2056442 2056447) (|SequentialDifferentialVariable| "bookvol10.3.pamphlet" 2055162 2055200 2055881 2055886) (|SequentialDifferentialPolynomial| "bookvol10.3.pamphlet" 2051450 2051490 2051756 2051990) (|StochasticDifferential| "bookvol10.3.pamphlet" 2047885 2047915 2051401 2051445) (|StructuralConstantsPackage| "bookvol10.4.pamphlet" 2045965 2045999 2047875 2047880) (|SimpleCell| "bookvol10.3.pamphlet" 2045913 2045950 2045955 2045960) (|SortedCache| "bookvol10.4.pamphlet" 2044754 2044773 2045903 2045908) (|SingletonAsOrderedSet| "bookvol10.3.pamphlet" 2044608 2044635 2044744 2044749) (|SAERationalFunctionAlgFactor| "bookvol10.4.pamphlet" 2044296 2044341 2044598 2044603) (|SimpleAlgebraicExtension| "bookvol10.3.pamphlet" 2042023 2042060 2042701 2042917) (|SimpleAlgebraicExtensionAlgFactor| "bookvol10.4.pamphlet" 2041694 2041744 2042013 2042018) (|RationalUnivariateRepresentationPackage| "bookvol10.4.pamphlet" 2039394 2039446 2041684 2041689) (|Ruleset| "bookvol10.3.pamphlet" 2038826 2038850 2039384 2039389) (|RewriteRule| "bookvol10.3.pamphlet" 2037004 2037032 2038816 2038821) (|RuleCalled| "bookvol10.3.pamphlet" 2036849 2036869 2036994 2036999) (|RegularTriangularSetGcdPackage| "bookvol10.4.pamphlet" 2034192 2034239 2036839 2036844) (|RegularTriangularSetCategory| "bookvol10.2.pamphlet" 2024980 2025022 2034123 2034187) (|RegularTriangularSetCategory&| NIL 2015824 2015869 2024970 2024975) (|RegularSetDecompositionPackage| "bookvol10.4.pamphlet" 2014550 2014597 2015814 2015819) (|RealRootCharacterizationCategory| "bookvol10.2.pamphlet" 2012927 2012986 2014540 2014545) (|RealRootCharacterizationCategory&| NIL 2011301 2011363 2012917 2012922) (|RecursivePolynomialCategory| "bookvol10.2.pamphlet" 1994412 1994451 2011062 2011296) (|RecursivePolynomialCategory&| NIL 1977226 1977268 1993879 1993884) (|RoutinesTable| "bookvol10.3.pamphlet" 1973502 1973521 1976256 1976308) (|RomanNumeral| "bookvol10.3.pamphlet" 1972635 1972653 1973263 1973497) (|RightOpenIntervalRootCharacterization| "bookvol10.3.pamphlet" 1971735 1971801 1972625 1972630) (|RealNumberSystem| "bookvol10.2.pamphlet" 1970473 1970495 1971565 1971730) (|RealNumberSystem&| NIL 1969368 1969393 1970463 1970468) (|Rng| "bookvol10.2.pamphlet" 1968888 1968897 1969358 1969363) (|RightModule| "bookvol10.2.pamphlet" 1968395 1968414 1968878 1968883) (|RectangularMatrixCategoryFunctions2| "bookvol10.4.pamphlet" 1967791 1967880 1968385 1968390) (|RectangularMatrix| "bookvol10.3.pamphlet" 1966350 1966383 1966852 1966920) (|RectangularMatrixCategory| "bookvol10.2.pamphlet" 1961935 1961988 1966265 1966345) (|RectangularMatrixCategory&| NIL 1957409 1957465 1961742 1961747) (|RationalInterpolation| "bookvol10.4.pamphlet" 1957283 1957317 1957399 1957404) (|Ring| "bookvol10.2.pamphlet" 1956634 1956644 1957256 1957278) (|Ring&| NIL 1955999 1956012 1956624 1956629) (|RandomIntegerDistributions| "bookvol10.4.pamphlet" 1955004 1955036 1955989 1955994) (|RegularChain| "bookvol10.3.pamphlet" 1953346 1953371 1954236 1954288) (|RootsFindingPackage| "bookvol10.4.pamphlet" 1951380 1951407 1953336 1953341) (|RationalFunction| "bookvol10.4.pamphlet" 1949023 1949047 1951370 1951375) (|RationalFunctionFactorizer| "bookvol10.4.pamphlet" 1948462 1948496 1949013 1949018) (|RationalFunctionFactor| "bookvol10.4.pamphlet" 1948178 1948209 1948452 1948457) (|RandomFloatDistributions| "bookvol10.4.pamphlet" 1947153 1947183 1948168 1948173) (|RetractSolvePackage| "bookvol10.4.pamphlet" 1946556 1946585 1947143 1947148) (|RetractableTo| "bookvol10.2.pamphlet" 1945888 1945909 1946546 1946551) (|RetractableTo&| NIL 1945217 1945241 1945878 1945883) (|Result| "bookvol10.3.pamphlet" 1943659 1943671 1944247 1944299) (|ResidueRing| "bookvol10.3.pamphlet" 1942970 1943021 1943565 1943654) (|ResolveLatticeCompletion| "bookvol10.4.pamphlet" 1942275 1942307 1942960 1942965) (|RepeatedSquaring| "bookvol10.4.pamphlet" 1941993 1942017 1942265 1942270) (|RadicalEigenPackage| "bookvol10.4.pamphlet" 1939533 1939558 1941983 1941988) (|RepeatedDoubling| "bookvol10.4.pamphlet" 1939219 1939243 1939523 1939528) (|RepresentationPackage2| "bookvol10.4.pamphlet" 1929197 1929227 1939038 1939043) (|RepresentationPackage1| "bookvol10.4.pamphlet" 1923558 1923588 1929139 1929144) (|RegularTriangularSet| "bookvol10.3.pamphlet" 1921755 1921789 1923179 1923231) (|Reference| "bookvol10.3.pamphlet" 1921091 1921108 1921702 1921707) (|ReductionOfOrder| "bookvol10.4.pamphlet" 1920212 1920238 1921081 1921086) (|RecurrenceOperator| "bookvol10.4.pamphlet" 1918607 1918635 1920166 1920171) (|RealClosure| "bookvol10.3.pamphlet" 1917228 1917256 1917890 1918055) (|RealSolvePackage| "bookvol10.4.pamphlet" 1915788 1915810 1917218 1917223) (|RealConstant| "bookvol10.2.pamphlet" 1915663 1915681 1915778 1915783) (|RealZeroPackageQ| "bookvol10.4.pamphlet" 1913001 1913029 1915653 1915658) (|RealZeroPackage| "bookvol10.4.pamphlet" 1909898 1909925 1912991 1912996) (|ReducedDivisor| "bookvol10.4.pamphlet" 1909636 1909672 1909888 1909893) (|RandomDistributions| "bookvol10.4.pamphlet" 1909187 1909214 1909626 1909631) (|TranscendentalRischDESystem| "bookvol10.4.pamphlet" 1908021 1908059 1909177 1909182) (|TranscendentalRischDE| "bookvol10.4.pamphlet" 1905972 1906004 1908011 1908016) (|ElementaryRischDESystem| "bookvol10.4.pamphlet" 1905197 1905230 1905962 1905967) (|ElementaryRischDE| "bookvol10.4.pamphlet" 1904243 1904270 1905187 1905192) (|RealClosedField| "bookvol10.2.pamphlet" 1901488 1901509 1904073 1904238) (|RealClosedField&| NIL 1898890 1898914 1901478 1901483) (|RecursiveAggregate| "bookvol10.2.pamphlet" 1896848 1896874 1898870 1898885) (|RecursiveAggregate&| NIL 1894721 1894750 1896746 1896751) (|RationalRetractions| "bookvol10.4.pamphlet" 1894126 1894153 1894711 1894716) (|RationalFactorize| "bookvol10.4.pamphlet" 1893296 1893322 1894116 1894121) (|RandomNumberSource| "bookvol10.4.pamphlet" 1892638 1892662 1893286 1893291) (|RadixUtilities| "bookvol10.4.pamphlet" 1892383 1892403 1892628 1892633) (|RadixExpansion| "bookvol10.3.pamphlet" 1888474 1888499 1890137 1890302) (|RadicalFunctionField| "bookvol10.3.pamphlet" 1886346 1886396 1886462 1886717) (|RadicalCategory| "bookvol10.2.pamphlet" 1885965 1885986 1886336 1886341) (|RadicalCategory&| NIL 1885581 1885605 1885955 1885960) (|Queue| "bookvol10.3.pamphlet" 1881349 1881362 1885364 1885416) (|Quaternion| "bookvol10.3.pamphlet" 1879672 1879690 1879973 1880081) (|QuaternionCategoryFunctions2| "bookvol10.4.pamphlet" 1879051 1879095 1879662 1879667) (|QuaternionCategory| "bookvol10.2.pamphlet" 1877199 1877225 1878938 1879046) (|QuaternionCategory&| NIL 1875038 1875067 1876780 1876785) (|QueueAggregate| "bookvol10.2.pamphlet" 1873815 1873837 1874969 1875033) (|QuadraticForm| "bookvol10.3.pamphlet" 1873273 1873298 1873805 1873810) (|QuotientFieldCategory| "bookvol10.2.pamphlet" 1871877 1871906 1873091 1873268) (|QuotientFieldCategory&| NIL 1869971 1870003 1871188 1871193) (|QuotientFieldCategoryFunctions2| "bookvol10.4.pamphlet" 1869643 1869688 1869961 1869966) (|QueryEquation| "bookvol10.3.pamphlet" 1869207 1869226 1869633 1869638) (|QuasiComponentPackage| "bookvol10.4.pamphlet" 1865172 1865210 1869197 1869202) (|QuasiAlgebraicSet| "bookvol10.3.pamphlet" 1861301 1861348 1865057 1865062) (|QuasiAlgebraicSet2| "bookvol10.4.pamphlet" 1859297 1859331 1861291 1861296) (|PAdicWildFunctionFieldIntegralBasis| "bookvol10.4.pamphlet" 1856596 1856646 1859287 1859292) (|PushVariables| "bookvol10.4.pamphlet" 1855922 1855952 1856586 1856591) (|PartialTranscendentalFunctions| "bookvol10.2.pamphlet" 1852173 1852211 1855912 1855917) (|PointPackage| "bookvol10.4.pamphlet" 1849289 1849309 1852163 1852168) (|PointFunctions2| "bookvol10.4.pamphlet" 1849095 1849122 1849279 1849284) (|PointCategory| "bookvol10.2.pamphlet" 1848151 1848172 1849026 1849090) (|PolynomialSquareFree| "bookvol10.4.pamphlet" 1847444 1847486 1848141 1848146) (|PseudoLinearNormalForm| "bookvol10.4.pamphlet" 1846294 1846324 1847434 1847439) (|PolynomialSetUtilitiesPackage| "bookvol10.4.pamphlet" 1833740 1833783 1846136 1846141) (|PolynomialSetCategory| "bookvol10.2.pamphlet" 1828564 1828606 1833696 1833735) (|PolynomialSetCategory&| NIL 1823373 1823418 1828508 1828513) (|PlottableSpaceCurveCategory| "bookvol10.2.pamphlet" 1822373 1822406 1823363 1823368) (|PowerSeriesCategory| "bookvol10.2.pamphlet" 1821051 1821097 1822203 1822368) (|PowerSeriesCategory&| NIL 1819886 1819935 1821041 1821046) (|Partition| "bookvol10.3.pamphlet" 1818682 1818697 1819876 1819881) (|ProjectiveSpaceCategory| "bookvol10.2.pamphlet" 1816156 1816187 1818672 1818677) (|PseudoRemainderSequence| "bookvol10.4.pamphlet" 1807797 1807835 1816105 1816110) (|PriorityQueueAggregate| "bookvol10.2.pamphlet" 1807175 1807205 1807728 1807792) (|ProjectiveSpace| "bookvol10.3.pamphlet" 1807046 1807075 1807165 1807170) (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 1806884 1806946 1807036 1807041) (|ProjectivePlane| "bookvol10.3.pamphlet" 1806761 1806784 1806874 1806879) (|Product| "bookvol10.3.pamphlet" 1803561 1803578 1804093 1804161) (|PolynomialRing| "bookvol10.3.pamphlet" 1801609 1801633 1802314 1802548) (|ProjectiveAlgebraicSetPackage| "bookvol10.4.pamphlet" 1800836 1800902 1801599 1801604) (|PrintPackage| "bookvol10.4.pamphlet" 1800578 1800596 1800826 1800831) (|IntegerPrimesPackage| "bookvol10.4.pamphlet" 1798793 1798821 1800568 1800573) (|PrimitiveElement| "bookvol10.4.pamphlet" 1796870 1796894 1798783 1798788) (|PrimitiveFunctionCategory| "bookvol10.2.pamphlet" 1796458 1796489 1796860 1796865) (|PrimitiveArray| "bookvol10.3.pamphlet" 1795575 1795597 1795740 1795792) (|PrimitiveArrayFunctions2| "bookvol10.4.pamphlet" 1793659 1793693 1795565 1795570) (|PrecomputedAssociatedEquations| "bookvol10.4.pamphlet" 1792997 1793037 1793649 1793654) (|PlottablePlaneCurveCategory| "bookvol10.2.pamphlet" 1792337 1792370 1792987 1792992) (|U32VectorPolynomialOperations| "bookvol10.4.pamphlet" 1787119 1787154 1792327 1792332) (|PolynomialRoots| "bookvol10.4.pamphlet" 1785847 1785878 1787068 1787073) (|Polynomial| "bookvol10.3.pamphlet" 1782243 1782261 1782747 1782981) (|PolynomialCategoryLifting| "bookvol10.4.pamphlet" 1781509 1781555 1782233 1782238) (|PolynomialCategoryQuotientFunctions| "bookvol10.4.pamphlet" 1779490 1779541 1781499 1781504) (|PolynomialCategory| "bookvol10.2.pamphlet" 1772797 1772834 1779251 1779485) (|PolynomialCategory&| NIL 1765251 1765291 1771708 1771713) (|PolynomialToUnivariatePolynomial| "bookvol10.4.pamphlet" 1764667 1764711 1765241 1765246) (|PolynomialFunctions2| "bookvol10.4.pamphlet" 1764255 1764285 1764657 1764662) (|RealPolynomialUtilitiesPackage| "bookvol10.4.pamphlet" 1763259 1763316 1764202 1764207) (|PolToPol| "bookvol10.4.pamphlet" 1762001 1762022 1763249 1763254) (|Point| "bookvol10.3.pamphlet" 1760879 1760892 1760969 1761021) (|PolynomialNumberTheoryFunctions| "bookvol10.4.pamphlet" 1757522 1757559 1760869 1760874) (|PatternMatchTools| "bookvol10.4.pamphlet" 1756328 1756357 1757512 1757517) (|PatternMatchSymbol| "bookvol10.4.pamphlet" 1755869 1755895 1756318 1756323) (|PatternMatchQuotientFieldCategory| "bookvol10.4.pamphlet" 1755437 1755482 1755859 1755864) (|AttachPredicates| "bookvol10.4.pamphlet" 1754947 1754971 1755427 1755432) (|FunctionSpaceAttachPredicates| "bookvol10.4.pamphlet" 1754423 1754464 1754937 1754942) (|PatternMatchPolynomialCategory| "bookvol10.4.pamphlet" 1753461 1753507 1754341 1754346) (|PatternMatchListAggregate| "bookvol10.4.pamphlet" 1753023 1753060 1753451 1753456) (|PatternMatchKernel| "bookvol10.4.pamphlet" 1752586 1752614 1753013 1753018) (|PatternMatchIntegerNumberSystem| "bookvol10.4.pamphlet" 1752137 1752176 1752576 1752581) (|PatternMatchFunctionSpace| "bookvol10.4.pamphlet" 1751703 1751740 1752127 1752132) (|PatternMatchPushDown| "bookvol10.4.pamphlet" 1750995 1751027 1751693 1751698) (|PatternMatchAssertions| "bookvol10.4.pamphlet" 1750042 1750070 1750985 1750990) (|FunctionSpaceAssertions| "bookvol10.4.pamphlet" 1749049 1749082 1750032 1750037) (|PolynomialPackageForCurve| "bookvol10.4.pamphlet" 1747924 1747985 1749039 1749044) (|PlotTools| "bookvol10.4.pamphlet" 1747697 1747712 1747914 1747919) (|Plot| "bookvol10.3.pamphlet" 1742547 1742557 1747687 1747692) (|Plot3D| "bookvol10.3.pamphlet" 1739157 1739169 1742537 1742542) (|PlotFunctions1| "bookvol10.4.pamphlet" 1738296 1738318 1739147 1739152) (|ParametricLinearEquations| "bookvol10.4.pamphlet" 1724386 1724436 1738286 1738291) (|Plcs| "bookvol10.3.pamphlet" 1724291 1724307 1724376 1724381) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 1724159 1724212 1724281 1724286) (|Places| "bookvol10.3.pamphlet" 1724066 1724080 1724149 1724154) (|PlacesCategory| "bookvol10.2.pamphlet" 1723096 1723122 1724056 1724061) (|PolynomialInterpolation| "bookvol10.4.pamphlet" 1722701 1722737 1723086 1723091) (|PolynomialInterpolationAlgorithms| "bookvol10.4.pamphlet" 1722458 1722501 1722691 1722696) (|PositiveInteger| "bookvol10.3.pamphlet" 1722061 1722082 1722424 1722453) (|PrincipalIdealDomain| "bookvol10.2.pamphlet" 1720980 1721006 1721944 1722056) (|PiCoercions| "bookvol10.4.pamphlet" 1720716 1720735 1720970 1720975) (|PolyGroebner| "bookvol10.4.pamphlet" 1719328 1719348 1720706 1720711) (|PermutationGroupExamples| "bookvol10.4.pamphlet" 1711264 1711294 1719318 1719323) (|PolynomialGcdPackage| "bookvol10.4.pamphlet" 1709727 1709762 1711254 1711259) (|PartialFractionPackage| "bookvol10.4.pamphlet" 1708758 1708788 1709717 1709722) (|PartialFraction| "bookvol10.3.pamphlet" 1704243 1704266 1708588 1708753) (|PointsOfFiniteOrderTools| "bookvol10.4.pamphlet" 1703568 1703606 1704233 1704238) (|PackageForPoly| "bookvol10.4.pamphlet" 1701697 1701738 1703558 1703563) (|PointsOfFiniteOrderRational| "bookvol10.4.pamphlet" 1701042 1701085 1701687 1701692) (|PointsOfFiniteOrder| "bookvol10.4.pamphlet" 1700450 1700490 1701032 1701037) (|PrimeField| "bookvol10.3.pamphlet" 1700006 1700026 1700144 1700309) (|PolynomialFactorizationExplicit| "bookvol10.2.pamphlet" 1697642 1697679 1699889 1700001) (|PolynomialFactorizationExplicit&| NIL 1695329 1695369 1697579 1697584) (|PolynomialFactorizationByRecursionUnivariate| "bookvol10.4.pamphlet" 1693194 1693248 1695319 1695324) (|PolynomialFactorizationByRecursion| "bookvol10.4.pamphlet" 1690822 1690877 1693184 1693189) (|Permutation| "bookvol10.3.pamphlet" 1686107 1686126 1690624 1690646) (|PermutationGroup| "bookvol10.3.pamphlet" 1680858 1680882 1686097 1686102) (|PermutationCategory| "bookvol10.2.pamphlet" 1679497 1679524 1680831 1680853) (|Permanent| "bookvol10.4.pamphlet" 1678249 1678270 1679487 1679492) (|PendantTree| "bookvol10.3.pamphlet" 1677490 1677509 1678079 1678084) (|PartialDifferentialRing| "bookvol10.2.pamphlet" 1675837 1675868 1677463 1677485) (|PartialDifferentialRing&| NIL 1674198 1674232 1675827 1675832) (|NumericalPDEProblem| "bookvol10.3.pamphlet" 1672360 1672385 1674188 1674193) (|AnnaPartialDifferentialEquationPackage| "bookvol10.4.pamphlet" 1666400 1666444 1672350 1672355) (|PolynomialDecomposition| "bookvol10.4.pamphlet" 1665735 1665769 1666390 1666395) (|PartialDifferentialEquationsSolverCategory| "bookvol10.2.pamphlet" 1663845 1663893 1665725 1665730) (|PolynomialComposition| "bookvol10.4.pamphlet" 1663561 1663593 1663835 1663840) (|PoincareBirkhoffWittLyndonBasis| "bookvol10.3.pamphlet" 1662174 1662220 1663551 1663556) (|Pattern| "bookvol10.3.pamphlet" 1656454 1656469 1662164 1662169) (|PatternFunctions2| "bookvol10.4.pamphlet" 1656170 1656197 1656444 1656449) (|PatternFunctions1| "bookvol10.4.pamphlet" 1654457 1654484 1656160 1656165) (|PatternMatchResult| "bookvol10.3.pamphlet" 1652102 1652130 1654447 1654452) (|PatternMatchResultFunctions2| "bookvol10.4.pamphlet" 1651788 1651828 1652092 1652097) (|PatternMatch| "bookvol10.4.pamphlet" 1649958 1649999 1651455 1651460) (|PatternMatchable| "bookvol10.2.pamphlet" 1649383 1649407 1649948 1649953) (|PatternMatchListResult| "bookvol10.3.pamphlet" 1648473 1648507 1649373 1649378) (|Patternable| "bookvol10.2.pamphlet" 1648170 1648189 1648463 1648468) (|PartitionsAndPermutations| "bookvol10.4.pamphlet" 1645665 1645696 1648160 1648165) (|ParametricSurface| "bookvol10.3.pamphlet" 1645108 1645151 1645655 1645660) (|ParametricSurfaceFunctions2| "bookvol10.4.pamphlet" 1644876 1644917 1645098 1645103) (|ParametricSpaceCurve| "bookvol10.3.pamphlet" 1644316 1644362 1644866 1644871) (|ParametricSpaceCurveFunctions2| "bookvol10.4.pamphlet" 1644075 1644119 1644306 1644311) (|ParametricPlaneCurve| "bookvol10.3.pamphlet" 1643527 1643573 1644065 1644070) (|ParametricPlaneCurveFunctions2| "bookvol10.4.pamphlet" 1643286 1643330 1643517 1643522) (|ParametrizationPackage| "bookvol10.4.pamphlet" 1642089 1642158 1643276 1643281) (|PolynomialAN2Expression| "bookvol10.4.pamphlet" 1641482 1641511 1642079 1642084) (|Palette| "bookvol10.3.pamphlet" 1640485 1640498 1641472 1641477) (|PackageForAlgebraicFunctionField| "bookvol10.4.pamphlet" 1634898 1634951 1640437 1640442) (|PackageForAlgebraicFunctionFieldOverFiniteField| "bookvol10.4.pamphlet" 1628697 1628765 1634810 1634815) (|PAdicRationalConstructor| "bookvol10.3.pamphlet" 1625493 1625533 1626644 1626809) (|PAdicRational| "bookvol10.3.pamphlet" 1622677 1622700 1622861 1623026) (|PAdicInteger| "bookvol10.3.pamphlet" 1622369 1622391 1622560 1622672) (|PAdicIntegerCategory| "bookvol10.2.pamphlet" 1620854 1620884 1622252 1622364) (|PadeApproximantPackage| "bookvol10.4.pamphlet" 1619779 1619818 1620844 1620849) (|PadeApproximants| "bookvol10.4.pamphlet" 1618770 1618800 1619769 1619774) (|PseudoAlgebraicClosureOfRationalNumber| "bookvol10.3.pamphlet" 1617383 1617427 1618255 1618420) (|PseudoAlgebraicClosureOfRationalNumberCategory| "bookvol10.2.pamphlet" 1616251 1616303 1617213 1617378) (|PseudoAlgebraicClosureOfPerfectFieldCategory| "bookvol10.2.pamphlet" 1614436 1614486 1616081 1616246) (|PseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 1613251 1613294 1614121 1614286) (|PseudoAlgebraicClosureOfFiniteFieldCategory| "bookvol10.2.pamphlet" 1612125 1612174 1613081 1613246) (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| "bookvol10.3.pamphlet" 1610140 1610204 1611035 1611200) (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory| "bookvol10.2.pamphlet" 1608992 1609052 1609970 1610135) (|OrdinaryWeightedPolynomials| "bookvol10.3.pamphlet" 1607909 1607964 1608784 1608901) (|OrderedVariableList| "bookvol10.3.pamphlet" 1607673 1607713 1607899 1607904) (|OutputPackage| "bookvol10.4.pamphlet" 1606788 1606807 1607663 1607668) (|OutputForm| "bookvol10.3.pamphlet" 1596194 1596210 1606778 1606783) (|OrdSetInts| "bookvol10.3.pamphlet" 1595791 1595807 1596184 1596189) (|OrthogonalPolynomialFunctions| "bookvol10.4.pamphlet" 1594204 1594241 1595691 1595696) (|UnivariateSkewPolynomial| "bookvol10.3.pamphlet" 1593435 1593487 1593789 1593852) (|SparseUnivariateSkewPolynomial| "bookvol10.3.pamphlet" 1592595 1592649 1593020 1593083) (|UnivariateSkewPolynomialCategoryOps| "bookvol10.4.pamphlet" 1590307 1590352 1592500 1592505) (|UnivariateSkewPolynomialCategory| "bookvol10.2.pamphlet" 1584265 1584305 1590239 1590302) (|UnivariateSkewPolynomialCategory&| NIL 1578101 1578144 1584078 1584083) (|OrderedSet| "bookvol10.2.pamphlet" 1577233 1577249 1578091 1578096) (|OrderedSet&| NIL 1576362 1576381 1577223 1577228) (|OrderedRing| "bookvol10.2.pamphlet" 1575680 1575697 1576335 1576357) (|OrderedRing&| NIL 1575012 1575032 1575670 1575675) (|OrderedMonoid| "bookvol10.2.pamphlet" 1574725 1574744 1575002 1575007) (|OrderingFunctions| "bookvol10.4.pamphlet" 1573857 1573888 1574715 1574720) (|OrderedFinite| "bookvol10.2.pamphlet" 1573780 1573799 1573847 1573852) (|OrderedCompletion| "bookvol10.3.pamphlet" 1572130 1572155 1573200 1573245) (|OrderedCompletionFunctions2| "bookvol10.4.pamphlet" 1571457 1571494 1572120 1572125) (|NumericalOptimizationProblem| "bookvol10.3.pamphlet" 1569197 1569231 1571447 1571452) (|AnnaNumericalOptimizationPackage| "bookvol10.4.pamphlet" 1561619 1561657 1569187 1569192) (|NumericalOptimizationCategory| "bookvol10.2.pamphlet" 1559070 1559105 1561609 1561614) (|OperationsQuery| "bookvol10.4.pamphlet" 1558612 1558633 1559060 1559065) (|Operator| "bookvol10.3.pamphlet" 1558250 1558266 1558336 1558453) (|OnePointCompletion| "bookvol10.3.pamphlet" 1556883 1556909 1557670 1557715) (|OnePointCompletionFunctions2| "bookvol10.4.pamphlet" 1556348 1556386 1556873 1556878) (|OpenMathServerPackage| "bookvol10.4.pamphlet" 1555379 1555406 1556338 1556343) (|OrderedMultisetAggregate| "bookvol10.2.pamphlet" 1555100 1555132 1555282 1555374) (|OpenMathPackage| "bookvol10.4.pamphlet" 1553763 1553784 1555090 1555095) (|OpenMath| "bookvol10.2.pamphlet" 1552832 1552846 1553753 1553758) (|OppositeMonogenicLinearOperator| "bookvol10.3.pamphlet" 1552169 1552210 1552667 1552730) (|ExpressionToOpenMath| "bookvol10.4.pamphlet" 1551985 1552013 1552159 1552164) (|OpenMathError| "bookvol10.3.pamphlet" 1551527 1551546 1551975 1551980) (|OpenMathErrorKind| "bookvol10.3.pamphlet" 1550564 1550587 1551517 1551522) (|OpenMathEncoding| "bookvol10.3.pamphlet" 1549896 1549918 1550554 1550559) (|OpenMathDevice| "bookvol10.3.pamphlet" 1544627 1544647 1549886 1549891) (|OpenMathConnection| "bookvol10.3.pamphlet" 1544028 1544052 1544617 1544622) (|OrderedIntegralDomain| "bookvol10.2.pamphlet" 1543743 1543770 1543911 1544023) (|OrderedFreeMonoid| "bookvol10.3.pamphlet" 1537355 1537380 1543733 1543738) (|OrderlyDifferentialVariable| "bookvol10.3.pamphlet" 1536613 1536648 1537345 1537350) (|OrdinaryDifferentialRing| "bookvol10.3.pamphlet" 1535952 1536000 1536338 1536571) (|OrderlyDifferentialPolynomial| "bookvol10.3.pamphlet" 1532208 1532245 1532561 1532795) (|OrderedDirectProduct| "bookvol10.3.pamphlet" 1521996 1522034 1522372 1522576) (|ODETools| "bookvol10.4.pamphlet" 1520519 1520540 1521986 1521991) (|SystemODESolver| "bookvol10.4.pamphlet" 1517970 1517996 1520509 1520514) (|RationalRicDE| "bookvol10.4.pamphlet" 1513869 1513893 1517904 1517909) (|ReduceLODE| "bookvol10.4.pamphlet" 1513226 1513254 1513859 1513864) (|RationalLODE| "bookvol10.4.pamphlet" 1510664 1510687 1513216 1513221) (|PrimitiveRatRicDE| "bookvol10.4.pamphlet" 1507668 1507701 1510654 1510659) (|NumericalODEProblem| "bookvol10.3.pamphlet" 1506307 1506332 1507658 1507663) (|PrimitiveRatDE| "bookvol10.4.pamphlet" 1503557 1503587 1506297 1506302) (|PureAlgebraicLODE| "bookvol10.4.pamphlet" 1502912 1502947 1503547 1503552) (|AnnaOrdinaryDifferentialEquationPackage| "bookvol10.4.pamphlet" 1490619 1490664 1502902 1502907) (|ODEIntegration| "bookvol10.4.pamphlet" 1490030 1490054 1490609 1490614) (|ODEIntensityFunctionsTable| "bookvol10.3.pamphlet" 1487409 1487441 1490020 1490025) (|ElementaryFunctionODESolver| "bookvol10.4.pamphlet" 1482705 1482742 1487399 1487404) (|ConstantLODE| "bookvol10.4.pamphlet" 1482208 1482232 1482695 1482700) (|OrdinaryDifferentialEquationsSolverCategory| "bookvol10.2.pamphlet" 1480558 1480607 1482198 1482203) (|Octonion| "bookvol10.3.pamphlet" 1478407 1478423 1479095 1479158) (|OctonionCategoryFunctions2| "bookvol10.4.pamphlet" 1478032 1478074 1478397 1478402) (|OctonionCategory| "bookvol10.2.pamphlet" 1475942 1475966 1477964 1478027) (|OctonionCategory&| NIL 1473502 1473529 1475527 1475532) (|OrderedCancellationAbelianMonoid| "bookvol10.2.pamphlet" 1473322 1473360 1473492 1473497) (|OrderedAbelianSemiGroup| "bookvol10.2.pamphlet" 1473067 1473096 1473312 1473317) (|OrderedAbelianMonoidSup| "bookvol10.2.pamphlet" 1472400 1472429 1473057 1473062) (|OrderedAbelianMonoid| "bookvol10.2.pamphlet" 1472245 1472271 1472390 1472395) (|OrderedAbelianGroup| "bookvol10.2.pamphlet" 1472092 1472117 1472235 1472240) (|NumericTubePlot| "bookvol10.4.pamphlet" 1471806 1471835 1472082 1472087) (|NumericalQuadrature| "bookvol10.4.pamphlet" 1460518 1460543 1471796 1471801) (|NumericalOrdinaryDifferentialEquations| "bookvol10.4.pamphlet" 1452049 1452093 1460508 1460513) (|NumericalIntegrationCategory| "bookvol10.2.pamphlet" 1449378 1449412 1452039 1452044) (|NumberFormats| "bookvol10.4.pamphlet" 1448209 1448228 1449368 1449373) (|Numeric| "bookvol10.4.pamphlet" 1440316 1440331 1447968 1447973) (|NormalizedTriangularSetCategory| "bookvol10.2.pamphlet" 1439669 1439714 1440247 1440311) (|NumberTheoreticPolynomialFunctions| "bookvol10.4.pamphlet" 1439171 1439213 1439569 1439574) (|NewSparseUnivariatePolynomial| "bookvol10.3.pamphlet" 1431984 1432021 1435660 1435937) (|NewSparseUnivariatePolynomialFunctions2| "bookvol10.4.pamphlet" 1431343 1431392 1431974 1431979) (|NewSparseMultivariatePolynomial| "bookvol10.3.pamphlet" 1426329 1426377 1426650 1426884) (|NeitherSparseOrDensePowerSeries| "bookvol10.3.pamphlet" 1424503 1424542 1424609 1424774) (|NumericRealEigenPackage| "bookvol10.4.pamphlet" 1422872 1422907 1424493 1424498) (|NewtonPolygon| "bookvol10.4.pamphlet" 1422753 1422793 1422862 1422867) (|NPCoef| "bookvol10.4.pamphlet" 1421997 1422021 1422743 1422748) (|NottinghamGroup| "bookvol10.3.pamphlet" 1421869 1421892 1421970 1421992) (|NormRetractPackage| "bookvol10.4.pamphlet" 1421451 1421502 1421859 1421864) (|NormalizationPackage| "bookvol10.4.pamphlet" 1420281 1420318 1421441 1421446) (|NormInMonogenicAlgebra| "bookvol10.4.pamphlet" 1419943 1419989 1420271 1420276) (|None| "bookvol10.3.pamphlet" 1419682 1419692 1419933 1419938) (|NoneFunctions1| "bookvol10.4.pamphlet" 1419346 1419368 1419672 1419677) (|NonLinearFirstOrderODESolver| "bookvol10.4.pamphlet" 1418781 1418819 1419336 1419341) (|NonNegativeInteger| "bookvol10.3.pamphlet" 1417647 1417671 1418747 1418776) (|NonLinearSolvePackage| "bookvol10.4.pamphlet" 1416254 1416283 1417637 1417642) (|NumericalIntegrationProblem| "bookvol10.3.pamphlet" 1413917 1413950 1416244 1416249) (|NumberFieldIntegralBasis| "bookvol10.4.pamphlet" 1411367 1411402 1413907 1413912) (|NewtonInterpolation| "bookvol10.4.pamphlet" 1410673 1410700 1411357 1411362) (|NonCommutativeOperatorDivision| "bookvol10.4.pamphlet" 1408789 1408829 1410663 1410668) (|NumericContinuedFraction| "bookvol10.4.pamphlet" 1408428 1408460 1408779 1408784) (|NumericComplexEigenPackage| "bookvol10.4.pamphlet" 1406582 1406620 1408418 1408423) (|NonAssociativeRing| "bookvol10.2.pamphlet" 1406164 1406188 1406572 1406577) (|NonAssociativeRing&| NIL 1405743 1405770 1406154 1406159) (|NonAssociativeRng| "bookvol10.2.pamphlet" 1405106 1405129 1405733 1405738) (|NonAssociativeRng&| NIL 1404466 1404492 1405096 1405101) (|NAGLinkSupportPackage| "bookvol10.4.pamphlet" 1403524 1403551 1404456 1404461) (|NagSpecialFunctionsPackage| "bookvol10.4.pamphlet" 1393942 1393974 1403514 1403519) (|NagLapack| "bookvol10.4.pamphlet" 1392435 1392450 1393932 1393937) (|NagLinearEquationSolvingPackage| "bookvol10.4.pamphlet" 1386870 1386907 1392425 1392430) (|NagEigenPackage| "bookvol10.4.pamphlet" 1381013 1381034 1386860 1386865) (|NagMatrixOperationsPackage| "bookvol10.4.pamphlet" 1376799 1376831 1381003 1381008) (|NagOptimisationPackage| "bookvol10.4.pamphlet" 1370573 1370601 1376789 1376794) (|NagFittingPackage| "bookvol10.4.pamphlet" 1361315 1361338 1370563 1370568) (|NagInterpolationPackage| "bookvol10.4.pamphlet" 1357385 1357414 1361305 1361310) (|NagPartialDifferentialEquationsPackage| "bookvol10.4.pamphlet" 1355388 1355432 1357375 1357380) (|NagOrdinaryDifferentialEquationsPackage| "bookvol10.4.pamphlet" 1348157 1348202 1355378 1355383) (|NagIntegrationPackage| "bookvol10.4.pamphlet" 1342682 1342709 1348147 1348152) (|NagSeriesSummationPackage| "bookvol10.4.pamphlet" 1338591 1338622 1342672 1342677) (|NagRootFindingPackage| "bookvol10.4.pamphlet" 1337118 1337145 1338581 1338586) (|NagPolynomialRootsPackage| "bookvol10.4.pamphlet" 1336425 1336456 1337108 1337113) (|NonAssociativeAlgebra| "bookvol10.2.pamphlet" 1335941 1335970 1336376 1336420) (|NonAssociativeAlgebra&| NIL 1335493 1335525 1335931 1335936) (|MyUnivariatePolynomial| "bookvol10.3.pamphlet" 1331639 1331673 1331982 1332259) (|MyExpression| "bookvol10.3.pamphlet" 1329189 1329213 1329271 1329638) (|MultivariateSquareFree| "bookvol10.4.pamphlet" 1326137 1326174 1329179 1329184) (|MultivariateFactorize| "bookvol10.4.pamphlet" 1325516 1325552 1326127 1326132) (|MultivariateTaylorSeriesCategory| "bookvol10.2.pamphlet" 1323448 1323499 1325346 1325511) (|MergeThing| "bookvol10.4.pamphlet" 1323099 1323117 1323438 1323443) (|MoreSystemCommands| "bookvol10.4.pamphlet" 1322541 1322565 1323089 1323094) (|Multiset| "bookvol10.3.pamphlet" 1320517 1320533 1322222 1322302) (|MultisetAggregate| "bookvol10.2.pamphlet" 1320306 1320331 1320444 1320512) (|MonoidRing| "bookvol10.3.pamphlet" 1317219 1317239 1319900 1320017) (|MonoidRingFunctions2| "bookvol10.4.pamphlet" 1316763 1316795 1317209 1317214) (|MRationalFactorize| "bookvol10.4.pamphlet" 1316308 1316341 1316753 1316758) (|MPolyCatRationalFunctionFactorizer| "bookvol10.4.pamphlet" 1314349 1314400 1316298 1316303) (|MultivariatePolynomial| "bookvol10.3.pamphlet" 1310797 1310832 1311159 1311393) (|MPolyCatPolyFactorizer| "bookvol10.4.pamphlet" 1310056 1310095 1310787 1310792) (|MPolyCatFunctions3| "bookvol10.4.pamphlet" 1309853 1309909 1310046 1310051) (|MPolyCatFunctions2| "bookvol10.4.pamphlet" 1309588 1309637 1309843 1309848) (|MonomialExtensionTools| "bookvol10.4.pamphlet" 1307943 1307976 1309578 1309583) (|Monoid| "bookvol10.2.pamphlet" 1306841 1306853 1307933 1307938) (|Monoid&| NIL 1305736 1305751 1306831 1306836) (|MonogenicAlgebra| "bookvol10.2.pamphlet" 1304369 1304396 1305515 1305731) (|MonogenicAlgebra&| NIL 1303080 1303110 1304229 1304234) (|MonadWithUnit| "bookvol10.2.pamphlet" 1301222 1301241 1303070 1303075) (|MonadWithUnit&| NIL 1299361 1299383 1301212 1301217) (|Monad| "bookvol10.2.pamphlet" 1298549 1298560 1299351 1299356) (|Monad&| NIL 1297734 1297748 1298539 1298544) (|MoebiusTransform| "bookvol10.3.pamphlet" 1296374 1296398 1297707 1297729) (|Module| "bookvol10.2.pamphlet" 1296066 1296080 1296325 1296369) (|Module&| NIL 1295794 1295811 1296056 1296061) (|ModularRing| "bookvol10.3.pamphlet" 1295089 1295145 1295767 1295789) (|ModuleOperator| "bookvol10.3.pamphlet" 1293599 1293623 1294813 1294930) (|ModuleMonomial| "bookvol10.3.pamphlet" 1293100 1293130 1293589 1293594) (|ModMonic| "bookvol10.3.pamphlet" 1288672 1288694 1289496 1289773) (|ModularField| "bookvol10.3.pamphlet" 1287949 1288006 1288502 1288667) (|MathMLFormat| "bookvol10.3.pamphlet" 1286744 1286762 1287939 1287944) (|MultipleMap| "bookvol10.4.pamphlet" 1286469 1286512 1286734 1286739) (|MonogenicLinearOperator| "bookvol10.2.pamphlet" 1284842 1284873 1286401 1286464) (|MultivariateLifting| "bookvol10.4.pamphlet" 1283441 1283475 1284832 1284837) (|MakeUnaryCompiledFunction| "bookvol10.4.pamphlet" 1282862 1282899 1283431 1283436) (|MakeRecord| "bookvol10.4.pamphlet" 1282446 1282467 1282852 1282857) (|MakeFunction| "bookvol10.4.pamphlet" 1281721 1281741 1282436 1282441) (|MakeFloatCompiledFunction| "bookvol10.4.pamphlet" 1280548 1280581 1281711 1281716) (|MakeCachableSet| "bookvol10.3.pamphlet" 1280313 1280336 1280538 1280543) (|MakeBinaryCompiledFunction| "bookvol10.4.pamphlet" 1279728 1279770 1280303 1280308) (|MachineInteger| "bookvol10.3.pamphlet" 1279076 1279096 1279551 1279723) (|ModularHermitianRowReduction| "bookvol10.4.pamphlet" 1277689 1277725 1279066 1279071) (|MachineFloat| "bookvol10.3.pamphlet" 1276047 1276065 1277499 1277684) (|MultFiniteFactorize| "bookvol10.4.pamphlet" 1275434 1275469 1276037 1276042) (|MeshCreationRoutinesForThreeDimensions| "bookvol10.4.pamphlet" 1273310 1273354 1275424 1275429) (|ModularDistinctDegreeFactorizer| "bookvol10.4.pamphlet" 1271534 1271573 1273300 1273305) (|MultiDictionary| "bookvol10.2.pamphlet" 1270789 1270812 1271489 1271529) (|MachineComplex| "bookvol10.3.pamphlet" 1264702 1264722 1265328 1265733) (|MatrixCommonDenominator| "bookvol10.4.pamphlet" 1263883 1263916 1264692 1264697) (|MultiVariableCalculusFunctions| "bookvol10.4.pamphlet" 1261119 1261169 1263873 1263878) (|StorageEfficientMatrixOperations| "bookvol10.4.pamphlet" 1258369 1258409 1261109 1261114) (|Matrix| "bookvol10.3.pamphlet" 1257124 1257138 1257610 1257662) (|MatrixLinearAlgebraFunctions| "bookvol10.4.pamphlet" 1254478 1254528 1256980 1256985) (|MatrixCategory| "bookvol10.2.pamphlet" 1240569 1240603 1254409 1254473) (|MatrixCategory&| NIL 1226483 1226520 1240326 1240331) (|MatrixCategoryFunctions2| "bookvol10.4.pamphlet" 1225743 1225813 1226473 1226478) (|MappingPackage4| "bookvol10.4.pamphlet" 1224524 1224549 1225733 1225738) (|MappingPackage3| "bookvol10.4.pamphlet" 1223386 1223413 1224514 1224519) (|MappingPackage2| "bookvol10.4.pamphlet" 1222679 1222704 1223376 1223381) (|MappingPackage1| "bookvol10.4.pamphlet" 1221488 1221511 1222669 1222674) (|MappingPackageInternalHacks3| "bookvol10.4.pamphlet" 1221274 1221314 1221478 1221483) (|MappingPackageInternalHacks2| "bookvol10.4.pamphlet" 1221017 1221055 1221264 1221269) (|MappingPackageInternalHacks1| "bookvol10.4.pamphlet" 1220627 1220663 1221007 1221012) (|MatrixManipulation| "bookvol10.4.pamphlet" 1216283 1216323 1220617 1220622) (|Magma| "bookvol10.3.pamphlet" 1214564 1214584 1216273 1216278) (|ModularAlgebraicGcdOperations| "bookvol10.2.pamphlet" 1212393 1212435 1214554 1214559) (|ThreeDimensionalMatrix| "bookvol10.3.pamphlet" 1210317 1210347 1211953 1211958) (|LazyStreamAggregate| "bookvol10.2.pamphlet" 1206048 1206075 1210297 1210312) (|LazyStreamAggregate&| NIL 1201786 1201816 1206038 1206043) (|LyndonWord| "bookvol10.3.pamphlet" 1199016 1199041 1201776 1201781) (|LieSquareMatrix| "bookvol10.3.pamphlet" 1196929 1196956 1197324 1197411) (|LinearSystemPolynomialPackage| "bookvol10.4.pamphlet" 1196445 1196489 1196919 1196924) (|LinearSystemMatrixPackage| "bookvol10.4.pamphlet" 1195228 1195275 1196435 1196440) (|LinearSystemMatrixPackage1| "bookvol10.4.pamphlet" 1192970 1193004 1195218 1195223) (|ListAggregate| "bookvol10.2.pamphlet" 1192591 1192612 1192901 1192965) (|ListAggregate&| NIL 1192268 1192292 1192581 1192586) (|LiePolynomial| "bookvol10.3.pamphlet" 1191372 1191402 1192091 1192177) (|LinearPolynomialEquationByFractions| "bookvol10.4.pamphlet" 1190600 1190643 1191362 1191367) (|LocalParametrizationOfSimplePointPackage| "bookvol10.4.pamphlet" 1189038 1189125 1190590 1190595) (|LeftOreRing| "bookvol10.2.pamphlet" 1188483 1188500 1188947 1189033) (|LinesOpPack| "bookvol10.4.pamphlet" 1187147 1187166 1188473 1188478) (|Localize| "bookvol10.3.pamphlet" 1186504 1186524 1187047 1187091) (|Logic| "bookvol10.2.pamphlet" 1186133 1186144 1186494 1186499) (|Logic&| NIL 1185759 1185773 1186123 1186128) (|LinearOrdinaryDifferentialOperatorsOps| "bookvol10.4.pamphlet" 1184653 1184701 1185749 1185754) (|LinearOrdinaryDifferentialOperator| "bookvol10.3.pamphlet" 1183896 1183945 1184238 1184301) (|LinearOrdinaryDifferentialOperatorFactorizer| "bookvol10.4.pamphlet" 1182883 1182938 1183830 1183835) (|LinearOrdinaryDifferentialOperatorCategory| "bookvol10.2.pamphlet" 1181468 1181518 1182815 1182878) (|LinearOrdinaryDifferentialOperatorCategory&| NIL 1180071 1180124 1181421 1181426) (|LinearOrdinaryDifferentialOperator2| "bookvol10.3.pamphlet" 1179203 1179248 1179656 1179719) (|LinearOrdinaryDifferentialOperator1| "bookvol10.3.pamphlet" 1178462 1178505 1178788 1178851) (|ElementaryFunctionLODESolver| "bookvol10.4.pamphlet" 1177166 1177206 1178452 1178457) (|LocalPowerSeriesCategory| "bookvol10.2.pamphlet" 1175495 1175527 1176996 1177161) (|LinearAggregate| "bookvol10.2.pamphlet" 1171958 1171981 1175475 1175490) (|LinearAggregate&| NIL 1168381 1168407 1171901 1171906) (|ListMonoidOps| "bookvol10.3.pamphlet" 1164982 1165010 1168371 1168376) (|LeftModule| "bookvol10.2.pamphlet" 1164489 1164507 1164972 1164977) (|ListMultiDictionary| "bookvol10.3.pamphlet" 1163529 1163556 1164198 1164250) (|LinearSystemFromPowerSeriesPackage| "bookvol10.4.pamphlet" 1162948 1162994 1163519 1163524) (|List| "bookvol10.3.pamphlet" 1160779 1160791 1162188 1162240) (|ListFunctions3| "bookvol10.4.pamphlet" 1160082 1160108 1160769 1160774) (|ListFunctions2| "bookvol10.4.pamphlet" 1158750 1158774 1160072 1160077) (|ListToMap| "bookvol10.4.pamphlet" 1155606 1155625 1158740 1158745) (|LinearlyExplicitRingOver| "bookvol10.2.pamphlet" 1154955 1154987 1155579 1155601) (|LinearDependence| "bookvol10.4.pamphlet" 1153808 1153834 1154861 1154866) (|RationalFunctionLimitPackage| "bookvol10.4.pamphlet" 1151740 1151776 1153798 1153803) (|PowerSeriesLimitPackage| "bookvol10.4.pamphlet" 1150594 1150628 1151730 1151735) (|AssociatedLieAlgebra| "bookvol10.3.pamphlet" 1148299 1148329 1149577 1149821) (|LieAlgebra| "bookvol10.2.pamphlet" 1147859 1147877 1148208 1148294) (|LieAlgebra&| NIL 1147460 1147481 1147812 1147817) (|Library| "bookvol10.3.pamphlet" 1145803 1145816 1146514 1146542) (|LinGroebnerPackage| "bookvol10.4.pamphlet" 1143169 1143200 1145793 1145798) (|LiouvillianFunction| "bookvol10.4.pamphlet" 1141935 1141964 1143159 1143164) (|LiouvillianFunctionCategory| "bookvol10.2.pamphlet" 1140763 1140796 1141925 1141930) (|LexTriangularPackage| "bookvol10.4.pamphlet" 1136577 1136610 1140753 1140758) (|LieExponentials| "bookvol10.3.pamphlet" 1134792 1134832 1136550 1136572) (|LeadingCoefDetermination| "bookvol10.4.pamphlet" 1133200 1133239 1134782 1134787) (|LazardSetSolvingPackage| "bookvol10.4.pamphlet" 1132289 1132332 1133190 1133195) (|LaurentPolynomial| "bookvol10.3.pamphlet" 1130895 1130923 1131727 1131839) (|LaplaceTransform| "bookvol10.4.pamphlet" 1130430 1130456 1130885 1130890) (|LocalAlgebra| "bookvol10.3.pamphlet" 1129797 1129821 1130319 1130382) (|LeftAlgebra| "bookvol10.2.pamphlet" 1129557 1129576 1129770 1129792) (|LeftAlgebra&| NIL 1129331 1129353 1129547 1129552) (|Kovacic| "bookvol10.4.pamphlet" 1128011 1128029 1129321 1129326) (|ConvertibleTo| "bookvol10.2.pamphlet" 1127724 1127745 1128001 1128006) (|CoercibleTo| "bookvol10.2.pamphlet" 1127452 1127471 1127714 1127719) (|Kernel| "bookvol10.3.pamphlet" 1125951 1125965 1127178 1127183) (|KernelFunctions2| "bookvol10.4.pamphlet" 1125640 1125666 1125941 1125946) (|KeyedDictionary| "bookvol10.2.pamphlet" 1124753 1124788 1125595 1125635) (|KeyedDictionary&| NIL 1123898 1123936 1124743 1124748) (|KeyedAccessFile| "bookvol10.3.pamphlet" 1122370 1122399 1123092 1123144) (|AssociatedJordanAlgebra| "bookvol10.3.pamphlet" 1120051 1120084 1121353 1121597) (|IndexedAggregate| "bookvol10.2.pamphlet" 1118281 1118319 1120031 1120046) (|IndexedAggregate&| NIL 1116334 1116375 1118087 1118092) (|IndexedVector| "bookvol10.3.pamphlet" 1115151 1115177 1115302 1115354) (|InfiniteTuple| "bookvol10.3.pamphlet" 1114260 1114281 1115141 1115146) (|InnerTrigonometricManipulations| "bookvol10.4.pamphlet" 1112998 1113042 1114250 1114255) (|InfiniteTupleFunctions3| "bookvol10.4.pamphlet" 1112483 1112518 1112988 1112993) (|InfiniteTupleFunctions2| "bookvol10.4.pamphlet" 1112206 1112239 1112473 1112478) (|InnerTaylorSeries| "bookvol10.3.pamphlet" 1109896 1109926 1111939 1112155) (|InnerSparseUnivariatePowerSeries| "bookvol10.3.pamphlet" 1102023 1102068 1108639 1108804) (|InnerPolySum| "bookvol10.4.pamphlet" 1101480 1101506 1102013 1102018) (|IndexedString| "bookvol10.3.pamphlet" 1100477 1100501 1100654 1100706) (|InternalRationalUnivariateRepresentationPackage| "bookvol10.4.pamphlet" 1099427 1099491 1100467 1100472) (|IrrRepSymNatPackage| "bookvol10.4.pamphlet" 1097478 1097503 1099417 1099422) (|IntegrationResultRFToFunction| "bookvol10.4.pamphlet" 1095982 1096019 1097418 1097423) (|IrredPolyOverFiniteField| "bookvol10.4.pamphlet" 1095561 1095594 1095972 1095977) (|IntegerRoots| "bookvol10.4.pamphlet" 1093867 1093887 1095551 1095556) (|IntegrationResult| "bookvol10.3.pamphlet" 1091525 1091550 1093668 1093712) (|IntegrationResultFunctions2| "bookvol10.4.pamphlet" 1090648 1090685 1091515 1091520) (|IntegrationResultToFunction| "bookvol10.4.pamphlet" 1089804 1089841 1090638 1090643) (|InternalPrintPackage| "bookvol10.4.pamphlet" 1089562 1089588 1089794 1089799) (|InnerPrimeField| "bookvol10.3.pamphlet" 1089139 1089164 1089256 1089421) (|InnerPAdicInteger| "bookvol10.3.pamphlet" 1088852 1088893 1089022 1089134) (|InverseLaplaceTransform| "bookvol10.4.pamphlet" 1088432 1088465 1088842 1088847) (|TranscendentalIntegration| "bookvol10.4.pamphlet" 1081435 1081471 1088422 1088427) (|IntegrationTools| "bookvol10.4.pamphlet" 1079138 1079164 1080857 1080862) (|IntegerSolveLinearPolynomialEquation| "bookvol10.4.pamphlet" 1078424 1078466 1079128 1079133) (|Interval| "bookvol10.3.pamphlet" 1078143 1078159 1078287 1078419) (|RationalFunctionIntegration| "bookvol10.4.pamphlet" 1076486 1076521 1078133 1078138) (|IntegerRetractions| "bookvol10.4.pamphlet" 1075963 1075989 1076476 1076481) (|RationalIntegration| "bookvol10.4.pamphlet" 1074619 1074649 1075953 1075958) (|PatternMatchIntegration| "bookvol10.4.pamphlet" 1072790 1072823 1074137 1074142) (|PureAlgebraicIntegration| "bookvol10.4.pamphlet" 1070389 1070425 1072682 1072687) (|AnnaNumericalIntegrationPackage| "bookvol10.4.pamphlet" 1060885 1060922 1070379 1070384) (|Integer| "bookvol10.3.pamphlet" 1060131 1060144 1060629 1060880) (|TranscendentalHermiteIntegration| "bookvol10.4.pamphlet" 1059371 1059414 1060121 1060126) (|AlgebraicHermiteIntegration| "bookvol10.4.pamphlet" 1058995 1059040 1059361 1059366) (|IntegerNumberTheoryFunctions| "bookvol10.4.pamphlet" 1055348 1055382 1058985 1058990) (|GenusZeroIntegration| "bookvol10.4.pamphlet" 1048452 1048484 1055240 1055245) (|IntegrationFunctionsTable| "bookvol10.3.pamphlet" 1042427 1042458 1048442 1048447) (|InterpolateFormsPackage| "bookvol10.4.pamphlet" 1041558 1041636 1042417 1042422) (|IntegerFactorizationPackage| "bookvol10.4.pamphlet" 1040619 1040654 1041548 1041553) (|InterfaceGroebnerPackage| "bookvol10.4.pamphlet" 1040465 1040511 1040609 1040614) (|ElementaryIntegration| "bookvol10.4.pamphlet" 1038808 1038839 1040455 1040460) (|IntegralDomain| "bookvol10.2.pamphlet" 1037405 1037425 1038691 1038803) (|IntegralDomain&| NIL 1036106 1036129 1037395 1037400) (|IntersectionDivisorPackage| "bookvol10.4.pamphlet" 1035228 1035339 1036096 1036101) (|IntervalCategory| "bookvol10.2.pamphlet" 1033784 1033808 1035091 1035223) (|IntegerBits| "bookvol10.4.pamphlet" 1033306 1033323 1033774 1033779) (|AlgebraicIntegrate| "bookvol10.4.pamphlet" 1032452 1032491 1033296 1033301) (|AlgebraicIntegration| "bookvol10.4.pamphlet" 1031914 1031944 1032442 1032447) (|InnerTable| "bookvol10.3.pamphlet" 1030830 1030869 1031001 1031053) (|IntegerNumberSystem| "bookvol10.2.pamphlet" 1028068 1028093 1030653 1030825) (|IntegerNumberSystem&| NIL 1025470 1025498 1028058 1028063) (|InnerPolySign| "bookvol10.4.pamphlet" 1024907 1024931 1025460 1025465) (|InfiniteProductPrimeField| "bookvol10.4.pamphlet" 1023980 1024022 1024897 1024902) (|InfiniteProductFiniteField| "bookvol10.4.pamphlet" 1023044 1023092 1023970 1023975) (|InnerMultFact| "bookvol10.4.pamphlet" 1022039 1022067 1023034 1023039) (|InnerModularGcd| "bookvol10.4.pamphlet" 1021183 1021226 1022029 1022034) (|InnerNumericFloatSolvePackage| "bookvol10.4.pamphlet" 1019505 1019550 1021173 1021178) (|InfiniteProductCharacteristicZero| "bookvol10.4.pamphlet" 1018554 1018604 1019495 1019500) (|InputForm| "bookvol10.3.pamphlet" 1015468 1015483 1018544 1018549) (|InputFormFunctions1| "bookvol10.4.pamphlet" 1015096 1015123 1015458 1015463) (|Infinity| "bookvol10.4.pamphlet" 1014678 1014692 1015086 1015091) (|InfinitlyClosePoint| "bookvol10.3.pamphlet" 1014078 1014158 1014668 1014673) (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 1013464 1013543 1014068 1014073) (|InfinitlyClosePointCategory| "bookvol10.2.pamphlet" 1012092 1012180 1013454 1013459) (|InnerNumericEigenPackage| "bookvol10.4.pamphlet" 1010618 1010658 1012082 1012087) (|IndexedExponents| "bookvol10.3.pamphlet" 1010510 1010541 1010608 1010613) (|IncrementingMaps| "bookvol10.4.pamphlet" 1009913 1009937 1010500 1010505) (|InnerNormalBasisFieldFunctions| "bookvol10.4.pamphlet" 1005779 1005818 1009903 1009908) (|IndexedMatrix| "bookvol10.3.pamphlet" 1004804 1004841 1005327 1005379) (|InnerMatrixQuotientFieldFunctions| "bookvol10.4.pamphlet" 1003852 1003927 1004747 1004752) (|InnerMatrixLinearAlgebraFunctions| "bookvol10.4.pamphlet" 1002421 1002476 1003795 1003800) (|IndexedList| "bookvol10.3.pamphlet" 1001175 1001199 1001703 1001755) (|InnerIndexedTwoDimensionalArray| "bookvol10.3.pamphlet" 1000824 1000891 1000958 1001010) (|InnerFiniteField| "bookvol10.3.pamphlet" 1000044 1000074 1000309 1000474) (|IndexedFlexibleArray| "bookvol10.3.pamphlet" 997135 997168 999326 999378) (|InnerFreeAbelianMonoid| "bookvol10.3.pamphlet" 996935 996972 997073 997078) (|InnerEvalable| "bookvol10.2.pamphlet" 996321 996344 996925 996930) (|InnerEvalable&| NIL 995704 995730 996311 996316) (|IndexedDirectProductObject| "bookvol10.3.pamphlet" 995493 995529 995694 995699) (|IndexedDirectProductOrderedAbelianMonoidSup| "bookvol10.3.pamphlet" 995225 995278 995483 995488) (|IndexedDirectProductOrderedAbelianMonoid| "bookvol10.3.pamphlet" 994922 994972 995215 995220) (|IndexedDirectProductCategory| "bookvol10.2.pamphlet" 993834 993872 994912 994917) (|IndexedDirectProductAbelianMonoid| "bookvol10.3.pamphlet" 993563 993606 993824 993829) (|IndexedDirectProductAbelianGroup| "bookvol10.3.pamphlet" 993295 993337 993553 993558) (|IdealDecompositionPackage| "bookvol10.4.pamphlet" 990544 990585 993285 993290) (|PolynomialIdeals| "bookvol10.3.pamphlet" 985600 985649 990465 990470) (|InfClsPt| "bookvol10.3.pamphlet" 985051 985080 985590 985595) (|InnerCommonDenominator| "bookvol10.4.pamphlet" 984264 984300 985041 985046) (|IndexCard| "bookvol10.3.pamphlet" 983540 983555 984254 984259) (|IntegralBasisPolynomialTools| "bookvol10.4.pamphlet" 982157 982200 983530 983535) (|IndexedBits| "bookvol10.3.pamphlet" 981314 981336 981735 981787) (|IntegralBasisTools| "bookvol10.4.pamphlet" 978229 978260 981304 981309) (|ChineseRemainderToolsForIntegralBases| "bookvol10.4.pamphlet" 977104 977154 978219 978224) (|IndexedTwoDimensionalArray| "bookvol10.3.pamphlet" 976764 976814 976887 976939) (|IndexedOneDimensionalArray| "bookvol10.3.pamphlet" 975929 975968 976046 976098) (|InnerAlgebraicNumber| "bookvol10.3.pamphlet" 974046 974072 975657 975822) (|InnerAlgFactor| "bookvol10.4.pamphlet" 973595 973636 974036 974041) (|HyperbolicFunctionCategory| "bookvol10.2.pamphlet" 972949 972981 973585 973590) (|HyperbolicFunctionCategory&| NIL 972300 972335 972939 972944) (|HTMLFormat| "bookvol10.3.pamphlet" 971144 971160 972290 972295) (|HomogeneousAggregate| "bookvol10.2.pamphlet" 968920 968948 971124 971139) (|HomogeneousAggregate&| NIL 966497 966528 968704 968709) (|HexadecimalExpansion| "bookvol10.3.pamphlet" 963635 963661 964251 964416) (|HeuGcd| "bookvol10.4.pamphlet" 962583 962598 963625 963630) (|HyperellipticFiniteDivisor| "bookvol10.3.pamphlet" 962195 962239 962573 962578) (|Heap| "bookvol10.3.pamphlet" 958283 958295 961978 962030) (|HomogeneousDirectProduct| "bookvol10.3.pamphlet" 948065 948103 948447 948651) (|HomogeneousDistributedMultivariatePolynomial| "bookvol10.3.pamphlet" 944234 944291 944875 945109) (|HallBasis| "bookvol10.4.pamphlet" 942823 942838 944224 944229) (|HashTable| "bookvol10.3.pamphlet" 941694 941732 941910 941962) (|Pi| "bookvol10.3.pamphlet" 941233 941241 941524 941689) (|GuessUnivariatePolynomial| "bookvol10.4.pamphlet" 927307 927342 941223 941228) (|GuessPolynomial| "bookvol10.4.pamphlet" 926981 927002 927094 927099) (|Guess| "bookvol10.4.pamphlet" 911246 911288 926825 926830) (|GuessInteger| "bookvol10.4.pamphlet" 910955 910973 911063 911068) (|GuessFinite| "bookvol10.4.pamphlet" 910758 910777 910876 910881) (|GuessFiniteFunctions| "bookvol10.4.pamphlet" 910621 910649 910748 910753) (|GuessAlgebraicNumber| "bookvol10.4.pamphlet" 910409 910435 910527 910532) (|GeneralTriangularSet| "bookvol10.3.pamphlet" 909526 909560 910030 910082) (|GeneralSparseTable| "bookvol10.3.pamphlet" 908449 908500 908637 908665) (|GeneralUnivariatePowerSeries| "bookvol10.3.pamphlet" 905126 905179 906111 906363) (|Group| "bookvol10.2.pamphlet" 904094 904105 905099 905121) (|Group&| NIL 903076 903090 904084 904089) (|GroebnerSolve| "bookvol10.4.pamphlet" 901660 901688 903066 903071) (|GradedModule| "bookvol10.2.pamphlet" 900290 900312 901650 901655) (|GradedModule&| NIL 898917 898942 900280 900285) (|GraphImage| "bookvol10.3.pamphlet" 891948 891964 898907 898912) (|GraphicsDefaults| "bookvol10.4.pamphlet" 890329 890351 891938 891943) (|GrayCode| "bookvol10.4.pamphlet" 888864 888878 890319 890324) (|Graphviz| "bookvol10.4.pamphlet" 887688 887702 888854 888859) (|GradedAlgebra| "bookvol10.2.pamphlet" 886880 886903 887678 887683) (|GradedAlgebra&| NIL 886069 886095 886870 886875) (|GeneralPolynomialSet| "bookvol10.3.pamphlet" 885500 885541 885730 885782) (|GeneralPackageForAlgebraicFunctionField| "bookvol10.4.pamphlet" 880233 880357 885452 885457) (|GosperSummationMethod| "bookvol10.4.pamphlet" 879483 879520 880223 880228) (|GuessOption| "bookvol10.3.pamphlet" 873767 873784 879473 879478) (|GuessOptionFunctions0| "bookvol10.3.pamphlet" 870163 870190 873757 873762) (|GeneralModulePolynomial| "bookvol10.3.pamphlet" 869242 869290 870114 870158) (|GeneralHenselPackage| "bookvol10.4.pamphlet" 868396 868428 869232 869237) (|GenerateUnivariatePowerSeries| "bookvol10.4.pamphlet" 864182 864222 868386 868391) (|GenUFactorize| "bookvol10.4.pamphlet" 863775 863796 864172 864177) (|GeneralPolynomialGcdPackage| "bookvol10.4.pamphlet" 863400 863442 863765 863770) (|GeneralizedMultivariateFactorize| "bookvol10.4.pamphlet" 862837 862886 863390 863395) (|GenExEuclid| "bookvol10.4.pamphlet" 861310 861332 862827 862832) (|GnuDraw| "bookvol10.4.pamphlet" 859770 859783 861300 861305) (|GeneralDistributedMultivariatePolynomial| "bookvol10.3.pamphlet" 855789 855844 856580 856814) (|GenericNonAssociativeAlgebra| "bookvol10.3.pamphlet" 849629 849682 855478 855595) (|GcdDomain| "bookvol10.2.pamphlet" 848533 848548 849512 849624) (|GcdDomain&| NIL 847541 847559 848523 848528) (|GroebnerPackage| "bookvol10.4.pamphlet" 843072 843123 847494 847499) (|GroebnerInternalPackage| "bookvol10.4.pamphlet" 839149 839208 843062 843067) (|GroebnerFactorizationPackage| "bookvol10.4.pamphlet" 834588 834652 839139 839144) (|EuclideanGroebnerBasisPackage| "bookvol10.4.pamphlet" 831214 831279 834578 834583) (|GaussianFactorizationPackage| "bookvol10.4.pamphlet" 830511 830545 831204 831209) (|GaloisGroupUtilities| "bookvol10.4.pamphlet" 828802 828830 830450 830455) (|GaloisGroupPolynomialUtilities| "bookvol10.4.pamphlet" 827241 827282 828792 828797) (|GaloisGroupFactorizationUtilities| "bookvol10.4.pamphlet" 825419 825465 827231 827236) (|GaloisGroupFactorizer| "bookvol10.4.pamphlet" 815838 815868 825409 825414) (|FortranVectorFunctionCategory| "bookvol10.2.pamphlet" 812754 812789 815818 815833) (|FortranVectorCategory| "bookvol10.2.pamphlet" 811779 811806 812734 812749) (|FunctionCalled| "bookvol10.3.pamphlet" 811616 811640 811769 811774) (|FortranType| "bookvol10.3.pamphlet" 809839 809856 811606 811611) (|FortranTemplate| "bookvol10.3.pamphlet" 808997 809018 809829 809834) (|FunctionSpaceUnivariatePolynomialFactor| "bookvol10.4.pamphlet" 807986 808038 808909 808914) (|FortranScalarType| "bookvol10.3.pamphlet" 806115 806138 807976 807981) (|FunctionSpaceReduce| "bookvol10.4.pamphlet" 805526 805555 806105 806110) (|FunctionSpacePrimitiveElement| "bookvol10.4.pamphlet" 804340 804379 805460 805465) (|FunctionalSpecialFunction| "bookvol10.4.pamphlet" 801608 801643 804330 804335) (|FunctionSpace| "bookvol10.2.pamphlet" 795360 795381 801224 801603) (|FunctionSpace&| NIL 788919 788943 794786 794791) (|FunctionSpaceIntegration| "bookvol10.4.pamphlet" 788517 788551 788909 788914) (|FourierSeries| "bookvol10.3.pamphlet" 787766 787789 788269 788424) (|FunctionSpaceComplexIntegration| "bookvol10.4.pamphlet" 787005 787046 787756 787761) (|FiniteSetAggregate| "bookvol10.2.pamphlet" 786125 786151 786908 787000) (|FiniteSetAggregate&| NIL 785247 785276 786033 786038) (|FiniteSetAggregateFunctions2| "bookvol10.4.pamphlet" 783964 784006 785237 785242) (|FunctionSpaceToUnivariatePowerSeries| "bookvol10.4.pamphlet" 778421 778489 783954 783959) (|FunctionSpaceFunctions2| "bookvol10.4.pamphlet" 778012 778049 778411 778416) (|FunctionSpaceToExponentialExpansion| "bookvol10.4.pamphlet" 777142 777198 778002 778007) (|FactoredFunctionUtilities| "bookvol10.4.pamphlet" 776119 776152 777132 777137) (|Factored| "bookvol10.3.pamphlet" 767823 767839 774877 774989) (|FramedNonAssociativeAlgebra| "bookvol10.2.pamphlet" 762945 762980 767729 767818) (|FramedNonAssociativeAlgebra&| NIL 758111 758149 762898 762903) (|FramedNonAssociativeAlgebraFunctions2| "bookvol10.4.pamphlet" 757524 757577 758101 758106) (|FramedModule| "bookvol10.3.pamphlet" 756918 756954 757445 757450) (|FractionalIdeal| "bookvol10.3.pamphlet" 756135 756165 756891 756913) (|FractionalIdealFunctions2| "bookvol10.4.pamphlet" 755850 755905 756125 756130) (|FullyRetractableTo| "bookvol10.2.pamphlet" 755508 755534 755840 755845) (|FullyRetractableTo&| NIL 754995 755024 755330 755335) (|FramedAlgebra| "bookvol10.2.pamphlet" 753366 753390 754927 754990) (|FramedAlgebra&| NIL 751792 751819 753356 753361) (|Fraction| "bookvol10.3.pamphlet" 748044 748060 748435 748729) (|FractionFunctions2| "bookvol10.4.pamphlet" 747641 747669 748034 748039) (|FactoredFunctions2| "bookvol10.4.pamphlet" 746983 747011 747631 747636) (|FloatingPointSystem| "bookvol10.2.pamphlet" 743835 743860 746793 746978) (|FloatingPointSystem&| NIL 740765 740793 743726 743731) (|FieldOfPrimeCharacteristic| "bookvol10.2.pamphlet" 739723 739755 740595 740760) (|FieldOfPrimeCharacteristic&| NIL 738838 738873 739713 739718) (|FullyPatternMatchable| "bookvol10.2.pamphlet" 738571 738600 738818 738833) (|FullPartialFractionExpansion| "bookvol10.3.pamphlet" 737299 737338 738561 738566) (|FortranProgram| "bookvol10.3.pamphlet" 735771 735833 737289 737294) (|FortranPackage| "bookvol10.4.pamphlet" 734708 734728 735761 735766) (|FortranFunctionCategory| "bookvol10.2.pamphlet" 731777 731806 734688 734703) (|FortranProgramCategory| "bookvol10.2.pamphlet" 731460 731488 731757 731772) (|ScriptFormulaFormat| "bookvol10.3.pamphlet" 728837 728862 731450 731455) (|ScriptFormulaFormat1| "bookvol10.4.pamphlet" 728298 728326 728827 728832) (|FindOrderFinite| "bookvol10.4.pamphlet" 728070 728103 728288 728293) (|FortranOutputStackPackage| "bookvol10.4.pamphlet" 727248 727279 728060 728065) (|FreeNilpotentLie| "bookvol10.3.pamphlet" 726639 726675 727199 727243) (|FileNameCategory| "bookvol10.2.pamphlet" 724969 724991 726629 726634) (|FileName| "bookvol10.3.pamphlet" 724855 724869 724959 724964) (|FortranMachineTypeCategory| "bookvol10.2.pamphlet" 724586 724618 724738 724850) (|FreeMonoid| "bookvol10.3.pamphlet" 721340 721358 724534 724539) (|FreeModule| "bookvol10.3.pamphlet" 721005 721025 721244 721288) (|FortranMatrixFunctionCategory| "bookvol10.2.pamphlet" 717928 717963 720985 721000) (|FortranMatrixCategory| "bookvol10.2.pamphlet" 716953 716980 717908 717923) (|FreeModuleCat| "bookvol10.2.pamphlet" 714619 714648 716904 716948) (|FreeModule1| "bookvol10.3.pamphlet" 714042 714063 714523 714567) (|FloatingRealPackage| "bookvol10.4.pamphlet" 711833 711864 714032 714037) (|Float| "bookvol10.3.pamphlet" 708626 708637 711590 711828) (|FloatingComplexPackage| "bookvol10.4.pamphlet" 706072 706106 708616 708621) (|FullyLinearlyExplicitRingOver| "bookvol10.2.pamphlet" 705740 705777 706045 706067) (|FullyLinearlyExplicitRingOver&| NIL 705341 705381 705649 705654) (|FiniteLinearAggregateSort| "bookvol10.4.pamphlet" 704574 704609 705331 705336) (|FreeLieAlgebra| "bookvol10.2.pamphlet" 702612 702643 704483 704569) (|FiniteLinearAggregate| "bookvol10.2.pamphlet" 699787 699816 702568 702607) (|FiniteLinearAggregate&| NIL 696857 696889 699641 699646) (|FiniteLinearAggregateFunctions2| "bookvol10.4.pamphlet" 695549 695594 696847 696852) (|FiniteRankAlgebra| "bookvol10.2.pamphlet" 693631 693659 695481 695544) (|FiniteRankAlgebra&| NIL 691624 691655 693477 693482) (|Finite| "bookvol10.2.pamphlet" 690615 690627 691614 691619) (|Finite&| NIL 689603 689618 690605 690610) (|FiniteRankNonAssociativeAlgebra| "bookvol10.2.pamphlet" 678887 678926 689509 689598) (|FiniteRankNonAssociativeAlgebra&| NIL 668206 668248 678831 678836) (|File| "bookvol10.3.pamphlet" 667791 667803 668196 668201) (|FileCategory| "bookvol10.2.pamphlet" 666228 666255 667781 667786) (|Field| "bookvol10.2.pamphlet" 665491 665502 666058 666223) (|Field&| NIL 664911 664925 665481 665486) (|FreeGroup| "bookvol10.3.pamphlet" 663438 663455 664884 664906) (|FGLMIfCanPackage| "bookvol10.4.pamphlet" 662331 662360 663428 663433) (|FiniteFieldExtension| "bookvol10.3.pamphlet" 661611 661644 661916 662081) (|FiniteFieldSquareFreeDecomposition| "bookvol10.4.pamphlet" 661452 661501 661601 661606) (|FiniteFieldSolveLinearPolynomialEquation| "bookvol10.4.pamphlet" 660921 660976 661442 661447) (|FiniteFieldPolynomialPackage| "bookvol10.4.pamphlet" 652294 652331 660911 660916) (|FiniteFieldPolynomialPackage2| "bookvol10.4.pamphlet" 651353 651393 652284 652289) (|FiniteFieldExtensionByPolynomial| "bookvol10.3.pamphlet" 650688 650738 650938 651103) (|FiniteField| "bookvol10.3.pamphlet" 649976 650001 650198 650363) (|FiniteFieldNormalBasisExtension| "bookvol10.3.pamphlet" 648366 648415 649561 649726) (|FiniteFieldNormalBasisExtensionByPolynomial| "bookvol10.3.pamphlet" 646730 646788 647951 648116) (|FiniteFieldNormalBasis| "bookvol10.3.pamphlet" 645080 645121 646240 646405) (|FunctionFieldIntegralBasis| "bookvol10.4.pamphlet" 642430 642469 645070 645075) (|FiniteFieldCategory| "bookvol10.2.pamphlet" 639939 639964 642260 642425) (|FiniteFieldCategory&| NIL 637605 637633 639929 639934) (|FiniteFieldHomomorphisms| "bookvol10.4.pamphlet" 636376 636415 637595 637600) (|FiniteFieldFunctions| "bookvol10.4.pamphlet" 633833 633862 636366 636371) (|FractionFreeFastGaussian| "bookvol10.4.pamphlet" 627937 627971 633823 633828) (|FractionFreeFastGaussianFractions| "bookvol10.4.pamphlet" 626585 626631 627927 627932) (|FiniteFieldFactorizationWithSizeParseBySideEffect| "bookvol10.4.pamphlet" 625957 626021 626575 626580) (|FiniteFieldFactorization| "bookvol10.4.pamphlet" 625856 625895 625947 625952) (|FiniteFieldCyclicGroupExtension| "bookvol10.3.pamphlet" 624577 624626 625441 625606) (|FiniteFieldCyclicGroupExtensionByPolynomial| "bookvol10.3.pamphlet" 623320 623381 624162 624327) (|FiniteFieldCyclicGroup| "bookvol10.3.pamphlet" 621956 621997 622830 622995) (|FunctionFieldCategory| "bookvol10.2.pamphlet" 610647 610684 621696 621951) (|FunctionFieldCategory&| NIL 599508 599548 610560 610565) (|FunctionFieldCategoryFunctions2| "bookvol10.4.pamphlet" 599218 599287 599498 599503) (|FortranExpression| "bookvol10.3.pamphlet" 591811 591872 598906 598969) (|FullyEvalableOver| "bookvol10.2.pamphlet" 591506 591531 591801 591806) (|FullyEvalableOver&| NIL 590960 590988 591258 591263) (|FiniteDivisor| "bookvol10.3.pamphlet" 590404 590435 590950 590955) (|FiniteDivisorCategory| "bookvol10.2.pamphlet" 588401 588440 590394 590399) (|FiniteDivisorCategory&| NIL 586395 586437 588391 588396) (|FiniteDivisorFunctions2| "bookvol10.4.pamphlet" 586120 586181 586385 586390) (|FortranCodePackage1| "bookvol10.4.pamphlet" 584664 584689 586110 586115) (|FourierComponent| "bookvol10.3.pamphlet" 584181 584205 584654 584659) (|FortranCode| "bookvol10.3.pamphlet" 574137 574154 584171 584176) (|FiniteAlgebraicExtensionField| "bookvol10.2.pamphlet" 567319 567356 573967 574132) (|FiniteAlgebraicExtensionField&| NIL 560620 560660 567271 567276) (|FlexibleArray| "bookvol10.3.pamphlet" 558913 558934 559902 559954) (|FiniteAbelianMonoidRing| "bookvol10.2.pamphlet" 556966 556999 558743 558908) (|FiniteAbelianMonoidRing&| NIL 555038 555074 556818 556823) (|FiniteAbelianMonoidRingFunctions2| "bookvol10.4.pamphlet" 554581 554634 555028 555033) (|FreeAbelianMonoid| "bookvol10.3.pamphlet" 554189 554214 554501 554506) (|FreeAbelianMonoidCategory| "bookvol10.2.pamphlet" 552349 552384 554179 554184) (|FreeAbelianGroup| "bookvol10.3.pamphlet" 551901 551925 552197 552241) (|FactoringUtilities| "bookvol10.4.pamphlet" 550097 550130 551891 551896) (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| "bookvol10.4.pamphlet" 549926 549989 550087 550092) (|FactoredFunctions| "bookvol10.4.pamphlet" 549105 549130 549916 549921) (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| "bookvol10.4.pamphlet" 548926 548997 549095 549100) (|ExponentialOfUnivariatePuiseuxSeries| "bookvol10.3.pamphlet" 545259 545316 546588 546840) (|ExpressionTubePlot| "bookvol10.4.pamphlet" 542711 542735 545249 545254) (|ExpressionSolve| "bookvol10.4.pamphlet" 542604 542642 542701 542706) (|ExpressionSpaceODESolver| "bookvol10.4.pamphlet" 539330 539364 542594 542599) (|Expression| "bookvol10.3.pamphlet" 533411 533429 534141 534764) (|ExpressionToUnivariatePowerSeries| "bookvol10.4.pamphlet" 529470 529514 533401 533406) (|ExpressionFunctions2| "bookvol10.4.pamphlet" 529222 529252 529460 529465) (|ExponentialExpansion| "bookvol10.3.pamphlet" 524154 524197 524810 524975) (|Export3D| "bookvol10.4.pamphlet" 524001 524015 524144 524149) (|Exit| "bookvol10.3.pamphlet" 523670 523680 523991 523996) (|EvaluateCycleIndicators| "bookvol10.4.pamphlet" 523147 523178 523660 523665) (|Evalable| "bookvol10.2.pamphlet" 522705 522721 523137 523142) (|Evalable&| NIL 522260 522279 522695 522700) (|EuclideanDomain| "bookvol10.2.pamphlet" 519776 519797 522143 522255) (|EuclideanDomain&| NIL 517396 517420 519766 519771) (|ExpertSystemToolsPackage| "bookvol10.4.pamphlet" 509232 509262 517386 517391) (|ExpertSystemToolsPackage2| "bookvol10.4.pamphlet" 508804 508841 509222 509227) (|ExpertSystemToolsPackage1| "bookvol10.4.pamphlet" 508466 508500 508794 508799) (|ExpressionSpace| "bookvol10.2.pamphlet" 501400 501421 508456 508461) (|ExpressionSpace&| NIL 494223 494247 501282 501287) (|ExpertSystemContinuityPackage| "bookvol10.4.pamphlet" 491005 491040 494213 494218) (|ExpertSystemContinuityPackage1| "bookvol10.4.pamphlet" 490718 490758 490995 491000) (|ExpressionSpaceFunctions2| "bookvol10.4.pamphlet" 490206 490241 490708 490713) (|ExpressionSpaceFunctions1| "bookvol10.4.pamphlet" 489745 489780 490196 490201) (|ErrorFunctions| "bookvol10.4.pamphlet" 487209 487229 489735 489740) (|EqTable| "bookvol10.3.pamphlet" 486082 486109 486296 486348) (|Equation| "bookvol10.3.pamphlet" 480557 480573 483310 483449) (|EquationFunctions2| "bookvol10.4.pamphlet" 480259 480287 480547 480552) (|EigenPackage| "bookvol10.4.pamphlet" 476603 476623 480249 480254) (|EntireRing| "bookvol10.2.pamphlet" 476104 476120 476512 476598) (|EuclideanModularRing| "bookvol10.3.pamphlet" 475231 475298 475987 476099) (|EltableAggregate| "bookvol10.2.pamphlet" 473673 473706 475221 475226) (|EltableAggregate&| NIL 472065 472101 473616 473621) (|Eltable| "bookvol10.2.pamphlet" 471592 471615 472055 472060) (|EllipticFunctionsUnivariateTaylorSeries| "bookvol10.4.pamphlet" 470944 471000 471582 471587) (|ElementaryFunctionCategory| "bookvol10.2.pamphlet" 470617 470649 470934 470939) (|ElementaryFunctionCategory&| NIL 470287 470322 470607 470612) (|ExtensibleLinearAggregate| "bookvol10.2.pamphlet" 468167 468200 470242 470282) (|ExtensibleLinearAggregate&| NIL 465992 466028 468070 468075) (|ElementaryFunctionsUnivariatePuiseuxSeries| "bookvol10.3.pamphlet" 462724 462794 465945 465950) (|ElementaryFunctionsUnivariateLaurentSeries| "bookvol10.3.pamphlet" 459517 459580 462677 462682) (|ElementaryFunctionStructurePackage| "bookvol10.4.pamphlet" 457486 457530 459507 459512) (|ElementaryFunction| "bookvol10.4.pamphlet" 452250 452278 457476 457481) (|ExtAlgBasis| "bookvol10.3.pamphlet" 450555 450572 452240 452245) (|e04ucfAnnaType| "bookvol10.3.pamphlet" 450081 450101 450545 450550) (|e04nafAnnaType| "bookvol10.3.pamphlet" 449648 449668 450071 450076) (|e04mbfAnnaType| "bookvol10.3.pamphlet" 449218 449238 449638 449643) (|e04jafAnnaType| "bookvol10.3.pamphlet" 448744 448764 449208 449213) (|e04gcfAnnaType| "bookvol10.3.pamphlet" 448270 448290 448734 448739) (|e04fdfAnnaType| "bookvol10.3.pamphlet" 447796 447816 448260 448265) (|e04dgfAnnaType| "bookvol10.3.pamphlet" 447322 447342 447786 447791) (|e04AgentsPackage| "bookvol10.4.pamphlet" 443050 443072 447312 447317) (|DifferentialVariableCategory| "bookvol10.2.pamphlet" 439773 439809 443040 443045) (|DifferentialVariableCategory&| NIL 436493 436532 439763 439768) (|DesingTreePackage| "bookvol10.4.pamphlet" 433563 433665 436483 436488) (|DesingTree| "bookvol10.3.pamphlet" 432714 432732 433346 433398) (|DesingTreeCategory| "bookvol10.2.pamphlet" 432267 432293 432645 432709) (|DifferentialSparseMultivariatePolynomial| "bookvol10.3.pamphlet" 428735 428787 429066 429300) (|DrawOption| "bookvol10.3.pamphlet" 422490 422506 428725 428730) (|DrawOptionFunctions1| "bookvol10.4.pamphlet" 422143 422171 422480 422485) (|DrawOptionFunctions0| "bookvol10.4.pamphlet" 417084 417110 422133 422138) (|TopLevelDrawFunctionsForPoints| "bookvol10.4.pamphlet" 415297 415333 417074 417079) (|TopLevelDrawFunctions| "bookvol10.4.pamphlet" 408186 408218 415287 415292) (|DrawNumericHack| "bookvol10.4.pamphlet" 407436 407459 408176 408181) (|DrawComplex| "bookvol10.4.pamphlet" 404852 404869 407426 407431) (|TopLevelDrawFunctionsForAlgebraicCurves| "bookvol10.4.pamphlet" 404362 404414 404842 404847) (|TopLevelDrawFunctionsForCompiledFunctions| "bookvol10.4.pamphlet" 393763 393810 404352 404357) (|DequeueAggregate| "bookvol10.2.pamphlet" 391934 391958 393694 393758) (|DifferentialPolynomialCategory| "bookvol10.2.pamphlet" 387196 387240 391695 391929) (|DifferentialPolynomialCategory&| NIL 382636 382683 387138 387143) (|DirectProductModule| "bookvol10.3.pamphlet" 374403 374436 374542 374981) (|DirectProductMatrixModule| "bookvol10.3.pamphlet" 366161 366202 366309 366748) (|DistributedMultivariatePolynomial| "bookvol10.3.pamphlet" 362387 362433 362971 363205) (|DiscreteLogarithmPackage| "bookvol10.4.pamphlet" 361705 361737 362377 362382) (|DataList| "bookvol10.3.pamphlet" 360290 360306 360987 361039) (|DoublyLinkedAggregate| "bookvol10.2.pamphlet" 358718 358747 360270 360285) (|DivisionRing| "bookvol10.2.pamphlet" 358114 358132 358627 358713) (|DivisionRing&| NIL 357588 357609 358104 358109) (|Divisor| "bookvol10.3.pamphlet" 357396 357411 357480 357524) (|DivisorCategory| "bookvol10.2.pamphlet" 356131 356154 357347 357391) (|DisplayPackage| "bookvol10.4.pamphlet" 354333 354353 356121 356126) (|DirichletRing| "bookvol10.3.pamphlet" 353494 353520 354061 354281) (|DirectProduct| "bookvol10.3.pamphlet" 343022 343049 343658 343862) (|DirectProductFunctions2| "bookvol10.4.pamphlet" 341862 341901 343012 343017) (|DirectProductCategory| "bookvol10.2.pamphlet" 340701 340736 341641 341857) (|DirectProductCategory&| NIL 339245 339283 340188 340193) (|DiophantineSolutionPackage| "bookvol10.4.pamphlet" 338066 338098 339235 339240) (|DictionaryOperations| "bookvol10.2.pamphlet" 337115 337143 338021 338061) (|DictionaryOperations&| NIL 336150 336181 337059 337064) (|DifferentialRing| "bookvol10.2.pamphlet" 335250 335272 336123 336145) (|DifferentialRing&| NIL 334364 334389 335240 335245) (|DifferentialExtension| "bookvol10.2.pamphlet" 333489 333518 334337 334359) (|DifferentialExtension&| NIL 332499 332531 333350 333355) (|Dictionary| "bookvol10.2.pamphlet" 332098 332116 332454 332494) (|Dictionary&| NIL 331729 331750 332088 332093) (|DenavitHartenbergMatrix| "bookvol10.3.pamphlet" 329894 329925 331277 331329) (|DoubleFloatVector| "bookvol10.3.pamphlet" 328248 328271 328649 328701) (|DoubleFloatSpecialFunctions| "bookvol10.4.pamphlet" 319417 319450 328238 328243) (|DoubleFloatMatrix| "bookvol10.3.pamphlet" 318442 318465 318872 318924) (|DoubleFloat| "bookvol10.3.pamphlet" 314738 314755 318252 318437) (|DefiniteIntegrationTools| "bookvol10.4.pamphlet" 312955 312989 314728 314733) (|DeRhamComplex| "bookvol10.3.pamphlet" 310895 310938 312928 312950) (|Dequeue| "bookvol10.3.pamphlet" 305033 305048 310678 310730) (|DegreeReductionPackage| "bookvol10.4.pamphlet" 304628 304662 305023 305028) (|RationalFunctionDefiniteIntegration| "bookvol10.4.pamphlet" 302060 302103 304618 304623) (|ElementaryFunctionDefiniteIntegration| "bookvol10.4.pamphlet" 300509 300556 302050 302055) (|DecimalExpansion| "bookvol10.3.pamphlet" 297663 297685 298263 298428) (|DistinctDegreeFactorize| "bookvol10.4.pamphlet" 295523 295557 297653 297658) (|DoubleResultantPackage| "bookvol10.4.pamphlet" 295115 295155 295513 295518) (|Database| "bookvol10.3.pamphlet" 293762 293778 295105 295110) (|d03fafAnnaType| "bookvol10.3.pamphlet" 293578 293598 293752 293757) (|d03eefAnnaType| "bookvol10.3.pamphlet" 293386 293406 293568 293573) (|d03AgentsPackage| "bookvol10.4.pamphlet" 292317 292339 293376 293381) (|d02ejfAnnaType| "bookvol10.3.pamphlet" 291769 291789 292307 292312) (|d02cjfAnnaType| "bookvol10.3.pamphlet" 291237 291257 291759 291764) (|d02bhfAnnaType| "bookvol10.3.pamphlet" 290717 290737 291227 291232) (|d02bbfAnnaType| "bookvol10.3.pamphlet" 290197 290217 290707 290712) (|d02AgentsPackage| "bookvol10.4.pamphlet" 285128 285150 290187 290192) (|d01WeightsPackage| "bookvol10.4.pamphlet" 283436 283459 285118 285123) (|d01TransformFunctionType| "bookvol10.3.pamphlet" 283391 283421 283426 283431) (|d01gbfAnnaType| "bookvol10.3.pamphlet" 282903 282923 283381 283386) (|d01fcfAnnaType| "bookvol10.3.pamphlet" 282415 282435 282893 282898) (|d01asfAnnaType| "bookvol10.3.pamphlet" 281873 281893 282405 282410) (|d01aqfAnnaType| "bookvol10.3.pamphlet" 281356 281376 281863 281868) (|d01apfAnnaType| "bookvol10.3.pamphlet" 280826 280846 281346 281351) (|d01anfAnnaType| "bookvol10.3.pamphlet" 280310 280330 280816 280821) (|d01amfAnnaType| "bookvol10.3.pamphlet" 279810 279830 280300 280305) (|d01alfAnnaType| "bookvol10.3.pamphlet" 279340 279360 279800 279805) (|d01akfAnnaType| "bookvol10.3.pamphlet" 278858 278878 279330 279335) (|d01ajfAnnaType| "bookvol10.3.pamphlet" 278371 278391 278848 278853) (|d01AgentsPackage| "bookvol10.4.pamphlet" 274464 274486 278361 278366) (|CyclotomicPolynomialPackage| "bookvol10.4.pamphlet" 273943 273976 274454 274459) (|CycleIndicators| "bookvol10.4.pamphlet" 270741 270762 273933 273938) (|CoerceVectorMatrixPackage| "bookvol10.4.pamphlet" 270103 270136 270731 270736) (|ComplexTrigonometricManipulations| "bookvol10.4.pamphlet" 268544 268587 270093 270098) (|CyclicStreamTools| "bookvol10.4.pamphlet" 267318 267346 268534 268539) (|ComplexRootFindingPackage| "bookvol10.4.pamphlet" 261310 261346 267308 267313) (|CRApackage| "bookvol10.4.pamphlet" 260459 260477 261300 261305) (|ComplexPatternMatch| "bookvol10.4.pamphlet" 259932 259964 260362 260367) (|CharacteristicPolynomialInMonogenicalAlgebra| "bookvol10.4.pamphlet" 259595 259656 259922 259927) (|CoordinateSystems| "bookvol10.4.pamphlet" 254595 254620 259585 259590) (|ContinuedFraction| "bookvol10.3.pamphlet" 250509 250534 254425 254590) (|CommutativeRing| "bookvol10.2.pamphlet" 250143 250164 250415 250504) (|SubSpaceComponentProperty| "bookvol10.3.pamphlet" 249620 249651 250133 250138) (|ComplexPattern| "bookvol10.4.pamphlet" 249375 249402 249610 249615) (|Complex| "bookvol10.3.pamphlet" 241232 241247 241486 241962) (|ComplexFunctions2| "bookvol10.4.pamphlet" 240940 240967 241222 241227) (|ComplexFactorization| "bookvol10.4.pamphlet" 240718 240750 240930 240935) (|ComplexCategory| "bookvol10.2.pamphlet" 238596 238619 240225 240713) (|ComplexCategory&| NIL 236162 236188 237794 237799) (|Comparable| "bookvol10.2.pamphlet" 235893 235909 236152 236157) (|CommuteUnivariatePolynomialCategory| "bookvol10.4.pamphlet" 235634 235685 235883 235888) (|CommonOperators| "bookvol10.4.pamphlet" 235160 235181 235624 235629) (|Commutator| "bookvol10.3.pamphlet" 234961 234977 235150 235155) (|CombinatorialOpsCategory| "bookvol10.2.pamphlet" 233974 234004 234951 234956) (|IntegerCombinatoricFunctions| "bookvol10.4.pamphlet" 232440 232476 233964 233969) (|CombinatorialFunction| "bookvol10.4.pamphlet" 229875 229906 232430 232435) (|Color| "bookvol10.3.pamphlet" 228710 228721 229865 229870) (|ComplexRootPackage| "bookvol10.4.pamphlet" 228028 228061 228700 228705) (|TwoDimensionalPlotClipping| "bookvol10.4.pamphlet" 224124 224156 228018 228023) (|CliffordAlgebra| "bookvol10.3.pamphlet" 222802 222831 224056 224119) (|Collection| "bookvol10.2.pamphlet" 219814 219832 222782 222797) (|Collection&| NIL 216668 216689 219639 219644) (|ComplexIntegerSolveLinearPolynomialEquation| "bookvol10.4.pamphlet" 215966 216020 216658 216663) (|ChangeOfVariable| "bookvol10.4.pamphlet" 213926 213958 215956 215961) (|CharacteristicZero| "bookvol10.2.pamphlet" 213818 213842 213899 213921) (|CharacteristicPolynomialPackage| "bookvol10.4.pamphlet" 213303 213342 213808 213813) (|CharacteristicNonZero| "bookvol10.2.pamphlet" 213030 213057 213276 213298) (|Character| "bookvol10.3.pamphlet" 209384 209399 213020 213025) (|CombinatorialFunctionCategory| "bookvol10.2.pamphlet" 208530 208565 209374 209379) (|Cell| "bookvol10.3.pamphlet" 208494 208515 208520 208525) (|ComplexDoubleFloatVector| "bookvol10.3.pamphlet" 206305 206335 206958 207010) (|ComplexDoubleFloatMatrix| "bookvol10.3.pamphlet" 205193 205223 205639 205691) (|CommonDenominator| "bookvol10.4.pamphlet" 204418 204447 205183 205188) (|CharacterClass| "bookvol10.3.pamphlet" 202612 202632 203682 203762) (|CartesianTensor| "bookvol10.3.pamphlet" 193778 193815 202602 202607) (|CartesianTensorFunctions2| "bookvol10.4.pamphlet" 193145 193195 193768 193773) (|CardinalNumber| "bookvol10.3.pamphlet" 189463 189483 193111 193140) (|CylindricalAlgebraicDecompositionUtilities| "bookvol10.4.pamphlet" 189087 189139 189453 189458) (|CylindricalAlgebraicDecompositionPackage| "bookvol10.4.pamphlet" 189015 189072 189077 189082) (|CachableSet| "bookvol10.2.pamphlet" 188622 188639 189005 189010) (|CancellationAbelianMonoid| "bookvol10.2.pamphlet" 188092 188123 188612 188617) (|BinaryTree| "bookvol10.3.pamphlet" 187129 187147 187875 187927) (|BinaryTournament| "bookvol10.3.pamphlet" 186310 186334 186912 186964) (|BinaryTreeCategory| "bookvol10.2.pamphlet" 185643 185669 186241 186305) (|BinaryTreeCategory&| NIL 185032 185061 185633 185638) (|BitAggregate| "bookvol10.2.pamphlet" 184100 184118 184963 185027) (|BitAggregate&| NIL 183224 183245 184090 184095) (|BinarySearchTree| "bookvol10.3.pamphlet" 181821 181845 183007 183059) (|BasicStochasticDifferential| "bookvol10.3.pamphlet" 179686 179719 181811 181816) (|BrillhartTests| "bookvol10.4.pamphlet" 178447 178470 179676 179681) (|BinaryRecursiveAggregate| "bookvol10.2.pamphlet" 177385 177417 178427 178442) (|BinaryRecursiveAggregate&| NIL 176283 176318 177328 177333) (|BalancedPAdicRational| "bookvol10.3.pamphlet" 173193 173224 173403 173568) (|BalancedPAdicInteger| "bookvol10.3.pamphlet" 172860 172890 173076 173188) (|BoundIntegerRoots| "bookvol10.4.pamphlet" 172507 172535 172850 172855) (|BasicOperator| "bookvol10.3.pamphlet" 168028 168047 172497 172502) (|BasicOperatorFunctions1| "bookvol10.4.pamphlet" 165485 165516 167976 167981) (|Boolean| "bookvol10.3.pamphlet" 164350 164363 165475 165480) (|BiModule| "bookvol10.2.pamphlet" 163971 163989 164301 164345) (|BlowUpPackage| "bookvol10.4.pamphlet" 162238 162285 163961 163966) (|BlowUpWithQuadTrans| "bookvol10.3.pamphlet" 162111 162136 162203 162233) (|BlowUpMethodCategory| "bookvol10.2.pamphlet" 162070 162096 162101 162106) (|BlowUpWithHamburgerNoether| "bookvol10.3.pamphlet" 161938 161970 162037 162065) (|BlasLevelOne| "bookvol10.5.pamphlet" 150200 150218 161928 161933) (|Bits| "bookvol10.3.pamphlet" 149561 149571 149778 149830) (|BinaryFile| "bookvol10.3.pamphlet" 148910 148926 149551 149556) (|BinaryExpansion| "bookvol10.3.pamphlet" 146032 146053 146664 146829) (|BagAggregate| "bookvol10.2.pamphlet" 145254 145274 145987 146027) (|BagAggregate&| NIL 144508 144531 145244 145249) (|BasicFunctions| "bookvol10.3.pamphlet" 143905 143925 144476 144503) (|BezoutMatrix| "bookvol10.4.pamphlet" 143027 143064 143847 143852) (|Bezier| "bookvol10.4.pamphlet" 140886 140900 143017 143022) (|BalancedBinaryTree| "bookvol10.3.pamphlet" 136455 136481 140669 140721) (|BasicType| "bookvol10.2.pamphlet" 136142 136157 136445 136450) (|BasicType&| NIL 135826 135844 136132 136137) (|BalancedFactorisation| "bookvol10.4.pamphlet" 135226 135258 135816 135821) (|AxiomServer| "bookvol10.4.pamphlet" 135077 135094 135216 135221) (|Automorphism| "bookvol10.3.pamphlet" 134504 134524 135050 135072) (|UnitsKnownAttribute| "bookvol10.2.pamphlet" 134282 134307 134484 134499) (|AttributeRegistry| "bookvol10.2.pamphlet" 130635 130658 133835 134277) (|AttributeButtons| "bookvol10.3.pamphlet" 126733 126755 130603 130630) (|ShallowlyMutableAttribute| "bookvol10.2.pamphlet" 126470 126501 126713 126728) (|ArcTrigonometricFunctionCategory| "bookvol10.2.pamphlet" 125909 125947 126460 126465) (|ArcTrigonometricFunctionCategory&| NIL 125345 125386 125899 125904) (|PartiallyOrderedSetAttribute| "bookvol10.2.pamphlet" 125117 125151 125325 125340) (|NoZeroDivisorsAttribute| "bookvol10.2.pamphlet" 124918 124947 125097 125112) (|NullSquareAttribute| "bookvol10.2.pamphlet" 124783 124808 124898 124913) (|NotherianAttribute| "bookvol10.2.pamphlet" 124641 124665 124763 124778) (|MultiplicativeValuationAttribute| "bookvol10.2.pamphlet" 124450 124488 124621 124636) (|LeftUnitaryAttribute| "bookvol10.2.pamphlet" 124293 124319 124430 124445) (|LazyRepresentationAttribute| "bookvol10.2.pamphlet" 124155 124188 124273 124288) (|JacobiIdentityAttribute| "bookvol10.2.pamphlet" 123988 124017 124135 124150) (|FiniteAggregateAttribute| "bookvol10.2.pamphlet" 123849 123879 123968 123983) (|CanonicalUnitNormalAttribute| "bookvol10.2.pamphlet" 123523 123557 123829 123844) (|CommutativeStarAttribute| "bookvol10.2.pamphlet" 123250 123280 123503 123518) (|CentralAttribute| "bookvol10.2.pamphlet" 122931 122953 123230 123245) (|CanonicalAttribute| "bookvol10.2.pamphlet" 122728 122752 122911 122926) (|CanonicalClosedAttribute| "bookvol10.2.pamphlet" 122544 122574 122708 122723) (|ArbitraryPrecisionAttribute| "bookvol10.2.pamphlet" 122374 122407 122524 122539) (|ArbitraryExponentAttribute| "bookvol10.2.pamphlet" 122242 122274 122354 122369) (|ApproximateAttribute| "bookvol10.2.pamphlet" 122131 122157 122222 122237) (|AdditiveValuationAttribute| "bookvol10.2.pamphlet" 121944 121976 122111 122126) (|ArrayStack| "bookvol10.3.pamphlet" 117592 117610 121727 121779) (|AssociatedEquations| "bookvol10.4.pamphlet" 116361 116390 117545 117550) (|Asp9| "bookvol10.3.pamphlet" 115514 115531 116351 116356) (|Asp8| "bookvol10.3.pamphlet" 114453 114470 115504 115509) (|Asp80| "bookvol10.3.pamphlet" 113780 113798 114443 114448) (|Asp7| "bookvol10.3.pamphlet" 112974 112991 113770 113775) (|Asp78| "bookvol10.3.pamphlet" 112448 112466 112964 112969) (|Asp77| "bookvol10.3.pamphlet" 111816 111834 112438 112443) (|Asp74| "bookvol10.3.pamphlet" 110838 110856 111806 111811) (|Asp73| "bookvol10.3.pamphlet" 110096 110114 110828 110833) (|Asp6| "bookvol10.3.pamphlet" 108772 108789 110086 110091) (|Asp55| "bookvol10.3.pamphlet" 107204 107222 108762 108767) (|Asp50| "bookvol10.3.pamphlet" 104855 104873 107194 107199) (|Asp4| "bookvol10.3.pamphlet" 104140 104157 104845 104850) (|Asp49| "bookvol10.3.pamphlet" 103124 103142 104130 104135) (|Asp42| "bookvol10.3.pamphlet" 101396 101439 103114 103119) (|Asp41| "bookvol10.3.pamphlet" 99894 99937 101386 101391) (|Asp35| "bookvol10.3.pamphlet" 98874 98892 99884 99889) (|Asp34| "bookvol10.3.pamphlet" 98120 98138 98864 98869) (|Asp33| "bookvol10.3.pamphlet" 97701 97719 98110 98115) (|Asp31| "bookvol10.3.pamphlet" 96810 96828 97691 97696) (|Asp30| "bookvol10.3.pamphlet" 95537 95555 96800 96805) (|Asp29| "bookvol10.3.pamphlet" 95016 95034 95527 95532) (|Asp28| "bookvol10.3.pamphlet" 85442 85460 95006 95011) (|Asp27| "bookvol10.3.pamphlet" 84293 84311 85432 85437) (|Asp24| "bookvol10.3.pamphlet" 83371 83389 84283 84288) (|Asp20| "bookvol10.3.pamphlet" 82539 82557 83361 83366) (|Asp1| "bookvol10.3.pamphlet" 81915 81932 82529 82534) (|Asp19| "bookvol10.3.pamphlet" 75989 76007 81905 81910) (|Asp12| "bookvol10.3.pamphlet" 75402 75420 75979 75984) (|Asp10| "bookvol10.3.pamphlet" 74678 74696 75392 75397) (|TwoDimensionalArray| "bookvol10.3.pamphlet" 74219 74246 74461 74513) (|OneDimensionalArray| "bookvol10.3.pamphlet" 72993 73020 73501 73553) (|OneDimensionalArrayFunctions2| "bookvol10.4.pamphlet" 71002 71041 72983 72988) (|TwoDimensionalArrayCategory| "bookvol10.2.pamphlet" 64227 64274 70933 70997) (|TwoDimensionalArrayCategory&| NIL 57508 57558 64217 64222) (|ApplyRules| "bookvol10.4.pamphlet" 56819 56846 57498 57503) (|ApplyUnivariateSkewPolynomial| "bookvol10.4.pamphlet" 56394 56435 56809 56814) (|ApplicationProgramInterface| "bookvol10.4.pamphlet" 55305 55338 56384 56389) (|Any| "bookvol10.3.pamphlet" 53651 53660 55295 55300) (|AnyFunctions1| "bookvol10.4.pamphlet" 52716 52737 53641 53646) (|AntiSymm| "bookvol10.3.pamphlet" 51159 51182 52689 52711) (|AnonymousFunction| "bookvol10.3.pamphlet" 51056 51079 51149 51154) (|AlgebraicNumber| "bookvol10.3.pamphlet" 49265 49286 50784 50949) (|AbelianMonoidRing| "bookvol10.2.pamphlet" 47392 47419 49095 49260) (|AbelianMonoidRing&| NIL 45343 45373 47049 47054) (|AssociationList| "bookvol10.3.pamphlet" 43080 43115 43442 43494) (|AlgebraGivenByStructuralConstants| "bookvol10.3.pamphlet" 42104 42162 42901 42990) (|AlgebraPackage| "bookvol10.4.pamphlet" 38043 38067 42047 42052) (|AlgebraicMultFact| "bookvol10.4.pamphlet" 37236 37266 38033 38038) (|AlgebraicManipulations| "bookvol10.4.pamphlet" 34652 34684 36992 36997) (|AlgebraicFunctionField| "bookvol10.3.pamphlet" 32419 32467 32640 32895) (|AlgFactor| "bookvol10.4.pamphlet" 31536 31554 32409 32414) (|Algebra| "bookvol10.2.pamphlet" 31006 31021 31468 31531) (|Algebra&| NIL 30531 30549 30996 31001) (|AssociationListAggregate| "bookvol10.2.pamphlet" 29985 30029 30462 30526) (|ArcHyperbolicFunctionCategory| "bookvol10.2.pamphlet" 29338 29373 29975 29980) (|Aggregate| "bookvol10.2.pamphlet" 27707 27722 29318 29333) (|Aggregate&| NIL 26037 26055 27651 27656) (|AffineSpaceCategory| "bookvol10.2.pamphlet" 23907 23934 26027 26032) (|AlgebraicFunction| "bookvol10.4.pamphlet" 22279 22306 23827 23832) (|AffineSpace| "bookvol10.3.pamphlet" 22112 22137 22269 22274) (|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| "bookvol10.3.pamphlet" 21912 21970 22102 22107) (|AffinePlane| "bookvol10.3.pamphlet" 21751 21770 21902 21907) (|AffineAlgebraicSetComputeWithResultant| "bookvol10.4.pamphlet" 21597 21672 21741 21746) (|AffineAlgebraicSetComputeWithGroebnerBasis| "bookvol10.4.pamphlet" 21139 21218 21587 21592) (|PlaneAlgebraicCurvePlot| "bookvol10.3.pamphlet" 19405 19434 21129 21134) (|AlgebraicallyClosedFunctionSpace| "bookvol10.2.pamphlet" 17181 17221 19223 19400) (|AlgebraicallyClosedFunctionSpace&| NIL 15126 15169 17171 17176) (|AlgebraicallyClosedField| "bookvol10.2.pamphlet" 10185 10215 14956 15121) (|AlgebraicallyClosedField&| NIL 5401 5434 10175 10180) (|AbelianSemiGroup| "bookvol10.2.pamphlet" 4744 4766 5391 5396) (|AbelianSemiGroup&| NIL 4084 4109 4734 4739) (|AbelianMonoid| "bookvol10.2.pamphlet" 3441 3460 4074 4079) (|AbelianMonoid&| NIL 2795 2817 3431 3436) (|AbelianGroup| "bookvol10.2.pamphlet" 2290 2308 2785 2790) (|AbelianGroup&| NIL 1782 1803 2280 2285) (|OneDimensionalArrayAggregate| "bookvol10.2.pamphlet" 878 914 1713 1777) (|OneDimensionalArrayAggregate&| NIL 30 69 868 873)) 
\ No newline at end of file
diff --git a/src/share/algebra/category.daase b/src/share/algebra/category.daase
index ed8c257..95fbc41 100644
--- a/src/share/algebra/category.daase
+++ b/src/share/algebra/category.daase
@@ -1,5 +1,5 @@
 
-(224313 . 3618799569)        
+(224339 . 3619047075)        
 (((|#2| |#2|) AND (|has| |#2| (|Evalable| |#2|)) (|has| |#2| (|SetCategory|))) (((|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))) |has| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|)) (|Evalable| (|Record| (|:| |key| |#1|) (|:| |entry| |#2|))))) 
 (((|#2| |#2|) . T)) 
 ((((|Integer|)) . T)) 
@@ -2030,6 +2030,7 @@
 ((((|List| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)))) . T) (((|OutputForm|)) . T)) 
 ((((|InputForm|)) |has| (|NewSparseMultivariatePolynomial| |#1| (|OrderedVariableList| |#2|)) (|ConvertibleTo| (|InputForm|)))) 
 (((|#1|) AND (|has| |#1| (|Evalable| |#1|)) (|has| |#1| (|SetCategory|)))) 
+((((|OutputForm|)) . T)) 
 ((((|Float|)) . T)) 
 (((|#3|) AND (|has| |#3| (|Evalable| |#3|)) (|has| |#3| (|SetCategory|)))) 
 ((((|OutputForm|)) . T)) 
@@ -3565,4 +3566,4 @@
 ((($ $) . T)) 
 ((($ $) . T) (((|OrderedVariableList| |#1|) $) . T) (((|OrderedVariableList| |#1|) |#2|) . T)) 
 ((($ $) . T) ((|#2| $) |has| |#1| (|DifferentialRing|)) ((|#2| |#1|) |has| |#1| (|DifferentialRing|)) ((|#3| |#1|) . T) ((|#3| $) . T)) 
-(((|Localize| . |SetCategory|) T) ((|DifferentialSparseMultivariatePolynomial| . |InnerEvalable|) 224176) ((|DistributedMultivariatePolynomial| . |InnerEvalable|) 224080) ((|Interval| . |BiModule|) 224065) ((|IndexedExponents| . |AbelianMonoid|) T) ((|DataList| . |SetCategory|) 224002) ((|BalancedPAdicRational| . |Evalable|) 223886) ((|HashTable| . |InnerEvalable|) 223594) ((|MachineComplex| . |BasicType|) T) ((|SplittingTree| . |InnerEvalable|) 223456) ((|FreeNilpotentLie| . |CancellationAbelianMonoid|) T) ((|WuWenTsunTriangularSet| . |PolynomialSetCategory|) 223425) ((|DoubleFloatVector| . |OneDimensionalArrayAggregate|) 223398) ((|ComplexDoubleFloatVector| . |OneDimensionalArrayAggregate|) 223359) ((|IndexedVector| . |HomogeneousAggregate|) 223343) ((|OrderedFreeMonoid| . |OrderedMonoid|) T) ((|LocalAlgebra| . |CancellationAbelianMonoid|) T) ((|IndexedMatrix| . |TwoDimensionalArrayCategory|) 223271) ((|DoubleFloatVector| . |IndexedAggregate|) 223232) ((|ComplexDoubleFloatVector| . |IndexedAggregate|) 223181) ((|OneDimensionalArray| . |InnerEvalable|) 223100) ((|InnerIndexedTwoDimensionalArray| . |InnerEvalable|) 223019) ((|Factored| . |PartialDifferentialRing|) 222951) ((|Complex| . |Ring|) T) ((|IndexedFlexibleArray| . |InnerEvalable|) 222870) ((|IndexedTwoDimensionalArray| . |InnerEvalable|) 222789) ((|IndexedOneDimensionalArray| . |InnerEvalable|) 222708) ((|Octonion| . |RetractableTo|) 222385) ((|MachineFloat| . |Algebra|) 222339) ((|FiniteFieldCyclicGroup| . |FiniteFieldCategory|) T) ((|SparseUnivariatePolynomialExpressions| . |StepThrough|) 222309) ((|Segment| . |SegmentCategory|) 222293) ((|Segment| . |SetCategory|) 222263) ((|Complex| . |DivisionRing|) 222197) ((|Complex| . |DifferentialRing|) 222120) ((|Segment| . |SegmentExpansionCategory|) 222067) ((|PAdicRationalConstructor| . |Eltable|) 222020) ((|DoubleFloat| . |OrderedCancellationAbelianMonoid|) T) ((|DoubleFloat| . |OrderedAbelianMonoid|) T) ((|MachineComplex| . |ElementaryFunctionCategory|) NIL) ((|SparseTable| . |TableAggregate|) 221999) ((|Fraction| . |QuotientFieldCategory|) 221983) ((|ProjectiveSpace| . |BasicType|) T) ((|MachineInteger| . |AbelianGroup|) T) ((|MachineInteger| . |AbelianSemiGroup|) T) ((|XDistributedPolynomial| . |LeftModule|) 221957) ((|U32Vector| . |Collection|) 221934) ((|U32Matrix| . |Type|) T) ((|SparseUnivariatePolynomialExpressions| . |Algebra|) 221674) ((|Expression| . |CombinatorialOpsCategory|) 221641) ((|Expression| . |CombinatorialFunctionCategory|) 221608) ((|SparseTable| . |BagAggregate|) 221550) ((|CardinalNumber| . |AbelianSemiGroup|) T) ((|AlgebraicFunctionField| . |DifferentialExtension|) 221521) ((|BalancedPAdicInteger| . |AbelianGroup|) T) ((|BalancedPAdicInteger| . |AbelianSemiGroup|) T) ((|KeyedAccessFile| . |EltableAggregate|) 221494) ((|GeneralSparseTable| . |EltableAggregate|) 221473) ((|UnivariatePolynomial| . |Ring|) T) ((|UnivariateSkewPolynomial| . |Ring|) T) ((|Octonion| . |FullyEvalableOver|) 221457) ((|BalancedPAdicRational| . |StepThrough|) NIL) ((|ArrayStack| . |CoercibleTo|) 221408) ((|Pi| . |CancellationAbelianMonoid|) T) ((|UnivariatePolynomial| . |FiniteAbelianMonoidRing|) 221369) ((|IndexedString| . |Type|) T) ((|OrderlyDifferentialPolynomial| . |LeftOreRing|) 221287) ((|Interval| . |Ring|) T) ((|UnivariatePolynomial| . |DifferentialRing|) T) ((|Localize| . |Module|) 221271) ((|PrimitiveArray| . |EltableAggregate|) 221243) ((|NeitherSparseOrDensePowerSeries| . |HomogeneousAggregate|) 221184) ((|TwoDimensionalArray| . |Aggregate|) T) ((|RomanNumeral| . |OrderedCancellationAbelianMonoid|) T) ((|RomanNumeral| . |OrderedAbelianMonoid|) T) ((|OrderlyDifferentialPolynomial| . |Monoid|) T) ((|MultivariatePolynomial| . |AbelianMonoidRing|) 221118) ((|LaurentPolynomial| . |Algebra|) 221105) ((|FiniteFieldExtensionByPolynomial| . |EntireRing|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |EntireRing|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |EntireRing|) T) ((|DifferentialSparseMultivariatePolynomial| . |EntireRing|) 220991) ((|DistributedMultivariatePolynomial| . |EntireRing|) 220877) ((|RealClosure| . |BasicType|) T) ((|FractionalIdeal| . |Monoid|) T) ((|BalancedPAdicRational| . |Algebra|) 220793) ((|FractionalIdeal| . |Group|) T) ((|FiniteField| . |BasicType|) T) ((|TaylorSeries| . |Rng|) T) ((|ModularField| . |Rng|) T) ((|UnivariateTaylorSeriesCZero| . |UnivariateTaylorSeriesCategory|) 220777) ((|UnivariateTaylorSeriesCZero| . |UnivariatePowerSeriesCategory|) 220738) ((|SparseUnivariateTaylorSeries| . |AbelianMonoidRing|) 220699) ((|SparseUnivariatePuiseuxSeries| . |AbelianMonoidRing|) 220658) ((|SparseUnivariateLaurentSeries| . |AbelianMonoidRing|) 220630) ((|Result| . |Collection|) 220563) ((|PrimeField| . |EntireRing|) T) ((|SparseMultivariateTaylorSeries| . |AbelianMonoidRing|) 220521) ((|MachineComplex| . |Evalable|) NIL) ((|InnerFreeAbelianMonoid| . |CoercibleTo|) 220495) ((|IndexedDirectProductOrderedAbelianMonoid| . |CoercibleTo|) 220469) ((|IndexedDirectProductAbelianMonoid| . |CoercibleTo|) 220443) ((|FlexibleArray| . |SetCategory|) 220380) ((|BlowUpWithHamburgerNoether| . |BasicType|) T) ((|ModMonic| . |GcdDomain|) 220275) ((|AlgebraicNumber| . |BasicType|) T) ((|UnivariatePuiseuxSeriesConstructor| . |Eltable|) 220260) ((|UnivariateLaurentSeriesConstructor| . |Eltable|) 220172) ((|List| . |ListAggregate|) 220156) ((|List| . |LinearAggregate|) 220140) ((|FortranExpression| . |AbelianGroup|) T) ((|FortranExpression| . |AbelianSemiGroup|) T) ((|AlgebraicFunctionField| . |FiniteFieldCategory|) NIL) ((|PseudoAlgebraicClosureOfRationalNumber| . |SetCategory|) T) ((|ContinuedFraction| . |AbelianGroup|) T) ((|ContinuedFraction| . |AbelianSemiGroup|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |SetCategory|) T) ((|List| . |FiniteLinearAggregate|) 220124) ((|IndexedVector| . |Eltable|) 220096) ((|FileName| . |BasicType|) T) ((|SingleInteger| . |CombinatorialFunctionCategory|) T) ((|BinaryTournament| . |CoercibleTo|) 220047) ((|Palette| . |SetCategory|) T) ((|LinearOrdinaryDifferentialOperator| . |FullyRetractableTo|) 220031) ((|ModuleOperator| . |CoercibleTo|) 220005) ((|XDistributedPolynomial| . |Monoid|) T) ((|DoubleFloatVector| . |CoercibleTo|) 219979) ((|DoubleFloatVector| . |ConvertibleTo|) 219954) ((|Color| . |CoercibleTo|) 219928) ((|ComplexDoubleFloatVector| . |CoercibleTo|) 219902) ((|ComplexDoubleFloatVector| . |ConvertibleTo|) 219815) ((|Commutator| . |CoercibleTo|) 219789) ((|Set| . |Aggregate|) T) ((|BlowUpWithHamburgerNoether| . |BlowUpMethodCategory|) T) ((|PAdicRational| . |OrderedCancellationAbelianMonoid|) NIL) ((|PAdicRational| . |OrderedAbelianMonoid|) NIL) ((|OrdSetInts| . |OrderedSet|) T) ((|MultivariatePolynomial| . |PatternMatchable|) NIL) ((|XRecursivePolynomial| . |CancellationAbelianMonoid|) T) ((|FreeModule1| . |CancellationAbelianMonoid|) T) ((|PermutationGroup| . |BasicType|) T) ((|MultivariatePolynomial| . |RetractableTo|) 219596) ((|IndexedExponents| . |CancellationAbelianMonoid|) T) ((|SequentialDifferentialPolynomial| . |FullyRetractableTo|) 219580) ((|Queue| . |HomogeneousAggregate|) 219564) ((|BalancedPAdicRational| . |FullyPatternMatchable|) 219523) ((|SparseUnivariateLaurentSeries| . |Type|) 219499) ((|NewSparseUnivariatePolynomial| . |FullyRetractableTo|) 219483) ((|NewSparseMultivariatePolynomial| . |FullyRetractableTo|) 219467) ((|Point| . |Aggregate|) T) ((|MachineComplex| . |StepThrough|) NIL) ((|DirectProductModule| . |LeftModule|) 219268) ((|DirectProductMatrixModule| . |LeftModule|) 219056) ((|OrdinaryDifferentialRing| . |PrincipalIdealDomain|) 219032) ((|GeneralDistributedMultivariatePolynomial| . |FullyRetractableTo|) 219016) ((|IndexedVector| . |OneDimensionalArrayAggregate|) 219000) ((|SquareFreeRegularTriangularSet| . |TriangularSetCategory|) 218969) ((|SparseUnivariateLaurentSeries| . |PatternMatchable|) NIL) ((|SparseUnivariateLaurentSeries| . |Patternable|) 218893) ((|IndexedVector| . |IndexedAggregate|) 218865) ((|Tree| . |CoercibleTo|) 218816) ((|Switch| . |CoercibleTo|) 218790) ((|Asp12| . |FortranProgramCategory|) T) ((|SparseUnivariatePuiseuxSeries| . |RetractableTo|) 218674) ((|SparseUnivariateLaurentSeries| . |RetractableTo|) 218615) ((|NeitherSparseOrDensePowerSeries| . |Eltable|) 218532) ((|MachineComplex| . |Algebra|) 218461) ((|GeneralUnivariatePowerSeries| . |Eltable|) 218446) ((|MultivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 218430) ((|PseudoAlgebraicClosureOfRationalNumber| . |Module|) 218384) ((|LinearOrdinaryDifferentialOperator| . |Rng|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |Module|) 218287) ((|UnivariatePuiseuxSeriesConstructor| . |RadicalCategory|) 218236) ((|UnivariateLaurentSeriesConstructor| . |RadicalCategory|) 218185) ((|RoutinesTable| . |TableAggregate|) 218155) ((|PAdicRationalConstructor| . |ConvertibleTo|) 217843) ((|PAdicRationalConstructor| . |CoercibleTo|) 217817) ((|Table| . |HomogeneousAggregate|) 217746) ((|Factored| . |RealConstant|) 217715) ((|AlgebraicNumber| . |Evalable|) 217702) ((|RoutinesTable| . |BagAggregate|) 217635) ((|HashTable| . |HomogeneousAggregate|) 217564) ((|IndexedList| . |Type|) T) ((|SplittingTree| . |HomogeneousAggregate|) 217525) ((|SparseUnivariateLaurentSeries| . |FullyEvalableOver|) 217449) ((|SparseUnivariateLaurentSeries| . |FullyLinearlyExplicitRingOver|) 217373) ((|FortranType| . |BasicType|) T) ((|SequentialDifferentialPolynomial| . |Rng|) T) ((|DirectProductModule| . |Aggregate|) T) ((|DirectProductMatrixModule| . |Aggregate|) T) ((|NeitherSparseOrDensePowerSeries| . |UnaryRecursiveAggregate|) 217314) ((|NewSparseUnivariatePolynomial| . |Rng|) T) ((|NewSparseMultivariatePolynomial| . |Rng|) T) ((|MultivariatePolynomial| . |PartialDifferentialRing|) 217274) ((|GeneralDistributedMultivariatePolynomial| . |Rng|) T) ((|NeitherSparseOrDensePowerSeries| . |IndexedAggregate|) 217203) ((|OneDimensionalArray| . |HomogeneousAggregate|) 217187) ((|ResidueRing| . |RightModule|) 217161) ((|Plcs| . |SetCategory|) T) ((|InnerIndexedTwoDimensionalArray| . |HomogeneousAggregate|) 217145) ((|IndexedFlexibleArray| . |HomogeneousAggregate|) 217129) ((|IndexedTwoDimensionalArray| . |HomogeneousAggregate|) 217113) ((|IndexedOneDimensionalArray| . |HomogeneousAggregate|) 217097) ((|MyUnivariatePolynomial| . |PrincipalIdealDomain|) 217073) ((|DataList| . |InnerEvalable|) 216992) ((|ResidueRing| . |BiModule|) 216959) ((|SparseUnivariateTaylorSeries| . |PartialDifferentialRing|) 216823) ((|DirichletRing| . |LeftModule|) 216770) ((|LieSquareMatrix| . |SemiGroup|) T) ((|SparseUnivariatePuiseuxSeries| . |PartialDifferentialRing|) 216632) ((|SparseUnivariateLaurentSeries| . |PartialDifferentialRing|) 216378) ((|SparseMultivariateTaylorSeries| . |PartialDifferentialRing|) 216362) ((|FiniteField| . |StepThrough|) T) ((|FreeAbelianGroup| . |RightModule|) 216339) ((|DirectProductModule| . |OrderedAbelianGroup|) 216309) ((|DirectProductModule| . |OrderedAbelianSemiGroup|) 216233) ((|DirectProductModule| . |OrderedAbelianMonoidSup|) 216191) ((|DirectProductMatrixModule| . |OrderedAbelianGroup|) 216161) ((|DirectProductMatrixModule| . |OrderedAbelianSemiGroup|) 216085) ((|DirectProductMatrixModule| . |OrderedAbelianMonoidSup|) 216043) ((|AntiSymm| . |Rng|) T) ((|DirectProductModule| . |Monoid|) 215929) ((|DirectProductMatrixModule| . |Monoid|) 215815) ((|TaylorSeries| . |SetCategory|) T) ((|LieSquareMatrix| . |AbelianMonoid|) T) ((|InnerPrimeField| . |Rng|) T) ((|InnerFiniteField| . |Rng|) T) ((|Float| . |RightModule|) 215769) ((|FreeAbelianGroup| . |BiModule|) 215734) ((|Asp34| . |FortranMatrixCategory|) T) ((|Asp34| . |FortranProgramCategory|) T) ((|RealClosure| . |Algebra|) 215655) ((|MachineComplex| . |FullyPatternMatchable|) 215627) ((|Automorphism| . |BasicType|) T) ((|ModularField| . |SetCategory|) T) ((|RadicalFunctionField| . |CharacteristicNonZero|) 215574) ((|Float| . |BiModule|) 215501) ((|ExponentialOfUnivariatePuiseuxSeries| . |UniqueFactorizationDomain|) 215477) ((|GeneralUnivariatePowerSeries| . |RadicalCategory|) 215426) ((|FiniteField| . |Algebra|) 215380) ((|AlgebraicFunctionField| . |FiniteRankAlgebra|) 215346) ((|RadicalFunctionField| . |CharacteristicZero|) 215296) ((|BinaryTree| . |BinaryTreeCategory|) 215280) ((|BinarySearchTree| . |BinaryTreeCategory|) 215264) ((|Operator| . |RightModule|) 215221) ((|OnePointCompletion| . |AbelianGroup|) 215156) ((|OppositeMonogenicLinearOperator| . |RightModule|) 215140) ((|OnePointCompletion| . |AbelianSemiGroup|) 215075) ((|ExponentialOfUnivariatePuiseuxSeries| . |IntegralDomain|) 215014) ((|Integer| . |OpenMath|) T) ((|DirectProduct| . |Type|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |CommutativeRing|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |CommutativeRing|) T) ((|Operator| . |BiModule|) 214966) ((|OppositeMonogenicLinearOperator| . |BiModule|) 214945) ((|UnivariatePuiseuxSeriesConstructor| . |CoercibleTo|) 214919) ((|UnivariateLaurentSeriesConstructor| . |CoercibleTo|) 214893) ((|UnivariateLaurentSeriesConstructor| . |ConvertibleTo|) 214436) ((|SparseUnivariatePolynomial| . |PolynomialFactorizationExplicit|) 214386) ((|SparseMultivariatePolynomial| . |PolynomialFactorizationExplicit|) 214336) ((|AlgebraicNumber| . |Algebra|) 214290) ((|XPolynomial| . |SemiGroup|) T) ((|IndexedVector| . |CoercibleTo|) 214208) ((|IndexedVector| . |ConvertibleTo|) 214144) ((|XPBWPolynomial| . |SemiGroup|) T) ((|DirectProduct| . |RetractableTo|) 213895) ((|SparseUnivariatePolynomial| . |LeftModule|) 213792) ((|SparseMultivariatePolynomial| . |LeftModule|) 213689) ((|MoebiusTransform| . |CoercibleTo|) 213663) ((|SparseUnivariateSkewPolynomial| . |LeftModule|) 213637) ((|XPolynomial| . |AbelianMonoid|) T) ((|XPBWPolynomial| . |AbelianMonoid|) T) ((|SparseUnivariatePolynomialExpressions| . |DifferentialExtension|) 213621) ((|ResidueRing| . |Ring|) T) ((|Table| . |Eltable|) 213600) ((|Complex| . |Finite|) 213533) ((|RadixExpansion| . |Type|) T) ((|AlgebraGivenByStructuralConstants| . |AbelianMonoid|) T) ((|IntegerMod| . |BasicType|) T) ((|TaylorSeries| . |Module|) 213377) ((|HashTable| . |Eltable|) 213356) ((|IntegrationResult| . |SetCategory|) T) ((|TexFormat| . |SetCategory|) T) ((|SquareFreeRegularTriangularSet| . |SquareFreeRegularTriangularSetCategory|) 213325) ((|SExpression| . |SExpressionCategory|) 213249) ((|FreeNilpotentLie| . |AbelianGroup|) T) ((|FreeNilpotentLie| . |AbelianSemiGroup|) T) ((|CliffordAlgebra| . |SemiGroup|) T) ((|RadixExpansion| . |RetractableTo|) 213193) ((|RadixExpansion| . |Patternable|) 213170) ((|RadixExpansion| . |PatternMatchable|) 213147) ((|MyExpression| . |BasicType|) T) ((|DirichletRing| . |Monoid|) T) ((|LaurentPolynomial| . |DifferentialExtension|) 213131) ((|LocalAlgebra| . |AbelianGroup|) T) ((|EuclideanModularRing| . |IntegralDomain|) T) ((|LocalAlgebra| . |AbelianSemiGroup|) T) ((|ModularField| . |Module|) 213085) ((|Float| . |Ring|) T) ((|DirectProduct| . |FullyLinearlyExplicitRingOver|) 213053) ((|DoubleFloatVector| . |EltableAggregate|) 213014) ((|ComplexDoubleFloatVector| . |EltableAggregate|) 212963) ((|DeRhamComplex| . |Rng|) T) ((|BalancedPAdicRational| . |DifferentialExtension|) 212922) ((|OneDimensionalArray| . |Eltable|) 212894) ((|CliffordAlgebra| . |AbelianMonoid|) T) ((|IndexedFlexibleArray| . |Eltable|) 212866) ((|FlexibleArray| . |InnerEvalable|) 212785) ((|IndexedOneDimensionalArray| . |Eltable|) 212757) ((|Float| . |DivisionRing|) T) ((|Float| . |DifferentialRing|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |CoercibleTo|) 212731) ((|Operator| . |Ring|) T) ((|OppositeMonogenicLinearOperator| . |Ring|) T) ((|NeitherSparseOrDensePowerSeries| . |CoercibleTo|) 212705) ((|NeitherSparseOrDensePowerSeries| . |ConvertibleTo|) NIL) ((|ModMonic| . |PolynomialCategory|) 212640) ((|MachineInteger| . |OrderedSet|) T) ((|GeneralUnivariatePowerSeries| . |CoercibleTo|) 212614) ((|OppositeMonogenicLinearOperator| . |DifferentialRing|) 212579) ((|CardinalNumber| . |OrderedSet|) T) ((|U16Matrix| . |Type|) T) ((|LinearOrdinaryDifferentialOperator| . |SetCategory|) T) ((|Table| . |IndexedAggregate|) 212558) ((|InnerTable| . |TableAggregate|) 212537) ((|FiniteDivisor| . |SetCategory|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |Field|) 212513) ((|Fraction| . |CharacteristicZero|) 212476) ((|Fraction| . |CharacteristicNonZero|) 212436) ((|U16Vector| . |Collection|) 212413) ((|Divisor| . |SetCategory|) T) ((|Product| . |SemiGroup|) 212301) ((|DirectProduct| . |PartialDifferentialRing|) 212205) ((|OrderedDirectProduct| . |SemiGroup|) 212091) ((|LinearOrdinaryDifferentialOperator2| . |UnivariateSkewPolynomialCategory|) 212075) ((|HashTable| . |IndexedAggregate|) 212054) ((|InnerTable| . |BagAggregate|) 211996) ((|RadixExpansion| . |FullyLinearlyExplicitRingOver|) 211973) ((|RadixExpansion| . |FullyEvalableOver|) 211950) ((|Symbol| . |CoercibleTo|) 211924) ((|SparseUnivariatePolynomial| . |LeftOreRing|) 211819) ((|AttributeButtons| . |SetCategory|) T) ((|Product| . |AbelianMonoid|) 211499) ((|Pi| . |AbelianGroup|) T) ((|Pi| . |AbelianSemiGroup|) T) ((|OrderedDirectProduct| . |AbelianMonoid|) 211302) ((|SparseMultivariatePolynomial| . |LeftOreRing|) 211220) ((|OneDimensionalArray| . |OneDimensionalArrayAggregate|) 211204) ((|Symbol| . |ConvertibleTo|) 211098) ((|SparseUnivariatePolynomial| . |Monoid|) T) ((|SparseMultivariatePolynomial| . |Monoid|) T) ((|IndexedFlexibleArray| . |OneDimensionalArrayAggregate|) 211082) ((|IndexedOneDimensionalArray| . |OneDimensionalArrayAggregate|) 211066) ((|OneDimensionalArray| . |IndexedAggregate|) 211038) ((|SequentialDifferentialPolynomial| . |SetCategory|) T) ((|PendantTree| . |BasicType|) 211008) ((|SparseUnivariateSkewPolynomial| . |Monoid|) T) ((|NewSparseUnivariatePolynomial| . |SetCategory|) T) ((|IndexedFlexibleArray| . |IndexedAggregate|) 210980) ((|IndexedOneDimensionalArray| . |IndexedAggregate|) 210952) ((|NewSparseMultivariatePolynomial| . |SetCategory|) T) ((|NewSparseMultivariatePolynomial| . |RecursivePolynomialCategory|) 210905) ((|GeneralModulePolynomial| . |SetCategory|) T) ((|GeneralDistributedMultivariatePolynomial| . |SetCategory|) T) ((|UnivariateTaylorSeriesCZero| . |BasicType|) T) ((|IntegrationResult| . |Module|) 210869) ((|DesingTree| . |BasicType|) 210839) ((|ListMonoidOps| . |SetCategory|) T) ((|UnivariateTaylorSeriesCZero| . |ElementaryFunctionCategory|) 210788) ((|UnivariateTaylorSeries| . |AbelianMonoidRing|) 210749) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |BasicType|) T) ((|UnivariatePuiseuxSeries| . |AbelianMonoidRing|) 210708) ((|RadixExpansion| . |PartialDifferentialRing|) NIL) ((|UnivariateLaurentSeries| . |AbelianMonoidRing|) 210680) ((|LieExponentials| . |SemiGroup|) T) ((|LieSquareMatrix| . |CancellationAbelianMonoid|) T) ((|UnivariateFormalPowerSeries| . |AbelianMonoidRing|) 210641) ((|TaylorSeries| . |CommutativeRing|) 210570) ((|SparseUnivariatePuiseuxSeries| . |EuclideanDomain|) 210546) ((|SparseUnivariateLaurentSeries| . |EuclideanDomain|) 210522) ((|SimpleAlgebraicExtension| . |UniqueFactorizationDomain|) 210456) ((|ExtAlgBasis| . |SetCategory|) T) ((|Asp78| . |FortranVectorFunctionCategory|) T) ((|Asp78| . |FortranProgramCategory|) T) ((|SimpleAlgebraicExtension| . |IntegralDomain|) 210390) ((|NottinghamGroup| . |CoercibleTo|) 210364) ((|AntiSymm| . |SetCategory|) T) ((|ModularField| . |CommutativeRing|) T) ((|InnerSparseUnivariatePowerSeries| . |AbelianMonoidRing|) 210336) ((|DoubleFloat| . |LeftModule|) 210290) ((|InnerPrimeField| . |SetCategory|) T) ((|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| . |SetCategory|) T) ((|InnerFiniteField| . |SetCategory|) T) ((|FiniteFieldExtension| . |UniqueFactorizationDomain|) T) ((|FiniteFieldNormalBasisExtension| . |UniqueFactorizationDomain|) T) ((|FiniteFieldCyclicGroupExtension| . |UniqueFactorizationDomain|) T) ((|HexadecimalExpansion| . |OrderedIntegralDomain|) T) ((|HexadecimalExpansion| . |PrincipalIdealDomain|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |SemiGroup|) T) ((|BinaryExpansion| . |UniqueFactorizationDomain|) T) ((|MyExpression| . |Evalable|) 210277) ((|FortranExpression| . |OrderedSet|) T) ((|DecimalExpansion| . |PrincipalIdealDomain|) T) ((|DecimalExpansion| . |OrderedIntegralDomain|) T) ((|ModuleOperator| . |RightModule|) 210234) ((|FiniteFieldExtension| . |IntegralDomain|) T) ((|FiniteFieldNormalBasisExtension| . |IntegralDomain|) T) ((|FiniteFieldCyclicGroupExtension| . |IntegralDomain|) T) ((|BinaryExpansion| . |IntegralDomain|) T) ((|SparseUnivariateLaurentSeries| . |RealConstant|) NIL) ((|LinearOrdinaryDifferentialOperator| . |Module|) 210191) ((|PseudoAlgebraicClosureOfRationalNumber| . |EntireRing|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |EntireRing|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |AbelianMonoid|) T) ((|Asp27| . |Type|) T) ((|Queue| . |CoercibleTo|) 210142) ((|MachineComplex| . |DifferentialExtension|) 210114) ((|Divisor| . |Module|) 210091) ((|ModuleOperator| . |BiModule|) 210043) ((|List| . |Aggregate|) T) ((|DataList| . |HomogeneousAggregate|) 210027) ((|Set| . |SetAggregate|) 210011) ((|SubSpaceComponentProperty| . |SetCategory|) T) ((|Polynomial| . |PolynomialFactorizationExplicit|) 209961) ((|HomogeneousDistributedMultivariatePolynomial| . |PolynomialFactorizationExplicit|) 209911) ((|XRecursivePolynomial| . |AbelianGroup|) T) ((|XRecursivePolynomial| . |AbelianSemiGroup|) T) ((|XPolynomial| . |CancellationAbelianMonoid|) T) ((|XPBWPolynomial| . |CancellationAbelianMonoid|) T) ((|SequentialDifferentialPolynomial| . |Module|) 209674) ((|RomanNumeral| . |LeftModule|) 209661) ((|Polynomial| . |LeftModule|) 209558) ((|NewSparseUnivariatePolynomial| . |Module|) 209298) ((|InputForm| . |CoercibleTo|) 209272) ((|InputForm| . |ConvertibleTo|) 209245) ((|NewSparseMultivariatePolynomial| . |Module|) 209008) ((|WuWenTsunTriangularSet| . |BasicType|) T) ((|Ruleset| . |BasicType|) T) ((|FreeModule1| . |AbelianSemiGroup|) T) ((|FreeModule1| . |AbelianGroup|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |LeftModule|) 208905) ((|GeneralModulePolynomial| . |Module|) 208876) ((|GeneralDistributedMultivariatePolynomial| . |Module|) 208639) ((|QuasiAlgebraicSet| . |BasicType|) T) ((|Multiset| . |BasicType|) T) ((|IntegerMod| . |StepThrough|) T) ((|Variable| . |CoercibleTo|) 208594) ((|IndexedExponents| . |AbelianSemiGroup|) T) ((|UnivariateLaurentSeries| . |Type|) 208570) ((|UnivariatePuiseuxSeries| . |RetractableTo|) 208466) ((|UnivariateLaurentSeries| . |PatternMatchable|) NIL) ((|UnivariateLaurentSeries| . |Patternable|) 208396) ((|CharacterClass| . |BasicType|) T) ((|AlgebraGivenByStructuralConstants| . |CancellationAbelianMonoid|) T) ((|Table| . |ConvertibleTo|) NIL) ((|Table| . |CoercibleTo|) 208370) ((|SquareMatrix| . |SquareMatrixCategory|) 208293) ((|FiniteFieldCyclicGroup| . |Rng|) T) ((|LiePolynomial| . |CoercibleTo|) 208267) ((|EuclideanModularRing| . |SemiGroup|) T) ((|FiniteFieldExtensionByPolynomial| . |CoercibleTo|) 208241) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |CoercibleTo|) 208215) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |CoercibleTo|) 208189) ((|DifferentialSparseMultivariatePolynomial| . |ConvertibleTo|) 207796) ((|DifferentialSparseMultivariatePolynomial| . |CoercibleTo|) 207770) ((|DistributedMultivariatePolynomial| . |CoercibleTo|) 207744) ((|DistributedMultivariatePolynomial| . |ConvertibleTo|) 207522) ((|RegularChain| . |TriangularSetCategory|) 207357) ((|PendantTree| . |Evalable|) 207281) ((|UnivariateLaurentSeries| . |RetractableTo|) 207228) ((|TaylorSeries| . |InnerEvalable|) 207192) ((|SplittingTree| . |CoercibleTo|) 207166) ((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| . |CoercibleTo|) 207140) ((|OrderedFreeMonoid| . |Monoid|) T) ((|InnerPrimeField| . |Module|) 207094) ((|IndexedVector| . |EltableAggregate|) 207066) ((|InnerFiniteField| . |Module|) 206987) ((|HashTable| . |ConvertibleTo|) NIL) ((|HashTable| . |CoercibleTo|) 206961) ((|Expression| . |BasicType|) T) ((|DesingTree| . |Evalable|) 206885) ((|ExponentialExpansion| . |BasicType|) T) ((|EuclideanModularRing| . |AbelianMonoid|) T) ((|CliffordAlgebra| . |CancellationAbelianMonoid|) T) ((|PrimeField| . |CoercibleTo|) 206859) ((|PrimeField| . |ConvertibleTo|) 206836) ((|FreeMonoid| . |Monoid|) T) ((|PAdicRationalConstructor| . |RightModule|) 206777) ((|PAdicRationalConstructor| . |BiModule|) 206686) ((|DoubleFloat| . |LeftOreRing|) T) ((|MyExpression| . |Algebra|) 206574) ((|CartesianTensor| . |BasicType|) T) ((|BasicOperator| . |BasicType|) T) ((|ModMonic| . |UnivariatePolynomialCategory|) 206558) ((|ModuleOperator| . |Ring|) T) ((|MachineComplex| . |FiniteFieldCategory|) NIL) ((|InnerIndexedTwoDimensionalArray| . |CoercibleTo|) 206509) ((|Float| . |OrderedCancellationAbelianMonoid|) T) ((|DeRhamComplex| . |SetCategory|) T) ((|Float| . |OrderedAbelianMonoid|) T) ((|DoubleFloat| . |OrderedAbelianSemiGroup|) T) ((|DoubleFloat| . |OrderedAbelianGroup|) T) ((|OneDimensionalArray| . |ConvertibleTo|) 206445) ((|OneDimensionalArray| . |CoercibleTo|) 206363) ((|DoubleFloat| . |Monoid|) T) ((|IndexedFlexibleArray| . |ConvertibleTo|) 206299) ((|IndexedFlexibleArray| . |CoercibleTo|) 206217) ((|IndexedTwoDimensionalArray| . |CoercibleTo|) 206168) ((|IndexedOneDimensionalArray| . |ConvertibleTo|) 206104) ((|IndexedOneDimensionalArray| . |CoercibleTo|) 206022) ((|SimpleAlgebraicExtension| . |Field|) 205956) ((|AlgebraicFunctionField| . |FullyRetractableTo|) 205927) ((|Asp49| . |Type|) T) ((|BlowUpWithQuadTrans| . |BasicType|) T) ((|ProjectivePlane| . |ProjectiveSpaceCategory|) 205911) ((|PAdicRational| . |PolynomialFactorizationExplicit|) NIL) ((|FiniteFieldExtension| . |FiniteAlgebraicExtensionField|) 205895) ((|FiniteFieldExtension| . |Field|) T) ((|FiniteFieldNormalBasisExtension| . |FiniteAlgebraicExtensionField|) 205879) ((|FiniteFieldNormalBasisExtension| . |Field|) T) ((|FiniteFieldCyclicGroupExtension| . |FiniteAlgebraicExtensionField|) 205863) ((|FiniteFieldCyclicGroupExtension| . |Field|) T) ((|Expression| . |ElementaryFunctionCategory|) 205830) ((|BinaryExpansion| . |Field|) T) ((|Asp30| . |Type|) T) ((|UnivariateLaurentSeries| . |FullyEvalableOver|) 205760) ((|PAdicRational| . |LeftModule|) 205684) ((|UnivariateLaurentSeries| . |FullyLinearlyExplicitRingOver|) 205614) ((|Product| . |CancellationAbelianMonoid|) 205362) ((|OrderedDirectProduct| . |CancellationAbelianMonoid|) 205165) ((|RomanNumeral| . |LeftOreRing|) T) ((|PrimitiveArray| . |LinearAggregate|) 205149) ((|Polynomial| . |LeftOreRing|) 205067) ((|SequentialDifferentialPolynomial| . |CommutativeRing|) 204920) ((|RomanNumeral| . |OrderedAbelianSemiGroup|) T) ((|RomanNumeral| . |OrderedAbelianGroup|) T) ((|PrimitiveArray| . |FiniteLinearAggregate|) 204904) ((|BlowUpWithQuadTrans| . |BlowUpMethodCategory|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |LeftOreRing|) 204822) ((|NeitherSparseOrDensePowerSeries| . |EltableAggregate|) 204751) ((|NewSparseUnivariatePolynomial| . |CommutativeRing|) 204581) ((|NewSparseMultivariatePolynomial| . |CommutativeRing|) 204434) ((|OrderlyDifferentialPolynomial| . |AbelianMonoidRing|) 204354) ((|RomanNumeral| . |Monoid|) T) ((|FlexibleArray| . |HomogeneousAggregate|) 204338) ((|Polynomial| . |Monoid|) T) ((|GeneralDistributedMultivariatePolynomial| . |CommutativeRing|) 204191) ((|DataList| . |Eltable|) 204163) ((|HomogeneousDistributedMultivariatePolynomial| . |Monoid|) T) ((|WuWenTsunTriangularSet| . |Evalable|) 204087) ((|UnivariateTaylorSeriesCZero| . |Algebra|) 203931) ((|UnivariateTaylorSeries| . |PartialDifferentialRing|) 203795) ((|UnivariatePuiseuxSeries| . |PartialDifferentialRing|) 203657) ((|UnivariatePuiseuxSeriesConstructor| . |RightModule|) 203439) ((|UnivariateLaurentSeries| . |PartialDifferentialRing|) 203191) ((|UnivariateLaurentSeriesConstructor| . |RightModule|) 202943) ((|UnivariateFormalPowerSeries| . |PartialDifferentialRing|) 202807) ((|U32Vector| . |BasicType|) T) ((|TaylorSeries| . |EntireRing|) 202774) ((|SquareFreeRegularTriangularSet| . |Collection|) 202758) ((|RuleCalled| . |BasicType|) T) ((|Plot| . |PlottablePlaneCurveCategory|) T) ((|Multiset| . |Evalable|) 202682) ((|Asp41| . |Type|) T) ((|Complex| . |PolynomialFactorizationExplicit|) 202593) ((|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| . |BasicType|) T) ((|LiePolynomial| . |FreeModuleCat|) 202557) ((|PlaneAlgebraicCurvePlot| . |PlottablePlaneCurveCategory|) T) ((|Mapping| . |CoercibleTo|) 202531) ((|SingleInteger| . |BasicType|) T) ((|SimpleAlgebraicExtension| . |AbelianMonoid|) T) ((|AntiSymm| . |LeftAlgebra|) 202515) ((|SimpleAlgebraicExtension| . |SemiGroup|) T) ((|RadicalFunctionField| . |FramedAlgebra|) 202481) ((|InnerSparseUnivariatePowerSeries| . |PartialDifferentialRing|) 202356) ((|FunctionCalled| . |BasicType|) T) ((|CharacterClass| . |Evalable|) NIL) ((|PAdicRationalConstructor| . |Ring|) T) ((|OnePointCompletion| . |OrderedSet|) 202326) ((|Asp6| . |Type|) T) ((|ModularField| . |EntireRing|) T) ((|AlgebraicFunctionField| . |Rng|) T) ((|InnerPrimeField| . |CommutativeRing|) T) ((|InnerFiniteField| . |CommutativeRing|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |CoercibleTo|) 202300) ((|Complex| . |LeftModule|) 202182) ((|IndexedDirectProductAbelianGroup| . |CoercibleTo|) 202156) ((|FiniteFieldNormalBasis| . |CharacteristicZero|) 202122) ((|FiniteFieldNormalBasis| . |CharacteristicNonZero|) T) ((|FiniteFieldExtension| . |SemiGroup|) T) ((|FiniteFieldNormalBasisExtension| . |SemiGroup|) T) ((|FiniteFieldCyclicGroupExtension| . |SemiGroup|) T) ((|RadixExpansion| . |EuclideanDomain|) T) ((|PartialFraction| . |EuclideanDomain|) T) ((|PAdicRationalConstructor| . |DivisionRing|) T) ((|BinaryExpansion| . |SemiGroup|) T) ((|PAdicRationalConstructor| . |DifferentialRing|) 202087) ((|MyExpression| . |FullyPatternMatchable|) 202071) ((|UnivariatePuiseuxSeriesConstructor| . |BiModule|) 201821) ((|UnivariateLaurentSeriesConstructor| . |BiModule|) 201536) ((|DataList| . |UnaryRecursiveAggregate|) 201520) ((|Integer| . |OrderedRing|) T) ((|FiniteFieldExtension| . |AbelianMonoid|) T) ((|FiniteField| . |FiniteFieldCategory|) T) ((|Expression| . |Evalable|) 201507) ((|ExponentialExpansion| . |Evalable|) 201259) ((|FiniteFieldNormalBasisExtension| . |AbelianMonoid|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |CancellationAbelianMonoid|) T) ((|FiniteFieldCyclicGroupExtension| . |AbelianMonoid|) T) ((|RadixExpansion| . |RealConstant|) T) ((|BinaryExpansion| . |AbelianMonoid|) T) ((|DataList| . |IndexedAggregate|) 201231) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |Algebra|) 200987) ((|UnivariatePolynomial| . |PolynomialFactorizationExplicit|) 200937) ((|Boolean| . |SetCategory|) T) ((|PAdicRational| . |LeftOreRing|) T) ((|Result| . |BasicType|) T) ((|UnivariatePolynomial| . |LeftModule|) 200834) ((|PAdicRational| . |OrderedAbelianSemiGroup|) NIL) ((|UnivariateSkewPolynomial| . |LeftModule|) 200808) ((|PAdicRational| . |OrderedAbelianGroup|) NIL) ((|OrderlyDifferentialPolynomial| . |PatternMatchable|) NIL) ((|PAdicRational| . |Monoid|) T) ((|SequentialDifferentialPolynomial| . |InnerEvalable|) 200577) ((|NewSparseUnivariatePolynomial| . |InnerEvalable|) 200487) ((|NewSparseMultivariatePolynomial| . |InnerEvalable|) 200439) ((|Interval| . |LeftModule|) 200426) ((|OrderlyDifferentialPolynomial| . |RetractableTo|) 200143) ((|GeneralDistributedMultivariatePolynomial| . |InnerEvalable|) 200047) ((|FileName| . |FileNameCategory|) T) ((|TwoDimensionalArray| . |Type|) T) ((|LocalAlgebra| . |OrderedSet|) 200017) ((|IndexedBits| . |Logic|) T) ((|SquareFreeRegularTriangularSet| . |PolynomialSetCategory|) 199986) ((|PseudoAlgebraicClosureOfFiniteField| . |RightModule|) 199927) ((|NeitherSparseOrDensePowerSeries| . |RightModule|) 199868) ((|RadicalFunctionField| . |GcdDomain|) T) ((|MachineFloat| . |OrderedRing|) T) ((|IndexedDirectProductOrderedAbelianMonoid| . |OrderedAbelianMonoid|) T) ((|GeneralUnivariatePowerSeries| . |RightModule|) 199650) ((|FiniteFieldCyclicGroup| . |SetCategory|) T) ((|ExponentialExpansion| . |StepThrough|) NIL) ((|EuclideanModularRing| . |CancellationAbelianMonoid|) T) ((|ScriptFormulaFormat| . |SetCategory|) T) ((|PAdicInteger| . |Rng|) T) ((|MachineComplex| . |FiniteRankAlgebra|) 199574) ((|PseudoAlgebraicClosureOfFiniteField| . |BiModule|) 199483) ((|NeitherSparseOrDensePowerSeries| . |BiModule|) 199392) ((|DeRhamComplex| . |LeftAlgebra|) 199361) ((|Complex| . |LeftOreRing|) 199262) ((|FlexibleArray| . |Eltable|) 199234) ((|U32Vector| . |Evalable|) NIL) ((|GeneralUnivariatePowerSeries| . |BiModule|) 198984) ((|UnivariatePuiseuxSeriesConstructor| . |Ring|) T) ((|UnivariateLaurentSeriesConstructor| . |Ring|) T) ((|OrderlyDifferentialPolynomial| . |FullyLinearlyExplicitRingOver|) 198968) ((|Complex| . |Monoid|) T) ((|LinearOrdinaryDifferentialOperator2| . |BasicType|) T) ((|UnivariatePuiseuxSeriesConstructor| . |DivisionRing|) 198944) ((|UnivariatePuiseuxSeriesConstructor| . |DifferentialRing|) 198879) ((|UnivariateLaurentSeriesConstructor| . |DifferentialRing|) 198759) ((|UnivariateLaurentSeriesConstructor| . |DivisionRing|) 198735) ((|RadicalFunctionField| . |FieldOfPrimeCharacteristic|) NIL) ((|LieSquareMatrix| . |LinearlyExplicitRingOver|) 198651) ((|Expression| . |Algebra|) 198513) ((|ExponentialExpansion| . |Algebra|) 198385) ((|Asp29| . |CoercibleTo|) 198359) ((|ExponentialOfUnivariatePuiseuxSeries| . |HyperbolicFunctionCategory|) 198308) ((|Table| . |EltableAggregate|) 198287) ((|SplitHomogeneousDirectProduct| . |SemiGroup|) 198173) ((|Asp74| . |Type|) T) ((|Asp10| . |CoercibleTo|) 198147) ((|HashTable| . |EltableAggregate|) 198126) ((|XDistributedPolynomial| . |RetractableTo|) 198088) ((|SubSpace| . |SetCategory|) T) ((|SplitHomogeneousDirectProduct| . |AbelianMonoid|) 197891) ((|UnivariatePolynomial| . |LeftOreRing|) 197786) ((|OrderlyDifferentialPolynomial| . |PartialDifferentialRing|) 197667) ((|UnivariatePolynomial| . |Monoid|) T) ((|Set| . |Type|) T) ((|SequentialDifferentialPolynomial| . |EntireRing|) 197553) ((|PoincareBirkhoffWittLyndonBasis| . |BasicType|) T) ((|NewSparseUnivariatePolynomial| . |EntireRing|) 197416) ((|Interval| . |LeftOreRing|) T) ((|FlexibleArray| . |OneDimensionalArrayAggregate|) 197400) ((|OneDimensionalArray| . |EltableAggregate|) 197372) ((|NewSparseMultivariatePolynomial| . |EntireRing|) 197258) ((|UnivariateSkewPolynomial| . |Monoid|) T) ((|BalancedPAdicRational| . |OrderedRing|) NIL) ((|IndexedFlexibleArray| . |EltableAggregate|) 197230) ((|FlexibleArray| . |IndexedAggregate|) 197202) ((|IndexedOneDimensionalArray| . |EltableAggregate|) 197174) ((|GeneralDistributedMultivariatePolynomial| . |EntireRing|) 197060) ((|Result| . |Evalable|) 196866) ((|Interval| . |Monoid|) T) ((|Localize| . |CoercibleTo|) 196840) ((|DataList| . |ConvertibleTo|) 196776) ((|DataList| . |CoercibleTo|) 196694) ((|Stack| . |Aggregate|) T) ((|Point| . |Type|) T) ((|FiniteFieldCyclicGroup| . |Module|) 196620) ((|PseudoAlgebraicClosureOfFiniteField| . |Ring|) T) ((|NeitherSparseOrDensePowerSeries| . |Ring|) T) ((|LieSquareMatrix| . |AbelianSemiGroup|) T) ((|LieSquareMatrix| . |AbelianGroup|) T) ((|SingleInteger| . |StepThrough|) T) ((|GeneralUnivariatePowerSeries| . |Ring|) T) ((|AssociatedLieAlgebra| . |FramedNonAssociativeAlgebra|) 196560) ((|AssociatedJordanAlgebra| . |FramedNonAssociativeAlgebra|) 196500) ((|PlacesOverPseudoAlgebraicClosureOfFiniteField| . |SetCategory|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |DifferentialRing|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |DivisionRing|) T) ((|NeitherSparseOrDensePowerSeries| . |DifferentialRing|) 196448) ((|NeitherSparseOrDensePowerSeries| . |DivisionRing|) T) ((|InnerPrimeField| . |EntireRing|) T) ((|InnerFiniteField| . |EntireRing|) T) ((|UnivariatePuiseuxSeries| . |EuclideanDomain|) 196424) ((|GeneralUnivariatePowerSeries| . |DifferentialRing|) 196359) ((|GeneralUnivariatePowerSeries| . |DivisionRing|) 196335) ((|UnivariateLaurentSeries| . |EuclideanDomain|) 196311) ((|SimpleAlgebraicExtension| . |CancellationAbelianMonoid|) T) ((|PAdicRationalConstructor| . |OrderedCancellationAbelianMonoid|) 196271) ((|Character| . |BasicType|) T) ((|AlgebraicFunctionField| . |SetCategory|) T) ((|PAdicRationalConstructor| . |OrderedAbelianMonoid|) 196231) ((|List| . |RecursiveAggregate|) 196215) ((|InnerPAdicInteger| . |Rng|) T) ((|Integer| . |Rng|) T) ((|InnerAlgebraicNumber| . |Rng|) T) ((|Fraction| . |GcdDomain|) T) ((|FiniteFieldExtension| . |CancellationAbelianMonoid|) T) ((|Expression| . |FullyPatternMatchable|) 196199) ((|ExponentialExpansion| . |FullyPatternMatchable|) 196114) ((|FiniteFieldNormalBasisExtension| . |CancellationAbelianMonoid|) T) ((|FiniteFieldCyclicGroupExtension| . |CancellationAbelianMonoid|) T) ((|UnivariateLaurentSeries| . |RealConstant|) NIL) ((|Segment| . |CoercibleTo|) 196065) ((|BinaryExpansion| . |CancellationAbelianMonoid|) T) ((|SingleInteger| . |Algebra|) 196052) ((|PositiveInteger| . |SetCategory|) T) ((|NonNegativeInteger| . |SetCategory|) T) ((|LyndonWord| . |SetCategory|) T) ((|MachineInteger| . |CharacteristicZero|) T) ((|SparseUnivariatePolynomialExpressions| . |FullyRetractableTo|) 196036) ((|BalancedPAdicInteger| . |CharacteristicZero|) T) ((|XPolynomial| . |AbelianGroup|) T) ((|XPolynomial| . |AbelianSemiGroup|) T) ((|XPBWPolynomial| . |AbelianGroup|) T) ((|XPBWPolynomial| . |AbelianSemiGroup|) T) ((|LiePolynomial| . |RightModule|) 196020) ((|IndexedExponents| . |OrderedSet|) T) ((|IndexedBits| . |OrderedSet|) T) ((|FiniteFieldExtensionByPolynomial| . |RightModule|) 195961) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |RightModule|) 195902) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |RightModule|) 195843) ((|DirectProductModule| . |Type|) T) ((|DirectProductMatrixModule| . |Type|) T) ((|DifferentialSparseMultivariatePolynomial| . |RightModule|) 195600) ((|DistributedMultivariatePolynomial| . |RightModule|) 195357) ((|LiePolynomial| . |BiModule|) 195336) ((|FiniteFieldExtensionByPolynomial| . |BiModule|) 195245) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |BiModule|) 195154) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |BiModule|) 195063) ((|DifferentialSparseMultivariatePolynomial| . |BiModule|) 194788) ((|DistributedMultivariatePolynomial| . |BiModule|) 194513) ((|OrdinaryDifferentialRing| . |UniqueFactorizationDomain|) 194489) ((|LaurentPolynomial| . |FullyRetractableTo|) 194473) ((|AlgebraGivenByStructuralConstants| . |AbelianGroup|) T) ((|AlgebraGivenByStructuralConstants| . |AbelianSemiGroup|) T) ((|OrderedDirectProduct| . |LinearlyExplicitRingOver|) 194345) ((|OrdinaryDifferentialRing| . |IntegralDomain|) 194321) ((|DirectProductModule| . |RetractableTo|) 194072) ((|DirectProductMatrixModule| . |RetractableTo|) 193823) ((|BinaryTournament| . |BinaryRecursiveAggregate|) 193807) ((|PrimeField| . |RightModule|) 193761) ((|MachineFloat| . |Rng|) T) ((|ModMonic| . |BasicType|) T) ((|DoubleFloatVector| . |LinearAggregate|) 193734) ((|ComplexDoubleFloatVector| . |LinearAggregate|) 193695) ((|FiniteFieldCyclicGroup| . |CommutativeRing|) T) ((|DoubleFloatVector| . |FiniteLinearAggregate|) 193668) ((|ComplexDoubleFloatVector| . |FiniteLinearAggregate|) 193629) ((|CliffordAlgebra| . |AbelianGroup|) T) ((|CliffordAlgebra| . |AbelianSemiGroup|) T) ((|Asp8| . |CoercibleTo|) 193603) ((|PrimeField| . |BiModule|) 193530) ((|AlgebraicFunctionField| . |Module|) 193458) ((|PAdicInteger| . |SetCategory|) T) ((|FlexibleArray| . |ConvertibleTo|) 193394) ((|FlexibleArray| . |CoercibleTo|) 193312) ((|UnivariateLaurentSeriesConstructor| . |OrderedAbelianMonoid|) 193243) ((|SparseUnivariatePolynomialExpressions| . |Rng|) T) ((|UnivariateLaurentSeriesConstructor| . |OrderedCancellationAbelianMonoid|) 193174) ((|DirectProductModule| . |FullyLinearlyExplicitRingOver|) 193142) ((|DirectProductMatrixModule| . |FullyLinearlyExplicitRingOver|) 193110) ((|PseudoAlgebraicClosureOfRationalNumber| . |CoercibleTo|) 193084) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |CoercibleTo|) 193058) ((|LinearOrdinaryDifferentialOperator2| . |Algebra|) 193015) ((|KeyedAccessFile| . |Aggregate|) T) ((|HomogeneousDirectProduct| . |SemiGroup|) 192901) ((|GeneralSparseTable| . |Aggregate|) T) ((|SplitHomogeneousDirectProduct| . |CancellationAbelianMonoid|) 192704) ((|SymmetricPolynomial| . |IntegralDomain|) 192671) ((|Product| . |AbelianSemiGroup|) 192351) ((|Palette| . |CoercibleTo|) 192325) ((|Product| . |AbelianGroup|) 192258) ((|OrderedDirectProduct| . |AbelianGroup|) 192145) ((|OrderedDirectProduct| . |AbelianSemiGroup|) 191914) ((|SparseUnivariatePolynomial| . |AbelianMonoidRing|) 191875) ((|LaurentPolynomial| . |Rng|) T) ((|SparseMultivariatePolynomial| . |AbelianMonoidRing|) 191833) ((|GuessOptionFunctions0| . |SetCategory|) T) ((|FiniteFieldExtensionByPolynomial| . |Ring|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |Ring|) T) ((|HomogeneousDirectProduct| . |AbelianMonoid|) 191636) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |Ring|) T) ((|DifferentialSparseMultivariatePolynomial| . |Ring|) T) ((|DistributedMultivariatePolynomial| . |Ring|) T) ((|ResidueRing| . |LeftModule|) 191610) ((|BalancedPAdicRational| . |Rng|) T) ((|PrimitiveArray| . |Aggregate|) T) ((|MyUnivariatePolynomial| . |UniqueFactorizationDomain|) 191560) ((|FiniteFieldExtensionByPolynomial| . |DifferentialRing|) 191535) ((|FiniteFieldExtensionByPolynomial| . |DivisionRing|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |DifferentialRing|) 191510) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |DivisionRing|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |DifferentialRing|) 191485) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |DivisionRing|) T) ((|DifferentialSparseMultivariatePolynomial| . |FiniteAbelianMonoidRing|) 191443) ((|DistributedMultivariatePolynomial| . |FiniteAbelianMonoidRing|) 191375) ((|DifferentialSparseMultivariatePolynomial| . |DifferentialRing|) 191340) ((|Stream| . |Collection|) 191324) ((|MyUnivariatePolynomial| . |IntegralDomain|) 191187) ((|DirectProductModule| . |PartialDifferentialRing|) 191091) ((|DirectProductMatrixModule| . |PartialDifferentialRing|) 190995) ((|SingletonAsOrderedSet| . |OrderedSet|) T) ((|UniversalSegment| . |Type|) T) ((|FramedModule| . |SemiGroup|) T) ((|U16Vector| . |BasicType|) T) ((|RectangularMatrix| . |AbelianMonoid|) T) ((|PrimeField| . |Ring|) T) ((|FreeAbelianGroup| . |LeftModule|) 190972) ((|RealClosure| . |OrderedRing|) T) ((|TaylorSeries| . |RadicalCategory|) 190921) ((|SparseUnivariatePuiseuxSeries| . |PrincipalIdealDomain|) 190897) ((|SparseUnivariateLaurentSeries| . |PrincipalIdealDomain|) 190873) ((|PrimeField| . |DivisionRing|) T) ((|OrdinaryDifferentialRing| . |Field|) 190849) ((|FreeModule| . |AbelianMonoid|) T) ((|BinaryTree| . |SetCategory|) 190819) ((|BinarySearchTree| . |SetCategory|) 190789) ((|PrimeField| . |DifferentialRing|) T) ((|SparseUnivariateLaurentSeries| . |OrderedIntegralDomain|) NIL) ((|Float| . |LeftModule|) 190743) ((|PAdicInteger| . |Module|) 190730) ((|U8Vector| . |SetCategory|) T) ((|RegularChain| . |Collection|) 190649) ((|AlgebraicFunctionField| . |CommutativeRing|) T) ((|MachineComplex| . |FullyRetractableTo|) 190621) ((|ModMonic| . |Evalable|) 190608) ((|Operator| . |LeftModule|) 190555) ((|OppositeMonogenicLinearOperator| . |LeftModule|) 190529) ((|ExponentialOfUnivariatePuiseuxSeries| . |AbelianSemiGroup|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |AbelianGroup|) T) ((|LinearOrdinaryDifferentialOperator| . |Eltable|) 190508) ((|InnerPAdicInteger| . |SetCategory|) T) ((|Integer| . |SetCategory|) T) ((|InnerAlgebraicNumber| . |SetCategory|) T) ((|DataList| . |EltableAggregate|) 190480) ((|ExponentialExpansion| . |DifferentialExtension|) 190395) ((|SparseUnivariatePolynomial| . |PatternMatchable|) NIL) ((|SparseMultivariatePolynomial| . |PatternMatchable|) 190174) ((|SparseUnivariatePolynomial| . |RetractableTo|) 189984) ((|SparseMultivariatePolynomial| . |RetractableTo|) 189815) ((|SparseUnivariateSkewPolynomial| . |RetractableTo|) 189659) ((|NewSparseUnivariatePolynomial| . |Eltable|) 189562) ((|Plcs| . |CoercibleTo|) 189536) ((|OrdinaryDifferentialRing| . |SemiGroup|) T) ((|ResidueRing| . |Monoid|) T) ((|IndexedVector| . |LinearAggregate|) 189520) ((|RegularChain| . |PolynomialSetCategory|) 189355) ((|Quaternion| . |BasicType|) T) ((|OrdinaryDifferentialRing| . |AbelianMonoid|) T) ((|ModMonic| . |StepThrough|) 189325) ((|MachineComplex| . |Rng|) T) ((|IndexedVector| . |FiniteLinearAggregate|) 189309) ((|FiniteFieldNormalBasis| . |GcdDomain|) T) ((|FiniteFieldCyclicGroup| . |EntireRing|) T) ((|TwoDimensionalViewport| . |SetCategory|) T) ((|GuessOption| . |BasicType|) T) ((|FullPartialFractionExpansion| . |BasicType|) T) ((|EuclideanModularRing| . |AbelianGroup|) T) ((|EuclideanModularRing| . |AbelianSemiGroup|) T) ((|FreeGroup| . |Monoid|) T) ((|Float| . |LeftOreRing|) T) ((|MathMLFormat| . |SetCategory|) T) ((|MachineFloat| . |SetCategory|) T) ((|FreeGroup| . |Group|) T) ((|U16Vector| . |Evalable|) NIL) ((|TaylorSeries| . |CoercibleTo|) 189283) ((|SparseUnivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 189267) ((|SparseMultivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 189251) ((|RealClosure| . |FullyRetractableTo|) 189202) ((|CharacterClass| . |Dictionary|) 189177) ((|Float| . |OrderedAbelianSemiGroup|) T) ((|Float| . |OrderedAbelianGroup|) T) ((|PAdicInteger| . |CommutativeRing|) T) ((|Float| . |Monoid|) T) ((|ModularField| . |CoercibleTo|) 189151) ((|ModMonic| . |Algebra|) 188891) ((|Vector| . |VectorCategory|) 188875) ((|FiniteFieldNormalBasis| . |FieldOfPrimeCharacteristic|) T) ((|Vector| . |SetCategory|) 188812) ((|InnerPAdicInteger| . |Module|) 188799) ((|Integer| . |Module|) 188786) ((|InnerAlgebraicNumber| . |Module|) 188740) ((|PseudoAlgebraicClosureOfFiniteField| . |ExtensionField|) 188724) ((|Expression| . |LiouvillianFunctionCategory|) 188691) ((|Operator| . |Monoid|) T) ((|OppositeMonogenicLinearOperator| . |Monoid|) T) ((|SparseUnivariatePolynomialExpressions| . |SetCategory|) T) ((|List| . |Type|) T) ((|SimpleAlgebraicExtension| . |LinearlyExplicitRingOver|) 188607) ((|SparseUnivariatePolynomial| . |PartialDifferentialRing|) 188505) ((|SparseMultivariatePolynomial| . |PartialDifferentialRing|) 188489) ((|Localize| . |RightModule|) 188473) ((|BinaryExpansion| . |LinearlyExplicitRingOver|) 188450) ((|HomogeneousDirectProduct| . |CancellationAbelianMonoid|) 188253) ((|NeitherSparseOrDensePowerSeries| . |LinearAggregate|) 188194) ((|SymmetricPolynomial| . |SemiGroup|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |Finite|) T) ((|Polynomial| . |AbelianMonoidRing|) 188146) ((|MyUnivariatePolynomial| . |SemiGroup|) T) ((|LaurentPolynomial| . |SetCategory|) T) ((|Localize| . |BiModule|) 188125) ((|FlexibleArray| . |EltableAggregate|) 188097) ((|HomogeneousDistributedMultivariatePolynomial| . |AbelianMonoidRing|) 188018) ((|SymmetricPolynomial| . |AbelianMonoid|) T) ((|BasicStochasticDifferential| . |SetCategory|) T) ((|BalancedPAdicRational| . |SetCategory|) T) ((|BalancedBinaryTree| . |BasicType|) 187988) ((|MyUnivariatePolynomial| . |AbelianMonoid|) T) ((|WeightedPolynomials| . |SemiGroup|) T) ((|RectangularMatrix| . |CancellationAbelianMonoid|) T) ((|RealClosure| . |Rng|) T) ((|OrderedFreeMonoid| . |RetractableTo|) 187972) ((|RadicalFunctionField| . |MonogenicAlgebra|) 187938) ((|WeightedPolynomials| . |AbelianMonoid|) T) ((|MachineFloat| . |Module|) 187892) ((|IntegrationResult| . |CoercibleTo|) 187866) ((|FreeMonoid| . |RetractableTo|) 187850) ((|FiniteField| . |Rng|) T) ((|FreeModule| . |CancellationAbelianMonoid|) T) ((|FreeAbelianMonoid| . |RetractableTo|) 187834) ((|DoubleFloat| . |PatternMatchable|) 187813) ((|RadixExpansion| . |PrincipalIdealDomain|) T) ((|ArrayStack| . |Aggregate|) T) ((|RadixExpansion| . |OrderedIntegralDomain|) T) ((|PartialFraction| . |PrincipalIdealDomain|) T) ((|HexadecimalExpansion| . |UniqueFactorizationDomain|) T) ((|TexFormat| . |CoercibleTo|) 187787) ((|SExpressionOf| . |SetCategory|) T) ((|DecimalExpansion| . |UniqueFactorizationDomain|) T) ((|Quaternion| . |Evalable|) 187746) ((|DoubleFloat| . |RetractableTo|) 187690) ((|AlgebraicFunctionField| . |EntireRing|) T) ((|SimpleAlgebraicExtension| . |AbelianGroup|) T) ((|SimpleAlgebraicExtension| . |AbelianSemiGroup|) T) ((|SingleInteger| . |OpenMath|) T) ((|HexadecimalExpansion| . |IntegralDomain|) T) ((|FiniteFieldExtension| . |AbelianSemiGroup|) T) ((|DecimalExpansion| . |IntegralDomain|) T) ((|FiniteFieldExtension| . |AbelianGroup|) T) ((|FiniteFieldNormalBasisExtension| . |AbelianSemiGroup|) T) ((|FiniteFieldNormalBasisExtension| . |AbelianGroup|) T) ((|ModuleOperator| . |LeftModule|) 187637) ((|FiniteFieldCyclicGroupExtension| . |AbelianSemiGroup|) T) ((|FiniteFieldCyclicGroupExtension| . |AbelianGroup|) T) ((|BinaryExpansion| . |AbelianSemiGroup|) T) ((|BinaryExpansion| . |AbelianGroup|) T) ((|AlgebraicNumber| . |Rng|) T) ((|SparseUnivariatePolynomialExpressions| . |Module|) 187377) ((|InnerPAdicInteger| . |CommutativeRing|) T) ((|Integer| . |CommutativeRing|) T) ((|InnerAlgebraicNumber| . |CommutativeRing|) T) ((|LinearOrdinaryDifferentialOperator| . |CoercibleTo|) 187351) ((|Multiset| . |MultisetAggregate|) 187335) ((|FiniteDivisor| . |CoercibleTo|) 187309) ((|Divisor| . |CoercibleTo|) 187283) ((|Asp28| . |FortranMatrixCategory|) T) ((|Asp28| . |FortranProgramCategory|) T) ((|Set| . |BagAggregate|) 187267) ((|RomanNumeral| . |PatternMatchable|) 187244) ((|Polynomial| . |PatternMatchable|) 187125) ((|LinearOrdinaryDifferentialOperator1| . |SemiGroup|) T) ((|LaurentPolynomial| . |Module|) 187112) ((|HomogeneousDistributedMultivariatePolynomial| . |PatternMatchable|) NIL) ((|SquareFreeRegularTriangularSet| . |BasicType|) T) ((|RomanNumeral| . |RetractableTo|) 187089) ((|AttributeButtons| . |CoercibleTo|) 187063) ((|Pi| . |CharacteristicZero|) T) ((|Polynomial| . |RetractableTo|) 186888) ((|BalancedPAdicRational| . |Module|) 186804) ((|LinearOrdinaryDifferentialOperator1| . |AbelianMonoid|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |RetractableTo|) 186611) ((|SequentialDifferentialPolynomial| . |ConvertibleTo|) NIL) ((|SequentialDifferentialPolynomial| . |CoercibleTo|) 186585) ((|NewSparseUnivariatePolynomial| . |ConvertibleTo|) NIL) ((|NewSparseUnivariatePolynomial| . |CoercibleTo|) 186515) ((|NewSparseMultivariatePolynomial| . |ConvertibleTo|) 185954) ((|NewSparseMultivariatePolynomial| . |CoercibleTo|) 185813) ((|SplitHomogeneousDirectProduct| . |LinearlyExplicitRingOver|) 185685) ((|GeneralModulePolynomial| . |CoercibleTo|) 185659) ((|GeneralDistributedMultivariatePolynomial| . |CoercibleTo|) 185633) ((|GeneralDistributedMultivariatePolynomial| . |ConvertibleTo|) 185411) ((|Result| . |Dictionary|) 185344) ((|BinaryTournament| . |Aggregate|) T) ((|OrdinaryDifferentialRing| . |CancellationAbelianMonoid|) T) ((|PAdicRationalConstructor| . |PolynomialFactorizationExplicit|) 185294) ((|ListMonoidOps| . |CoercibleTo|) 185268) ((|FiniteFieldExtensionByPolynomial| . |ExtensionField|) 185252) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |ExtensionField|) 185236) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |ExtensionField|) 185220) ((|BinaryTree| . |InnerEvalable|) 185139) ((|BinarySearchTree| . |InnerEvalable|) 185058) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |OrderedAbelianMonoid|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |OrderedCancellationAbelianMonoid|) T) ((|IndexedDirectProductOrderedAbelianMonoid| . |OrderedAbelianSemiGroup|) T) ((|BalancedBinaryTree| . |Evalable|) 184982) ((|Dequeue| . |BasicType|) 184952) ((|DoubleFloatVector| . |Aggregate|) T) ((|ComplexDoubleFloatVector| . |Aggregate|) T) ((|MachineComplex| . |SetCategory|) T) ((|MachineFloat| . |CommutativeRing|) T) ((|U8Vector| . |InnerEvalable|) NIL) ((|PAdicRationalConstructor| . |LeftModule|) 184893) ((|Quaternion| . |Algebra|) 184827) ((|Asp20| . |FortranMatrixFunctionCategory|) T) ((|ExtAlgBasis| . |CoercibleTo|) 184801) ((|Asp20| . |FortranProgramCategory|) T) ((|Polynomial| . |FullyLinearlyExplicitRingOver|) 184785) ((|PAdicInteger| . |EntireRing|) T) ((|AntiSymm| . |CoercibleTo|) 184759) ((|PseudoAlgebraicClosureOfRationalNumber| . |RightModule|) 184713) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |RightModule|) 184616) ((|InnerPrimeField| . |CoercibleTo|) 184590) ((|InnerPrimeField| . |ConvertibleTo|) 184567) ((|HomogeneousDistributedMultivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 184551) ((|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| . |CoercibleTo|) 184525) ((|InnerFiniteField| . |CoercibleTo|) 184499) ((|PrimeField| . |ExtensionField|) 184486) ((|PAdicRational| . |Type|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |BiModule|) 184413) ((|MachineInteger| . |GcdDomain|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |BiModule|) 184246) ((|InnerAlgebraicNumber| . |InnerEvalable|) 184208) ((|HexadecimalExpansion| . |Field|) T) ((|FiniteFieldExtensionByPolynomial| . |Finite|) 184183) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |Finite|) 184158) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |Finite|) 184133) ((|DecimalExpansion| . |Field|) T) ((|ModuleOperator| . |Monoid|) T) ((|BalancedPAdicInteger| . |GcdDomain|) T) ((|SparseUnivariatePolynomialExpressions| . |CommutativeRing|) 183963) ((|XPolynomialRing| . |XAlgebra|) 183947) ((|PAdicRational| . |Patternable|) 183914) ((|PAdicRational| . |PatternMatchable|) NIL) ((|Product| . |OrderedSet|) 183758) ((|OrderedDirectProduct| . |OrderedSet|) 183682) ((|LinearOrdinaryDifferentialOperator2| . |LinearOrdinaryDifferentialOperatorCategory|) 183666) ((|Tree| . |Aggregate|) T) ((|SubSpaceComponentProperty| . |CoercibleTo|) 183640) ((|SplitHomogeneousDirectProduct| . |AbelianGroup|) 183527) ((|SplitHomogeneousDirectProduct| . |AbelianSemiGroup|) 183296) ((|ProjectiveSpace| . |SetCategory|) T) ((|PAdicRational| . |RetractableTo|) 183263) ((|Polynomial| . |PartialDifferentialRing|) 183241) ((|UnivariatePolynomial| . |AbelianMonoidRing|) 183202) ((|PrimeField| . |Finite|) T) ((|OneDimensionalArray| . |LinearAggregate|) 183186) ((|IndexedFlexibleArray| . |LinearAggregate|) 183170) ((|HomogeneousDistributedMultivariatePolynomial| . |PartialDifferentialRing|) 183130) ((|Asp31| . |FortranVectorFunctionCategory|) T) ((|Asp31| . |FortranProgramCategory|) T) ((|IndexedOneDimensionalArray| . |LinearAggregate|) 183114) ((|OneDimensionalArray| . |FiniteLinearAggregate|) 183098) ((|LaurentPolynomial| . |CommutativeRing|) T) ((|IndexedFlexibleArray| . |FiniteLinearAggregate|) 183082) ((|IndexedOneDimensionalArray| . |FiniteLinearAggregate|) 183066) ((|OppositeMonogenicLinearOperator| . |MonogenicLinearOperator|) 183050) ((|SparseUnivariatePolynomial| . |EuclideanDomain|) 183026) ((|SymmetricPolynomial| . |CancellationAbelianMonoid|) T) ((|BalancedPAdicRational| . |CommutativeRing|) T) ((|MyUnivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|SquareFreeRegularTriangularSet| . |Evalable|) 182950) ((|Complex| . |Type|) T) ((|AssociatedLieAlgebra| . |NonAssociativeAlgebra|) 182934) ((|AssociatedJordanAlgebra| . |NonAssociativeAlgebra|) 182918) ((|WeightedPolynomials| . |CancellationAbelianMonoid|) T) ((|UnivariatePuiseuxSeries| . |PrincipalIdealDomain|) 182894) ((|UnivariateLaurentSeries| . |PrincipalIdealDomain|) 182870) ((|UnivariateLaurentSeries| . |OrderedIntegralDomain|) NIL) ((|MachineComplex| . |Module|) 182799) ((|UnivariateLaurentSeriesConstructor| . |PolynomialFactorizationExplicit|) 182720) ((|RealClosure| . |SetCategory|) T) ((|PAdicRational| . |FullyLinearlyExplicitRingOver|) 182687) ((|PAdicRational| . |FullyEvalableOver|) 182654) ((|Permutation| . |SemiGroup|) T) ((|Complex| . |Patternable|) 182638) ((|Complex| . |PatternMatchable|) 182519) ((|Vector| . |InnerEvalable|) 182438) ((|PAdicRationalConstructor| . |LeftOreRing|) T) ((|HexadecimalExpansion| . |SemiGroup|) T) ((|FiniteField| . |SetCategory|) T) ((|DecimalExpansion| . |SemiGroup|) T) ((|Asp42| . |FortranVectorFunctionCategory|) T) ((|Asp42| . |FortranProgramCategory|) T) ((|UnivariatePuiseuxSeriesConstructor| . |LeftModule|) 182307) ((|Complex| . |RetractableTo|) 182151) ((|ExponentialOfUnivariatePuiseuxSeries| . |OrderedSet|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |Ring|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |Ring|) T) ((|UnivariateLaurentSeriesConstructor| . |LeftModule|) 181990) ((|PAdicRationalConstructor| . |OrderedAbelianSemiGroup|) 181950) ((|PAdicRationalConstructor| . |OrderedAbelianGroup|) 181910) ((|XRecursivePolynomial| . |XFreeAlgebra|) 181889) ((|PAdicRationalConstructor| . |Monoid|) T) ((|HexadecimalExpansion| . |AbelianMonoid|) T) ((|DeRhamComplex| . |CoercibleTo|) 181863) ((|ContinuedFraction| . |GcdDomain|) T) ((|Dequeue| . |Evalable|) 181787) ((|Asp7| . |FortranVectorFunctionCategory|) T) ((|Asp7| . |FortranProgramCategory|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |DivisionRing|) T) ((|DecimalExpansion| . |AbelianMonoid|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |DivisionRing|) T) ((|MyExpression| . |FullyRetractableTo|) 181771) ((|InfClsPt| . |InfinitlyClosePointCategory|) 181535) ((|InnerPAdicInteger| . |EntireRing|) T) ((|Integer| . |EntireRing|) T) ((|Magma| . |RetractableTo|) 181519) ((|InnerAlgebraicNumber| . |EntireRing|) T) ((|SparseUnivariatePolynomialExpressions| . |InnerEvalable|) 181429) ((|CartesianTensor| . |GradedModule|) 181347) ((|BlowUpWithHamburgerNoether| . |SetCategory|) T) ((|AlgebraicNumber| . |SetCategory|) T) ((|ModMonic| . |DifferentialExtension|) 181331) ((|PAdicRational| . |PartialDifferentialRing|) NIL) ((|UnivariatePolynomial| . |PatternMatchable|) NIL) ((|PatternMatchResult| . |BasicType|) T) ((|PatternMatchListResult| . |BasicType|) T) ((|FileName| . |SetCategory|) T) ((|Complex| . |FullyLinearlyExplicitRingOver|) 181315) ((|Complex| . |FullyEvalableOver|) 181299) ((|UnivariatePolynomial| . |RetractableTo|) 181109) ((|UnivariateSkewPolynomial| . |RetractableTo|) 180953) ((|SquareMatrix| . |BasicType|) T) ((|LinearOrdinaryDifferentialOperator1| . |CancellationAbelianMonoid|) T) ((|BalancedPAdicRational| . |InnerEvalable|) 180667) ((|Localize| . |OrderedAbelianMonoid|) 180629) ((|Localize| . |OrderedCancellationAbelianMonoid|) 180591) ((|Interval| . |RetractableTo|) 180568) ((|Equation| . |VectorSpace|) 180535) ((|OrdinaryWeightedPolynomials| . |BasicType|) T) ((|PolynomialRing| . |IntegralDomain|) 180502) ((|TaylorSeries| . |RightModule|) 180335) ((|HomogeneousDirectProduct| . |LinearlyExplicitRingOver|) 180207) ((|PermutationGroup| . |SetCategory|) T) ((|RealClosure| . |Module|) 180128) ((|ModularField| . |RightModule|) 180082) ((|PseudoAlgebraicClosureOfFiniteField| . |LeftModule|) 180023) ((|NeitherSparseOrDensePowerSeries| . |LeftModule|) 179964) ((|IndexedVector| . |Aggregate|) T) ((|Stack| . |Type|) T) ((|TaylorSeries| . |BiModule|) 179765) ((|GeneralUnivariatePowerSeries| . |LeftModule|) 179634) ((|FiniteField| . |Module|) 179560) ((|Complex| . |PartialDifferentialRing|) 179492) ((|MachineFloat| . |EntireRing|) T) ((|MyExpression| . |Rng|) T) ((|MachineComplex| . |CommutativeRing|) T) ((|ModularField| . |BiModule|) 179419) ((|IntegerMod| . |Rng|) T) ((|UnivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 179403) ((|Factored| . |UniqueFactorizationDomain|) 179359) ((|ExponentialExpansion| . |OrderedRing|) NIL) ((|UnivariatePuiseuxSeriesConstructor| . |LeftOreRing|) 179335) ((|UnivariateLaurentSeriesConstructor| . |LeftOreRing|) 179311) ((|Factored| . |IntegralDomain|) T) ((|DoubleFloat| . |EuclideanDomain|) T) ((|UnivariateLaurentSeriesConstructor| . |OrderedAbelianGroup|) 179242) ((|UnivariateLaurentSeriesConstructor| . |OrderedAbelianSemiGroup|) 179173) ((|AffinePlane| . |SetCategoryWithDegree|) T) ((|UnivariatePuiseuxSeriesConstructor| . |Monoid|) T) ((|UnivariateLaurentSeriesConstructor| . |Monoid|) T) ((|AlgebraicNumber| . |Module|) 179127) ((|SparseUnivariatePolynomialExpressions| . |EntireRing|) 178990) ((|DoubleFloat| . |RealConstant|) T) ((|FiniteFieldNormalBasis| . |VectorSpace|) 178959) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |FullyRetractableTo|) 178905) ((|MoebiusTransform| . |Monoid|) T) ((|UnivariatePolynomial| . |PartialDifferentialRing|) 178803) ((|Boolean| . |CoercibleTo|) 178777) ((|Boolean| . |ConvertibleTo|) 178752) ((|MoebiusTransform| . |Group|) T) ((|HomogeneousDirectProduct| . |AbelianGroup|) 178639) ((|BinaryTree| . |HomogeneousAggregate|) 178623) ((|BinarySearchTree| . |HomogeneousAggregate|) 178607) ((|HomogeneousDirectProduct| . |AbelianSemiGroup|) 178376) ((|LaurentPolynomial| . |EntireRing|) T) ((|NeitherSparseOrDensePowerSeries| . |Aggregate|) T) ((|U8Vector| . |HomogeneousAggregate|) 178353) ((|IntegrationResult| . |RightModule|) 178317) ((|U8Matrix| . |TwoDimensionalArrayCategory|) 178268) ((|FortranType| . |SetCategory|) T) ((|RomanNumeral| . |EuclideanDomain|) T) ((|BalancedPAdicRational| . |EntireRing|) T) ((|SExpression| . |BasicType|) T) ((|RadicalFunctionField| . |BasicType|) T) ((|IntegrationResult| . |BiModule|) 178207) ((|UnivariateTaylorSeriesCZero| . |Rng|) T) ((|SquareMatrix| . |Evalable|) 178131) ((|TaylorSeries| . |Ring|) T) ((|RomanNumeral| . |RealConstant|) T) ((|Asp24| . |Type|) T) ((|RectangularMatrix| . |AbelianSemiGroup|) T) ((|RectangularMatrix| . |AbelianGroup|) T) ((|ModularField| . |Ring|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |LeftOreRing|) T) ((|NeitherSparseOrDensePowerSeries| . |LeftOreRing|) T) ((|FreeModule| . |AbelianGroup|) T) ((|FreeModule| . |AbelianSemiGroup|) T) ((|MachineComplex| . |InnerEvalable|) NIL) ((|RealClosure| . |CommutativeRing|) T) ((|GeneralUnivariatePowerSeries| . |LeftOreRing|) 178107) ((|ModularField| . |DivisionRing|) T) ((|RomanNumeral| . |IntegerNumberSystem|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |Monoid|) T) ((|NeitherSparseOrDensePowerSeries| . |Monoid|) T) ((|IndexCard| . |BasicType|) T) ((|FiniteField| . |CommutativeRing|) T) ((|FiniteFieldCyclicGroup| . |CoercibleTo|) 178081) ((|ScriptFormulaFormat| . |CoercibleTo|) 178055) ((|GeneralUnivariatePowerSeries| . |Monoid|) T) ((|SingleInteger| . |OrderedRing|) T) ((|Pattern| . |RetractableTo|) 178020) ((|BinaryExpansion| . |OrderedSet|) T) ((|LinearOrdinaryDifferentialOperator| . |RightModule|) 178004) ((|HexadecimalExpansion| . |CancellationAbelianMonoid|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |Rng|) T) ((|DecimalExpansion| . |CancellationAbelianMonoid|) T) ((|Divisor| . |RightModule|) 177981) ((|Stream| . |BasicType|) 177951) ((|Automorphism| . |SetCategory|) T) ((|DataList| . |ListAggregate|) 177935) ((|DataList| . |LinearAggregate|) 177919) ((|LinearOrdinaryDifferentialOperator| . |BiModule|) 177898) ((|Expression| . |FullyRetractableTo|) 177882) ((|DataList| . |FiniteLinearAggregate|) 177866) ((|StringTable| . |DictionaryOperations|) 177802) ((|Quaternion| . |DifferentialExtension|) 177786) ((|Divisor| . |BiModule|) 177751) ((|Asp35| . |Type|) T) ((|AlgebraicNumber| . |CommutativeRing|) T) ((|MachineInteger| . |FortranMachineTypeCategory|) T) ((|MachineInteger| . |CombinatorialFunctionCategory|) T) ((|XPolynomialRing| . |BasicType|) T) ((|SequentialDifferentialPolynomial| . |RightModule|) 177508) ((|DifferentialSparseMultivariatePolynomial| . |PolynomialFactorizationExplicit|) 177458) ((|DistributedMultivariatePolynomial| . |PolynomialFactorizationExplicit|) 177408) ((|NewSparseUnivariatePolynomial| . |RightModule|) 177142) ((|NewSparseMultivariatePolynomial| . |RightModule|) 176899) ((|KeyedAccessFile| . |Type|) T) ((|SubSpace| . |CoercibleTo|) 176873) ((|SequentialDifferentialPolynomial| . |BiModule|) 176598) ((|RegularChain| . |BasicType|) T) ((|GeneralSparseTable| . |Type|) T) ((|GeneralModulePolynomial| . |RightModule|) 176569) ((|GeneralDistributedMultivariatePolynomial| . |RightModule|) 176326) ((|LiePolynomial| . |LeftModule|) 176310) ((|PAdicRational| . |EuclideanDomain|) T) ((|NewSparseUnivariatePolynomial| . |BiModule|) 176012) ((|NewSparseMultivariatePolynomial| . |BiModule|) 175737) ((|FiniteFieldExtensionByPolynomial| . |LeftModule|) 175678) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |LeftModule|) 175619) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |LeftModule|) 175560) ((|DifferentialSparseMultivariatePolynomial| . |LeftModule|) 175457) ((|DistributedMultivariatePolynomial| . |LeftModule|) 175354) ((|String| . |OrderedSet|) T) ((|GeneralModulePolynomial| . |BiModule|) 175315) ((|GeneralDistributedMultivariatePolynomial| . |BiModule|) 175040) ((|SequentialDifferentialVariable| . |RetractableTo|) 175024) ((|RewriteRule| . |RetractableTo|) 174995) ((|Queue| . |Aggregate|) T) ((|PrimitiveArray| . |Type|) T) ((|BinaryTournament| . |RecursiveAggregate|) 174979) ((|PolynomialRing| . |SemiGroup|) T) ((|PAdicRational| . |RealConstant|) NIL) ((|MonoidRing| . |SemiGroup|) T) ((|ModularRing| . |SemiGroup|) T) ((|Vector| . |HomogeneousAggregate|) 174963) ((|SquareMatrix| . |Algebra|) 174908) ((|PolynomialRing| . |AbelianMonoid|) T) ((|PrimeField| . |LeftModule|) 174862) ((|OrderedCompletion| . |BasicType|) T) ((|OrdinaryDifferentialRing| . |AbelianGroup|) T) ((|OrdinaryDifferentialRing| . |AbelianSemiGroup|) T) ((|MonoidRing| . |AbelianMonoid|) T) ((|ModularRing| . |AbelianMonoid|) T) ((|Bits| . |Logic|) T) ((|NottinghamGroup| . |Monoid|) T) ((|InnerPrimeField| . |RightModule|) 174816) ((|InnerFiniteField| . |RightModule|) 174737) ((|DenavitHartenbergMatrix| . |TwoDimensionalArrayCategory|) 174689) ((|GenericNonAssociativeAlgebra| . |AbelianMonoid|) T) ((|Fraction| . |BasicType|) T) ((|DrawOption| . |BasicType|) T) ((|NottinghamGroup| . |Group|) T) ((|ProjectivePlane| . |BasicType|) T) ((|MachineComplex| . |EntireRing|) T) ((|OrdinaryWeightedPolynomials| . |Algebra|) 174646) ((|U8Vector| . |Eltable|) 174611) ((|InnerPrimeField| . |BiModule|) 174538) ((|InnerFiniteField| . |BiModule|) 174407) ((|MyUnivariatePolynomial| . |LinearlyExplicitRingOver|) 174323) ((|Factored| . |SemiGroup|) T) ((|Expression| . |Rng|) 174155) ((|ExponentialExpansion| . |Rng|) T) ((|PlacesOverPseudoAlgebraicClosureOfFiniteField| . |CoercibleTo|) 174129) ((|MyExpression| . |SetCategory|) T) ((|LinearOrdinaryDifferentialOperator| . |Ring|) T) ((|IntegerMod| . |SetCategory|) T) ((|Complex| . |EuclideanDomain|) 174030) ((|Factored| . |AbelianMonoid|) T) ((|AlgebraicFunctionField| . |CoercibleTo|) 174004) ((|AlgebraicFunctionField| . |ConvertibleTo|) 173988) ((|BinaryExpansion| . |QuotientFieldCategory|) 173965) ((|BalancedPAdicInteger| . |PAdicIntegerCategory|) 173949) ((|AlgebraicNumber| . |InnerEvalable|) 173911) ((|Tree| . |RecursiveAggregate|) 173895) ((|Table| . |Aggregate|) T) ((|PositiveInteger| . |CoercibleTo|) 173869) ((|SplitHomogeneousDirectProduct| . |OrderedSet|) 173793) ((|NonNegativeInteger| . |CoercibleTo|) 173767) ((|LyndonWord| . |CoercibleTo|) 173741) ((|UnivariatePolynomial| . |EuclideanDomain|) 173717) ((|U8Vector| . |OneDimensionalArrayAggregate|) 173694) ((|U8Vector| . |IndexedAggregate|) 173659) ((|Stream| . |Evalable|) 173583) ((|SegmentBinding| . |Type|) T) ((|HashTable| . |Aggregate|) T) ((|SequentialDifferentialPolynomial| . |Ring|) T) ((|Pi| . |GcdDomain|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |ExtensionField|) 173547) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |ExtensionField|) 173460) ((|SplittingTree| . |Aggregate|) T) ((|NewSparseUnivariatePolynomial| . |Ring|) T) ((|NewSparseMultivariatePolynomial| . |Ring|) T) ((|ListMultiDictionary| . |DictionaryOperations|) 173444) ((|Library| . |DictionaryOperations|) 173377) ((|SymmetricPolynomial| . |AbelianGroup|) T) ((|SymmetricPolynomial| . |AbelianSemiGroup|) T) ((|SequentialDifferentialPolynomial| . |FiniteAbelianMonoidRing|) 173294) ((|SequentialDifferentialPolynomial| . |DifferentialRing|) 173259) ((|NewSparseUnivariatePolynomial| . |FiniteAbelianMonoidRing|) 173220) ((|NewSparseUnivariatePolynomial| . |DifferentialRing|) T) ((|GeneralDistributedMultivariatePolynomial| . |Ring|) T) ((|NewSparseMultivariatePolynomial| . |FiniteAbelianMonoidRing|) 173178) ((|MultivariatePolynomial| . |UniqueFactorizationDomain|) 173128) ((|FiniteFieldExtensionByPolynomial| . |LeftOreRing|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |LeftOreRing|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |LeftOreRing|) T) ((|FlexibleArray| . |LinearAggregate|) 173112) ((|DifferentialSparseMultivariatePolynomial| . |LeftOreRing|) 173030) ((|DistributedMultivariatePolynomial| . |LeftOreRing|) 172948) ((|OneDimensionalArray| . |Aggregate|) T) ((|InnerIndexedTwoDimensionalArray| . |Aggregate|) T) ((|IndexedFlexibleArray| . |Aggregate|) T) ((|GeneralDistributedMultivariatePolynomial| . |FiniteAbelianMonoidRing|) 172927) ((|FlexibleArray| . |FiniteLinearAggregate|) 172911) ((|IndexedTwoDimensionalArray| . |Aggregate|) T) ((|IndexedOneDimensionalArray| . |Aggregate|) T) ((|RadicalFunctionField| . |StepThrough|) NIL) ((|MultivariatePolynomial| . |IntegralDomain|) 172797) ((|AssociatedLieAlgebra| . |BasicType|) T) ((|AssociatedJordanAlgebra| . |BasicType|) T) ((|FiniteFieldExtensionByPolynomial| . |Monoid|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |Monoid|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |Monoid|) T) ((|DifferentialSparseMultivariatePolynomial| . |Monoid|) T) ((|DistributedMultivariatePolynomial| . |Monoid|) T) ((|MyUnivariatePolynomial| . |AbelianSemiGroup|) T) ((|MyUnivariatePolynomial| . |AbelianGroup|) T) ((|WeightedPolynomials| . |AbelianGroup|) T) ((|RegularChain| . |Evalable|) 172561) ((|WeightedPolynomials| . |AbelianSemiGroup|) T) ((|UnivariateTaylorSeriesCZero| . |SetCategory|) T) ((|PendantTree| . |SetCategory|) 172531) ((|AntiSymm| . |Ring|) T) ((|SparseUnivariateTaylorSeries| . |IntegralDomain|) 172498) ((|SparseUnivariatePuiseuxSeries| . |UniqueFactorizationDomain|) 172474) ((|SparseUnivariatePuiseuxSeries| . |IntegralDomain|) 172413) ((|SparseUnivariateLaurentSeries| . |UniqueFactorizationDomain|) 172389) ((|PrimeField| . |LeftOreRing|) T) ((|InnerPrimeField| . |Ring|) T) ((|InnerFiniteField| . |Ring|) T) ((|InfClsPt| . |BasicType|) T) ((|RealClosure| . |EntireRing|) T) ((|FreeGroup| . |RetractableTo|) 172373) ((|FreeAbelianGroup| . |RetractableTo|) 172357) ((|DesingTree| . |SetCategory|) 172327) ((|Float| . |PatternMatchable|) 172306) ((|SparseUnivariateLaurentSeries| . |IntegralDomain|) 172245) ((|SparseMultivariateTaylorSeries| . |IntegralDomain|) 172212) ((|RadicalFunctionField| . |Algebra|) 172140) ((|Octonion| . |SemiGroup|) T) ((|PrimeField| . |Monoid|) T) ((|InnerPrimeField| . |DivisionRing|) T) ((|InnerPrimeField| . |DifferentialRing|) T) ((|InnerFiniteField| . |DifferentialRing|) T) ((|InnerFiniteField| . |DivisionRing|) T) ((|MyExpression| . |Module|) 172028) ((|FiniteField| . |EntireRing|) T) ((|ListMultiDictionary| . |MultiDictionary|) 172012) ((|Float| . |RetractableTo|) 171956) ((|DesingTree| . |DesingTreeCategory|) 171940) ((|SingleInteger| . |Rng|) T) ((|BalancedBinaryTree| . |BinaryTreeCategory|) 171924) ((|Octonion| . |AbelianMonoid|) T) ((|XPolynomial| . |XFreeAlgebra|) 171897) ((|XPBWPolynomial| . |XFreeAlgebra|) 171876) ((|Vector| . |Eltable|) 171848) ((|Fraction| . |Evalable|) 171807) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |SetCategory|) T) ((|SparseUnivariatePolynomialExpressions| . |Eltable|) 171710) ((|PAdicInteger| . |CoercibleTo|) 171684) ((|Operator| . |RetractableTo|) 171642) ((|d01TransformFunctionType| . |NumericalIntegrationCategory|) T) ((|d01gbfAnnaType| . |NumericalIntegrationCategory|) T) ((|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| . |AffineSpaceCategory|) 171586) ((|d01fcfAnnaType| . |NumericalIntegrationCategory|) T) ((|d01asfAnnaType| . |NumericalIntegrationCategory|) T) ((|d01aqfAnnaType| . |NumericalIntegrationCategory|) T) ((|d01apfAnnaType| . |NumericalIntegrationCategory|) T) ((|d01anfAnnaType| . |NumericalIntegrationCategory|) T) ((|d01amfAnnaType| . |NumericalIntegrationCategory|) T) ((|d01alfAnnaType| . |NumericalIntegrationCategory|) T) ((|d01akfAnnaType| . |NumericalIntegrationCategory|) T) ((|InnerAlgebraicNumber| . |RadicalCategory|) T) ((|e04ucfAnnaType| . |NumericalOptimizationCategory|) T) ((|e04nafAnnaType| . |NumericalOptimizationCategory|) T) ((|e04mbfAnnaType| . |NumericalOptimizationCategory|) T) ((|e04jafAnnaType| . |NumericalOptimizationCategory|) T) ((|AlgebraicNumber| . |EntireRing|) T) ((|e04gcfAnnaType| . |NumericalOptimizationCategory|) T) ((|e04fdfAnnaType| . |NumericalOptimizationCategory|) T) ((|e04dgfAnnaType| . |NumericalOptimizationCategory|) T) ((|d01ajfAnnaType| . |NumericalIntegrationCategory|) T) ((|Kernel| . |OrderedSet|) T) ((|LinearOrdinaryDifferentialOperator2| . |FullyRetractableTo|) 171570) ((|Bits| . |OrderedSet|) T) ((|LinearOrdinaryDifferentialOperator1| . |AbelianGroup|) T) ((|LinearOrdinaryDifferentialOperator1| . |AbelianSemiGroup|) T) ((|GuessOptionFunctions0| . |CoercibleTo|) 171544) ((|XPolynomialRing| . |Algebra|) 171501) ((|Vector| . |OneDimensionalArrayAggregate|) 171485) ((|BalancedPAdicRational| . |Eltable|) 171338) ((|DoubleFloatMatrix| . |BasicType|) T) ((|ComplexDoubleFloatMatrix| . |BasicType|) T) ((|Vector| . |IndexedAggregate|) 171310) ((|WuWenTsunTriangularSet| . |SetCategory|) T) ((|UnivariateTaylorSeriesCZero| . |Module|) 171154) ((|Ruleset| . |SetCategory|) T) ((|QuasiAlgebraicSet| . |SetCategory|) T) ((|PolynomialRing| . |CancellationAbelianMonoid|) T) ((|Multiset| . |SetCategory|) T) ((|MonoidRing| . |CancellationAbelianMonoid|) T) ((|ModularRing| . |CancellationAbelianMonoid|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |OrderedAbelianMonoidSup|) T) ((|Fraction| . |StepThrough|) 171124) ((|GenericNonAssociativeAlgebra| . |CancellationAbelianMonoid|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |OrderedAbelianSemiGroup|) T) ((|DeRhamComplex| . |Ring|) T) ((|Equation| . |BasicType|) 170821) ((|CharacterClass| . |SetCategory|) T) ((|MachineFloat| . |RadicalCategory|) T) ((|ArrayStack| . |Type|) T) ((|BinaryTree| . |CoercibleTo|) 170772) ((|BinarySearchTree| . |CoercibleTo|) 170723) ((|MyExpression| . |CommutativeRing|) T) ((|IntegerMod| . |CommutativeRing|) T) ((|U8Vector| . |ConvertibleTo|) 170698) ((|U8Vector| . |CoercibleTo|) 170672) ((|SparseUnivariatePuiseuxSeries| . |Field|) 170648) ((|SparseUnivariateLaurentSeries| . |Field|) 170624) ((|Expression| . |SetCategory|) T) ((|Factored| . |CancellationAbelianMonoid|) T) ((|ExponentialExpansion| . |SetCategory|) T) ((|Fraction| . |Algebra|) 170565) ((|ThreeSpace| . |BasicType|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |Module|) 170321) ((|LinearOrdinaryDifferentialOperator2| . |Rng|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |CharacteristicNonZero|) 170281) ((|ExponentialOfUnivariatePuiseuxSeries| . |CharacteristicZero|) 170244) ((|CartesianTensor| . |SetCategory|) T) ((|BasicOperator| . |SetCategory|) T) ((|OrdSetInts| . |BasicType|) T) ((|InnerPAdicInteger| . |CoercibleTo|) 170218) ((|Integer| . |ConvertibleTo|) 170080) ((|Integer| . |CoercibleTo|) 170054) ((|InnerAlgebraicNumber| . |CoercibleTo|) 170028) ((|InnerAlgebraicNumber| . |ConvertibleTo|) 169953) ((|HyperellipticFiniteDivisor| . |AbelianMonoid|) T) ((|HomogeneousDirectProduct| . |OrderedSet|) 169877) ((|BlowUpWithQuadTrans| . |SetCategory|) T) ((|HexadecimalExpansion| . |LinearlyExplicitRingOver|) 169854) ((|NeitherSparseOrDensePowerSeries| . |RecursiveAggregate|) 169795) ((|DecimalExpansion| . |LinearlyExplicitRingOver|) 169772) ((|DoubleFloat| . |FloatingPointSystem|) T) ((|Localize| . |LeftModule|) 169756) ((|SparseUnivariatePolynomial| . |PrincipalIdealDomain|) 169732) ((|MultivariatePolynomial| . |SemiGroup|) T) ((|FiniteFieldNormalBasis| . |BasicType|) T) ((|OrderlyDifferentialVariable| . |OrderedSet|) T) ((|MultivariatePolynomial| . |AbelianMonoid|) T) ((|FiniteFieldCyclicGroup| . |RightModule|) 169658) ((|String| . |StringCategory|) T) ((|Stack| . |BagAggregate|) 169642) ((|UnivariateTaylorSeriesCZero| . |CommutativeRing|) 169571) ((|SparseUnivariateTaylorSeries| . |SemiGroup|) T) ((|SparseUnivariatePuiseuxSeries| . |SemiGroup|) T) ((|SparseUnivariateLaurentSeries| . |SemiGroup|) T) ((|SparseMultivariateTaylorSeries| . |SemiGroup|) T) ((|InnerFreeAbelianMonoid| . |RetractableTo|) 169555) ((|FiniteFieldCyclicGroup| . |BiModule|) 169434) ((|DoubleFloatMatrix| . |Evalable|) NIL) ((|ComplexDoubleFloatMatrix| . |Evalable|) NIL) ((|RadixExpansion| . |UniqueFactorizationDomain|) T) ((|BinaryTournament| . |Type|) T) ((|PartialFraction| . |UniqueFactorizationDomain|) T) ((|TwoDimensionalViewport| . |CoercibleTo|) 169408) ((|U32Vector| . |SetCategory|) T) ((|MachineComplex| . |Eltable|) NIL) ((|SparseUnivariateTaylorSeries| . |AbelianMonoid|) T) ((|SparseUnivariatePuiseuxSeries| . |AbelianMonoid|) T) ((|SparseUnivariateLaurentSeries| . |AbelianMonoid|) T) ((|SquareMatrix| . |DifferentialExtension|) 169392) ((|SparseMultivariateTaylorSeries| . |AbelianMonoid|) T) ((|RuleCalled| . |SetCategory|) T) ((|RadixExpansion| . |IntegralDomain|) T) ((|PartialFraction| . |IntegralDomain|) T) ((|Octonion| . |CancellationAbelianMonoid|) T) ((|DoubleFloatVector| . |Type|) T) ((|ComplexDoubleFloatVector| . |Type|) T) ((|MyExpression| . |InnerEvalable|) 169354) ((|MathMLFormat| . |CoercibleTo|) 169328) ((|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| . |SetCategory|) T) ((|Expression| . |Module|) 169190) ((|ExponentialExpansion| . |Module|) 169062) ((|MachineFloat| . |CoercibleTo|) 169036) ((|MachineFloat| . |ConvertibleTo|) 168961) ((|Fraction| . |FullyPatternMatchable|) 168945) ((|FunctionCalled| . |SetCategory|) T) ((|HexadecimalExpansion| . |AbelianSemiGroup|) T) ((|HexadecimalExpansion| . |AbelianGroup|) T) ((|SingleInteger| . |SetCategory|) T) ((|DecimalExpansion| . |AbelianSemiGroup|) T) ((|DecimalExpansion| . |AbelianGroup|) T) ((|ModMonic| . |FullyRetractableTo|) 168929) ((|ModuleOperator| . |RetractableTo|) 168887) ((|Vector| . |CoercibleTo|) 168805) ((|Vector| . |ConvertibleTo|) 168741) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |CommutativeRing|) T) ((|DataList| . |Aggregate|) T) ((|SparseUnivariatePolynomialExpressions| . |ConvertibleTo|) NIL) ((|SparseUnivariatePolynomialExpressions| . |CoercibleTo|) 168715) ((|Plot3D| . |PlottableSpaceCurveCategory|) T) ((|Tree| . |Type|) T) ((|Localize| . |OrderedAbelianGroup|) 168677) ((|Localize| . |OrderedAbelianSemiGroup|) 168639) ((|FortranProgram| . |FortranProgramCategory|) T) ((|IndexedMatrix| . |BasicType|) 168609) ((|Result| . |SetCategory|) T) ((|Dequeue| . |QueueAggregate|) 168593) ((|PolynomialIdeals| . |BasicType|) T) ((|LaurentPolynomial| . |CoercibleTo|) 168567) ((|AssociationList| . |OrderedSet|) NIL) ((|LaurentPolynomial| . |ConvertibleTo|) 168538) ((|Result| . |KeyedDictionary|) 168508) ((|PendantTree| . |InnerEvalable|) 168427) ((|FiniteFieldCyclicGroup| . |Ring|) T) ((|BasicStochasticDifferential| . |CoercibleTo|) 168401) ((|BalancedPAdicRational| . |ConvertibleTo|) NIL) ((|BalancedPAdicRational| . |CoercibleTo|) 168375) ((|PAdicRationalConstructor| . |Type|) T) ((|LieSquareMatrix| . |FramedNonAssociativeAlgebra|) 168359) ((|LieSquareMatrix| . |SquareMatrixCategory|) 168282) ((|DesingTree| . |InnerEvalable|) 168201) ((|IndexedBits| . |Collection|) 168178) ((|FiniteFieldCyclicGroup| . |DifferentialRing|) T) ((|FiniteFieldCyclicGroup| . |DivisionRing|) T) ((|AlgebraicFunctionField| . |RightModule|) 168106) ((|PAdicRationalConstructor| . |Patternable|) 168090) ((|PAdicRationalConstructor| . |PatternMatchable|) 167971) ((|ModMonic| . |Rng|) T) ((|MachineComplex| . |RadicalCategory|) NIL) ((|UnivariatePuiseuxSeriesConstructor| . |AbelianMonoidRing|) 167930) ((|UnivariateLaurentSeriesConstructor| . |AbelianMonoidRing|) 167902) ((|SplittingTree| . |RecursiveAggregate|) 167863) ((|SingleInteger| . |Module|) 167850) ((|SExpressionOf| . |CoercibleTo|) 167824) ((|PAdicRationalConstructor| . |RetractableTo|) 167626) ((|DoubleFloat| . |PrincipalIdealDomain|) T) ((|AlgebraicFunctionField| . |BiModule|) 167509) ((|MyExpression| . |EntireRing|) T) ((|SimpleAlgebraicExtension| . |CharacteristicZero|) 167472) ((|SimpleAlgebraicExtension| . |CharacteristicNonZero|) 167390) ((|RadixExpansion| . |Field|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |LeftModule|) 167344) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |LeftModule|) 167247) ((|ExponentialOfUnivariatePuiseuxSeries| . |TrigonometricFunctionCategory|) 167196) ((|Float| . |EuclideanDomain|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |TranscendentalFunctionCategory|) 167145) ((|Expression| . |CommutativeRing|) 167112) ((|ExponentialExpansion| . |CommutativeRing|) T) ((|RadicalFunctionField| . |DifferentialExtension|) 167083) ((|PartialFraction| . |Field|) T) ((|InnerPrimeField| . |ExtensionField|) 167070) ((|InnerFiniteField| . |ExtensionField|) 167034) ((|FiniteFieldExtension| . |CharacteristicZero|) 166997) ((|FiniteFieldExtension| . |CharacteristicNonZero|) 166928) ((|FiniteFieldNormalBasisExtension| . |CharacteristicZero|) 166891) ((|FiniteFieldNormalBasisExtension| . |CharacteristicNonZero|) 166822) ((|KeyedAccessFile| . |TableAggregate|) 166795) ((|FiniteFieldCyclicGroupExtension| . |CharacteristicZero|) 166758) ((|FiniteFieldCyclicGroupExtension| . |CharacteristicNonZero|) 166689) ((|ExponentialOfUnivariatePuiseuxSeries| . |ArcHyperbolicFunctionCategory|) 166638) ((|GeneralSparseTable| . |TableAggregate|) 166617) ((|Enumeration| . |EnumerationCategory|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |ArcTrigonometricFunctionCategory|) 166566) ((|Float| . |RealConstant|) T) ((|BinaryExpansion| . |CharacteristicZero|) T) ((|BinaryExpansion| . |CharacteristicNonZero|) NIL) ((|AssociationList| . |DictionaryOperations|) 166508) ((|LinearOrdinaryDifferentialOperator2| . |SetCategory|) T) ((|KeyedAccessFile| . |BagAggregate|) 166444) ((|HyperellipticFiniteDivisor| . |CancellationAbelianMonoid|) T) ((|GeneralSparseTable| . |BagAggregate|) 166386) ((|DirectProduct| . |SemiGroup|) 166272) ((|StochasticDifferential| . |SemiGroup|) T) ((|PAdicRationalConstructor| . |FullyLinearlyExplicitRingOver|) 166256) ((|PAdicRationalConstructor| . |FullyEvalableOver|) 166240) ((|DirectProduct| . |AbelianMonoid|) 166043) ((|RomanNumeral| . |PrincipalIdealDomain|) T) ((|RomanNumeral| . |OrderedIntegralDomain|) T) ((|InnerPrimeField| . |Finite|) T) ((|InnerFiniteField| . |Finite|) T) ((|MyUnivariatePolynomial| . |OrderedSet|) 166014) ((|U8Vector| . |EltableAggregate|) 165979) ((|FiniteFieldNormalBasis| . |StepThrough|) T) ((|FlexibleArray| . |Aggregate|) T) ((|AlgebraGivenByStructuralConstants| . |FramedNonAssociativeAlgebra|) 165963) ((|StochasticDifferential| . |AbelianMonoid|) T) ((|FreeNilpotentLie| . |NonAssociativeAlgebra|) 165947) ((|WuWenTsunTriangularSet| . |InnerEvalable|) 165866) ((|MultivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|UnivariateTaylorSeriesCZero| . |EntireRing|) 165833) ((|UnivariateTaylorSeries| . |IntegralDomain|) 165800) ((|UnivariatePuiseuxSeries| . |UniqueFactorizationDomain|) 165776) ((|UnivariatePuiseuxSeries| . |IntegralDomain|) 165715) ((|UnivariateLaurentSeries| . |UniqueFactorizationDomain|) 165691) ((|UnivariateLaurentSeries| . |IntegralDomain|) 165630) ((|Multiset| . |InnerEvalable|) 165549) ((|UnivariateLaurentSeriesConstructor| . |Type|) 165525) ((|UnivariateLaurentSeriesConstructor| . |PatternMatchable|) 165348) ((|PoincareBirkhoffWittLyndonBasis| . |SetCategory|) T) ((|Character| . |OrderedFinite|) T) ((|UnivariateLaurentSeriesConstructor| . |Patternable|) 165315) ((|UnivariateFormalPowerSeries| . |IntegralDomain|) 165282) ((|SparseUnivariateTaylorSeries| . |CancellationAbelianMonoid|) T) ((|IndexedMatrix| . |Evalable|) 165206) ((|SparseUnivariatePuiseuxSeries| . |CancellationAbelianMonoid|) T) ((|CharacterClass| . |InnerEvalable|) NIL) ((|SparseUnivariateLaurentSeries| . |CancellationAbelianMonoid|) T) ((|SparseMultivariateTaylorSeries| . |CancellationAbelianMonoid|) T) ((|RealClosure| . |RadicalCategory|) T) ((|RadixExpansion| . |AbelianMonoid|) T) ((|FiniteFieldNormalBasis| . |Algebra|) 165160) ((|RadixExpansion| . |SemiGroup|) T) ((|PartialFraction| . |SemiGroup|) T) ((|Asp73| . |CoercibleTo|) 165134) ((|AlgebraicFunctionField| . |Ring|) T) ((|PAdicInteger| . |RightModule|) 165121) ((|PAdicRationalConstructor| . |PartialDifferentialRing|) 165053) ((|NeitherSparseOrDensePowerSeries| . |AbelianMonoidRing|) 165025) ((|MachineInteger| . |BasicType|) T) ((|RadicalFunctionField| . |FiniteFieldCategory|) NIL) ((|IndexedVector| . |Type|) T) ((|Partition| . |AbelianMonoid|) T) ((|PartialFraction| . |AbelianMonoid|) T) ((|PAdicInteger| . |BiModule|) 165010) ((|FourierSeries| . |SemiGroup|) T) ((|GeneralUnivariatePowerSeries| . |AbelianMonoidRing|) 164969) ((|CardinalNumber| . |BasicType|) T) ((|AlgebraicFunctionField| . |DifferentialRing|) 164921) ((|AlgebraicFunctionField| . |DivisionRing|) T) ((|BalancedPAdicInteger| . |BasicType|) T) ((|InnerTaylorSeries| . |IntegralDomain|) 164888) ((|InnerSparseUnivariatePowerSeries| . |IntegralDomain|) 164855) ((|MachineComplex| . |CoercibleTo|) 164829) ((|MachineComplex| . |ConvertibleTo|) 164674) ((|Expression| . |InnerEvalable|) 164636) ((|ExponentialExpansion| . |InnerEvalable|) 164042) ((|PseudoAlgebraicClosureOfRationalNumber| . |LeftOreRing|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |LeftOreRing|) T) ((|UnivariatePuiseuxSeriesConstructor| . |RetractableTo|) 164026) ((|UnivariateLaurentSeriesConstructor| . |RetractableTo|) 163741) ((|Quaternion| . |FullyRetractableTo|) 163725) ((|FourierSeries| . |AbelianMonoid|) T) ((|SingleInteger| . |CommutativeRing|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |Monoid|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |Monoid|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |EntireRing|) T) ((|LinearOrdinaryDifferentialOperator2| . |Module|) 163682) ((|Character| . |SetCategory|) T) ((|AlgebraicNumber| . |RadicalCategory|) T) ((|Fraction| . |DifferentialExtension|) 163666) ((|EqTable| . |DictionaryOperations|) 163608) ((|SimpleCell| . |CoercibleTo|) 163582) ((|PAdicRational| . |PrincipalIdealDomain|) T) ((|PAdicRational| . |OrderedIntegralDomain|) NIL) ((|ProjectiveSpace| . |CoercibleTo|) 163556) ((|OrderedVariableList| . |OrderedSet|) T) ((|UnivariateLaurentSeriesConstructor| . |FullyEvalableOver|) 163523) ((|UnivariateLaurentSeriesConstructor| . |FullyLinearlyExplicitRingOver|) 163490) ((|Dequeue| . |StackAggregate|) 163474) ((|NeitherSparseOrDensePowerSeries| . |Type|) T) ((|Vector| . |EltableAggregate|) 163446) ((|HTMLFormat| . |BasicType|) T) ((|TaylorSeries| . |LeftModule|) 163343) ((|PolynomialRing| . |AbelianGroup|) T) ((|PolynomialRing| . |AbelianSemiGroup|) T) ((|MonoidRing| . |AbelianGroup|) T) ((|MonoidRing| . |AbelianSemiGroup|) T) ((|ModularRing| . |AbelianGroup|) T) ((|ModularRing| . |AbelianSemiGroup|) T) ((|ModularField| . |LeftModule|) 163297) ((|GenericNonAssociativeAlgebra| . |AbelianGroup|) T) ((|GenericNonAssociativeAlgebra| . |AbelianSemiGroup|) T) ((|FortranExpression| . |BasicType|) T) ((|ContinuedFraction| . |BasicType|) T) ((|Quaternion| . |Rng|) T) ((|PAdicInteger| . |Ring|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |RetractableTo|) 163281) ((|None| . |BasicType|) T) ((|U32Vector| . |InnerEvalable|) NIL) ((|UnivariatePuiseuxSeries| . |Field|) 163257) ((|UnivariatePuiseuxSeriesConstructor| . |PartialDifferentialRing|) 163119) ((|UnivariateLaurentSeries| . |Field|) 163095) ((|UnivariateLaurentSeriesConstructor| . |PartialDifferentialRing|) 162884) ((|RealClosure| . |CoercibleTo|) 162858) ((|Fraction| . |OpenMath|) 162788) ((|SparseUnivariateTaylorSeries| . |HyperbolicFunctionCategory|) 162737) ((|Complex| . |PrincipalIdealDomain|) 162638) ((|SparseUnivariatePuiseuxSeries| . |HyperbolicFunctionCategory|) 162587) ((|SparseUnivariateLaurentSeries| . |HyperbolicFunctionCategory|) 162536) ((|ModMonic| . |SetCategory|) T) ((|SparseMultivariateTaylorSeries| . |HyperbolicFunctionCategory|) 162485) ((|InnerPAdicInteger| . |RightModule|) 162472) ((|Integer| . |RightModule|) 162459) ((|InnerAlgebraicNumber| . |RightModule|) 162413) ((|Expression| . |EntireRing|) 162380) ((|ExponentialExpansion| . |EntireRing|) T) ((|FiniteField| . |CoercibleTo|) 162354) ((|Factored| . |AbelianSemiGroup|) T) ((|Factored| . |AbelianGroup|) T) ((|Automorphism| . |Eltable|) 162333) ((|InnerPAdicInteger| . |BiModule|) 162318) ((|Integer| . |BiModule|) 162303) ((|InnerAlgebraicNumber| . |BiModule|) 162230) ((|Symbol| . |PatternMatchable|) 162189) ((|AffineSpace| . |BasicType|) T) ((|PendantTree| . |HomogeneousAggregate|) 162173) ((|BlowUpWithHamburgerNoether| . |CoercibleTo|) 162147) ((|AlgebraicNumber| . |CoercibleTo|) 162121) ((|AlgebraicNumber| . |ConvertibleTo|) 162046) ((|DesingTree| . |HomogeneousAggregate|) 162030) ((|DirectProduct| . |CancellationAbelianMonoid|) 161833) ((|UnivariatePolynomial| . |PrincipalIdealDomain|) 161809) ((|OrderlyDifferentialPolynomial| . |UniqueFactorizationDomain|) 161759) ((|Result| . |InnerEvalable|) 161509) ((|StochasticDifferential| . |CancellationAbelianMonoid|) T) ((|FileName| . |CoercibleTo|) 161483) ((|OrderlyDifferentialPolynomial| . |IntegralDomain|) 161369) ((|IntegrationResult| . |LeftModule|) 161333) ((|DifferentialSparseMultivariatePolynomial| . |AbelianMonoidRing|) 161291) ((|DistributedMultivariatePolynomial| . |AbelianMonoidRing|) 161223) ((|IndexedExponents| . |IndexedDirectProductCategory|) 161184) ((|Queue| . |Type|) T) ((|UnivariateTaylorSeries| . |AbelianMonoid|) T) ((|UnivariateTaylorSeries| . |SemiGroup|) T) ((|UnivariatePuiseuxSeries| . |SemiGroup|) T) ((|MachineFloat| . |RightModule|) 161138) ((|NeitherSparseOrDensePowerSeries| . |PartialDifferentialRing|) 161013) ((|UnivariatePuiseuxSeries| . |AbelianMonoid|) T) ((|UnivariateLaurentSeries| . |SemiGroup|) T) ((|UnivariateFormalPowerSeries| . |SemiGroup|) T) ((|RadicalFunctionField| . |FiniteRankAlgebra|) 160979) ((|ModularField| . |LeftOreRing|) T) ((|Boolean| . |Finite|) T) ((|GeneralUnivariatePowerSeries| . |PartialDifferentialRing|) 160841) ((|UnivariateLaurentSeries| . |AbelianMonoid|) T) ((|UnivariateFormalPowerSeries| . |AbelianMonoid|) T) ((|PermutationGroup| . |CoercibleTo|) 160815) ((|ArrayStack| . |BagAggregate|) 160799) ((|TaylorSeries| . |Monoid|) T) ((|Permutation| . |OrderedSet|) 160741) ((|MachineInteger| . |StepThrough|) T) ((|MachineFloat| . |BiModule|) 160668) ((|U16Vector| . |SetCategory|) T) ((|InnerTaylorSeries| . |SemiGroup|) T) ((|InnerSparseUnivariatePowerSeries| . |SemiGroup|) T) ((|ModMonic| . |Module|) 160408) ((|ModularField| . |Monoid|) T) ((|SingleInteger| . |EntireRing|) T) ((|RadixExpansion| . |CancellationAbelianMonoid|) T) ((|HexadecimalExpansion| . |OrderedSet|) T) ((|Partition| . |CancellationAbelianMonoid|) T) ((|PartialFraction| . |CancellationAbelianMonoid|) T) ((|Octonion| . |AbelianSemiGroup|) T) ((|DecimalExpansion| . |OrderedSet|) T) ((|Octonion| . |AbelianGroup|) T) ((|InnerPAdicInteger| . |Ring|) T) ((|Integer| . |Ring|) T) ((|InnerAlgebraicNumber| . |Ring|) T) ((|InnerTaylorSeries| . |AbelianMonoid|) T) ((|FiniteFieldCyclicGroup| . |ExtensionField|) 160377) ((|ExponentialOfUnivariatePuiseuxSeries| . |GcdDomain|) 160353) ((|FortranExpression| . |Evalable|) 160340) ((|InnerSparseUnivariatePowerSeries| . |AbelianMonoid|) T) ((|FourierSeries| . |CancellationAbelianMonoid|) T) ((|LinearOrdinaryDifferentialOperator| . |LeftModule|) 160314) ((|SparseUnivariatePolynomialExpressions| . |RightModule|) 160048) ((|DataList| . |RecursiveAggregate|) 160032) ((|PAdicRationalConstructor| . |EuclideanDomain|) T) ((|XRecursivePolynomial| . |XAlgebra|) 160016) ((|NonNegativeInteger| . |OrderedAbelianMonoid|) T) ((|NonNegativeInteger| . |OrderedCancellationAbelianMonoid|) T) ((|MachineInteger| . |Algebra|) 160003) ((|Divisor| . |LeftModule|) 159980) ((|Integer| . |DifferentialRing|) T) ((|InnerAlgebraicNumber| . |DivisionRing|) T) ((|InnerAlgebraicNumber| . |DifferentialRing|) T) ((|SparseUnivariatePolynomialExpressions| . |BiModule|) 159682) ((|SparseTable| . |DictionaryOperations|) 159624) ((|SequentialDifferentialPolynomial| . |PolynomialFactorizationExplicit|) 159574) ((|BalancedPAdicInteger| . |Algebra|) 159561) ((|d02ejfAnnaType| . |OrdinaryDifferentialEquationsSolverCategory|) T) ((|d02cjfAnnaType| . |OrdinaryDifferentialEquationsSolverCategory|) T) ((|d02bhfAnnaType| . |OrdinaryDifferentialEquationsSolverCategory|) T) ((|d02bbfAnnaType| . |OrdinaryDifferentialEquationsSolverCategory|) T) ((|PAdicRationalConstructor| . |RealConstant|) 159530) ((|WuWenTsunTriangularSet| . |HomogeneousAggregate|) 159514) ((|NewSparseUnivariatePolynomial| . |PolynomialFactorizationExplicit|) 159464) ((|NewSparseMultivariatePolynomial| . |PolynomialFactorizationExplicit|) 159414) ((|Table| . |Type|) T) ((|GeneralDistributedMultivariatePolynomial| . |PolynomialFactorizationExplicit|) 159364) ((|Multiset| . |HomogeneousAggregate|) 159348) ((|SequentialDifferentialPolynomial| . |LeftModule|) 159245) ((|NewSparseUnivariatePolynomial| . |LeftModule|) 159142) ((|LaurentPolynomial| . |RightModule|) 159129) ((|HashTable| . |Type|) T) ((|FiniteFieldCyclicGroup| . |Finite|) T) ((|CharacterClass| . |HomogeneousAggregate|) 159104) ((|NewSparseMultivariatePolynomial| . |LeftModule|) 159001) ((|SplittingTree| . |Type|) T) ((|GeneralModulePolynomial| . |LeftModule|) 158972) ((|DifferentialSparseMultivariatePolynomial| . |PatternMatchable|) 158751) ((|DistributedMultivariatePolynomial| . |PatternMatchable|) NIL) ((|BalancedPAdicRational| . |RightModule|) 158667) ((|GeneralDistributedMultivariatePolynomial| . |LeftModule|) 158564) ((|LiePolynomial| . |RetractableTo|) 158533) ((|LaurentPolynomial| . |BiModule|) 158518) ((|FiniteFieldExtensionByPolynomial| . |RetractableTo|) 158502) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |RetractableTo|) 158486) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |RetractableTo|) 158470) ((|DifferentialSparseMultivariatePolynomial| . |RetractableTo|) 158237) ((|DistributedMultivariatePolynomial| . |RetractableTo|) 158044) ((|BalancedPAdicRational| . |BiModule|) 157903) ((|OneDimensionalArray| . |Type|) T) ((|InnerIndexedTwoDimensionalArray| . |Type|) T) ((|IndexedFlexibleArray| . |Type|) T) ((|IndexedTwoDimensionalArray| . |Type|) T) ((|IndexedOneDimensionalArray| . |Type|) T) ((|FortranType| . |CoercibleTo|) 157877) ((|FortranScalarType| . |CoercibleTo|) 157851) ((|Union| . |BasicType|) T) ((|RegularTriangularSet| . |TriangularSetCategory|) 157820) ((|OnePointCompletion| . |BasicType|) T) ((|Matrix| . |TwoDimensionalArrayCategory|) 157772) ((|MachineFloat| . |Ring|) T) ((|AntiSymm| . |LeftModule|) 157746) ((|EuclideanModularRing| . |GcdDomain|) T) ((|GeneralTriangularSet| . |TriangularSetCategory|) 157715) ((|UnivariateTaylorSeriesCZero| . |Eltable|) 157700) ((|Enumeration| . |BasicType|) T) ((|InnerPrimeField| . |LeftModule|) 157654) ((|InnerFiniteField| . |LeftModule|) 157575) ((|AnonymousFunction| . |BasicType|) T) ((|PrimeField| . |RetractableTo|) 157562) ((|MachineFloat| . |DivisionRing|) T) ((|SimpleAlgebraicExtension| . |FramedAlgebra|) 157541) ((|MultivariatePolynomial| . |LinearlyExplicitRingOver|) 157457) ((|Quaternion| . |SetCategory|) T) ((|ModMonic| . |CommutativeRing|) 157287) ((|HexadecimalExpansion| . |QuotientFieldCategory|) 157264) ((|GuessOption| . |SetCategory|) T) ((|DifferentialSparseMultivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 157248) ((|DistributedMultivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 157232) ((|FullPartialFractionExpansion| . |SetCategory|) T) ((|SparseUnivariatePolynomialExpressions| . |Ring|) T) ((|FortranExpression| . |Algebra|) 157216) ((|Reference| . |BasicType|) 157186) ((|DecimalExpansion| . |QuotientFieldCategory|) 157163) ((|ContinuedFraction| . |Algebra|) 157078) ((|UnivariatePuiseuxSeriesConstructor| . |EuclideanDomain|) 157054) ((|UnivariateLaurentSeriesConstructor| . |EuclideanDomain|) 157030) ((|SparseUnivariatePolynomialExpressions| . |FiniteAbelianMonoidRing|) 156991) ((|LinearOrdinaryDifferentialOperator| . |Monoid|) T) ((|SparseUnivariatePolynomialExpressions| . |DifferentialRing|) T) ((|Automorphism| . |CoercibleTo|) 156965) ((|SparseUnivariateLaurentSeries| . |LinearlyExplicitRingOver|) 156889) ((|HyperellipticFiniteDivisor| . |AbelianSemiGroup|) T) ((|HyperellipticFiniteDivisor| . |AbelianGroup|) T) ((|UnivariateLaurentSeriesConstructor| . |RealConstant|) 156829) ((|SequentialDifferentialPolynomial| . |LeftOreRing|) 156747) ((|LaurentPolynomial| . |Ring|) T) ((|Float| . |FloatingPointSystem|) T) ((|NewSparseUnivariatePolynomial| . |LeftOreRing|) 156642) ((|NewSparseMultivariatePolynomial| . |LeftOreRing|) 156560) ((|FreeNilpotentLie| . |BasicType|) T) ((|DifferentialSparseMultivariatePolynomial| . |PartialDifferentialRing|) 156479) ((|DistributedMultivariatePolynomial| . |PartialDifferentialRing|) 156439) ((|BalancedPAdicRational| . |Ring|) T) ((|GeneralDistributedMultivariatePolynomial| . |LeftOreRing|) 156357) ((|OrderlyDifferentialPolynomial| . |SemiGroup|) T) ((|SequentialDifferentialPolynomial| . |Monoid|) T) ((|LaurentPolynomial| . |DifferentialRing|) 156322) ((|LocalAlgebra| . |BasicType|) T) ((|U32Vector| . |HomogeneousAggregate|) 156299) ((|NewSparseUnivariatePolynomial| . |Monoid|) T) ((|NewSparseMultivariatePolynomial| . |Monoid|) T) ((|U32Matrix| . |TwoDimensionalArrayCategory|) 156248) ((|FractionalIdeal| . |SemiGroup|) T) ((|BalancedPAdicRational| . |DivisionRing|) T) ((|AlgebraicFunctionField| . |Finite|) NIL) ((|BalancedPAdicRational| . |DifferentialRing|) NIL) ((|GeneralDistributedMultivariatePolynomial| . |Monoid|) T) ((|OrderlyDifferentialPolynomial| . |AbelianMonoid|) T) ((|MultivariatePolynomial| . |AbelianSemiGroup|) T) ((|MultivariatePolynomial| . |AbelianGroup|) T) ((|MakeCachableSet| . |OrderedSet|) T) ((|Ruleset| . |Eltable|) 156227) ((|Asp4| . |FortranFunctionCategory|) T) ((|Asp4| . |FortranProgramCategory|) T) ((|UnivariateTaylorSeriesCZero| . |RadicalCategory|) 156176) ((|UnivariateTaylorSeries| . |CancellationAbelianMonoid|) T) ((|UnivariatePuiseuxSeries| . |CancellationAbelianMonoid|) T) ((|MachineComplex| . |RightModule|) 156105) ((|UnivariateLaurentSeries| . |CancellationAbelianMonoid|) T) ((|UnivariateFormalPowerSeries| . |CancellationAbelianMonoid|) T) ((|SparseUnivariateTaylorSeries| . |AbelianSemiGroup|) T) ((|Stream| . |StreamAggregate|) 156089) ((|SquareMatrix| . |FullyRetractableTo|) 156073) ((|InnerPrimeField| . |LeftOreRing|) T) ((|AssociatedLieAlgebra| . |FiniteRankNonAssociativeAlgebra|) 155954) ((|AssociatedJordanAlgebra| . |FiniteRankNonAssociativeAlgebra|) 155835) ((|InnerFiniteField| . |LeftOreRing|) T) ((|BalancedBinaryTree| . |SetCategory|) 155805) ((|SparseUnivariateTaylorSeries| . |AbelianGroup|) T) ((|SparseUnivariatePuiseuxSeries| . |AbelianGroup|) T) ((|SparseUnivariatePuiseuxSeries| . |AbelianSemiGroup|) T) ((|Quaternion| . |Module|) 155739) ((|DeRhamComplex| . |LeftModule|) 155698) ((|MachineComplex| . |BiModule|) 155583) ((|AntiSymm| . |Monoid|) T) ((|SparseUnivariateLaurentSeries| . |AbelianGroup|) T) ((|FiniteFieldNormalBasis| . |FiniteFieldCategory|) T) ((|SparseUnivariateLaurentSeries| . |AbelianSemiGroup|) T) ((|SimpleAlgebraicExtension| . |GcdDomain|) 155517) ((|SparseMultivariateTaylorSeries| . |AbelianGroup|) T) ((|ModMonic| . |InnerEvalable|) 155427) ((|InnerPrimeField| . |Monoid|) T) ((|InnerFiniteField| . |Monoid|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |EuclideanDomain|) T) ((|SparseMultivariateTaylorSeries| . |AbelianSemiGroup|) T) ((|NeitherSparseOrDensePowerSeries| . |EuclideanDomain|) T) ((|InnerTaylorSeries| . |CancellationAbelianMonoid|) T) ((|InnerSparseUnivariatePowerSeries| . |CancellationAbelianMonoid|) T) ((|FiniteFieldExtension| . |GcdDomain|) T) ((|FiniteFieldNormalBasisExtension| . |GcdDomain|) T) ((|FiniteFieldCyclicGroupExtension| . |GcdDomain|) T) ((|GeneralUnivariatePowerSeries| . |EuclideanDomain|) 155403) ((|ExponentialExpansion| . |Eltable|) 155080) ((|BinaryExpansion| . |GcdDomain|) T) ((|Asp50| . |FortranVectorFunctionCategory|) T) ((|Asp50| . |FortranProgramCategory|) T) ((|Pi| . |BasicType|) T) ((|MyExpression| . |ConvertibleTo|) 154858) ((|MyExpression| . |CoercibleTo|) 154832) ((|IntegerMod| . |CoercibleTo|) 154806) ((|IntegerMod| . |ConvertibleTo|) 154783) ((|SimpleAlgebraicExtension| . |FieldOfPrimeCharacteristic|) 154745) ((|Result| . |HomogeneousAggregate|) 154662) ((|Integer| . |OrderedCancellationAbelianMonoid|) T) ((|Integer| . |OrderedAbelianMonoid|) T) ((|RoutinesTable| . |DictionaryOperations|) 154595) ((|FiniteFieldExtension| . |FieldOfPrimeCharacteristic|) 154526) ((|FiniteFieldNormalBasisExtension| . |FieldOfPrimeCharacteristic|) 154457) ((|FiniteFieldCyclicGroupExtension| . |FieldOfPrimeCharacteristic|) 154388) ((|XDistributedPolynomial| . |SemiGroup|) T) ((|XDistributedPolynomial| . |AbelianMonoid|) T) ((|ThreeDimensionalViewport| . |BasicType|) T) ((|SquareMatrix| . |Rng|) T) ((|LieSquareMatrix| . |NonAssociativeAlgebra|) 154372) ((|SymmetricPolynomial| . |CharacteristicNonZero|) 154332) ((|SymmetricPolynomial| . |CharacteristicZero|) 154295) ((|SquareFreeRegularTriangularSet| . |SetCategory|) T) ((|SquareFreeRegularTriangularSet| . |RegularTriangularSetCategory|) 154264) ((|Asp29| . |Type|) T) ((|RealClosure| . |RightModule|) 154185) ((|OrdinaryWeightedPolynomials| . |Rng|) T) ((|MyUnivariatePolynomial| . |CharacteristicNonZero|) 154145) ((|MyUnivariatePolynomial| . |CharacteristicZero|) 154108) ((|DirectProduct| . |LinearlyExplicitRingOver|) 153980) ((|MachineComplex| . |Ring|) T) ((|DirichletRing| . |IntegralDomain|) 153946) ((|FiniteField| . |RightModule|) 153872) ((|Asp10| . |Type|) T) ((|RealClosure| . |BiModule|) 153749) ((|PendantTree| . |CoercibleTo|) 153700) ((|MachineComplex| . |DivisionRing|) T) ((|MachineComplex| . |DifferentialRing|) NIL) ((|U16Vector| . |InnerEvalable|) NIL) ((|OrderedCompletion| . |OrderedRing|) 153670) ((|MachineFloat| . |OrderedCancellationAbelianMonoid|) T) ((|MachineFloat| . |OrderedAbelianMonoid|) T) ((|UnivariateTaylorSeriesCZero| . |CoercibleTo|) 153644) ((|U32Vector| . |Eltable|) 153609) ((|RadicalFunctionField| . |FullyRetractableTo|) 153580) ((|FiniteField| . |BiModule|) 153459) ((|DesingTree| . |CoercibleTo|) 153410) ((|Float| . |PrincipalIdealDomain|) T) ((|Fraction| . |OrderedRing|) 153370) ((|ModMonic| . |EntireRing|) 153233) ((|DeRhamComplex| . |Monoid|) T) ((|UnivariateTaylorSeries| . |HyperbolicFunctionCategory|) 153182) ((|UnivariatePuiseuxSeries| . |HyperbolicFunctionCategory|) 153131) ((|UnivariateLaurentSeries| . |HyperbolicFunctionCategory|) 153080) ((|UnivariateFormalPowerSeries| . |HyperbolicFunctionCategory|) 153029) ((|Expression| . |RadicalCategory|) 152996) ((|Dequeue| . |SetCategory|) 152966) ((|ExponentialOfUnivariatePuiseuxSeries| . |PowerSeriesCategory|) 152899) ((|BasicFunctions| . |BasicType|) T) ((|AlgebraicNumber| . |RightModule|) 152853) ((|XRecursivePolynomial| . |BasicType|) T) ((|FreeModule1| . |BasicType|) T) ((|AlgebraicNumber| . |BiModule|) 152780) ((|RadixExpansion| . |LinearlyExplicitRingOver|) 152757) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |CoercibleTo|) 152731) ((|IndexedExponents| . |BasicType|) T) ((|IndexedBits| . |BasicType|) T) ((|ThreeSpace| . |ThreeSpaceCategory|) 152715) ((|CliffordAlgebra| . |VectorSpace|) 152699) ((|DataList| . |Type|) T) ((|U32Vector| . |OneDimensionalArrayAggregate|) 152676) ((|NeitherSparseOrDensePowerSeries| . |LazyStreamAggregate|) 152617) ((|SparseUnivariatePolynomial| . |UniqueFactorizationDomain|) 152567) ((|SparseMultivariatePolynomial| . |UniqueFactorizationDomain|) 152517) ((|DirectProduct| . |AbelianGroup|) 152404) ((|DirectProduct| . |AbelianSemiGroup|) 152173) ((|BinaryTree| . |BinaryRecursiveAggregate|) 152157) ((|BinarySearchTree| . |BinaryRecursiveAggregate|) 152141) ((|U8Vector| . |LinearAggregate|) 152118) ((|AlgebraGivenByStructuralConstants| . |NonAssociativeAlgebra|) 152102) ((|U32Vector| . |IndexedAggregate|) 152067) ((|SparseUnivariatePolynomial| . |IntegralDomain|) 151930) ((|SparseMultivariatePolynomial| . |IntegralDomain|) 151816) ((|U8Vector| . |FiniteLinearAggregate|) 151793) ((|Result| . |Eltable|) 151763) ((|StochasticDifferential| . |AbelianSemiGroup|) T) ((|StochasticDifferential| . |AbelianGroup|) T) ((|OrderlyDifferentialPolynomial| . |CancellationAbelianMonoid|) T) ((|BalancedPAdicRational| . |OrderedCancellationAbelianMonoid|) NIL) ((|BalancedPAdicRational| . |OrderedAbelianMonoid|) NIL) ((|FiniteFieldExtensionByPolynomial| . |EuclideanDomain|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |EuclideanDomain|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |EuclideanDomain|) T) ((|Segment| . |Type|) T) ((|DirectProductModule| . |SemiGroup|) 151649) ((|DirectProductMatrixModule| . |SemiGroup|) 151535) ((|RealClosure| . |Ring|) T) ((|RadicalFunctionField| . |Rng|) T) ((|FiniteFieldCyclicGroup| . |LeftModule|) 151461) ((|LocalAlgebra| . |Algebra|) 151445) ((|WuWenTsunTriangularSet| . |CoercibleTo|) 151397) ((|WuWenTsunTriangularSet| . |ConvertibleTo|) 151333) ((|Ruleset| . |CoercibleTo|) 151307) ((|RealClosure| . |DivisionRing|) T) ((|FiniteField| . |Ring|) T) ((|OrderedDirectProduct| . |VectorSpace|) 151274) ((|DirectProductModule| . |AbelianMonoid|) T) ((|DirectProductMatrixModule| . |AbelianMonoid|) T) ((|QuasiAlgebraicSet| . |CoercibleTo|) 151248) ((|Multiset| . |ConvertibleTo|) 151184) ((|Multiset| . |CoercibleTo|) 151158) ((|Octonion| . |OrderedSet|) 151129) ((|Quaternion| . |InnerEvalable|) 151018) ((|FiniteField| . |DifferentialRing|) T) ((|FiniteField| . |DivisionRing|) T) ((|StringTable| . |Collection|) 150954) ((|RadixExpansion| . |AbelianSemiGroup|) T) ((|CharacterClass| . |CoercibleTo|) 150928) ((|CharacterClass| . |ConvertibleTo|) 150875) ((|PrimeField| . |EuclideanDomain|) T) ((|RadixExpansion| . |AbelianGroup|) T) ((|Partition| . |AbelianSemiGroup|) T) ((|PartialFraction| . |AbelianGroup|) T) ((|PartialFraction| . |AbelianSemiGroup|) T) ((|FourierSeries| . |AbelianGroup|) T) ((|FourierSeries| . |AbelianSemiGroup|) T) ((|OrderedCompletion| . |FullyRetractableTo|) 150859) ((|AlgebraicNumber| . |Ring|) T) ((|XPolynomial| . |XAlgebra|) 150843) ((|XPBWPolynomial| . |XAlgebra|) 150827) ((|Result| . |IndexedAggregate|) 150797) ((|Expression| . |ConvertibleTo|) 150575) ((|Expression| . |CoercibleTo|) 150549) ((|ExponentialExpansion| . |ConvertibleTo|) NIL) ((|ExponentialExpansion| . |CoercibleTo|) 150523) ((|AlgebraicNumber| . |DivisionRing|) T) ((|AlgebraicNumber| . |DifferentialRing|) T) ((|LinearOrdinaryDifferentialOperator2| . |Eltable|) 150484) ((|InnerTable| . |DictionaryOperations|) 150426) ((|CartesianTensor| . |CoercibleTo|) 150400) ((|BasicOperator| . |CoercibleTo|) 150374) ((|Pi| . |Algebra|) 150328) ((|XRecursivePolynomial| . |XPolynomialsCat|) 150307) ((|XDistributedPolynomial| . |CancellationAbelianMonoid|) T) ((|XPolynomialRing| . |Rng|) T) ((|SingletonAsOrderedSet| . |BasicType|) T) ((|BlowUpWithQuadTrans| . |CoercibleTo|) 150281) ((|Asp8| . |Type|) T) ((|IndexedBits| . |Evalable|) NIL) ((|Queue| . |BagAggregate|) 150265) ((|PatternMatchResult| . |SetCategory|) T) ((|PatternMatchListResult| . |SetCategory|) T) ((|Vector| . |LinearAggregate|) 150249) ((|Vector| . |FiniteLinearAggregate|) 150233) ((|FlexibleArray| . |Type|) T) ((|IndexedString| . |OrderedSet|) T) ((|DirichletRing| . |SemiGroup|) T) ((|SquareMatrix| . |SetCategory|) T) ((|SquareMatrix| . |RectangularMatrixCategory|) 150151) ((|FiniteFieldCyclicGroup| . |LeftOreRing|) T) ((|BalancedBinaryTree| . |InnerEvalable|) 150070) ((|Plot| . |CoercibleTo|) 150044) ((|DirichletRing| . |AbelianMonoid|) T) ((|FiniteFieldCyclicGroup| . |Monoid|) T) ((|PlaneAlgebraicCurvePlot| . |CoercibleTo|) 150018) ((|OrdinaryWeightedPolynomials| . |SetCategory|) T) ((|OrderedCompletion| . |Rng|) 149988) ((|AlgebraicFunctionField| . |LeftModule|) 149916) ((|DoubleFloat| . |UniqueFactorizationDomain|) T) ((|Fraction| . |Rng|) T) ((|String| . |Collection|) 149891) ((|Quaternion| . |EntireRing|) 149834) ((|DoubleFloat| . |IntegralDomain|) T) ((|U32Vector| . |ConvertibleTo|) 149809) ((|ExponentialOfUnivariatePuiseuxSeries| . |UnivariatePuiseuxSeriesCategory|) 149793) ((|ExponentialOfUnivariatePuiseuxSeries| . |UnivariatePowerSeriesCategory|) 149752) ((|U32Vector| . |CoercibleTo|) 149726) ((|Table| . |TableAggregate|) 149705) ((|RuleCalled| . |CoercibleTo|) 149679) ((|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| . |CoercibleTo|) 149653) ((|PseudoAlgebraicClosureOfRationalNumber| . |RetractableTo|) 149597) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |RetractableTo|) 149490) ((|ListMultiDictionary| . |Collection|) 149474) ((|Library| . |Collection|) 149407) ((|Table| . |BagAggregate|) 149349) ((|HashTable| . |TableAggregate|) 149328) ((|HexadecimalExpansion| . |CharacteristicZero|) T) ((|HexadecimalExpansion| . |CharacteristicNonZero|) NIL) ((|SingleInteger| . |ConvertibleTo|) 149209) ((|FunctionCalled| . |CoercibleTo|) 149183) ((|DecimalExpansion| . |CharacteristicZero|) T) ((|DecimalExpansion| . |CharacteristicNonZero|) NIL) ((|SingleInteger| . |CoercibleTo|) 149157) ((|Any| . |BasicType|) T) ((|UnivariateLaurentSeries| . |LinearlyExplicitRingOver|) 149087) ((|HashTable| . |BagAggregate|) 149029) ((|QuadraticForm| . |AbelianMonoid|) T) ((|XRecursivePolynomial| . |Algebra|) 148986) ((|SparseUnivariatePolynomial| . |SemiGroup|) T) ((|SparseMultivariatePolynomial| . |SemiGroup|) T) ((|RomanNumeral| . |UniqueFactorizationDomain|) T) ((|SparseUnivariateSkewPolynomial| . |SemiGroup|) T) ((|Polynomial| . |UniqueFactorizationDomain|) 148936) ((|U16Vector| . |HomogeneousAggregate|) 148913) ((|HomogeneousDistributedMultivariatePolynomial| . |UniqueFactorizationDomain|) 148863) ((|MultivariatePolynomial| . |OrderedSet|) 148834) ((|RomanNumeral| . |IntegralDomain|) T) ((|U16Matrix| . |TwoDimensionalArrayCategory|) 148783) ((|Polynomial| . |IntegralDomain|) 148669) ((|SparseUnivariatePolynomial| . |AbelianMonoid|) T) ((|SparseMultivariatePolynomial| . |AbelianMonoid|) T) ((|SparseUnivariateSkewPolynomial| . |AbelianMonoid|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |IntegralDomain|) 148555) ((|SquareMatrix| . |Module|) 148462) ((|SquareFreeRegularTriangularSet| . |InnerEvalable|) 148381) ((|Result| . |ConvertibleTo|) NIL) ((|Result| . |CoercibleTo|) 148355) ((|IntegerMod| . |RightModule|) 148342) ((|OrdinaryWeightedPolynomials| . |Module|) 148299) ((|IntegerMod| . |BiModule|) 148284) ((|UnivariateTaylorSeries| . |AbelianSemiGroup|) T) ((|TaylorSeries| . |AbelianMonoidRing|) 148236) ((|DirectProductModule| . |CancellationAbelianMonoid|) T) ((|DirectProductMatrixModule| . |CancellationAbelianMonoid|) T) ((|SExpression| . |SetCategory|) T) ((|RadicalFunctionField| . |SetCategory|) T) ((|Asp12| . |CoercibleTo|) 148210) ((|SparseUnivariateLaurentSeries| . |OrderedSet|) NIL) ((|RealClosure| . |OrderedAbelianMonoid|) T) ((|RealClosure| . |OrderedCancellationAbelianMonoid|) T) ((|UnivariateTaylorSeries| . |AbelianGroup|) T) ((|MyExpression| . |RightModule|) 148098) ((|UnivariatePuiseuxSeries| . |AbelianGroup|) T) ((|AlgebraicFunctionField| . |LeftOreRing|) T) ((|PAdicInteger| . |LeftModule|) 148085) ((|UnivariatePuiseuxSeries| . |AbelianSemiGroup|) T) ((|UnivariateLaurentSeries| . |AbelianGroup|) T) ((|UnivariateLaurentSeries| . |AbelianSemiGroup|) T) ((|UnivariateFormalPowerSeries| . |AbelianSemiGroup|) T) ((|UnivariateFormalPowerSeries| . |AbelianGroup|) T) ((|RegularTriangularSet| . |Collection|) 148069) ((|PAdicRationalConstructor| . |OrderedIntegralDomain|) 148029) ((|PAdicRationalConstructor| . |PrincipalIdealDomain|) T) ((|MyExpression| . |BiModule|) 147885) ((|ModMonic| . |Eltable|) 147788) ((|InnerTaylorSeries| . |AbelianGroup|) T) ((|InnerTaylorSeries| . |AbelianSemiGroup|) T) ((|InnerSparseUnivariatePowerSeries| . |AbelianGroup|) T) ((|AlgebraicFunctionField| . |Monoid|) T) ((|Dequeue| . |InnerEvalable|) 147707) ((|InnerSparseUnivariatePowerSeries| . |AbelianSemiGroup|) T) ((|GeneralTriangularSet| . |Collection|) 147691) ((|GeneralPolynomialSet| . |Collection|) 147675) ((|PositiveInteger| . |Monoid|) T) ((|NonNegativeInteger| . |OrderedAbelianMonoidSup|) T) ((|NonNegativeInteger| . |OrderedAbelianSemiGroup|) T) ((|IndexCard| . |SetCategory|) T) ((|NonNegativeInteger| . |Monoid|) T) ((|DoubleFloat| . |Field|) T) ((|Stream| . |SetCategory|) 147645) ((|PAdicRational| . |UniqueFactorizationDomain|) T) ((|LinearOrdinaryDifferentialOperator2| . |CoercibleTo|) 147619) ((|PAdicRational| . |IntegralDomain|) T) ((|Cell| . |CoercibleTo|) 147593) ((|MachineComplex| . |Finite|) NIL) ((|FiniteFieldExtension| . |VectorSpace|) 147577) ((|LieSquareMatrix| . |BasicType|) T) ((|FiniteFieldNormalBasisExtension| . |VectorSpace|) 147561) ((|FiniteFieldCyclicGroupExtension| . |VectorSpace|) 147545) ((|XPolynomialRing| . |SetCategory|) T) ((|IndexedList| . |OrderedSet|) 147516) ((|UnivariateTaylorSeriesCZero| . |RightModule|) 147349) ((|OrdinaryDifferentialRing| . |GcdDomain|) 147325) ((|RegularChain| . |SetCategory|) T) ((|RegularChain| . |RegularTriangularSetCategory|) 147160) ((|RegularTriangularSet| . |PolynomialSetCategory|) 147129) ((|OrderedFreeMonoid| . |SemiGroup|) T) ((|RadicalFunctionField| . |Module|) 147057) ((|UnivariateTaylorSeriesCZero| . |BiModule|) 146858) ((|DirichletRing| . |CancellationAbelianMonoid|) T) ((|FreeMonoid| . |SemiGroup|) T) ((|GeneralTriangularSet| . |PolynomialSetCategory|) 146827) ((|GeneralPolynomialSet| . |PolynomialSetCategory|) 146796) ((|Places| . |SetCategoryWithDegree|) T) ((|Bits| . |Collection|) 146773) ((|Asp34| . |CoercibleTo|) 146747) ((|PoincareBirkhoffWittLyndonBasis| . |CoercibleTo|) 146721) ((|SimpleAlgebraicExtension| . |MonogenicAlgebra|) 146700) ((|MyExpression| . |Ring|) T) ((|IntegerMod| . |Ring|) T) ((|U16Vector| . |Eltable|) 146665) ((|PAdicInteger| . |LeftOreRing|) T) ((|OrderlyDifferentialPolynomial| . |LinearlyExplicitRingOver|) 146581) ((|Equation| . |Rng|) 146501) ((|Complex| . |UniqueFactorizationDomain|) 146347) ((|DoubleFloat| . |SemiGroup|) T) ((|FreeAbelianMonoid| . |AbelianMonoid|) T) ((|SparseUnivariateLaurentSeries| . |QuotientFieldCategory|) 146271) ((|OrderedCompletion| . |SetCategory|) T) ((|MyExpression| . |DivisionRing|) 146238) ((|SparseMultivariateTaylorSeries| . |MultivariateTaylorSeriesCategory|) 146217) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |RightModule|) 146038) ((|UnivariatePuiseuxSeriesConstructor| . |PrincipalIdealDomain|) 146014) ((|PAdicInteger| . |Monoid|) T) ((|Complex| . |IntegralDomain|) 145883) ((|UnivariateLaurentSeriesConstructor| . |PrincipalIdealDomain|) 145859) ((|InnerPAdicInteger| . |LeftModule|) 145846) ((|Fraction| . |SetCategory|) T) ((|Integer| . |LeftModule|) 145833) ((|DrawOption| . |SetCategory|) T) ((|InnerAlgebraicNumber| . |LeftModule|) 145787) ((|DoubleFloat| . |AbelianMonoid|) T) ((|UnivariateLaurentSeriesConstructor| . |OrderedIntegralDomain|) 145718) ((|ProjectivePlane| . |SetCategory|) T) ((|XPolynomial| . |BasicType|) T) ((|FiniteField| . |ExtensionField|) 145687) ((|XPBWPolynomial| . |BasicType|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |BiModule|) 145438) ((|Character| . |CoercibleTo|) 145412) ((|QuadraticForm| . |CancellationAbelianMonoid|) T) ((|AlgebraGivenByStructuralConstants| . |BasicType|) T) ((|DirectProduct| . |OrderedSet|) 145336) ((|XPolynomialRing| . |Module|) 145293) ((|UnivariatePolynomial| . |UniqueFactorizationDomain|) 145243) ((|BalancedBinaryTree| . |HomogeneousAggregate|) 145227) ((|UnivariatePolynomial| . |IntegralDomain|) 145090) ((|U16Vector| . |OneDimensionalArrayAggregate|) 145067) ((|SequentialDifferentialPolynomial| . |AbelianMonoidRing|) 144984) ((|RomanNumeral| . |SemiGroup|) T) ((|Polynomial| . |SemiGroup|) T) ((|BinaryTree| . |Aggregate|) T) ((|BinarySearchTree| . |Aggregate|) T) ((|U8Vector| . |Aggregate|) T) ((|U32Vector| . |EltableAggregate|) 144949) ((|NewSparseUnivariatePolynomial| . |AbelianMonoidRing|) 144910) ((|NewSparseMultivariatePolynomial| . |AbelianMonoidRing|) 144868) ((|U16Vector| . |IndexedAggregate|) 144833) ((|SparseUnivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|FiniteField| . |Finite|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |SemiGroup|) T) ((|SparseMultivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|RomanNumeral| . |AbelianMonoid|) T) ((|GeneralDistributedMultivariatePolynomial| . |AbelianMonoidRing|) 144812) ((|PAdicRational| . |Field|) T) ((|SparseUnivariateSkewPolynomial| . |CancellationAbelianMonoid|) T) ((|CliffordAlgebra| . |BasicType|) T) ((|MyUnivariatePolynomial| . |GcdDomain|) 144707) ((|Polynomial| . |AbelianMonoid|) T) ((|Interval| . |IntegralDomain|) T) ((|OrderlyDifferentialPolynomial| . |AbelianSemiGroup|) T) ((|OrderlyDifferentialPolynomial| . |AbelianGroup|) T) ((|SquareMatrix| . |InnerEvalable|) 144626) ((|IntegrationResult| . |RetractableTo|) 144610) ((|HomogeneousDistributedMultivariatePolynomial| . |AbelianMonoid|) T) ((|FiniteFieldNormalBasis| . |Rng|) T) ((|UnivariateTaylorSeriesCZero| . |Ring|) T) ((|TaylorSeries| . |PartialDifferentialRing|) 144588) ((|LieSquareMatrix| . |Evalable|) 144512) ((|UnivariateTaylorSeriesCZero| . |DifferentialRing|) 144449) ((|SplitHomogeneousDirectProduct| . |VectorSpace|) 144416) ((|MachineFloat| . |LeftModule|) 144370) ((|RadixExpansion| . |OrderedSet|) T) ((|RadicalFunctionField| . |CommutativeRing|) T) ((|PolynomialRing| . |CharacteristicNonZero|) 144330) ((|AssociatedLieAlgebra| . |SetCategory|) T) ((|AssociatedJordanAlgebra| . |SetCategory|) T) ((|PolynomialRing| . |CharacteristicZero|) 144293) ((|PseudoAlgebraicClosureOfFiniteField| . |PrincipalIdealDomain|) T) ((|MonoidRing| . |CharacteristicZero|) 144256) ((|MonoidRing| . |CharacteristicNonZero|) 144216) ((|Partition| . |OrderedSet|) T) ((|NeitherSparseOrDensePowerSeries| . |PrincipalIdealDomain|) T) ((|GeneralUnivariatePowerSeries| . |PrincipalIdealDomain|) 144192) ((|Expression| . |RightModule|) 144054) ((|ExponentialExpansion| . |RightModule|) 143926) ((|Quaternion| . |Eltable|) 143879) ((|SparseUnivariatePolynomialExpressions| . |PolynomialFactorizationExplicit|) 143829) ((|Fraction| . |Module|) 143770) ((|MachineInteger| . |OrderedRing|) T) ((|InfinitlyClosePoint| . |SetCategoryWithDegree|) T) ((|InfClsPt| . |SetCategory|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |FiniteAbelianMonoidRing|) 143660) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |Ring|) T) ((|InnerPAdicInteger| . |LeftOreRing|) T) ((|Expression| . |BiModule|) 143490) ((|ExponentialExpansion| . |BiModule|) 143261) ((|Integer| . |LeftOreRing|) T) ((|InnerAlgebraicNumber| . |LeftOreRing|) T) ((|SparseUnivariatePolynomialExpressions| . |LeftModule|) 143158) ((|Product| . |BasicType|) T) ((|OrderedDirectProduct| . |BasicType|) 142850) ((|ModMonic| . |ConvertibleTo|) NIL) ((|ModMonic| . |CoercibleTo|) 142824) ((|Result| . |EltableAggregate|) 142794) ((|LinearOrdinaryDifferentialOperator| . |RetractableTo|) 142638) ((|PseudoAlgebraicClosureOfRationalNumber| . |EuclideanDomain|) T) ((|InnerPAdicInteger| . |Monoid|) T) ((|Integer| . |OrderedAbelianSemiGroup|) T) ((|Integer| . |OrderedAbelianGroup|) T) ((|Complex| . |Field|) 142572) ((|Integer| . |Monoid|) T) ((|InnerAlgebraicNumber| . |Monoid|) T) ((|Divisor| . |RetractableTo|) 142556) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |EuclideanDomain|) T) ((|SquareFreeRegularTriangularSet| . |HomogeneousAggregate|) 142540) ((|SequentialDifferentialPolynomial| . |PatternMatchable|) NIL) ((|PAdicRational| . |SemiGroup|) T) ((|BalancedPAdicRational| . |PolynomialFactorizationExplicit|) NIL) ((|XPolynomial| . |XPolynomialsCat|) 142513) ((|XPBWPolynomial| . |XPolynomialsCat|) 142492) ((|NewSparseUnivariatePolynomial| . |PatternMatchable|) NIL) ((|NewSparseMultivariatePolynomial| . |PatternMatchable|) 142271) ((|XDistributedPolynomial| . |AbelianSemiGroup|) T) ((|XDistributedPolynomial| . |AbelianGroup|) T) ((|Tuple| . |BasicType|) 142241) ((|SimpleFortranProgram| . |FortranProgramCategory|) T) ((|LaurentPolynomial| . |LeftModule|) 142228) ((|GeneralDistributedMultivariatePolynomial| . |PatternMatchable|) NIL) ((|ThreeDimensionalMatrix| . |BasicType|) 142198) ((|SequentialDifferentialPolynomial| . |RetractableTo|) 141912) ((|PAdicRational| . |AbelianMonoid|) T) ((|NewSparseUnivariatePolynomial| . |RetractableTo|) 141678) ((|NewSparseMultivariatePolynomial| . |RetractableTo|) 141458) ((|BalancedPAdicRational| . |LeftModule|) 141374) ((|GeneralDistributedMultivariatePolynomial| . |RetractableTo|) 141181) ((|ListMonoidOps| . |RetractableTo|) 141165) ((|LieExponentials| . |BasicType|) T) ((|Dequeue| . |HomogeneousAggregate|) 141149) ((|Vector| . |Aggregate|) T) ((|AssociatedLieAlgebra| . |Module|) 141133) ((|AssociatedJordanAlgebra| . |Module|) 141117) ((|LieSquareMatrix| . |Algebra|) 141062) ((|MachineFloat| . |LeftOreRing|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |BasicType|) T) ((|DoubleFloatMatrix| . |SetCategory|) T) ((|ComplexDoubleFloatMatrix| . |SetCategory|) T) ((|Asp78| . |CoercibleTo|) 141036) ((|AntiSymm| . |RetractableTo|) 141020) ((|SingleInteger| . |RightModule|) 141007) ((|SequentialDifferentialPolynomial| . |FullyLinearlyExplicitRingOver|) 140991) ((|NewSparseUnivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 140975) ((|TwoDimensionalArray| . |TwoDimensionalArrayCategory|) 140901) ((|MachineFloat| . |OrderedAbelianSemiGroup|) T) ((|MachineFloat| . |OrderedAbelianGroup|) T) ((|InnerPrimeField| . |RetractableTo|) 140888) ((|InnerFiniteField| . |RetractableTo|) 140852) ((|MachineFloat| . |Monoid|) T) ((|FreeAbelianMonoid| . |CancellationAbelianMonoid|) T) ((|Expression| . |Ring|) 140684) ((|ExponentialExpansion| . |Ring|) T) ((|Complex| . |SemiGroup|) T) ((|NewSparseMultivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 140668) ((|AssociationList| . |Collection|) 140610) ((|RadixExpansion| . |QuotientFieldCategory|) 140587) ((|U16Vector| . |ConvertibleTo|) 140562) ((|U16Vector| . |CoercibleTo|) 140536) ((|GeneralDistributedMultivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 140520) ((|Fraction| . |CommutativeRing|) T) ((|Expression| . |DivisionRing|) 140487) ((|ExponentialExpansion| . |DivisionRing|) T) ((|ExponentialExpansion| . |DifferentialRing|) NIL) ((|Equation| . |SetCategory|) 140184) ((|DoubleFloat| . |CancellationAbelianMonoid|) T) ((|SingleInteger| . |BiModule|) 140169) ((|Complex| . |AbelianMonoid|) T) ((|Octonion| . |CharacteristicZero|) 140132) ((|Octonion| . |CharacteristicNonZero|) 140092) ((|DirectProductModule| . |LinearlyExplicitRingOver|) 139964) ((|DirectProductMatrixModule| . |LinearlyExplicitRingOver|) 139836) ((|SparseUnivariatePolynomialExpressions| . |LeftOreRing|) 139731) ((|ExponentialOfUnivariatePuiseuxSeries| . |ElementaryFunctionCategory|) 139680) ((|SparseUnivariatePolynomialExpressions| . |Monoid|) T) ((|Stream| . |InnerEvalable|) 139599) ((|ThreeSpace| . |SetCategory|) T) ((|DoubleFloat| . |RealNumberSystem|) T) ((|OrderedDirectProduct| . |Evalable|) 139523) ((|SequentialDifferentialPolynomial| . |PartialDifferentialRing|) 139401) ((|NewSparseUnivariatePolynomial| . |PartialDifferentialRing|) 139299) ((|NewSparseMultivariatePolynomial| . |PartialDifferentialRing|) 139283) ((|XPolynomial| . |Algebra|) 139240) ((|XPBWPolynomial| . |Algebra|) 139197) ((|UnivariatePolynomial| . |SemiGroup|) T) ((|UnivariateSkewPolynomial| . |SemiGroup|) T) ((|LaurentPolynomial| . |LeftOreRing|) 139173) ((|GeneralDistributedMultivariatePolynomial| . |PartialDifferentialRing|) 139133) ((|OrdSetInts| . |SetCategory|) T) ((|BalancedPAdicRational| . |LeftOreRing|) T) ((|UnivariatePolynomial| . |AbelianMonoid|) T) ((|Interval| . |SemiGroup|) T) ((|UnivariateSkewPolynomial| . |AbelianMonoid|) T) ((|LaurentPolynomial| . |Monoid|) T) ((|FiniteFieldExtensionByPolynomial| . |PrincipalIdealDomain|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |PrincipalIdealDomain|) T) ((|EuclideanModularRing| . |BasicType|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |PrincipalIdealDomain|) T) ((|RomanNumeral| . |CancellationAbelianMonoid|) T) ((|Polynomial| . |CancellationAbelianMonoid|) T) ((|BalancedPAdicRational| . |OrderedAbelianSemiGroup|) NIL) ((|BalancedPAdicRational| . |OrderedAbelianGroup|) NIL) ((|BalancedPAdicRational| . |Monoid|) T) ((|MachineComplex| . |PolynomialFactorizationExplicit|) NIL) ((|RegularChain| . |InnerEvalable|) 138827) ((|HomogeneousDistributedMultivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|Interval| . |AbelianMonoid|) T) ((|ThreeDimensionalMatrix| . |Evalable|) 138751) ((|AssociatedLieAlgebra| . |NonAssociativeRng|) T) ((|AssociatedJordanAlgebra| . |NonAssociativeRng|) T) ((|UnivariateLaurentSeries| . |OrderedSet|) NIL) ((|RadicalFunctionField| . |EntireRing|) T) ((|DirectProductModule| . |AbelianGroup|) T) ((|MachineComplex| . |LeftModule|) 138680) ((|FiniteFieldNormalBasis| . |SetCategory|) T) ((|DirectProductModule| . |AbelianSemiGroup|) T) ((|DirectProductMatrixModule| . |AbelianGroup|) T) ((|DirectProductMatrixModule| . |AbelianSemiGroup|) T) ((|CliffordAlgebra| . |Algebra|) 138664) ((|Record| . |BasicType|) T) ((|PrimeField| . |PrincipalIdealDomain|) T) ((|HomogeneousDirectProduct| . |VectorSpace|) 138631) ((|DeRhamComplex| . |RetractableTo|) 138600) ((|SingleInteger| . |Ring|) T) ((|ModularField| . |EuclideanDomain|) T) ((|Equation| . |Module|) 138529) ((|MachineInteger| . |Rng|) T) ((|HexadecimalExpansion| . |GcdDomain|) T) ((|Fraction| . |InnerEvalable|) 138418) ((|DecimalExpansion| . |GcdDomain|) T) ((|SingleInteger| . |DifferentialRing|) T) ((|EqTable| . |Collection|) 138360) ((|Quaternion| . |ConvertibleTo|) 138296) ((|Quaternion| . |CoercibleTo|) 138270) ((|QueryEquation| . |CoercibleTo|) 138244) ((|BalancedPAdicInteger| . |Rng|) T) ((|LinearOrdinaryDifferentialOperator2| . |RightModule|) 138228) ((|DoubleFloat| . |HyperbolicFunctionCategory|) T) ((|GuessOption| . |CoercibleTo|) 138202) ((|FullPartialFractionExpansion| . |CoercibleTo|) 138176) ((|FullPartialFractionExpansion| . |ConvertibleTo|) 138147) ((|RectangularMatrix| . |VectorSpace|) 138114) ((|LinearOrdinaryDifferentialOperator2| . |BiModule|) 138093) ((|SquareMatrix| . |HomogeneousAggregate|) 138077) ((|OrderedDirectProduct| . |Algebra|) 138034) ((|Asp19| . |FortranVectorFunctionCategory|) T) ((|Asp19| . |FortranProgramCategory|) T) ((|StringTable| . |BasicType|) T) ((|PAdicRational| . |CancellationAbelianMonoid|) T) ((|Heap| . |BasicType|) 138004) ((|IntegerMod| . |Finite|) T) ((|MyUnivariatePolynomial| . |PolynomialCategory|) 137939) ((|SimpleAlgebraicExtension| . |BasicType|) T) ((|RightOpenIntervalRootCharacterization| . |BasicType|) T) ((|FiniteFieldNormalBasis| . |Module|) 137865) ((|MultivariatePolynomial| . |CharacteristicZero|) 137828) ((|MultivariatePolynomial| . |CharacteristicNonZero|) 137788) ((|RealClosure| . |LeftModule|) 137709) ((|IndexedMatrix| . |SetCategory|) 137679) ((|FiniteFieldExtension| . |BasicType|) T) ((|FiniteFieldNormalBasisExtension| . |BasicType|) T) ((|MachineComplex| . |LeftOreRing|) T) ((|FiniteFieldCyclicGroupExtension| . |BasicType|) T) ((|DirichletRing| . |AbelianGroup|) T) ((|DirichletRing| . |AbelianSemiGroup|) T) ((|BinaryExpansion| . |BasicType|) T) ((|PolynomialIdeals| . |SetCategory|) T) ((|FiniteField| . |LeftModule|) 137605) ((|SparseUnivariatePolynomial| . |LinearlyExplicitRingOver|) 137521) ((|SparseMultivariatePolynomial| . |LinearlyExplicitRingOver|) 137437) ((|FreeModule| . |IndexedDirectProductCategory|) 137416) ((|OnePointCompletion| . |OrderedRing|) 137386) ((|Float| . |UniqueFactorizationDomain|) T) ((|MachineComplex| . |Monoid|) T) ((|FortranExpression| . |Rng|) T) ((|UnivariateLaurentSeries| . |QuotientFieldCategory|) 137316) ((|ContinuedFraction| . |Rng|) T) ((|BalancedBinaryTree| . |CoercibleTo|) 137267) ((|SparseUnivariateTaylorSeries| . |CharacteristicNonZero|) 137227) ((|SparseUnivariateTaylorSeries| . |CharacteristicZero|) 137190) ((|Float| . |IntegralDomain|) T) ((|SparseUnivariatePuiseuxSeries| . |CharacteristicZero|) 137153) ((|SparseUnivariatePuiseuxSeries| . |CharacteristicNonZero|) 137113) ((|SparseUnivariateLaurentSeries| . |CharacteristicNonZero|) 136957) ((|Fraction| . |EntireRing|) T) ((|SparseUnivariateLaurentSeries| . |CharacteristicZero|) 136807) ((|SparseMultivariateTaylorSeries| . |CharacteristicZero|) 136770) ((|SparseMultivariateTaylorSeries| . |CharacteristicNonZero|) 136730) ((|ExponentialOfUnivariatePuiseuxSeries| . |Algebra|) 136518) ((|Complex| . |CancellationAbelianMonoid|) T) ((|ExponentialExpansion| . |OrderedCancellationAbelianMonoid|) NIL) ((|ExponentialExpansion| . |OrderedAbelianMonoid|) NIL) ((|LinearOrdinaryDifferentialOperator2| . |Ring|) T) ((|AlgebraicNumber| . |LeftModule|) 136472) ((|QuadraticForm| . |AbelianGroup|) T) ((|BinaryTree| . |RecursiveAggregate|) 136456) ((|BinarySearchTree| . |RecursiveAggregate|) 136440) ((|QuadraticForm| . |AbelianSemiGroup|) T) ((|PendantTree| . |BinaryRecursiveAggregate|) 136424) ((|String| . |BasicType|) T) ((|UnivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|OrderlyDifferentialPolynomial| . |OrderedSet|) 136395) ((|U16Vector| . |EltableAggregate|) 136360) ((|SparseUnivariatePolynomial| . |AbelianSemiGroup|) T) ((|SparseUnivariatePolynomial| . |AbelianGroup|) T) ((|StringTable| . |Evalable|) 136102) ((|Stream| . |HomogeneousAggregate|) 136086) ((|UnivariateSkewPolynomial| . |CancellationAbelianMonoid|) T) ((|SparseMultivariatePolynomial| . |AbelianSemiGroup|) T) ((|SparseMultivariatePolynomial| . |AbelianGroup|) T) ((|SparseUnivariateSkewPolynomial| . |AbelianSemiGroup|) T) ((|SparseUnivariateSkewPolynomial| . |AbelianGroup|) T) ((|NewSparseUnivariatePolynomial| . |EuclideanDomain|) 136062) ((|AffineSpace| . |AffineSpaceCategory|) 136046) ((|SparseTable| . |Collection|) 135988) ((|SquareFreeRegularTriangularSet| . |CoercibleTo|) 135940) ((|ListMultiDictionary| . |BasicType|) 135910) ((|Library| . |BasicType|) T) ((|SquareFreeRegularTriangularSet| . |ConvertibleTo|) 135846) ((|Interval| . |CancellationAbelianMonoid|) T) ((|LocalAlgebra| . |OrderedRing|) 135816) ((|RealClosure| . |OrderedAbelianGroup|) T) ((|RealClosure| . |OrderedAbelianSemiGroup|) T) ((|RealClosure| . |LeftOreRing|) T) ((|RealClosure| . |Monoid|) T) ((|Heap| . |Evalable|) 135740) ((|GenericNonAssociativeAlgebra| . |FramedNonAssociativeAlgebra|) 135696) ((|FiniteFieldNormalBasis| . |CommutativeRing|) T) ((|DoubleFloatMatrix| . |InnerEvalable|) NIL) ((|ComplexDoubleFloatMatrix| . |InnerEvalable|) NIL) ((|EuclideanModularRing| . |Algebra|) 135683) ((|e04ucfAnnaType| . |BasicType|) T) ((|e04nafAnnaType| . |BasicType|) T) ((|e04mbfAnnaType| . |BasicType|) T) ((|e04jafAnnaType| . |BasicType|) T) ((|e04gcfAnnaType| . |BasicType|) T) ((|e04fdfAnnaType| . |BasicType|) T) ((|e04dgfAnnaType| . |BasicType|) T) ((|d03fafAnnaType| . |BasicType|) T) ((|FiniteFieldCyclicGroup| . |RetractableTo|) 135652) ((|d03eefAnnaType| . |BasicType|) T) ((|d02ejfAnnaType| . |BasicType|) T) ((|d02cjfAnnaType| . |BasicType|) T) ((|d02bhfAnnaType| . |BasicType|) T) ((|d02bbfAnnaType| . |BasicType|) T) ((|FiniteField| . |LeftOreRing|) T) ((|d01TransformFunctionType| . |BasicType|) T) ((|d01gbfAnnaType| . |BasicType|) T) ((|ModMonic| . |RightModule|) 135386) ((|d01fcfAnnaType| . |BasicType|) T) ((|d01asfAnnaType| . |BasicType|) T) ((|d01aqfAnnaType| . |BasicType|) T) ((|d01apfAnnaType| . |BasicType|) T) ((|d01anfAnnaType| . |BasicType|) T) ((|d01amfAnnaType| . |BasicType|) T) ((|d01alfAnnaType| . |BasicType|) T) ((|d01akfAnnaType| . |BasicType|) T) ((|d01ajfAnnaType| . |BasicType|) T) ((|FiniteField| . |Monoid|) T) ((|ModMonic| . |BiModule|) 135088) ((|LieSquareMatrix| . |DifferentialExtension|) 135072) ((|InnerPrimeField| . |EuclideanDomain|) T) ((|InnerFiniteField| . |EuclideanDomain|) T) ((|Equation| . |InnerEvalable|) 135004) ((|BinaryExpansion| . |Evalable|) NIL) ((|Asp33| . |FortranProgramCategory|) T) ((|SplitHomogeneousDirectProduct| . |BasicType|) 134696) ((|OnePointCompletion| . |FullyRetractableTo|) 134680) ((|SingleInteger| . |OrderedCancellationAbelianMonoid|) T) ((|SingleInteger| . |OrderedAbelianMonoid|) T) ((|MachineInteger| . |SetCategory|) T) ((|AlgebraicNumber| . |LeftOreRing|) T) ((|Float| . |Field|) T) ((|Complex| . |HyperbolicFunctionCategory|) 134631) ((|Dequeue| . |CoercibleTo|) 134582) ((|CardinalNumber| . |SetCategory|) T) ((|BalancedPAdicInteger| . |SetCategory|) T) ((|AlgebraicNumber| . |Monoid|) T) ((|RegularChain| . |HomogeneousAggregate|) 134501) ((|CharacterClass| . |FiniteSetAggregate|) 134476) ((|CharacterClass| . |Finite|) T) ((|RegularTriangularSet| . |BasicType|) T) ((|IndexedDirectProductObject| . |IndexedDirectProductCategory|) 134455) ((|GeneralTriangularSet| . |BasicType|) T) ((|GeneralPolynomialSet| . |BasicType|) T) ((|ResidueRing| . |SemiGroup|) T) ((|MyUnivariatePolynomial| . |UnivariatePolynomialCategory|) 134439) ((|SparseUnivariateTaylorSeries| . |ArcHyperbolicFunctionCategory|) 134388) ((|SparseUnivariateTaylorSeries| . |ArcTrigonometricFunctionCategory|) 134337) ((|SparseUnivariateTaylorSeries| . |TrigonometricFunctionCategory|) 134286) ((|SparseUnivariateTaylorSeries| . |TranscendentalFunctionCategory|) 134235) ((|SparseUnivariatePuiseuxSeries| . |TranscendentalFunctionCategory|) 134184) ((|String| . |Evalable|) NIL) ((|Asp9| . |FortranFunctionCategory|) T) ((|Asp9| . |FortranProgramCategory|) T) ((|SimpleAlgebraicExtension| . |StepThrough|) 134146) ((|SparseUnivariatePuiseuxSeries| . |TrigonometricFunctionCategory|) 134095) ((|SparseUnivariatePuiseuxSeries| . |ArcTrigonometricFunctionCategory|) 134044) ((|ResidueRing| . |AbelianMonoid|) T) ((|SparseUnivariatePuiseuxSeries| . |ArcHyperbolicFunctionCategory|) 133993) ((|Interval| . |HyperbolicFunctionCategory|) T) ((|SparseUnivariateLaurentSeries| . |TranscendentalFunctionCategory|) 133942) ((|SparseUnivariateLaurentSeries| . |TrigonometricFunctionCategory|) 133891) ((|SparseUnivariateLaurentSeries| . |ArcTrigonometricFunctionCategory|) 133840) ((|SparseUnivariateLaurentSeries| . |ArcHyperbolicFunctionCategory|) 133789) ((|FreeGroup| . |SemiGroup|) T) ((|FiniteFieldExtension| . |StepThrough|) 133764) ((|FiniteFieldNormalBasisExtension| . |StepThrough|) 133739) ((|FiniteFieldCyclicGroupExtension| . |StepThrough|) 133714) ((|SparseMultivariateTaylorSeries| . |ArcHyperbolicFunctionCategory|) 133663) ((|SparseMultivariateTaylorSeries| . |ArcTrigonometricFunctionCategory|) 133612) ((|SparseMultivariateTaylorSeries| . |TrigonometricFunctionCategory|) 133561) ((|BinaryExpansion| . |StepThrough|) T) ((|SparseMultivariateTaylorSeries| . |TranscendentalFunctionCategory|) 133510) ((|OnePointCompletion| . |Rng|) 133480) ((|ListMultiDictionary| . |Evalable|) 133404) ((|Library| . |Evalable|) 133210) ((|SimpleAlgebraicExtension| . |Algebra|) 133033) ((|ModMonic| . |Ring|) T) ((|RomanNumeral| . |LinearlyExplicitRingOver|) 133010) ((|RadixExpansion| . |CharacteristicZero|) T) ((|Polynomial| . |LinearlyExplicitRingOver|) 132926) ((|HTMLFormat| . |SetCategory|) T) ((|RadixExpansion| . |CharacteristicNonZero|) NIL) ((|Float| . |SemiGroup|) T) ((|FreeAbelianMonoid| . |AbelianSemiGroup|) T) ((|FreeAbelianGroup| . |AbelianMonoid|) T) ((|Point| . |OrderedSet|) 132897) ((|ModMonic| . |FiniteAbelianMonoidRing|) 132858) ((|HomogeneousDistributedMultivariatePolynomial| . |LinearlyExplicitRingOver|) 132774) ((|AlgebraicFunctionField| . |RetractableTo|) 132579) ((|MachineInteger| . |Module|) 132566) ((|ModMonic| . |DifferentialRing|) T) ((|FortranExpression| . |SetCategory|) T) ((|ContinuedFraction| . |SetCategory|) T) ((|FourierComponent| . |OrderedSet|) T) ((|Factored| . |GcdDomain|) 132490) ((|Float| . |AbelianMonoid|) T) ((|FiniteFieldExtension| . |Algebra|) 132444) ((|FiniteFieldNormalBasisExtension| . |Algebra|) 132398) ((|FiniteFieldCyclicGroupExtension| . |Algebra|) 132352) ((|Asp55| . |FortranVectorFunctionCategory|) T) ((|Asp55| . |FortranProgramCategory|) T) ((|DoubleFloat| . |AbelianSemiGroup|) T) ((|DoubleFloat| . |AbelianGroup|) T) ((|Operator| . |SemiGroup|) T) ((|BinaryExpansion| . |Algebra|) 132286) ((|OppositeMonogenicLinearOperator| . |SemiGroup|) T) ((|None| . |SetCategory|) T) ((|BalancedPAdicInteger| . |Module|) 132273) ((|LyndonWord| . |RetractableTo|) 132257) ((|Kernel| . |BasicType|) T) ((|Operator| . |AbelianMonoid|) T) ((|OppositeMonogenicLinearOperator| . |AbelianMonoid|) T) ((|U8Matrix| . |BasicType|) T) ((|Stream| . |Eltable|) 132229) ((|SplitHomogeneousDirectProduct| . |Evalable|) 132153) ((|Set| . |DictionaryOperations|) 132137) ((|Asp1| . |FortranFunctionCategory|) T) ((|Asp1| . |FortranProgramCategory|) T) ((|Bits| . |BasicType|) T) ((|AlgebraicFunctionField| . |FullyLinearlyExplicitRingOver|) 132108) ((|AffineSpace| . |SetCategory|) T) ((|U32Vector| . |LinearAggregate|) 132085) ((|LinearOrdinaryDifferentialOperator1| . |UnivariateSkewPolynomialCategory|) 132069) ((|U32Vector| . |FiniteLinearAggregate|) 132046) ((|RomanNumeral| . |AbelianGroup|) T) ((|RomanNumeral| . |AbelianSemiGroup|) T) ((|OrderedDirectProduct| . |DifferentialExtension|) 132014) ((|Polynomial| . |AbelianSemiGroup|) T) ((|Polynomial| . |AbelianGroup|) T) ((|LocalAlgebra| . |Rng|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |AbelianSemiGroup|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |AbelianGroup|) T) ((|RegularTriangularSet| . |Evalable|) 131938) ((|PatternMatchResult| . |CoercibleTo|) 131912) ((|PatternMatchListResult| . |CoercibleTo|) 131886) ((|DirectProductModule| . |OrderedSet|) 131810) ((|DirectProductMatrixModule| . |OrderedSet|) 131734) ((|IndexedMatrix| . |InnerEvalable|) 131653) ((|PAdicRational| . |LinearlyExplicitRingOver|) 131620) ((|GeneralTriangularSet| . |Evalable|) 131544) ((|GeneralPolynomialSet| . |Evalable|) 131468) ((|FiniteFieldNormalBasis| . |EntireRing|) T) ((|Stream| . |UnaryRecursiveAggregate|) 131452) ((|SquareMatrix| . |CoercibleTo|) 131402) ((|SquareMatrix| . |ConvertibleTo|) 131338) ((|SplittingNode| . |BasicType|) T) ((|Quaternion| . |RightModule|) 131212) ((|AlgebraicFunctionField| . |PartialDifferentialRing|) 131131) ((|Stream| . |IndexedAggregate|) 131103) ((|MyExpression| . |LeftModule|) 130991) ((|IntegerMod| . |LeftModule|) 130978) ((|RoutinesTable| . |Collection|) 130911) ((|PAdicRationalConstructor| . |UniqueFactorizationDomain|) T) ((|Quaternion| . |BiModule|) 130753) ((|FortranExpression| . |Module|) 130737) ((|OrdinaryWeightedPolynomials| . |CoercibleTo|) 130711) ((|ContinuedFraction| . |Module|) 130626) ((|Fraction| . |Eltable|) 130579) ((|PAdicRationalConstructor| . |IntegralDomain|) T) ((|BinaryExpansion| . |FullyPatternMatchable|) 130556) ((|Asp77| . |FortranMatrixFunctionCategory|) T) ((|Asp77| . |FortranProgramCategory|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |PrincipalIdealDomain|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |PrincipalIdealDomain|) T) ((|MachineInteger| . |CommutativeRing|) T) ((|Automorphism| . |Monoid|) T) ((|HomogeneousDirectProduct| . |BasicType|) 130248) ((|Automorphism| . |Group|) T) ((|BalancedPAdicInteger| . |CommutativeRing|) T) ((|SplitHomogeneousDirectProduct| . |Algebra|) 130205) ((|Complex| . |LinearlyExplicitRingOver|) 130121) ((|DoubleFloatMatrix| . |HomogeneousAggregate|) 130094) ((|ComplexDoubleFloatMatrix| . |HomogeneousAggregate|) 130055) ((|RectangularMatrix| . |BasicType|) T) ((|PAdicRational| . |AbelianSemiGroup|) T) ((|OrderedDirectProduct| . |DirectProductCategory|) 130034) ((|PAdicRational| . |AbelianGroup|) T) ((|OrderlyDifferentialVariable| . |BasicType|) T) ((|U8Matrix| . |Evalable|) NIL) ((|FramedModule| . |BasicType|) T) ((|FreeModule| . |BasicType|) T) ((|Bits| . |Evalable|) NIL) ((|DenavitHartenbergMatrix| . |BasicType|) 130004) ((|BinaryTree| . |Type|) T) ((|BinarySearchTree| . |Type|) T) ((|U8Vector| . |Type|) T) ((|ResidueRing| . |CancellationAbelianMonoid|) T) ((|LieSquareMatrix| . |FiniteRankNonAssociativeAlgebra|) 129988) ((|UnivariateTaylorSeriesCZero| . |LeftModule|) 129885) ((|IntegerMod| . |Monoid|) T) ((|UnivariateTaylorSeries| . |CharacteristicNonZero|) 129845) ((|UnivariateTaylorSeries| . |CharacteristicZero|) 129808) ((|Quaternion| . |Ring|) T) ((|UnivariatePuiseuxSeries| . |CharacteristicZero|) 129771) ((|UnivariatePolynomial| . |LinearlyExplicitRingOver|) 129687) ((|SExpression| . |CoercibleTo|) 129661) ((|RadicalFunctionField| . |CoercibleTo|) 129635) ((|MyExpression| . |LeftOreRing|) 129602) ((|InnerFreeAbelianMonoid| . |AbelianMonoid|) T) ((|IndexedDirectProductOrderedAbelianMonoid| . |AbelianMonoid|) T) ((|FiniteFieldCyclicGroup| . |EuclideanDomain|) T) ((|IndexedDirectProductAbelianMonoid| . |AbelianMonoid|) T) ((|FreeAbelianGroup| . |CancellationAbelianMonoid|) T) ((|Union| . |SetCategory|) T) ((|RadicalFunctionField| . |ConvertibleTo|) 129586) ((|Quaternion| . |DivisionRing|) 129562) ((|Quaternion| . |DifferentialRing|) 129527) ((|UnivariatePuiseuxSeries| . |CharacteristicNonZero|) 129487) ((|UnivariatePuiseuxSeriesConstructor| . |UniqueFactorizationDomain|) 129463) ((|OnePointCompletion| . |SetCategory|) T) ((|UnivariateLaurentSeries| . |CharacteristicNonZero|) 129313) ((|UnivariateLaurentSeries| . |CharacteristicZero|) 129169) ((|UnivariateLaurentSeriesConstructor| . |UniqueFactorizationDomain|) 129145) ((|UnivariateFormalPowerSeries| . |CharacteristicNonZero|) 129105) ((|UnivariateFormalPowerSeries| . |CharacteristicZero|) 129068) ((|MyExpression| . |Group|) 129044) ((|MyExpression| . |Monoid|) T) ((|Float| . |CancellationAbelianMonoid|) T) ((|Integer| . |PatternMatchable|) 129021) ((|Enumeration| . |SetCategory|) T) ((|ContinuedFraction| . |CommutativeRing|) T) ((|Complex| . |AbelianGroup|) T) ((|Complex| . |AbelianSemiGroup|) T) ((|AnonymousFunction| . |SetCategory|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |LeftModule|) 128842) ((|UnivariatePuiseuxSeriesConstructor| . |IntegralDomain|) 128781) ((|ModuleOperator| . |SemiGroup|) T) ((|UnivariateLaurentSeriesConstructor| . |IntegralDomain|) 128720) ((|Integer| . |RetractableTo|) 128697) ((|InnerSparseUnivariatePowerSeries| . |CharacteristicZero|) 128660) ((|InnerSparseUnivariatePowerSeries| . |CharacteristicNonZero|) 128620) ((|InnerAlgebraicNumber| . |RetractableTo|) 128543) ((|Asp80| . |FortranMatrixFunctionCategory|) T) ((|Asp80| . |FortranProgramCategory|) T) ((|PAdicRationalConstructor| . |Field|) T) ((|SparseUnivariatePolynomialExpressions| . |AbelianMonoidRing|) 128504) ((|Operator| . |CancellationAbelianMonoid|) T) ((|OppositeMonogenicLinearOperator| . |CancellationAbelianMonoid|) T) ((|ModuleOperator| . |AbelianMonoid|) T) ((|IndexCard| . |CoercibleTo|) 128478) ((|XRecursivePolynomial| . |Rng|) T) ((|Float| . |RealNumberSystem|) T) ((|Reference| . |SetCategory|) 128448) ((|PendantTree| . |Aggregate|) T) ((|HomogeneousDirectProduct| . |Evalable|) 128372) ((|Stream| . |ConvertibleTo|) 128308) ((|Stream| . |CoercibleTo|) 128259) ((|DesingTree| . |Aggregate|) T) ((|SparseUnivariatePolynomial| . |OrderedSet|) 128230) ((|AssociationList| . |BasicType|) T) ((|SparseMultivariatePolynomial| . |OrderedSet|) 128201) ((|OrdinaryDifferentialRing| . |BasicType|) T) ((|UnivariatePolynomial| . |AbelianSemiGroup|) T) ((|UnivariatePolynomial| . |AbelianGroup|) T) ((|UnivariateSkewPolynomial| . |AbelianSemiGroup|) T) ((|AlgebraGivenByStructuralConstants| . |FiniteRankNonAssociativeAlgebra|) 128185) ((|UnivariateSkewPolynomial| . |AbelianGroup|) T) ((|MultivariatePolynomial| . |GcdDomain|) 128103) ((|XPolynomialRing| . |CoercibleTo|) 128077) ((|Interval| . |AbelianSemiGroup|) T) ((|Interval| . |AbelianGroup|) T) ((|FreeNilpotentLie| . |SetCategory|) T) ((|RectangularMatrix| . |Evalable|) 128001) ((|LocalAlgebra| . |SetCategory|) T) ((|MachineFloat| . |PatternMatchable|) 127980) ((|Vector| . |Type|) T) ((|DenavitHartenbergMatrix| . |Evalable|) 127904) ((|Character| . |Finite|) T) ((|RegularChain| . |ConvertibleTo|) 127775) ((|RegularChain| . |CoercibleTo|) 127662) ((|PseudoAlgebraicClosureOfFiniteField| . |UniqueFactorizationDomain|) T) ((|ExponentialExpansion| . |PolynomialFactorizationExplicit|) NIL) ((|NeitherSparseOrDensePowerSeries| . |UniqueFactorizationDomain|) T) ((|UnivariateTaylorSeriesCZero| . |Monoid|) T) ((|MachineFloat| . |RetractableTo|) 127588) ((|ModularField| . |PrincipalIdealDomain|) T) ((|GeneralUnivariatePowerSeries| . |UniqueFactorizationDomain|) 127564) ((|SparseUnivariatePuiseuxSeries| . |GcdDomain|) 127540) ((|SparseUnivariateLaurentSeries| . |GcdDomain|) 127516) ((|PseudoAlgebraicClosureOfFiniteField| . |IntegralDomain|) T) ((|FortranCode| . |BasicType|) T) ((|NeitherSparseOrDensePowerSeries| . |IntegralDomain|) T) ((|PAdicRationalConstructor| . |SemiGroup|) T) ((|Expression| . |LeftModule|) 127243) ((|ExponentialExpansion| . |LeftModule|) 127115) ((|GeneralUnivariatePowerSeries| . |IntegralDomain|) 127054) ((|FortranExpression| . |InnerEvalable|) 127016) ((|InnerTable| . |Collection|) 126958) ((|AlgebraicFunctionField| . |EuclideanDomain|) T) ((|SparseUnivariatePolynomialExpressions| . |PatternMatchable|) NIL) ((|OrderedCompletion| . |CoercibleTo|) 126932) ((|MachineInteger| . |EntireRing|) T) ((|PAdicRationalConstructor| . |AbelianMonoid|) T) ((|Float| . |HyperbolicFunctionCategory|) T) ((|SimpleAlgebraicExtension| . |DifferentialExtension|) 126899) ((|IndexedDirectProductObject| . |BasicType|) T) ((|Fraction| . |ConvertibleTo|) 126587) ((|Fraction| . |CoercibleTo|) 126561) ((|DrawOption| . |CoercibleTo|) 126535) ((|BalancedPAdicInteger| . |EntireRing|) T) ((|SparseUnivariatePolynomialExpressions| . |RetractableTo|) 126345) ((|ProjectivePlane| . |CoercibleTo|) 126319) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |Monoid|) T) ((|UnivariatePuiseuxSeriesConstructor| . |Field|) 126295) ((|UnivariateLaurentSeriesConstructor| . |Field|) 126271) ((|WuWenTsunTriangularSet| . |Aggregate|) T) ((|BalancedPAdicRational| . |Type|) T) ((|BinaryExpansion| . |DifferentialExtension|) 126248) ((|SymmetricPolynomial| . |BasicType|) T) ((|Pi| . |SetCategory|) T) ((|IndexedMatrix| . |HomogeneousAggregate|) 126232) ((|MyUnivariatePolynomial| . |BasicType|) T) ((|Multiset| . |Aggregate|) T) ((|HomogeneousDirectProduct| . |Algebra|) 126189) ((|CharacterClass| . |Aggregate|) T) ((|BalancedPAdicRational| . |Patternable|) 126148) ((|BalancedPAdicRational| . |PatternMatchable|) NIL) ((|LaurentPolynomial| . |RetractableTo|) 125979) ((|List| . |OrderedSet|) 125950) ((|WeightedPolynomials| . |BasicType|) T) ((|EqTable| . |BasicType|) T) ((|ModMonic| . |Finite|) 125925) ((|BalancedPAdicRational| . |RetractableTo|) 125884) ((|FreeNilpotentLie| . |Module|) 125868) ((|SparseUnivariatePolynomialExpressions| . |FullyLinearlyExplicitRingOver|) 125852) ((|LocalAlgebra| . |Module|) 125836) ((|AssociationList| . |Evalable|) 125596) ((|OrderlyDifferentialPolynomial| . |CharacteristicNonZero|) 125556) ((|OrderlyDifferentialPolynomial| . |CharacteristicZero|) 125519) ((|XPolynomialRing| . |FreeModuleCat|) 125498) ((|OrderedFreeMonoid| . |OrderedSet|) T) ((|ThreeDimensionalViewport| . |SetCategory|) T) ((|UnivariateTaylorSeries| . |ArcHyperbolicFunctionCategory|) 125447) ((|UnivariateTaylorSeries| . |ArcTrigonometricFunctionCategory|) 125396) ((|UnivariateTaylorSeries| . |TrigonometricFunctionCategory|) 125345) ((|UnivariateTaylorSeries| . |TranscendentalFunctionCategory|) 125294) ((|UnivariatePuiseuxSeries| . |TranscendentalFunctionCategory|) 125243) ((|StringTable| . |Dictionary|) 125179) ((|UnivariatePuiseuxSeries| . |TrigonometricFunctionCategory|) 125128) ((|FreeMonoid| . |OrderedSet|) 125099) ((|UnivariatePuiseuxSeries| . |ArcTrigonometricFunctionCategory|) 125048) ((|UnivariatePuiseuxSeries| . |ArcHyperbolicFunctionCategory|) 124997) ((|UnivariatePuiseuxSeriesConstructor| . |SemiGroup|) T) ((|DoubleFloatMatrix| . |MatrixCategory|) 124926) ((|ComplexDoubleFloatMatrix| . |MatrixCategory|) 124829) ((|UnivariateLaurentSeries| . |TranscendentalFunctionCategory|) 124778) ((|UnivariateLaurentSeries| . |TrigonometricFunctionCategory|) 124727) ((|UnivariateLaurentSeries| . |ArcTrigonometricFunctionCategory|) 124676) ((|InnerFreeAbelianMonoid| . |CancellationAbelianMonoid|) T) ((|UnivariateLaurentSeries| . |ArcHyperbolicFunctionCategory|) 124625) ((|UnivariateFormalPowerSeries| . |TrigonometricFunctionCategory|) 124574) ((|UnivariateFormalPowerSeries| . |TranscendentalFunctionCategory|) 124523) ((|UnivariateLaurentSeriesConstructor| . |SemiGroup|) T) ((|UnivariateFormalPowerSeries| . |ArcHyperbolicFunctionCategory|) 124472) ((|AssociatedLieAlgebra| . |CoercibleTo|) 124433) ((|AssociatedJordanAlgebra| . |CoercibleTo|) 124394) ((|AffinePlane| . |BasicType|) T) ((|DoubleFloat| . |OrderedSet|) T) ((|Expression| . |LeftOreRing|) 124361) ((|ExponentialExpansion| . |LeftOreRing|) T) ((|UnivariateFormalPowerSeries| . |ArcTrigonometricFunctionCategory|) 124310) ((|SingleInteger| . |LeftModule|) 124297) ((|SparseUnivariatePolynomialExpressions| . |PartialDifferentialRing|) 124195) ((|SimpleAlgebraicExtension| . |FiniteFieldCategory|) 124157) ((|IndexedString| . |Collection|) 124132) ((|PAdicInteger| . |EuclideanDomain|) T) ((|ContinuedFraction| . |EntireRing|) T) ((|BalancedPAdicRational| . |FullyLinearlyExplicitRingOver|) 124091) ((|BalancedPAdicRational| . |FullyEvalableOver|) 124050) ((|PseudoAlgebraicClosureOfFiniteField| . |Field|) T) ((|NeitherSparseOrDensePowerSeries| . |Field|) T) ((|ExponentialExpansion| . |OrderedAbelianSemiGroup|) NIL) ((|ExponentialExpansion| . |OrderedAbelianGroup|) NIL) ((|Expression| . |Monoid|) 123832) ((|ExponentialExpansion| . |Monoid|) T) ((|InfClsPt| . |CoercibleTo|) 123806) ((|GeneralUnivariatePowerSeries| . |Field|) 123782) ((|FiniteFieldExtension| . |FiniteFieldCategory|) 123757) ((|FiniteFieldNormalBasisExtension| . |FiniteFieldCategory|) 123732) ((|FiniteFieldCyclicGroupExtension| . |FiniteFieldCategory|) 123707) ((|Expression| . |Group|) 123683) ((|UnivariatePuiseuxSeriesConstructor| . |AbelianMonoid|) T) ((|UnivariateLaurentSeriesConstructor| . |AbelianMonoid|) T) ((|MoebiusTransform| . |SemiGroup|) T) ((|ModuleOperator| . |CancellationAbelianMonoid|) T) ((|LinearOrdinaryDifferentialOperator1| . |BasicType|) T) ((|Pi| . |Module|) 123637) ((|AssociationList| . |ExtensibleLinearAggregate|) 123579) ((|BasicFunctions| . |SetCategory|) T) ((|Asp28| . |CoercibleTo|) 123553) ((|OrderedVariableList| . |BasicType|) T) ((|LaurentPolynomial| . |PartialDifferentialRing|) 123485) ((|XRecursivePolynomial| . |SetCategory|) T) ((|FreeModule1| . |SetCategory|) T) ((|U32Vector| . |Aggregate|) T) ((|U16Vector| . |LinearAggregate|) 123462) ((|U16Vector| . |FiniteLinearAggregate|) 123439) ((|Asp73| . |Type|) T) ((|RomanNumeral| . |OrderedSet|) T) ((|Polynomial| . |OrderedSet|) 123410) ((|BalancedPAdicRational| . |PartialDifferentialRing|) NIL) ((|NewSparseUnivariatePolynomial| . |PrincipalIdealDomain|) 123386) ((|ModuleMonomial| . |OrderedSet|) T) ((|IndexedExponents| . |SetCategory|) T) ((|IndexedBits| . |SetCategory|) T) ((|FiniteFieldExtensionByPolynomial| . |UniqueFactorizationDomain|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |UniqueFactorizationDomain|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |UniqueFactorizationDomain|) T) ((|DifferentialSparseMultivariatePolynomial| . |UniqueFactorizationDomain|) 123336) ((|DistributedMultivariatePolynomial| . |UniqueFactorizationDomain|) 123286) ((|SplitHomogeneousDirectProduct| . |DifferentialExtension|) 123254) ((|HomogeneousDistributedMultivariatePolynomial| . |OrderedSet|) 123225) ((|String| . |OpenMath|) T) ((|SquareMatrix| . |RightModule|) 123209) ((|FreeNilpotentLie| . |NonAssociativeRng|) T) ((|MyUnivariatePolynomial| . |Evalable|) 123196) ((|MachineComplex| . |Type|) T) ((|FiniteFieldExtensionByPolynomial| . |IntegralDomain|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |IntegralDomain|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |IntegralDomain|) T) ((|DifferentialSparseMultivariatePolynomial| . |IntegralDomain|) 123082) ((|DistributedMultivariatePolynomial| . |IntegralDomain|) 122968) ((|SquareMatrix| . |BiModule|) 122947) ((|GenericNonAssociativeAlgebra| . |NonAssociativeAlgebra|) 122903) ((|OrdinaryWeightedPolynomials| . |RightModule|) 122860) ((|OrdinaryDifferentialRing| . |Algebra|) 122780) ((|MachineComplex| . |Patternable|) 122752) ((|MachineComplex| . |PatternMatchable|) 122731) ((|EqTable| . |Evalable|) 122491) ((|PrimeField| . |UniqueFactorizationDomain|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |SemiGroup|) T) ((|OrdinaryWeightedPolynomials| . |BiModule|) 122443) ((|LieSquareMatrix| . |FullyRetractableTo|) 122427) ((|NeitherSparseOrDensePowerSeries| . |SemiGroup|) T) ((|MachineComplex| . |RetractableTo|) 122346) ((|Stream| . |EltableAggregate|) 122318) ((|RadixExpansion| . |GcdDomain|) T) ((|PrimeField| . |IntegralDomain|) T) ((|InnerPrimeField| . |PrincipalIdealDomain|) T) ((|GeneralUnivariatePowerSeries| . |SemiGroup|) T) ((|InnerFiniteField| . |PrincipalIdealDomain|) T) ((|PartialFraction| . |GcdDomain|) T) ((|DoubleFloatMatrix| . |CoercibleTo|) 122292) ((|ComplexDoubleFloatMatrix| . |CoercibleTo|) 122266) ((|Asp20| . |CoercibleTo|) 122240) ((|SingleInteger| . |LeftOreRing|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |AbelianMonoid|) T) ((|Library| . |Dictionary|) 122173) ((|NeitherSparseOrDensePowerSeries| . |AbelianMonoid|) T) ((|GeneralUnivariatePowerSeries| . |AbelianMonoid|) T) ((|SingleInteger| . |OrderedAbelianSemiGroup|) T) ((|PAdicRationalConstructor| . |CancellationAbelianMonoid|) T) ((|SingleInteger| . |OrderedAbelianGroup|) T) ((|XDistributedPolynomial| . |XFreeAlgebra|) 122152) ((|SingleInteger| . |Monoid|) T) ((|LinearOrdinaryDifferentialOperator2| . |LeftModule|) 122126) ((|Equation| . |CoercibleTo|) 121761) ((|Result| . |Aggregate|) T) ((|OrderedDirectProduct| . |OrderedRing|) 121731) ((|InnerPAdicInteger| . |EuclideanDomain|) T) ((|Integer| . |EuclideanDomain|) T) ((|InnerAlgebraicNumber| . |EuclideanDomain|) T) ((|XRecursivePolynomial| . |Module|) 121688) ((|MachineComplex| . |FullyLinearlyExplicitRingOver|) 121660) ((|MachineComplex| . |FullyEvalableOver|) 121632) ((|Pi| . |CommutativeRing|) T) ((|FreeModule1| . |Module|) 121589) ((|MyUnivariatePolynomial| . |StepThrough|) 121559) ((|PAdicRational| . |OrderedSet|) NIL) ((|Integer| . |RealConstant|) T) ((|InnerAlgebraicNumber| . |RealConstant|) T) ((|ThreeSpace| . |CoercibleTo|) 121533) ((|SplitHomogeneousDirectProduct| . |DirectProductCategory|) 121512) ((|Database| . |BasicType|) T) ((|SparseTable| . |BasicType|) T) ((|Asp31| . |CoercibleTo|) 121486) ((|SquareMatrix| . |Ring|) T) ((|SymmetricPolynomial| . |Algebra|) 121330) ((|OrdSetInts| . |CoercibleTo|) 121304) ((|Integer| . |IntegerNumberSystem|) T) ((|MyUnivariatePolynomial| . |Algebra|) 121044) ((|LieSquareMatrix| . |Rng|) T) ((|MultivariatePolynomial| . |PolynomialCategory|) 120949) ((|SquareMatrix| . |DifferentialRing|) 120914) ((|SingletonAsOrderedSet| . |SetCategory|) T) ((|ResidueRing| . |AbelianSemiGroup|) T) ((|ResidueRing| . |AbelianGroup|) T) ((|RadicalFunctionField| . |RightModule|) 120842) ((|Permutation| . |BasicType|) T) ((|OrdinaryWeightedPolynomials| . |Ring|) T) ((|NottinghamGroup| . |SemiGroup|) T) ((|MachineComplex| . |PartialDifferentialRing|) NIL) ((|FiniteFieldExtensionByPolynomial| . |FiniteAlgebraicExtensionField|) 120826) ((|FiniteFieldExtensionByPolynomial| . |Field|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |FiniteAlgebraicExtensionField|) 120810) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |Field|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |FiniteAlgebraicExtensionField|) 120794) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |Field|) T) ((|HexadecimalExpansion| . |BasicType|) T) ((|WeightedPolynomials| . |Algebra|) 120751) ((|IndexedMatrix| . |MatrixCategory|) 120679) ((|DecimalExpansion| . |BasicType|) T) ((|RealClosure| . |RetractableTo|) 120505) ((|RadicalFunctionField| . |BiModule|) 120388) ((|SparseUnivariateTaylorSeries| . |PowerSeriesCategory|) 120323) ((|SparseUnivariatePuiseuxSeries| . |PowerSeriesCategory|) 120256) ((|IndexedList| . |Collection|) 120240) ((|SimpleAlgebraicExtension| . |FiniteRankAlgebra|) 120219) ((|FiniteFieldNormalBasis| . |CoercibleTo|) 120193) ((|FreeAbelianGroup| . |AbelianGroup|) T) ((|FiniteField| . |RetractableTo|) 120162) ((|FreeAbelianGroup| . |AbelianSemiGroup|) T) ((|SparseUnivariateLaurentSeries| . |PowerSeriesCategory|) 120108) ((|SparseMultivariateTaylorSeries| . |PowerSeriesCategory|) 120061) ((|Asp42| . |CoercibleTo|) 120035) ((|MachineFloat| . |EuclideanDomain|) T) ((|Complex| . |OrderedSet|) 120006) ((|PrimeField| . |Field|) T) ((|Float| . |AbelianSemiGroup|) T) ((|Float| . |AbelianGroup|) T) ((|PrimeField| . |FiniteAlgebraicExtensionField|) 119993) ((|Asp7| . |CoercibleTo|) 119967) ((|MachineFloat| . |RealConstant|) T) ((|Magma| . |OrderedSet|) T) ((|UnivariatePuiseuxSeriesConstructor| . |CancellationAbelianMonoid|) T) ((|UnivariateLaurentSeriesConstructor| . |CancellationAbelianMonoid|) T) ((|PendantTree| . |RecursiveAggregate|) 119951) ((|Operator| . |AbelianGroup|) T) ((|AlgebraicNumber| . |RetractableTo|) 119874) ((|Operator| . |AbelianSemiGroup|) T) ((|OppositeMonogenicLinearOperator| . |AbelianSemiGroup|) T) ((|OppositeMonogenicLinearOperator| . |AbelianGroup|) T) ((|XPolynomial| . |Rng|) T) ((|XPBWPolynomial| . |Rng|) T) ((|LinearOrdinaryDifferentialOperator2| . |Monoid|) T) ((|SparseUnivariatePolynomialExpressions| . |EuclideanDomain|) 119850) ((|DesingTree| . |RecursiveAggregate|) 119834) ((|XPolynomialRing| . |RightModule|) 119818) ((|UnivariatePolynomial| . |OrderedSet|) 119789) ((|OrderedDirectProduct| . |FullyRetractableTo|) 119750) ((|BalancedBinaryTree| . |BinaryRecursiveAggregate|) 119734) ((|Any| . |SetCategory|) T) ((|Plot3D| . |CoercibleTo|) 119708) ((|PAdicRational| . |QuotientFieldCategory|) 119675) ((|OpenMathEncoding| . |BasicType|) T) ((|XPolynomialRing| . |BiModule|) 119654) ((|LinearOrdinaryDifferentialOperator1| . |Algebra|) 119611) ((|Interval| . |OrderedSet|) T) ((|FiniteFieldExtensionByPolynomial| . |SemiGroup|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |SemiGroup|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |SemiGroup|) T) ((|DifferentialSparseMultivariatePolynomial| . |SemiGroup|) T) ((|DistributedMultivariatePolynomial| . |SemiGroup|) T) ((|LaurentPolynomial| . |EuclideanDomain|) 119587) ((|SparseTable| . |Evalable|) 119347) ((|LiePolynomial| . |AbelianMonoid|) T) ((|HomogeneousDirectProduct| . |DifferentialExtension|) 119315) ((|CliffordAlgebra| . |Rng|) T) ((|FiniteFieldExtensionByPolynomial| . |AbelianMonoid|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |AbelianMonoid|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |AbelianMonoid|) T) ((|BalancedPAdicRational| . |EuclideanDomain|) T) ((|DifferentialSparseMultivariatePolynomial| . |AbelianMonoid|) T) ((|DistributedMultivariatePolynomial| . |AbelianMonoid|) T) ((|RadicalFunctionField| . |Ring|) T) ((|ModMonic| . |PolynomialFactorizationExplicit|) 119265) ((|RadicalFunctionField| . |DifferentialRing|) 119217) ((|RadicalFunctionField| . |DivisionRing|) T) ((|BalancedPAdicRational| . |RealConstant|) NIL) ((|PrimeField| . |SemiGroup|) T) ((|UnivariatePuiseuxSeries| . |GcdDomain|) 119193) ((|UnivariateLaurentSeries| . |GcdDomain|) 119169) ((|IndexedMatrix| . |CoercibleTo|) 119120) ((|ModMonic| . |LeftModule|) 119017) ((|Fraction| . |RightModule|) 118958) ((|PseudoAlgebraicClosureOfFiniteField| . |CancellationAbelianMonoid|) T) ((|PolynomialIdeals| . |CoercibleTo|) 118932) ((|PrimeField| . |AbelianMonoid|) T) ((|NeitherSparseOrDensePowerSeries| . |CancellationAbelianMonoid|) T) ((|HexadecimalExpansion| . |Evalable|) NIL) ((|GeneralUnivariatePowerSeries| . |CancellationAbelianMonoid|) T) ((|DecimalExpansion| . |Evalable|) NIL) ((|Fraction| . |BiModule|) 118841) ((|OrderedDirectProduct| . |Rng|) 118751) ((|Multiset| . |SetAggregate|) 118735) ((|UnivariatePuiseuxSeriesConstructor| . |HyperbolicFunctionCategory|) 118684) ((|UnivariateLaurentSeriesConstructor| . |HyperbolicFunctionCategory|) 118633) ((|CharacterClass| . |SetAggregate|) 118608) ((|Pi| . |EntireRing|) T) ((|XPolynomialRing| . |Ring|) T) ((|RoutinesTable| . |BasicType|) T) ((|IndexedBits| . |InnerEvalable|) NIL) ((|MakeCachableSet| . |BasicType|) T) ((|HomogeneousDirectProduct| . |DirectProductCategory|) 118587) ((|SparseUnivariatePolynomial| . |CharacteristicNonZero|) 118547) ((|SparseUnivariatePolynomial| . |CharacteristicZero|) 118510) ((|SparseMultivariatePolynomial| . |CharacteristicZero|) 118473) ((|SparseMultivariatePolynomial| . |CharacteristicNonZero|) 118433) ((|AssociatedLieAlgebra| . |RightModule|) 118417) ((|AssociatedJordanAlgebra| . |RightModule|) 118401) ((|SparseUnivariateTaylorSeries| . |UnivariateTaylorSeriesCategory|) 118385) ((|LieSquareMatrix| . |SetCategory|) T) ((|LieSquareMatrix| . |RectangularMatrixCategory|) 118303) ((|SparseUnivariateTaylorSeries| . |UnivariatePowerSeriesCategory|) 118264) ((|SparseUnivariatePuiseuxSeries| . |UnivariatePuiseuxSeriesConstructorCategory|) 118199) ((|HexadecimalExpansion| . |StepThrough|) T) ((|SparseUnivariatePuiseuxSeries| . |UnivariatePowerSeriesCategory|) 118158) ((|SparseUnivariatePuiseuxSeries| . |UnivariatePuiseuxSeriesCategory|) 118142) ((|SparseUnivariateLaurentSeries| . |UnivariateLaurentSeriesConstructorCategory|) 118078) ((|DecimalExpansion| . |StepThrough|) T) ((|FiniteFieldCyclicGroup| . |PrincipalIdealDomain|) T) ((|OrderlyDifferentialVariable| . |DifferentialVariableCategory|) 118062) ((|AssociatedLieAlgebra| . |BiModule|) 118041) ((|AssociatedJordanAlgebra| . |BiModule|) 118020) ((|SparseUnivariateLaurentSeries| . |UnivariatePowerSeriesCategory|) 117992) ((|OrderedCompletion| . |Ring|) 117962) ((|SparseUnivariateLaurentSeries| . |UnivariateLaurentSeriesCategory|) 117946) ((|InnerFreeAbelianMonoid| . |AbelianSemiGroup|) T) ((|InnerAlgebraicNumber| . |ExpressionSpace|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |AbelianMonoid|) T) ((|IndexedDirectProductOrderedAbelianMonoid| . |AbelianSemiGroup|) T) ((|IndexedDirectProductAbelianMonoid| . |AbelianSemiGroup|) T) ((|IndexedDirectProductAbelianGroup| . |AbelianMonoid|) T) ((|ModMonic| . |LeftOreRing|) 117841) ((|Fraction| . |Ring|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |Rng|) T) ((|MachineComplex| . |EuclideanDomain|) T) ((|BinaryExpansion| . |OrderedRing|) T) ((|Fraction| . |DivisionRing|) T) ((|Fraction| . |DifferentialRing|) 117806) ((|ModMonic| . |Monoid|) T) ((|HexadecimalExpansion| . |Algebra|) 117740) ((|DecimalExpansion| . |Algebra|) 117674) ((|GeneralUnivariatePowerSeries| . |HyperbolicFunctionCategory|) 117623) ((|String| . |StringAggregate|) T) ((|SetOfMIntegersInOneToN| . |BasicType|) T) ((|MachineInteger| . |CoercibleTo|) 117597) ((|MachineInteger| . |ConvertibleTo|) 117478) ((|ModuleOperator| . |AbelianGroup|) T) ((|ModuleOperator| . |AbelianSemiGroup|) T) ((|CardinalNumber| . |CoercibleTo|) 117452) ((|BalancedPAdicInteger| . |CoercibleTo|) 117426) ((|Color| . |AbelianSemiGroup|) T) ((|XPolynomial| . |SetCategory|) T) ((|PAdicRationalConstructor| . |LinearlyExplicitRingOver|) 117342) ((|XPBWPolynomial| . |SetCategory|) T) ((|PolynomialRing| . |BasicType|) T) ((|MonoidRing| . |BasicType|) T) ((|ModularRing| . |BasicType|) T) ((|GenericNonAssociativeAlgebra| . |BasicType|) T) ((|U16Vector| . |Aggregate|) T) ((|OrderlyDifferentialPolynomial| . |GcdDomain|) 117260) ((|AlgebraGivenByStructuralConstants| . |SetCategory|) T) ((|SequentialDifferentialVariable| . |OrderedSet|) T) ((|LiePolynomial| . |CancellationAbelianMonoid|) T) ((|RoutinesTable| . |Evalable|) 117066) ((|LieSquareMatrix| . |Module|) 117050) ((|EuclideanModularRing| . |Rng|) T) ((|FiniteFieldExtensionByPolynomial| . |CancellationAbelianMonoid|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |CancellationAbelianMonoid|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |CancellationAbelianMonoid|) T) ((|DifferentialSparseMultivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|DistributedMultivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|MyExpression| . |Type|) T) ((|Factored| . |BasicType|) T) ((|UnivariateTaylorSeriesCZero| . |AbelianMonoidRing|) 117011) ((|CliffordAlgebra| . |SetCategory|) T) ((|AssociationList| . |Dictionary|) 116953) ((|MyUnivariatePolynomial| . |DifferentialExtension|) 116937) ((|Quaternion| . |LeftModule|) 116861) ((|PrimitiveArray| . |OrderedSet|) 116832) ((|MyExpression| . |Patternable|) 116816) ((|MyExpression| . |PatternMatchable|) 116697) ((|DirectProduct| . |VectorSpace|) 116664) ((|RealClosure| . |EuclideanDomain|) T) ((|Equation| . |RightModule|) 116571) ((|PrimeField| . |CancellationAbelianMonoid|) T) ((|AlgebraicFunctionField| . |PrincipalIdealDomain|) T) ((|MyExpression| . |RetractableTo|) 116170) ((|HexadecimalExpansion| . |FullyPatternMatchable|) 116147) ((|HTMLFormat| . |CoercibleTo|) 116121) ((|FiniteField| . |EuclideanDomain|) T) ((|DecimalExpansion| . |FullyPatternMatchable|) 116098) ((|SimpleAlgebraicExtension| . |FullyRetractableTo|) 116082) ((|Equation| . |BiModule|) 115984) ((|PseudoAlgebraicClosureOfRationalNumber| . |UniqueFactorizationDomain|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |UniqueFactorizationDomain|) T) ((|PAdicRationalConstructor| . |AbelianSemiGroup|) T) ((|PAdicRationalConstructor| . |AbelianGroup|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |IntegralDomain|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |IntegralDomain|) T) ((|FortranExpression| . |CoercibleTo|) 115958) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |AbelianMonoidRing|) 115848) ((|DoubleFloat| . |CharacteristicZero|) T) ((|ContinuedFraction| . |CoercibleTo|) 115822) ((|SplitHomogeneousDirectProduct| . |OrderedRing|) 115792) ((|None| . |CoercibleTo|) 115766) ((|KeyedAccessFile| . |DictionaryOperations|) 115702) ((|GeneralSparseTable| . |DictionaryOperations|) 115644) ((|XPolynomial| . |Module|) 115601) ((|AlgebraicNumber| . |EuclideanDomain|) T) ((|XPBWPolynomial| . |Module|) 115558) ((|Product| . |SetCategory|) T) ((|OrderedDirectProduct| . |SetCategory|) 115250) ((|Exit| . |BasicType|) T) ((|PendantTree| . |Type|) T) ((|MyExpression| . |FullyLinearlyExplicitRingOver|) 115218) ((|AlgebraicNumber| . |RealConstant|) T) ((|UnivariateLaurentSeriesConstructor| . |LinearlyExplicitRingOver|) 115088) ((|Matrix| . |BasicType|) 115058) ((|AlgebraGivenByStructuralConstants| . |Module|) 115042) ((|InnerTable| . |BasicType|) T) ((|Asp27| . |FortranMatrixCategory|) T) ((|DesingTree| . |Type|) T) ((|Asp27| . |FortranProgramCategory|) T) ((|AffineSpace| . |CoercibleTo|) 115016) ((|Localize| . |AbelianMonoid|) T) ((|LieSquareMatrix| . |NonAssociativeRng|) T) ((|Tuple| . |SetCategory|) 114986) ((|FiniteFieldNormalBasis| . |RightModule|) 114912) ((|ThreeDimensionalMatrix| . |SetCategory|) 114882) ((|RomanNumeral| . |CharacteristicZero|) T) ((|Polynomial| . |CharacteristicZero|) 114845) ((|Polynomial| . |CharacteristicNonZero|) 114805) ((|Octonion| . |BasicType|) T) ((|CliffordAlgebra| . |Module|) 114789) ((|HomogeneousDistributedMultivariatePolynomial| . |CharacteristicZero|) 114752) ((|HomogeneousDistributedMultivariatePolynomial| . |CharacteristicNonZero|) 114712) ((|FiniteFieldNormalBasis| . |BiModule|) 114591) ((|SimpleAlgebraicExtension| . |Rng|) T) ((|FreeAbelianGroup| . |OrderedSet|) 114562) ((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| . |SetCategoryWithDegree|) T) ((|UnivariateTaylorSeries| . |PowerSeriesCategory|) 114497) ((|UnivariatePuiseuxSeries| . |PowerSeriesCategory|) 114430) ((|UnivariateLaurentSeries| . |PowerSeriesCategory|) 114376) ((|LieExponentials| . |SetCategory|) T) ((|MyExpression| . |PartialDifferentialRing|) 114354) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |CancellationAbelianMonoid|) T) ((|IndexedDirectProductAbelianGroup| . |CancellationAbelianMonoid|) T) ((|EqTable| . |Dictionary|) 114296) ((|FiniteFieldExtension| . |Rng|) T) ((|FiniteFieldNormalBasisExtension| . |Rng|) T) ((|FiniteFieldCyclicGroupExtension| . |Rng|) T) ((|Equation| . |Ring|) 114216) ((|UnivariateFormalPowerSeries| . |PowerSeriesCategory|) 114151) ((|Float| . |OrderedSet|) T) ((|BinaryExpansion| . |Rng|) T) ((|Quaternion| . |Monoid|) T) ((|PAdicInteger| . |PrincipalIdealDomain|) T) ((|OrderedCompletion| . |OrderedCancellationAbelianMonoid|) 114121) ((|OrderedCompletion| . |OrderedAbelianMonoid|) 114091) ((|Factored| . |Evalable|) 114018) ((|GraphImage| . |BasicType|) T) ((|InnerSparseUnivariatePowerSeries| . |PowerSeriesCategory|) 113964) ((|ExponentialOfUnivariatePuiseuxSeries| . |SetCategory|) T) ((|Fraction| . |OrderedCancellationAbelianMonoid|) 113924) ((|Fraction| . |OrderedAbelianMonoid|) 113884) ((|IndexedBits| . |HomogeneousAggregate|) 113861) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |RetractableTo|) 113807) ((|UnivariatePuiseuxSeriesConstructor| . |AbelianGroup|) T) ((|UnivariatePuiseuxSeriesConstructor| . |AbelianSemiGroup|) T) ((|UnivariateLaurentSeriesConstructor| . |AbelianGroup|) T) ((|UnivariateLaurentSeriesConstructor| . |AbelianSemiGroup|) T) ((|OrderedDirectProduct| . |Module|) 113736) ((|U32Matrix| . |BasicType|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |Field|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |Field|) T) ((|MachineFloat| . |FloatingPointSystem|) T) ((|WuWenTsunTriangularSet| . |Type|) T) ((|SplitHomogeneousDirectProduct| . |FullyRetractableTo|) 113697) ((|RadicalFunctionField| . |Finite|) NIL) ((|BalancedBinaryTree| . |Aggregate|) T) ((|Multiset| . |Type|) T) ((|AlgebraGivenByStructuralConstants| . |NonAssociativeRng|) T) ((|IndexedString| . |BasicType|) T) ((|Asp49| . |FortranFunctionCategory|) T) ((|Asp49| . |FortranProgramCategory|) T) ((|LinearOrdinaryDifferentialOperator1| . |LinearOrdinaryDifferentialOperatorCategory|) 113681) ((|CharacterClass| . |Type|) T) ((|PAdicRational| . |CharacteristicZero|) T) ((|PAdicRational| . |CharacteristicNonZero|) NIL) ((|UnivariateTaylorSeriesCZero| . |PartialDifferentialRing|) 113545) ((|FiniteFieldNormalBasis| . |Ring|) T) ((|Asp30| . |FortranMatrixCategory|) T) ((|Asp30| . |FortranProgramCategory|) T) ((|SuchThat| . |BasicType|) T) ((|LieSquareMatrix| . |InnerEvalable|) 113464) ((|Matrix| . |Evalable|) 113388) ((|PolynomialRing| . |Algebra|) 113232) ((|MonoidRing| . |Algebra|) 113189) ((|InnerTable| . |Evalable|) 112949) ((|Expression| . |Type|) T) ((|FiniteFieldNormalBasis| . |DifferentialRing|) T) ((|FiniteFieldNormalBasis| . |DivisionRing|) T) ((|ExponentialExpansion| . |Type|) T) ((|EuclideanModularRing| . |SetCategory|) T) ((|SymbolTable| . |CoercibleTo|) 112923) ((|ModularField| . |UniqueFactorizationDomain|) T) ((|Stream| . |LinearAggregate|) 112907) ((|TaylorSeries| . |IntegralDomain|) 112874) ((|PseudoAlgebraicClosureOfFiniteField| . |AbelianSemiGroup|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |AbelianGroup|) T) ((|ModularField| . |IntegralDomain|) T) ((|Expression| . |Patternable|) 112858) ((|Expression| . |PatternMatchable|) 112739) ((|ExponentialExpansion| . |Patternable|) 112654) ((|ExponentialExpansion| . |PatternMatchable|) NIL) ((|Octonion| . |Evalable|) 112613) ((|NeitherSparseOrDensePowerSeries| . |AbelianSemiGroup|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |Module|) 112401) ((|NeitherSparseOrDensePowerSeries| . |AbelianGroup|) T) ((|FreeAbelianMonoid| . |FreeAbelianMonoidCategory|) 112362) ((|HyperellipticFiniteDivisor| . |BasicType|) T) ((|GeneralUnivariatePowerSeries| . |AbelianSemiGroup|) T) ((|GeneralUnivariatePowerSeries| . |AbelianGroup|) T) ((|Factored| . |Algebra|) 112336) ((|Expression| . |RetractableTo|) 111840) ((|DoubleFloat| . |TranscendentalFunctionCategory|) T) ((|DoubleFloat| . |TrigonometricFunctionCategory|) T) ((|Union| . |CoercibleTo|) 111814) ((|ExponentialExpansion| . |RetractableTo|) 111678) ((|PseudoAlgebraicClosureOfRationalNumber| . |SemiGroup|) T) ((|Record| . |SetCategory|) T) ((|Record| . |RecordCategory|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |SemiGroup|) T) ((|OnePointCompletion| . |CoercibleTo|) 111652) ((|SplitHomogeneousDirectProduct| . |Rng|) 111562) ((|InnerPAdicInteger| . |PrincipalIdealDomain|) T) ((|Integer| . |OrderedIntegralDomain|) T) ((|Integer| . |PrincipalIdealDomain|) T) ((|InnerAlgebraicNumber| . |PrincipalIdealDomain|) T) ((|CartesianTensor| . |RetractableTo|) 111546) ((|DoubleFloat| . |ArcTrigonometricFunctionCategory|) T) ((|Asp41| . |FortranVectorFunctionCategory|) T) ((|Asp41| . |FortranProgramCategory|) T) ((|Enumeration| . |CoercibleTo|) 111520) ((|Complex| . |CharacteristicZero|) 111483) ((|Complex| . |CharacteristicNonZero|) 111401) ((|DoubleFloat| . |ArcHyperbolicFunctionCategory|) T) ((|AnonymousFunction| . |CoercibleTo|) 111375) ((|PseudoAlgebraicClosureOfRationalNumber| . |AbelianMonoid|) T) ((|Pi| . |Rng|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |AbelianMonoid|) T) ((|HexadecimalExpansion| . |DifferentialExtension|) 111352) ((|Heap| . |PriorityQueueAggregate|) 111336) ((|HomogeneousDirectProduct| . |OrderedRing|) 111306) ((|DecimalExpansion| . |DifferentialExtension|) 111283) ((|Asp6| . |FortranVectorFunctionCategory|) T) ((|Asp6| . |FortranProgramCategory|) T) ((|SquareFreeRegularTriangularSet| . |Aggregate|) T) ((|OrderedDirectProduct| . |CommutativeRing|) 111249) ((|MultivariatePolynomial| . |BasicType|) T) ((|Reference| . |CoercibleTo|) 111200) ((|IndexedBits| . |Eltable|) 111165) ((|Expression| . |FullyLinearlyExplicitRingOver|) 111133) ((|ExponentialExpansion| . |FullyLinearlyExplicitRingOver|) 111048) ((|ExponentialExpansion| . |FullyEvalableOver|) 110963) ((|U32Matrix| . |Evalable|) NIL) ((|OrderlyDifferentialPolynomial| . |PolynomialCategory|) 110840) ((|Localize| . |CancellationAbelianMonoid|) T) ((|UnivariatePolynomial| . |CharacteristicNonZero|) 110800) ((|UnivariatePolynomial| . |CharacteristicZero|) 110763) ((|U32Vector| . |Type|) T) ((|SparseUnivariateTaylorSeries| . |BasicType|) T) ((|SparseUnivariatePuiseuxSeries| . |BasicType|) T) ((|SparseUnivariateLaurentSeries| . |BasicType|) T) ((|StringTable| . |SetCategory|) T) ((|SparseMultivariateTaylorSeries| . |BasicType|) T) ((|Dequeue| . |Aggregate|) T) ((|EuclideanModularRing| . |Module|) 110750) ((|StringTable| . |KeyedDictionary|) 110723) ((|IndexedString| . |Evalable|) NIL) ((|UnivariateTaylorSeries| . |UnivariateTaylorSeriesCategory|) 110707) ((|UnivariateTaylorSeries| . |UnivariatePowerSeriesCategory|) 110668) ((|Heap| . |SetCategory|) 110638) ((|UnivariatePuiseuxSeries| . |UnivariatePuiseuxSeriesConstructorCategory|) 110579) ((|FreeNilpotentLie| . |CoercibleTo|) 110553) ((|IndexedDirectProductOrderedAbelianMonoid| . |OrderedSet|) T) ((|SparseTable| . |Dictionary|) 110495) ((|UnivariatePuiseuxSeries| . |UnivariatePowerSeriesCategory|) 110454) ((|UnivariatePuiseuxSeries| . |UnivariatePuiseuxSeriesCategory|) 110438) ((|UnivariateLaurentSeries| . |UnivariateLaurentSeriesConstructorCategory|) 110380) ((|UnivariateLaurentSeries| . |UnivariatePowerSeriesCategory|) 110352) ((|UnivariateLaurentSeries| . |UnivariateLaurentSeriesCategory|) 110336) ((|UnivariateFormalPowerSeries| . |UnivariateTaylorSeriesCategory|) 110320) ((|UnivariateFormalPowerSeries| . |UnivariatePowerSeriesCategory|) 110281) ((|LocalAlgebra| . |CoercibleTo|) 110255) ((|SparseUnivariateTaylorSeries| . |ElementaryFunctionCategory|) 110204) ((|MachineFloat| . |PrincipalIdealDomain|) T) ((|SparseUnivariatePuiseuxSeries| . |ElementaryFunctionCategory|) 110153) ((|SparseUnivariateLaurentSeries| . |ElementaryFunctionCategory|) 110102) ((|SparseMultivariateTaylorSeries| . |ElementaryFunctionCategory|) 110051) ((|SimpleAlgebraicExtension| . |SetCategory|) T) ((|RightOpenIntervalRootCharacterization| . |SetCategory|) T) ((|AlgebraicNumber| . |ExpressionSpace|) T) ((|Expression| . |PartialDifferentialRing|) 110013) ((|ExponentialExpansion| . |PartialDifferentialRing|) NIL) ((|RightOpenIntervalRootCharacterization| . |RealRootCharacterizationCategory|) 109992) ((|SingleInteger| . |PatternMatchable|) 109969) ((|Octonion| . |Algebra|) 109953) ((|DifferentialSparseMultivariatePolynomial| . |LinearlyExplicitRingOver|) 109869) ((|DistributedMultivariatePolynomial| . |LinearlyExplicitRingOver|) 109785) ((|MachineInteger| . |RightModule|) 109772) ((|InnerSparseUnivariatePowerSeries| . |UnivariatePowerSeriesCategory|) 109744) ((|SingleInteger| . |RetractableTo|) 109721) ((|ExponentialOfUnivariatePuiseuxSeries| . |CommutativeRing|) 109627) ((|FiniteFieldExtension| . |SetCategory|) T) ((|FiniteFieldNormalBasisExtension| . |SetCategory|) T) ((|FiniteFieldCyclicGroupExtension| . |SetCategory|) T) ((|IndexedBits| . |OneDimensionalArrayAggregate|) 109604) ((|Set| . |Collection|) 109588) ((|MyExpression| . |EuclideanDomain|) 109555) ((|BinaryExpansion| . |SetCategory|) T) ((|BalancedPAdicInteger| . |RightModule|) 109542) ((|ModularField| . |Field|) T) ((|IndexedBits| . |IndexedAggregate|) 109507) ((|MachineInteger| . |BiModule|) 109492) ((|FortranTemplate| . |BasicType|) T) ((|SparseUnivariatePolynomialExpressions| . |PrincipalIdealDomain|) 109468) ((|AssociationList| . |StreamAggregate|) 109410) ((|BalancedPAdicInteger| . |BiModule|) 109395) ((|DoubleFloatVector| . |OrderedSet|) T) ((|ComplexDoubleFloatVector| . |OrderedSet|) 109343) ((|AssociatedLieAlgebra| . |Monad|) T) ((|AssociatedJordanAlgebra| . |Monad|) T) ((|OrderedDirectProduct| . |InnerEvalable|) 109262) ((|Result| . |Type|) T) ((|Point| . |Collection|) 109246) ((|IndexedList| . |BasicType|) 109183) ((|SequentialDifferentialPolynomial| . |UniqueFactorizationDomain|) 109133) ((|NewSparseUnivariatePolynomial| . |UniqueFactorizationDomain|) 109083) ((|NewSparseMultivariatePolynomial| . |UniqueFactorizationDomain|) 109033) ((|Asp12| . |Type|) T) ((|Pi| . |CoercibleTo|) 108965) ((|Pi| . |ConvertibleTo|) 108834) ((|SparseUnivariatePolynomial| . |GcdDomain|) 108729) ((|String| . |SetCategory|) T) ((|SquareMatrix| . |LeftModule|) 108703) ((|SequentialDifferentialPolynomial| . |IntegralDomain|) 108589) ((|HomogeneousDirectProduct| . |FullyRetractableTo|) 108550) ((|LaurentPolynomial| . |PrincipalIdealDomain|) 108526) ((|GeneralDistributedMultivariatePolynomial| . |UniqueFactorizationDomain|) 108476) ((|SparseMultivariatePolynomial| . |GcdDomain|) 108394) ((|NewSparseUnivariatePolynomial| . |IntegralDomain|) 108257) ((|FortranProgram| . |CoercibleTo|) 108231) ((|NewSparseMultivariatePolynomial| . |IntegralDomain|) 108117) ((|MultivariatePolynomial| . |Evalable|) 108104) ((|ThreeDimensionalMatrix| . |InnerEvalable|) 108023) ((|LiePolynomial| . |AbelianSemiGroup|) T) ((|LiePolynomial| . |AbelianGroup|) T) ((|GeneralDistributedMultivariatePolynomial| . |IntegralDomain|) 107909) ((|BalancedPAdicRational| . |PrincipalIdealDomain|) T) ((|BalancedPAdicRational| . |OrderedIntegralDomain|) NIL) ((|FiniteFieldExtensionByPolynomial| . |AbelianSemiGroup|) T) ((|FiniteFieldExtensionByPolynomial| . |AbelianGroup|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |AbelianSemiGroup|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |AbelianGroup|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |AbelianSemiGroup|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |AbelianGroup|) T) ((|DifferentialSparseMultivariatePolynomial| . |AbelianSemiGroup|) T) ((|DifferentialSparseMultivariatePolynomial| . |AbelianGroup|) T) ((|Asp74| . |FortranMatrixFunctionCategory|) T) ((|Asp74| . |FortranProgramCategory|) T) ((|DistributedMultivariatePolynomial| . |AbelianSemiGroup|) T) ((|DistributedMultivariatePolynomial| . |AbelianGroup|) T) ((|ThreeDimensionalViewport| . |CoercibleTo|) 107883) ((|TaylorSeries| . |SemiGroup|) T) ((|TaylorSeries| . |AbelianMonoid|) T) ((|SparseUnivariateLaurentSeries| . |Evalable|) 107684) ((|SparseMultivariateTaylorSeries| . |Evalable|) 107671) ((|SimpleAlgebraicExtension| . |Module|) 107494) ((|OrdinaryWeightedPolynomials| . |LeftModule|) 107441) ((|Point| . |PointCategory|) 107425) ((|PrimeField| . |AbelianGroup|) T) ((|EuclideanModularRing| . |CommutativeRing|) T) ((|PrimeField| . |AbelianSemiGroup|) T) ((|PAdicRationalConstructor| . |OrderedSet|) 107352) ((|PseudoAlgebraicClosureOfRationalNumber| . |CancellationAbelianMonoid|) T) ((|ModularField| . |SemiGroup|) T) ((|ModularField| . |AbelianMonoid|) T) ((|ListMultiDictionary| . |SetCategory|) 107322) ((|Library| . |KeyedDictionary|) 107292) ((|Library| . |SetCategory|) T) ((|InnerPrimeField| . |UniqueFactorizationDomain|) T) ((|InnerFiniteField| . |UniqueFactorizationDomain|) T) ((|InnerPrimeField| . |IntegralDomain|) T) ((|InnerFiniteField| . |IntegralDomain|) T) ((|FiniteFieldExtension| . |Module|) 107233) ((|FiniteFieldNormalBasisExtension| . |Module|) 107174) ((|FiniteFieldCyclicGroupExtension| . |Module|) 107115) ((|FortranExpression| . |RightModule|) 107099) ((|ContinuedFraction| . |BiModule|) 106964) ((|ContinuedFraction| . |RightModule|) 106879) ((|BinaryExpansion| . |Module|) 106813) ((|FortranExpression| . |BiModule|) 106792) ((|e04ucfAnnaType| . |SetCategory|) T) ((|e04nafAnnaType| . |SetCategory|) T) ((|e04mbfAnnaType| . |SetCategory|) T) ((|e04jafAnnaType| . |SetCategory|) T) ((|MachineInteger| . |Ring|) T) ((|e04gcfAnnaType| . |SetCategory|) T) ((|e04fdfAnnaType| . |SetCategory|) T) ((|e04dgfAnnaType| . |SetCategory|) T) ((|d03fafAnnaType| . |SetCategory|) T) ((|d03eefAnnaType| . |SetCategory|) T) ((|d02ejfAnnaType| . |SetCategory|) T) ((|Complex| . |TrigonometricFunctionCategory|) 106743) ((|Complex| . |TranscendentalFunctionCategory|) 106694) ((|d02cjfAnnaType| . |SetCategory|) T) ((|d02bhfAnnaType| . |SetCategory|) T) ((|BalancedPAdicInteger| . |Ring|) T) ((|d02bbfAnnaType| . |SetCategory|) T) ((|d01TransformFunctionType| . |SetCategory|) T) ((|MachineInteger| . |DifferentialRing|) T) ((|d01gbfAnnaType| . |SetCategory|) T) ((|d01fcfAnnaType| . |SetCategory|) T) ((|d01asfAnnaType| . |SetCategory|) T) ((|d01aqfAnnaType| . |SetCategory|) T) ((|d01apfAnnaType| . |SetCategory|) T) ((|d01anfAnnaType| . |SetCategory|) T) ((|d01amfAnnaType| . |SetCategory|) T) ((|d01alfAnnaType| . |SetCategory|) T) ((|d01akfAnnaType| . |SetCategory|) T) ((|d01ajfAnnaType| . |SetCategory|) T) ((|DirectProduct| . |BasicType|) 106386) ((|Complex| . |ArcHyperbolicFunctionCategory|) 106337) ((|Complex| . |ArcTrigonometricFunctionCategory|) 106288) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |CancellationAbelianMonoid|) T) ((|LinearOrdinaryDifferentialOperator2| . |RetractableTo|) 106132) ((|HomogeneousDirectProduct| . |Rng|) 106042) ((|SquareMatrix| . |Aggregate|) T) ((|SplitHomogeneousDirectProduct| . |SetCategory|) 105734) ((|StochasticDifferential| . |BasicType|) T) ((|LieSquareMatrix| . |HomogeneousAggregate|) 105718) ((|Asp34| . |Type|) T) ((|BasicFunctions| . |CoercibleTo|) 105692) ((|XRecursivePolynomial| . |CoercibleTo|) 105666) ((|FreeModule1| . |CoercibleTo|) 105640) ((|MultivariatePolynomial| . |Algebra|) 105403) ((|Interval| . |TrigonometricFunctionCategory|) T) ((|Interval| . |TranscendentalFunctionCategory|) T) ((|IndexedExponents| . |CoercibleTo|) 105377) ((|IndexedList| . |Evalable|) 105301) ((|IndexedBits| . |CoercibleTo|) 105275) ((|IndexedBits| . |ConvertibleTo|) 105250) ((|SparseUnivariateLaurentSeries| . |StepThrough|) NIL) ((|RegularTriangularSet| . |RegularTriangularSetCategory|) 105219) ((|RegularTriangularSet| . |SetCategory|) T) ((|RadixExpansion| . |BasicType|) T) ((|Partition| . |BasicType|) T) ((|PartialFraction| . |BasicType|) T) ((|PoincareBirkhoffWittLyndonBasis| . |RetractableTo|) 105188) ((|SquareMatrix| . |Monoid|) T) ((|RadicalFunctionField| . |LeftModule|) 105116) ((|GeneralTriangularSet| . |SetCategory|) T) ((|GeneralPolynomialSet| . |SetCategory|) T) ((|IntegrationResult| . |AbelianMonoid|) T) ((|Interval| . |ArcHyperbolicFunctionCategory|) T) ((|Interval| . |ArcTrigonometricFunctionCategory|) T) ((|FourierSeries| . |BasicType|) T) ((|RoutinesTable| . |Dictionary|) 105049) ((|SparseUnivariateTaylorSeries| . |Algebra|) 104893) ((|OrdinaryWeightedPolynomials| . |Monoid|) T) ((|MachineComplex| . |PrincipalIdealDomain|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |AbelianSemiGroup|) T) ((|IndexedDirectProductAbelianGroup| . |AbelianGroup|) T) ((|IndexedDirectProductAbelianGroup| . |AbelianSemiGroup|) T) ((|SparseUnivariatePuiseuxSeries| . |Algebra|) 104681) ((|FortranExpression| . |Ring|) T) ((|SparseUnivariateLaurentSeries| . |Algebra|) 104396) ((|SimpleAlgebraicExtension| . |CommutativeRing|) T) ((|ContinuedFraction| . |Ring|) T) ((|SparseMultivariateTaylorSeries| . |Algebra|) 104240) ((|ModMonic| . |AbelianMonoidRing|) 104201) ((|FiniteFieldExtension| . |CommutativeRing|) T) ((|FiniteFieldNormalBasisExtension| . |CommutativeRing|) T) ((|InnerIndexedTwoDimensionalArray| . |TwoDimensionalArrayCategory|) 104175) ((|IndexedTwoDimensionalArray| . |TwoDimensionalArrayCategory|) 104077) ((|FiniteFieldNormalBasis| . |ExtensionField|) 104046) ((|DoubleFloat| . |GcdDomain|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |EntireRing|) 103985) ((|FiniteFieldCyclicGroupExtension| . |CommutativeRing|) T) ((|ContinuedFraction| . |DivisionRing|) T) ((|UnivariateLaurentSeriesConstructor| . |OrderedSet|) 103854) ((|BinaryExpansion| . |CommutativeRing|) T) ((|PAdicRationalConstructor| . |QuotientFieldCategory|) 103838) ((|LinearOrdinaryDifferentialOperator| . |SemiGroup|) T) ((|InnerPrimeField| . |Field|) T) ((|InnerPrimeField| . |FiniteAlgebraicExtensionField|) 103825) ((|InnerFiniteField| . |FiniteAlgebraicExtensionField|) 103789) ((|InnerFiniteField| . |Field|) T) ((|Expression| . |EuclideanDomain|) 103756) ((|ExponentialExpansion| . |EuclideanDomain|) T) ((|IndexedVector| . |OrderedSet|) 103727) ((|SplitHomogeneousDirectProduct| . |Module|) 103656) ((|IndexedList| . |ExtensibleLinearAggregate|) 103640) ((|LinearOrdinaryDifferentialOperator| . |AbelianMonoid|) T) ((|Factored| . |DifferentialExtension|) 103624) ((|U16Matrix| . |BasicType|) T) ((|ExponentialExpansion| . |RealConstant|) NIL) ((|FiniteDivisor| . |AbelianMonoid|) T) ((|Divisor| . |AbelianMonoid|) T) ((|BalancedBinaryTree| . |RecursiveAggregate|) 103608) ((|AssociationList| . |AssociationListAggregate|) 103587) ((|Kernel| . |SetCategory|) T) ((|FiniteFieldNormalBasis| . |Finite|) T) ((|InnerAlgebraicNumber| . |AlgebraicallyClosedField|) T) ((|DirectProduct| . |Evalable|) 103511) ((|SequentialDifferentialPolynomial| . |SemiGroup|) T) ((|XPolynomialRing| . |LeftModule|) 103485) ((|NewSparseUnivariatePolynomial| . |SemiGroup|) T) ((|NewSparseMultivariatePolynomial| . |SemiGroup|) T) ((|GeneralDistributedMultivariatePolynomial| . |SemiGroup|) T) ((|RomanNumeral| . |GcdDomain|) T) ((|U8Matrix| . |SetCategory|) T) ((|Polynomial| . |GcdDomain|) 103403) ((|Bits| . |SetCategory|) T) ((|SequentialDifferentialPolynomial| . |AbelianMonoid|) T) ((|OrdinaryDifferentialRing| . |Rng|) T) ((|NewSparseUnivariatePolynomial| . |AbelianMonoid|) T) ((|NewSparseMultivariatePolynomial| . |AbelianMonoid|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |GcdDomain|) 103321) ((|StringTable| . |InnerEvalable|) 103005) ((|FreeModule1| . |FreeModuleCat|) 102984) ((|SymmetricPolynomial| . |FullyRetractableTo|) 102968) ((|GeneralModulePolynomial| . |AbelianMonoid|) T) ((|GeneralDistributedMultivariatePolynomial| . |AbelianMonoid|) T) ((|MyUnivariatePolynomial| . |FullyRetractableTo|) 102952) ((|MyExpression| . |ExpressionSpace|) T) ((|Heap| . |InnerEvalable|) 102871) ((|RadicalFunctionField| . |LeftOreRing|) T) ((|EuclideanModularRing| . |EntireRing|) T) ((|SingletonAsOrderedSet| . |CoercibleTo|) 102845) ((|Fraction| . |PolynomialFactorizationExplicit|) 102795) ((|AntiSymm| . |SemiGroup|) T) ((|RealClosure| . |PrincipalIdealDomain|) T) ((|RadicalFunctionField| . |Monoid|) T) ((|ModMonic| . |PatternMatchable|) NIL) ((|InnerPrimeField| . |SemiGroup|) T) ((|InnerFiniteField| . |SemiGroup|) T) ((|OrderedCompletion| . |LeftModule|) 102759) ((|TaylorSeries| . |CancellationAbelianMonoid|) T) ((|SparseUnivariateLaurentSeries| . |FullyPatternMatchable|) 102683) ((|RadixExpansion| . |Evalable|) NIL) ((|OrderedDirectProduct| . |HomogeneousAggregate|) 102667) ((|FiniteField| . |PrincipalIdealDomain|) T) ((|Stream| . |Aggregate|) T) ((|Fraction| . |LeftModule|) 102608) ((|AntiSymm| . |AbelianMonoid|) T) ((|ModularField| . |CancellationAbelianMonoid|) T) ((|ModMonic| . |RetractableTo|) 102418) ((|InnerPrimeField| . |AbelianMonoid|) T) ((|BinaryExpansion| . |InnerEvalable|) NIL) ((|InnerFiniteField| . |AbelianMonoid|) T) ((|Complex| . |FramedAlgebra|) 102366) ((|DoubleFloat| . |SpecialFunctionCategory|) T) ((|SplittingNode| . |SetCategory|) T) ((|XDistributedPolynomial| . |XAlgebra|) 102350) ((|MachineInteger| . |OrderedCancellationAbelianMonoid|) T) ((|MachineInteger| . |OrderedAbelianMonoid|) T) ((|Float| . |CharacteristicZero|) T) ((|SingleInteger| . |EuclideanDomain|) T) ((|UnivariateLaurentSeriesConstructor| . |QuotientFieldCategory|) 102317) ((|AlgebraicNumber| . |PrincipalIdealDomain|) T) ((|ThreeDimensionalMatrix| . |HomogeneousAggregate|) 102301) ((|DirectProductModule| . |VectorSpace|) 102268) ((|DirectProductMatrixModule| . |VectorSpace|) 102235) ((|Symbol| . |OrderedSet|) T) ((|SplitHomogeneousDirectProduct| . |CommutativeRing|) 102201) ((|SingleInteger| . |RealConstant|) T) ((|RegularChain| . |Aggregate|) T) ((|Operator| . |CharacteristicZero|) 102164) ((|Operator| . |CharacteristicNonZero|) 102124) ((|Multiset| . |BagAggregate|) 102108) ((|Kernel| . |CachableSet|) T) ((|HomogeneousDirectProduct| . |SetCategory|) 101800) ((|SymmetricPolynomial| . |Rng|) T) ((|PAdicRational| . |GcdDomain|) T) ((|Asp78| . |Type|) T) ((|DirectProduct| . |Algebra|) 101757) ((|CharacterClass| . |BagAggregate|) 101732) ((|Plcs| . |SetCategoryWithDegree|) T) ((|ModMonic| . |FullyLinearlyExplicitRingOver|) 101716) ((|MyUnivariatePolynomial| . |Rng|) T) ((|SingleInteger| . |IntegerNumberSystem|) T) ((|U16Matrix| . |Evalable|) NIL) ((|FreeNilpotentLie| . |RightModule|) 101700) ((|XPolynomialRing| . |Monoid|) T) ((|WeightedPolynomials| . |Rng|) T) ((|SparseUnivariatePolynomial| . |PolynomialCategory|) 101635) ((|Any| . |CoercibleTo|) 101609) ((|SparseMultivariatePolynomial| . |PolynomialCategory|) 101562) ((|LinearOrdinaryDifferentialOperator1| . |FullyRetractableTo|) 101546) ((|UnivariateTaylorSeries| . |BasicType|) T) ((|UnivariatePuiseuxSeries| . |BasicType|) T) ((|LocalAlgebra| . |RightModule|) 101530) ((|Localize| . |AbelianSemiGroup|) T) ((|Localize| . |AbelianGroup|) T) ((|String| . |InnerEvalable|) NIL) ((|UnivariateLaurentSeries| . |BasicType|) T) ((|U16Vector| . |Type|) T) ((|FreeNilpotentLie| . |BiModule|) 101509) ((|Dequeue| . |DequeueAggregate|) 101493) ((|UnivariateFormalPowerSeries| . |BasicType|) T) ((|RectangularMatrix| . |SetCategory|) T) ((|RadixExpansion| . |StepThrough|) T) ((|RectangularMatrix| . |RectangularMatrixCategory|) 101411) ((|OrderlyDifferentialVariable| . |SetCategory|) T) ((|FiniteFieldCyclicGroup| . |UniqueFactorizationDomain|) T) ((|AssociatedLieAlgebra| . |LeftModule|) 101395) ((|LocalAlgebra| . |BiModule|) 101374) ((|AssociatedJordanAlgebra| . |LeftModule|) 101358) ((|InnerTaylorSeries| . |BasicType|) T) ((|IntegrationResult| . |CancellationAbelianMonoid|) T) ((|InnerSparseUnivariatePowerSeries| . |BasicType|) T) ((|FramedModule| . |SetCategory|) T) ((|FreeModule| . |SetCategory|) T) ((|DenavitHartenbergMatrix| . |SetCategory|) 101328) ((|ListMultiDictionary| . |InnerEvalable|) 101247) ((|Library| . |InnerEvalable|) 100997) ((|OnePointCompletion| . |Ring|) 100967) ((|List| . |Collection|) 100951) ((|FiniteFieldCyclicGroup| . |IntegralDomain|) T) ((|ModMonic| . |PartialDifferentialRing|) 100849) ((|InnerTable| . |Dictionary|) 100791) ((|UnivariateTaylorSeries| . |ElementaryFunctionCategory|) 100740) ((|UnivariatePuiseuxSeries| . |ElementaryFunctionCategory|) 100689) ((|UnivariateLaurentSeries| . |ElementaryFunctionCategory|) 100638) ((|SimpleAlgebraicExtension| . |EntireRing|) 100572) ((|HexadecimalExpansion| . |OrderedRing|) T) ((|DeRhamComplex| . |SemiGroup|) T) ((|UnivariateFormalPowerSeries| . |ElementaryFunctionCategory|) 100521) ((|TaylorSeries| . |HyperbolicFunctionCategory|) 100470) ((|RadixExpansion| . |Algebra|) 100404) ((|DecimalExpansion| . |OrderedRing|) T) ((|Fraction| . |LeftOreRing|) T) ((|PartialFraction| . |Algebra|) 100345) ((|OrderedCompletion| . |OrderedAbelianSemiGroup|) 100315) ((|OrderedCompletion| . |OrderedAbelianGroup|) 100285) ((|OrderedCompletion| . |Monoid|) 100255) ((|FiniteFieldExtension| . |EntireRing|) T) ((|FiniteFieldNormalBasisExtension| . |EntireRing|) T) ((|FiniteFieldCyclicGroupExtension| . |EntireRing|) T) ((|Complex| . |GcdDomain|) 100156) ((|FourierSeries| . |Algebra|) 100140) ((|BinaryExpansion| . |EntireRing|) T) ((|DeRhamComplex| . |AbelianMonoid|) T) ((|Fraction| . |OrderedAbelianSemiGroup|) 100100) ((|Fraction| . |OrderedAbelianGroup|) 100060) ((|Fraction| . |Monoid|) T) ((|IndexedBits| . |EltableAggregate|) 100025) ((|Pi| . |RightModule|) 99979) ((|LinearOrdinaryDifferentialOperator| . |CancellationAbelianMonoid|) T) ((|SplitHomogeneousDirectProduct| . |InnerEvalable|) 99898) ((|FiniteDivisor| . |CancellationAbelianMonoid|) T) ((|Complex| . |FieldOfPrimeCharacteristic|) 99860) ((|Divisor| . |CancellationAbelianMonoid|) T) ((|HomogeneousDirectProduct| . |Module|) 99789) ((|OrderedDirectProduct| . |Eltable|) 99761) ((|Pi| . |BiModule|) 99688) ((|AffinePlane| . |AffineSpaceCategory|) 99672) ((|LinearOrdinaryDifferentialOperator1| . |Rng|) T) ((|UnivariatePolynomial| . |GcdDomain|) 99567) ((|SequentialDifferentialPolynomial| . |CancellationAbelianMonoid|) T) ((|DifferentialSparseMultivariatePolynomial| . |OrderedSet|) 99538) ((|DistributedMultivariatePolynomial| . |OrderedSet|) 99509) ((|NewSparseUnivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|NewSparseMultivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|Interval| . |GcdDomain|) T) ((|RectangularMatrix| . |Module|) 99438) ((|LocalAlgebra| . |Ring|) T) ((|RegularTriangularSet| . |InnerEvalable|) 99357) ((|GeneralModulePolynomial| . |CancellationAbelianMonoid|) T) ((|GeneralDistributedMultivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|AssociationList| . |SetCategory|) T) ((|FreeModule| . |Module|) 99314) ((|OrdinaryDifferentialRing| . |SetCategory|) T) ((|GeneralTriangularSet| . |InnerEvalable|) 99233) ((|GeneralPolynomialSet| . |InnerEvalable|) 99152) ((|GenericNonAssociativeAlgebra| . |FiniteRankNonAssociativeAlgebra|) 99108) ((|AssociationList| . |KeyedDictionary|) 99087) ((|Expression| . |ExpressionSpace|) T) ((|LieSquareMatrix| . |CoercibleTo|) 99037) ((|OneDimensionalArray| . |OrderedSet|) 99008) ((|UnivariateLaurentSeries| . |Evalable|) 98827) ((|RadixExpansion| . |FullyPatternMatchable|) 98804) ((|OrderedDirectProduct| . |IndexedAggregate|) 98776) ((|IndexedFlexibleArray| . |OrderedSet|) 98747) ((|IndexedOneDimensionalArray| . |OrderedSet|) 98718) ((|AlgebraicFunctionField| . |UniqueFactorizationDomain|) T) ((|Quaternion| . |RetractableTo|) 98562) ((|AntiSymm| . |CancellationAbelianMonoid|) T) ((|InnerPrimeField| . |CancellationAbelianMonoid|) T) ((|InnerFiniteField| . |CancellationAbelianMonoid|) T) ((|Equation| . |LeftModule|) 98386) ((|FiniteFieldCyclicGroup| . |FiniteAlgebraicExtensionField|) 98355) ((|FiniteFieldCyclicGroup| . |Field|) T) ((|FreeAbelianGroup| . |FreeAbelianMonoidCategory|) 98327) ((|ExponentialOfUnivariatePuiseuxSeries| . |Eltable|) 98312) ((|AlgebraicFunctionField| . |IntegralDomain|) T) ((|Float| . |TranscendentalFunctionCategory|) T) ((|Float| . |TrigonometricFunctionCategory|) T) ((|Result| . |TableAggregate|) 98282) ((|Table| . |DictionaryOperations|) 98224) ((|SparseUnivariateLaurentSeries| . |DifferentialExtension|) 98148) ((|Result| . |BagAggregate|) 98081) ((|FortranCode| . |SetCategory|) T) ((|Float| . |ArcTrigonometricFunctionCategory|) T) ((|Float| . |ArcHyperbolicFunctionCategory|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |AbelianGroup|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |AbelianSemiGroup|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |AbelianSemiGroup|) T) ((|Pi| . |Ring|) T) ((|InfinitlyClosePoint| . |InfinitlyClosePointCategory|) 98025) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |AbelianGroup|) T) ((|HashTable| . |DictionaryOperations|) 97967) ((|StringTable| . |HomogeneousAggregate|) 97890) ((|XRecursivePolynomial| . |RightModule|) 97874) ((|FreeModule1| . |RightModule|) 97858) ((|Pi| . |DivisionRing|) T) ((|OrderlyDifferentialPolynomial| . |BasicType|) T) ((|ModuleOperator| . |CharacteristicZero|) 97821) ((|ModuleOperator| . |CharacteristicNonZero|) 97781) ((|Heap| . |HomogeneousAggregate|) 97765) ((|XRecursivePolynomial| . |BiModule|) 97744) ((|HyperellipticFiniteDivisor| . |FiniteDivisorCategory|) 97713) ((|Quaternion| . |FullyLinearlyExplicitRingOver|) 97697) ((|IndexedDirectProductObject| . |SetCategory|) T) ((|HomogeneousDirectProduct| . |CommutativeRing|) 97663) ((|Quaternion| . |FullyEvalableOver|) 97647) ((|FractionalIdeal| . |BasicType|) T) ((|FreeModule1| . |BiModule|) 97626) ((|ElementaryFunctionsUnivariatePuiseuxSeries| . |PartialTranscendentalFunctions|) 97610) ((|ElementaryFunctionsUnivariateLaurentSeries| . |PartialTranscendentalFunctions|) 97594) ((|DoubleFloatMatrix| . |Aggregate|) T) ((|ComplexDoubleFloatMatrix| . |Aggregate|) T) ((|U8Matrix| . |InnerEvalable|) NIL) ((|XPolynomial| . |CoercibleTo|) 97568) ((|XPBWPolynomial| . |CoercibleTo|) 97542) ((|Bits| . |InnerEvalable|) NIL) ((|SparseUnivariatePolynomial| . |UnivariatePolynomialCategory|) 97526) ((|SparseUnivariateSkewPolynomial| . |UnivariateSkewPolynomialCategory|) 97510) ((|SymmetricPolynomial| . |SetCategory|) T) ((|BalancedBinaryTree| . |Type|) T) ((|Polynomial| . |PolynomialCategory|) 97451) ((|MyUnivariatePolynomial| . |SetCategory|) T) ((|OrdinaryDifferentialRing| . |Module|) 97371) ((|UnivariateLaurentSeries| . |StepThrough|) NIL) ((|HomogeneousDistributedMultivariatePolynomial| . |PolynomialCategory|) 97263) ((|RomanNumeral| . |CombinatorialFunctionCategory|) T) ((|TwoDimensionalArray| . |BasicType|) 97233) ((|AlgebraGivenByStructuralConstants| . |CoercibleTo|) 97207) ((|Asp4| . |CoercibleTo|) 97181) ((|FiniteFieldNormalBasis| . |LeftModule|) 97107) ((|WeightedPolynomials| . |SetCategory|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |OrderedSet|) T) ((|FiniteFieldCyclicGroup| . |SemiGroup|) T) ((|EqTable| . |SetCategory|) T) ((|Quaternion| . |PartialDifferentialRing|) 97039) ((|EqTable| . |KeyedDictionary|) 97018) ((|UnivariateTaylorSeries| . |Algebra|) 96862) ((|UnivariatePuiseuxSeries| . |Algebra|) 96650) ((|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| . |SetCategoryWithDegree|) T) ((|UnivariateLaurentSeries| . |Algebra|) 96371) ((|HexadecimalExpansion| . |Rng|) T) ((|UnivariateFormalPowerSeries| . |Algebra|) 96215) ((|DecimalExpansion| . |Rng|) T) ((|FiniteFieldCyclicGroup| . |AbelianMonoid|) T) ((|CliffordAlgebra| . |CoercibleTo|) 96189) ((|OnePointCompletion| . |OrderedCancellationAbelianMonoid|) 96159) ((|OnePointCompletion| . |OrderedAbelianMonoid|) 96129) ((|MyExpression| . |PrincipalIdealDomain|) 96096) ((|InnerTaylorSeries| . |Algebra|) 96057) ((|InnerSparseUnivariatePowerSeries| . |Algebra|) 95901) ((|PAdicInteger| . |IntegralDomain|) T) ((|DeRhamComplex| . |CancellationAbelianMonoid|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |RadicalCategory|) 95850) ((|Asp50| . |CoercibleTo|) 95824) ((|ModMonic| . |EuclideanDomain|) 95800) ((|Equation| . |Monoid|) 95673) ((|OpenMathErrorKind| . |BasicType|) T) ((|OrderedVariableList| . |OrderedFinite|) T) ((|Equation| . |Group|) 95649) ((|XDistributedPolynomial| . |BasicType|) T) ((|AlgebraicFunctionField| . |Field|) T) ((|PAdicRationalConstructor| . |CharacteristicZero|) 95612) ((|AffinePlane| . |SetCategory|) T) ((|PAdicRationalConstructor| . |CharacteristicNonZero|) 95572) ((|String| . |HomogeneousAggregate|) 95547) ((|XRecursivePolynomial| . |Ring|) T) ((|HomogeneousDirectProduct| . |InnerEvalable|) 95466) ((|SquareFreeRegularTriangularSet| . |Type|) T) ((|Product| . |CoercibleTo|) 95440) ((|ListMultiDictionary| . |HomogeneousAggregate|) 95424) ((|Library| . |HomogeneousAggregate|) 95341) ((|OrderedDirectProduct| . |CoercibleTo|) 94990) ((|AlgebraicNumber| . |AlgebraicallyClosedField|) T) ((|SymmetricPolynomial| . |Module|) 94834) ((|LinearOrdinaryDifferentialOperator1| . |SetCategory|) T) ((|FortranTemplate| . |FileCategory|) 94799) ((|MyUnivariatePolynomial| . |Module|) 94539) ((|Set| . |BasicType|) T) ((|OrderlyDifferentialPolynomial| . |Evalable|) 94526) ((|OrderedVariableList| . |SetCategory|) T) ((|XPBWPolynomial| . |FreeModuleCat|) 94469) ((|RectangularMatrix| . |InnerEvalable|) 94388) ((|StringTable| . |Eltable|) 94361) ((|DirectProduct| . |DifferentialExtension|) 94329) ((|WeightedPolynomials| . |Module|) 94286) ((|OrdinaryDifferentialRing| . |CommutativeRing|) 94262) ((|FiniteFieldNormalBasis| . |LeftOreRing|) T) ((|DenavitHartenbergMatrix| . |InnerEvalable|) 94181) ((|LocalAlgebra| . |OrderedCancellationAbelianMonoid|) 94151) ((|LocalAlgebra| . |OrderedAbelianMonoid|) 94121) ((|Tuple| . |CoercibleTo|) 94040) ((|Dequeue| . |Type|) T) ((|ThreeDimensionalMatrix| . |CoercibleTo|) 93991) ((|Stream| . |RecursiveAggregate|) 93975) ((|FiniteFieldNormalBasis| . |Monoid|) T) ((|Point| . |BasicType|) 93912) ((|UnivariateLaurentSeries| . |FullyPatternMatchable|) 93842) ((|SplitHomogeneousDirectProduct| . |HomogeneousAggregate|) 93826) ((|TwoDimensionalArray| . |Evalable|) 93750) ((|FourierComponent| . |BasicType|) T) ((|TaylorSeries| . |AbelianGroup|) T) ((|TaylorSeries| . |AbelianSemiGroup|) T) ((|AlgebraicFunctionField| . |SemiGroup|) T) ((|ModularField| . |AbelianGroup|) T) ((|LieExponentials| . |CoercibleTo|) 93724) ((|InnerFreeAbelianMonoid| . |FreeAbelianMonoidCategory|) 93703) ((|ModularField| . |AbelianSemiGroup|) T) ((|BinaryExpansion| . |Eltable|) NIL) ((|PositiveInteger| . |SemiGroup|) T) ((|AlgebraicFunctionField| . |AbelianMonoid|) T) ((|NonNegativeInteger| . |SemiGroup|) T) ((|Integer| . |UniqueFactorizationDomain|) T) ((|InnerAlgebraicNumber| . |UniqueFactorizationDomain|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |CoercibleTo|) 93677) ((|RadixExpansion| . |DifferentialExtension|) 93654) ((|Complex| . |ComplexCategory|) 93638) ((|InnerPAdicInteger| . |IntegralDomain|) T) ((|Integer| . |IntegralDomain|) T) ((|InnerAlgebraicNumber| . |IntegralDomain|) T) ((|NonNegativeInteger| . |AbelianMonoid|) T) ((|UnivariatePuiseuxSeriesConstructor| . |CharacteristicZero|) 93601) ((|StringTable| . |IndexedAggregate|) 93574) ((|UnivariatePuiseuxSeriesConstructor| . |CharacteristicNonZero|) 93534) ((|RegularTriangularSet| . |HomogeneousAggregate|) 93518) ((|UnivariateLaurentSeriesConstructor| . |CharacteristicNonZero|) 93405) ((|UnivariateLaurentSeriesConstructor| . |CharacteristicZero|) 93298) ((|XDistributedPolynomial| . |XPolynomialsCat|) 93277) ((|GeneralTriangularSet| . |HomogeneousAggregate|) 93261) ((|GeneralPolynomialSet| . |HomogeneousAggregate|) 93245) ((|IndexedMatrix| . |Aggregate|) T) ((|LinearOrdinaryDifferentialOperator1| . |Module|) 93202) ((|Localize| . |OrderedSet|) 93164) ((|SymmetricPolynomial| . |CommutativeRing|) 93093) ((|File| . |BasicType|) T) ((|DirectProduct| . |DirectProductCategory|) 93072) ((|DirectProductModule| . |BasicType|) T) ((|DirectProductMatrixModule| . |BasicType|) T) ((|UnivariatePolynomial| . |PolynomialCategory|) 93007) ((|BinaryFile| . |BasicType|) T) ((|DataList| . |OrderedSet|) 92978) ((|OrderlyDifferentialPolynomial| . |Algebra|) 92741) ((|MyUnivariatePolynomial| . |CommutativeRing|) 92571) ((|AssociationList| . |InnerEvalable|) 92279) ((|String| . |Eltable|) 92242) ((|Database| . |SetCategory|) T) ((|SparseTable| . |SetCategory|) T) ((|Places| . |BasicType|) T) ((|SparseTable| . |KeyedDictionary|) 92221) ((|IntegrationResult| . |AbelianSemiGroup|) T) ((|IntegrationResult| . |AbelianGroup|) T) ((|Set| . |Evalable|) 92145) ((|PolynomialRing| . |FullyRetractableTo|) 92129) ((|MachineFloat| . |UniqueFactorizationDomain|) T) ((|Library| . |Eltable|) 92099) ((|SequentialDifferentialPolynomial| . |LinearlyExplicitRingOver|) 92015) ((|NewSparseUnivariatePolynomial| . |LinearlyExplicitRingOver|) 91931) ((|NewSparseMultivariatePolynomial| . |LinearlyExplicitRingOver|) 91847) ((|FiniteFieldCyclicGroup| . |CancellationAbelianMonoid|) T) ((|EuclideanModularRing| . |CoercibleTo|) 91821) ((|Places| . |PlacesCategory|) 91764) ((|MachineFloat| . |IntegralDomain|) T) ((|Permutation| . |SetCategory|) T) ((|PAdicInteger| . |SemiGroup|) T) ((|GeneralDistributedMultivariatePolynomial| . |LinearlyExplicitRingOver|) 91680) ((|Permutation| . |PermutationCategory|) 91664) ((|PseudoAlgebraicClosureOfFiniteField| . |PseudoAlgebraicClosureOfFiniteFieldCategory|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |PseudoAlgebraicClosureOfPerfectFieldCategory|) T) ((|Point| . |Evalable|) 91588) ((|Float| . |GcdDomain|) T) ((|PAdicInteger| . |AbelianMonoid|) T) ((|HexadecimalExpansion| . |SetCategory|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |CharacteristicNonZero|) T) ((|MachineInteger| . |LeftModule|) 91575) ((|PseudoAlgebraicClosureOfFiniteField| . |CharacteristicZero|) 91538) ((|DecimalExpansion| . |SetCategory|) T) ((|Expression| . |PrincipalIdealDomain|) 91505) ((|ExponentialExpansion| . |PrincipalIdealDomain|) T) ((|ExponentialExpansion| . |OrderedIntegralDomain|) NIL) ((|FreeNilpotentLie| . |Monad|) T) ((|NeitherSparseOrDensePowerSeries| . |CharacteristicNonZero|) 91465) ((|NeitherSparseOrDensePowerSeries| . |CharacteristicZero|) 91428) ((|U8Matrix| . |HomogeneousAggregate|) 91405) ((|BalancedPAdicInteger| . |LeftModule|) 91392) ((|GeneralUnivariatePowerSeries| . |CharacteristicNonZero|) 91352) ((|Factored| . |FullyRetractableTo|) 91336) ((|GeneralUnivariatePowerSeries| . |CharacteristicZero|) 91299) ((|Bits| . |HomogeneousAggregate|) 91276) ((|SparseUnivariatePolynomialExpressions| . |UniqueFactorizationDomain|) 91226) ((|Record| . |CoercibleTo|) 91200) ((|String| . |OneDimensionalArrayAggregate|) 91175) ((|SparseUnivariatePolynomialExpressions| . |IntegralDomain|) 91038) ((|String| . |IndexedAggregate|) 91001) ((|LinearOrdinaryDifferentialOperator| . |AbelianGroup|) T) ((|LinearOrdinaryDifferentialOperator| . |AbelianSemiGroup|) T) ((|IndexedString| . |StringAggregate|) T) ((|SplitHomogeneousDirectProduct| . |Eltable|) 90973) ((|FiniteDivisor| . |AbelianSemiGroup|) T) ((|FiniteDivisor| . |AbelianGroup|) T) ((|Divisor| . |AbelianSemiGroup|) T) ((|Divisor| . |AbelianGroup|) T) ((|InnerAlgebraicNumber| . |Field|) T) ((|XDistributedPolynomial| . |Algebra|) 90930) ((|SquareMatrix| . |Type|) T) ((|Library| . |IndexedAggregate|) 90900) ((|SequentialDifferentialPolynomial| . |AbelianSemiGroup|) T) ((|SequentialDifferentialPolynomial| . |AbelianGroup|) T) ((|PolynomialRing| . |Rng|) T) ((|MyUnivariatePolynomial| . |InnerEvalable|) 90810) ((|IndexedExponents| . |OrderedAbelianMonoid|) T) ((|IndexedExponents| . |OrderedCancellationAbelianMonoid|) T) ((|BalancedPAdicRational| . |UniqueFactorizationDomain|) T) ((|DirichletRing| . |BasicType|) T) ((|LaurentPolynomial| . |IntegralDomain|) T) ((|NewSparseUnivariatePolynomial| . |AbelianSemiGroup|) T) ((|NewSparseUnivariatePolynomial| . |AbelianGroup|) T) ((|NewSparseMultivariatePolynomial| . |AbelianGroup|) T) ((|NewSparseMultivariatePolynomial| . |AbelianSemiGroup|) T) ((|MonoidRing| . |Rng|) T) ((|ModularRing| . |Rng|) T) ((|LieSquareMatrix| . |RightModule|) 90794) ((|GeneralModulePolynomial| . |AbelianSemiGroup|) T) ((|BalancedPAdicRational| . |IntegralDomain|) T) ((|GeneralModulePolynomial| . |AbelianGroup|) T) ((|GeneralDistributedMultivariatePolynomial| . |AbelianSemiGroup|) T) ((|GeneralDistributedMultivariatePolynomial| . |AbelianGroup|) T) ((|SquareMatrix| . |RetractableTo|) 90638) ((|OrdinaryDifferentialRing| . |EntireRing|) 90614) ((|MyExpression| . |FunctionSpace|) 90598) ((|OpenMathEncoding| . |SetCategory|) T) ((|XPolynomial| . |RightModule|) 90582) ((|XPBWPolynomial| . |RightModule|) 90566) ((|LieSquareMatrix| . |BiModule|) 90545) ((|EqTable| . |InnerEvalable|) 90253) ((|UnivariatePuiseuxSeriesConstructor| . |TranscendentalFunctionCategory|) 90202) ((|UnivariatePuiseuxSeriesConstructor| . |TrigonometricFunctionCategory|) 90151) ((|UniversalSegment| . |BasicType|) 90121) ((|DirectProductModule| . |Evalable|) 90045) ((|DirectProductMatrixModule| . |Evalable|) 89969) ((|UnivariateLaurentSeries| . |DifferentialExtension|) 89899) ((|StringTable| . |ConvertibleTo|) NIL) ((|StringTable| . |CoercibleTo|) 89873) ((|UnivariateLaurentSeriesConstructor| . |TranscendentalFunctionCategory|) 89822) ((|UnivariateLaurentSeriesConstructor| . |TrigonometricFunctionCategory|) 89771) ((|SquareMatrix| . |FullyLinearlyExplicitRingOver|) 89755) ((|SingleInteger| . |OrderedIntegralDomain|) T) ((|SingleInteger| . |PrincipalIdealDomain|) T) ((|SplitHomogeneousDirectProduct| . |IndexedAggregate|) 89727) ((|SimpleAlgebraicExtension| . |ConvertibleTo|) 89711) ((|SimpleAlgebraicExtension| . |CoercibleTo|) 89685) ((|RightOpenIntervalRootCharacterization| . |CoercibleTo|) 89659) ((|InfinitlyClosePoint| . |BasicType|) T) ((|Heap| . |CoercibleTo|) 89610) ((|OrderedDirectProduct| . |EltableAggregate|) 89582) ((|KeyedAccessFile| . |Collection|) 89518) ((|Factored| . |Rng|) T) ((|HexadecimalExpansion| . |Module|) 89452) ((|HomogeneousDirectProduct| . |HomogeneousAggregate|) 89436) ((|FlexibleArray| . |OrderedSet|) 89407) ((|FortranExpression| . |LeftModule|) 89381) ((|AntiSymm| . |AbelianGroup|) T) ((|AntiSymm| . |AbelianSemiGroup|) T) ((|DecimalExpansion| . |Module|) 89315) ((|Complex| . |MonogenicAlgebra|) 89263) ((|ContinuedFraction| . |LeftModule|) 89178) ((|InnerPrimeField| . |AbelianGroup|) T) ((|InnerPrimeField| . |AbelianSemiGroup|) T) ((|InnerFiniteField| . |AbelianSemiGroup|) T) ((|InnerFiniteField| . |AbelianGroup|) T) ((|GeneralSparseTable| . |Collection|) 89120) ((|MachineInteger| . |LeftOreRing|) T) ((|QuadraticForm| . |BasicType|) T) ((|OutputForm| . |BasicType|) T) ((|Octonion| . |FullyRetractableTo|) 89076) ((|AlgebraicFunctionField| . |CancellationAbelianMonoid|) T) ((|d03fafAnnaType| . |PartialDifferentialEquationsSolverCategory|) T) ((|MachineFloat| . |Field|) T) ((|MachineInteger| . |OrderedAbelianSemiGroup|) T) ((|MachineInteger| . |OrderedAbelianGroup|) T) ((|InnerPAdicInteger| . |SemiGroup|) T) ((|Integer| . |SemiGroup|) T) ((|BalancedPAdicInteger| . |LeftOreRing|) T) ((|InnerAlgebraicNumber| . |SemiGroup|) T) ((|MachineInteger| . |Monoid|) T) ((|FiniteFieldExtension| . |CoercibleTo|) 89050) ((|FiniteFieldNormalBasisExtension| . |CoercibleTo|) 89024) ((|FiniteFieldCyclicGroupExtension| . |CoercibleTo|) 88998) ((|Asp24| . |FortranFunctionCategory|) T) ((|Asp24| . |FortranProgramCategory|) T) ((|BinaryExpansion| . |ConvertibleTo|) 88899) ((|BinaryExpansion| . |CoercibleTo|) 88873) ((|d03eefAnnaType| . |PartialDifferentialEquationsSolverCategory|) T) ((|PrimitiveArray| . |Collection|) 88857) ((|UnivariatePuiseuxSeriesConstructor| . |ArcTrigonometricFunctionCategory|) 88806) ((|NonNegativeInteger| . |CancellationAbelianMonoid|) T) ((|CardinalNumber| . |Monoid|) T) ((|BalancedPAdicInteger| . |Monoid|) T) ((|UnivariatePuiseuxSeriesConstructor| . |ArcHyperbolicFunctionCategory|) 88755) ((|RectangularMatrix| . |HomogeneousAggregate|) 88739) ((|InnerPAdicInteger| . |AbelianMonoid|) T) ((|Integer| . |AbelianMonoid|) T) ((|InnerAlgebraicNumber| . |AbelianMonoid|) T) ((|UnivariateLaurentSeriesConstructor| . |ArcTrigonometricFunctionCategory|) 88688) ((|UnivariateLaurentSeriesConstructor| . |ArcHyperbolicFunctionCategory|) 88637) ((|SparseUnivariatePolynomial| . |BasicType|) T) ((|SparseMultivariatePolynomial| . |BasicType|) T) ((|SparseUnivariateSkewPolynomial| . |BasicType|) T) ((|DenavitHartenbergMatrix| . |HomogeneousAggregate|) 88621) ((|XPolynomial| . |BiModule|) 88600) ((|XPBWPolynomial| . |BiModule|) 88579) ((|AlgebraGivenByStructuralConstants| . |RightModule|) 88563) ((|UnivariatePolynomial| . |UnivariatePolynomialCategory|) 88547) ((|UnivariateSkewPolynomial| . |UnivariateSkewPolynomialCategory|) 88531) ((|SymmetricPolynomial| . |EntireRing|) 88498) ((|Bits| . |Eltable|) 88463) ((|SquareMatrix| . |PartialDifferentialRing|) 88395) ((|AlgebraGivenByStructuralConstants| . |BiModule|) 88374) ((|MyUnivariatePolynomial| . |EntireRing|) 88237) ((|XPolynomial| . |Ring|) T) ((|LieSquareMatrix| . |Ring|) T) ((|SparseUnivariateLaurentSeries| . |OrderedRing|) NIL) ((|String| . |ConvertibleTo|) NIL) ((|String| . |CoercibleTo|) 88211) ((|RoutinesTable| . |KeyedDictionary|) 88181) ((|RoutinesTable| . |SetCategory|) T) ((|Asp35| . |FortranVectorFunctionCategory|) T) ((|Asp35| . |FortranProgramCategory|) T) ((|LieSquareMatrix| . |DifferentialRing|) 88146) ((|CliffordAlgebra| . |RightModule|) 88130) ((|Interval| . |IntervalCategory|) 88114) ((|FiniteFieldExtensionByPolynomial| . |CharacteristicZero|) 88077) ((|FiniteFieldExtensionByPolynomial| . |CharacteristicNonZero|) 88008) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |CharacteristicZero|) 87971) ((|MakeCachableSet| . |SetCategory|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |CharacteristicNonZero|) 87902) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |CharacteristicZero|) 87865) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |CharacteristicNonZero|) 87796) ((|DifferentialSparseMultivariatePolynomial| . |CharacteristicNonZero|) 87756) ((|DifferentialSparseMultivariatePolynomial| . |CharacteristicZero|) 87719) ((|DirectProductModule| . |Algebra|) 87676) ((|DistributedMultivariatePolynomial| . |CharacteristicZero|) 87639) ((|BalancedPAdicRational| . |Field|) T) ((|DistributedMultivariatePolynomial| . |CharacteristicNonZero|) 87599) ((|DirectProductMatrixModule| . |Algebra|) 87556) ((|CliffordAlgebra| . |BiModule|) 87535) ((|RadicalFunctionField| . |RetractableTo|) 87340) ((|PlacesOverPseudoAlgebraicClosureOfFiniteField| . |SetCategoryWithDegree|) T) ((|MachineComplex| . |UniqueFactorizationDomain|) T) ((|Octonion| . |Rng|) T) ((|MachineFloat| . |SemiGroup|) T) ((|XPBWPolynomial| . |Ring|) T) ((|SparseUnivariatePolynomialExpressions| . |SemiGroup|) T) ((|Stream| . |Type|) T) ((|RadicalFunctionField| . |FullyLinearlyExplicitRingOver|) 87311) ((|PrimeField| . |CharacteristicNonZero|) T) ((|PrimeField| . |CharacteristicZero|) 87277) ((|PAdicInteger| . |CancellationAbelianMonoid|) T) ((|OrderedDirectProduct| . |RightModule|) 87147) ((|MachineFloat| . |AbelianMonoid|) T) ((|MachineComplex| . |IntegralDomain|) T) ((|ListMultiDictionary| . |CoercibleTo|) 87098) ((|ListMultiDictionary| . |ConvertibleTo|) 87034) ((|Library| . |ConvertibleTo|) NIL) ((|Library| . |CoercibleTo|) 87008) ((|HexadecimalExpansion| . |CommutativeRing|) T) ((|DeRhamComplex| . |AbelianGroup|) T) ((|ContinuedFraction| . |LeftOreRing|) T) ((|DeRhamComplex| . |AbelianSemiGroup|) T) ((|DecimalExpansion| . |CommutativeRing|) T) ((|GeneralUnivariatePowerSeries| . |TrigonometricFunctionCategory|) 86957) ((|GeneralUnivariatePowerSeries| . |TranscendentalFunctionCategory|) 86906) ((|e04ucfAnnaType| . |CoercibleTo|) 86880) ((|e04nafAnnaType| . |CoercibleTo|) 86854) ((|e04mbfAnnaType| . |CoercibleTo|) 86828) ((|e04jafAnnaType| . |CoercibleTo|) 86802) ((|e04gcfAnnaType| . |CoercibleTo|) 86776) ((|IndexedBits| . |LinearAggregate|) 86753) ((|e04fdfAnnaType| . |CoercibleTo|) 86727) ((|FortranExpression| . |Monoid|) T) ((|e04dgfAnnaType| . |CoercibleTo|) 86701) ((|Bits| . |OneDimensionalArrayAggregate|) 86678) ((|ContinuedFraction| . |Monoid|) T) ((|IndexedBits| . |FiniteLinearAggregate|) 86655) ((|d03fafAnnaType| . |CoercibleTo|) 86629) ((|IndexedList| . |StreamAggregate|) 86613) ((|IndexedBits| . |BitAggregate|) T) ((|Bits| . |IndexedAggregate|) 86578) ((|d03eefAnnaType| . |CoercibleTo|) 86552) ((|GeneralUnivariatePowerSeries| . |ArcHyperbolicFunctionCategory|) 86501) ((|GeneralUnivariatePowerSeries| . |ArcTrigonometricFunctionCategory|) 86450) ((|d02ejfAnnaType| . |CoercibleTo|) 86424) ((|d02cjfAnnaType| . |CoercibleTo|) 86398) ((|d02bhfAnnaType| . |CoercibleTo|) 86372) ((|d02bbfAnnaType| . |CoercibleTo|) 86346) ((|d01TransformFunctionType| . |CoercibleTo|) 86320) ((|d01gbfAnnaType| . |CoercibleTo|) 86294) ((|d01fcfAnnaType| . |CoercibleTo|) 86268) ((|d01asfAnnaType| . |CoercibleTo|) 86242) ((|d01aqfAnnaType| . |CoercibleTo|) 86216) ((|d01apfAnnaType| . |CoercibleTo|) 86190) ((|d01anfAnnaType| . |CoercibleTo|) 86164) ((|InputForm| . |SExpressionCategory|) 86088) ((|d01amfAnnaType| . |CoercibleTo|) 86062) ((|d01alfAnnaType| . |CoercibleTo|) 86036) ((|AssociationList| . |HomogeneousAggregate|) 85965) ((|d01akfAnnaType| . |CoercibleTo|) 85939) ((|d01ajfAnnaType| . |CoercibleTo|) 85913) ((|SparseUnivariatePolynomialExpressions| . |AbelianMonoid|) T) ((|OrderedDirectProduct| . |BiModule|) 85776) ((|List| . |BasicType|) 85713) ((|HomogeneousDirectProduct| . |Eltable|) 85685) ((|SplitHomogeneousDirectProduct| . |CoercibleTo|) 85334) ((|SetOfMIntegersInOneToN| . |SetCategory|) T) ((|RegularChain| . |Type|) T) ((|LaurentPolynomial| . |SemiGroup|) T) ((|XPolynomialRing| . |RetractableTo|) 85318) ((|SparseUnivariatePolynomial| . |Evalable|) 85305) ((|SparseMultivariatePolynomial| . |Evalable|) 85292) ((|BalancedPAdicRational| . |SemiGroup|) T) ((|U8Matrix| . |MatrixCategory|) 85243) ((|OrderedFreeMonoid| . |BasicType|) T) ((|LaurentPolynomial| . |AbelianMonoid|) T) ((|SparseTable| . |InnerEvalable|) 84951) ((|FreeMonoid| . |BasicType|) T) ((|FreeAbelianMonoid| . |BasicType|) T) ((|RadicalFunctionField| . |PartialDifferentialRing|) 84870) ((|PolynomialRing| . |SetCategory|) T) ((|CliffordAlgebra| . |Ring|) T) ((|MultivariatePolynomial| . |FullyRetractableTo|) 84854) ((|BalancedPAdicRational| . |AbelianMonoid|) T) ((|MonoidRing| . |SetCategory|) T) ((|ModularRing| . |SetCategory|) T) ((|MakeCachableSet| . |CachableSet|) T) ((|GenericNonAssociativeAlgebra| . |SetCategory|) T) ((|Expression| . |FunctionSpace|) 84838) ((|Fraction| . |Type|) T) ((|RegularTriangularSet| . |ConvertibleTo|) 84774) ((|RegularTriangularSet| . |CoercibleTo|) 84726) ((|RealClosure| . |UniqueFactorizationDomain|) T) ((|DoubleFloat| . |BasicType|) T) ((|DirichletRing| . |Algebra|) 84646) ((|OrderlyDifferentialPolynomial| . |DifferentialExtension|) 84630) ((|RealClosure| . |IntegralDomain|) T) ((|OnePointCompletion| . |LeftModule|) 84594) ((|FiniteField| . |UniqueFactorizationDomain|) T) ((|GeneralTriangularSet| . |CoercibleTo|) 84546) ((|GeneralTriangularSet| . |ConvertibleTo|) 84482) ((|GeneralPolynomialSet| . |ConvertibleTo|) 84418) ((|GeneralPolynomialSet| . |CoercibleTo|) 84370) ((|Fraction| . |Patternable|) 84354) ((|ExponentialOfUnivariatePuiseuxSeries| . |RightModule|) 84136) ((|Fraction| . |PatternMatchable|) 84017) ((|OrderedCompletion| . |RetractableTo|) 83861) ((|HexadecimalExpansion| . |InnerEvalable|) NIL) ((|HomogeneousDirectProduct| . |IndexedAggregate|) 83833) ((|FiniteField| . |IntegralDomain|) T) ((|DecimalExpansion| . |InnerEvalable|) NIL) ((|PAdicRationalConstructor| . |GcdDomain|) T) ((|Factored| . |SetCategory|) T) ((|Fraction| . |RetractableTo|) 83635) ((|ExponentialOfUnivariatePuiseuxSeries| . |BiModule|) 83385) ((|MachineComplex| . |Field|) T) ((|DoubleFloat| . |ElementaryFunctionCategory|) T) ((|AlgebraicNumber| . |UniqueFactorizationDomain|) T) ((|OrderedDirectProduct| . |Ring|) 83295) ((|InnerPAdicInteger| . |CancellationAbelianMonoid|) T) ((|Integer| . |CancellationAbelianMonoid|) T) ((|InnerAlgebraicNumber| . |CancellationAbelianMonoid|) T) ((|AlgebraicNumber| . |IntegralDomain|) T) ((|StringTable| . |EltableAggregate|) 83268) ((|SparseUnivariatePolynomial| . |StepThrough|) 83238) ((|Expression| . |AlgebraicallyClosedField|) 83205) ((|RomanNumeral| . |BasicType|) T) ((|OrderedDirectProduct| . |DifferentialRing|) 83142) ((|DirectProduct| . |OrderedRing|) 83112) ((|Polynomial| . |BasicType|) T) ((|ModuleMonomial| . |BasicType|) T) ((|EqTable| . |HomogeneousAggregate|) 83041) ((|HomogeneousDistributedMultivariatePolynomial| . |BasicType|) T) ((|MultivariatePolynomial| . |Rng|) T) ((|Kernel| . |CoercibleTo|) 83015) ((|Kernel| . |ConvertibleTo|) 82793) ((|Fraction| . |FullyLinearlyExplicitRingOver|) 82777) ((|Fraction| . |FullyEvalableOver|) 82761) ((|SparseUnivariatePolynomial| . |Algebra|) 82501) ((|SparseMultivariatePolynomial| . |Algebra|) 82264) ((|SparseUnivariateSkewPolynomial| . |Algebra|) 82221) ((|FreeNilpotentLie| . |LeftModule|) 82205) ((|List| . |Evalable|) 82129) ((|U8Matrix| . |CoercibleTo|) 82103) ((|PolynomialRing| . |Module|) 81947) ((|MonoidRing| . |Module|) 81904) ((|Dequeue| . |BagAggregate|) 81888) ((|AssociationList| . |Eltable|) 81800) ((|LocalAlgebra| . |LeftModule|) 81774) ((|Exit| . |SetCategory|) T) ((|EuclideanModularRing| . |RightModule|) 81761) ((|Bits| . |CoercibleTo|) 81735) ((|Bits| . |ConvertibleTo|) 81710) ((|GenericNonAssociativeAlgebra| . |Module|) 81666) ((|OrderlyDifferentialPolynomial| . |DifferentialPolynomialCategory|) 81532) ((|Matrix| . |SetCategory|) 81502) ((|InnerTable| . |SetCategory|) T) ((|SparseUnivariateTaylorSeries| . |Rng|) T) ((|SparseUnivariatePuiseuxSeries| . |Rng|) T) ((|EuclideanModularRing| . |BiModule|) 81487) ((|SparseUnivariateLaurentSeries| . |Rng|) T) ((|SparseMultivariateTaylorSeries| . |Rng|) T) ((|InnerTable| . |KeyedDictionary|) 81466) ((|RadixExpansion| . |OrderedRing|) T) ((|DenavitHartenbergMatrix| . |MatrixCategory|) 81418) ((|MachineComplex| . |SemiGroup|) T) ((|TaylorSeries| . |MultivariateTaylorSeriesCategory|) 81391) ((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| . |ProjectiveSpaceCategory|) 81335) ((|ExponentialOfUnivariatePuiseuxSeries| . |Ring|) T) ((|FiniteFieldCyclicGroup| . |AbelianSemiGroup|) T) ((|FiniteFieldCyclicGroup| . |AbelianGroup|) T) ((|Fraction| . |PartialDifferentialRing|) 81267) ((|Asp28| . |Type|) T) ((|OnePointCompletion| . |OrderedAbelianSemiGroup|) 81237) ((|Factored| . |Module|) 81211) ((|Octonion| . |SetCategory|) T) ((|OnePointCompletion| . |OrderedAbelianGroup|) 81181) ((|MachineFloat| . |CancellationAbelianMonoid|) T) ((|ModMonic| . |PrincipalIdealDomain|) 81157) ((|MachineComplex| . |AbelianMonoid|) T) ((|HexadecimalExpansion| . |EntireRing|) T) ((|OnePointCompletion| . |Monoid|) 81127) ((|ExponentialOfUnivariatePuiseuxSeries| . |DifferentialRing|) 81062) ((|ExponentialOfUnivariatePuiseuxSeries| . |DivisionRing|) 81038) ((|DecimalExpansion| . |EntireRing|) T) ((|RealClosure| . |Field|) T) ((|UnivariatePuiseuxSeriesConstructor| . |GcdDomain|) 81014) ((|UnivariateLaurentSeriesConstructor| . |GcdDomain|) 80990) ((|FiniteField| . |FiniteAlgebraicExtensionField|) 80959) ((|FiniteField| . |Field|) T) ((|SplittingNode| . |CoercibleTo|) 80933) ((|AssociationList| . |UnaryRecursiveAggregate|) 80875) ((|PAdicRational| . |BasicType|) T) ((|List| . |ExtensibleLinearAggregate|) 80859) ((|MachineFloat| . |RealNumberSystem|) T) ((|Pi| . |LeftModule|) 80813) ((|GraphImage| . |SetCategory|) T) ((|AssociationList| . |IndexedAggregate|) 80725) ((|String| . |EltableAggregate|) 80688) ((|SparseUnivariatePolynomialExpressions| . |CancellationAbelianMonoid|) T) ((|AlgebraicFunctionField| . |LinearlyExplicitRingOver|) 80578) ((|AlgebraicNumber| . |Field|) T) ((|SimpleFortranProgram| . |CoercibleTo|) 80552) ((|SequentialDifferentialPolynomial| . |OrderedSet|) 80523) ((|Library| . |EltableAggregate|) 80493) ((|U32Matrix| . |SetCategory|) T) ((|Polynomial| . |Evalable|) 80480) ((|NewSparseUnivariatePolynomial| . |OrderedSet|) 80451) ((|NewSparseMultivariatePolynomial| . |OrderedSet|) 80422) ((|GeneralDistributedMultivariatePolynomial| . |OrderedSet|) 80393) ((|HomogeneousDirectProduct| . |CoercibleTo|) 80042) ((|DirectProduct| . |FullyRetractableTo|) 80003) ((|DoubleFloatMatrix| . |Type|) T) ((|ComplexDoubleFloatMatrix| . |Type|) T) ((|DoubleFloatVector| . |Collection|) 79976) ((|ComplexDoubleFloatVector| . |Collection|) 79937) ((|Asp20| . |Type|) T) ((|MyUnivariatePolynomial| . |Eltable|) 79840) ((|LaurentPolynomial| . |CancellationAbelianMonoid|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |Evalable|) 79827) ((|RoutinesTable| . |InnerEvalable|) 79577) ((|EuclideanModularRing| . |Ring|) T) ((|BalancedPAdicRational| . |CancellationAbelianMonoid|) T) ((|GenericNonAssociativeAlgebra| . |NonAssociativeRng|) T) ((|PolynomialRing| . |CommutativeRing|) 79506) ((|SuchThat| . |SetCategory|) T) ((|SplitHomogeneousDirectProduct| . |EltableAggregate|) 79478) ((|SimpleAlgebraicExtension| . |RightModule|) 79360) ((|LocalAlgebra| . |OrderedAbelianSemiGroup|) 79330) ((|IndexedString| . |SetCategory|) T) ((|LocalAlgebra| . |OrderedAbelianGroup|) 79300) ((|LocalAlgebra| . |Monoid|) T) ((|EqTable| . |Eltable|) 79279) ((|Equation| . |Type|) T) ((|RectangularMatrix| . |CoercibleTo|) 79229) ((|RectangularMatrix| . |ConvertibleTo|) 79165) ((|RealClosure| . |SemiGroup|) T) ((|Complex| . |BasicType|) T) ((|ExtAlgBasis| . |OrderedSet|) T) ((|Set| . |Dictionary|) 79149) ((|OrderlyDifferentialVariable| . |CoercibleTo|) 79123) ((|SimpleAlgebraicExtension| . |BiModule|) 78973) ((|RadicalFunctionField| . |EuclideanDomain|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |GcdDomain|) T) ((|Octonion| . |Module|) 78957) ((|FiniteFieldExtension| . |RightModule|) 78898) ((|FiniteField| . |SemiGroup|) T) ((|FiniteFieldNormalBasisExtension| . |RightModule|) 78839) ((|FramedModule| . |CoercibleTo|) 78813) ((|FreeModule| . |CoercibleTo|) 78787) ((|FiniteFieldCyclicGroupExtension| . |RightModule|) 78728) ((|DenavitHartenbergMatrix| . |CoercibleTo|) 78679) ((|RealClosure| . |AbelianMonoid|) T) ((|NeitherSparseOrDensePowerSeries| . |GcdDomain|) T) ((|BinaryExpansion| . |RightModule|) 78613) ((|NumericalPDEProblem| . |BasicType|) T) ((|NumericalOptimizationProblem| . |BasicType|) T) ((|NumericalODEProblem| . |BasicType|) T) ((|NumericalIntegrationProblem| . |BasicType|) T) ((|Magma| . |BasicType|) T) ((|GeneralUnivariatePowerSeries| . |GcdDomain|) 78589) ((|Factored| . |CommutativeRing|) T) ((|FiniteFieldExtension| . |BiModule|) 78498) ((|FiniteFieldNormalBasisExtension| . |BiModule|) 78407) ((|FiniteFieldCyclicGroupExtension| . |BiModule|) 78316) ((|DirectProductModule| . |DifferentialExtension|) 78284) ((|DirectProductMatrixModule| . |DifferentialExtension|) 78252) ((|FiniteField| . |AbelianMonoid|) T) ((|Asp31| . |Type|) T) ((|DoubleFloat| . |Algebra|) 78206) ((|BinaryExpansion| . |BiModule|) 78101) ((|AlgebraicFunctionField| . |AbelianSemiGroup|) T) ((|AlgebraicFunctionField| . |AbelianGroup|) T) ((|LieSquareMatrix| . |Monad|) T) ((|Complex| . |ElementaryFunctionCategory|) 78052) ((|PseudoAlgebraicClosureOfFiniteField| . |FieldOfPrimeCharacteristic|) T) ((|AlgebraicNumber| . |SemiGroup|) T) ((|PositiveInteger| . |AbelianSemiGroup|) T) ((|NonNegativeInteger| . |AbelianSemiGroup|) T) ((|SparseTable| . |HomogeneousAggregate|) 77981) ((|Pi| . |LeftOreRing|) T) ((|HyperellipticFiniteDivisor| . |SetCategory|) T) ((|XRecursivePolynomial| . |LeftModule|) 77955) ((|UnivariatePolynomial| . |BasicType|) T) ((|UnivariateSkewPolynomial| . |BasicType|) T) ((|DirectProduct| . |Rng|) 77865) ((|RomanNumeral| . |StepThrough|) T) ((|Product| . |OrderedAbelianMonoid|) 77776) ((|FreeModule1| . |LeftModule|) 77760) ((|AlgebraicNumber| . |AbelianMonoid|) T) ((|Product| . |OrderedCancellationAbelianMonoid|) 77671) ((|OrderedDirectProduct| . |OrderedCancellationAbelianMonoid|) 77595) ((|OrderedDirectProduct| . |OrderedAbelianMonoid|) 77519) ((|EqTable| . |IndexedAggregate|) 77498) ((|Pi| . |Monoid|) T) ((|SparseUnivariatePolynomialExpressions| . |HyperbolicFunctionCategory|) 77449) ((|Interval| . |BasicType|) T) ((|StochasticDifferential| . |Rng|) T) ((|PAdicRational| . |Evalable|) 77357) ((|LinearOrdinaryDifferentialOperator1| . |Eltable|) 77336) ((|Boolean| . |Logic|) T) ((|Asp42| . |Type|) T) ((|RomanNumeral| . |Algebra|) 77323) ((|LiePolynomial| . |FreeLieAlgebra|) 77302) ((|Polynomial| . |Algebra|) 77065) ((|MultivariatePolynomial| . |SetCategory|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |Algebra|) 76828) ((|Asp7| . |Type|) T) ((|Interval| . |ElementaryFunctionCategory|) T) ((|UnivariateLaurentSeries| . |OrderedRing|) NIL) ((|SparseUnivariateTaylorSeries| . |SetCategory|) T) ((|SparseUnivariatePuiseuxSeries| . |SetCategory|) T) ((|SparseUnivariateLaurentSeries| . |SetCategory|) T) ((|FiniteFieldNormalBasis| . |RetractableTo|) 76797) ((|SimpleAlgebraicExtension| . |Ring|) T) ((|RadixExpansion| . |Rng|) T) ((|AssociationList| . |CoercibleTo|) 76771) ((|AssociationList| . |ConvertibleTo|) NIL) ((|PartialFraction| . |Rng|) T) ((|OrdinaryDifferentialRing| . |CoercibleTo|) 76745) ((|Stack| . |BasicType|) 76715) ((|SimpleAlgebraicExtension| . |DivisionRing|) 76649) ((|FourierSeries| . |Rng|) T) ((|FiniteFieldExtension| . |Ring|) T) ((|FiniteFieldNormalBasisExtension| . |Ring|) T) ((|File| . |FileCategory|) 76620) ((|FiniteFieldCyclicGroupExtension| . |Ring|) T) ((|DirectProductModule| . |DirectProductCategory|) 76599) ((|DirectProductMatrixModule| . |DirectProductCategory|) 76578) ((|BinaryFile| . |FileCategory|) 76536) ((|SimpleAlgebraicExtension| . |DifferentialRing|) 76430) ((|SparseMultivariateTaylorSeries| . |SetCategory|) T) ((|Equation| . |PartialDifferentialRing|) 76362) ((|BinaryExpansion| . |Ring|) T) ((|MyExpression| . |UniqueFactorizationDomain|) 76329) ((|MachineComplex| . |CancellationAbelianMonoid|) T) ((|Factored| . |InnerEvalable|) 76125) ((|FiniteFieldExtension| . |DifferentialRing|) 76100) ((|FiniteFieldExtension| . |DivisionRing|) T) ((|AlgebraGivenByStructuralConstants| . |Monad|) T) ((|FiniteFieldNormalBasisExtension| . |DifferentialRing|) 76075) ((|FiniteFieldNormalBasisExtension| . |DivisionRing|) T) ((|FiniteFieldCyclicGroupExtension| . |DifferentialRing|) 76050) ((|FiniteFieldCyclicGroupExtension| . |DivisionRing|) T) ((|MyExpression| . |IntegralDomain|) T) ((|Complex| . |Evalable|) 76009) ((|BinaryExpansion| . |DivisionRing|) T) ((|BinaryExpansion| . |DifferentialRing|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |OrderedAbelianMonoid|) T) ((|PAdicInteger| . |AbelianGroup|) T) ((|PAdicInteger| . |AbelianSemiGroup|) T) ((|Fraction| . |EuclideanDomain|) T) ((|IndexedBits| . |Aggregate|) T) ((|Bits| . |EltableAggregate|) 75974) ((|SplitHomogeneousDirectProduct| . |RightModule|) 75844) ((|PAdicRational| . |StepThrough|) NIL) ((|PseudoAlgebraicClosureOfRationalNumber| . |PseudoAlgebraicClosureOfRationalNumberCategory|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |PseudoAlgebraicClosureOfPerfectFieldCategory|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |PseudoAlgebraicClosureOfPerfectFieldCategory|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |PseudoAlgebraicClosureOfRationalNumberCategory|) T) ((|FortranCode| . |CoercibleTo|) 75818) ((|Fraction| . |RealConstant|) 75787) ((|SplitHomogeneousDirectProduct| . |BiModule|) 75650) ((|PseudoAlgebraicClosureOfRationalNumber| . |CharacteristicNonZero|) 75590) ((|PseudoAlgebraicClosureOfRationalNumber| . |CharacteristicZero|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |CharacteristicZero|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |CharacteristicNonZero|) 75530) ((|FortranTemplate| . |SetCategory|) T) ((|XRecursivePolynomial| . |Monoid|) T) ((|Asp19| . |CoercibleTo|) 75504) ((|PAdicRational| . |Algebra|) 75428) ((|IndexedMatrix| . |Type|) T) ((|IndexedVector| . |Collection|) 75412) ((|IndexedDirectProductObject| . |CoercibleTo|) 75386) ((|UnivariatePolynomial| . |Evalable|) 75373) ((|MultivariatePolynomial| . |Module|) 75136) ((|IndexedExponents| . |OrderedAbelianMonoidSup|) T) ((|IndexedExponents| . |OrderedAbelianSemiGroup|) T) ((|Integer| . |LinearlyExplicitRingOver|) 75113) ((|InnerAlgebraicNumber| . |LinearlyExplicitRingOver|) 75057) ((|FiniteFieldExtensionByPolynomial| . |GcdDomain|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |GcdDomain|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |GcdDomain|) T) ((|DifferentialSparseMultivariatePolynomial| . |GcdDomain|) 74975) ((|IndexedList| . |SetCategory|) 74912) ((|DistributedMultivariatePolynomial| . |GcdDomain|) 74830) ((|SparseTable| . |Eltable|) 74809) ((|SymmetricPolynomial| . |CoercibleTo|) 74783) ((|Matrix| . |InnerEvalable|) 74702) ((|PolynomialRing| . |EntireRing|) 74669) ((|InnerTable| . |InnerEvalable|) 74377) ((|MyUnivariatePolynomial| . |ConvertibleTo|) NIL) ((|MyUnivariatePolynomial| . |CoercibleTo|) 74351) ((|WeightedPolynomials| . |CoercibleTo|) 74325) ((|SparseUnivariatePolynomial| . |DifferentialExtension|) 74309) ((|Complex| . |StepThrough|) 74271) ((|UnivariateTaylorSeriesCZero| . |IntegralDomain|) 74238) ((|SparseUnivariateTaylorSeries| . |Module|) 74082) ((|SparseUnivariatePuiseuxSeries| . |Module|) 73870) ((|Pattern| . |BasicType|) T) ((|SparseUnivariateLaurentSeries| . |Module|) 73585) ((|SparseMultivariateTaylorSeries| . |Module|) 73429) ((|Stream| . |LazyStreamAggregate|) 73413) ((|FiniteFieldExtensionByPolynomial| . |FieldOfPrimeCharacteristic|) 73344) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |FieldOfPrimeCharacteristic|) 73275) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |FieldOfPrimeCharacteristic|) 73206) ((|RealClosure| . |CancellationAbelianMonoid|) T) ((|Octonion| . |InnerEvalable|) 73095) ((|EqTable| . |ConvertibleTo|) NIL) ((|EqTable| . |CoercibleTo|) 73069) ((|PrimeField| . |GcdDomain|) T) ((|Product| . |Finite|) 73014) ((|OrderedDirectProduct| . |Finite|) 72989) ((|IndexedDirectProductOrderedAbelianMonoid| . |IndexedDirectProductCategory|) 72968) ((|IndexedDirectProductAbelianMonoid| . |IndexedDirectProductCategory|) 72947) ((|HexadecimalExpansion| . |Eltable|) NIL) ((|HomogeneousDirectProduct| . |EltableAggregate|) 72919) ((|Factored| . |EntireRing|) T) ((|FiniteField| . |CancellationAbelianMonoid|) T) ((|DecimalExpansion| . |Eltable|) NIL) ((|MachineComplex| . |HyperbolicFunctionCategory|) NIL) ((|Automorphism| . |SemiGroup|) T) ((|Complex| . |Algebra|) 72677) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |IntegralDomain|) T) ((|UnivariatePuiseuxSeriesConstructor| . |PowerSeriesCategory|) 72610) ((|Stack| . |Evalable|) 72534) ((|UnivariateLaurentSeriesConstructor| . |PowerSeriesCategory|) 72480) ((|PrimeField| . |FieldOfPrimeCharacteristic|) T) ((|SplitHomogeneousDirectProduct| . |Ring|) 72390) ((|SparseTable| . |IndexedAggregate|) 72369) ((|MyExpression| . |Field|) 72336) ((|NeitherSparseOrDensePowerSeries| . |Collection|) 72277) ((|Boolean| . |OrderedSet|) T) ((|RoutinesTable| . |HomogeneousAggregate|) 72194) ((|InnerPAdicInteger| . |AbelianGroup|) T) ((|InnerPAdicInteger| . |AbelianSemiGroup|) T) ((|Integer| . |AbelianGroup|) T) ((|Integer| . |AbelianSemiGroup|) T) ((|InnerAlgebraicNumber| . |AbelianSemiGroup|) T) ((|InnerAlgebraicNumber| . |AbelianGroup|) T) ((|UnivariatePolynomial| . |StepThrough|) 72164) ((|SplitHomogeneousDirectProduct| . |DifferentialRing|) 72101) ((|AlgebraicNumber| . |CancellationAbelianMonoid|) T) ((|AffinePlane| . |CoercibleTo|) 72075) ((|ProjectiveSpace| . |SetCategoryWithDegree|) T) ((|TextFile| . |BasicType|) T) ((|DirectProduct| . |SetCategory|) 71767) ((|PAdicRational| . |FullyPatternMatchable|) 71734) ((|SequentialDifferentialVariable| . |BasicType|) T) ((|RewriteRule| . |BasicType|) T) ((|U32Matrix| . |InnerEvalable|) NIL) ((|KeyedAccessFile| . |BasicType|) T) ((|GeneralSparseTable| . |BasicType|) T) ((|UnivariatePolynomial| . |Algebra|) 71474) ((|StochasticDifferential| . |SetCategory|) T) ((|UnivariateSkewPolynomial| . |Algebra|) 71431) ((|SparseUnivariatePolynomialExpressions| . |LinearlyExplicitRingOver|) 71347) ((|MultivariatePolynomial| . |CommutativeRing|) 71200) ((|LinearOrdinaryDifferentialOperator1| . |CoercibleTo|) 71174) ((|Interval| . |Algebra|) 71161) ((|PrimitiveArray| . |BasicType|) 71098) ((|OrderedVariableList| . |CoercibleTo|) 71072) ((|OrderedVariableList| . |ConvertibleTo|) 70966) ((|IndexedString| . |InnerEvalable|) NIL) ((|UnivariateTaylorSeries| . |Rng|) T) ((|UnivariatePuiseuxSeries| . |Rng|) T) ((|UnivariateLaurentSeries| . |Rng|) T) ((|UnivariateFormalPowerSeries| . |Rng|) T) ((|IntegerMod| . |SemiGroup|) T) ((|TaylorSeries| . |CharacteristicZero|) 70929) ((|SparseUnivariateTaylorSeries| . |CommutativeRing|) 70858) ((|InnerTaylorSeries| . |Rng|) T) ((|InnerSparseUnivariatePowerSeries| . |Rng|) T) ((|SparseUnivariatePuiseuxSeries| . |CommutativeRing|) 70764) ((|SparseUnivariateLaurentSeries| . |CommutativeRing|) 70670) ((|SparseMultivariateTaylorSeries| . |CommutativeRing|) 70599) ((|RadixExpansion| . |SetCategory|) T) ((|Partition| . |SetCategory|) T) ((|PartialFraction| . |SetCategory|) T) ((|Octonion| . |OctonionCategory|) 70583) ((|NeitherSparseOrDensePowerSeries| . |LocalPowerSeriesCategory|) 70567) ((|NeitherSparseOrDensePowerSeries| . |PowerSeriesCategory|) 70513) ((|MyExpression| . |SemiGroup|) T) ((|MachineFloat| . |AbelianSemiGroup|) T) ((|MachineFloat| . |AbelianGroup|) T) ((|BalancedPAdicRational| . |LinearlyExplicitRingOver|) 70472) ((|MachineInteger| . |PatternMatchable|) 70449) ((|FourierSeries| . |SetCategory|) T) ((|Expression| . |UniqueFactorizationDomain|) 70416) ((|ExponentialExpansion| . |UniqueFactorizationDomain|) T) ((|Complex| . |FullyPatternMatchable|) 70400) ((|TaylorSeries| . |CharacteristicNonZero|) 70360) ((|GeneralUnivariatePowerSeries| . |PowerSeriesCategory|) 70293) ((|Asp33| . |CoercibleTo|) 70267) ((|MyExpression| . |AbelianMonoid|) T) ((|BinaryExpansion| . |OrderedCancellationAbelianMonoid|) T) ((|BinaryExpansion| . |OrderedAbelianMonoid|) T) ((|Expression| . |IntegralDomain|) 70234) ((|MachineInteger| . |RetractableTo|) 70211) ((|ExponentialExpansion| . |IntegralDomain|) T) ((|IntegerMod| . |AbelianMonoid|) T) ((|CardinalNumber| . |RetractableTo|) 70177) ((|HomogeneousDirectProduct| . |RightModule|) 70047) ((|AssociationList| . |EltableAggregate|) 69959) ((|SparseUnivariatePolynomialExpressions| . |AbelianSemiGroup|) T) ((|SparseUnivariatePolynomialExpressions| . |AbelianGroup|) T) ((|DirectProduct| . |Module|) 69888) ((|HomogeneousDirectProduct| . |BiModule|) 69751) ((|SegmentBinding| . |BasicType|) 69721) ((|ResidueRing| . |BasicType|) T) ((|StochasticDifferential| . |Module|) 69690) ((|List| . |OpenMath|) 69663) ((|U16Matrix| . |SetCategory|) T) ((|MultivariatePolynomial| . |InnerEvalable|) 69567) ((|RectangularMatrix| . |RightModule|) 69551) ((|LaurentPolynomial| . |AbelianGroup|) T) ((|LaurentPolynomial| . |AbelianSemiGroup|) T) ((|RoutinesTable| . |Eltable|) 69521) ((|FreeGroup| . |BasicType|) T) ((|FreeAbelianGroup| . |BasicType|) T) ((|LieSquareMatrix| . |LeftModule|) 69495) ((|FreeModule| . |RightModule|) 69479) ((|RectangularMatrix| . |BiModule|) 69458) ((|OrderlyDifferentialPolynomial| . |FullyRetractableTo|) 69442) ((|BalancedPAdicRational| . |AbelianSemiGroup|) T) ((|Asp9| . |CoercibleTo|) 69416) ((|BalancedPAdicRational| . |AbelianGroup|) T) ((|KeyedAccessFile| . |Evalable|) 69158) ((|GeneralSparseTable| . |Evalable|) 68918) ((|UnivariateTaylorSeriesCZero| . |SemiGroup|) T) ((|SparseTable| . |ConvertibleTo|) NIL) ((|FreeModule| . |BiModule|) 68897) ((|Float| . |BasicType|) T) ((|Database| . |CoercibleTo|) 68871) ((|SparseTable| . |CoercibleTo|) 68845) ((|RadixExpansion| . |Module|) 68779) ((|SparseUnivariateLaurentSeries| . |InnerEvalable|) 68309) ((|PartialFraction| . |Module|) 68250) ((|SparseMultivariateTaylorSeries| . |InnerEvalable|) 68220) ((|FiniteFieldNormalBasis| . |EuclideanDomain|) T) ((|UnivariateTaylorSeriesCZero| . |AbelianMonoid|) T) ((|Table| . |Collection|) 68162) ((|PrimitiveArray| . |Evalable|) 68086) ((|Operator| . |BasicType|) T) ((|FourierSeries| . |Module|) 68070) ((|DoubleFloat| . |OpenMath|) T) ((|OppositeMonogenicLinearOperator| . |BasicType|) T) ((|OpenMathError| . |BasicType|) T) ((|HashTable| . |Collection|) 68012) ((|UnivariatePuiseuxSeriesConstructor| . |UnivariatePuiseuxSeriesConstructorCategory|) 67991) ((|SingleInteger| . |UniqueFactorizationDomain|) T) ((|FortranExpression| . |RetractableTo|) 67954) ((|UnivariatePuiseuxSeriesConstructor| . |UnivariatePowerSeriesCategory|) 67913) ((|UnivariatePuiseuxSeriesConstructor| . |UnivariatePuiseuxSeriesCategory|) 67897) ((|UnivariateLaurentSeriesConstructor| . |UnivariateLaurentSeriesConstructorCategory|) 67876) ((|Asp55| . |CoercibleTo|) 67850) ((|Permutation| . |CoercibleTo|) 67824) ((|UnivariateLaurentSeriesConstructor| . |UnivariatePowerSeriesCategory|) 67796) ((|SingleInteger| . |IntegralDomain|) T) ((|PositiveInteger| . |OrderedSet|) T) ((|NonNegativeInteger| . |OrderedSet|) T) ((|HexadecimalExpansion| . |ConvertibleTo|) 67697) ((|HexadecimalExpansion| . |CoercibleTo|) 67671) ((|Float| . |ElementaryFunctionCategory|) T) ((|LyndonWord| . |OrderedSet|) T) ((|UnivariateLaurentSeriesConstructor| . |UnivariateLaurentSeriesCategory|) 67655) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |SemiGroup|) T) ((|DecimalExpansion| . |ConvertibleTo|) 67556) ((|DecimalExpansion| . |CoercibleTo|) 67530) ((|RoutinesTable| . |IndexedAggregate|) 67500) ((|OneDimensionalArray| . |Collection|) 67484) ((|IndexedFlexibleArray| . |Collection|) 67468) ((|IndexedOneDimensionalArray| . |Collection|) 67452) ((|FiniteFieldExtension| . |ExtensionField|) 67436) ((|FiniteFieldNormalBasisExtension| . |ExtensionField|) 67420) ((|FiniteFieldCyclicGroupExtension| . |ExtensionField|) 67404) ((|Expression| . |Field|) 67371) ((|ExponentialExpansion| . |Field|) T) ((|HomogeneousDirectProduct| . |Ring|) 67281) ((|MachineComplex| . |LinearlyExplicitRingOver|) 67253) ((|XPolynomial| . |LeftModule|) 67227) ((|XPBWPolynomial| . |LeftModule|) 67201) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |AbelianMonoid|) T) ((|Matrix| . |HomogeneousAggregate|) 67185) ((|Asp1| . |CoercibleTo|) 67159) ((|SplitHomogeneousDirectProduct| . |OrderedCancellationAbelianMonoid|) 67083) ((|SplitHomogeneousDirectProduct| . |OrderedAbelianMonoid|) 67007) ((|InnerTable| . |HomogeneousAggregate|) 66936) ((|LieSquareMatrix| . |Aggregate|) T) ((|HomogeneousDirectProduct| . |DifferentialRing|) 66873) ((|EqTable| . |EltableAggregate|) 66852) ((|DirectProduct| . |CommutativeRing|) 66818) ((|PseudoAlgebraicClosureOfFiniteField| . |VectorSpace|) 66802) ((|OrderlyDifferentialPolynomial| . |Rng|) T) ((|AlgebraGivenByStructuralConstants| . |LeftModule|) 66751) ((|SimpleAlgebraicExtension| . |Finite|) 66684) ((|MultivariatePolynomial| . |EntireRing|) 66570) ((|IndexedList| . |InnerEvalable|) 66489) ((|OrdinaryDifferentialRing| . |RightModule|) 66426) ((|SequentialDifferentialPolynomial| . |CharacteristicNonZero|) 66386) ((|FiniteFieldExtension| . |Finite|) 66361) ((|FiniteFieldNormalBasisExtension| . |Finite|) 66336) ((|FiniteFieldCyclicGroupExtension| . |Finite|) 66311) ((|SequentialDifferentialPolynomial| . |CharacteristicZero|) 66274) ((|PAdicRational| . |DifferentialExtension|) 66241) ((|OrdinaryDifferentialRing| . |BiModule|) 66151) ((|NewSparseUnivariatePolynomial| . |CharacteristicNonZero|) 66111) ((|NewSparseUnivariatePolynomial| . |CharacteristicZero|) 66074) ((|DifferentialSparseMultivariatePolynomial| . |PolynomialCategory|) 66027) ((|DirectProductModule| . |OrderedRing|) 65997) ((|DistributedMultivariatePolynomial| . |PolynomialCategory|) 65900) ((|DirectProductMatrixModule| . |OrderedRing|) 65870) ((|NewSparseMultivariatePolynomial| . |CharacteristicNonZero|) 65830) ((|NewSparseMultivariatePolynomial| . |CharacteristicZero|) 65793) ((|CliffordAlgebra| . |LeftModule|) 65767) ((|GeneralDistributedMultivariatePolynomial| . |CharacteristicZero|) 65730) ((|GeneralDistributedMultivariatePolynomial| . |CharacteristicNonZero|) 65690) ((|LieSquareMatrix| . |Monoid|) T) ((|OpenMathEncoding| . |CoercibleTo|) 65664) ((|UnivariateTaylorSeries| . |SetCategory|) T) ((|UnivariatePuiseuxSeries| . |SetCategory|) T) ((|UnivariateLaurentSeries| . |SetCategory|) T) ((|UnivariateFormalPowerSeries| . |SetCategory|) T) ((|TaylorSeries| . |TrigonometricFunctionCategory|) 65613) ((|TaylorSeries| . |TranscendentalFunctionCategory|) 65562) ((|SparseUnivariateTaylorSeries| . |EntireRing|) 65529) ((|SparseUnivariatePuiseuxSeries| . |EntireRing|) 65468) ((|SparseUnivariateLaurentSeries| . |EntireRing|) 65407) ((|SparseMultivariateTaylorSeries| . |EntireRing|) 65374) ((|FortranExpression| . |PartialDifferentialRing|) 65352) ((|RadixExpansion| . |CommutativeRing|) T) ((|PartialFraction| . |CommutativeRing|) T) ((|NeitherSparseOrDensePowerSeries| . |UnivariatePowerSeriesCategory|) 65324) ((|InnerTaylorSeries| . |SetCategory|) T) ((|InnerSparseUnivariatePowerSeries| . |SetCategory|) T) ((|MachineComplex| . |AbelianGroup|) T) ((|MachineComplex| . |AbelianSemiGroup|) T) ((|GeneralUnivariatePowerSeries| . |UnivariatePuiseuxSeriesCategory|) 65308) ((|GeneralUnivariatePowerSeries| . |UnivariatePowerSeriesCategory|) 65267) ((|Factored| . |Eltable|) 65185) ((|Expression| . |SemiGroup|) 64967) ((|ExponentialExpansion| . |SemiGroup|) T) ((|TaylorSeries| . |ArcHyperbolicFunctionCategory|) 64916) ((|TaylorSeries| . |ArcTrigonometricFunctionCategory|) 64865) ((|Asp77| . |CoercibleTo|) 64839) ((|ArrayStack| . |BasicType|) 64809) ((|IntegerMod| . |CancellationAbelianMonoid|) T) ((|U32Matrix| . |HomogeneousAggregate|) 64786) ((|MyExpression| . |CancellationAbelianMonoid|) T) ((|InnerPrimeField| . |CharacteristicNonZero|) T) ((|InnerPrimeField| . |CharacteristicZero|) 64752) ((|InnerFiniteField| . |CharacteristicZero|) 64718) ((|InnerFiniteField| . |CharacteristicNonZero|) T) ((|Expression| . |AbelianMonoid|) 64486) ((|AlgebraicFunctionField| . |FunctionFieldCategory|) 64460) ((|ExponentialExpansion| . |AbelianMonoid|) T) ((|String| . |LinearAggregate|) 64435) ((|OrderedDirectProduct| . |LeftModule|) 64249) ((|XDistributedPolynomial| . |Rng|) T) ((|String| . |FiniteLinearAggregate|) 64224) ((|Complex| . |DifferentialExtension|) 64208) ((|IndexedString| . |HomogeneousAggregate|) 64183) ((|DirectProduct| . |InnerEvalable|) 64102) ((|XPolynomial| . |Monoid|) T) ((|XPBWPolynomial| . |Monoid|) T) ((|SymmetricPolynomial| . |RightModule|) 63935) ((|MyUnivariatePolynomial| . |RightModule|) 63669) ((|SymmetricPolynomial| . |BiModule|) 63470) ((|OrdinaryDifferentialRing| . |Ring|) T) ((|MyUnivariatePolynomial| . |BiModule|) 63172) ((|InnerFreeAbelianMonoid| . |BasicType|) T) ((|AlgebraicNumber| . |LinearlyExplicitRingOver|) 63116) ((|IndexedDirectProductOrderedAbelianMonoid| . |BasicType|) T) ((|IndexedDirectProductAbelianMonoid| . |BasicType|) T) ((|WeightedPolynomials| . |RightModule|) 63073) ((|ResidueRing| . |Algebra|) 63057) ((|OrdinaryDifferentialRing| . |DifferentialRing|) T) ((|OrdinaryDifferentialRing| . |DivisionRing|) 63033) ((|InnerTable| . |Eltable|) 63012) ((|WeightedPolynomials| . |BiModule|) 62964) ((|UnivariatePolynomial| . |DifferentialExtension|) 62948) ((|UnivariateTaylorSeries| . |Module|) 62792) ((|UnivariatePuiseuxSeries| . |Module|) 62580) ((|RoutinesTable| . |ConvertibleTo|) NIL) ((|RoutinesTable| . |CoercibleTo|) 62554) ((|UnivariateLaurentSeries| . |Module|) 62275) ((|UnivariateFormalPowerSeries| . |Module|) 62119) ((|RadicalFunctionField| . |PrincipalIdealDomain|) T) ((|MakeCachableSet| . |CoercibleTo|) 62080) ((|CliffordAlgebra| . |Monoid|) T) ((|UnivariateTaylorSeriesCZero| . |CancellationAbelianMonoid|) T) ((|U8Vector| . |OrderedSet|) T) ((|SplitHomogeneousDirectProduct| . |Finite|) 62055) ((|RadixExpansion| . |InnerEvalable|) NIL) ((|DirectProductModule| . |FullyRetractableTo|) 62016) ((|DirectProductMatrixModule| . |FullyRetractableTo|) 61977) ((|RealClosure| . |AbelianSemiGroup|) T) ((|RealClosure| . |AbelianGroup|) T) ((|InnerTaylorSeries| . |Module|) 61938) ((|InnerSparseUnivariatePowerSeries| . |Module|) 61782) ((|Octonion| . |Eltable|) 61735) ((|BinaryTournament| . |BasicType|) 61705) ((|OnePointCompletion| . |RetractableTo|) 61549) ((|Complex| . |OpenMath|) 61522) ((|ExponentialOfUnivariatePuiseuxSeries| . |LeftModule|) 61391) ((|OrderedDirectProduct| . |Aggregate|) T) ((|ModuleOperator| . |BasicType|) T) ((|SingleInteger| . |SemiGroup|) T) ((|Reference| . |Type|) T) ((|Float| . |Algebra|) 61345) ((|FiniteField| . |AbelianSemiGroup|) T) ((|FiniteField| . |AbelianGroup|) T) ((|DoubleFloatVector| . |BasicType|) T) ((|Commutator| . |BasicType|) T) ((|Color| . |BasicType|) T) ((|ComplexDoubleFloatVector| . |BasicType|) T) ((|FiniteFieldExtensionByPolynomial| . |VectorSpace|) 61329) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |VectorSpace|) 61313) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |VectorSpace|) 61297) ((|PseudoAlgebraicClosureOfRationalNumber| . |GcdDomain|) T) ((|Complex| . |FiniteFieldCategory|) 61259) ((|Integer| . |OrderedSet|) T) ((|InnerAlgebraicNumber| . |OrderedSet|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |GcdDomain|) T) ((|SingleInteger| . |AbelianMonoid|) T) ((|Asp80| . |CoercibleTo|) 61233) ((|MachineInteger| . |EuclideanDomain|) T) ((|Operator| . |Algebra|) 61190) ((|OppositeMonogenicLinearOperator| . |Algebra|) 61147) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |CancellationAbelianMonoid|) T) ((|SparseTable| . |EltableAggregate|) 61126) ((|Product| . |Monoid|) 61014) ((|Product| . |OrderedAbelianMonoidSup|) 60925) ((|Product| . |OrderedAbelianSemiGroup|) 60836) ((|OrderedDirectProduct| . |OrderedAbelianGroup|) 60806) ((|BalancedPAdicInteger| . |EuclideanDomain|) T) ((|ArrayStack| . |Evalable|) 60730) ((|ThreeDimensionalMatrix| . |Aggregate|) T) ((|InnerTable| . |IndexedAggregate|) 60709) ((|AlgebraicNumber| . |AbelianSemiGroup|) T) ((|AlgebraicNumber| . |AbelianGroup|) T) ((|OrderedDirectProduct| . |OrderedAbelianSemiGroup|) 60633) ((|OrderedDirectProduct| . |OrderedAbelianMonoidSup|) 60591) ((|MachineInteger| . |RealConstant|) T) ((|LinearOrdinaryDifferentialOperator1| . |RightModule|) 60575) ((|Product| . |Group|) 60522) ((|OrderedDirectProduct| . |Monoid|) 60408) ((|PrimeField| . |VectorSpace|) 60395) ((|Divisor| . |FreeAbelianMonoidCategory|) 60367) ((|PseudoAlgebraicClosureOfRationalNumber| . |FieldOfPrimeCharacteristic|) 60307) ((|HomogeneousDirectProduct| . |OrderedCancellationAbelianMonoid|) 60231) ((|HomogeneousDirectProduct| . |OrderedAbelianMonoid|) 60155) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |FieldOfPrimeCharacteristic|) 60095) ((|SymmetricPolynomial| . |Ring|) T) ((|U16Matrix| . |InnerEvalable|) NIL) ((|MyUnivariatePolynomial| . |Ring|) T) ((|LinearOrdinaryDifferentialOperator1| . |BiModule|) 60074) ((|SymmetricPolynomial| . |FiniteAbelianMonoidRing|) 60044) ((|Tree| . |BasicType|) 60014) ((|SetOfMIntegersInOneToN| . |CoercibleTo|) 59988) ((|MachineInteger| . |IntegerNumberSystem|) T) ((|MyUnivariatePolynomial| . |FiniteAbelianMonoidRing|) 59949) ((|OrderlyDifferentialPolynomial| . |SetCategory|) T) ((|MyUnivariatePolynomial| . |DifferentialRing|) T) ((|WeightedPolynomials| . |Ring|) T) ((|FractionalIdeal| . |SetCategory|) T) ((|DirectProductModule| . |Rng|) 59859) ((|DirectProductMatrixModule| . |Rng|) 59769) ((|EuclideanModularRing| . |LeftModule|) 59756) ((|IndexedString| . |Eltable|) 59719) ((|Matrix| . |MatrixCategory|) 59671) ((|UnivariateTaylorSeries| . |CommutativeRing|) 59600) ((|PolynomialRing| . |CoercibleTo|) 59574) ((|PAdicRationalConstructor| . |BasicType|) T) ((|MonoidRing| . |CoercibleTo|) 59548) ((|ModularRing| . |CoercibleTo|) 59522) ((|UnivariatePuiseuxSeries| . |CommutativeRing|) 59428) ((|UnivariateLaurentSeries| . |CommutativeRing|) 59334) ((|UnivariateFormalPowerSeries| . |CommutativeRing|) 59263) ((|MachineFloat| . |OrderedSet|) T) ((|RadixExpansion| . |EntireRing|) T) ((|GenericNonAssociativeAlgebra| . |CoercibleTo|) 59237) ((|LieExponentials| . |Monoid|) T) ((|TwoDimensionalArray| . |SetCategory|) 59207) ((|DataList| . |Collection|) 59191) ((|PartialFraction| . |EntireRing|) T) ((|RealClosure| . |RealClosedField|) T) ((|LieExponentials| . |Group|) T) ((|ModMonic| . |UniqueFactorizationDomain|) 59141) ((|ExponentialOfUnivariatePuiseuxSeries| . |LeftOreRing|) 59117) ((|UnivariateTaylorSeriesCZero| . |HyperbolicFunctionCategory|) 59066) ((|InnerTaylorSeries| . |CommutativeRing|) 59033) ((|InnerSparseUnivariatePowerSeries| . |CommutativeRing|) 58962) ((|Vector| . |OrderedSet|) 58933) ((|ModMonic| . |IntegralDomain|) 58796) ((|Fraction| . |PrincipalIdealDomain|) T) ((|Fraction| . |OrderedIntegralDomain|) 58756) ((|ExponentialOfUnivariatePuiseuxSeries| . |OrderedAbelianSemiGroup|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |Monoid|) T) ((|Factored| . |CoercibleTo|) 58730) ((|Factored| . |ConvertibleTo|) 58576) ((|List| . |StreamAggregate|) 58560) ((|Bits| . |LinearAggregate|) 58537) ((|ContinuedFraction| . |EuclideanDomain|) T) ((|BinaryTournament| . |Evalable|) 58461) ((|Bits| . |FiniteLinearAggregate|) 58438) ((|FortranProgram| . |Type|) T) ((|Expression| . |CancellationAbelianMonoid|) 58240) ((|ExponentialExpansion| . |CancellationAbelianMonoid|) T) ((|Asp29| . |FortranProgramCategory|) T) ((|Bits| . |BitAggregate|) T) ((|SparseUnivariatePolynomialExpressions| . |OrderedSet|) 58211) ((|IndexedList| . |HomogeneousAggregate|) 58195) ((|LinearOrdinaryDifferentialOperator2| . |SemiGroup|) T) ((|IndexedString| . |OneDimensionalArrayAggregate|) 58170) ((|DoubleFloatVector| . |Evalable|) NIL) ((|Asp10| . |FortranVectorFunctionCategory|) T) ((|ComplexDoubleFloatVector| . |Evalable|) NIL) ((|Asp10| . |FortranProgramCategory|) T) ((|OpenMathErrorKind| . |SetCategory|) T) ((|IndexedString| . |IndexedAggregate|) 58133) ((|Pi| . |RetractableTo|) 58077) ((|LinearOrdinaryDifferentialOperator1| . |Ring|) T) ((|LinearOrdinaryDifferentialOperator2| . |AbelianMonoid|) T) ((|XDistributedPolynomial| . |SetCategory|) T) ((|OrderlyDifferentialPolynomial| . |Module|) 57840) ((|U32Matrix| . |MatrixCategory|) 57789) ((|BasicStochasticDifferential| . |OrderedSet|) T) ((|BalancedPAdicRational| . |OrderedSet|) NIL) ((|SparseUnivariatePolynomial| . |FullyRetractableTo|) 57773) ((|SparseMultivariatePolynomial| . |FullyRetractableTo|) 57757) ((|SparseUnivariateSkewPolynomial| . |FullyRetractableTo|) 57741) ((|DirichletRing| . |Rng|) T) ((|EuclideanModularRing| . |LeftOreRing|) T) ((|UnivariatePuiseuxSeriesConstructor| . |BasicType|) T) ((|UnivariateLaurentSeries| . |InnerEvalable|) 57313) ((|Tree| . |Evalable|) 57237) ((|Exit| . |CoercibleTo|) 57211) ((|UnivariateLaurentSeriesConstructor| . |BasicType|) T) ((|Set| . |SetCategory|) T) ((|SparseUnivariateTaylorSeries| . |Eltable|) 57196) ((|SparseUnivariatePuiseuxSeries| . |Eltable|) 57181) ((|EuclideanModularRing| . |Monoid|) T) ((|BinaryExpansion| . |PolynomialFactorizationExplicit|) NIL) ((|Matrix| . |CoercibleTo|) 57132) ((|Matrix| . |ConvertibleTo|) 57068) ((|SimpleAlgebraicExtension| . |LeftModule|) 56950) ((|InfiniteTuple| . |CoercibleTo|) 56924) ((|InnerTable| . |ConvertibleTo|) NIL) ((|InnerTable| . |CoercibleTo|) 56898) ((|SparseUnivariateLaurentSeries| . |Eltable|) 56638) ((|HexadecimalExpansion| . |RightModule|) 56572) ((|ModularField| . |GcdDomain|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |IndexedDirectProductCategory|) 56551) ((|IndexedDirectProductAbelianGroup| . |IndexedDirectProductCategory|) 56530) ((|DecimalExpansion| . |RightModule|) 56464) ((|FiniteFieldExtension| . |LeftModule|) 56405) ((|FiniteFieldNormalBasisExtension| . |LeftModule|) 56346) ((|DoubleFloat| . |OrderedRing|) T) ((|FiniteFieldCyclicGroupExtension| . |LeftModule|) 56287) ((|IndexedVector| . |BasicType|) 56224) ((|HomogeneousDirectProduct| . |Finite|) 56199) ((|BinaryExpansion| . |LeftModule|) 56133) ((|HexadecimalExpansion| . |BiModule|) 56028) ((|DirectProduct| . |HomogeneousAggregate|) 56012) ((|FiniteFieldCyclicGroup| . |CharacteristicZero|) 55978) ((|FiniteFieldCyclicGroup| . |CharacteristicNonZero|) T) ((|Complex| . |FiniteRankAlgebra|) 55926) ((|Point| . |VectorCategory|) 55910) ((|DecimalExpansion| . |BiModule|) 55805) ((|PAdicRationalConstructor| . |Evalable|) 55764) ((|Point| . |SetCategory|) 55701) ((|Octonion| . |ConvertibleTo|) 55637) ((|Octonion| . |CoercibleTo|) 55611) ((|MoebiusTransform| . |BasicType|) T) ((|FourierComponent| . |SetCategory|) T) ((|SingleInteger| . |CancellationAbelianMonoid|) T) ((|ModuleOperator| . |Algebra|) 55568) ((|Expression| . |HyperbolicFunctionCategory|) 55535) ((|IndexedBits| . |Type|) T) ((|UnivariatePuiseuxSeriesConstructor| . |ElementaryFunctionCategory|) 55484) ((|UnivariateLaurentSeriesConstructor| . |ElementaryFunctionCategory|) 55433) ((|FlexibleArray| . |Collection|) 55417) ((|RoutinesTable| . |EltableAggregate|) 55387) ((|XDistributedPolynomial| . |Module|) 55344) ((|StringTable| . |Aggregate|) T) ((|XRecursivePolynomial| . |RetractableTo|) 55306) ((|MyExpression| . |LinearlyExplicitRingOver|) 55178) ((|GraphImage| . |CoercibleTo|) 55152) ((|Heap| . |Aggregate|) T) ((|FreeModule1| . |RetractableTo|) 55136) ((|SparseUnivariatePolynomial| . |Rng|) T) ((|SparseMultivariatePolynomial| . |Rng|) T) ((|SparseUnivariateSkewPolynomial| . |Rng|) T) ((|RomanNumeral| . |OrderedRing|) T) ((|OrderlyDifferentialPolynomial| . |CommutativeRing|) 54989) ((|IndexedList| . |Eltable|) 54961) ((|U32Matrix| . |CoercibleTo|) 54935) ((|IntegerMod| . |AbelianSemiGroup|) T) ((|UnivariateTaylorSeries| . |EntireRing|) 54902) ((|UnivariatePuiseuxSeries| . |EntireRing|) 54841) ((|BalancedPAdicRational| . |QuotientFieldCategory|) 54800) ((|PseudoAlgebraicClosureOfFiniteField| . |BasicType|) T) ((|UnivariateLaurentSeries| . |EntireRing|) 54739) ((|NeitherSparseOrDensePowerSeries| . |BasicType|) T) ((|UnivariateFormalPowerSeries| . |EntireRing|) 54706) ((|TextFile| . |FileCategory|) 54671) ((|SparseUnivariateTaylorSeries| . |RadicalCategory|) 54620) ((|SparseUnivariatePuiseuxSeries| . |RadicalCategory|) 54569) ((|SequentialDifferentialVariable| . |DifferentialVariableCategory|) 54553) ((|GeneralUnivariatePowerSeries| . |BasicType|) T) ((|File| . |SetCategory|) T) ((|DirectProductModule| . |SetCategory|) T) ((|DirectProductMatrixModule| . |SetCategory|) T) ((|SparseUnivariateLaurentSeries| . |RadicalCategory|) 54502) ((|BinaryFile| . |SetCategory|) T) ((|SparseMultivariateTaylorSeries| . |RadicalCategory|) 54451) ((|PAdicRationalConstructor| . |StepThrough|) 54421) ((|SimpleAlgebraicExtension| . |LeftOreRing|) 54355) ((|KeyedAccessFile| . |FileCategory|) 54278) ((|SimpleAlgebraicExtension| . |Monoid|) T) ((|KeyedAccessFile| . |Dictionary|) 54214) ((|IndexedString| . |CoercibleTo|) 54188) ((|IndexedString| . |ConvertibleTo|) NIL) ((|MachineComplex| . |OrderedSet|) T) ((|GeneralSparseTable| . |Dictionary|) 54130) ((|HexadecimalExpansion| . |Ring|) T) ((|Places| . |SetCategory|) T) ((|Asp8| . |FortranVectorCategory|) T) ((|Asp8| . |FortranProgramCategory|) T) ((|DecimalExpansion| . |Ring|) T) ((|FiniteFieldExtension| . |LeftOreRing|) T) ((|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| . |SetCategoryWithDegree|) T) ((|FiniteFieldNormalBasisExtension| . |LeftOreRing|) T) ((|FiniteFieldCyclicGroupExtension| . |LeftOreRing|) T) ((|ModMonic| . |SemiGroup|) T) ((|InnerTaylorSeries| . |EntireRing|) 54097) ((|InnerSparseUnivariatePowerSeries| . |EntireRing|) 54064) ((|BinaryExpansion| . |LeftOreRing|) T) ((|HexadecimalExpansion| . |DivisionRing|) T) ((|HexadecimalExpansion| . |DifferentialRing|) T) ((|SuchThat| . |CoercibleTo|) 54038) ((|PAdicRationalConstructor| . |Algebra|) 53979) ((|DecimalExpansion| . |DivisionRing|) T) ((|DecimalExpansion| . |DifferentialRing|) T) ((|MyExpression| . |AbelianSemiGroup|) T) ((|MyExpression| . |AbelianGroup|) T) ((|FiniteFieldExtension| . |Monoid|) T) ((|FiniteFieldNormalBasisExtension| . |Monoid|) T) ((|FiniteFieldCyclicGroupExtension| . |Monoid|) T) ((|BinaryExpansion| . |OrderedAbelianSemiGroup|) T) ((|BinaryExpansion| . |OrderedAbelianGroup|) T) ((|IndexedList| . |UnaryRecursiveAggregate|) 53963) ((|BinaryExpansion| . |Monoid|) T) ((|ModMonic| . |AbelianMonoid|) T) ((|U16Matrix| . |HomogeneousAggregate|) 53940) ((|GeneralUnivariatePowerSeries| . |ElementaryFunctionCategory|) 53889) ((|IntegerMod| . |AbelianGroup|) T) ((|UnivariateLaurentSeriesConstructor| . |Evalable|) 53819) ((|Symbol| . |BasicType|) T) ((|AlgebraicFunctionField| . |CharacteristicNonZero|) 53766) ((|AlgebraicFunctionField| . |CharacteristicZero|) 53716) ((|IndexedList| . |IndexedAggregate|) 53688) ((|SplitHomogeneousDirectProduct| . |LeftModule|) 53502) ((|IndexedVector| . |Evalable|) 53426) ((|AssociationList| . |LinearAggregate|) 53368) ((|AssociationList| . |ListAggregate|) 53310) ((|AssociationList| . |FiniteLinearAggregate|) 53252) ((|String| . |Aggregate|) T) ((|PAdicRational| . |OrderedRing|) NIL) ((|LinearOrdinaryDifferentialOperator2| . |CancellationAbelianMonoid|) T) ((|HyperellipticFiniteDivisor| . |CoercibleTo|) 53226) ((|DirectProduct| . |Eltable|) 53198) ((|ListMultiDictionary| . |Aggregate|) T) ((|Library| . |Aggregate|) T) ((|SequentialDifferentialPolynomial| . |GcdDomain|) 53116) ((|OrderlyDifferentialPolynomial| . |InnerEvalable|) 52891) ((|NewSparseUnivariatePolynomial| . |GcdDomain|) 52786) ((|NewSparseMultivariatePolynomial| . |GcdDomain|) 52704) ((|NottinghamGroup| . |BasicType|) T) ((|GeneralDistributedMultivariatePolynomial| . |GcdDomain|) 52622) ((|Polynomial| . |FullyRetractableTo|) 52606) ((|MultivariatePolynomial| . |CoercibleTo|) 52580) ((|DirectProductModule| . |Module|) 52509) ((|DirectProductMatrixModule| . |Module|) 52438) ((|MultivariatePolynomial| . |ConvertibleTo|) 52216) ((|HomogeneousDistributedMultivariatePolynomial| . |FullyRetractableTo|) 52200) ((|FortranExpression| . |ExpressionSpace|) T) ((|DirichletRing| . |SetCategory|) T) ((|FiniteFieldNormalBasis| . |PrincipalIdealDomain|) T) ((|Queue| . |BasicType|) 52170) ((|RealClosure| . |OrderedSet|) T) ((|TwoDimensionalArray| . |InnerEvalable|) 52089) ((|UnivariateTaylorSeriesCZero| . |AbelianSemiGroup|) T) ((|UnivariateTaylorSeriesCZero| . |AbelianGroup|) T) ((|UnivariateLaurentSeriesConstructor| . |StepThrough|) 52030) ((|RadixExpansion| . |Eltable|) NIL) ((|DoubleFloat| . |Rng|) T) ((|Float| . |OpenMath|) T) ((|SplitHomogeneousDirectProduct| . |Aggregate|) T) ((|NeitherSparseOrDensePowerSeries| . |Evalable|) 51860) ((|InnerPrimeField| . |GcdDomain|) T) ((|InnerFiniteField| . |GcdDomain|) T) ((|UniversalSegment| . |SegmentCategory|) 51844) ((|UniversalSegment| . |SetCategory|) 51814) ((|DirectProduct| . |IndexedAggregate|) 51786) ((|UniversalSegment| . |SegmentExpansionCategory|) 51731) ((|SparseUnivariateTaylorSeries| . |CoercibleTo|) 51705) ((|SparseUnivariatePuiseuxSeries| . |CoercibleTo|) 51679) ((|SparseUnivariateLaurentSeries| . |CoercibleTo|) 51653) ((|SparseUnivariateLaurentSeries| . |ConvertibleTo|) NIL) ((|SparseMultivariateTaylorSeries| . |CoercibleTo|) 51627) ((|PAdicRationalConstructor| . |FullyPatternMatchable|) 51611) ((|InfinitlyClosePoint| . |SetCategory|) T) ((|InputForm| . |BasicType|) T) ((|UnivariatePuiseuxSeriesConstructor| . |Algebra|) 51399) ((|UnivariateLaurentSeriesConstructor| . |Algebra|) 51157) ((|PAdicInteger| . |CharacteristicZero|) T) ((|InnerPrimeField| . |FieldOfPrimeCharacteristic|) T) ((|AlgebraicNumber| . |OrderedSet|) T) ((|InnerFiniteField| . |FieldOfPrimeCharacteristic|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |AbelianGroup|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |AbelianSemiGroup|) T) ((|SplitHomogeneousDirectProduct| . |OrderedAbelianGroup|) 51127) ((|SplitHomogeneousDirectProduct| . |OrderedAbelianSemiGroup|) 51051) ((|SplitHomogeneousDirectProduct| . |OrderedAbelianMonoidSup|) 51009) ((|QuadraticForm| . |SetCategory|) T) ((|RegularTriangularSet| . |Aggregate|) T) ((|OutputForm| . |SetCategory|) T) ((|Variable| . |BasicType|) T) ((|SplitHomogeneousDirectProduct| . |Monoid|) 50895) ((|LiePolynomial| . |BasicType|) T) ((|InnerTable| . |EltableAggregate|) 50874) ((|Table| . |BasicType|) T) ((|GeneralTriangularSet| . |Aggregate|) T) ((|GeneralPolynomialSet| . |Aggregate|) T) ((|FiniteFieldExtensionByPolynomial| . |BasicType|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |BasicType|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |BasicType|) T) ((|DifferentialSparseMultivariatePolynomial| . |BasicType|) T) ((|DistributedMultivariatePolynomial| . |BasicType|) T) ((|Pi| . |EuclideanDomain|) T) ((|RomanNumeral| . |Rng|) T) ((|Polynomial| . |Rng|) T) ((|Expression| . |LinearlyExplicitRingOver|) 50746) ((|ExponentialExpansion| . |LinearlyExplicitRingOver|) 50661) ((|HomogeneousDistributedMultivariatePolynomial| . |Rng|) T) ((|HashTable| . |BasicType|) T) ((|FortranTemplate| . |CoercibleTo|) 50635) ((|SparseUnivariatePolynomial| . |SetCategory|) T) ((|SparseMultivariatePolynomial| . |SetCategory|) T) ((|SparseUnivariateSkewPolynomial| . |SetCategory|) T) ((|SplittingTree| . |BasicType|) T) ((|OrderlyDifferentialPolynomial| . |EntireRing|) 50521) ((|PolynomialRing| . |RightModule|) 50354) ((|Pi| . |RealConstant|) T) ((|MonoidRing| . |RightModule|) 50311) ((|Stack| . |StackAggregate|) 50295) ((|Set| . |InnerEvalable|) 50214) ((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| . |BasicType|) T) ((|GenericNonAssociativeAlgebra| . |RightModule|) 50170) ((|PolynomialRing| . |BiModule|) 49971) ((|PseudoAlgebraicClosureOfRationalNumber| . |VectorSpace|) 49935) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |VectorSpace|) 49848) ((|PrimeField| . |BasicType|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |StepThrough|) T) ((|MonoidRing| . |BiModule|) 49800) ((|DirichletRing| . |Module|) 49720) ((|OneDimensionalArray| . |BasicType|) 49657) ((|IndexedList| . |ConvertibleTo|) 49593) ((|IndexedList| . |CoercibleTo|) 49511) ((|InnerIndexedTwoDimensionalArray| . |BasicType|) 49481) ((|IndexedFlexibleArray| . |BasicType|) 49418) ((|IndexedTwoDimensionalArray| . |BasicType|) 49388) ((|IndexedOneDimensionalArray| . |BasicType|) 49325) ((|GenericNonAssociativeAlgebra| . |BiModule|) 49248) ((|DirectProductModule| . |CommutativeRing|) 49214) ((|DirectProductMatrixModule| . |CommutativeRing|) 49180) ((|Factored| . |RightModule|) 49154) ((|TaylorSeries| . |PowerSeriesCategory|) 49095) ((|Quaternion| . |SemiGroup|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |Algebra|) 49049) ((|NeitherSparseOrDensePowerSeries| . |Algebra|) 48963) ((|Point| . |InnerEvalable|) 48882) ((|HexadecimalExpansion| . |OrderedCancellationAbelianMonoid|) T) ((|GeneralUnivariatePowerSeries| . |Algebra|) 48670) ((|Factored| . |BiModule|) 48637) ((|HexadecimalExpansion| . |OrderedAbelianMonoid|) T) ((|Queue| . |Evalable|) 48561) ((|DecimalExpansion| . |OrderedCancellationAbelianMonoid|) T) ((|DecimalExpansion| . |OrderedAbelianMonoid|) T) ((|Quaternion| . |AbelianMonoid|) T) ((|ModMonic| . |CancellationAbelianMonoid|) T) ((|UnivariateLaurentSeriesConstructor| . |FullyPatternMatchable|) 48528) ((|U8Matrix| . |Aggregate|) T) ((|Expression| . |AbelianSemiGroup|) 48296) ((|Complex| . |FullyRetractableTo|) 48280) ((|Expression| . |AbelianGroup|) 48082) ((|ExponentialExpansion| . |AbelianSemiGroup|) T) ((|ExponentialExpansion| . |AbelianGroup|) T) ((|OrderedVariableList| . |Finite|) T) ((|Bits| . |Aggregate|) T) ((|HomogeneousDirectProduct| . |LeftModule|) 47896) ((|PAdicRational| . |Rng|) T) ((|IndexedString| . |EltableAggregate|) 47859) ((|InnerPAdicInteger| . |CharacteristicZero|) T) ((|Integer| . |CharacteristicZero|) T) ((|InnerAlgebraicNumber| . |CharacteristicZero|) T) ((|SparseUnivariatePolynomial| . |Module|) 47599) ((|SparseMultivariatePolynomial| . |Module|) 47362) ((|SingleInteger| . |LinearlyExplicitRingOver|) 47339) ((|SparseUnivariateSkewPolynomial| . |Module|) 47296) ((|LieSquareMatrix| . |Type|) T) ((|Mapping| . |BasicType|) T) ((|DirectProduct| . |CoercibleTo|) 46945) ((|UnivariatePolynomial| . |FullyRetractableTo|) 46929) ((|U16Matrix| . |MatrixCategory|) 46878) ((|Table| . |Evalable|) 46638) ((|PolynomialRing| . |Ring|) T) ((|MonoidRing| . |Ring|) T) ((|ModularRing| . |Ring|) T) ((|List| . |SetCategory|) 46575) ((|RectangularMatrix| . |LeftModule|) 46559) ((|UnivariateSkewPolynomial| . |FullyRetractableTo|) 46543) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |BasicType|) T) ((|IndexedDirectProductAbelianGroup| . |BasicType|) T) ((|DistributedMultivariatePolynomial| . |Evalable|) 46530) ((|DifferentialSparseMultivariatePolynomial| . |Evalable|) 46517) ((|StochasticDifferential| . |CoercibleTo|) 46491) ((|PolynomialRing| . |FiniteAbelianMonoidRing|) 46470) ((|FreeModule| . |LeftModule|) 46454) ((|HashTable| . |Evalable|) 46214) ((|DirectProductModule| . |InnerEvalable|) 46133) ((|LieSquareMatrix| . |RetractableTo|) 45977) ((|DirectProductMatrixModule| . |InnerEvalable|) 45896) ((|SplittingTree| . |Evalable|) 45786) ((|DirichletRing| . |CommutativeRing|) 45752) ((|OrderedFreeMonoid| . |SetCategory|) T) ((|Octonion| . |RightModule|) 45736) ((|UnivariateTaylorSeries| . |Eltable|) 45721) ((|UnivariatePuiseuxSeries| . |Eltable|) 45706) ((|UnivariateLaurentSeries| . |Eltable|) 45470) ((|UnivariateFormalPowerSeries| . |Eltable|) 45455) ((|FreeMonoid| . |SetCategory|) T) ((|FreeAbelianMonoid| . |SetCategory|) T) ((|Factored| . |Ring|) T) ((|Complex| . |Rng|) T) ((|OneDimensionalArray| . |Evalable|) 45379) ((|Octonion| . |BiModule|) 45358) ((|InnerSparseUnivariatePowerSeries| . |Eltable|) 45343) ((|InnerIndexedTwoDimensionalArray| . |Evalable|) 45267) ((|IndexedFlexibleArray| . |Evalable|) 45191) ((|IndexedTwoDimensionalArray| . |Evalable|) 45115) ((|IndexedOneDimensionalArray| . |Evalable|) 45039) ((|Factored| . |DifferentialRing|) 45004) ((|HomogeneousDirectProduct| . |Aggregate|) T) ((|RadixExpansion| . |ConvertibleTo|) 44905) ((|DoubleFloat| . |SetCategory|) T) ((|RadixExpansion| . |CoercibleTo|) 44879) ((|Partition| . |CoercibleTo|) 44853) ((|Partition| . |ConvertibleTo|) 44821) ((|PartialFraction| . |CoercibleTo|) 44795) ((|MachineFloat| . |CharacteristicZero|) T) ((|MachineInteger| . |PrincipalIdealDomain|) T) ((|MachineInteger| . |OrderedIntegralDomain|) T) ((|FourierSeries| . |CoercibleTo|) 44769) ((|SingleInteger| . |AbelianGroup|) T) ((|SingleInteger| . |AbelianSemiGroup|) T) ((|LieSquareMatrix| . |FullyLinearlyExplicitRingOver|) 44753) ((|BalancedPAdicInteger| . |PrincipalIdealDomain|) T) ((|PAdicRationalConstructor| . |DifferentialExtension|) 44737) ((|Asp4| . |Type|) T) ((|BinaryTournament| . |BinaryTreeCategory|) 44721) ((|RectangularMatrix| . |Aggregate|) T) ((|XPolynomial| . |RetractableTo|) 44677) ((|XPBWPolynomial| . |RetractableTo|) 44590) ((|UnivariatePolynomial| . |Rng|) T) ((|SparseUnivariatePolynomialExpressions| . |CharacteristicNonZero|) 44550) ((|SparseUnivariatePolynomialExpressions| . |CharacteristicZero|) 44513) ((|UnivariateSkewPolynomial| . |Rng|) T) ((|HomogeneousDirectProduct| . |OrderedAbelianGroup|) 44483) ((|FiniteFieldExtensionByPolynomial| . |StepThrough|) 44458) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |StepThrough|) 44433) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |StepThrough|) 44408) ((|HomogeneousDirectProduct| . |OrderedAbelianSemiGroup|) 44332) ((|HomogeneousDirectProduct| . |OrderedAbelianMonoidSup|) 44290) ((|DenavitHartenbergMatrix| . |Aggregate|) T) ((|HomogeneousDirectProduct| . |Monoid|) 44176) ((|TwoDimensionalArray| . |HomogeneousAggregate|) 44160) ((|Interval| . |Rng|) T) ((|U16Matrix| . |CoercibleTo|) 44134) ((|SparseUnivariatePolynomial| . |CommutativeRing|) 43964) ((|SparseMultivariatePolynomial| . |CommutativeRing|) 43817) ((|RomanNumeral| . |SetCategory|) T) ((|SequentialDifferentialPolynomial| . |PolynomialCategory|) 43688) ((|Polynomial| . |SetCategory|) T) ((|OrdinaryDifferentialRing| . |LeftModule|) 43625) ((|NewSparseUnivariatePolynomial| . |PolynomialCategory|) 43560) ((|ModuleMonomial| . |SetCategory|) T) ((|NewSparseMultivariatePolynomial| . |PolynomialCategory|) 43513) ((|IndexedFlexibleArray| . |ExtensibleLinearAggregate|) 43497) ((|LieSquareMatrix| . |PartialDifferentialRing|) 43429) ((|HomogeneousDistributedMultivariatePolynomial| . |SetCategory|) T) ((|GeneralDistributedMultivariatePolynomial| . |PolynomialCategory|) 43379) ((|Asp50| . |Type|) T) ((|FiniteFieldExtensionByPolynomial| . |Algebra|) 43333) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |Algebra|) 43287) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |Algebra|) 43241) ((|DifferentialSparseMultivariatePolynomial| . |Algebra|) 43004) ((|DistributedMultivariatePolynomial| . |Algebra|) 42767) ((|PrimeField| . |StepThrough|) T) ((|LaurentPolynomial| . |CharacteristicZero|) 42730) ((|LaurentPolynomial| . |CharacteristicNonZero|) 42690) ((|BalancedPAdicRational| . |CharacteristicZero|) T) ((|BalancedPAdicRational| . |CharacteristicNonZero|) NIL) ((|FramedModule| . |Monoid|) T) ((|Octonion| . |Ring|) T) ((|FiniteFieldCyclicGroup| . |GcdDomain|) T) ((|UnivariateTaylorSeries| . |RadicalCategory|) 42639) ((|UnivariatePuiseuxSeries| . |RadicalCategory|) 42588) ((|UnivariateLaurentSeries| . |RadicalCategory|) 42537) ((|UnivariateFormalPowerSeries| . |RadicalCategory|) 42486) ((|PrimeField| . |Algebra|) 42440) ((|DoubleFloat| . |Module|) 42394) ((|MyExpression| . |OrderedSet|) T) ((|AlgebraicFunctionField| . |FramedAlgebra|) 42360) ((|ExponentialOfUnivariatePuiseuxSeries| . |AbelianMonoidRing|) 42319) ((|Quaternion| . |CancellationAbelianMonoid|) T) ((|OrderedDirectProduct| . |Type|) T) ((|ContinuedFraction| . |PrincipalIdealDomain|) T) ((|FiniteFieldCyclicGroup| . |FieldOfPrimeCharacteristic|) T) ((|IndexedList| . |EltableAggregate|) 42291) ((|AssociationList| . |Aggregate|) T) ((|OrderedDirectProduct| . |RetractableTo|) 42042) ((|MyUnivariatePolynomial| . |PolynomialFactorizationExplicit|) 41992) ((|Localize| . |BasicType|) T) ((|LinearOrdinaryDifferentialOperator2| . |AbelianGroup|) T) ((|LinearOrdinaryDifferentialOperator2| . |AbelianSemiGroup|) T) ((|Set| . |HomogeneousAggregate|) 41976) ((|UnivariateLaurentSeriesConstructor| . |DifferentialExtension|) 41943) ((|ThreeDimensionalMatrix| . |Type|) T) ((|DataList| . |BasicType|) 41880) ((|PAdicRational| . |SetCategory|) T) ((|SymmetricPolynomial| . |LeftModule|) 41777) ((|RomanNumeral| . |Module|) 41764) ((|MultivariatePolynomial| . |RightModule|) 41521) ((|SparseUnivariatePolynomial| . |InnerEvalable|) 41431) ((|Polynomial| . |Module|) 41194) ((|SparseMultivariatePolynomial| . |InnerEvalable|) 41146) ((|MyUnivariatePolynomial| . |LeftModule|) 41043) ((|HomogeneousDistributedMultivariatePolynomial| . |Module|) 40806) ((|Asp27| . |CoercibleTo|) 40780) ((|MultivariatePolynomial| . |BiModule|) 40505) ((|OrdinaryDifferentialRing| . |LeftOreRing|) 40481) ((|Point| . |HomogeneousAggregate|) 40465) ((|WeightedPolynomials| . |LeftModule|) 40412) ((|SparseUnivariateTaylorSeries| . |RightModule|) 40245) ((|OrdinaryDifferentialRing| . |Monoid|) T) ((|SparseUnivariatePuiseuxSeries| . |RightModule|) 40027) ((|SparseUnivariateLaurentSeries| . |RightModule|) 39736) ((|DirichletRing| . |EntireRing|) 39702) ((|SparseMultivariateTaylorSeries| . |RightModule|) 39535) ((|RadicalFunctionField| . |UniqueFactorizationDomain|) T) ((|Segment| . |BasicType|) 39505) ((|OrderedDirectProduct| . |FullyLinearlyExplicitRingOver|) 39473) ((|RadicalFunctionField| . |IntegralDomain|) T) ((|SparseUnivariateTaylorSeries| . |BiModule|) 39274) ((|SparseUnivariatePuiseuxSeries| . |BiModule|) 39024) ((|SparseUnivariateLaurentSeries| . |BiModule|) 38653) ((|SparseMultivariateTaylorSeries| . |BiModule|) 38454) ((|SExpressionOf| . |SExpressionCategory|) 38418) ((|Float| . |OrderedRing|) T) ((|UnivariateTaylorSeries| . |CoercibleTo|) 38392) ((|UnivariatePuiseuxSeries| . |CoercibleTo|) 38366) ((|UnivariateLaurentSeries| . |CoercibleTo|) 38340) ((|UnivariateLaurentSeries| . |ConvertibleTo|) NIL) ((|UnivariateFormalPowerSeries| . |CoercibleTo|) 38314) ((|DirectProduct| . |EltableAggregate|) 38286) ((|AlgebraicFunctionField| . |GcdDomain|) T) ((|DoubleFloat| . |CommutativeRing|) T) ((|Complex| . |SetCategory|) T) ((|MachineComplex| . |CharacteristicZero|) T) ((|MachineComplex| . |CharacteristicNonZero|) NIL) ((|InnerTaylorSeries| . |CoercibleTo|) 38260) ((|InnerSparseUnivariatePowerSeries| . |CoercibleTo|) 38234) ((|NumericalPDEProblem| . |SetCategory|) T) ((|NumericalOptimizationProblem| . |SetCategory|) T) ((|NumericalODEProblem| . |SetCategory|) T) ((|NumericalIntegrationProblem| . |SetCategory|) T) ((|LinearOrdinaryDifferentialOperator| . |UnivariateSkewPolynomialCategory|) 38218) ((|Magma| . |SetCategory|) T) ((|OrderedDirectProduct| . |PartialDifferentialRing|) 38122) ((|SparseUnivariatePolynomialExpressions| . |TranscendentalFunctionCategory|) 38073) ((|SparseUnivariatePolynomialExpressions| . |TrigonometricFunctionCategory|) 38024) ((|AlgebraicFunctionField| . |FieldOfPrimeCharacteristic|) NIL) ((|SingleInteger| . |Logic|) T) ((|PAdicRational| . |Module|) 37948) ((|DirectProductModule| . |HomogeneousAggregate|) 37932) ((|DirectProductMatrixModule| . |HomogeneousAggregate|) 37916) ((|ModMonic| . |LinearlyExplicitRingOver|) 37832) ((|LinearOrdinaryDifferentialOperator1| . |LeftModule|) 37806) ((|EqTable| . |Aggregate|) T) ((|SparseUnivariatePolynomialExpressions| . |ArcTrigonometricFunctionCategory|) 37757) ((|SparseUnivariatePolynomialExpressions| . |ArcHyperbolicFunctionCategory|) 37708) ((|MultivariatePolynomial| . |Ring|) T) ((|InnerPrimeField| . |VectorSpace|) 37695) ((|InnerFiniteField| . |VectorSpace|) 37659) ((|UnivariatePolynomial| . |SetCategory|) T) ((|SparseUnivariatePolynomial| . |EntireRing|) 37522) ((|SparseMultivariatePolynomial| . |EntireRing|) 37408) ((|RomanNumeral| . |CommutativeRing|) T) ((|MyUnivariatePolynomial| . |LeftOreRing|) 37303) ((|UnivariateSkewPolynomial| . |SetCategory|) T) ((|Polynomial| . |CommutativeRing|) 37156) ((|NewSparseUnivariatePolynomial| . |UnivariatePolynomialCategory|) 37140) ((|List| . |InnerEvalable|) 37059) ((|Asp49| . |CoercibleTo|) 37033) ((|MultivariatePolynomial| . |FiniteAbelianMonoidRing|) 36967) ((|SymmetricPolynomial| . |Monoid|) T) ((|Interval| . |SetCategory|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |CommutativeRing|) 36820) ((|MyUnivariatePolynomial| . |Monoid|) T) ((|DataList| . |Evalable|) 36744) ((|SquareMatrix| . |SemiGroup|) T) ((|Asp30| . |CoercibleTo|) 36718) ((|WeightedPolynomials| . |Monoid|) T) ((|SparseUnivariateTaylorSeries| . |Ring|) T) ((|SparseUnivariatePuiseuxSeries| . |Ring|) T) ((|FlexibleArray| . |BasicType|) 36655) ((|SparseUnivariateLaurentSeries| . |Ring|) T) ((|SquareMatrix| . |AbelianMonoid|) T) ((|SparseMultivariateTaylorSeries| . |Ring|) T) ((|ArrayStack| . |StackAggregate|) 36639) ((|OrdinaryWeightedPolynomials| . |SemiGroup|) T) ((|SparseUnivariateTaylorSeries| . |DifferentialRing|) 36576) ((|SparseUnivariatePuiseuxSeries| . |DivisionRing|) 36552) ((|SparseUnivariatePuiseuxSeries| . |DifferentialRing|) 36487) ((|SparseUnivariateLaurentSeries| . |DifferentialRing|) 36324) ((|SparseUnivariateLaurentSeries| . |DivisionRing|) 36300) ((|ExponentialOfUnivariatePuiseuxSeries| . |PartialDifferentialRing|) 36162) ((|PseudoAlgebraicClosureOfRationalNumber| . |BasicType|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |BasicType|) T) ((|OrdinaryWeightedPolynomials| . |AbelianMonoid|) T) ((|Complex| . |Module|) 35920) ((|SetOfMIntegersInOneToN| . |Finite|) T) ((|Fraction| . |UniqueFactorizationDomain|) T) ((|RealClosure| . |CharacteristicZero|) T) ((|RadicalFunctionField| . |Field|) T) ((|Point| . |Eltable|) 35892) ((|PAdicInteger| . |GcdDomain|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |FiniteFieldCategory|) T) ((|Expression| . |OrderedSet|) T) ((|ExponentialExpansion| . |OrderedSet|) NIL) ((|Palette| . |BasicType|) T) ((|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| . |InfinitlyClosePointCategory|) 35419) ((|ModMonic| . |AbelianSemiGroup|) T) ((|Fraction| . |IntegralDomain|) T) ((|ModMonic| . |AbelianGroup|) T) ((|FiniteField| . |CharacteristicZero|) 35385) ((|FiniteField| . |CharacteristicNonZero|) T) ((|Stack| . |SetCategory|) 35355) ((|GenericNonAssociativeAlgebra| . |Monad|) T) ((|Asp41| . |CoercibleTo|) 35329) ((|BasicOperator| . |OrderedSet|) T) ((|DataList| . |ExtensibleLinearAggregate|) 35313) ((|DirectProduct| . |RightModule|) 35183) ((|Asp6| . |CoercibleTo|) 35157) ((|MonoidRing| . |Finite|) 35102) ((|Symbol| . |OpenMath|) T) ((|Multiset| . |DictionaryOperations|) 35086) ((|UnivariatePolynomial| . |Module|) 34826) ((|StringTable| . |Type|) T) ((|CharacterClass| . |DictionaryOperations|) 34801) ((|DirectProduct| . |BiModule|) 34664) ((|StochasticDifferential| . |RightModule|) 34633) ((|AlgebraicNumber| . |CharacteristicZero|) T) ((|PAdicRational| . |CommutativeRing|) T) ((|UnivariateSkewPolynomial| . |Module|) 34590) ((|Heap| . |Type|) T) ((|Polynomial| . |InnerEvalable|) 34530) ((|LinearOrdinaryDifferentialOperator1| . |Monoid|) T) ((|Interval| . |Module|) 34517) ((|StochasticDifferential| . |BiModule|) 34466) ((|ResidueRing| . |Rng|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |InnerEvalable|) 34370) ((|Point| . |OneDimensionalArrayAggregate|) 34354) ((|Point| . |IndexedAggregate|) 34326) ((|OrderlyDifferentialPolynomial| . |ConvertibleTo|) NIL) ((|OrderlyDifferentialPolynomial| . |CoercibleTo|) 34300) ((|RadixExpansion| . |RightModule|) 34234) ((|FractionalIdeal| . |CoercibleTo|) 34208) ((|DirectProductModule| . |Eltable|) 34180) ((|DirectProductMatrixModule| . |Eltable|) 34152) ((|HexadecimalExpansion| . |PolynomialFactorizationExplicit|) NIL) ((|Expression| . |AlgebraicallyClosedFunctionSpace|) 34110) ((|BinaryExpansion| . |Type|) T) ((|RadicalFunctionField| . |SemiGroup|) T) ((|DecimalExpansion| . |PolynomialFactorizationExplicit|) NIL) ((|PartialFraction| . |RightModule|) 34051) ((|U32Vector| . |OrderedSet|) T) ((|SimpleAlgebraicExtension| . |RetractableTo|) 33895) ((|RadixExpansion| . |BiModule|) 33790) ((|Multiset| . |MultiDictionary|) 33774) ((|DifferentialSparseMultivariatePolynomial| . |DifferentialExtension|) 33758) ((|FourierSeries| . |RightModule|) 33742) ((|Float| . |Rng|) T) ((|RadicalFunctionField| . |AbelianMonoid|) T) ((|PartialFraction| . |BiModule|) 33651) ((|MachineComplex| . |TrigonometricFunctionCategory|) NIL) ((|HexadecimalExpansion| . |LeftModule|) 33585) ((|BinaryExpansion| . |Patternable|) 33562) ((|BinaryExpansion| . |PatternMatchable|) 33539) ((|MachineComplex| . |TranscendentalFunctionCategory|) NIL) ((|DecimalExpansion| . |LeftModule|) 33473) ((|FiniteFieldExtension| . |RetractableTo|) 33457) ((|FiniteFieldNormalBasisExtension| . |RetractableTo|) 33441) ((|FlexibleArray| . |Evalable|) 33365) ((|FiniteFieldCyclicGroupExtension| . |RetractableTo|) 33349) ((|DoubleFloat| . |EntireRing|) T) ((|FourierSeries| . |BiModule|) 33328) ((|TwoDimensionalArray| . |CoercibleTo|) 33279) ((|Complex| . |CommutativeRing|) T) ((|SingleInteger| . |OrderedSet|) T) ((|BinaryExpansion| . |RetractableTo|) 33223) ((|Pattern| . |SetCategory|) T) ((|Operator| . |Rng|) T) ((|OppositeMonogenicLinearOperator| . |Rng|) T) ((|MachineComplex| . |ArcHyperbolicFunctionCategory|) NIL) ((|MachineComplex| . |ArcTrigonometricFunctionCategory|) NIL) ((|ExponentialExpansion| . |QuotientFieldCategory|) 33138) ((|InnerPAdicInteger| . |GcdDomain|) T) ((|Integer| . |GcdDomain|) T) ((|InnerAlgebraicNumber| . |GcdDomain|) T) ((|Fraction| . |Field|) T) ((|DirectProduct| . |Ring|) 33048) ((|SparseTable| . |Aggregate|) T) ((|Plcs| . |BasicType|) T) ((|Pi| . |PrincipalIdealDomain|) T) ((|Quaternion| . |LinearlyExplicitRingOver|) 32964) ((|DirectProductModule| . |IndexedAggregate|) 32936) ((|DirectProductMatrixModule| . |IndexedAggregate|) 32908) ((|SimpleAlgebraicExtension| . |FullyLinearlyExplicitRingOver|) 32892) ((|PAdicRational| . |InnerEvalable|) 32662) ((|DirectProduct| . |DifferentialRing|) 32599) ((|String| . |Type|) T) ((|OpenMathErrorKind| . |CoercibleTo|) 32573) ((|ProjectiveSpace| . |ProjectiveSpaceCategory|) 32557) ((|XPolynomialRing| . |SemiGroup|) T) ((|XDistributedPolynomial| . |CoercibleTo|) 32531) ((|UnivariatePolynomial| . |CommutativeRing|) 32361) ((|BinaryExpansion| . |FullyLinearlyExplicitRingOver|) 32338) ((|BinaryExpansion| . |FullyEvalableOver|) 32315) ((|RomanNumeral| . |EntireRing|) T) ((|Polynomial| . |EntireRing|) 32201) ((|Octonion| . |Finite|) 32176) ((|Plcs| . |PlacesCategory|) 32155) ((|ListMultiDictionary| . |Type|) T) ((|Library| . |Type|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |EntireRing|) 32041) ((|Interval| . |CommutativeRing|) T) ((|FlexibleArray| . |ExtensibleLinearAggregate|) 32025) ((|XPolynomialRing| . |AbelianMonoid|) T) ((|TaylorSeries| . |BasicType|) T) ((|TextFile| . |SetCategory|) T) ((|SequentialDifferentialVariable| . |SetCategory|) T) ((|RewriteRule| . |SetCategory|) T) ((|Asp74| . |CoercibleTo|) 31999) ((|ModularField| . |BasicType|) T) ((|FiniteFieldExtensionByPolynomial| . |FiniteFieldCategory|) 31974) ((|KeyedAccessFile| . |SetCategory|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |FiniteFieldCategory|) 31949) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |FiniteFieldCategory|) 31924) ((|Table| . |Dictionary|) 31866) ((|GeneralSparseTable| . |SetCategory|) T) ((|DirichletRing| . |Eltable|) 31830) ((|DifferentialSparseMultivariatePolynomial| . |DifferentialPolynomialCategory|) 31778) ((|SquareMatrix| . |CancellationAbelianMonoid|) T) ((|KeyedAccessFile| . |KeyedDictionary|) 31751) ((|SimpleAlgebraicExtension| . |PartialDifferentialRing|) 31654) ((|RadixExpansion| . |Ring|) T) ((|PartialFraction| . |Ring|) T) ((|GeneralSparseTable| . |KeyedDictionary|) 31633) ((|SparseUnivariateLaurentSeries| . |OrderedAbelianMonoid|) NIL) ((|SparseUnivariateLaurentSeries| . |OrderedCancellationAbelianMonoid|) NIL) ((|Set| . |ConvertibleTo|) 31569) ((|Set| . |CoercibleTo|) 31543) ((|HashTable| . |Dictionary|) 31485) ((|RadixExpansion| . |DivisionRing|) T) ((|RadixExpansion| . |DifferentialRing|) T) ((|PrimitiveArray| . |SetCategory|) 31422) ((|FourierSeries| . |Ring|) T) ((|PartialFraction| . |DivisionRing|) T) ((|OrdinaryWeightedPolynomials| . |CancellationAbelianMonoid|) T) ((|MachineFloat| . |GcdDomain|) T) ((|HexadecimalExpansion| . |LeftOreRing|) T) ((|OrderedCompletion| . |SemiGroup|) 31392) ((|BinaryExpansion| . |PartialDifferentialRing|) NIL) ((|TaylorSeries| . |ElementaryFunctionCategory|) 31341) ((|DecimalExpansion| . |LeftOreRing|) T) ((|PAdicRationalConstructor| . |OrderedRing|) 31301) ((|SplitHomogeneousDirectProduct| . |Type|) T) ((|Permutation| . |Monoid|) T) ((|Complex| . |InnerEvalable|) 31190) ((|Quaternion| . |AbelianSemiGroup|) T) ((|Permutation| . |Group|) T) ((|Fraction| . |SemiGroup|) T) ((|HexadecimalExpansion| . |OrderedAbelianSemiGroup|) T) ((|HexadecimalExpansion| . |OrderedAbelianGroup|) T) ((|PrimeField| . |FiniteFieldCategory|) T) ((|HexadecimalExpansion| . |Monoid|) T) ((|DecimalExpansion| . |OrderedAbelianSemiGroup|) T) ((|DecimalExpansion| . |OrderedAbelianGroup|) T) ((|Quaternion| . |AbelianGroup|) T) ((|DecimalExpansion| . |Monoid|) T) ((|OrderedCompletion| . |AbelianMonoid|) 31125) ((|ExponentialOfUnivariatePuiseuxSeries| . |EuclideanDomain|) 31101) ((|Result| . |DictionaryOperations|) 31034) ((|Fraction| . |AbelianMonoid|) T) ((|Point| . |ConvertibleTo|) 30970) ((|Point| . |CoercibleTo|) 30888) ((|List| . |HomogeneousAggregate|) 30872) ((|AssociationList| . |RecursiveAggregate|) 30814) ((|PseudoAlgebraicClosureOfRationalNumber| . |Algebra|) 30768) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |Algebra|) 30722) ((|SparseUnivariatePolynomialExpressions| . |GcdDomain|) 30617) ((|FourierComponent| . |CoercibleTo|) 30591) ((|SplitHomogeneousDirectProduct| . |RetractableTo|) 30342) ((|IndexedString| . |LinearAggregate|) 30317) ((|IndexedString| . |FiniteLinearAggregate|) 30292) ((|FiniteFieldCyclicGroup| . |VectorSpace|) 30261) ((|RegularTriangularSet| . |Type|) T) ((|PAdicRational| . |EntireRing|) T) ((|UnivariatePolynomial| . |InnerEvalable|) 30171) ((|GeneralTriangularSet| . |Type|) T) ((|GeneralPolynomialSet| . |Type|) T) ((|IntegrationResult| . |BasicType|) T) ((|SparseUnivariatePolynomial| . |Eltable|) 30074) ((|LaurentPolynomial| . |GcdDomain|) 30050) ((|Queue| . |QueueAggregate|) 30034) ((|XDistributedPolynomial| . |FreeModuleCat|) 29991) ((|BalancedPAdicRational| . |GcdDomain|) T) ((|TexFormat| . |BasicType|) T) ((|SegmentBinding| . |SetCategory|) 29961) ((|ResidueRing| . |SetCategory|) T) ((|PoincareBirkhoffWittLyndonBasis| . |OrderedSet|) T) ((|UnivariateTaylorSeries| . |RightModule|) 29794) ((|FiniteFieldNormalBasis| . |UniqueFactorizationDomain|) T) ((|UnivariatePuiseuxSeries| . |RightModule|) 29576) ((|SplitHomogeneousDirectProduct| . |FullyLinearlyExplicitRingOver|) 29544) ((|UnivariateLaurentSeries| . |RightModule|) 29259) ((|UnivariateFormalPowerSeries| . |RightModule|) 29092) ((|UnivariateTaylorSeries| . |BiModule|) 28893) ((|UnivariatePuiseuxSeries| . |BiModule|) 28643) ((|UnivariateLaurentSeries| . |BiModule|) 28284) ((|UnivariateFormalPowerSeries| . |BiModule|) 28085) ((|TaylorSeries| . |Evalable|) 28072) ((|FiniteFieldNormalBasis| . |IntegralDomain|) T) ((|File| . |CoercibleTo|) 28046) ((|EuclideanModularRing| . |EuclideanDomain|) T) ((|InnerTaylorSeries| . |RightModule|) 28007) ((|InnerSparseUnivariatePowerSeries| . |RightModule|) 27840) ((|FreeGroup| . |SetCategory|) T) ((|FreeAbelianGroup| . |SetCategory|) T) ((|DirectProductModule| . |CoercibleTo|) 27790) ((|DirectProductMatrixModule| . |CoercibleTo|) 27740) ((|RadicalFunctionField| . |CancellationAbelianMonoid|) T) ((|BinaryFile| . |CoercibleTo|) 27714) ((|AssociatedLieAlgebra| . |AbelianMonoid|) T) ((|MachineComplex| . |FramedAlgebra|) 27638) ((|AssociatedJordanAlgebra| . |AbelianMonoid|) T) ((|LinearOrdinaryDifferentialOperator| . |BasicType|) T) ((|InnerTaylorSeries| . |BiModule|) 27597) ((|InnerSparseUnivariatePowerSeries| . |BiModule|) 27398) ((|Float| . |SetCategory|) T) ((|FiniteDivisor| . |BasicType|) T) ((|Complex| . |EntireRing|) 27267) ((|Divisor| . |BasicType|) T) ((|UnivariateLaurentSeriesConstructor| . |OrderedRing|) 27198) ((|Places| . |CoercibleTo|) 27172) ((|ModuleOperator| . |Rng|) T) ((|Stack| . |InnerEvalable|) 27091) ((|SplitHomogeneousDirectProduct| . |PartialDifferentialRing|) 26995) ((|Operator| . |SetCategory|) T) ((|OppositeMonogenicLinearOperator| . |SetCategory|) T) ((|OpenMathError| . |SetCategory|) T) ((|AttributeButtons| . |BasicType|) T) ((|Character| . |OrderedSet|) T) ((|MyExpression| . |CharacteristicZero|) 26958) ((|MyExpression| . |CharacteristicNonZero|) 26918) ((|Kernel| . |Patternable|) 26902) ((|U8Matrix| . |Type|) T) ((|U8Vector| . |Collection|) 26879) ((|Bits| . |Type|) T) ((|SequentialDifferentialPolynomial| . |BasicType|) T) ((|RoutinesTable| . |Aggregate|) T) ((|NewSparseUnivariatePolynomial| . |BasicType|) T) ((|NewSparseMultivariatePolynomial| . |BasicType|) T) ((|GeneralModulePolynomial| . |BasicType|) T) ((|GeneralDistributedMultivariatePolynomial| . |BasicType|) T) ((|DirectProduct| . |OrderedCancellationAbelianMonoid|) 26803) ((|DirectProduct| . |OrderedAbelianMonoid|) 26727) ((|NeitherSparseOrDensePowerSeries| . |StreamAggregate|) 26668) ((|ListMonoidOps| . |BasicType|) T) ((|UnivariatePolynomial| . |EntireRing|) 26531) ((|LiePolynomial| . |LieAlgebra|) 26515) ((|List| . |Eltable|) 26487) ((|ResidueRing| . |Module|) 26471) ((|Interval| . |EntireRing|) T) ((|PolynomialRing| . |LeftModule|) 26368) ((|XPolynomialRing| . |CancellationAbelianMonoid|) T) ((|MonoidRing| . |LeftModule|) 26315) ((|ModularRing| . |LeftModule|) 26302) ((|ExtAlgBasis| . |BasicType|) T) ((|GenericNonAssociativeAlgebra| . |LeftModule|) 26195) ((|AntiSymm| . |BasicType|) T) ((|InnerPrimeField| . |BasicType|) T) ((|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| . |BasicType|) T) ((|InnerFiniteField| . |BasicType|) T) ((|UnivariateTaylorSeries| . |Ring|) T) ((|UnivariatePuiseuxSeries| . |Ring|) T) ((|UnivariateLaurentSeries| . |Ring|) T) ((|UnivariateFormalPowerSeries| . |Ring|) T) ((|UnivariateTaylorSeries| . |DifferentialRing|) 26132) ((|UnivariatePuiseuxSeries| . |DivisionRing|) 26108) ((|FreeAbelianGroup| . |Module|) 26085) ((|UnivariatePuiseuxSeries| . |DifferentialRing|) 26020) ((|UnivariateLaurentSeries| . |DifferentialRing|) 25863) ((|UnivariateLaurentSeries| . |DivisionRing|) 25839) ((|UnivariateFormalPowerSeries| . |DifferentialRing|) 25776) ((|TaylorSeries| . |Algebra|) 25620) ((|RadixExpansion| . |OrderedCancellationAbelianMonoid|) T) ((|InnerTaylorSeries| . |Ring|) T) ((|InnerSparseUnivariatePowerSeries| . |Ring|) T) ((|RadixExpansion| . |OrderedAbelianMonoid|) T) ((|Partition| . |OrderedCancellationAbelianMonoid|) T) ((|Partition| . |OrderedAbelianMonoid|) T) ((|DirichletRing| . |CoercibleTo|) 25594) ((|PAdicRationalConstructor| . |Rng|) T) ((|PAdicInteger| . |PAdicIntegerCategory|) 25578) ((|MachineComplex| . |GcdDomain|) T) ((|Float| . |Module|) 25532) ((|Factored| . |LeftModule|) 25506) ((|ModMonic| . |OrderedSet|) 25477) ((|ModularField| . |Algebra|) 25431) ((|InnerSparseUnivariatePowerSeries| . |DifferentialRing|) 25379) ((|AlgebraicFunctionField| . |MonogenicAlgebra|) 25345) ((|FiniteFieldNormalBasis| . |FiniteAlgebraicExtensionField|) 25314) ((|FiniteFieldNormalBasis| . |Field|) T) ((|UnivariateTaylorSeriesCZero| . |CharacteristicNonZero|) 25274) ((|UnivariateTaylorSeriesCZero| . |CharacteristicZero|) 25237) ((|SimpleAlgebraicExtension| . |EuclideanDomain|) 25171) ((|Equation| . |SemiGroup|) 25017) ((|SimpleFortranProgram| . |Type|) T) ((|SubSpaceComponentProperty| . |BasicType|) T) ((|UniversalSegment| . |CoercibleTo|) 24968) ((|OrderedCompletion| . |CancellationAbelianMonoid|) 24903) ((|List| . |UnaryRecursiveAggregate|) 24887) ((|Operator| . |Module|) 24844) ((|OppositeMonogenicLinearOperator| . |Module|) 24801) ((|HomogeneousDirectProduct| . |Type|) T) ((|FiniteFieldExtension| . |EuclideanDomain|) T) ((|FiniteFieldNormalBasisExtension| . |EuclideanDomain|) T) ((|FiniteFieldCyclicGroupExtension| . |EuclideanDomain|) T) ((|List| . |IndexedAggregate|) 24773) ((|Fraction| . |CancellationAbelianMonoid|) T) ((|IndexedList| . |ListAggregate|) 24757) ((|BinaryExpansion| . |EuclideanDomain|) T) ((|Equation| . |AbelianMonoid|) 24591) ((|IndexedList| . |LinearAggregate|) 24575) ((|MachineComplex| . |FieldOfPrimeCharacteristic|) NIL) ((|IndexedList| . |FiniteLinearAggregate|) 24559) ((|InfinitlyClosePoint| . |CoercibleTo|) 24533) ((|ArrayStack| . |SetCategory|) 24503) ((|BinaryExpansion| . |RealConstant|) T) ((|Integer| . |CombinatorialFunctionCategory|) T) ((|Vector| . |Collection|) 24487) ((|HomogeneousDirectProduct| . |RetractableTo|) 24238) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |CharacteristicNonZero|) 24160) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |CharacteristicZero|) 24085) ((|RectangularMatrix| . |Type|) T) ((|QuadraticForm| . |CoercibleTo|) 24059) ((|OutputForm| . |CoercibleTo|) 24033) ((|OrderlyDifferentialPolynomial| . |RightModule|) 23790) ((|SequentialDifferentialPolynomial| . |Evalable|) 23777) ((|DenavitHartenbergMatrix| . |Type|) T) ((|NewSparseUnivariatePolynomial| . |Evalable|) 23764) ((|NewSparseMultivariatePolynomial| . |Evalable|) 23751) ((|OrderlyDifferentialPolynomial| . |BiModule|) 23476) ((|GeneralDistributedMultivariatePolynomial| . |Evalable|) 23463) ((|SparseUnivariatePolynomial| . |ConvertibleTo|) NIL) ((|SparseUnivariatePolynomial| . |CoercibleTo|) 23437) ((|SparseMultivariatePolynomial| . |CoercibleTo|) 23411) ((|SparseMultivariatePolynomial| . |ConvertibleTo|) 23018) ((|ResidueRing| . |CommutativeRing|) T) ((|SparseUnivariateSkewPolynomial| . |CoercibleTo|) 22992) ((|Point| . |EltableAggregate|) 22964) ((|KeyedAccessFile| . |InnerEvalable|) 22648) ((|OrderlyDifferentialVariable| . |RetractableTo|) 22632) ((|GeneralSparseTable| . |InnerEvalable|) 22340) ((|PolynomialRing| . |Monoid|) T) ((|MonoidRing| . |Monoid|) T) ((|ModularRing| . |Monoid|) T) ((|FiniteFieldNormalBasis| . |SemiGroup|) T) ((|TheSymbolTable| . |CoercibleTo|) 22314) ((|DeRhamComplex| . |BasicType|) T) ((|HomogeneousDirectProduct| . |FullyLinearlyExplicitRingOver|) 22282) ((|InnerFreeAbelianMonoid| . |SetCategory|) T) ((|IndexedDirectProductOrderedAbelianMonoid| . |SetCategory|) T) ((|IndexedDirectProductAbelianMonoid| . |SetCategory|) T) ((|Octonion| . |LeftModule|) 22256) ((|RealClosure| . |GcdDomain|) T) ((|PrimitiveArray| . |InnerEvalable|) 22175) ((|FiniteFieldNormalBasis| . |AbelianMonoid|) T) ((|U16Vector| . |OrderedSet|) T) ((|AssociatedLieAlgebra| . |CancellationAbelianMonoid|) T) ((|AssociatedJordanAlgebra| . |CancellationAbelianMonoid|) T) ((|Factored| . |LeftOreRing|) 22099) ((|FiniteField| . |GcdDomain|) T) ((|DirectProduct| . |Finite|) 22074) ((|Float| . |CommutativeRing|) T) ((|UnivariatePuiseuxSeriesConstructor| . |Rng|) T) ((|UnivariateLaurentSeriesConstructor| . |Rng|) T) ((|DoubleFloat| . |RadicalCategory|) T) ((|ProjectivePlane| . |SetCategoryWithDegree|) T) ((|MachineFloat| . |FortranMachineTypeCategory|) T) ((|Factored| . |Monoid|) T) ((|MachineInteger| . |UniqueFactorizationDomain|) T) ((|SquareMatrix| . |LinearlyExplicitRingOver|) 21990) ((|XDistributedPolynomial| . |RightModule|) 21974) ((|InnerPAdicInteger| . |PAdicIntegerCategory|) 21958) ((|StringTable| . |TableAggregate|) 21931) ((|ModuleOperator| . |SetCategory|) T) ((|MachineInteger| . |IntegralDomain|) T) ((|BinaryTournament| . |SetCategory|) 21901) ((|HomogeneousDirectProduct| . |PartialDifferentialRing|) 21805) ((|DoubleFloatVector| . |VectorCategory|) 21778) ((|DoubleFloatVector| . |SetCategory|) T) ((|ComplexDoubleFloatVector| . |VectorCategory|) 21739) ((|Commutator| . |SetCategory|) T) ((|LinearOrdinaryDifferentialOperator| . |Algebra|) 21696) ((|FiniteField| . |FieldOfPrimeCharacteristic|) T) ((|Expression| . |CharacteristicZero|) 21659) ((|Expression| . |CharacteristicNonZero|) 21619) ((|BalancedPAdicInteger| . |IntegralDomain|) T) ((|ExponentialExpansion| . |CharacteristicZero|) 21513) ((|ExponentialExpansion| . |CharacteristicNonZero|) 21404) ((|AlgebraicNumber| . |GcdDomain|) T) ((|Color| . |SetCategory|) T) ((|ComplexDoubleFloatVector| . |SetCategory|) T) ((|StringTable| . |BagAggregate|) 21340) ((|SparseUnivariatePolynomialExpressions| . |PolynomialCategory|) 21275) ((|NewSparseUnivariatePolynomial| . |StepThrough|) 21245) ((|Matrix| . |Aggregate|) T) ((|XDistributedPolynomial| . |BiModule|) 21224) ((|InnerTable| . |Aggregate|) T) ((|Heap| . |BagAggregate|) 21208) ((|DirectProductModule| . |EltableAggregate|) 21180) ((|DirectProductMatrixModule| . |EltableAggregate|) 21152) ((|PAdicRational| . |Eltable|) 21037) ((|AssociationList| . |Type|) T) ((|OrderlyDifferentialPolynomial| . |Ring|) T) ((|SymmetricPolynomial| . |AbelianMonoidRing|) 21007) ((|OrderlyDifferentialPolynomial| . |FiniteAbelianMonoidRing|) 20927) ((|SequentialDifferentialPolynomial| . |Algebra|) 20690) ((|OrderlyDifferentialPolynomial| . |DifferentialRing|) 20655) ((|NewSparseUnivariatePolynomial| . |Algebra|) 20395) ((|NewSparseMultivariatePolynomial| . |Algebra|) 20158) ((|MyUnivariatePolynomial| . |AbelianMonoidRing|) 20119) ((|GeneralDistributedMultivariatePolynomial| . |Algebra|) 19882) ((|List| . |ConvertibleTo|) 19818) ((|List| . |CoercibleTo|) 19736) ((|InnerPrimeField| . |StepThrough|) T) ((|InnerFiniteField| . |StepThrough|) T) ((|Stack| . |HomogeneousAggregate|) 19720) ((|Tree| . |SetCategory|) 19690) ((|SquareMatrix| . |AbelianSemiGroup|) T) ((|SquareMatrix| . |AbelianGroup|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |Rng|) T) ((|NeitherSparseOrDensePowerSeries| . |Rng|) T) ((|UnivariateTaylorSeriesCZero| . |TrigonometricFunctionCategory|) 19639) ((|UnivariateTaylorSeriesCZero| . |TranscendentalFunctionCategory|) 19588) ((|GeneralUnivariatePowerSeries| . |Rng|) T) ((|UnivariateLaurentSeries| . |OrderedAbelianMonoid|) NIL) ((|UnivariateLaurentSeries| . |OrderedCancellationAbelianMonoid|) NIL) ((|Quaternion| . |OrderedSet|) 19559) ((|OrderedFreeMonoid| . |CoercibleTo|) 19533) ((|OrdinaryWeightedPolynomials| . |AbelianGroup|) T) ((|OrdinaryWeightedPolynomials| . |AbelianSemiGroup|) T) ((|Octonion| . |Monoid|) T) ((|InfClsPt| . |SetCategoryWithDegree|) T) ((|ContinuedFraction| . |UniqueFactorizationDomain|) T) ((|InnerPrimeField| . |Algebra|) 19487) ((|InnerFiniteField| . |Algebra|) 19441) ((|FreeMonoid| . |CoercibleTo|) 19415) ((|FreeAbelianMonoid| . |CoercibleTo|) 19389) ((|Complex| . |Eltable|) 19342) ((|UnivariateTaylorSeriesCZero| . |ArcHyperbolicFunctionCategory|) 19291) ((|UnivariateTaylorSeriesCZero| . |ArcTrigonometricFunctionCategory|) 19240) ((|Asp19| . |Type|) T) ((|Boolean| . |BasicType|) T) ((|PAdicRationalConstructor| . |SetCategory|) T) ((|ContinuedFraction| . |IntegralDomain|) T) ((|ModuleOperator| . |Module|) 19197) ((|Equation| . |CancellationAbelianMonoid|) 19031) ((|DoubleFloat| . |CoercibleTo|) 19005) ((|DoubleFloat| . |ConvertibleTo|) 18908) ((|U32Matrix| . |Aggregate|) T) ((|RadicalFunctionField| . |LinearlyExplicitRingOver|) 18798) ((|XDistributedPolynomial| . |Ring|) T) ((|SingleInteger| . |CharacteristicZero|) T) ((|Library| . |TableAggregate|) 18768) ((|MultivariatePolynomial| . |PolynomialFactorizationExplicit|) 18718) ((|IndexedString| . |Aggregate|) T) ((|ListMultiDictionary| . |BagAggregate|) 18702) ((|Library| . |BagAggregate|) 18635) ((|MyUnivariatePolynomial| . |PatternMatchable|) NIL) ((|UnivariatePolynomial| . |Eltable|) 18538) ((|MultivariatePolynomial| . |LeftModule|) 18435) ((|EqTable| . |Type|) T) ((|SymmetricPolynomial| . |RetractableTo|) 18279) ((|MyUnivariatePolynomial| . |RetractableTo|) 18089) ((|SparseUnivariateLaurentSeries| . |PolynomialFactorizationExplicit|) NIL) ((|RomanNumeral| . |ConvertibleTo|) 17970) ((|RomanNumeral| . |CoercibleTo|) 17944) ((|FiniteFieldCyclicGroup| . |BasicType|) T) ((|DirectProductModule| . |RightModule|) 17814) ((|DirectProductMatrixModule| . |RightModule|) 17684) ((|ScriptFormulaFormat| . |BasicType|) T) ((|Polynomial| . |CoercibleTo|) 17658) ((|Polynomial| . |ConvertibleTo|) 17436) ((|ModuleMonomial| . |CoercibleTo|) 17410) ((|WuWenTsunTriangularSet| . |TriangularSetCategory|) 17379) ((|HomogeneousDistributedMultivariatePolynomial| . |CoercibleTo|) 17353) ((|HomogeneousDistributedMultivariatePolynomial| . |ConvertibleTo|) 17131) ((|DifferentialSparseMultivariatePolynomial| . |FullyRetractableTo|) 17115) ((|DistributedMultivariatePolynomial| . |FullyRetractableTo|) 17099) ((|DirectProductModule| . |BiModule|) 16962) ((|DirectProductMatrixModule| . |BiModule|) 16825) ((|SparseUnivariateTaylorSeries| . |LeftModule|) 16722) ((|SparseUnivariatePuiseuxSeries| . |LeftModule|) 16591) ((|SparseUnivariateLaurentSeries| . |LeftModule|) 16387) ((|SparseMultivariateTaylorSeries| . |LeftModule|) 16284) ((|FiniteFieldNormalBasis| . |CancellationAbelianMonoid|) T) ((|Asp73| . |FortranVectorFunctionCategory|) T) ((|Asp73| . |FortranProgramCategory|) T) ((|RadicalFunctionField| . |AbelianSemiGroup|) T) ((|RadicalFunctionField| . |AbelianGroup|) T) ((|PAdicRationalConstructor| . |Module|) 16225) ((|Float| . |EntireRing|) T) ((|Complex| . |RadicalCategory|) 16137) ((|MyUnivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 16121) ((|MachineComplex| . |FortranMachineTypeCategory|) T) ((|Quaternion| . |QuaternionCategory|) 16105) ((|MachineInteger| . |SemiGroup|) T) ((|MachineComplex| . |ComplexCategory|) 16077) ((|UnivariatePuiseuxSeriesConstructor| . |SetCategory|) T) ((|UnivariateLaurentSeriesConstructor| . |SetCategory|) T) ((|Expression| . |TranscendentalFunctionCategory|) 16044) ((|Expression| . |TrigonometricFunctionCategory|) 16011) ((|SubSpace| . |BasicType|) T) ((|Expression| . |PrimitiveFunctionCategory|) 15978) ((|CardinalNumber| . |SemiGroup|) T) ((|BalancedPAdicInteger| . |SemiGroup|) T) ((|IndexedVector| . |VectorCategory|) 15962) ((|MachineInteger| . |AbelianMonoid|) T) ((|IndexedVector| . |SetCategory|) 15899) ((|ArrayStack| . |InnerEvalable|) 15818) ((|ContinuedFraction| . |Field|) T) ((|SparseUnivariatePolynomialExpressions| . |UnivariatePolynomialCategory|) 15802) ((|Expression| . |ArcTrigonometricFunctionCategory|) 15769) ((|Expression| . |ArcHyperbolicFunctionCategory|) 15736) ((|KeyedAccessFile| . |HomogeneousAggregate|) 15659) ((|CardinalNumber| . |AbelianMonoid|) T) ((|BalancedPAdicInteger| . |AbelianMonoid|) T) ((|MoebiusTransform| . |SetCategory|) T) ((|GeneralSparseTable| . |HomogeneousAggregate|) 15588) ((|Fraction| . |LinearlyExplicitRingOver|) 15504) ((|LinearOrdinaryDifferentialOperator1| . |RetractableTo|) 15348) ((|MyUnivariatePolynomial| . |PartialDifferentialRing|) 15246) ((|PrimitiveArray| . |HomogeneousAggregate|) 15230) ((|MultivariatePolynomial| . |LeftOreRing|) 15148) ((|FiniteFieldExtensionByPolynomial| . |Rng|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |Rng|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |Rng|) T) ((|DifferentialSparseMultivariatePolynomial| . |Rng|) T) ((|DistributedMultivariatePolynomial| . |Rng|) T) ((|PAdicRational| . |ConvertibleTo|) NIL) ((|PAdicRational| . |CoercibleTo|) 15122) ((|XPolynomialRing| . |AbelianGroup|) T) ((|Interval| . |RadicalCategory|) T) ((|MultivariatePolynomial| . |Monoid|) T) ((|XPolynomialRing| . |AbelianSemiGroup|) T) ((|DirectProductModule| . |Ring|) 15032) ((|DirectProductMatrixModule| . |Ring|) 14942) ((|DirichletRing| . |RightModule|) 14862) ((|Asp33| . |Type|) T) ((|PlacesOverPseudoAlgebraicClosureOfFiniteField| . |BasicType|) T) ((|DirectProductModule| . |DifferentialRing|) 14799) ((|DirectProductMatrixModule| . |DifferentialRing|) 14736) ((|DirichletRing| . |BiModule|) 14649) ((|AlgebraicFunctionField| . |BasicType|) T) ((|PrimeField| . |Rng|) T) ((|SparseUnivariatePuiseuxSeries| . |LeftOreRing|) 14625) ((|SparseUnivariateLaurentSeries| . |LeftOreRing|) 14601) ((|SparseUnivariateTaylorSeries| . |Monoid|) T) ((|SparseUnivariatePuiseuxSeries| . |Monoid|) T) ((|SparseUnivariateLaurentSeries| . |Monoid|) T) ((|SparseUnivariateLaurentSeries| . |OrderedAbelianGroup|) NIL) ((|SparseUnivariateLaurentSeries| . |OrderedAbelianSemiGroup|) NIL) ((|SparseMultivariateTaylorSeries| . |Monoid|) T) ((|PlacesOverPseudoAlgebraicClosureOfFiniteField| . |PlacesCategory|) 14464) ((|PseudoAlgebraicClosureOfFiniteField| . |SetCategory|) T) ((|PositiveInteger| . |BasicType|) T) ((|NeitherSparseOrDensePowerSeries| . |SetCategory|) T) ((|NonNegativeInteger| . |BasicType|) T) ((|LyndonWord| . |BasicType|) T) ((|GeneralUnivariatePowerSeries| . |SetCategory|) T) ((|FortranExpression| . |SemiGroup|) T) ((|UnivariatePuiseuxSeriesConstructor| . |Module|) 14252) ((|ContinuedFraction| . |SemiGroup|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |PrincipalIdealDomain|) 14228) ((|MyExpression| . |GcdDomain|) 14195) ((|PAdicRationalConstructor| . |CommutativeRing|) T) ((|UnivariateLaurentSeriesConstructor| . |Module|) 13953) ((|OrderedCompletion| . |AbelianGroup|) 13888) ((|OrderedCompletion| . |AbelianSemiGroup|) 13823) ((|DataList| . |StreamAggregate|) 13807) ((|BinaryTournament| . |InnerEvalable|) 13726) ((|Fraction| . |AbelianSemiGroup|) T) ((|Fraction| . |AbelianGroup|) T) ((|FortranExpression| . |AbelianMonoid|) T) ((|Complex| . |ConvertibleTo|) 13346) ((|Complex| . |CoercibleTo|) 13320) ((|ContinuedFraction| . |AbelianMonoid|) T) ((|List| . |EltableAggregate|) 13292) ((|DoubleFloatVector| . |InnerEvalable|) NIL) ((|ComplexDoubleFloatVector| . |InnerEvalable|) NIL) ((|IndexedList| . |Aggregate|) T) ((|NumericalPDEProblem| . |CoercibleTo|) 13266) ((|Asp9| . |Type|) T) ((|NumericalOptimizationProblem| . |CoercibleTo|) 13240) ((|NumericalODEProblem| . |CoercibleTo|) 13214) ((|NumericalIntegrationProblem| . |CoercibleTo|) 13188) ((|Magma| . |CoercibleTo|) 13162) ((|DirectProduct| . |LeftModule|) 12976) ((|Symbol| . |SetCategory|) T) ((|SparseUnivariatePolynomial| . |RightModule|) 12710) ((|SparseTable| . |Type|) T) ((|SparseMultivariatePolynomial| . |RightModule|) 12467) ((|SparseUnivariateSkewPolynomial| . |RightModule|) 12451) ((|StochasticDifferential| . |LeftModule|) 12420) ((|SparseUnivariatePolynomial| . |BiModule|) 12122) ((|SparseMultivariatePolynomial| . |BiModule|) 11847) ((|SparseUnivariateSkewPolynomial| . |BiModule|) 11826) ((|UnivariatePolynomial| . |ConvertibleTo|) NIL) ((|UnivariatePolynomial| . |CoercibleTo|) 11800) ((|FiniteFieldCyclicGroup| . |StepThrough|) T) ((|UnivariateSkewPolynomial| . |CoercibleTo|) 11774) ((|RewriteRule| . |Eltable|) 11753) ((|DirichletRing| . |Ring|) T) ((|Asp55| . |Type|) T) ((|RadixExpansion| . |PolynomialFactorizationExplicit|) NIL) ((|KeyedAccessFile| . |Eltable|) 11726) ((|Tree| . |InnerEvalable|) 11645) ((|HexadecimalExpansion| . |Type|) T) ((|Interval| . |CoercibleTo|) 11619) ((|GeneralSparseTable| . |Eltable|) 11598) ((|SequentialDifferentialPolynomial| . |DifferentialExtension|) 11582) ((|RadixExpansion| . |LeftModule|) 11516) ((|DecimalExpansion| . |Type|) T) ((|PrimitiveArray| . |Eltable|) 11488) ((|PartialFraction| . |LeftModule|) 11429) ((|EuclideanModularRing| . |PrincipalIdealDomain|) T) ((|OrdinaryDifferentialRing| . |EuclideanDomain|) 11405) ((|PAdicInteger| . |BasicType|) T) ((|NewSparseUnivariatePolynomial| . |DifferentialExtension|) 11389) ((|NottinghamGroup| . |SetCategory|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |Module|) 11330) ((|NeitherSparseOrDensePowerSeries| . |Module|) 11244) ((|AssociatedLieAlgebra| . |AbelianGroup|) T) ((|AssociatedLieAlgebra| . |AbelianSemiGroup|) T) ((|AssociatedJordanAlgebra| . |AbelianGroup|) T) ((|FiniteFieldCyclicGroup| . |Algebra|) 11198) ((|MachineComplex| . |MonogenicAlgebra|) 11122) ((|HexadecimalExpansion| . |Patternable|) 11099) ((|HexadecimalExpansion| . |PatternMatchable|) 11076) ((|GeneralUnivariatePowerSeries| . |Module|) 10864) ((|DecimalExpansion| . |Patternable|) 10841) ((|Asp1| . |Type|) T) ((|DecimalExpansion| . |PatternMatchable|) 10818) ((|AssociatedJordanAlgebra| . |AbelianSemiGroup|) T) ((|FourierSeries| . |LeftModule|) 10792) ((|HexadecimalExpansion| . |RetractableTo|) 10736) ((|PAdicRationalConstructor| . |InnerEvalable|) 10625) ((|DecimalExpansion| . |RetractableTo|) 10569) ((|DirectProduct| . |Aggregate|) T) ((|Queue| . |SetCategory|) 10539) ((|UnivariatePuiseuxSeriesConstructor| . |CommutativeRing|) 10445) ((|UnivariateLaurentSeriesConstructor| . |CommutativeRing|) 10351) ((|ModMonic| . |CharacteristicNonZero|) 10311) ((|ModMonic| . |CharacteristicZero|) 10274) ((|MachineInteger| . |CancellationAbelianMonoid|) T) ((|CartesianTensor| . |GradedAlgebra|) 10235) ((|GuessOptionFunctions0| . |BasicType|) T) ((|LinearOrdinaryDifferentialOperator| . |LinearOrdinaryDifferentialOperatorCategory|) 10219) ((|Stack| . |CoercibleTo|) 10170) ((|BalancedPAdicInteger| . |CancellationAbelianMonoid|) T) ((|Pi| . |UniqueFactorizationDomain|) T) ((|KeyedAccessFile| . |IndexedAggregate|) 10143) ((|GeneralSparseTable| . |IndexedAggregate|) 10122) ((|FiniteDivisor| . |FiniteDivisorCategory|) 10091) ((|InputForm| . |SetCategory|) T) ((|SparseUnivariatePolynomial| . |Ring|) T) ((|Pi| . |IntegralDomain|) T) ((|Divisor| . |DivisorCategory|) 10075) ((|SparseMultivariatePolynomial| . |Ring|) T) ((|SparseUnivariateSkewPolynomial| . |Ring|) T) ((|DirectProduct| . |OrderedAbelianGroup|) 10045) ((|DirectProduct| . |OrderedAbelianSemiGroup|) 9969) ((|DirectProduct| . |OrderedAbelianMonoidSup|) 9927) ((|SparseUnivariatePolynomial| . |FiniteAbelianMonoidRing|) 9888) ((|DirectProduct| . |Monoid|) 9774) ((|PrimitiveArray| . |OneDimensionalArrayAggregate|) 9758) ((|HexadecimalExpansion| . |FullyLinearlyExplicitRingOver|) 9735) ((|HexadecimalExpansion| . |FullyEvalableOver|) 9712) ((|SparseMultivariatePolynomial| . |FiniteAbelianMonoidRing|) 9670) ((|FiniteField| . |VectorSpace|) 9639) ((|DecimalExpansion| . |FullyLinearlyExplicitRingOver|) 9616) ((|DecimalExpansion| . |FullyEvalableOver|) 9593) ((|PrimitiveArray| . |IndexedAggregate|) 9565) ((|SparseUnivariatePolynomial| . |DifferentialRing|) T) ((|LiePolynomial| . |SetCategory|) T) ((|Variable| . |SetCategory|) T) ((|Table| . |SetCategory|) T) ((|SequentialDifferentialPolynomial| . |DifferentialPolynomialCategory|) 9425) ((|FiniteFieldExtensionByPolynomial| . |SetCategory|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |SetCategory|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |SetCategory|) T) ((|DifferentialSparseMultivariatePolynomial| . |SetCategory|) T) ((|DistributedMultivariatePolynomial| . |SetCategory|) T) ((|Asp77| . |Type|) T) ((|BinaryTree| . |BasicType|) 9395) ((|BinarySearchTree| . |BasicType|) 9365) ((|MyUnivariatePolynomial| . |EuclideanDomain|) 9341) ((|Table| . |KeyedDictionary|) 9320) ((|U8Vector| . |BasicType|) T) ((|SplittingTree| . |SetCategory|) T) ((|HashTable| . |SetCategory|) T) ((|SimpleAlgebraicExtension| . |PrincipalIdealDomain|) 9254) ((|RadixExpansion| . |OrderedAbelianSemiGroup|) T) ((|HashTable| . |KeyedDictionary|) 9233) ((|DirectProductModule| . |OrderedCancellationAbelianMonoid|) 9157) ((|DirectProductModule| . |OrderedAbelianMonoid|) 9081) ((|DirectProductMatrixModule| . |OrderedCancellationAbelianMonoid|) 9005) ((|AlgebraicFunctionField| . |StepThrough|) NIL) ((|DirectProductMatrixModule| . |OrderedAbelianMonoid|) 8929) ((|RadixExpansion| . |OrderedAbelianGroup|) T) ((|RadixExpansion| . |LeftOreRing|) T) ((|RadixExpansion| . |Monoid|) T) ((|Partition| . |OrderedAbelianSemiGroup|) T) ((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| . |SetCategory|) T) ((|PartialFraction| . |LeftOreRing|) T) ((|PartialFraction| . |Monoid|) T) ((|PrimeField| . |SetCategory|) T) ((|PAdicRationalConstructor| . |EntireRing|) T) ((|ArrayStack| . |HomogeneousAggregate|) 8913) ((|HexadecimalExpansion| . |PartialDifferentialRing|) NIL) ((|PseudoAlgebraicClosureOfFiniteField| . |CommutativeRing|) T) ((|DoubleFloat| . |RightModule|) 8867) ((|OnePointCompletion| . |SemiGroup|) 8837) ((|DecimalExpansion| . |PartialDifferentialRing|) NIL) ((|NeitherSparseOrDensePowerSeries| . |CommutativeRing|) T) ((|OneDimensionalArray| . |SetCategory|) 8774) ((|InnerIndexedTwoDimensionalArray| . |SetCategory|) 8744) ((|IndexedFlexibleArray| . |SetCategory|) 8681) ((|IndexedTwoDimensionalArray| . |SetCategory|) 8651) ((|IndexedOneDimensionalArray| . |SetCategory|) 8588) ((|InnerPAdicInteger| . |BasicType|) T) ((|Integer| . |BasicType|) T) ((|InnerAlgebraicNumber| . |BasicType|) T) ((|GeneralUnivariatePowerSeries| . |CommutativeRing|) 8494) ((|FiniteFieldExtension| . |PrincipalIdealDomain|) T) ((|FiniteFieldNormalBasisExtension| . |PrincipalIdealDomain|) T) ((|FiniteFieldCyclicGroupExtension| . |PrincipalIdealDomain|) T) ((|DoubleFloat| . |BiModule|) 8421) ((|OnePointCompletion| . |AbelianMonoid|) 8356) ((|FourierSeries| . |Monoid|) T) ((|BinaryExpansion| . |PrincipalIdealDomain|) T) ((|AlgebraicFunctionField| . |Algebra|) 8284) ((|BinaryExpansion| . |OrderedIntegralDomain|) T) ((|InnerPrimeField| . |FiniteFieldCategory|) T) ((|InnerFiniteField| . |FiniteFieldCategory|) T) ((|UnivariateLaurentSeriesConstructor| . |InnerEvalable|) 8115) ((|Expression| . |GcdDomain|) 8082) ((|ExponentialExpansion| . |GcdDomain|) T) ((|U16Matrix| . |Aggregate|) T) ((|Operator| . |Eltable|) 8061) ((|FortranExpression| . |CancellationAbelianMonoid|) T) ((|ContinuedFraction| . |CancellationAbelianMonoid|) T) ((|Equation| . |AbelianSemiGroup|) 7861) ((|Equation| . |AbelianGroup|) 7695) ((|AssociationList| . |TableAggregate|) 7674) ((|Asp24| . |CoercibleTo|) 7648) ((|Pattern| . |CoercibleTo|) 7622) ((|IndexedVector| . |InnerEvalable|) 7541) ((|AssociationList| . |BagAggregate|) 7483) ((|Set| . |FiniteSetAggregate|) 7467) ((|Set| . |Finite|) 7442) ((|RoutinesTable| . |Type|) T) ((|RomanNumeral| . |RightModule|) 7429) ((|Polynomial| . |RightModule|) 7186) ((|HomogeneousDistributedMultivariatePolynomial| . |RightModule|) 6943) ((|LiePolynomial| . |Module|) 6927) ((|RomanNumeral| . |BiModule|) 6912) ((|Polynomial| . |BiModule|) 6637) ((|Pi| . |Field|) T) ((|FiniteFieldExtensionByPolynomial| . |Module|) 6578) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |Module|) 6519) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |Module|) 6460) ((|DifferentialSparseMultivariatePolynomial| . |Module|) 6223) ((|DistributedMultivariatePolynomial| . |Module|) 5986) ((|TwoDimensionalViewport| . |BasicType|) T) ((|Vector| . |BasicType|) 5923) ((|Point| . |LinearAggregate|) 5907) ((|UnivariateTaylorSeries| . |LeftModule|) 5804) ((|HomogeneousDistributedMultivariatePolynomial| . |BiModule|) 5529) ((|UnivariatePuiseuxSeries| . |LeftModule|) 5398) ((|UnivariateLaurentSeries| . |LeftModule|) 5200) ((|UnivariateLaurentSeries| . |PolynomialFactorizationExplicit|) NIL) ((|Point| . |FiniteLinearAggregate|) 5184) ((|UnivariateFormalPowerSeries| . |LeftModule|) 5081) ((|Asp35| . |CoercibleTo|) 5055) ((|PolynomialRing| . |AbelianMonoidRing|) 5034) ((|LocalAlgebra| . |SemiGroup|) T) ((|Mapping| . |SetCategory|) T) ((|MathMLFormat| . |BasicType|) T) ((|MachineFloat| . |BasicType|) T) ((|TextFile| . |CoercibleTo|) 5008) ((|SequentialDifferentialVariable| . |CoercibleTo|) 4982) ((|RewriteRule| . |CoercibleTo|) 4956) ((|PrimeField| . |Module|) 4910) ((|BinaryTournament| . |HomogeneousAggregate|) 4894) ((|NeitherSparseOrDensePowerSeries| . |InnerEvalable|) 4676) ((|LocalAlgebra| . |AbelianMonoid|) T) ((|FreeNilpotentLie| . |AbelianMonoid|) T) ((|KeyedAccessFile| . |CoercibleTo|) 4650) ((|Asp80| . |Type|) T) ((|KeyedAccessFile| . |ConvertibleTo|) NIL) ((|GeneralSparseTable| . |ConvertibleTo|) NIL) ((|GeneralSparseTable| . |CoercibleTo|) 4624) ((|FiniteFieldNormalBasis| . |AbelianSemiGroup|) T) ((|FiniteFieldNormalBasis| . |AbelianGroup|) T) ((|DoubleFloatVector| . |HomogeneousAggregate|) 4597) ((|BinaryTree| . |Evalable|) 4521) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |SetCategory|) T) ((|IndexedDirectProductAbelianGroup| . |SetCategory|) T) ((|ComplexDoubleFloatVector| . |HomogeneousAggregate|) 4482) ((|BinarySearchTree| . |Evalable|) 4406) ((|InnerTaylorSeries| . |LeftModule|) 4393) ((|DoubleFloatMatrix| . |TwoDimensionalArrayCategory|) 4322) ((|ComplexDoubleFloatMatrix| . |TwoDimensionalArrayCategory|) 4225) ((|DoubleFloat| . |Ring|) T) ((|InnerSparseUnivariatePowerSeries| . |LeftModule|) 4122) ((|U8Vector| . |Evalable|) NIL) ((|Float| . |RadicalCategory|) T) ((|DoubleFloat| . |DivisionRing|) T) ((|DoubleFloat| . |DifferentialRing|) T) ((|SparseUnivariatePolynomialExpressions| . |BasicType|) T) ((|PrimitiveArray| . |ConvertibleTo|) 4058) ((|PrimitiveArray| . |CoercibleTo|) 3976) ((|PAdicInteger| . |Algebra|) 3963) ((|UnivariatePuiseuxSeriesConstructor| . |EntireRing|) 3902) ((|UnivariateLaurentSeriesConstructor| . |EntireRing|) 3841) ((|SingleInteger| . |GcdDomain|) T) ((|IndexCard| . |OrderedSet|) T) ((|Expression| . |SpecialFunctionCategory|) 3808) ((|Quaternion| . |CharacteristicZero|) 3771) ((|Quaternion| . |CharacteristicNonZero|) 3731) ((|MyExpression| . |CombinatorialOpsCategory|) T) ((|MyExpression| . |CombinatorialFunctionCategory|) T) ((|InnerAlgebraicNumber| . |Evalable|) 3718) ((|EqTable| . |TableAggregate|) 3697) ((|Pi| . |SemiGroup|) T) ((|PAdicRational| . |RightModule|) 3621) ((|LaurentPolynomial| . |BasicType|) T) ((|Tree| . |HomogeneousAggregate|) 3605) ((|DirectProductModule| . |Finite|) 3580) ((|DirectProductMatrixModule| . |Finite|) 3555) ((|SparseUnivariatePolynomialExpressions| . |ElementaryFunctionCategory|) 3506) ((|RomanNumeral| . |Ring|) T) ((|EqTable| . |BagAggregate|) 3448) ((|BasicStochasticDifferential| . |BasicType|) T) ((|BalancedPAdicRational| . |BasicType|) T) ((|AffineSpace| . |SetCategoryWithDegree|) T) ((|Polynomial| . |Ring|) T) ((|PAdicRational| . |BiModule|) 3323) ((|Pi| . |AbelianMonoid|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |Ring|) T) ((|RomanNumeral| . |DifferentialRing|) T) ((|Polynomial| . |FiniteAbelianMonoidRing|) 3275) ((|HomogeneousDistributedMultivariatePolynomial| . |FiniteAbelianMonoidRing|) 3196) ((|FiniteFieldExtensionByPolynomial| . |CommutativeRing|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |CommutativeRing|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |CommutativeRing|) T) ((|DifferentialSparseMultivariatePolynomial| . |CommutativeRing|) 3049) ((|DistributedMultivariatePolynomial| . |CommutativeRing|) 2902) ((|PolynomialRing| . |RetractableTo|) 2746) ((|MonoidRing| . |RetractableTo|) 2717) ((|SExpressionOf| . |BasicType|) T) ((|SegmentBinding| . |CoercibleTo|) 2668) ((|ResidueRing| . |CoercibleTo|) 2642) ((|UnivariatePuiseuxSeries| . |LeftOreRing|) 2618) ((|UnivariateLaurentSeries| . |LeftOreRing|) 2594) ((|UnivariateTaylorSeriesCZero| . |PowerSeriesCategory|) 2529) ((|UnivariateTaylorSeries| . |Monoid|) T) ((|UnivariatePuiseuxSeries| . |Monoid|) T) ((|UnivariateLaurentSeries| . |Monoid|) T) ((|UnivariateLaurentSeries| . |OrderedAbelianGroup|) NIL) ((|UnivariateLaurentSeries| . |OrderedAbelianSemiGroup|) NIL) ((|PseudoAlgebraicClosureOfFiniteField| . |EntireRing|) T) ((|Complex| . |RightModule|) 2411) ((|PrimeField| . |CommutativeRing|) T) ((|NeitherSparseOrDensePowerSeries| . |EntireRing|) T) ((|UnivariateFormalPowerSeries| . |Monoid|) T) ((|WuWenTsunTriangularSet| . |Collection|) 2395) ((|RadicalFunctionField| . |FunctionFieldCategory|) 2369) ((|Queue| . |InnerEvalable|) 2288) ((|OrderedCompletion| . |OrderedSet|) 2258) ((|Integer| . |StepThrough|) T) ((|GeneralUnivariatePowerSeries| . |EntireRing|) 2197) ((|InnerTaylorSeries| . |Monoid|) T) ((|FreeGroup| . |CoercibleTo|) 2171) ((|FreeAbelianGroup| . |CoercibleTo|) 2145) ((|Factored| . |RetractableTo|) 1989) ((|InnerSparseUnivariatePowerSeries| . |Monoid|) T) ((|Fraction| . |OrderedSet|) 1916) ((|Complex| . |BiModule|) 1766) ((|PseudoAlgebraicClosureOfRationalNumber| . |Rng|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |Rng|) T) ((|OnePointCompletion| . |CancellationAbelianMonoid|) 1701) ((|Multiset| . |Collection|) 1685) ((|Vector| . |Evalable|) 1609) ((|HexadecimalExpansion| . |EuclideanDomain|) T) ((|Float| . |CoercibleTo|) 1559) ((|IndexedList| . |RecursiveAggregate|) 1543) ((|Float| . |ConvertibleTo|) 1427) ((|DecimalExpansion| . |EuclideanDomain|) T) ((|CharacterClass| . |Collection|) 1402) ((|ModuleOperator| . |Eltable|) 1381) ((|SparseUnivariatePolynomialExpressions| . |Evalable|) 1368) ((|HexadecimalExpansion| . |RealConstant|) T) ((|InnerPAdicInteger| . |Algebra|) 1355) ((|Integer| . |Algebra|) 1342) ((|InnerAlgebraicNumber| . |Algebra|) 1296) ((|DoubleFloatVector| . |Eltable|) 1257) ((|ComplexDoubleFloatVector| . |Eltable|) 1206) ((|DecimalExpansion| . |RealConstant|) T) ((|PAdicRational| . |Ring|) T) ((|Operator| . |CoercibleTo|) 1180) ((|OppositeMonogenicLinearOperator| . |CoercibleTo|) 1154) ((|OpenMathError| . |CoercibleTo|) 1128) ((|OrderlyDifferentialPolynomial| . |PolynomialFactorizationExplicit|) 1078) ((|XRecursivePolynomial| . |SemiGroup|) T) ((|UnivariatePolynomial| . |RightModule|) 812) ((|UnivariateSkewPolynomial| . |RightModule|) 796) ((|PAdicRational| . |DivisionRing|) T) ((|PAdicRational| . |DifferentialRing|) NIL) ((|Matrix| . |Type|) T) ((|XRecursivePolynomial| . |AbelianMonoid|) T) ((|OrderlyDifferentialPolynomial| . |LeftModule|) 693) ((|InnerTable| . |Type|) T) ((|Factored| . |FullyEvalableOver|) 677) ((|Interval| . |RightModule|) 664) ((|UnivariatePolynomial| . |BiModule|) 366) ((|MachineInteger| . |LinearlyExplicitRingOver|) 343) ((|UnivariateSkewPolynomial| . |BiModule|) 322) ((|FreeModule1| . |AbelianMonoid|) T) ((|Table| . |InnerEvalable|) 30)) 
\ No newline at end of file
+(((|Localize| . |SetCategory|) T) ((|DifferentialSparseMultivariatePolynomial| . |InnerEvalable|) 224202) ((|DistributedMultivariatePolynomial| . |InnerEvalable|) 224106) ((|Interval| . |BiModule|) 224091) ((|IndexedExponents| . |AbelianMonoid|) T) ((|DataList| . |SetCategory|) 224028) ((|BalancedPAdicRational| . |Evalable|) 223912) ((|HashTable| . |InnerEvalable|) 223620) ((|MachineComplex| . |BasicType|) T) ((|SplittingTree| . |InnerEvalable|) 223482) ((|FreeNilpotentLie| . |CancellationAbelianMonoid|) T) ((|WuWenTsunTriangularSet| . |PolynomialSetCategory|) 223451) ((|DoubleFloatVector| . |OneDimensionalArrayAggregate|) 223424) ((|ComplexDoubleFloatVector| . |OneDimensionalArrayAggregate|) 223385) ((|IndexedVector| . |HomogeneousAggregate|) 223369) ((|OrderedFreeMonoid| . |OrderedMonoid|) T) ((|LocalAlgebra| . |CancellationAbelianMonoid|) T) ((|IndexedMatrix| . |TwoDimensionalArrayCategory|) 223297) ((|DoubleFloatVector| . |IndexedAggregate|) 223258) ((|ComplexDoubleFloatVector| . |IndexedAggregate|) 223207) ((|OneDimensionalArray| . |InnerEvalable|) 223126) ((|InnerIndexedTwoDimensionalArray| . |InnerEvalable|) 223045) ((|Factored| . |PartialDifferentialRing|) 222977) ((|Complex| . |Ring|) T) ((|IndexedFlexibleArray| . |InnerEvalable|) 222896) ((|IndexedTwoDimensionalArray| . |InnerEvalable|) 222815) ((|IndexedOneDimensionalArray| . |InnerEvalable|) 222734) ((|Octonion| . |RetractableTo|) 222411) ((|MachineFloat| . |Algebra|) 222365) ((|FiniteFieldCyclicGroup| . |FiniteFieldCategory|) T) ((|SparseUnivariatePolynomialExpressions| . |StepThrough|) 222335) ((|Segment| . |SegmentCategory|) 222319) ((|Segment| . |SetCategory|) 222289) ((|Complex| . |DivisionRing|) 222223) ((|Complex| . |DifferentialRing|) 222146) ((|Segment| . |SegmentExpansionCategory|) 222093) ((|PAdicRationalConstructor| . |Eltable|) 222046) ((|DoubleFloat| . |OrderedCancellationAbelianMonoid|) T) ((|DoubleFloat| . |OrderedAbelianMonoid|) T) ((|MachineComplex| . |ElementaryFunctionCategory|) NIL) ((|SparseTable| . |TableAggregate|) 222025) ((|Fraction| . |QuotientFieldCategory|) 222009) ((|ProjectiveSpace| . |BasicType|) T) ((|MachineInteger| . |AbelianGroup|) T) ((|MachineInteger| . |AbelianSemiGroup|) T) ((|XDistributedPolynomial| . |LeftModule|) 221983) ((|U32Vector| . |Collection|) 221960) ((|U32Matrix| . |Type|) T) ((|SparseUnivariatePolynomialExpressions| . |Algebra|) 221700) ((|Expression| . |CombinatorialOpsCategory|) 221667) ((|Expression| . |CombinatorialFunctionCategory|) 221634) ((|SparseTable| . |BagAggregate|) 221576) ((|CardinalNumber| . |AbelianSemiGroup|) T) ((|AlgebraicFunctionField| . |DifferentialExtension|) 221547) ((|BalancedPAdicInteger| . |AbelianGroup|) T) ((|BalancedPAdicInteger| . |AbelianSemiGroup|) T) ((|KeyedAccessFile| . |EltableAggregate|) 221520) ((|GeneralSparseTable| . |EltableAggregate|) 221499) ((|UnivariatePolynomial| . |Ring|) T) ((|UnivariateSkewPolynomial| . |Ring|) T) ((|Octonion| . |FullyEvalableOver|) 221483) ((|BalancedPAdicRational| . |StepThrough|) NIL) ((|ArrayStack| . |CoercibleTo|) 221434) ((|Pi| . |CancellationAbelianMonoid|) T) ((|UnivariatePolynomial| . |FiniteAbelianMonoidRing|) 221395) ((|IndexedString| . |Type|) T) ((|OrderlyDifferentialPolynomial| . |LeftOreRing|) 221313) ((|Interval| . |Ring|) T) ((|UnivariatePolynomial| . |DifferentialRing|) T) ((|Localize| . |Module|) 221297) ((|PrimitiveArray| . |EltableAggregate|) 221269) ((|NeitherSparseOrDensePowerSeries| . |HomogeneousAggregate|) 221210) ((|TwoDimensionalArray| . |Aggregate|) T) ((|RomanNumeral| . |OrderedCancellationAbelianMonoid|) T) ((|RomanNumeral| . |OrderedAbelianMonoid|) T) ((|OrderlyDifferentialPolynomial| . |Monoid|) T) ((|MultivariatePolynomial| . |AbelianMonoidRing|) 221144) ((|LaurentPolynomial| . |Algebra|) 221131) ((|FiniteFieldExtensionByPolynomial| . |EntireRing|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |EntireRing|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |EntireRing|) T) ((|DifferentialSparseMultivariatePolynomial| . |EntireRing|) 221017) ((|DistributedMultivariatePolynomial| . |EntireRing|) 220903) ((|RealClosure| . |BasicType|) T) ((|FractionalIdeal| . |Monoid|) T) ((|BalancedPAdicRational| . |Algebra|) 220819) ((|FractionalIdeal| . |Group|) T) ((|FiniteField| . |BasicType|) T) ((|TaylorSeries| . |Rng|) T) ((|ModularField| . |Rng|) T) ((|UnivariateTaylorSeriesCZero| . |UnivariateTaylorSeriesCategory|) 220803) ((|UnivariateTaylorSeriesCZero| . |UnivariatePowerSeriesCategory|) 220764) ((|SparseUnivariateTaylorSeries| . |AbelianMonoidRing|) 220725) ((|SparseUnivariatePuiseuxSeries| . |AbelianMonoidRing|) 220684) ((|SparseUnivariateLaurentSeries| . |AbelianMonoidRing|) 220656) ((|Result| . |Collection|) 220589) ((|PrimeField| . |EntireRing|) T) ((|SparseMultivariateTaylorSeries| . |AbelianMonoidRing|) 220547) ((|MachineComplex| . |Evalable|) NIL) ((|InnerFreeAbelianMonoid| . |CoercibleTo|) 220521) ((|IndexedDirectProductOrderedAbelianMonoid| . |CoercibleTo|) 220495) ((|IndexedDirectProductAbelianMonoid| . |CoercibleTo|) 220469) ((|FlexibleArray| . |SetCategory|) 220406) ((|BlowUpWithHamburgerNoether| . |BasicType|) T) ((|ModMonic| . |GcdDomain|) 220301) ((|AlgebraicNumber| . |BasicType|) T) ((|UnivariatePuiseuxSeriesConstructor| . |Eltable|) 220286) ((|UnivariateLaurentSeriesConstructor| . |Eltable|) 220198) ((|List| . |ListAggregate|) 220182) ((|List| . |LinearAggregate|) 220166) ((|FortranExpression| . |AbelianGroup|) T) ((|FortranExpression| . |AbelianSemiGroup|) T) ((|AlgebraicFunctionField| . |FiniteFieldCategory|) NIL) ((|PseudoAlgebraicClosureOfRationalNumber| . |SetCategory|) T) ((|ContinuedFraction| . |AbelianGroup|) T) ((|ContinuedFraction| . |AbelianSemiGroup|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |SetCategory|) T) ((|List| . |FiniteLinearAggregate|) 220150) ((|IndexedVector| . |Eltable|) 220122) ((|FileName| . |BasicType|) T) ((|SingleInteger| . |CombinatorialFunctionCategory|) T) ((|BinaryTournament| . |CoercibleTo|) 220073) ((|Palette| . |SetCategory|) T) ((|LinearOrdinaryDifferentialOperator| . |FullyRetractableTo|) 220057) ((|ModuleOperator| . |CoercibleTo|) 220031) ((|XDistributedPolynomial| . |Monoid|) T) ((|DoubleFloatVector| . |CoercibleTo|) 220005) ((|DoubleFloatVector| . |ConvertibleTo|) 219980) ((|Color| . |CoercibleTo|) 219954) ((|ComplexDoubleFloatVector| . |CoercibleTo|) 219928) ((|ComplexDoubleFloatVector| . |ConvertibleTo|) 219841) ((|Commutator| . |CoercibleTo|) 219815) ((|Set| . |Aggregate|) T) ((|BlowUpWithHamburgerNoether| . |BlowUpMethodCategory|) T) ((|PAdicRational| . |OrderedCancellationAbelianMonoid|) NIL) ((|PAdicRational| . |OrderedAbelianMonoid|) NIL) ((|OrdSetInts| . |OrderedSet|) T) ((|MultivariatePolynomial| . |PatternMatchable|) NIL) ((|XRecursivePolynomial| . |CancellationAbelianMonoid|) T) ((|FreeModule1| . |CancellationAbelianMonoid|) T) ((|PermutationGroup| . |BasicType|) T) ((|MultivariatePolynomial| . |RetractableTo|) 219622) ((|IndexedExponents| . |CancellationAbelianMonoid|) T) ((|SequentialDifferentialPolynomial| . |FullyRetractableTo|) 219606) ((|Queue| . |HomogeneousAggregate|) 219590) ((|BalancedPAdicRational| . |FullyPatternMatchable|) 219549) ((|SparseUnivariateLaurentSeries| . |Type|) 219525) ((|NewSparseUnivariatePolynomial| . |FullyRetractableTo|) 219509) ((|NewSparseMultivariatePolynomial| . |FullyRetractableTo|) 219493) ((|Point| . |Aggregate|) T) ((|MachineComplex| . |StepThrough|) NIL) ((|DirectProductModule| . |LeftModule|) 219294) ((|DirectProductMatrixModule| . |LeftModule|) 219082) ((|OrdinaryDifferentialRing| . |PrincipalIdealDomain|) 219058) ((|GeneralDistributedMultivariatePolynomial| . |FullyRetractableTo|) 219042) ((|IndexedVector| . |OneDimensionalArrayAggregate|) 219026) ((|SquareFreeRegularTriangularSet| . |TriangularSetCategory|) 218995) ((|SparseUnivariateLaurentSeries| . |PatternMatchable|) NIL) ((|SparseUnivariateLaurentSeries| . |Patternable|) 218919) ((|IndexedVector| . |IndexedAggregate|) 218891) ((|Tree| . |CoercibleTo|) 218842) ((|Switch| . |CoercibleTo|) 218816) ((|Asp12| . |FortranProgramCategory|) T) ((|SparseUnivariatePuiseuxSeries| . |RetractableTo|) 218700) ((|SparseUnivariateLaurentSeries| . |RetractableTo|) 218641) ((|NeitherSparseOrDensePowerSeries| . |Eltable|) 218558) ((|MachineComplex| . |Algebra|) 218487) ((|GeneralUnivariatePowerSeries| . |Eltable|) 218472) ((|MultivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 218456) ((|PseudoAlgebraicClosureOfRationalNumber| . |Module|) 218410) ((|LinearOrdinaryDifferentialOperator| . |Rng|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |Module|) 218313) ((|UnivariatePuiseuxSeriesConstructor| . |RadicalCategory|) 218262) ((|UnivariateLaurentSeriesConstructor| . |RadicalCategory|) 218211) ((|RoutinesTable| . |TableAggregate|) 218181) ((|PAdicRationalConstructor| . |ConvertibleTo|) 217869) ((|PAdicRationalConstructor| . |CoercibleTo|) 217843) ((|Table| . |HomogeneousAggregate|) 217772) ((|Factored| . |RealConstant|) 217741) ((|AlgebraicNumber| . |Evalable|) 217728) ((|RoutinesTable| . |BagAggregate|) 217661) ((|HashTable| . |HomogeneousAggregate|) 217590) ((|IndexedList| . |Type|) T) ((|SplittingTree| . |HomogeneousAggregate|) 217551) ((|SparseUnivariateLaurentSeries| . |FullyEvalableOver|) 217475) ((|SparseUnivariateLaurentSeries| . |FullyLinearlyExplicitRingOver|) 217399) ((|FortranType| . |BasicType|) T) ((|SequentialDifferentialPolynomial| . |Rng|) T) ((|DirectProductModule| . |Aggregate|) T) ((|DirectProductMatrixModule| . |Aggregate|) T) ((|NeitherSparseOrDensePowerSeries| . |UnaryRecursiveAggregate|) 217340) ((|NewSparseUnivariatePolynomial| . |Rng|) T) ((|NewSparseMultivariatePolynomial| . |Rng|) T) ((|MultivariatePolynomial| . |PartialDifferentialRing|) 217300) ((|GeneralDistributedMultivariatePolynomial| . |Rng|) T) ((|NeitherSparseOrDensePowerSeries| . |IndexedAggregate|) 217229) ((|OneDimensionalArray| . |HomogeneousAggregate|) 217213) ((|ResidueRing| . |RightModule|) 217187) ((|Plcs| . |SetCategory|) T) ((|InnerIndexedTwoDimensionalArray| . |HomogeneousAggregate|) 217171) ((|IndexedFlexibleArray| . |HomogeneousAggregate|) 217155) ((|IndexedTwoDimensionalArray| . |HomogeneousAggregate|) 217139) ((|IndexedOneDimensionalArray| . |HomogeneousAggregate|) 217123) ((|MyUnivariatePolynomial| . |PrincipalIdealDomain|) 217099) ((|DataList| . |InnerEvalable|) 217018) ((|ResidueRing| . |BiModule|) 216985) ((|SparseUnivariateTaylorSeries| . |PartialDifferentialRing|) 216849) ((|DirichletRing| . |LeftModule|) 216796) ((|LieSquareMatrix| . |SemiGroup|) T) ((|SparseUnivariatePuiseuxSeries| . |PartialDifferentialRing|) 216658) ((|SparseUnivariateLaurentSeries| . |PartialDifferentialRing|) 216404) ((|SparseMultivariateTaylorSeries| . |PartialDifferentialRing|) 216388) ((|FiniteField| . |StepThrough|) T) ((|FreeAbelianGroup| . |RightModule|) 216365) ((|DirectProductModule| . |OrderedAbelianGroup|) 216335) ((|DirectProductModule| . |OrderedAbelianSemiGroup|) 216259) ((|DirectProductModule| . |OrderedAbelianMonoidSup|) 216217) ((|DirectProductMatrixModule| . |OrderedAbelianGroup|) 216187) ((|DirectProductMatrixModule| . |OrderedAbelianSemiGroup|) 216111) ((|DirectProductMatrixModule| . |OrderedAbelianMonoidSup|) 216069) ((|AntiSymm| . |Rng|) T) ((|DirectProductModule| . |Monoid|) 215955) ((|DirectProductMatrixModule| . |Monoid|) 215841) ((|TaylorSeries| . |SetCategory|) T) ((|LieSquareMatrix| . |AbelianMonoid|) T) ((|InnerPrimeField| . |Rng|) T) ((|InnerFiniteField| . |Rng|) T) ((|Float| . |RightModule|) 215795) ((|FreeAbelianGroup| . |BiModule|) 215760) ((|Asp34| . |FortranMatrixCategory|) T) ((|Asp34| . |FortranProgramCategory|) T) ((|RealClosure| . |Algebra|) 215681) ((|MachineComplex| . |FullyPatternMatchable|) 215653) ((|Automorphism| . |BasicType|) T) ((|ModularField| . |SetCategory|) T) ((|RadicalFunctionField| . |CharacteristicNonZero|) 215600) ((|Float| . |BiModule|) 215527) ((|ExponentialOfUnivariatePuiseuxSeries| . |UniqueFactorizationDomain|) 215503) ((|GeneralUnivariatePowerSeries| . |RadicalCategory|) 215452) ((|FiniteField| . |Algebra|) 215406) ((|AlgebraicFunctionField| . |FiniteRankAlgebra|) 215372) ((|RadicalFunctionField| . |CharacteristicZero|) 215322) ((|BinaryTree| . |BinaryTreeCategory|) 215306) ((|BinarySearchTree| . |BinaryTreeCategory|) 215290) ((|Operator| . |RightModule|) 215247) ((|OnePointCompletion| . |AbelianGroup|) 215182) ((|OppositeMonogenicLinearOperator| . |RightModule|) 215166) ((|OnePointCompletion| . |AbelianSemiGroup|) 215101) ((|ExponentialOfUnivariatePuiseuxSeries| . |IntegralDomain|) 215040) ((|Integer| . |OpenMath|) T) ((|DirectProduct| . |Type|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |CommutativeRing|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |CommutativeRing|) T) ((|Operator| . |BiModule|) 214992) ((|OppositeMonogenicLinearOperator| . |BiModule|) 214971) ((|UnivariatePuiseuxSeriesConstructor| . |CoercibleTo|) 214945) ((|UnivariateLaurentSeriesConstructor| . |CoercibleTo|) 214919) ((|UnivariateLaurentSeriesConstructor| . |ConvertibleTo|) 214462) ((|SparseUnivariatePolynomial| . |PolynomialFactorizationExplicit|) 214412) ((|SparseMultivariatePolynomial| . |PolynomialFactorizationExplicit|) 214362) ((|AlgebraicNumber| . |Algebra|) 214316) ((|XPolynomial| . |SemiGroup|) T) ((|IndexedVector| . |CoercibleTo|) 214234) ((|IndexedVector| . |ConvertibleTo|) 214170) ((|XPBWPolynomial| . |SemiGroup|) T) ((|DirectProduct| . |RetractableTo|) 213921) ((|SparseUnivariatePolynomial| . |LeftModule|) 213818) ((|SparseMultivariatePolynomial| . |LeftModule|) 213715) ((|MoebiusTransform| . |CoercibleTo|) 213689) ((|SparseUnivariateSkewPolynomial| . |LeftModule|) 213663) ((|XPolynomial| . |AbelianMonoid|) T) ((|XPBWPolynomial| . |AbelianMonoid|) T) ((|SparseUnivariatePolynomialExpressions| . |DifferentialExtension|) 213647) ((|ResidueRing| . |Ring|) T) ((|Table| . |Eltable|) 213626) ((|Complex| . |Finite|) 213559) ((|RadixExpansion| . |Type|) T) ((|AlgebraGivenByStructuralConstants| . |AbelianMonoid|) T) ((|IntegerMod| . |BasicType|) T) ((|TaylorSeries| . |Module|) 213403) ((|HashTable| . |Eltable|) 213382) ((|IntegrationResult| . |SetCategory|) T) ((|TexFormat| . |SetCategory|) T) ((|SquareFreeRegularTriangularSet| . |SquareFreeRegularTriangularSetCategory|) 213351) ((|SExpression| . |SExpressionCategory|) 213275) ((|FreeNilpotentLie| . |AbelianGroup|) T) ((|FreeNilpotentLie| . |AbelianSemiGroup|) T) ((|CliffordAlgebra| . |SemiGroup|) T) ((|RadixExpansion| . |RetractableTo|) 213219) ((|RadixExpansion| . |Patternable|) 213196) ((|RadixExpansion| . |PatternMatchable|) 213173) ((|MyExpression| . |BasicType|) T) ((|DirichletRing| . |Monoid|) T) ((|LaurentPolynomial| . |DifferentialExtension|) 213157) ((|LocalAlgebra| . |AbelianGroup|) T) ((|EuclideanModularRing| . |IntegralDomain|) T) ((|LocalAlgebra| . |AbelianSemiGroup|) T) ((|ModularField| . |Module|) 213111) ((|Float| . |Ring|) T) ((|DirectProduct| . |FullyLinearlyExplicitRingOver|) 213079) ((|DoubleFloatVector| . |EltableAggregate|) 213040) ((|ComplexDoubleFloatVector| . |EltableAggregate|) 212989) ((|DeRhamComplex| . |Rng|) T) ((|BalancedPAdicRational| . |DifferentialExtension|) 212948) ((|OneDimensionalArray| . |Eltable|) 212920) ((|CliffordAlgebra| . |AbelianMonoid|) T) ((|IndexedFlexibleArray| . |Eltable|) 212892) ((|FlexibleArray| . |InnerEvalable|) 212811) ((|IndexedOneDimensionalArray| . |Eltable|) 212783) ((|Float| . |DivisionRing|) T) ((|Float| . |DifferentialRing|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |CoercibleTo|) 212757) ((|Operator| . |Ring|) T) ((|OppositeMonogenicLinearOperator| . |Ring|) T) ((|NeitherSparseOrDensePowerSeries| . |CoercibleTo|) 212731) ((|NeitherSparseOrDensePowerSeries| . |ConvertibleTo|) NIL) ((|ModMonic| . |PolynomialCategory|) 212666) ((|MachineInteger| . |OrderedSet|) T) ((|GeneralUnivariatePowerSeries| . |CoercibleTo|) 212640) ((|OppositeMonogenicLinearOperator| . |DifferentialRing|) 212605) ((|CardinalNumber| . |OrderedSet|) T) ((|U16Matrix| . |Type|) T) ((|LinearOrdinaryDifferentialOperator| . |SetCategory|) T) ((|Table| . |IndexedAggregate|) 212584) ((|InnerTable| . |TableAggregate|) 212563) ((|FiniteDivisor| . |SetCategory|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |Field|) 212539) ((|Fraction| . |CharacteristicZero|) 212502) ((|Fraction| . |CharacteristicNonZero|) 212462) ((|U16Vector| . |Collection|) 212439) ((|Divisor| . |SetCategory|) T) ((|Product| . |SemiGroup|) 212327) ((|DirectProduct| . |PartialDifferentialRing|) 212231) ((|OrderedDirectProduct| . |SemiGroup|) 212117) ((|LinearOrdinaryDifferentialOperator2| . |UnivariateSkewPolynomialCategory|) 212101) ((|HashTable| . |IndexedAggregate|) 212080) ((|InnerTable| . |BagAggregate|) 212022) ((|RadixExpansion| . |FullyLinearlyExplicitRingOver|) 211999) ((|RadixExpansion| . |FullyEvalableOver|) 211976) ((|Symbol| . |CoercibleTo|) 211950) ((|SparseUnivariatePolynomial| . |LeftOreRing|) 211845) ((|AttributeButtons| . |SetCategory|) T) ((|Product| . |AbelianMonoid|) 211525) ((|Pi| . |AbelianGroup|) T) ((|Pi| . |AbelianSemiGroup|) T) ((|OrderedDirectProduct| . |AbelianMonoid|) 211328) ((|SparseMultivariatePolynomial| . |LeftOreRing|) 211246) ((|OneDimensionalArray| . |OneDimensionalArrayAggregate|) 211230) ((|Symbol| . |ConvertibleTo|) 211124) ((|SparseUnivariatePolynomial| . |Monoid|) T) ((|SparseMultivariatePolynomial| . |Monoid|) T) ((|IndexedFlexibleArray| . |OneDimensionalArrayAggregate|) 211108) ((|IndexedOneDimensionalArray| . |OneDimensionalArrayAggregate|) 211092) ((|OneDimensionalArray| . |IndexedAggregate|) 211064) ((|SequentialDifferentialPolynomial| . |SetCategory|) T) ((|PendantTree| . |BasicType|) 211034) ((|SparseUnivariateSkewPolynomial| . |Monoid|) T) ((|NewSparseUnivariatePolynomial| . |SetCategory|) T) ((|IndexedFlexibleArray| . |IndexedAggregate|) 211006) ((|IndexedOneDimensionalArray| . |IndexedAggregate|) 210978) ((|NewSparseMultivariatePolynomial| . |SetCategory|) T) ((|NewSparseMultivariatePolynomial| . |RecursivePolynomialCategory|) 210931) ((|GeneralModulePolynomial| . |SetCategory|) T) ((|GeneralDistributedMultivariatePolynomial| . |SetCategory|) T) ((|UnivariateTaylorSeriesCZero| . |BasicType|) T) ((|IntegrationResult| . |Module|) 210895) ((|DesingTree| . |BasicType|) 210865) ((|ListMonoidOps| . |SetCategory|) T) ((|UnivariateTaylorSeriesCZero| . |ElementaryFunctionCategory|) 210814) ((|UnivariateTaylorSeries| . |AbelianMonoidRing|) 210775) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |BasicType|) T) ((|UnivariatePuiseuxSeries| . |AbelianMonoidRing|) 210734) ((|RadixExpansion| . |PartialDifferentialRing|) NIL) ((|UnivariateLaurentSeries| . |AbelianMonoidRing|) 210706) ((|LieExponentials| . |SemiGroup|) T) ((|LieSquareMatrix| . |CancellationAbelianMonoid|) T) ((|UnivariateFormalPowerSeries| . |AbelianMonoidRing|) 210667) ((|TaylorSeries| . |CommutativeRing|) 210596) ((|SparseUnivariatePuiseuxSeries| . |EuclideanDomain|) 210572) ((|SparseUnivariateLaurentSeries| . |EuclideanDomain|) 210548) ((|SimpleAlgebraicExtension| . |UniqueFactorizationDomain|) 210482) ((|ExtAlgBasis| . |SetCategory|) T) ((|Asp78| . |FortranVectorFunctionCategory|) T) ((|Asp78| . |FortranProgramCategory|) T) ((|SimpleAlgebraicExtension| . |IntegralDomain|) 210416) ((|NottinghamGroup| . |CoercibleTo|) 210390) ((|AntiSymm| . |SetCategory|) T) ((|ModularField| . |CommutativeRing|) T) ((|InnerSparseUnivariatePowerSeries| . |AbelianMonoidRing|) 210362) ((|DoubleFloat| . |LeftModule|) 210316) ((|InnerPrimeField| . |SetCategory|) T) ((|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| . |SetCategory|) T) ((|InnerFiniteField| . |SetCategory|) T) ((|FiniteFieldExtension| . |UniqueFactorizationDomain|) T) ((|FiniteFieldNormalBasisExtension| . |UniqueFactorizationDomain|) T) ((|FiniteFieldCyclicGroupExtension| . |UniqueFactorizationDomain|) T) ((|HexadecimalExpansion| . |OrderedIntegralDomain|) T) ((|HexadecimalExpansion| . |PrincipalIdealDomain|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |SemiGroup|) T) ((|BinaryExpansion| . |UniqueFactorizationDomain|) T) ((|MyExpression| . |Evalable|) 210303) ((|FortranExpression| . |OrderedSet|) T) ((|DecimalExpansion| . |PrincipalIdealDomain|) T) ((|DecimalExpansion| . |OrderedIntegralDomain|) T) ((|ModuleOperator| . |RightModule|) 210260) ((|FiniteFieldExtension| . |IntegralDomain|) T) ((|FiniteFieldNormalBasisExtension| . |IntegralDomain|) T) ((|FiniteFieldCyclicGroupExtension| . |IntegralDomain|) T) ((|BinaryExpansion| . |IntegralDomain|) T) ((|SparseUnivariateLaurentSeries| . |RealConstant|) NIL) ((|LinearOrdinaryDifferentialOperator| . |Module|) 210217) ((|PseudoAlgebraicClosureOfRationalNumber| . |EntireRing|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |EntireRing|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |AbelianMonoid|) T) ((|Asp27| . |Type|) T) ((|Queue| . |CoercibleTo|) 210168) ((|MachineComplex| . |DifferentialExtension|) 210140) ((|Divisor| . |Module|) 210117) ((|ModuleOperator| . |BiModule|) 210069) ((|List| . |Aggregate|) T) ((|DataList| . |HomogeneousAggregate|) 210053) ((|Set| . |SetAggregate|) 210037) ((|SubSpaceComponentProperty| . |SetCategory|) T) ((|Polynomial| . |PolynomialFactorizationExplicit|) 209987) ((|HomogeneousDistributedMultivariatePolynomial| . |PolynomialFactorizationExplicit|) 209937) ((|XRecursivePolynomial| . |AbelianGroup|) T) ((|XRecursivePolynomial| . |AbelianSemiGroup|) T) ((|XPolynomial| . |CancellationAbelianMonoid|) T) ((|XPBWPolynomial| . |CancellationAbelianMonoid|) T) ((|SequentialDifferentialPolynomial| . |Module|) 209700) ((|RomanNumeral| . |LeftModule|) 209687) ((|Polynomial| . |LeftModule|) 209584) ((|NewSparseUnivariatePolynomial| . |Module|) 209324) ((|InputForm| . |CoercibleTo|) 209298) ((|InputForm| . |ConvertibleTo|) 209271) ((|NewSparseMultivariatePolynomial| . |Module|) 209034) ((|WuWenTsunTriangularSet| . |BasicType|) T) ((|Ruleset| . |BasicType|) T) ((|FreeModule1| . |AbelianSemiGroup|) T) ((|FreeModule1| . |AbelianGroup|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |LeftModule|) 208931) ((|GeneralModulePolynomial| . |Module|) 208902) ((|GeneralDistributedMultivariatePolynomial| . |Module|) 208665) ((|QuasiAlgebraicSet| . |BasicType|) T) ((|Multiset| . |BasicType|) T) ((|IntegerMod| . |StepThrough|) T) ((|Variable| . |CoercibleTo|) 208620) ((|IndexedExponents| . |AbelianSemiGroup|) T) ((|UnivariateLaurentSeries| . |Type|) 208596) ((|UnivariatePuiseuxSeries| . |RetractableTo|) 208492) ((|UnivariateLaurentSeries| . |PatternMatchable|) NIL) ((|UnivariateLaurentSeries| . |Patternable|) 208422) ((|CharacterClass| . |BasicType|) T) ((|AlgebraGivenByStructuralConstants| . |CancellationAbelianMonoid|) T) ((|Table| . |ConvertibleTo|) NIL) ((|Table| . |CoercibleTo|) 208396) ((|SquareMatrix| . |SquareMatrixCategory|) 208319) ((|FiniteFieldCyclicGroup| . |Rng|) T) ((|LiePolynomial| . |CoercibleTo|) 208293) ((|EuclideanModularRing| . |SemiGroup|) T) ((|FiniteFieldExtensionByPolynomial| . |CoercibleTo|) 208267) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |CoercibleTo|) 208241) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |CoercibleTo|) 208215) ((|DifferentialSparseMultivariatePolynomial| . |ConvertibleTo|) 207822) ((|DifferentialSparseMultivariatePolynomial| . |CoercibleTo|) 207796) ((|DistributedMultivariatePolynomial| . |CoercibleTo|) 207770) ((|DistributedMultivariatePolynomial| . |ConvertibleTo|) 207548) ((|RegularChain| . |TriangularSetCategory|) 207383) ((|PendantTree| . |Evalable|) 207307) ((|UnivariateLaurentSeries| . |RetractableTo|) 207254) ((|TaylorSeries| . |InnerEvalable|) 207218) ((|SplittingTree| . |CoercibleTo|) 207192) ((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| . |CoercibleTo|) 207166) ((|OrderedFreeMonoid| . |Monoid|) T) ((|InnerPrimeField| . |Module|) 207120) ((|IndexedVector| . |EltableAggregate|) 207092) ((|InnerFiniteField| . |Module|) 207013) ((|HashTable| . |ConvertibleTo|) NIL) ((|HashTable| . |CoercibleTo|) 206987) ((|Expression| . |BasicType|) T) ((|DesingTree| . |Evalable|) 206911) ((|ExponentialExpansion| . |BasicType|) T) ((|EuclideanModularRing| . |AbelianMonoid|) T) ((|CliffordAlgebra| . |CancellationAbelianMonoid|) T) ((|PrimeField| . |CoercibleTo|) 206885) ((|PrimeField| . |ConvertibleTo|) 206862) ((|FreeMonoid| . |Monoid|) T) ((|PAdicRationalConstructor| . |RightModule|) 206803) ((|PAdicRationalConstructor| . |BiModule|) 206712) ((|DoubleFloat| . |LeftOreRing|) T) ((|MyExpression| . |Algebra|) 206600) ((|CartesianTensor| . |BasicType|) T) ((|BasicOperator| . |BasicType|) T) ((|ModMonic| . |UnivariatePolynomialCategory|) 206584) ((|ModuleOperator| . |Ring|) T) ((|MachineComplex| . |FiniteFieldCategory|) NIL) ((|InnerIndexedTwoDimensionalArray| . |CoercibleTo|) 206535) ((|Float| . |OrderedCancellationAbelianMonoid|) T) ((|DeRhamComplex| . |SetCategory|) T) ((|Float| . |OrderedAbelianMonoid|) T) ((|DoubleFloat| . |OrderedAbelianSemiGroup|) T) ((|DoubleFloat| . |OrderedAbelianGroup|) T) ((|OneDimensionalArray| . |ConvertibleTo|) 206471) ((|OneDimensionalArray| . |CoercibleTo|) 206389) ((|DoubleFloat| . |Monoid|) T) ((|IndexedFlexibleArray| . |ConvertibleTo|) 206325) ((|IndexedFlexibleArray| . |CoercibleTo|) 206243) ((|IndexedTwoDimensionalArray| . |CoercibleTo|) 206194) ((|IndexedOneDimensionalArray| . |ConvertibleTo|) 206130) ((|IndexedOneDimensionalArray| . |CoercibleTo|) 206048) ((|SimpleAlgebraicExtension| . |Field|) 205982) ((|AlgebraicFunctionField| . |FullyRetractableTo|) 205953) ((|Asp49| . |Type|) T) ((|BlowUpWithQuadTrans| . |BasicType|) T) ((|ProjectivePlane| . |ProjectiveSpaceCategory|) 205937) ((|PAdicRational| . |PolynomialFactorizationExplicit|) NIL) ((|FiniteFieldExtension| . |FiniteAlgebraicExtensionField|) 205921) ((|FiniteFieldExtension| . |Field|) T) ((|FiniteFieldNormalBasisExtension| . |FiniteAlgebraicExtensionField|) 205905) ((|FiniteFieldNormalBasisExtension| . |Field|) T) ((|FiniteFieldCyclicGroupExtension| . |FiniteAlgebraicExtensionField|) 205889) ((|FiniteFieldCyclicGroupExtension| . |Field|) T) ((|Expression| . |ElementaryFunctionCategory|) 205856) ((|BinaryExpansion| . |Field|) T) ((|Asp30| . |Type|) T) ((|UnivariateLaurentSeries| . |FullyEvalableOver|) 205786) ((|PAdicRational| . |LeftModule|) 205710) ((|UnivariateLaurentSeries| . |FullyLinearlyExplicitRingOver|) 205640) ((|Product| . |CancellationAbelianMonoid|) 205388) ((|OrderedDirectProduct| . |CancellationAbelianMonoid|) 205191) ((|RomanNumeral| . |LeftOreRing|) T) ((|PrimitiveArray| . |LinearAggregate|) 205175) ((|Polynomial| . |LeftOreRing|) 205093) ((|SequentialDifferentialPolynomial| . |CommutativeRing|) 204946) ((|RomanNumeral| . |OrderedAbelianSemiGroup|) T) ((|RomanNumeral| . |OrderedAbelianGroup|) T) ((|PrimitiveArray| . |FiniteLinearAggregate|) 204930) ((|BlowUpWithQuadTrans| . |BlowUpMethodCategory|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |LeftOreRing|) 204848) ((|NeitherSparseOrDensePowerSeries| . |EltableAggregate|) 204777) ((|NewSparseUnivariatePolynomial| . |CommutativeRing|) 204607) ((|NewSparseMultivariatePolynomial| . |CommutativeRing|) 204460) ((|OrderlyDifferentialPolynomial| . |AbelianMonoidRing|) 204380) ((|RomanNumeral| . |Monoid|) T) ((|FlexibleArray| . |HomogeneousAggregate|) 204364) ((|Polynomial| . |Monoid|) T) ((|GeneralDistributedMultivariatePolynomial| . |CommutativeRing|) 204217) ((|DataList| . |Eltable|) 204189) ((|HomogeneousDistributedMultivariatePolynomial| . |Monoid|) T) ((|WuWenTsunTriangularSet| . |Evalable|) 204113) ((|UnivariateTaylorSeriesCZero| . |Algebra|) 203957) ((|UnivariateTaylorSeries| . |PartialDifferentialRing|) 203821) ((|UnivariatePuiseuxSeries| . |PartialDifferentialRing|) 203683) ((|UnivariatePuiseuxSeriesConstructor| . |RightModule|) 203465) ((|UnivariateLaurentSeries| . |PartialDifferentialRing|) 203217) ((|UnivariateLaurentSeriesConstructor| . |RightModule|) 202969) ((|UnivariateFormalPowerSeries| . |PartialDifferentialRing|) 202833) ((|U32Vector| . |BasicType|) T) ((|TaylorSeries| . |EntireRing|) 202800) ((|SquareFreeRegularTriangularSet| . |Collection|) 202784) ((|RuleCalled| . |BasicType|) T) ((|Plot| . |PlottablePlaneCurveCategory|) T) ((|Multiset| . |Evalable|) 202708) ((|Asp41| . |Type|) T) ((|Complex| . |PolynomialFactorizationExplicit|) 202619) ((|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| . |BasicType|) T) ((|LiePolynomial| . |FreeModuleCat|) 202583) ((|PlaneAlgebraicCurvePlot| . |PlottablePlaneCurveCategory|) T) ((|Mapping| . |CoercibleTo|) 202557) ((|SingleInteger| . |BasicType|) T) ((|SimpleAlgebraicExtension| . |AbelianMonoid|) T) ((|AntiSymm| . |LeftAlgebra|) 202541) ((|SimpleAlgebraicExtension| . |SemiGroup|) T) ((|RadicalFunctionField| . |FramedAlgebra|) 202507) ((|InnerSparseUnivariatePowerSeries| . |PartialDifferentialRing|) 202382) ((|FunctionCalled| . |BasicType|) T) ((|CharacterClass| . |Evalable|) NIL) ((|PAdicRationalConstructor| . |Ring|) T) ((|OnePointCompletion| . |OrderedSet|) 202352) ((|Asp6| . |Type|) T) ((|ModularField| . |EntireRing|) T) ((|AlgebraicFunctionField| . |Rng|) T) ((|InnerPrimeField| . |CommutativeRing|) T) ((|InnerFiniteField| . |CommutativeRing|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |CoercibleTo|) 202326) ((|Complex| . |LeftModule|) 202208) ((|IndexedDirectProductAbelianGroup| . |CoercibleTo|) 202182) ((|FiniteFieldNormalBasis| . |CharacteristicZero|) 202148) ((|FiniteFieldNormalBasis| . |CharacteristicNonZero|) T) ((|FiniteFieldExtension| . |SemiGroup|) T) ((|FiniteFieldNormalBasisExtension| . |SemiGroup|) T) ((|FiniteFieldCyclicGroupExtension| . |SemiGroup|) T) ((|RadixExpansion| . |EuclideanDomain|) T) ((|PartialFraction| . |EuclideanDomain|) T) ((|PAdicRationalConstructor| . |DivisionRing|) T) ((|BinaryExpansion| . |SemiGroup|) T) ((|PAdicRationalConstructor| . |DifferentialRing|) 202113) ((|MyExpression| . |FullyPatternMatchable|) 202097) ((|UnivariatePuiseuxSeriesConstructor| . |BiModule|) 201847) ((|UnivariateLaurentSeriesConstructor| . |BiModule|) 201562) ((|DataList| . |UnaryRecursiveAggregate|) 201546) ((|Integer| . |OrderedRing|) T) ((|FiniteFieldExtension| . |AbelianMonoid|) T) ((|FiniteField| . |FiniteFieldCategory|) T) ((|Expression| . |Evalable|) 201533) ((|ExponentialExpansion| . |Evalable|) 201285) ((|FiniteFieldNormalBasisExtension| . |AbelianMonoid|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |CancellationAbelianMonoid|) T) ((|FiniteFieldCyclicGroupExtension| . |AbelianMonoid|) T) ((|RadixExpansion| . |RealConstant|) T) ((|BinaryExpansion| . |AbelianMonoid|) T) ((|DataList| . |IndexedAggregate|) 201257) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |Algebra|) 201013) ((|UnivariatePolynomial| . |PolynomialFactorizationExplicit|) 200963) ((|Boolean| . |SetCategory|) T) ((|PAdicRational| . |LeftOreRing|) T) ((|Result| . |BasicType|) T) ((|UnivariatePolynomial| . |LeftModule|) 200860) ((|PAdicRational| . |OrderedAbelianSemiGroup|) NIL) ((|UnivariateSkewPolynomial| . |LeftModule|) 200834) ((|PAdicRational| . |OrderedAbelianGroup|) NIL) ((|OrderlyDifferentialPolynomial| . |PatternMatchable|) NIL) ((|PAdicRational| . |Monoid|) T) ((|SequentialDifferentialPolynomial| . |InnerEvalable|) 200603) ((|NewSparseUnivariatePolynomial| . |InnerEvalable|) 200513) ((|NewSparseMultivariatePolynomial| . |InnerEvalable|) 200465) ((|Interval| . |LeftModule|) 200452) ((|OrderlyDifferentialPolynomial| . |RetractableTo|) 200169) ((|GeneralDistributedMultivariatePolynomial| . |InnerEvalable|) 200073) ((|FileName| . |FileNameCategory|) T) ((|TwoDimensionalArray| . |Type|) T) ((|LocalAlgebra| . |OrderedSet|) 200043) ((|IndexedBits| . |Logic|) T) ((|SquareFreeRegularTriangularSet| . |PolynomialSetCategory|) 200012) ((|PseudoAlgebraicClosureOfFiniteField| . |RightModule|) 199953) ((|NeitherSparseOrDensePowerSeries| . |RightModule|) 199894) ((|RadicalFunctionField| . |GcdDomain|) T) ((|MachineFloat| . |OrderedRing|) T) ((|IndexedDirectProductOrderedAbelianMonoid| . |OrderedAbelianMonoid|) T) ((|GeneralUnivariatePowerSeries| . |RightModule|) 199676) ((|FiniteFieldCyclicGroup| . |SetCategory|) T) ((|ExponentialExpansion| . |StepThrough|) NIL) ((|EuclideanModularRing| . |CancellationAbelianMonoid|) T) ((|ScriptFormulaFormat| . |SetCategory|) T) ((|PAdicInteger| . |Rng|) T) ((|MachineComplex| . |FiniteRankAlgebra|) 199600) ((|PseudoAlgebraicClosureOfFiniteField| . |BiModule|) 199509) ((|NeitherSparseOrDensePowerSeries| . |BiModule|) 199418) ((|DeRhamComplex| . |LeftAlgebra|) 199387) ((|Complex| . |LeftOreRing|) 199288) ((|FlexibleArray| . |Eltable|) 199260) ((|U32Vector| . |Evalable|) NIL) ((|GeneralUnivariatePowerSeries| . |BiModule|) 199010) ((|UnivariatePuiseuxSeriesConstructor| . |Ring|) T) ((|UnivariateLaurentSeriesConstructor| . |Ring|) T) ((|OrderlyDifferentialPolynomial| . |FullyLinearlyExplicitRingOver|) 198994) ((|Complex| . |Monoid|) T) ((|LinearOrdinaryDifferentialOperator2| . |BasicType|) T) ((|UnivariatePuiseuxSeriesConstructor| . |DivisionRing|) 198970) ((|UnivariatePuiseuxSeriesConstructor| . |DifferentialRing|) 198905) ((|UnivariateLaurentSeriesConstructor| . |DifferentialRing|) 198785) ((|UnivariateLaurentSeriesConstructor| . |DivisionRing|) 198761) ((|RadicalFunctionField| . |FieldOfPrimeCharacteristic|) NIL) ((|LieSquareMatrix| . |LinearlyExplicitRingOver|) 198677) ((|Expression| . |Algebra|) 198539) ((|ExponentialExpansion| . |Algebra|) 198411) ((|Asp29| . |CoercibleTo|) 198385) ((|ExponentialOfUnivariatePuiseuxSeries| . |HyperbolicFunctionCategory|) 198334) ((|Table| . |EltableAggregate|) 198313) ((|SplitHomogeneousDirectProduct| . |SemiGroup|) 198199) ((|Asp74| . |Type|) T) ((|Asp10| . |CoercibleTo|) 198173) ((|HashTable| . |EltableAggregate|) 198152) ((|XDistributedPolynomial| . |RetractableTo|) 198114) ((|SubSpace| . |SetCategory|) T) ((|SplitHomogeneousDirectProduct| . |AbelianMonoid|) 197917) ((|UnivariatePolynomial| . |LeftOreRing|) 197812) ((|OrderlyDifferentialPolynomial| . |PartialDifferentialRing|) 197693) ((|UnivariatePolynomial| . |Monoid|) T) ((|Set| . |Type|) T) ((|SequentialDifferentialPolynomial| . |EntireRing|) 197579) ((|PoincareBirkhoffWittLyndonBasis| . |BasicType|) T) ((|NewSparseUnivariatePolynomial| . |EntireRing|) 197442) ((|Interval| . |LeftOreRing|) T) ((|FlexibleArray| . |OneDimensionalArrayAggregate|) 197426) ((|OneDimensionalArray| . |EltableAggregate|) 197398) ((|NewSparseMultivariatePolynomial| . |EntireRing|) 197284) ((|UnivariateSkewPolynomial| . |Monoid|) T) ((|BalancedPAdicRational| . |OrderedRing|) NIL) ((|IndexedFlexibleArray| . |EltableAggregate|) 197256) ((|FlexibleArray| . |IndexedAggregate|) 197228) ((|IndexedOneDimensionalArray| . |EltableAggregate|) 197200) ((|GeneralDistributedMultivariatePolynomial| . |EntireRing|) 197086) ((|Result| . |Evalable|) 196892) ((|Interval| . |Monoid|) T) ((|Localize| . |CoercibleTo|) 196866) ((|DataList| . |ConvertibleTo|) 196802) ((|DataList| . |CoercibleTo|) 196720) ((|Stack| . |Aggregate|) T) ((|Point| . |Type|) T) ((|FiniteFieldCyclicGroup| . |Module|) 196646) ((|PseudoAlgebraicClosureOfFiniteField| . |Ring|) T) ((|NeitherSparseOrDensePowerSeries| . |Ring|) T) ((|LieSquareMatrix| . |AbelianSemiGroup|) T) ((|LieSquareMatrix| . |AbelianGroup|) T) ((|SingleInteger| . |StepThrough|) T) ((|GeneralUnivariatePowerSeries| . |Ring|) T) ((|AssociatedLieAlgebra| . |FramedNonAssociativeAlgebra|) 196586) ((|AssociatedJordanAlgebra| . |FramedNonAssociativeAlgebra|) 196526) ((|PlacesOverPseudoAlgebraicClosureOfFiniteField| . |SetCategory|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |DifferentialRing|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |DivisionRing|) T) ((|NeitherSparseOrDensePowerSeries| . |DifferentialRing|) 196474) ((|NeitherSparseOrDensePowerSeries| . |DivisionRing|) T) ((|InnerPrimeField| . |EntireRing|) T) ((|InnerFiniteField| . |EntireRing|) T) ((|UnivariatePuiseuxSeries| . |EuclideanDomain|) 196450) ((|GeneralUnivariatePowerSeries| . |DifferentialRing|) 196385) ((|GeneralUnivariatePowerSeries| . |DivisionRing|) 196361) ((|UnivariateLaurentSeries| . |EuclideanDomain|) 196337) ((|SimpleAlgebraicExtension| . |CancellationAbelianMonoid|) T) ((|PAdicRationalConstructor| . |OrderedCancellationAbelianMonoid|) 196297) ((|Character| . |BasicType|) T) ((|AlgebraicFunctionField| . |SetCategory|) T) ((|PAdicRationalConstructor| . |OrderedAbelianMonoid|) 196257) ((|List| . |RecursiveAggregate|) 196241) ((|InnerPAdicInteger| . |Rng|) T) ((|Integer| . |Rng|) T) ((|InnerAlgebraicNumber| . |Rng|) T) ((|Fraction| . |GcdDomain|) T) ((|FiniteFieldExtension| . |CancellationAbelianMonoid|) T) ((|Expression| . |FullyPatternMatchable|) 196225) ((|ExponentialExpansion| . |FullyPatternMatchable|) 196140) ((|FiniteFieldNormalBasisExtension| . |CancellationAbelianMonoid|) T) ((|FiniteFieldCyclicGroupExtension| . |CancellationAbelianMonoid|) T) ((|UnivariateLaurentSeries| . |RealConstant|) NIL) ((|Segment| . |CoercibleTo|) 196091) ((|BinaryExpansion| . |CancellationAbelianMonoid|) T) ((|SingleInteger| . |Algebra|) 196078) ((|PositiveInteger| . |SetCategory|) T) ((|NonNegativeInteger| . |SetCategory|) T) ((|LyndonWord| . |SetCategory|) T) ((|MachineInteger| . |CharacteristicZero|) T) ((|SparseUnivariatePolynomialExpressions| . |FullyRetractableTo|) 196062) ((|BalancedPAdicInteger| . |CharacteristicZero|) T) ((|XPolynomial| . |AbelianGroup|) T) ((|XPolynomial| . |AbelianSemiGroup|) T) ((|XPBWPolynomial| . |AbelianGroup|) T) ((|XPBWPolynomial| . |AbelianSemiGroup|) T) ((|LiePolynomial| . |RightModule|) 196046) ((|IndexedExponents| . |OrderedSet|) T) ((|IndexedBits| . |OrderedSet|) T) ((|FiniteFieldExtensionByPolynomial| . |RightModule|) 195987) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |RightModule|) 195928) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |RightModule|) 195869) ((|DirectProductModule| . |Type|) T) ((|DirectProductMatrixModule| . |Type|) T) ((|DifferentialSparseMultivariatePolynomial| . |RightModule|) 195626) ((|DistributedMultivariatePolynomial| . |RightModule|) 195383) ((|LiePolynomial| . |BiModule|) 195362) ((|FiniteFieldExtensionByPolynomial| . |BiModule|) 195271) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |BiModule|) 195180) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |BiModule|) 195089) ((|DifferentialSparseMultivariatePolynomial| . |BiModule|) 194814) ((|DistributedMultivariatePolynomial| . |BiModule|) 194539) ((|OrdinaryDifferentialRing| . |UniqueFactorizationDomain|) 194515) ((|LaurentPolynomial| . |FullyRetractableTo|) 194499) ((|AlgebraGivenByStructuralConstants| . |AbelianGroup|) T) ((|AlgebraGivenByStructuralConstants| . |AbelianSemiGroup|) T) ((|OrderedDirectProduct| . |LinearlyExplicitRingOver|) 194371) ((|OrdinaryDifferentialRing| . |IntegralDomain|) 194347) ((|DirectProductModule| . |RetractableTo|) 194098) ((|DirectProductMatrixModule| . |RetractableTo|) 193849) ((|BinaryTournament| . |BinaryRecursiveAggregate|) 193833) ((|PrimeField| . |RightModule|) 193787) ((|MachineFloat| . |Rng|) T) ((|ModMonic| . |BasicType|) T) ((|DoubleFloatVector| . |LinearAggregate|) 193760) ((|ComplexDoubleFloatVector| . |LinearAggregate|) 193721) ((|FiniteFieldCyclicGroup| . |CommutativeRing|) T) ((|DoubleFloatVector| . |FiniteLinearAggregate|) 193694) ((|ComplexDoubleFloatVector| . |FiniteLinearAggregate|) 193655) ((|CliffordAlgebra| . |AbelianGroup|) T) ((|CliffordAlgebra| . |AbelianSemiGroup|) T) ((|Asp8| . |CoercibleTo|) 193629) ((|PrimeField| . |BiModule|) 193556) ((|AlgebraicFunctionField| . |Module|) 193484) ((|PAdicInteger| . |SetCategory|) T) ((|FlexibleArray| . |ConvertibleTo|) 193420) ((|FlexibleArray| . |CoercibleTo|) 193338) ((|UnivariateLaurentSeriesConstructor| . |OrderedAbelianMonoid|) 193269) ((|SparseUnivariatePolynomialExpressions| . |Rng|) T) ((|UnivariateLaurentSeriesConstructor| . |OrderedCancellationAbelianMonoid|) 193200) ((|DirectProductModule| . |FullyLinearlyExplicitRingOver|) 193168) ((|DirectProductMatrixModule| . |FullyLinearlyExplicitRingOver|) 193136) ((|PseudoAlgebraicClosureOfRationalNumber| . |CoercibleTo|) 193110) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |CoercibleTo|) 193084) ((|LinearOrdinaryDifferentialOperator2| . |Algebra|) 193041) ((|KeyedAccessFile| . |Aggregate|) T) ((|HomogeneousDirectProduct| . |SemiGroup|) 192927) ((|GeneralSparseTable| . |Aggregate|) T) ((|SplitHomogeneousDirectProduct| . |CancellationAbelianMonoid|) 192730) ((|SymmetricPolynomial| . |IntegralDomain|) 192697) ((|Product| . |AbelianSemiGroup|) 192377) ((|Palette| . |CoercibleTo|) 192351) ((|Product| . |AbelianGroup|) 192284) ((|OrderedDirectProduct| . |AbelianGroup|) 192171) ((|OrderedDirectProduct| . |AbelianSemiGroup|) 191940) ((|SparseUnivariatePolynomial| . |AbelianMonoidRing|) 191901) ((|LaurentPolynomial| . |Rng|) T) ((|SparseMultivariatePolynomial| . |AbelianMonoidRing|) 191859) ((|GuessOptionFunctions0| . |SetCategory|) T) ((|FiniteFieldExtensionByPolynomial| . |Ring|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |Ring|) T) ((|HomogeneousDirectProduct| . |AbelianMonoid|) 191662) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |Ring|) T) ((|DifferentialSparseMultivariatePolynomial| . |Ring|) T) ((|DistributedMultivariatePolynomial| . |Ring|) T) ((|ResidueRing| . |LeftModule|) 191636) ((|BalancedPAdicRational| . |Rng|) T) ((|PrimitiveArray| . |Aggregate|) T) ((|MyUnivariatePolynomial| . |UniqueFactorizationDomain|) 191586) ((|FiniteFieldExtensionByPolynomial| . |DifferentialRing|) 191561) ((|FiniteFieldExtensionByPolynomial| . |DivisionRing|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |DifferentialRing|) 191536) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |DivisionRing|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |DifferentialRing|) 191511) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |DivisionRing|) T) ((|DifferentialSparseMultivariatePolynomial| . |FiniteAbelianMonoidRing|) 191469) ((|DistributedMultivariatePolynomial| . |FiniteAbelianMonoidRing|) 191401) ((|DifferentialSparseMultivariatePolynomial| . |DifferentialRing|) 191366) ((|Stream| . |Collection|) 191350) ((|MyUnivariatePolynomial| . |IntegralDomain|) 191213) ((|DirectProductModule| . |PartialDifferentialRing|) 191117) ((|DirectProductMatrixModule| . |PartialDifferentialRing|) 191021) ((|SingletonAsOrderedSet| . |OrderedSet|) T) ((|UniversalSegment| . |Type|) T) ((|FramedModule| . |SemiGroup|) T) ((|U16Vector| . |BasicType|) T) ((|RectangularMatrix| . |AbelianMonoid|) T) ((|PrimeField| . |Ring|) T) ((|FreeAbelianGroup| . |LeftModule|) 190998) ((|RealClosure| . |OrderedRing|) T) ((|TaylorSeries| . |RadicalCategory|) 190947) ((|SparseUnivariatePuiseuxSeries| . |PrincipalIdealDomain|) 190923) ((|SparseUnivariateLaurentSeries| . |PrincipalIdealDomain|) 190899) ((|PrimeField| . |DivisionRing|) T) ((|OrdinaryDifferentialRing| . |Field|) 190875) ((|FreeModule| . |AbelianMonoid|) T) ((|BinaryTree| . |SetCategory|) 190845) ((|BinarySearchTree| . |SetCategory|) 190815) ((|PrimeField| . |DifferentialRing|) T) ((|SparseUnivariateLaurentSeries| . |OrderedIntegralDomain|) NIL) ((|Float| . |LeftModule|) 190769) ((|PAdicInteger| . |Module|) 190756) ((|U8Vector| . |SetCategory|) T) ((|RegularChain| . |Collection|) 190675) ((|AlgebraicFunctionField| . |CommutativeRing|) T) ((|MachineComplex| . |FullyRetractableTo|) 190647) ((|ModMonic| . |Evalable|) 190634) ((|Operator| . |LeftModule|) 190581) ((|OppositeMonogenicLinearOperator| . |LeftModule|) 190555) ((|ExponentialOfUnivariatePuiseuxSeries| . |AbelianSemiGroup|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |AbelianGroup|) T) ((|LinearOrdinaryDifferentialOperator| . |Eltable|) 190534) ((|InnerPAdicInteger| . |SetCategory|) T) ((|Integer| . |SetCategory|) T) ((|InnerAlgebraicNumber| . |SetCategory|) T) ((|DataList| . |EltableAggregate|) 190506) ((|ExponentialExpansion| . |DifferentialExtension|) 190421) ((|SparseUnivariatePolynomial| . |PatternMatchable|) NIL) ((|SparseMultivariatePolynomial| . |PatternMatchable|) 190200) ((|SparseUnivariatePolynomial| . |RetractableTo|) 190010) ((|SparseMultivariatePolynomial| . |RetractableTo|) 189841) ((|SparseUnivariateSkewPolynomial| . |RetractableTo|) 189685) ((|NewSparseUnivariatePolynomial| . |Eltable|) 189588) ((|Plcs| . |CoercibleTo|) 189562) ((|OrdinaryDifferentialRing| . |SemiGroup|) T) ((|ResidueRing| . |Monoid|) T) ((|IndexedVector| . |LinearAggregate|) 189546) ((|RegularChain| . |PolynomialSetCategory|) 189381) ((|Quaternion| . |BasicType|) T) ((|OrdinaryDifferentialRing| . |AbelianMonoid|) T) ((|ModMonic| . |StepThrough|) 189351) ((|MachineComplex| . |Rng|) T) ((|IndexedVector| . |FiniteLinearAggregate|) 189335) ((|FiniteFieldNormalBasis| . |GcdDomain|) T) ((|FiniteFieldCyclicGroup| . |EntireRing|) T) ((|TwoDimensionalViewport| . |SetCategory|) T) ((|GuessOption| . |BasicType|) T) ((|FullPartialFractionExpansion| . |BasicType|) T) ((|EuclideanModularRing| . |AbelianGroup|) T) ((|EuclideanModularRing| . |AbelianSemiGroup|) T) ((|FreeGroup| . |Monoid|) T) ((|Float| . |LeftOreRing|) T) ((|MathMLFormat| . |SetCategory|) T) ((|MachineFloat| . |SetCategory|) T) ((|FreeGroup| . |Group|) T) ((|U16Vector| . |Evalable|) NIL) ((|TaylorSeries| . |CoercibleTo|) 189309) ((|SparseUnivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 189293) ((|SparseMultivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 189277) ((|RealClosure| . |FullyRetractableTo|) 189228) ((|CharacterClass| . |Dictionary|) 189203) ((|Float| . |OrderedAbelianSemiGroup|) T) ((|Float| . |OrderedAbelianGroup|) T) ((|PAdicInteger| . |CommutativeRing|) T) ((|Float| . |Monoid|) T) ((|ModularField| . |CoercibleTo|) 189177) ((|ModMonic| . |Algebra|) 188917) ((|Vector| . |VectorCategory|) 188901) ((|FiniteFieldNormalBasis| . |FieldOfPrimeCharacteristic|) T) ((|Vector| . |SetCategory|) 188838) ((|InnerPAdicInteger| . |Module|) 188825) ((|Integer| . |Module|) 188812) ((|InnerAlgebraicNumber| . |Module|) 188766) ((|PseudoAlgebraicClosureOfFiniteField| . |ExtensionField|) 188750) ((|Expression| . |LiouvillianFunctionCategory|) 188717) ((|Operator| . |Monoid|) T) ((|OppositeMonogenicLinearOperator| . |Monoid|) T) ((|SparseUnivariatePolynomialExpressions| . |SetCategory|) T) ((|List| . |Type|) T) ((|SimpleAlgebraicExtension| . |LinearlyExplicitRingOver|) 188633) ((|SparseUnivariatePolynomial| . |PartialDifferentialRing|) 188531) ((|SparseMultivariatePolynomial| . |PartialDifferentialRing|) 188515) ((|Localize| . |RightModule|) 188499) ((|BinaryExpansion| . |LinearlyExplicitRingOver|) 188476) ((|HomogeneousDirectProduct| . |CancellationAbelianMonoid|) 188279) ((|NeitherSparseOrDensePowerSeries| . |LinearAggregate|) 188220) ((|SymmetricPolynomial| . |SemiGroup|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |Finite|) T) ((|Polynomial| . |AbelianMonoidRing|) 188172) ((|MyUnivariatePolynomial| . |SemiGroup|) T) ((|LaurentPolynomial| . |SetCategory|) T) ((|Localize| . |BiModule|) 188151) ((|FlexibleArray| . |EltableAggregate|) 188123) ((|HomogeneousDistributedMultivariatePolynomial| . |AbelianMonoidRing|) 188044) ((|SymmetricPolynomial| . |AbelianMonoid|) T) ((|BasicStochasticDifferential| . |SetCategory|) T) ((|BalancedPAdicRational| . |SetCategory|) T) ((|BalancedBinaryTree| . |BasicType|) 188014) ((|MyUnivariatePolynomial| . |AbelianMonoid|) T) ((|WeightedPolynomials| . |SemiGroup|) T) ((|RectangularMatrix| . |CancellationAbelianMonoid|) T) ((|RealClosure| . |Rng|) T) ((|OrderedFreeMonoid| . |RetractableTo|) 187998) ((|RadicalFunctionField| . |MonogenicAlgebra|) 187964) ((|WeightedPolynomials| . |AbelianMonoid|) T) ((|MachineFloat| . |Module|) 187918) ((|IntegrationResult| . |CoercibleTo|) 187892) ((|FreeMonoid| . |RetractableTo|) 187876) ((|FiniteField| . |Rng|) T) ((|FreeModule| . |CancellationAbelianMonoid|) T) ((|FreeAbelianMonoid| . |RetractableTo|) 187860) ((|DoubleFloat| . |PatternMatchable|) 187839) ((|RadixExpansion| . |PrincipalIdealDomain|) T) ((|ArrayStack| . |Aggregate|) T) ((|RadixExpansion| . |OrderedIntegralDomain|) T) ((|PartialFraction| . |PrincipalIdealDomain|) T) ((|HexadecimalExpansion| . |UniqueFactorizationDomain|) T) ((|TexFormat| . |CoercibleTo|) 187813) ((|SExpressionOf| . |SetCategory|) T) ((|DecimalExpansion| . |UniqueFactorizationDomain|) T) ((|Quaternion| . |Evalable|) 187772) ((|DoubleFloat| . |RetractableTo|) 187716) ((|AlgebraicFunctionField| . |EntireRing|) T) ((|SimpleAlgebraicExtension| . |AbelianGroup|) T) ((|SimpleAlgebraicExtension| . |AbelianSemiGroup|) T) ((|SingleInteger| . |OpenMath|) T) ((|HexadecimalExpansion| . |IntegralDomain|) T) ((|FiniteFieldExtension| . |AbelianSemiGroup|) T) ((|DecimalExpansion| . |IntegralDomain|) T) ((|FiniteFieldExtension| . |AbelianGroup|) T) ((|FiniteFieldNormalBasisExtension| . |AbelianSemiGroup|) T) ((|FiniteFieldNormalBasisExtension| . |AbelianGroup|) T) ((|ModuleOperator| . |LeftModule|) 187663) ((|FiniteFieldCyclicGroupExtension| . |AbelianSemiGroup|) T) ((|FiniteFieldCyclicGroupExtension| . |AbelianGroup|) T) ((|BinaryExpansion| . |AbelianSemiGroup|) T) ((|BinaryExpansion| . |AbelianGroup|) T) ((|AlgebraicNumber| . |Rng|) T) ((|SparseUnivariatePolynomialExpressions| . |Module|) 187403) ((|InnerPAdicInteger| . |CommutativeRing|) T) ((|Integer| . |CommutativeRing|) T) ((|InnerAlgebraicNumber| . |CommutativeRing|) T) ((|LinearOrdinaryDifferentialOperator| . |CoercibleTo|) 187377) ((|Multiset| . |MultisetAggregate|) 187361) ((|FiniteDivisor| . |CoercibleTo|) 187335) ((|Divisor| . |CoercibleTo|) 187309) ((|Asp28| . |FortranMatrixCategory|) T) ((|Asp28| . |FortranProgramCategory|) T) ((|Set| . |BagAggregate|) 187293) ((|RomanNumeral| . |PatternMatchable|) 187270) ((|Polynomial| . |PatternMatchable|) 187151) ((|LinearOrdinaryDifferentialOperator1| . |SemiGroup|) T) ((|LaurentPolynomial| . |Module|) 187138) ((|HomogeneousDistributedMultivariatePolynomial| . |PatternMatchable|) NIL) ((|SquareFreeRegularTriangularSet| . |BasicType|) T) ((|RomanNumeral| . |RetractableTo|) 187115) ((|AttributeButtons| . |CoercibleTo|) 187089) ((|Pi| . |CharacteristicZero|) T) ((|Polynomial| . |RetractableTo|) 186914) ((|BalancedPAdicRational| . |Module|) 186830) ((|LinearOrdinaryDifferentialOperator1| . |AbelianMonoid|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |RetractableTo|) 186637) ((|SequentialDifferentialPolynomial| . |ConvertibleTo|) NIL) ((|SequentialDifferentialPolynomial| . |CoercibleTo|) 186611) ((|NewSparseUnivariatePolynomial| . |ConvertibleTo|) NIL) ((|NewSparseUnivariatePolynomial| . |CoercibleTo|) 186541) ((|NewSparseMultivariatePolynomial| . |ConvertibleTo|) 185980) ((|NewSparseMultivariatePolynomial| . |CoercibleTo|) 185839) ((|SplitHomogeneousDirectProduct| . |LinearlyExplicitRingOver|) 185711) ((|GeneralModulePolynomial| . |CoercibleTo|) 185685) ((|GeneralDistributedMultivariatePolynomial| . |CoercibleTo|) 185659) ((|GeneralDistributedMultivariatePolynomial| . |ConvertibleTo|) 185437) ((|Result| . |Dictionary|) 185370) ((|BinaryTournament| . |Aggregate|) T) ((|OrdinaryDifferentialRing| . |CancellationAbelianMonoid|) T) ((|PAdicRationalConstructor| . |PolynomialFactorizationExplicit|) 185320) ((|ListMonoidOps| . |CoercibleTo|) 185294) ((|FiniteFieldExtensionByPolynomial| . |ExtensionField|) 185278) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |ExtensionField|) 185262) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |ExtensionField|) 185246) ((|BinaryTree| . |InnerEvalable|) 185165) ((|BinarySearchTree| . |InnerEvalable|) 185084) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |OrderedAbelianMonoid|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |OrderedCancellationAbelianMonoid|) T) ((|IndexedDirectProductOrderedAbelianMonoid| . |OrderedAbelianSemiGroup|) T) ((|BalancedBinaryTree| . |Evalable|) 185008) ((|Dequeue| . |BasicType|) 184978) ((|DoubleFloatVector| . |Aggregate|) T) ((|ComplexDoubleFloatVector| . |Aggregate|) T) ((|MachineComplex| . |SetCategory|) T) ((|MachineFloat| . |CommutativeRing|) T) ((|U8Vector| . |InnerEvalable|) NIL) ((|PAdicRationalConstructor| . |LeftModule|) 184919) ((|Quaternion| . |Algebra|) 184853) ((|Asp20| . |FortranMatrixFunctionCategory|) T) ((|ExtAlgBasis| . |CoercibleTo|) 184827) ((|Asp20| . |FortranProgramCategory|) T) ((|Polynomial| . |FullyLinearlyExplicitRingOver|) 184811) ((|PAdicInteger| . |EntireRing|) T) ((|AntiSymm| . |CoercibleTo|) 184785) ((|PseudoAlgebraicClosureOfRationalNumber| . |RightModule|) 184739) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |RightModule|) 184642) ((|InnerPrimeField| . |CoercibleTo|) 184616) ((|InnerPrimeField| . |ConvertibleTo|) 184593) ((|HomogeneousDistributedMultivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 184577) ((|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| . |CoercibleTo|) 184551) ((|InnerFiniteField| . |CoercibleTo|) 184525) ((|PrimeField| . |ExtensionField|) 184512) ((|PAdicRational| . |Type|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |BiModule|) 184439) ((|MachineInteger| . |GcdDomain|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |BiModule|) 184272) ((|InnerAlgebraicNumber| . |InnerEvalable|) 184234) ((|HexadecimalExpansion| . |Field|) T) ((|FiniteFieldExtensionByPolynomial| . |Finite|) 184209) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |Finite|) 184184) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |Finite|) 184159) ((|DecimalExpansion| . |Field|) T) ((|ModuleOperator| . |Monoid|) T) ((|BalancedPAdicInteger| . |GcdDomain|) T) ((|SparseUnivariatePolynomialExpressions| . |CommutativeRing|) 183989) ((|XPolynomialRing| . |XAlgebra|) 183973) ((|PAdicRational| . |Patternable|) 183940) ((|PAdicRational| . |PatternMatchable|) NIL) ((|Product| . |OrderedSet|) 183784) ((|OrderedDirectProduct| . |OrderedSet|) 183708) ((|LinearOrdinaryDifferentialOperator2| . |LinearOrdinaryDifferentialOperatorCategory|) 183692) ((|Tree| . |Aggregate|) T) ((|SubSpaceComponentProperty| . |CoercibleTo|) 183666) ((|SplitHomogeneousDirectProduct| . |AbelianGroup|) 183553) ((|SplitHomogeneousDirectProduct| . |AbelianSemiGroup|) 183322) ((|ProjectiveSpace| . |SetCategory|) T) ((|PAdicRational| . |RetractableTo|) 183289) ((|Polynomial| . |PartialDifferentialRing|) 183267) ((|UnivariatePolynomial| . |AbelianMonoidRing|) 183228) ((|PrimeField| . |Finite|) T) ((|OneDimensionalArray| . |LinearAggregate|) 183212) ((|IndexedFlexibleArray| . |LinearAggregate|) 183196) ((|HomogeneousDistributedMultivariatePolynomial| . |PartialDifferentialRing|) 183156) ((|Asp31| . |FortranVectorFunctionCategory|) T) ((|Asp31| . |FortranProgramCategory|) T) ((|IndexedOneDimensionalArray| . |LinearAggregate|) 183140) ((|OneDimensionalArray| . |FiniteLinearAggregate|) 183124) ((|LaurentPolynomial| . |CommutativeRing|) T) ((|IndexedFlexibleArray| . |FiniteLinearAggregate|) 183108) ((|IndexedOneDimensionalArray| . |FiniteLinearAggregate|) 183092) ((|OppositeMonogenicLinearOperator| . |MonogenicLinearOperator|) 183076) ((|SparseUnivariatePolynomial| . |EuclideanDomain|) 183052) ((|SymmetricPolynomial| . |CancellationAbelianMonoid|) T) ((|BalancedPAdicRational| . |CommutativeRing|) T) ((|MyUnivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|SquareFreeRegularTriangularSet| . |Evalable|) 182976) ((|Complex| . |Type|) T) ((|AssociatedLieAlgebra| . |NonAssociativeAlgebra|) 182960) ((|AssociatedJordanAlgebra| . |NonAssociativeAlgebra|) 182944) ((|WeightedPolynomials| . |CancellationAbelianMonoid|) T) ((|UnivariatePuiseuxSeries| . |PrincipalIdealDomain|) 182920) ((|UnivariateLaurentSeries| . |PrincipalIdealDomain|) 182896) ((|UnivariateLaurentSeries| . |OrderedIntegralDomain|) NIL) ((|MachineComplex| . |Module|) 182825) ((|UnivariateLaurentSeriesConstructor| . |PolynomialFactorizationExplicit|) 182746) ((|RealClosure| . |SetCategory|) T) ((|PAdicRational| . |FullyLinearlyExplicitRingOver|) 182713) ((|PAdicRational| . |FullyEvalableOver|) 182680) ((|Permutation| . |SemiGroup|) T) ((|Complex| . |Patternable|) 182664) ((|Complex| . |PatternMatchable|) 182545) ((|Vector| . |InnerEvalable|) 182464) ((|PAdicRationalConstructor| . |LeftOreRing|) T) ((|HexadecimalExpansion| . |SemiGroup|) T) ((|FiniteField| . |SetCategory|) T) ((|DecimalExpansion| . |SemiGroup|) T) ((|Asp42| . |FortranVectorFunctionCategory|) T) ((|Asp42| . |FortranProgramCategory|) T) ((|UnivariatePuiseuxSeriesConstructor| . |LeftModule|) 182333) ((|Complex| . |RetractableTo|) 182177) ((|ExponentialOfUnivariatePuiseuxSeries| . |OrderedSet|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |Ring|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |Ring|) T) ((|UnivariateLaurentSeriesConstructor| . |LeftModule|) 182016) ((|PAdicRationalConstructor| . |OrderedAbelianSemiGroup|) 181976) ((|PAdicRationalConstructor| . |OrderedAbelianGroup|) 181936) ((|XRecursivePolynomial| . |XFreeAlgebra|) 181915) ((|PAdicRationalConstructor| . |Monoid|) T) ((|HexadecimalExpansion| . |AbelianMonoid|) T) ((|DeRhamComplex| . |CoercibleTo|) 181889) ((|ContinuedFraction| . |GcdDomain|) T) ((|Dequeue| . |Evalable|) 181813) ((|Asp7| . |FortranVectorFunctionCategory|) T) ((|Asp7| . |FortranProgramCategory|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |DivisionRing|) T) ((|DecimalExpansion| . |AbelianMonoid|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |DivisionRing|) T) ((|MyExpression| . |FullyRetractableTo|) 181797) ((|InfClsPt| . |InfinitlyClosePointCategory|) 181561) ((|InnerPAdicInteger| . |EntireRing|) T) ((|Integer| . |EntireRing|) T) ((|Magma| . |RetractableTo|) 181545) ((|InnerAlgebraicNumber| . |EntireRing|) T) ((|SparseUnivariatePolynomialExpressions| . |InnerEvalable|) 181455) ((|CartesianTensor| . |GradedModule|) 181373) ((|BlowUpWithHamburgerNoether| . |SetCategory|) T) ((|AlgebraicNumber| . |SetCategory|) T) ((|ModMonic| . |DifferentialExtension|) 181357) ((|PAdicRational| . |PartialDifferentialRing|) NIL) ((|UnivariatePolynomial| . |PatternMatchable|) NIL) ((|PatternMatchResult| . |BasicType|) T) ((|PatternMatchListResult| . |BasicType|) T) ((|FileName| . |SetCategory|) T) ((|Complex| . |FullyLinearlyExplicitRingOver|) 181341) ((|Complex| . |FullyEvalableOver|) 181325) ((|UnivariatePolynomial| . |RetractableTo|) 181135) ((|UnivariateSkewPolynomial| . |RetractableTo|) 180979) ((|SquareMatrix| . |BasicType|) T) ((|LinearOrdinaryDifferentialOperator1| . |CancellationAbelianMonoid|) T) ((|BalancedPAdicRational| . |InnerEvalable|) 180693) ((|Localize| . |OrderedAbelianMonoid|) 180655) ((|Localize| . |OrderedCancellationAbelianMonoid|) 180617) ((|Interval| . |RetractableTo|) 180594) ((|Equation| . |VectorSpace|) 180561) ((|OrdinaryWeightedPolynomials| . |BasicType|) T) ((|PolynomialRing| . |IntegralDomain|) 180528) ((|TaylorSeries| . |RightModule|) 180361) ((|HomogeneousDirectProduct| . |LinearlyExplicitRingOver|) 180233) ((|PermutationGroup| . |SetCategory|) T) ((|RealClosure| . |Module|) 180154) ((|ModularField| . |RightModule|) 180108) ((|PseudoAlgebraicClosureOfFiniteField| . |LeftModule|) 180049) ((|NeitherSparseOrDensePowerSeries| . |LeftModule|) 179990) ((|IndexedVector| . |Aggregate|) T) ((|Stack| . |Type|) T) ((|TaylorSeries| . |BiModule|) 179791) ((|GeneralUnivariatePowerSeries| . |LeftModule|) 179660) ((|FiniteField| . |Module|) 179586) ((|Complex| . |PartialDifferentialRing|) 179518) ((|MachineFloat| . |EntireRing|) T) ((|MyExpression| . |Rng|) T) ((|MachineComplex| . |CommutativeRing|) T) ((|ModularField| . |BiModule|) 179445) ((|IntegerMod| . |Rng|) T) ((|UnivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 179429) ((|Factored| . |UniqueFactorizationDomain|) 179385) ((|ExponentialExpansion| . |OrderedRing|) NIL) ((|UnivariatePuiseuxSeriesConstructor| . |LeftOreRing|) 179361) ((|UnivariateLaurentSeriesConstructor| . |LeftOreRing|) 179337) ((|Factored| . |IntegralDomain|) T) ((|DoubleFloat| . |EuclideanDomain|) T) ((|UnivariateLaurentSeriesConstructor| . |OrderedAbelianGroup|) 179268) ((|UnivariateLaurentSeriesConstructor| . |OrderedAbelianSemiGroup|) 179199) ((|AffinePlane| . |SetCategoryWithDegree|) T) ((|UnivariatePuiseuxSeriesConstructor| . |Monoid|) T) ((|UnivariateLaurentSeriesConstructor| . |Monoid|) T) ((|AlgebraicNumber| . |Module|) 179153) ((|SparseUnivariatePolynomialExpressions| . |EntireRing|) 179016) ((|DoubleFloat| . |RealConstant|) T) ((|FiniteFieldNormalBasis| . |VectorSpace|) 178985) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |FullyRetractableTo|) 178931) ((|MoebiusTransform| . |Monoid|) T) ((|UnivariatePolynomial| . |PartialDifferentialRing|) 178829) ((|Boolean| . |CoercibleTo|) 178803) ((|Boolean| . |ConvertibleTo|) 178778) ((|MoebiusTransform| . |Group|) T) ((|HomogeneousDirectProduct| . |AbelianGroup|) 178665) ((|BinaryTree| . |HomogeneousAggregate|) 178649) ((|BinarySearchTree| . |HomogeneousAggregate|) 178633) ((|HomogeneousDirectProduct| . |AbelianSemiGroup|) 178402) ((|LaurentPolynomial| . |EntireRing|) T) ((|NeitherSparseOrDensePowerSeries| . |Aggregate|) T) ((|U8Vector| . |HomogeneousAggregate|) 178379) ((|IntegrationResult| . |RightModule|) 178343) ((|U8Matrix| . |TwoDimensionalArrayCategory|) 178294) ((|FortranType| . |SetCategory|) T) ((|RomanNumeral| . |EuclideanDomain|) T) ((|BalancedPAdicRational| . |EntireRing|) T) ((|SExpression| . |BasicType|) T) ((|RadicalFunctionField| . |BasicType|) T) ((|IntegrationResult| . |BiModule|) 178233) ((|UnivariateTaylorSeriesCZero| . |Rng|) T) ((|SquareMatrix| . |Evalable|) 178157) ((|TaylorSeries| . |Ring|) T) ((|RomanNumeral| . |RealConstant|) T) ((|Asp24| . |Type|) T) ((|RectangularMatrix| . |AbelianSemiGroup|) T) ((|RectangularMatrix| . |AbelianGroup|) T) ((|ModularField| . |Ring|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |LeftOreRing|) T) ((|NeitherSparseOrDensePowerSeries| . |LeftOreRing|) T) ((|FreeModule| . |AbelianGroup|) T) ((|FreeModule| . |AbelianSemiGroup|) T) ((|MachineComplex| . |InnerEvalable|) NIL) ((|RealClosure| . |CommutativeRing|) T) ((|GeneralUnivariatePowerSeries| . |LeftOreRing|) 178133) ((|ModularField| . |DivisionRing|) T) ((|RomanNumeral| . |IntegerNumberSystem|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |Monoid|) T) ((|NeitherSparseOrDensePowerSeries| . |Monoid|) T) ((|IndexCard| . |BasicType|) T) ((|FiniteField| . |CommutativeRing|) T) ((|FiniteFieldCyclicGroup| . |CoercibleTo|) 178107) ((|ScriptFormulaFormat| . |CoercibleTo|) 178081) ((|GeneralUnivariatePowerSeries| . |Monoid|) T) ((|SingleInteger| . |OrderedRing|) T) ((|Pattern| . |RetractableTo|) 178046) ((|BinaryExpansion| . |OrderedSet|) T) ((|LinearOrdinaryDifferentialOperator| . |RightModule|) 178030) ((|HexadecimalExpansion| . |CancellationAbelianMonoid|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |Rng|) T) ((|DecimalExpansion| . |CancellationAbelianMonoid|) T) ((|Divisor| . |RightModule|) 178007) ((|Stream| . |BasicType|) 177977) ((|Automorphism| . |SetCategory|) T) ((|DataList| . |ListAggregate|) 177961) ((|DataList| . |LinearAggregate|) 177945) ((|LinearOrdinaryDifferentialOperator| . |BiModule|) 177924) ((|Expression| . |FullyRetractableTo|) 177908) ((|DataList| . |FiniteLinearAggregate|) 177892) ((|StringTable| . |DictionaryOperations|) 177828) ((|Quaternion| . |DifferentialExtension|) 177812) ((|Divisor| . |BiModule|) 177777) ((|Asp35| . |Type|) T) ((|AlgebraicNumber| . |CommutativeRing|) T) ((|MachineInteger| . |FortranMachineTypeCategory|) T) ((|MachineInteger| . |CombinatorialFunctionCategory|) T) ((|XPolynomialRing| . |BasicType|) T) ((|SequentialDifferentialPolynomial| . |RightModule|) 177534) ((|DifferentialSparseMultivariatePolynomial| . |PolynomialFactorizationExplicit|) 177484) ((|DistributedMultivariatePolynomial| . |PolynomialFactorizationExplicit|) 177434) ((|NewSparseUnivariatePolynomial| . |RightModule|) 177168) ((|NewSparseMultivariatePolynomial| . |RightModule|) 176925) ((|KeyedAccessFile| . |Type|) T) ((|SubSpace| . |CoercibleTo|) 176899) ((|SequentialDifferentialPolynomial| . |BiModule|) 176624) ((|RegularChain| . |BasicType|) T) ((|GeneralSparseTable| . |Type|) T) ((|GeneralModulePolynomial| . |RightModule|) 176595) ((|GeneralDistributedMultivariatePolynomial| . |RightModule|) 176352) ((|LiePolynomial| . |LeftModule|) 176336) ((|PAdicRational| . |EuclideanDomain|) T) ((|NewSparseUnivariatePolynomial| . |BiModule|) 176038) ((|NewSparseMultivariatePolynomial| . |BiModule|) 175763) ((|FiniteFieldExtensionByPolynomial| . |LeftModule|) 175704) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |LeftModule|) 175645) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |LeftModule|) 175586) ((|DifferentialSparseMultivariatePolynomial| . |LeftModule|) 175483) ((|DistributedMultivariatePolynomial| . |LeftModule|) 175380) ((|String| . |OrderedSet|) T) ((|GeneralModulePolynomial| . |BiModule|) 175341) ((|GeneralDistributedMultivariatePolynomial| . |BiModule|) 175066) ((|SequentialDifferentialVariable| . |RetractableTo|) 175050) ((|RewriteRule| . |RetractableTo|) 175021) ((|Queue| . |Aggregate|) T) ((|PrimitiveArray| . |Type|) T) ((|BinaryTournament| . |RecursiveAggregate|) 175005) ((|PolynomialRing| . |SemiGroup|) T) ((|PAdicRational| . |RealConstant|) NIL) ((|MonoidRing| . |SemiGroup|) T) ((|ModularRing| . |SemiGroup|) T) ((|Vector| . |HomogeneousAggregate|) 174989) ((|SquareMatrix| . |Algebra|) 174934) ((|PolynomialRing| . |AbelianMonoid|) T) ((|PrimeField| . |LeftModule|) 174888) ((|OrderedCompletion| . |BasicType|) T) ((|OrdinaryDifferentialRing| . |AbelianGroup|) T) ((|OrdinaryDifferentialRing| . |AbelianSemiGroup|) T) ((|MonoidRing| . |AbelianMonoid|) T) ((|ModularRing| . |AbelianMonoid|) T) ((|Bits| . |Logic|) T) ((|NottinghamGroup| . |Monoid|) T) ((|InnerPrimeField| . |RightModule|) 174842) ((|InnerFiniteField| . |RightModule|) 174763) ((|DenavitHartenbergMatrix| . |TwoDimensionalArrayCategory|) 174715) ((|GenericNonAssociativeAlgebra| . |AbelianMonoid|) T) ((|Fraction| . |BasicType|) T) ((|DrawOption| . |BasicType|) T) ((|NottinghamGroup| . |Group|) T) ((|ProjectivePlane| . |BasicType|) T) ((|MachineComplex| . |EntireRing|) T) ((|OrdinaryWeightedPolynomials| . |Algebra|) 174672) ((|U8Vector| . |Eltable|) 174637) ((|InnerPrimeField| . |BiModule|) 174564) ((|InnerFiniteField| . |BiModule|) 174433) ((|MyUnivariatePolynomial| . |LinearlyExplicitRingOver|) 174349) ((|Factored| . |SemiGroup|) T) ((|Expression| . |Rng|) 174181) ((|ExponentialExpansion| . |Rng|) T) ((|PlacesOverPseudoAlgebraicClosureOfFiniteField| . |CoercibleTo|) 174155) ((|MyExpression| . |SetCategory|) T) ((|LinearOrdinaryDifferentialOperator| . |Ring|) T) ((|IntegerMod| . |SetCategory|) T) ((|Complex| . |EuclideanDomain|) 174056) ((|Factored| . |AbelianMonoid|) T) ((|AlgebraicFunctionField| . |CoercibleTo|) 174030) ((|AlgebraicFunctionField| . |ConvertibleTo|) 174014) ((|BinaryExpansion| . |QuotientFieldCategory|) 173991) ((|BalancedPAdicInteger| . |PAdicIntegerCategory|) 173975) ((|AlgebraicNumber| . |InnerEvalable|) 173937) ((|Tree| . |RecursiveAggregate|) 173921) ((|Table| . |Aggregate|) T) ((|PositiveInteger| . |CoercibleTo|) 173895) ((|SplitHomogeneousDirectProduct| . |OrderedSet|) 173819) ((|NonNegativeInteger| . |CoercibleTo|) 173793) ((|LyndonWord| . |CoercibleTo|) 173767) ((|UnivariatePolynomial| . |EuclideanDomain|) 173743) ((|U8Vector| . |OneDimensionalArrayAggregate|) 173720) ((|U8Vector| . |IndexedAggregate|) 173685) ((|Stream| . |Evalable|) 173609) ((|SegmentBinding| . |Type|) T) ((|HashTable| . |Aggregate|) T) ((|SequentialDifferentialPolynomial| . |Ring|) T) ((|Pi| . |GcdDomain|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |ExtensionField|) 173573) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |ExtensionField|) 173486) ((|SplittingTree| . |Aggregate|) T) ((|NewSparseUnivariatePolynomial| . |Ring|) T) ((|NewSparseMultivariatePolynomial| . |Ring|) T) ((|ListMultiDictionary| . |DictionaryOperations|) 173470) ((|Library| . |DictionaryOperations|) 173403) ((|SymmetricPolynomial| . |AbelianGroup|) T) ((|SymmetricPolynomial| . |AbelianSemiGroup|) T) ((|SequentialDifferentialPolynomial| . |FiniteAbelianMonoidRing|) 173320) ((|SequentialDifferentialPolynomial| . |DifferentialRing|) 173285) ((|NewSparseUnivariatePolynomial| . |FiniteAbelianMonoidRing|) 173246) ((|NewSparseUnivariatePolynomial| . |DifferentialRing|) T) ((|GeneralDistributedMultivariatePolynomial| . |Ring|) T) ((|NewSparseMultivariatePolynomial| . |FiniteAbelianMonoidRing|) 173204) ((|MultivariatePolynomial| . |UniqueFactorizationDomain|) 173154) ((|FiniteFieldExtensionByPolynomial| . |LeftOreRing|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |LeftOreRing|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |LeftOreRing|) T) ((|FlexibleArray| . |LinearAggregate|) 173138) ((|DifferentialSparseMultivariatePolynomial| . |LeftOreRing|) 173056) ((|DistributedMultivariatePolynomial| . |LeftOreRing|) 172974) ((|OneDimensionalArray| . |Aggregate|) T) ((|InnerIndexedTwoDimensionalArray| . |Aggregate|) T) ((|IndexedFlexibleArray| . |Aggregate|) T) ((|GeneralDistributedMultivariatePolynomial| . |FiniteAbelianMonoidRing|) 172953) ((|FlexibleArray| . |FiniteLinearAggregate|) 172937) ((|IndexedTwoDimensionalArray| . |Aggregate|) T) ((|IndexedOneDimensionalArray| . |Aggregate|) T) ((|RadicalFunctionField| . |StepThrough|) NIL) ((|MultivariatePolynomial| . |IntegralDomain|) 172823) ((|AssociatedLieAlgebra| . |BasicType|) T) ((|AssociatedJordanAlgebra| . |BasicType|) T) ((|FiniteFieldExtensionByPolynomial| . |Monoid|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |Monoid|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |Monoid|) T) ((|DifferentialSparseMultivariatePolynomial| . |Monoid|) T) ((|DistributedMultivariatePolynomial| . |Monoid|) T) ((|MyUnivariatePolynomial| . |AbelianSemiGroup|) T) ((|MyUnivariatePolynomial| . |AbelianGroup|) T) ((|WeightedPolynomials| . |AbelianGroup|) T) ((|RegularChain| . |Evalable|) 172587) ((|WeightedPolynomials| . |AbelianSemiGroup|) T) ((|UnivariateTaylorSeriesCZero| . |SetCategory|) T) ((|PendantTree| . |SetCategory|) 172557) ((|AntiSymm| . |Ring|) T) ((|SparseUnivariateTaylorSeries| . |IntegralDomain|) 172524) ((|SparseUnivariatePuiseuxSeries| . |UniqueFactorizationDomain|) 172500) ((|SparseUnivariatePuiseuxSeries| . |IntegralDomain|) 172439) ((|SparseUnivariateLaurentSeries| . |UniqueFactorizationDomain|) 172415) ((|PrimeField| . |LeftOreRing|) T) ((|InnerPrimeField| . |Ring|) T) ((|InnerFiniteField| . |Ring|) T) ((|InfClsPt| . |BasicType|) T) ((|RealClosure| . |EntireRing|) T) ((|FreeGroup| . |RetractableTo|) 172399) ((|FreeAbelianGroup| . |RetractableTo|) 172383) ((|DesingTree| . |SetCategory|) 172353) ((|Float| . |PatternMatchable|) 172332) ((|SparseUnivariateLaurentSeries| . |IntegralDomain|) 172271) ((|SparseMultivariateTaylorSeries| . |IntegralDomain|) 172238) ((|RadicalFunctionField| . |Algebra|) 172166) ((|Octonion| . |SemiGroup|) T) ((|PrimeField| . |Monoid|) T) ((|InnerPrimeField| . |DivisionRing|) T) ((|InnerPrimeField| . |DifferentialRing|) T) ((|InnerFiniteField| . |DifferentialRing|) T) ((|InnerFiniteField| . |DivisionRing|) T) ((|MyExpression| . |Module|) 172054) ((|FiniteField| . |EntireRing|) T) ((|ListMultiDictionary| . |MultiDictionary|) 172038) ((|Float| . |RetractableTo|) 171982) ((|DesingTree| . |DesingTreeCategory|) 171966) ((|SingleInteger| . |Rng|) T) ((|BalancedBinaryTree| . |BinaryTreeCategory|) 171950) ((|Octonion| . |AbelianMonoid|) T) ((|XPolynomial| . |XFreeAlgebra|) 171923) ((|XPBWPolynomial| . |XFreeAlgebra|) 171902) ((|Vector| . |Eltable|) 171874) ((|Fraction| . |Evalable|) 171833) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |SetCategory|) T) ((|SparseUnivariatePolynomialExpressions| . |Eltable|) 171736) ((|PAdicInteger| . |CoercibleTo|) 171710) ((|Operator| . |RetractableTo|) 171668) ((|d01TransformFunctionType| . |NumericalIntegrationCategory|) T) ((|d01gbfAnnaType| . |NumericalIntegrationCategory|) T) ((|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| . |AffineSpaceCategory|) 171612) ((|d01fcfAnnaType| . |NumericalIntegrationCategory|) T) ((|d01asfAnnaType| . |NumericalIntegrationCategory|) T) ((|d01aqfAnnaType| . |NumericalIntegrationCategory|) T) ((|d01apfAnnaType| . |NumericalIntegrationCategory|) T) ((|d01anfAnnaType| . |NumericalIntegrationCategory|) T) ((|d01amfAnnaType| . |NumericalIntegrationCategory|) T) ((|d01alfAnnaType| . |NumericalIntegrationCategory|) T) ((|d01akfAnnaType| . |NumericalIntegrationCategory|) T) ((|InnerAlgebraicNumber| . |RadicalCategory|) T) ((|e04ucfAnnaType| . |NumericalOptimizationCategory|) T) ((|e04nafAnnaType| . |NumericalOptimizationCategory|) T) ((|e04mbfAnnaType| . |NumericalOptimizationCategory|) T) ((|e04jafAnnaType| . |NumericalOptimizationCategory|) T) ((|AlgebraicNumber| . |EntireRing|) T) ((|e04gcfAnnaType| . |NumericalOptimizationCategory|) T) ((|e04fdfAnnaType| . |NumericalOptimizationCategory|) T) ((|e04dgfAnnaType| . |NumericalOptimizationCategory|) T) ((|d01ajfAnnaType| . |NumericalIntegrationCategory|) T) ((|Kernel| . |OrderedSet|) T) ((|LinearOrdinaryDifferentialOperator2| . |FullyRetractableTo|) 171596) ((|Bits| . |OrderedSet|) T) ((|LinearOrdinaryDifferentialOperator1| . |AbelianGroup|) T) ((|LinearOrdinaryDifferentialOperator1| . |AbelianSemiGroup|) T) ((|GuessOptionFunctions0| . |CoercibleTo|) 171570) ((|XPolynomialRing| . |Algebra|) 171527) ((|Vector| . |OneDimensionalArrayAggregate|) 171511) ((|BalancedPAdicRational| . |Eltable|) 171364) ((|DoubleFloatMatrix| . |BasicType|) T) ((|ComplexDoubleFloatMatrix| . |BasicType|) T) ((|Vector| . |IndexedAggregate|) 171336) ((|WuWenTsunTriangularSet| . |SetCategory|) T) ((|UnivariateTaylorSeriesCZero| . |Module|) 171180) ((|Ruleset| . |SetCategory|) T) ((|QuasiAlgebraicSet| . |SetCategory|) T) ((|PolynomialRing| . |CancellationAbelianMonoid|) T) ((|Multiset| . |SetCategory|) T) ((|MonoidRing| . |CancellationAbelianMonoid|) T) ((|ModularRing| . |CancellationAbelianMonoid|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |OrderedAbelianMonoidSup|) T) ((|Fraction| . |StepThrough|) 171150) ((|GenericNonAssociativeAlgebra| . |CancellationAbelianMonoid|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |OrderedAbelianSemiGroup|) T) ((|DeRhamComplex| . |Ring|) T) ((|Equation| . |BasicType|) 170847) ((|CharacterClass| . |SetCategory|) T) ((|MachineFloat| . |RadicalCategory|) T) ((|ArrayStack| . |Type|) T) ((|BinaryTree| . |CoercibleTo|) 170798) ((|BinarySearchTree| . |CoercibleTo|) 170749) ((|MyExpression| . |CommutativeRing|) T) ((|IntegerMod| . |CommutativeRing|) T) ((|U8Vector| . |ConvertibleTo|) 170724) ((|U8Vector| . |CoercibleTo|) 170698) ((|SparseUnivariatePuiseuxSeries| . |Field|) 170674) ((|SparseUnivariateLaurentSeries| . |Field|) 170650) ((|Expression| . |SetCategory|) T) ((|Factored| . |CancellationAbelianMonoid|) T) ((|ExponentialExpansion| . |SetCategory|) T) ((|Fraction| . |Algebra|) 170591) ((|ThreeSpace| . |BasicType|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |Module|) 170347) ((|LinearOrdinaryDifferentialOperator2| . |Rng|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |CharacteristicNonZero|) 170307) ((|ExponentialOfUnivariatePuiseuxSeries| . |CharacteristicZero|) 170270) ((|CartesianTensor| . |SetCategory|) T) ((|BasicOperator| . |SetCategory|) T) ((|OrdSetInts| . |BasicType|) T) ((|InnerPAdicInteger| . |CoercibleTo|) 170244) ((|Integer| . |ConvertibleTo|) 170106) ((|Integer| . |CoercibleTo|) 170080) ((|InnerAlgebraicNumber| . |CoercibleTo|) 170054) ((|InnerAlgebraicNumber| . |ConvertibleTo|) 169979) ((|HyperellipticFiniteDivisor| . |AbelianMonoid|) T) ((|HomogeneousDirectProduct| . |OrderedSet|) 169903) ((|BlowUpWithQuadTrans| . |SetCategory|) T) ((|HexadecimalExpansion| . |LinearlyExplicitRingOver|) 169880) ((|NeitherSparseOrDensePowerSeries| . |RecursiveAggregate|) 169821) ((|DecimalExpansion| . |LinearlyExplicitRingOver|) 169798) ((|DoubleFloat| . |FloatingPointSystem|) T) ((|Localize| . |LeftModule|) 169782) ((|SparseUnivariatePolynomial| . |PrincipalIdealDomain|) 169758) ((|MultivariatePolynomial| . |SemiGroup|) T) ((|FiniteFieldNormalBasis| . |BasicType|) T) ((|OrderlyDifferentialVariable| . |OrderedSet|) T) ((|MultivariatePolynomial| . |AbelianMonoid|) T) ((|FiniteFieldCyclicGroup| . |RightModule|) 169684) ((|String| . |StringCategory|) T) ((|Stack| . |BagAggregate|) 169668) ((|UnivariateTaylorSeriesCZero| . |CommutativeRing|) 169597) ((|SparseUnivariateTaylorSeries| . |SemiGroup|) T) ((|SparseUnivariatePuiseuxSeries| . |SemiGroup|) T) ((|SparseUnivariateLaurentSeries| . |SemiGroup|) T) ((|SparseMultivariateTaylorSeries| . |SemiGroup|) T) ((|InnerFreeAbelianMonoid| . |RetractableTo|) 169581) ((|FiniteFieldCyclicGroup| . |BiModule|) 169460) ((|DoubleFloatMatrix| . |Evalable|) NIL) ((|ComplexDoubleFloatMatrix| . |Evalable|) NIL) ((|RadixExpansion| . |UniqueFactorizationDomain|) T) ((|BinaryTournament| . |Type|) T) ((|PartialFraction| . |UniqueFactorizationDomain|) T) ((|TwoDimensionalViewport| . |CoercibleTo|) 169434) ((|U32Vector| . |SetCategory|) T) ((|MachineComplex| . |Eltable|) NIL) ((|SparseUnivariateTaylorSeries| . |AbelianMonoid|) T) ((|SparseUnivariatePuiseuxSeries| . |AbelianMonoid|) T) ((|SparseUnivariateLaurentSeries| . |AbelianMonoid|) T) ((|SquareMatrix| . |DifferentialExtension|) 169418) ((|SparseMultivariateTaylorSeries| . |AbelianMonoid|) T) ((|RuleCalled| . |SetCategory|) T) ((|RadixExpansion| . |IntegralDomain|) T) ((|PartialFraction| . |IntegralDomain|) T) ((|Octonion| . |CancellationAbelianMonoid|) T) ((|DoubleFloatVector| . |Type|) T) ((|ComplexDoubleFloatVector| . |Type|) T) ((|MyExpression| . |InnerEvalable|) 169380) ((|MathMLFormat| . |CoercibleTo|) 169354) ((|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| . |SetCategory|) T) ((|Expression| . |Module|) 169216) ((|ExponentialExpansion| . |Module|) 169088) ((|MachineFloat| . |CoercibleTo|) 169062) ((|MachineFloat| . |ConvertibleTo|) 168987) ((|Fraction| . |FullyPatternMatchable|) 168971) ((|FunctionCalled| . |SetCategory|) T) ((|HexadecimalExpansion| . |AbelianSemiGroup|) T) ((|HexadecimalExpansion| . |AbelianGroup|) T) ((|SingleInteger| . |SetCategory|) T) ((|DecimalExpansion| . |AbelianSemiGroup|) T) ((|DecimalExpansion| . |AbelianGroup|) T) ((|ModMonic| . |FullyRetractableTo|) 168955) ((|ModuleOperator| . |RetractableTo|) 168913) ((|Vector| . |CoercibleTo|) 168831) ((|Vector| . |ConvertibleTo|) 168767) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |CommutativeRing|) T) ((|DataList| . |Aggregate|) T) ((|SparseUnivariatePolynomialExpressions| . |ConvertibleTo|) NIL) ((|SparseUnivariatePolynomialExpressions| . |CoercibleTo|) 168741) ((|Plot3D| . |PlottableSpaceCurveCategory|) T) ((|Tree| . |Type|) T) ((|Localize| . |OrderedAbelianGroup|) 168703) ((|Localize| . |OrderedAbelianSemiGroup|) 168665) ((|FortranProgram| . |FortranProgramCategory|) T) ((|IndexedMatrix| . |BasicType|) 168635) ((|Result| . |SetCategory|) T) ((|Dequeue| . |QueueAggregate|) 168619) ((|PolynomialIdeals| . |BasicType|) T) ((|LaurentPolynomial| . |CoercibleTo|) 168593) ((|AssociationList| . |OrderedSet|) NIL) ((|LaurentPolynomial| . |ConvertibleTo|) 168564) ((|Result| . |KeyedDictionary|) 168534) ((|PendantTree| . |InnerEvalable|) 168453) ((|FiniteFieldCyclicGroup| . |Ring|) T) ((|BasicStochasticDifferential| . |CoercibleTo|) 168427) ((|BalancedPAdicRational| . |ConvertibleTo|) NIL) ((|BalancedPAdicRational| . |CoercibleTo|) 168401) ((|PAdicRationalConstructor| . |Type|) T) ((|LieSquareMatrix| . |FramedNonAssociativeAlgebra|) 168385) ((|LieSquareMatrix| . |SquareMatrixCategory|) 168308) ((|DesingTree| . |InnerEvalable|) 168227) ((|IndexedBits| . |Collection|) 168204) ((|FiniteFieldCyclicGroup| . |DifferentialRing|) T) ((|FiniteFieldCyclicGroup| . |DivisionRing|) T) ((|AlgebraicFunctionField| . |RightModule|) 168132) ((|PAdicRationalConstructor| . |Patternable|) 168116) ((|PAdicRationalConstructor| . |PatternMatchable|) 167997) ((|ModMonic| . |Rng|) T) ((|MachineComplex| . |RadicalCategory|) NIL) ((|UnivariatePuiseuxSeriesConstructor| . |AbelianMonoidRing|) 167956) ((|UnivariateLaurentSeriesConstructor| . |AbelianMonoidRing|) 167928) ((|SplittingTree| . |RecursiveAggregate|) 167889) ((|SingleInteger| . |Module|) 167876) ((|SExpressionOf| . |CoercibleTo|) 167850) ((|PAdicRationalConstructor| . |RetractableTo|) 167652) ((|DoubleFloat| . |PrincipalIdealDomain|) T) ((|AlgebraicFunctionField| . |BiModule|) 167535) ((|MyExpression| . |EntireRing|) T) ((|SimpleAlgebraicExtension| . |CharacteristicZero|) 167498) ((|SimpleAlgebraicExtension| . |CharacteristicNonZero|) 167416) ((|RadixExpansion| . |Field|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |LeftModule|) 167370) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |LeftModule|) 167273) ((|ExponentialOfUnivariatePuiseuxSeries| . |TrigonometricFunctionCategory|) 167222) ((|Float| . |EuclideanDomain|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |TranscendentalFunctionCategory|) 167171) ((|Expression| . |CommutativeRing|) 167138) ((|ExponentialExpansion| . |CommutativeRing|) T) ((|RadicalFunctionField| . |DifferentialExtension|) 167109) ((|PartialFraction| . |Field|) T) ((|InnerPrimeField| . |ExtensionField|) 167096) ((|InnerFiniteField| . |ExtensionField|) 167060) ((|FiniteFieldExtension| . |CharacteristicZero|) 167023) ((|FiniteFieldExtension| . |CharacteristicNonZero|) 166954) ((|FiniteFieldNormalBasisExtension| . |CharacteristicZero|) 166917) ((|FiniteFieldNormalBasisExtension| . |CharacteristicNonZero|) 166848) ((|KeyedAccessFile| . |TableAggregate|) 166821) ((|FiniteFieldCyclicGroupExtension| . |CharacteristicZero|) 166784) ((|FiniteFieldCyclicGroupExtension| . |CharacteristicNonZero|) 166715) ((|ExponentialOfUnivariatePuiseuxSeries| . |ArcHyperbolicFunctionCategory|) 166664) ((|GeneralSparseTable| . |TableAggregate|) 166643) ((|Enumeration| . |EnumerationCategory|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |ArcTrigonometricFunctionCategory|) 166592) ((|Float| . |RealConstant|) T) ((|BinaryExpansion| . |CharacteristicZero|) T) ((|BinaryExpansion| . |CharacteristicNonZero|) NIL) ((|AssociationList| . |DictionaryOperations|) 166534) ((|LinearOrdinaryDifferentialOperator2| . |SetCategory|) T) ((|KeyedAccessFile| . |BagAggregate|) 166470) ((|HyperellipticFiniteDivisor| . |CancellationAbelianMonoid|) T) ((|GeneralSparseTable| . |BagAggregate|) 166412) ((|DirectProduct| . |SemiGroup|) 166298) ((|StochasticDifferential| . |SemiGroup|) T) ((|PAdicRationalConstructor| . |FullyLinearlyExplicitRingOver|) 166282) ((|PAdicRationalConstructor| . |FullyEvalableOver|) 166266) ((|DirectProduct| . |AbelianMonoid|) 166069) ((|RomanNumeral| . |PrincipalIdealDomain|) T) ((|RomanNumeral| . |OrderedIntegralDomain|) T) ((|InnerPrimeField| . |Finite|) T) ((|InnerFiniteField| . |Finite|) T) ((|MyUnivariatePolynomial| . |OrderedSet|) 166040) ((|U8Vector| . |EltableAggregate|) 166005) ((|FiniteFieldNormalBasis| . |StepThrough|) T) ((|FlexibleArray| . |Aggregate|) T) ((|AlgebraGivenByStructuralConstants| . |FramedNonAssociativeAlgebra|) 165989) ((|StochasticDifferential| . |AbelianMonoid|) T) ((|FreeNilpotentLie| . |NonAssociativeAlgebra|) 165973) ((|WuWenTsunTriangularSet| . |InnerEvalable|) 165892) ((|MultivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|UnivariateTaylorSeriesCZero| . |EntireRing|) 165859) ((|UnivariateTaylorSeries| . |IntegralDomain|) 165826) ((|UnivariatePuiseuxSeries| . |UniqueFactorizationDomain|) 165802) ((|UnivariatePuiseuxSeries| . |IntegralDomain|) 165741) ((|UnivariateLaurentSeries| . |UniqueFactorizationDomain|) 165717) ((|UnivariateLaurentSeries| . |IntegralDomain|) 165656) ((|Multiset| . |InnerEvalable|) 165575) ((|UnivariateLaurentSeriesConstructor| . |Type|) 165551) ((|UnivariateLaurentSeriesConstructor| . |PatternMatchable|) 165374) ((|PoincareBirkhoffWittLyndonBasis| . |SetCategory|) T) ((|Character| . |OrderedFinite|) T) ((|UnivariateLaurentSeriesConstructor| . |Patternable|) 165341) ((|UnivariateFormalPowerSeries| . |IntegralDomain|) 165308) ((|SparseUnivariateTaylorSeries| . |CancellationAbelianMonoid|) T) ((|IndexedMatrix| . |Evalable|) 165232) ((|SparseUnivariatePuiseuxSeries| . |CancellationAbelianMonoid|) T) ((|CharacterClass| . |InnerEvalable|) NIL) ((|SparseUnivariateLaurentSeries| . |CancellationAbelianMonoid|) T) ((|SparseMultivariateTaylorSeries| . |CancellationAbelianMonoid|) T) ((|RealClosure| . |RadicalCategory|) T) ((|RadixExpansion| . |AbelianMonoid|) T) ((|FiniteFieldNormalBasis| . |Algebra|) 165186) ((|RadixExpansion| . |SemiGroup|) T) ((|PartialFraction| . |SemiGroup|) T) ((|Asp73| . |CoercibleTo|) 165160) ((|AlgebraicFunctionField| . |Ring|) T) ((|PAdicInteger| . |RightModule|) 165147) ((|PAdicRationalConstructor| . |PartialDifferentialRing|) 165079) ((|NeitherSparseOrDensePowerSeries| . |AbelianMonoidRing|) 165051) ((|MachineInteger| . |BasicType|) T) ((|RadicalFunctionField| . |FiniteFieldCategory|) NIL) ((|IndexedVector| . |Type|) T) ((|Partition| . |AbelianMonoid|) T) ((|PartialFraction| . |AbelianMonoid|) T) ((|PAdicInteger| . |BiModule|) 165036) ((|FourierSeries| . |SemiGroup|) T) ((|GeneralUnivariatePowerSeries| . |AbelianMonoidRing|) 164995) ((|CardinalNumber| . |BasicType|) T) ((|AlgebraicFunctionField| . |DifferentialRing|) 164947) ((|AlgebraicFunctionField| . |DivisionRing|) T) ((|BalancedPAdicInteger| . |BasicType|) T) ((|InnerTaylorSeries| . |IntegralDomain|) 164914) ((|InnerSparseUnivariatePowerSeries| . |IntegralDomain|) 164881) ((|MachineComplex| . |CoercibleTo|) 164855) ((|MachineComplex| . |ConvertibleTo|) 164700) ((|Expression| . |InnerEvalable|) 164662) ((|ExponentialExpansion| . |InnerEvalable|) 164068) ((|PseudoAlgebraicClosureOfRationalNumber| . |LeftOreRing|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |LeftOreRing|) T) ((|UnivariatePuiseuxSeriesConstructor| . |RetractableTo|) 164052) ((|UnivariateLaurentSeriesConstructor| . |RetractableTo|) 163767) ((|Quaternion| . |FullyRetractableTo|) 163751) ((|FourierSeries| . |AbelianMonoid|) T) ((|SingleInteger| . |CommutativeRing|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |Monoid|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |Monoid|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |EntireRing|) T) ((|LinearOrdinaryDifferentialOperator2| . |Module|) 163708) ((|Character| . |SetCategory|) T) ((|AlgebraicNumber| . |RadicalCategory|) T) ((|Fraction| . |DifferentialExtension|) 163692) ((|EqTable| . |DictionaryOperations|) 163634) ((|SimpleCell| . |CoercibleTo|) 163608) ((|PAdicRational| . |PrincipalIdealDomain|) T) ((|PAdicRational| . |OrderedIntegralDomain|) NIL) ((|ProjectiveSpace| . |CoercibleTo|) 163582) ((|OrderedVariableList| . |OrderedSet|) T) ((|UnivariateLaurentSeriesConstructor| . |FullyEvalableOver|) 163549) ((|UnivariateLaurentSeriesConstructor| . |FullyLinearlyExplicitRingOver|) 163516) ((|Dequeue| . |StackAggregate|) 163500) ((|NeitherSparseOrDensePowerSeries| . |Type|) T) ((|Vector| . |EltableAggregate|) 163472) ((|HTMLFormat| . |BasicType|) T) ((|TaylorSeries| . |LeftModule|) 163369) ((|PolynomialRing| . |AbelianGroup|) T) ((|PolynomialRing| . |AbelianSemiGroup|) T) ((|MonoidRing| . |AbelianGroup|) T) ((|MonoidRing| . |AbelianSemiGroup|) T) ((|ModularRing| . |AbelianGroup|) T) ((|ModularRing| . |AbelianSemiGroup|) T) ((|ModularField| . |LeftModule|) 163323) ((|GenericNonAssociativeAlgebra| . |AbelianGroup|) T) ((|GenericNonAssociativeAlgebra| . |AbelianSemiGroup|) T) ((|FortranExpression| . |BasicType|) T) ((|ContinuedFraction| . |BasicType|) T) ((|Quaternion| . |Rng|) T) ((|PAdicInteger| . |Ring|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |RetractableTo|) 163307) ((|None| . |BasicType|) T) ((|U32Vector| . |InnerEvalable|) NIL) ((|UnivariatePuiseuxSeries| . |Field|) 163283) ((|UnivariatePuiseuxSeriesConstructor| . |PartialDifferentialRing|) 163145) ((|UnivariateLaurentSeries| . |Field|) 163121) ((|UnivariateLaurentSeriesConstructor| . |PartialDifferentialRing|) 162910) ((|RealClosure| . |CoercibleTo|) 162884) ((|Fraction| . |OpenMath|) 162814) ((|SparseUnivariateTaylorSeries| . |HyperbolicFunctionCategory|) 162763) ((|Complex| . |PrincipalIdealDomain|) 162664) ((|SparseUnivariatePuiseuxSeries| . |HyperbolicFunctionCategory|) 162613) ((|SparseUnivariateLaurentSeries| . |HyperbolicFunctionCategory|) 162562) ((|ModMonic| . |SetCategory|) T) ((|SparseMultivariateTaylorSeries| . |HyperbolicFunctionCategory|) 162511) ((|InnerPAdicInteger| . |RightModule|) 162498) ((|Integer| . |RightModule|) 162485) ((|InnerAlgebraicNumber| . |RightModule|) 162439) ((|Expression| . |EntireRing|) 162406) ((|ExponentialExpansion| . |EntireRing|) T) ((|FiniteField| . |CoercibleTo|) 162380) ((|Factored| . |AbelianSemiGroup|) T) ((|Factored| . |AbelianGroup|) T) ((|Automorphism| . |Eltable|) 162359) ((|InnerPAdicInteger| . |BiModule|) 162344) ((|Integer| . |BiModule|) 162329) ((|InnerAlgebraicNumber| . |BiModule|) 162256) ((|Symbol| . |PatternMatchable|) 162215) ((|AffineSpace| . |BasicType|) T) ((|PendantTree| . |HomogeneousAggregate|) 162199) ((|BlowUpWithHamburgerNoether| . |CoercibleTo|) 162173) ((|AlgebraicNumber| . |CoercibleTo|) 162147) ((|AlgebraicNumber| . |ConvertibleTo|) 162072) ((|DesingTree| . |HomogeneousAggregate|) 162056) ((|DirectProduct| . |CancellationAbelianMonoid|) 161859) ((|UnivariatePolynomial| . |PrincipalIdealDomain|) 161835) ((|OrderlyDifferentialPolynomial| . |UniqueFactorizationDomain|) 161785) ((|Result| . |InnerEvalable|) 161535) ((|StochasticDifferential| . |CancellationAbelianMonoid|) T) ((|FileName| . |CoercibleTo|) 161509) ((|OrderlyDifferentialPolynomial| . |IntegralDomain|) 161395) ((|IntegrationResult| . |LeftModule|) 161359) ((|DifferentialSparseMultivariatePolynomial| . |AbelianMonoidRing|) 161317) ((|DistributedMultivariatePolynomial| . |AbelianMonoidRing|) 161249) ((|IndexedExponents| . |IndexedDirectProductCategory|) 161210) ((|Queue| . |Type|) T) ((|UnivariateTaylorSeries| . |AbelianMonoid|) T) ((|UnivariateTaylorSeries| . |SemiGroup|) T) ((|UnivariatePuiseuxSeries| . |SemiGroup|) T) ((|MachineFloat| . |RightModule|) 161164) ((|NeitherSparseOrDensePowerSeries| . |PartialDifferentialRing|) 161039) ((|UnivariatePuiseuxSeries| . |AbelianMonoid|) T) ((|UnivariateLaurentSeries| . |SemiGroup|) T) ((|UnivariateFormalPowerSeries| . |SemiGroup|) T) ((|RadicalFunctionField| . |FiniteRankAlgebra|) 161005) ((|ModularField| . |LeftOreRing|) T) ((|Boolean| . |Finite|) T) ((|GeneralUnivariatePowerSeries| . |PartialDifferentialRing|) 160867) ((|UnivariateLaurentSeries| . |AbelianMonoid|) T) ((|UnivariateFormalPowerSeries| . |AbelianMonoid|) T) ((|PermutationGroup| . |CoercibleTo|) 160841) ((|ArrayStack| . |BagAggregate|) 160825) ((|TaylorSeries| . |Monoid|) T) ((|Permutation| . |OrderedSet|) 160767) ((|MachineInteger| . |StepThrough|) T) ((|MachineFloat| . |BiModule|) 160694) ((|U16Vector| . |SetCategory|) T) ((|InnerTaylorSeries| . |SemiGroup|) T) ((|InnerSparseUnivariatePowerSeries| . |SemiGroup|) T) ((|ModMonic| . |Module|) 160434) ((|ModularField| . |Monoid|) T) ((|SingleInteger| . |EntireRing|) T) ((|RadixExpansion| . |CancellationAbelianMonoid|) T) ((|HexadecimalExpansion| . |OrderedSet|) T) ((|Partition| . |CancellationAbelianMonoid|) T) ((|PartialFraction| . |CancellationAbelianMonoid|) T) ((|Octonion| . |AbelianSemiGroup|) T) ((|DecimalExpansion| . |OrderedSet|) T) ((|Octonion| . |AbelianGroup|) T) ((|InnerPAdicInteger| . |Ring|) T) ((|Integer| . |Ring|) T) ((|InnerAlgebraicNumber| . |Ring|) T) ((|InnerTaylorSeries| . |AbelianMonoid|) T) ((|FiniteFieldCyclicGroup| . |ExtensionField|) 160403) ((|ExponentialOfUnivariatePuiseuxSeries| . |GcdDomain|) 160379) ((|FortranExpression| . |Evalable|) 160366) ((|InnerSparseUnivariatePowerSeries| . |AbelianMonoid|) T) ((|FourierSeries| . |CancellationAbelianMonoid|) T) ((|LinearOrdinaryDifferentialOperator| . |LeftModule|) 160340) ((|SparseUnivariatePolynomialExpressions| . |RightModule|) 160074) ((|DataList| . |RecursiveAggregate|) 160058) ((|PAdicRationalConstructor| . |EuclideanDomain|) T) ((|XRecursivePolynomial| . |XAlgebra|) 160042) ((|NonNegativeInteger| . |OrderedAbelianMonoid|) T) ((|NonNegativeInteger| . |OrderedCancellationAbelianMonoid|) T) ((|MachineInteger| . |Algebra|) 160029) ((|Divisor| . |LeftModule|) 160006) ((|Integer| . |DifferentialRing|) T) ((|InnerAlgebraicNumber| . |DivisionRing|) T) ((|InnerAlgebraicNumber| . |DifferentialRing|) T) ((|SparseUnivariatePolynomialExpressions| . |BiModule|) 159708) ((|SparseTable| . |DictionaryOperations|) 159650) ((|SequentialDifferentialPolynomial| . |PolynomialFactorizationExplicit|) 159600) ((|BalancedPAdicInteger| . |Algebra|) 159587) ((|d02ejfAnnaType| . |OrdinaryDifferentialEquationsSolverCategory|) T) ((|d02cjfAnnaType| . |OrdinaryDifferentialEquationsSolverCategory|) T) ((|d02bhfAnnaType| . |OrdinaryDifferentialEquationsSolverCategory|) T) ((|d02bbfAnnaType| . |OrdinaryDifferentialEquationsSolverCategory|) T) ((|PAdicRationalConstructor| . |RealConstant|) 159556) ((|WuWenTsunTriangularSet| . |HomogeneousAggregate|) 159540) ((|NewSparseUnivariatePolynomial| . |PolynomialFactorizationExplicit|) 159490) ((|NewSparseMultivariatePolynomial| . |PolynomialFactorizationExplicit|) 159440) ((|Table| . |Type|) T) ((|GeneralDistributedMultivariatePolynomial| . |PolynomialFactorizationExplicit|) 159390) ((|Multiset| . |HomogeneousAggregate|) 159374) ((|SequentialDifferentialPolynomial| . |LeftModule|) 159271) ((|NewSparseUnivariatePolynomial| . |LeftModule|) 159168) ((|LaurentPolynomial| . |RightModule|) 159155) ((|HashTable| . |Type|) T) ((|FiniteFieldCyclicGroup| . |Finite|) T) ((|CharacterClass| . |HomogeneousAggregate|) 159130) ((|NewSparseMultivariatePolynomial| . |LeftModule|) 159027) ((|SplittingTree| . |Type|) T) ((|GeneralModulePolynomial| . |LeftModule|) 158998) ((|DifferentialSparseMultivariatePolynomial| . |PatternMatchable|) 158777) ((|DistributedMultivariatePolynomial| . |PatternMatchable|) NIL) ((|BalancedPAdicRational| . |RightModule|) 158693) ((|GeneralDistributedMultivariatePolynomial| . |LeftModule|) 158590) ((|LiePolynomial| . |RetractableTo|) 158559) ((|LaurentPolynomial| . |BiModule|) 158544) ((|FiniteFieldExtensionByPolynomial| . |RetractableTo|) 158528) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |RetractableTo|) 158512) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |RetractableTo|) 158496) ((|DifferentialSparseMultivariatePolynomial| . |RetractableTo|) 158263) ((|DistributedMultivariatePolynomial| . |RetractableTo|) 158070) ((|BalancedPAdicRational| . |BiModule|) 157929) ((|OneDimensionalArray| . |Type|) T) ((|InnerIndexedTwoDimensionalArray| . |Type|) T) ((|IndexedFlexibleArray| . |Type|) T) ((|IndexedTwoDimensionalArray| . |Type|) T) ((|IndexedOneDimensionalArray| . |Type|) T) ((|FortranType| . |CoercibleTo|) 157903) ((|FortranScalarType| . |CoercibleTo|) 157877) ((|Union| . |BasicType|) T) ((|RegularTriangularSet| . |TriangularSetCategory|) 157846) ((|OnePointCompletion| . |BasicType|) T) ((|Matrix| . |TwoDimensionalArrayCategory|) 157798) ((|MachineFloat| . |Ring|) T) ((|AntiSymm| . |LeftModule|) 157772) ((|EuclideanModularRing| . |GcdDomain|) T) ((|GeneralTriangularSet| . |TriangularSetCategory|) 157741) ((|UnivariateTaylorSeriesCZero| . |Eltable|) 157726) ((|Enumeration| . |BasicType|) T) ((|InnerPrimeField| . |LeftModule|) 157680) ((|InnerFiniteField| . |LeftModule|) 157601) ((|AnonymousFunction| . |BasicType|) T) ((|PrimeField| . |RetractableTo|) 157588) ((|MachineFloat| . |DivisionRing|) T) ((|SimpleAlgebraicExtension| . |FramedAlgebra|) 157567) ((|MultivariatePolynomial| . |LinearlyExplicitRingOver|) 157483) ((|Quaternion| . |SetCategory|) T) ((|ModMonic| . |CommutativeRing|) 157313) ((|HexadecimalExpansion| . |QuotientFieldCategory|) 157290) ((|GuessOption| . |SetCategory|) T) ((|DifferentialSparseMultivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 157274) ((|DistributedMultivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 157258) ((|FullPartialFractionExpansion| . |SetCategory|) T) ((|SparseUnivariatePolynomialExpressions| . |Ring|) T) ((|FortranExpression| . |Algebra|) 157242) ((|Reference| . |BasicType|) 157212) ((|DecimalExpansion| . |QuotientFieldCategory|) 157189) ((|ContinuedFraction| . |Algebra|) 157104) ((|UnivariatePuiseuxSeriesConstructor| . |EuclideanDomain|) 157080) ((|UnivariateLaurentSeriesConstructor| . |EuclideanDomain|) 157056) ((|SparseUnivariatePolynomialExpressions| . |FiniteAbelianMonoidRing|) 157017) ((|LinearOrdinaryDifferentialOperator| . |Monoid|) T) ((|SparseUnivariatePolynomialExpressions| . |DifferentialRing|) T) ((|Automorphism| . |CoercibleTo|) 156991) ((|SparseUnivariateLaurentSeries| . |LinearlyExplicitRingOver|) 156915) ((|HyperellipticFiniteDivisor| . |AbelianSemiGroup|) T) ((|HyperellipticFiniteDivisor| . |AbelianGroup|) T) ((|UnivariateLaurentSeriesConstructor| . |RealConstant|) 156855) ((|SequentialDifferentialPolynomial| . |LeftOreRing|) 156773) ((|LaurentPolynomial| . |Ring|) T) ((|Float| . |FloatingPointSystem|) T) ((|NewSparseUnivariatePolynomial| . |LeftOreRing|) 156668) ((|NewSparseMultivariatePolynomial| . |LeftOreRing|) 156586) ((|FreeNilpotentLie| . |BasicType|) T) ((|DifferentialSparseMultivariatePolynomial| . |PartialDifferentialRing|) 156505) ((|DistributedMultivariatePolynomial| . |PartialDifferentialRing|) 156465) ((|BalancedPAdicRational| . |Ring|) T) ((|GeneralDistributedMultivariatePolynomial| . |LeftOreRing|) 156383) ((|OrderlyDifferentialPolynomial| . |SemiGroup|) T) ((|SequentialDifferentialPolynomial| . |Monoid|) T) ((|LaurentPolynomial| . |DifferentialRing|) 156348) ((|LocalAlgebra| . |BasicType|) T) ((|U32Vector| . |HomogeneousAggregate|) 156325) ((|NewSparseUnivariatePolynomial| . |Monoid|) T) ((|NewSparseMultivariatePolynomial| . |Monoid|) T) ((|U32Matrix| . |TwoDimensionalArrayCategory|) 156274) ((|FractionalIdeal| . |SemiGroup|) T) ((|BalancedPAdicRational| . |DivisionRing|) T) ((|AlgebraicFunctionField| . |Finite|) NIL) ((|BalancedPAdicRational| . |DifferentialRing|) NIL) ((|GeneralDistributedMultivariatePolynomial| . |Monoid|) T) ((|OrderlyDifferentialPolynomial| . |AbelianMonoid|) T) ((|MultivariatePolynomial| . |AbelianSemiGroup|) T) ((|MultivariatePolynomial| . |AbelianGroup|) T) ((|MakeCachableSet| . |OrderedSet|) T) ((|Ruleset| . |Eltable|) 156253) ((|Asp4| . |FortranFunctionCategory|) T) ((|Asp4| . |FortranProgramCategory|) T) ((|UnivariateTaylorSeriesCZero| . |RadicalCategory|) 156202) ((|UnivariateTaylorSeries| . |CancellationAbelianMonoid|) T) ((|UnivariatePuiseuxSeries| . |CancellationAbelianMonoid|) T) ((|MachineComplex| . |RightModule|) 156131) ((|UnivariateLaurentSeries| . |CancellationAbelianMonoid|) T) ((|UnivariateFormalPowerSeries| . |CancellationAbelianMonoid|) T) ((|SparseUnivariateTaylorSeries| . |AbelianSemiGroup|) T) ((|Stream| . |StreamAggregate|) 156115) ((|SquareMatrix| . |FullyRetractableTo|) 156099) ((|InnerPrimeField| . |LeftOreRing|) T) ((|AssociatedLieAlgebra| . |FiniteRankNonAssociativeAlgebra|) 155980) ((|AssociatedJordanAlgebra| . |FiniteRankNonAssociativeAlgebra|) 155861) ((|InnerFiniteField| . |LeftOreRing|) T) ((|BalancedBinaryTree| . |SetCategory|) 155831) ((|SparseUnivariateTaylorSeries| . |AbelianGroup|) T) ((|SparseUnivariatePuiseuxSeries| . |AbelianGroup|) T) ((|SparseUnivariatePuiseuxSeries| . |AbelianSemiGroup|) T) ((|Quaternion| . |Module|) 155765) ((|DeRhamComplex| . |LeftModule|) 155724) ((|MachineComplex| . |BiModule|) 155609) ((|AntiSymm| . |Monoid|) T) ((|SparseUnivariateLaurentSeries| . |AbelianGroup|) T) ((|FiniteFieldNormalBasis| . |FiniteFieldCategory|) T) ((|SparseUnivariateLaurentSeries| . |AbelianSemiGroup|) T) ((|SimpleAlgebraicExtension| . |GcdDomain|) 155543) ((|SparseMultivariateTaylorSeries| . |AbelianGroup|) T) ((|ModMonic| . |InnerEvalable|) 155453) ((|InnerPrimeField| . |Monoid|) T) ((|InnerFiniteField| . |Monoid|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |EuclideanDomain|) T) ((|SparseMultivariateTaylorSeries| . |AbelianSemiGroup|) T) ((|NeitherSparseOrDensePowerSeries| . |EuclideanDomain|) T) ((|InnerTaylorSeries| . |CancellationAbelianMonoid|) T) ((|InnerSparseUnivariatePowerSeries| . |CancellationAbelianMonoid|) T) ((|FiniteFieldExtension| . |GcdDomain|) T) ((|FiniteFieldNormalBasisExtension| . |GcdDomain|) T) ((|FiniteFieldCyclicGroupExtension| . |GcdDomain|) T) ((|GeneralUnivariatePowerSeries| . |EuclideanDomain|) 155429) ((|ExponentialExpansion| . |Eltable|) 155106) ((|BinaryExpansion| . |GcdDomain|) T) ((|Asp50| . |FortranVectorFunctionCategory|) T) ((|Asp50| . |FortranProgramCategory|) T) ((|Pi| . |BasicType|) T) ((|MyExpression| . |ConvertibleTo|) 154884) ((|MyExpression| . |CoercibleTo|) 154858) ((|IntegerMod| . |CoercibleTo|) 154832) ((|IntegerMod| . |ConvertibleTo|) 154809) ((|SimpleAlgebraicExtension| . |FieldOfPrimeCharacteristic|) 154771) ((|Result| . |HomogeneousAggregate|) 154688) ((|Integer| . |OrderedCancellationAbelianMonoid|) T) ((|Integer| . |OrderedAbelianMonoid|) T) ((|RoutinesTable| . |DictionaryOperations|) 154621) ((|FiniteFieldExtension| . |FieldOfPrimeCharacteristic|) 154552) ((|FiniteFieldNormalBasisExtension| . |FieldOfPrimeCharacteristic|) 154483) ((|FiniteFieldCyclicGroupExtension| . |FieldOfPrimeCharacteristic|) 154414) ((|XDistributedPolynomial| . |SemiGroup|) T) ((|XDistributedPolynomial| . |AbelianMonoid|) T) ((|ThreeDimensionalViewport| . |BasicType|) T) ((|SquareMatrix| . |Rng|) T) ((|LieSquareMatrix| . |NonAssociativeAlgebra|) 154398) ((|SymmetricPolynomial| . |CharacteristicNonZero|) 154358) ((|SymmetricPolynomial| . |CharacteristicZero|) 154321) ((|SquareFreeRegularTriangularSet| . |SetCategory|) T) ((|SquareFreeRegularTriangularSet| . |RegularTriangularSetCategory|) 154290) ((|Asp29| . |Type|) T) ((|RealClosure| . |RightModule|) 154211) ((|OrdinaryWeightedPolynomials| . |Rng|) T) ((|MyUnivariatePolynomial| . |CharacteristicNonZero|) 154171) ((|MyUnivariatePolynomial| . |CharacteristicZero|) 154134) ((|DirectProduct| . |LinearlyExplicitRingOver|) 154006) ((|MachineComplex| . |Ring|) T) ((|DirichletRing| . |IntegralDomain|) 153972) ((|FiniteField| . |RightModule|) 153898) ((|Asp10| . |Type|) T) ((|RealClosure| . |BiModule|) 153775) ((|PendantTree| . |CoercibleTo|) 153726) ((|MachineComplex| . |DivisionRing|) T) ((|MachineComplex| . |DifferentialRing|) NIL) ((|U16Vector| . |InnerEvalable|) NIL) ((|OrderedCompletion| . |OrderedRing|) 153696) ((|MachineFloat| . |OrderedCancellationAbelianMonoid|) T) ((|MachineFloat| . |OrderedAbelianMonoid|) T) ((|UnivariateTaylorSeriesCZero| . |CoercibleTo|) 153670) ((|U32Vector| . |Eltable|) 153635) ((|RadicalFunctionField| . |FullyRetractableTo|) 153606) ((|FiniteField| . |BiModule|) 153485) ((|DesingTree| . |CoercibleTo|) 153436) ((|Float| . |PrincipalIdealDomain|) T) ((|Fraction| . |OrderedRing|) 153396) ((|ModMonic| . |EntireRing|) 153259) ((|DeRhamComplex| . |Monoid|) T) ((|UnivariateTaylorSeries| . |HyperbolicFunctionCategory|) 153208) ((|UnivariatePuiseuxSeries| . |HyperbolicFunctionCategory|) 153157) ((|UnivariateLaurentSeries| . |HyperbolicFunctionCategory|) 153106) ((|UnivariateFormalPowerSeries| . |HyperbolicFunctionCategory|) 153055) ((|Expression| . |RadicalCategory|) 153022) ((|Dequeue| . |SetCategory|) 152992) ((|ExponentialOfUnivariatePuiseuxSeries| . |PowerSeriesCategory|) 152925) ((|BasicFunctions| . |BasicType|) T) ((|AlgebraicNumber| . |RightModule|) 152879) ((|XRecursivePolynomial| . |BasicType|) T) ((|FreeModule1| . |BasicType|) T) ((|AlgebraicNumber| . |BiModule|) 152806) ((|RadixExpansion| . |LinearlyExplicitRingOver|) 152783) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |CoercibleTo|) 152757) ((|IndexedExponents| . |BasicType|) T) ((|IndexedBits| . |BasicType|) T) ((|ThreeSpace| . |ThreeSpaceCategory|) 152741) ((|CliffordAlgebra| . |VectorSpace|) 152725) ((|DataList| . |Type|) T) ((|U32Vector| . |OneDimensionalArrayAggregate|) 152702) ((|NeitherSparseOrDensePowerSeries| . |LazyStreamAggregate|) 152643) ((|SparseUnivariatePolynomial| . |UniqueFactorizationDomain|) 152593) ((|SparseMultivariatePolynomial| . |UniqueFactorizationDomain|) 152543) ((|DirectProduct| . |AbelianGroup|) 152430) ((|DirectProduct| . |AbelianSemiGroup|) 152199) ((|BinaryTree| . |BinaryRecursiveAggregate|) 152183) ((|BinarySearchTree| . |BinaryRecursiveAggregate|) 152167) ((|U8Vector| . |LinearAggregate|) 152144) ((|AlgebraGivenByStructuralConstants| . |NonAssociativeAlgebra|) 152128) ((|U32Vector| . |IndexedAggregate|) 152093) ((|SparseUnivariatePolynomial| . |IntegralDomain|) 151956) ((|SparseMultivariatePolynomial| . |IntegralDomain|) 151842) ((|U8Vector| . |FiniteLinearAggregate|) 151819) ((|Result| . |Eltable|) 151789) ((|StochasticDifferential| . |AbelianSemiGroup|) T) ((|StochasticDifferential| . |AbelianGroup|) T) ((|OrderlyDifferentialPolynomial| . |CancellationAbelianMonoid|) T) ((|BalancedPAdicRational| . |OrderedCancellationAbelianMonoid|) NIL) ((|BalancedPAdicRational| . |OrderedAbelianMonoid|) NIL) ((|FiniteFieldExtensionByPolynomial| . |EuclideanDomain|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |EuclideanDomain|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |EuclideanDomain|) T) ((|Segment| . |Type|) T) ((|DirectProductModule| . |SemiGroup|) 151675) ((|DirectProductMatrixModule| . |SemiGroup|) 151561) ((|RealClosure| . |Ring|) T) ((|RadicalFunctionField| . |Rng|) T) ((|FiniteFieldCyclicGroup| . |LeftModule|) 151487) ((|LocalAlgebra| . |Algebra|) 151471) ((|WuWenTsunTriangularSet| . |CoercibleTo|) 151423) ((|WuWenTsunTriangularSet| . |ConvertibleTo|) 151359) ((|Ruleset| . |CoercibleTo|) 151333) ((|RealClosure| . |DivisionRing|) T) ((|FiniteField| . |Ring|) T) ((|OrderedDirectProduct| . |VectorSpace|) 151300) ((|DirectProductModule| . |AbelianMonoid|) T) ((|DirectProductMatrixModule| . |AbelianMonoid|) T) ((|QuasiAlgebraicSet| . |CoercibleTo|) 151274) ((|Multiset| . |ConvertibleTo|) 151210) ((|Multiset| . |CoercibleTo|) 151184) ((|Octonion| . |OrderedSet|) 151155) ((|Quaternion| . |InnerEvalable|) 151044) ((|FiniteField| . |DifferentialRing|) T) ((|FiniteField| . |DivisionRing|) T) ((|StringTable| . |Collection|) 150980) ((|RadixExpansion| . |AbelianSemiGroup|) T) ((|CharacterClass| . |CoercibleTo|) 150954) ((|CharacterClass| . |ConvertibleTo|) 150901) ((|PrimeField| . |EuclideanDomain|) T) ((|RadixExpansion| . |AbelianGroup|) T) ((|Partition| . |AbelianSemiGroup|) T) ((|PartialFraction| . |AbelianGroup|) T) ((|PartialFraction| . |AbelianSemiGroup|) T) ((|FourierSeries| . |AbelianGroup|) T) ((|FourierSeries| . |AbelianSemiGroup|) T) ((|OrderedCompletion| . |FullyRetractableTo|) 150885) ((|AlgebraicNumber| . |Ring|) T) ((|XPolynomial| . |XAlgebra|) 150869) ((|XPBWPolynomial| . |XAlgebra|) 150853) ((|Result| . |IndexedAggregate|) 150823) ((|Expression| . |ConvertibleTo|) 150601) ((|Expression| . |CoercibleTo|) 150575) ((|ExponentialExpansion| . |ConvertibleTo|) NIL) ((|ExponentialExpansion| . |CoercibleTo|) 150549) ((|AlgebraicNumber| . |DivisionRing|) T) ((|AlgebraicNumber| . |DifferentialRing|) T) ((|LinearOrdinaryDifferentialOperator2| . |Eltable|) 150510) ((|InnerTable| . |DictionaryOperations|) 150452) ((|CartesianTensor| . |CoercibleTo|) 150426) ((|BasicOperator| . |CoercibleTo|) 150400) ((|Pi| . |Algebra|) 150354) ((|XRecursivePolynomial| . |XPolynomialsCat|) 150333) ((|XDistributedPolynomial| . |CancellationAbelianMonoid|) T) ((|XPolynomialRing| . |Rng|) T) ((|SingletonAsOrderedSet| . |BasicType|) T) ((|BlowUpWithQuadTrans| . |CoercibleTo|) 150307) ((|Asp8| . |Type|) T) ((|IndexedBits| . |Evalable|) NIL) ((|Queue| . |BagAggregate|) 150291) ((|PatternMatchResult| . |SetCategory|) T) ((|PatternMatchListResult| . |SetCategory|) T) ((|Vector| . |LinearAggregate|) 150275) ((|Vector| . |FiniteLinearAggregate|) 150259) ((|FlexibleArray| . |Type|) T) ((|IndexedString| . |OrderedSet|) T) ((|DirichletRing| . |SemiGroup|) T) ((|SquareMatrix| . |SetCategory|) T) ((|SquareMatrix| . |RectangularMatrixCategory|) 150177) ((|FiniteFieldCyclicGroup| . |LeftOreRing|) T) ((|BalancedBinaryTree| . |InnerEvalable|) 150096) ((|Plot| . |CoercibleTo|) 150070) ((|DirichletRing| . |AbelianMonoid|) T) ((|FiniteFieldCyclicGroup| . |Monoid|) T) ((|PlaneAlgebraicCurvePlot| . |CoercibleTo|) 150044) ((|OrdinaryWeightedPolynomials| . |SetCategory|) T) ((|OrderedCompletion| . |Rng|) 150014) ((|AlgebraicFunctionField| . |LeftModule|) 149942) ((|DoubleFloat| . |UniqueFactorizationDomain|) T) ((|Fraction| . |Rng|) T) ((|String| . |Collection|) 149917) ((|Quaternion| . |EntireRing|) 149860) ((|DoubleFloat| . |IntegralDomain|) T) ((|U32Vector| . |ConvertibleTo|) 149835) ((|ExponentialOfUnivariatePuiseuxSeries| . |UnivariatePuiseuxSeriesCategory|) 149819) ((|ExponentialOfUnivariatePuiseuxSeries| . |UnivariatePowerSeriesCategory|) 149778) ((|U32Vector| . |CoercibleTo|) 149752) ((|Table| . |TableAggregate|) 149731) ((|RuleCalled| . |CoercibleTo|) 149705) ((|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| . |CoercibleTo|) 149679) ((|PseudoAlgebraicClosureOfRationalNumber| . |RetractableTo|) 149623) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |RetractableTo|) 149516) ((|ListMultiDictionary| . |Collection|) 149500) ((|Library| . |Collection|) 149433) ((|Table| . |BagAggregate|) 149375) ((|HashTable| . |TableAggregate|) 149354) ((|HexadecimalExpansion| . |CharacteristicZero|) T) ((|HexadecimalExpansion| . |CharacteristicNonZero|) NIL) ((|SingleInteger| . |ConvertibleTo|) 149235) ((|FunctionCalled| . |CoercibleTo|) 149209) ((|DecimalExpansion| . |CharacteristicZero|) T) ((|DecimalExpansion| . |CharacteristicNonZero|) NIL) ((|SingleInteger| . |CoercibleTo|) 149183) ((|Any| . |BasicType|) T) ((|UnivariateLaurentSeries| . |LinearlyExplicitRingOver|) 149113) ((|HashTable| . |BagAggregate|) 149055) ((|QuadraticForm| . |AbelianMonoid|) T) ((|XRecursivePolynomial| . |Algebra|) 149012) ((|SparseUnivariatePolynomial| . |SemiGroup|) T) ((|SparseMultivariatePolynomial| . |SemiGroup|) T) ((|RomanNumeral| . |UniqueFactorizationDomain|) T) ((|SparseUnivariateSkewPolynomial| . |SemiGroup|) T) ((|Polynomial| . |UniqueFactorizationDomain|) 148962) ((|U16Vector| . |HomogeneousAggregate|) 148939) ((|HomogeneousDistributedMultivariatePolynomial| . |UniqueFactorizationDomain|) 148889) ((|MultivariatePolynomial| . |OrderedSet|) 148860) ((|RomanNumeral| . |IntegralDomain|) T) ((|U16Matrix| . |TwoDimensionalArrayCategory|) 148809) ((|Polynomial| . |IntegralDomain|) 148695) ((|SparseUnivariatePolynomial| . |AbelianMonoid|) T) ((|SparseMultivariatePolynomial| . |AbelianMonoid|) T) ((|SparseUnivariateSkewPolynomial| . |AbelianMonoid|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |IntegralDomain|) 148581) ((|SquareMatrix| . |Module|) 148488) ((|SquareFreeRegularTriangularSet| . |InnerEvalable|) 148407) ((|Result| . |ConvertibleTo|) NIL) ((|Result| . |CoercibleTo|) 148381) ((|IntegerMod| . |RightModule|) 148368) ((|OrdinaryWeightedPolynomials| . |Module|) 148325) ((|IntegerMod| . |BiModule|) 148310) ((|UnivariateTaylorSeries| . |AbelianSemiGroup|) T) ((|TaylorSeries| . |AbelianMonoidRing|) 148262) ((|DirectProductModule| . |CancellationAbelianMonoid|) T) ((|DirectProductMatrixModule| . |CancellationAbelianMonoid|) T) ((|SExpression| . |SetCategory|) T) ((|RadicalFunctionField| . |SetCategory|) T) ((|Asp12| . |CoercibleTo|) 148236) ((|SparseUnivariateLaurentSeries| . |OrderedSet|) NIL) ((|RealClosure| . |OrderedAbelianMonoid|) T) ((|RealClosure| . |OrderedCancellationAbelianMonoid|) T) ((|UnivariateTaylorSeries| . |AbelianGroup|) T) ((|MyExpression| . |RightModule|) 148124) ((|UnivariatePuiseuxSeries| . |AbelianGroup|) T) ((|AlgebraicFunctionField| . |LeftOreRing|) T) ((|PAdicInteger| . |LeftModule|) 148111) ((|UnivariatePuiseuxSeries| . |AbelianSemiGroup|) T) ((|UnivariateLaurentSeries| . |AbelianGroup|) T) ((|UnivariateLaurentSeries| . |AbelianSemiGroup|) T) ((|UnivariateFormalPowerSeries| . |AbelianSemiGroup|) T) ((|UnivariateFormalPowerSeries| . |AbelianGroup|) T) ((|RegularTriangularSet| . |Collection|) 148095) ((|PAdicRationalConstructor| . |OrderedIntegralDomain|) 148055) ((|PAdicRationalConstructor| . |PrincipalIdealDomain|) T) ((|MyExpression| . |BiModule|) 147911) ((|ModMonic| . |Eltable|) 147814) ((|InnerTaylorSeries| . |AbelianGroup|) T) ((|InnerTaylorSeries| . |AbelianSemiGroup|) T) ((|InnerSparseUnivariatePowerSeries| . |AbelianGroup|) T) ((|AlgebraicFunctionField| . |Monoid|) T) ((|Dequeue| . |InnerEvalable|) 147733) ((|InnerSparseUnivariatePowerSeries| . |AbelianSemiGroup|) T) ((|GeneralTriangularSet| . |Collection|) 147717) ((|GeneralPolynomialSet| . |Collection|) 147701) ((|PositiveInteger| . |Monoid|) T) ((|NonNegativeInteger| . |OrderedAbelianMonoidSup|) T) ((|NonNegativeInteger| . |OrderedAbelianSemiGroup|) T) ((|IndexCard| . |SetCategory|) T) ((|NonNegativeInteger| . |Monoid|) T) ((|DoubleFloat| . |Field|) T) ((|Stream| . |SetCategory|) 147671) ((|PAdicRational| . |UniqueFactorizationDomain|) T) ((|LinearOrdinaryDifferentialOperator2| . |CoercibleTo|) 147645) ((|PAdicRational| . |IntegralDomain|) T) ((|Cell| . |CoercibleTo|) 147619) ((|MachineComplex| . |Finite|) NIL) ((|FiniteFieldExtension| . |VectorSpace|) 147603) ((|LieSquareMatrix| . |BasicType|) T) ((|FiniteFieldNormalBasisExtension| . |VectorSpace|) 147587) ((|FiniteFieldCyclicGroupExtension| . |VectorSpace|) 147571) ((|XPolynomialRing| . |SetCategory|) T) ((|IndexedList| . |OrderedSet|) 147542) ((|UnivariateTaylorSeriesCZero| . |RightModule|) 147375) ((|OrdinaryDifferentialRing| . |GcdDomain|) 147351) ((|RegularChain| . |SetCategory|) T) ((|RegularChain| . |RegularTriangularSetCategory|) 147186) ((|RegularTriangularSet| . |PolynomialSetCategory|) 147155) ((|OrderedFreeMonoid| . |SemiGroup|) T) ((|RadicalFunctionField| . |Module|) 147083) ((|UnivariateTaylorSeriesCZero| . |BiModule|) 146884) ((|DirichletRing| . |CancellationAbelianMonoid|) T) ((|FreeMonoid| . |SemiGroup|) T) ((|GeneralTriangularSet| . |PolynomialSetCategory|) 146853) ((|GeneralPolynomialSet| . |PolynomialSetCategory|) 146822) ((|Places| . |SetCategoryWithDegree|) T) ((|Bits| . |Collection|) 146799) ((|Asp34| . |CoercibleTo|) 146773) ((|PoincareBirkhoffWittLyndonBasis| . |CoercibleTo|) 146747) ((|SimpleAlgebraicExtension| . |MonogenicAlgebra|) 146726) ((|MyExpression| . |Ring|) T) ((|IntegerMod| . |Ring|) T) ((|U16Vector| . |Eltable|) 146691) ((|PAdicInteger| . |LeftOreRing|) T) ((|OrderlyDifferentialPolynomial| . |LinearlyExplicitRingOver|) 146607) ((|Equation| . |Rng|) 146527) ((|Complex| . |UniqueFactorizationDomain|) 146373) ((|DoubleFloat| . |SemiGroup|) T) ((|FreeAbelianMonoid| . |AbelianMonoid|) T) ((|SparseUnivariateLaurentSeries| . |QuotientFieldCategory|) 146297) ((|OrderedCompletion| . |SetCategory|) T) ((|MyExpression| . |DivisionRing|) 146264) ((|SparseMultivariateTaylorSeries| . |MultivariateTaylorSeriesCategory|) 146243) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |RightModule|) 146064) ((|UnivariatePuiseuxSeriesConstructor| . |PrincipalIdealDomain|) 146040) ((|PAdicInteger| . |Monoid|) T) ((|Complex| . |IntegralDomain|) 145909) ((|UnivariateLaurentSeriesConstructor| . |PrincipalIdealDomain|) 145885) ((|InnerPAdicInteger| . |LeftModule|) 145872) ((|Fraction| . |SetCategory|) T) ((|Integer| . |LeftModule|) 145859) ((|DrawOption| . |SetCategory|) T) ((|InnerAlgebraicNumber| . |LeftModule|) 145813) ((|DoubleFloat| . |AbelianMonoid|) T) ((|UnivariateLaurentSeriesConstructor| . |OrderedIntegralDomain|) 145744) ((|ProjectivePlane| . |SetCategory|) T) ((|XPolynomial| . |BasicType|) T) ((|FiniteField| . |ExtensionField|) 145713) ((|XPBWPolynomial| . |BasicType|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |BiModule|) 145464) ((|Character| . |CoercibleTo|) 145438) ((|QuadraticForm| . |CancellationAbelianMonoid|) T) ((|AlgebraGivenByStructuralConstants| . |BasicType|) T) ((|DirectProduct| . |OrderedSet|) 145362) ((|XPolynomialRing| . |Module|) 145319) ((|UnivariatePolynomial| . |UniqueFactorizationDomain|) 145269) ((|BalancedBinaryTree| . |HomogeneousAggregate|) 145253) ((|UnivariatePolynomial| . |IntegralDomain|) 145116) ((|U16Vector| . |OneDimensionalArrayAggregate|) 145093) ((|SequentialDifferentialPolynomial| . |AbelianMonoidRing|) 145010) ((|RomanNumeral| . |SemiGroup|) T) ((|Polynomial| . |SemiGroup|) T) ((|BinaryTree| . |Aggregate|) T) ((|BinarySearchTree| . |Aggregate|) T) ((|U8Vector| . |Aggregate|) T) ((|U32Vector| . |EltableAggregate|) 144975) ((|NewSparseUnivariatePolynomial| . |AbelianMonoidRing|) 144936) ((|NewSparseMultivariatePolynomial| . |AbelianMonoidRing|) 144894) ((|U16Vector| . |IndexedAggregate|) 144859) ((|SparseUnivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|FiniteField| . |Finite|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |SemiGroup|) T) ((|SparseMultivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|RomanNumeral| . |AbelianMonoid|) T) ((|GeneralDistributedMultivariatePolynomial| . |AbelianMonoidRing|) 144838) ((|PAdicRational| . |Field|) T) ((|SparseUnivariateSkewPolynomial| . |CancellationAbelianMonoid|) T) ((|CliffordAlgebra| . |BasicType|) T) ((|MyUnivariatePolynomial| . |GcdDomain|) 144733) ((|Polynomial| . |AbelianMonoid|) T) ((|Interval| . |IntegralDomain|) T) ((|OrderlyDifferentialPolynomial| . |AbelianSemiGroup|) T) ((|OrderlyDifferentialPolynomial| . |AbelianGroup|) T) ((|SquareMatrix| . |InnerEvalable|) 144652) ((|IntegrationResult| . |RetractableTo|) 144636) ((|HomogeneousDistributedMultivariatePolynomial| . |AbelianMonoid|) T) ((|FiniteFieldNormalBasis| . |Rng|) T) ((|UnivariateTaylorSeriesCZero| . |Ring|) T) ((|TaylorSeries| . |PartialDifferentialRing|) 144614) ((|LieSquareMatrix| . |Evalable|) 144538) ((|UnivariateTaylorSeriesCZero| . |DifferentialRing|) 144475) ((|SplitHomogeneousDirectProduct| . |VectorSpace|) 144442) ((|MachineFloat| . |LeftModule|) 144396) ((|RadixExpansion| . |OrderedSet|) T) ((|RadicalFunctionField| . |CommutativeRing|) T) ((|PolynomialRing| . |CharacteristicNonZero|) 144356) ((|AssociatedLieAlgebra| . |SetCategory|) T) ((|AssociatedJordanAlgebra| . |SetCategory|) T) ((|PolynomialRing| . |CharacteristicZero|) 144319) ((|PseudoAlgebraicClosureOfFiniteField| . |PrincipalIdealDomain|) T) ((|MonoidRing| . |CharacteristicZero|) 144282) ((|MonoidRing| . |CharacteristicNonZero|) 144242) ((|Partition| . |OrderedSet|) T) ((|NeitherSparseOrDensePowerSeries| . |PrincipalIdealDomain|) T) ((|GeneralUnivariatePowerSeries| . |PrincipalIdealDomain|) 144218) ((|Expression| . |RightModule|) 144080) ((|ExponentialExpansion| . |RightModule|) 143952) ((|Quaternion| . |Eltable|) 143905) ((|SparseUnivariatePolynomialExpressions| . |PolynomialFactorizationExplicit|) 143855) ((|Fraction| . |Module|) 143796) ((|MachineInteger| . |OrderedRing|) T) ((|InfinitlyClosePoint| . |SetCategoryWithDegree|) T) ((|InfClsPt| . |SetCategory|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |FiniteAbelianMonoidRing|) 143686) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |Ring|) T) ((|InnerPAdicInteger| . |LeftOreRing|) T) ((|Expression| . |BiModule|) 143516) ((|ExponentialExpansion| . |BiModule|) 143287) ((|Integer| . |LeftOreRing|) T) ((|InnerAlgebraicNumber| . |LeftOreRing|) T) ((|SparseUnivariatePolynomialExpressions| . |LeftModule|) 143184) ((|Product| . |BasicType|) T) ((|OrderedDirectProduct| . |BasicType|) 142876) ((|ModMonic| . |ConvertibleTo|) NIL) ((|ModMonic| . |CoercibleTo|) 142850) ((|Result| . |EltableAggregate|) 142820) ((|LinearOrdinaryDifferentialOperator| . |RetractableTo|) 142664) ((|PseudoAlgebraicClosureOfRationalNumber| . |EuclideanDomain|) T) ((|InnerPAdicInteger| . |Monoid|) T) ((|Integer| . |OrderedAbelianSemiGroup|) T) ((|Integer| . |OrderedAbelianGroup|) T) ((|Complex| . |Field|) 142598) ((|Integer| . |Monoid|) T) ((|InnerAlgebraicNumber| . |Monoid|) T) ((|Divisor| . |RetractableTo|) 142582) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |EuclideanDomain|) T) ((|SquareFreeRegularTriangularSet| . |HomogeneousAggregate|) 142566) ((|SequentialDifferentialPolynomial| . |PatternMatchable|) NIL) ((|PAdicRational| . |SemiGroup|) T) ((|BalancedPAdicRational| . |PolynomialFactorizationExplicit|) NIL) ((|XPolynomial| . |XPolynomialsCat|) 142539) ((|XPBWPolynomial| . |XPolynomialsCat|) 142518) ((|NewSparseUnivariatePolynomial| . |PatternMatchable|) NIL) ((|NewSparseMultivariatePolynomial| . |PatternMatchable|) 142297) ((|XDistributedPolynomial| . |AbelianSemiGroup|) T) ((|XDistributedPolynomial| . |AbelianGroup|) T) ((|Tuple| . |BasicType|) 142267) ((|SimpleFortranProgram| . |FortranProgramCategory|) T) ((|LaurentPolynomial| . |LeftModule|) 142254) ((|GeneralDistributedMultivariatePolynomial| . |PatternMatchable|) NIL) ((|ThreeDimensionalMatrix| . |BasicType|) 142224) ((|SequentialDifferentialPolynomial| . |RetractableTo|) 141938) ((|PAdicRational| . |AbelianMonoid|) T) ((|NewSparseUnivariatePolynomial| . |RetractableTo|) 141704) ((|NewSparseMultivariatePolynomial| . |RetractableTo|) 141484) ((|BalancedPAdicRational| . |LeftModule|) 141400) ((|GeneralDistributedMultivariatePolynomial| . |RetractableTo|) 141207) ((|ListMonoidOps| . |RetractableTo|) 141191) ((|LieExponentials| . |BasicType|) T) ((|Dequeue| . |HomogeneousAggregate|) 141175) ((|Vector| . |Aggregate|) T) ((|AssociatedLieAlgebra| . |Module|) 141159) ((|AssociatedJordanAlgebra| . |Module|) 141143) ((|LieSquareMatrix| . |Algebra|) 141088) ((|MachineFloat| . |LeftOreRing|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |BasicType|) T) ((|DoubleFloatMatrix| . |SetCategory|) T) ((|ComplexDoubleFloatMatrix| . |SetCategory|) T) ((|Asp78| . |CoercibleTo|) 141062) ((|AntiSymm| . |RetractableTo|) 141046) ((|SingleInteger| . |RightModule|) 141033) ((|SequentialDifferentialPolynomial| . |FullyLinearlyExplicitRingOver|) 141017) ((|NewSparseUnivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 141001) ((|TwoDimensionalArray| . |TwoDimensionalArrayCategory|) 140927) ((|MachineFloat| . |OrderedAbelianSemiGroup|) T) ((|MachineFloat| . |OrderedAbelianGroup|) T) ((|InnerPrimeField| . |RetractableTo|) 140914) ((|InnerFiniteField| . |RetractableTo|) 140878) ((|MachineFloat| . |Monoid|) T) ((|FreeAbelianMonoid| . |CancellationAbelianMonoid|) T) ((|Expression| . |Ring|) 140710) ((|ExponentialExpansion| . |Ring|) T) ((|Complex| . |SemiGroup|) T) ((|NewSparseMultivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 140694) ((|AssociationList| . |Collection|) 140636) ((|RadixExpansion| . |QuotientFieldCategory|) 140613) ((|U16Vector| . |ConvertibleTo|) 140588) ((|U16Vector| . |CoercibleTo|) 140562) ((|GeneralDistributedMultivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 140546) ((|Fraction| . |CommutativeRing|) T) ((|Expression| . |DivisionRing|) 140513) ((|ExponentialExpansion| . |DivisionRing|) T) ((|ExponentialExpansion| . |DifferentialRing|) NIL) ((|Equation| . |SetCategory|) 140210) ((|DoubleFloat| . |CancellationAbelianMonoid|) T) ((|SingleInteger| . |BiModule|) 140195) ((|Complex| . |AbelianMonoid|) T) ((|Octonion| . |CharacteristicZero|) 140158) ((|Octonion| . |CharacteristicNonZero|) 140118) ((|DirectProductModule| . |LinearlyExplicitRingOver|) 139990) ((|DirectProductMatrixModule| . |LinearlyExplicitRingOver|) 139862) ((|SparseUnivariatePolynomialExpressions| . |LeftOreRing|) 139757) ((|ExponentialOfUnivariatePuiseuxSeries| . |ElementaryFunctionCategory|) 139706) ((|SparseUnivariatePolynomialExpressions| . |Monoid|) T) ((|Stream| . |InnerEvalable|) 139625) ((|ThreeSpace| . |SetCategory|) T) ((|DoubleFloat| . |RealNumberSystem|) T) ((|OrderedDirectProduct| . |Evalable|) 139549) ((|SequentialDifferentialPolynomial| . |PartialDifferentialRing|) 139427) ((|NewSparseUnivariatePolynomial| . |PartialDifferentialRing|) 139325) ((|NewSparseMultivariatePolynomial| . |PartialDifferentialRing|) 139309) ((|XPolynomial| . |Algebra|) 139266) ((|XPBWPolynomial| . |Algebra|) 139223) ((|UnivariatePolynomial| . |SemiGroup|) T) ((|UnivariateSkewPolynomial| . |SemiGroup|) T) ((|LaurentPolynomial| . |LeftOreRing|) 139199) ((|GeneralDistributedMultivariatePolynomial| . |PartialDifferentialRing|) 139159) ((|OrdSetInts| . |SetCategory|) T) ((|BalancedPAdicRational| . |LeftOreRing|) T) ((|UnivariatePolynomial| . |AbelianMonoid|) T) ((|Interval| . |SemiGroup|) T) ((|UnivariateSkewPolynomial| . |AbelianMonoid|) T) ((|LaurentPolynomial| . |Monoid|) T) ((|FiniteFieldExtensionByPolynomial| . |PrincipalIdealDomain|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |PrincipalIdealDomain|) T) ((|EuclideanModularRing| . |BasicType|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |PrincipalIdealDomain|) T) ((|RomanNumeral| . |CancellationAbelianMonoid|) T) ((|Polynomial| . |CancellationAbelianMonoid|) T) ((|BalancedPAdicRational| . |OrderedAbelianSemiGroup|) NIL) ((|BalancedPAdicRational| . |OrderedAbelianGroup|) NIL) ((|BalancedPAdicRational| . |Monoid|) T) ((|MachineComplex| . |PolynomialFactorizationExplicit|) NIL) ((|RegularChain| . |InnerEvalable|) 138853) ((|HomogeneousDistributedMultivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|Interval| . |AbelianMonoid|) T) ((|ThreeDimensionalMatrix| . |Evalable|) 138777) ((|AssociatedLieAlgebra| . |NonAssociativeRng|) T) ((|AssociatedJordanAlgebra| . |NonAssociativeRng|) T) ((|UnivariateLaurentSeries| . |OrderedSet|) NIL) ((|RadicalFunctionField| . |EntireRing|) T) ((|DirectProductModule| . |AbelianGroup|) T) ((|MachineComplex| . |LeftModule|) 138706) ((|FiniteFieldNormalBasis| . |SetCategory|) T) ((|DirectProductModule| . |AbelianSemiGroup|) T) ((|DirectProductMatrixModule| . |AbelianGroup|) T) ((|DirectProductMatrixModule| . |AbelianSemiGroup|) T) ((|CliffordAlgebra| . |Algebra|) 138690) ((|Record| . |BasicType|) T) ((|PrimeField| . |PrincipalIdealDomain|) T) ((|HomogeneousDirectProduct| . |VectorSpace|) 138657) ((|DeRhamComplex| . |RetractableTo|) 138626) ((|SingleInteger| . |Ring|) T) ((|ModularField| . |EuclideanDomain|) T) ((|Equation| . |Module|) 138555) ((|MachineInteger| . |Rng|) T) ((|HexadecimalExpansion| . |GcdDomain|) T) ((|Fraction| . |InnerEvalable|) 138444) ((|DecimalExpansion| . |GcdDomain|) T) ((|SingleInteger| . |DifferentialRing|) T) ((|EqTable| . |Collection|) 138386) ((|Quaternion| . |ConvertibleTo|) 138322) ((|Quaternion| . |CoercibleTo|) 138296) ((|QueryEquation| . |CoercibleTo|) 138270) ((|BalancedPAdicInteger| . |Rng|) T) ((|LinearOrdinaryDifferentialOperator2| . |RightModule|) 138254) ((|DoubleFloat| . |HyperbolicFunctionCategory|) T) ((|GuessOption| . |CoercibleTo|) 138228) ((|FullPartialFractionExpansion| . |CoercibleTo|) 138202) ((|FullPartialFractionExpansion| . |ConvertibleTo|) 138173) ((|RectangularMatrix| . |VectorSpace|) 138140) ((|LinearOrdinaryDifferentialOperator2| . |BiModule|) 138119) ((|SquareMatrix| . |HomogeneousAggregate|) 138103) ((|OrderedDirectProduct| . |Algebra|) 138060) ((|Asp19| . |FortranVectorFunctionCategory|) T) ((|Asp19| . |FortranProgramCategory|) T) ((|StringTable| . |BasicType|) T) ((|PAdicRational| . |CancellationAbelianMonoid|) T) ((|Heap| . |BasicType|) 138030) ((|IntegerMod| . |Finite|) T) ((|MyUnivariatePolynomial| . |PolynomialCategory|) 137965) ((|SimpleAlgebraicExtension| . |BasicType|) T) ((|RightOpenIntervalRootCharacterization| . |BasicType|) T) ((|FiniteFieldNormalBasis| . |Module|) 137891) ((|MultivariatePolynomial| . |CharacteristicZero|) 137854) ((|MultivariatePolynomial| . |CharacteristicNonZero|) 137814) ((|RealClosure| . |LeftModule|) 137735) ((|IndexedMatrix| . |SetCategory|) 137705) ((|FiniteFieldExtension| . |BasicType|) T) ((|FiniteFieldNormalBasisExtension| . |BasicType|) T) ((|MachineComplex| . |LeftOreRing|) T) ((|FiniteFieldCyclicGroupExtension| . |BasicType|) T) ((|DirichletRing| . |AbelianGroup|) T) ((|DirichletRing| . |AbelianSemiGroup|) T) ((|BinaryExpansion| . |BasicType|) T) ((|PolynomialIdeals| . |SetCategory|) T) ((|FiniteField| . |LeftModule|) 137631) ((|SparseUnivariatePolynomial| . |LinearlyExplicitRingOver|) 137547) ((|SparseMultivariatePolynomial| . |LinearlyExplicitRingOver|) 137463) ((|FreeModule| . |IndexedDirectProductCategory|) 137442) ((|OnePointCompletion| . |OrderedRing|) 137412) ((|Float| . |UniqueFactorizationDomain|) T) ((|MachineComplex| . |Monoid|) T) ((|FortranExpression| . |Rng|) T) ((|UnivariateLaurentSeries| . |QuotientFieldCategory|) 137342) ((|ContinuedFraction| . |Rng|) T) ((|BalancedBinaryTree| . |CoercibleTo|) 137293) ((|SparseUnivariateTaylorSeries| . |CharacteristicNonZero|) 137253) ((|SparseUnivariateTaylorSeries| . |CharacteristicZero|) 137216) ((|Float| . |IntegralDomain|) T) ((|SparseUnivariatePuiseuxSeries| . |CharacteristicZero|) 137179) ((|SparseUnivariatePuiseuxSeries| . |CharacteristicNonZero|) 137139) ((|SparseUnivariateLaurentSeries| . |CharacteristicNonZero|) 136983) ((|Fraction| . |EntireRing|) T) ((|SparseUnivariateLaurentSeries| . |CharacteristicZero|) 136833) ((|SparseMultivariateTaylorSeries| . |CharacteristicZero|) 136796) ((|SparseMultivariateTaylorSeries| . |CharacteristicNonZero|) 136756) ((|ExponentialOfUnivariatePuiseuxSeries| . |Algebra|) 136544) ((|Complex| . |CancellationAbelianMonoid|) T) ((|ExponentialExpansion| . |OrderedCancellationAbelianMonoid|) NIL) ((|ExponentialExpansion| . |OrderedAbelianMonoid|) NIL) ((|LinearOrdinaryDifferentialOperator2| . |Ring|) T) ((|AlgebraicNumber| . |LeftModule|) 136498) ((|QuadraticForm| . |AbelianGroup|) T) ((|BinaryTree| . |RecursiveAggregate|) 136482) ((|BinarySearchTree| . |RecursiveAggregate|) 136466) ((|QuadraticForm| . |AbelianSemiGroup|) T) ((|PendantTree| . |BinaryRecursiveAggregate|) 136450) ((|String| . |BasicType|) T) ((|UnivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|OrderlyDifferentialPolynomial| . |OrderedSet|) 136421) ((|U16Vector| . |EltableAggregate|) 136386) ((|SparseUnivariatePolynomial| . |AbelianSemiGroup|) T) ((|SparseUnivariatePolynomial| . |AbelianGroup|) T) ((|StringTable| . |Evalable|) 136128) ((|Stream| . |HomogeneousAggregate|) 136112) ((|UnivariateSkewPolynomial| . |CancellationAbelianMonoid|) T) ((|SparseMultivariatePolynomial| . |AbelianSemiGroup|) T) ((|SparseMultivariatePolynomial| . |AbelianGroup|) T) ((|SparseUnivariateSkewPolynomial| . |AbelianSemiGroup|) T) ((|SparseUnivariateSkewPolynomial| . |AbelianGroup|) T) ((|NewSparseUnivariatePolynomial| . |EuclideanDomain|) 136088) ((|AffineSpace| . |AffineSpaceCategory|) 136072) ((|SparseTable| . |Collection|) 136014) ((|SquareFreeRegularTriangularSet| . |CoercibleTo|) 135966) ((|ListMultiDictionary| . |BasicType|) 135936) ((|Library| . |BasicType|) T) ((|SquareFreeRegularTriangularSet| . |ConvertibleTo|) 135872) ((|Interval| . |CancellationAbelianMonoid|) T) ((|LocalAlgebra| . |OrderedRing|) 135842) ((|RealClosure| . |OrderedAbelianGroup|) T) ((|RealClosure| . |OrderedAbelianSemiGroup|) T) ((|RealClosure| . |LeftOreRing|) T) ((|RealClosure| . |Monoid|) T) ((|Heap| . |Evalable|) 135766) ((|GenericNonAssociativeAlgebra| . |FramedNonAssociativeAlgebra|) 135722) ((|FiniteFieldNormalBasis| . |CommutativeRing|) T) ((|DoubleFloatMatrix| . |InnerEvalable|) NIL) ((|ComplexDoubleFloatMatrix| . |InnerEvalable|) NIL) ((|EuclideanModularRing| . |Algebra|) 135709) ((|e04ucfAnnaType| . |BasicType|) T) ((|e04nafAnnaType| . |BasicType|) T) ((|e04mbfAnnaType| . |BasicType|) T) ((|e04jafAnnaType| . |BasicType|) T) ((|e04gcfAnnaType| . |BasicType|) T) ((|e04fdfAnnaType| . |BasicType|) T) ((|e04dgfAnnaType| . |BasicType|) T) ((|d03fafAnnaType| . |BasicType|) T) ((|FiniteFieldCyclicGroup| . |RetractableTo|) 135678) ((|d03eefAnnaType| . |BasicType|) T) ((|d02ejfAnnaType| . |BasicType|) T) ((|d02cjfAnnaType| . |BasicType|) T) ((|d02bhfAnnaType| . |BasicType|) T) ((|d02bbfAnnaType| . |BasicType|) T) ((|FiniteField| . |LeftOreRing|) T) ((|d01TransformFunctionType| . |BasicType|) T) ((|d01gbfAnnaType| . |BasicType|) T) ((|ModMonic| . |RightModule|) 135412) ((|d01fcfAnnaType| . |BasicType|) T) ((|d01asfAnnaType| . |BasicType|) T) ((|d01aqfAnnaType| . |BasicType|) T) ((|d01apfAnnaType| . |BasicType|) T) ((|d01anfAnnaType| . |BasicType|) T) ((|d01amfAnnaType| . |BasicType|) T) ((|d01alfAnnaType| . |BasicType|) T) ((|d01akfAnnaType| . |BasicType|) T) ((|d01ajfAnnaType| . |BasicType|) T) ((|FiniteField| . |Monoid|) T) ((|ModMonic| . |BiModule|) 135114) ((|LieSquareMatrix| . |DifferentialExtension|) 135098) ((|InnerPrimeField| . |EuclideanDomain|) T) ((|InnerFiniteField| . |EuclideanDomain|) T) ((|Equation| . |InnerEvalable|) 135030) ((|BinaryExpansion| . |Evalable|) NIL) ((|Asp33| . |FortranProgramCategory|) T) ((|SplitHomogeneousDirectProduct| . |BasicType|) 134722) ((|OnePointCompletion| . |FullyRetractableTo|) 134706) ((|SingleInteger| . |OrderedCancellationAbelianMonoid|) T) ((|SingleInteger| . |OrderedAbelianMonoid|) T) ((|MachineInteger| . |SetCategory|) T) ((|AlgebraicNumber| . |LeftOreRing|) T) ((|Float| . |Field|) T) ((|Complex| . |HyperbolicFunctionCategory|) 134657) ((|Dequeue| . |CoercibleTo|) 134608) ((|CardinalNumber| . |SetCategory|) T) ((|BalancedPAdicInteger| . |SetCategory|) T) ((|AlgebraicNumber| . |Monoid|) T) ((|RegularChain| . |HomogeneousAggregate|) 134527) ((|CharacterClass| . |FiniteSetAggregate|) 134502) ((|CharacterClass| . |Finite|) T) ((|RegularTriangularSet| . |BasicType|) T) ((|IndexedDirectProductObject| . |IndexedDirectProductCategory|) 134481) ((|GeneralTriangularSet| . |BasicType|) T) ((|GeneralPolynomialSet| . |BasicType|) T) ((|ResidueRing| . |SemiGroup|) T) ((|MyUnivariatePolynomial| . |UnivariatePolynomialCategory|) 134465) ((|SparseUnivariateTaylorSeries| . |ArcHyperbolicFunctionCategory|) 134414) ((|SparseUnivariateTaylorSeries| . |ArcTrigonometricFunctionCategory|) 134363) ((|SparseUnivariateTaylorSeries| . |TrigonometricFunctionCategory|) 134312) ((|SparseUnivariateTaylorSeries| . |TranscendentalFunctionCategory|) 134261) ((|SparseUnivariatePuiseuxSeries| . |TranscendentalFunctionCategory|) 134210) ((|String| . |Evalable|) NIL) ((|Asp9| . |FortranFunctionCategory|) T) ((|Asp9| . |FortranProgramCategory|) T) ((|SimpleAlgebraicExtension| . |StepThrough|) 134172) ((|SparseUnivariatePuiseuxSeries| . |TrigonometricFunctionCategory|) 134121) ((|SparseUnivariatePuiseuxSeries| . |ArcTrigonometricFunctionCategory|) 134070) ((|ResidueRing| . |AbelianMonoid|) T) ((|SparseUnivariatePuiseuxSeries| . |ArcHyperbolicFunctionCategory|) 134019) ((|Interval| . |HyperbolicFunctionCategory|) T) ((|SparseUnivariateLaurentSeries| . |TranscendentalFunctionCategory|) 133968) ((|SparseUnivariateLaurentSeries| . |TrigonometricFunctionCategory|) 133917) ((|SparseUnivariateLaurentSeries| . |ArcTrigonometricFunctionCategory|) 133866) ((|SparseUnivariateLaurentSeries| . |ArcHyperbolicFunctionCategory|) 133815) ((|FreeGroup| . |SemiGroup|) T) ((|FiniteFieldExtension| . |StepThrough|) 133790) ((|FiniteFieldNormalBasisExtension| . |StepThrough|) 133765) ((|FiniteFieldCyclicGroupExtension| . |StepThrough|) 133740) ((|SparseMultivariateTaylorSeries| . |ArcHyperbolicFunctionCategory|) 133689) ((|SparseMultivariateTaylorSeries| . |ArcTrigonometricFunctionCategory|) 133638) ((|SparseMultivariateTaylorSeries| . |TrigonometricFunctionCategory|) 133587) ((|BinaryExpansion| . |StepThrough|) T) ((|SparseMultivariateTaylorSeries| . |TranscendentalFunctionCategory|) 133536) ((|OnePointCompletion| . |Rng|) 133506) ((|ListMultiDictionary| . |Evalable|) 133430) ((|Library| . |Evalable|) 133236) ((|SimpleAlgebraicExtension| . |Algebra|) 133059) ((|ModMonic| . |Ring|) T) ((|RomanNumeral| . |LinearlyExplicitRingOver|) 133036) ((|RadixExpansion| . |CharacteristicZero|) T) ((|Polynomial| . |LinearlyExplicitRingOver|) 132952) ((|HTMLFormat| . |SetCategory|) T) ((|RadixExpansion| . |CharacteristicNonZero|) NIL) ((|Float| . |SemiGroup|) T) ((|FreeAbelianMonoid| . |AbelianSemiGroup|) T) ((|FreeAbelianGroup| . |AbelianMonoid|) T) ((|Point| . |OrderedSet|) 132923) ((|ModMonic| . |FiniteAbelianMonoidRing|) 132884) ((|HomogeneousDistributedMultivariatePolynomial| . |LinearlyExplicitRingOver|) 132800) ((|AlgebraicFunctionField| . |RetractableTo|) 132605) ((|MachineInteger| . |Module|) 132592) ((|ModMonic| . |DifferentialRing|) T) ((|FortranExpression| . |SetCategory|) T) ((|ContinuedFraction| . |SetCategory|) T) ((|FourierComponent| . |OrderedSet|) T) ((|Factored| . |GcdDomain|) 132516) ((|Float| . |AbelianMonoid|) T) ((|FiniteFieldExtension| . |Algebra|) 132470) ((|FiniteFieldNormalBasisExtension| . |Algebra|) 132424) ((|FiniteFieldCyclicGroupExtension| . |Algebra|) 132378) ((|Asp55| . |FortranVectorFunctionCategory|) T) ((|Asp55| . |FortranProgramCategory|) T) ((|DoubleFloat| . |AbelianSemiGroup|) T) ((|DoubleFloat| . |AbelianGroup|) T) ((|Operator| . |SemiGroup|) T) ((|BinaryExpansion| . |Algebra|) 132312) ((|OppositeMonogenicLinearOperator| . |SemiGroup|) T) ((|None| . |SetCategory|) T) ((|BalancedPAdicInteger| . |Module|) 132299) ((|LyndonWord| . |RetractableTo|) 132283) ((|Kernel| . |BasicType|) T) ((|Operator| . |AbelianMonoid|) T) ((|OppositeMonogenicLinearOperator| . |AbelianMonoid|) T) ((|U8Matrix| . |BasicType|) T) ((|Stream| . |Eltable|) 132255) ((|SplitHomogeneousDirectProduct| . |Evalable|) 132179) ((|Set| . |DictionaryOperations|) 132163) ((|Asp1| . |FortranFunctionCategory|) T) ((|Asp1| . |FortranProgramCategory|) T) ((|Bits| . |BasicType|) T) ((|AlgebraicFunctionField| . |FullyLinearlyExplicitRingOver|) 132134) ((|AffineSpace| . |SetCategory|) T) ((|U32Vector| . |LinearAggregate|) 132111) ((|LinearOrdinaryDifferentialOperator1| . |UnivariateSkewPolynomialCategory|) 132095) ((|U32Vector| . |FiniteLinearAggregate|) 132072) ((|RomanNumeral| . |AbelianGroup|) T) ((|RomanNumeral| . |AbelianSemiGroup|) T) ((|OrderedDirectProduct| . |DifferentialExtension|) 132040) ((|Polynomial| . |AbelianSemiGroup|) T) ((|Polynomial| . |AbelianGroup|) T) ((|LocalAlgebra| . |Rng|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |AbelianSemiGroup|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |AbelianGroup|) T) ((|RegularTriangularSet| . |Evalable|) 131964) ((|PatternMatchResult| . |CoercibleTo|) 131938) ((|PatternMatchListResult| . |CoercibleTo|) 131912) ((|DirectProductModule| . |OrderedSet|) 131836) ((|DirectProductMatrixModule| . |OrderedSet|) 131760) ((|IndexedMatrix| . |InnerEvalable|) 131679) ((|PAdicRational| . |LinearlyExplicitRingOver|) 131646) ((|GeneralTriangularSet| . |Evalable|) 131570) ((|GeneralPolynomialSet| . |Evalable|) 131494) ((|FiniteFieldNormalBasis| . |EntireRing|) T) ((|Stream| . |UnaryRecursiveAggregate|) 131478) ((|SquareMatrix| . |CoercibleTo|) 131428) ((|SquareMatrix| . |ConvertibleTo|) 131364) ((|SplittingNode| . |BasicType|) T) ((|Quaternion| . |RightModule|) 131238) ((|AlgebraicFunctionField| . |PartialDifferentialRing|) 131157) ((|Stream| . |IndexedAggregate|) 131129) ((|MyExpression| . |LeftModule|) 131017) ((|IntegerMod| . |LeftModule|) 131004) ((|RoutinesTable| . |Collection|) 130937) ((|PAdicRationalConstructor| . |UniqueFactorizationDomain|) T) ((|Quaternion| . |BiModule|) 130779) ((|FortranExpression| . |Module|) 130763) ((|OrdinaryWeightedPolynomials| . |CoercibleTo|) 130737) ((|ContinuedFraction| . |Module|) 130652) ((|Fraction| . |Eltable|) 130605) ((|PAdicRationalConstructor| . |IntegralDomain|) T) ((|BinaryExpansion| . |FullyPatternMatchable|) 130582) ((|Asp77| . |FortranMatrixFunctionCategory|) T) ((|Asp77| . |FortranProgramCategory|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |PrincipalIdealDomain|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |PrincipalIdealDomain|) T) ((|MachineInteger| . |CommutativeRing|) T) ((|Automorphism| . |Monoid|) T) ((|HomogeneousDirectProduct| . |BasicType|) 130274) ((|Automorphism| . |Group|) T) ((|BalancedPAdicInteger| . |CommutativeRing|) T) ((|SplitHomogeneousDirectProduct| . |Algebra|) 130231) ((|Complex| . |LinearlyExplicitRingOver|) 130147) ((|DoubleFloatMatrix| . |HomogeneousAggregate|) 130120) ((|ComplexDoubleFloatMatrix| . |HomogeneousAggregate|) 130081) ((|RectangularMatrix| . |BasicType|) T) ((|PAdicRational| . |AbelianSemiGroup|) T) ((|OrderedDirectProduct| . |DirectProductCategory|) 130060) ((|PAdicRational| . |AbelianGroup|) T) ((|OrderlyDifferentialVariable| . |BasicType|) T) ((|U8Matrix| . |Evalable|) NIL) ((|FramedModule| . |BasicType|) T) ((|FreeModule| . |BasicType|) T) ((|Bits| . |Evalable|) NIL) ((|DenavitHartenbergMatrix| . |BasicType|) 130030) ((|BinaryTree| . |Type|) T) ((|BinarySearchTree| . |Type|) T) ((|U8Vector| . |Type|) T) ((|ResidueRing| . |CancellationAbelianMonoid|) T) ((|LieSquareMatrix| . |FiniteRankNonAssociativeAlgebra|) 130014) ((|UnivariateTaylorSeriesCZero| . |LeftModule|) 129911) ((|IntegerMod| . |Monoid|) T) ((|UnivariateTaylorSeries| . |CharacteristicNonZero|) 129871) ((|UnivariateTaylorSeries| . |CharacteristicZero|) 129834) ((|Quaternion| . |Ring|) T) ((|UnivariatePuiseuxSeries| . |CharacteristicZero|) 129797) ((|UnivariatePolynomial| . |LinearlyExplicitRingOver|) 129713) ((|SExpression| . |CoercibleTo|) 129687) ((|RadicalFunctionField| . |CoercibleTo|) 129661) ((|MyExpression| . |LeftOreRing|) 129628) ((|InnerFreeAbelianMonoid| . |AbelianMonoid|) T) ((|IndexedDirectProductOrderedAbelianMonoid| . |AbelianMonoid|) T) ((|FiniteFieldCyclicGroup| . |EuclideanDomain|) T) ((|IndexedDirectProductAbelianMonoid| . |AbelianMonoid|) T) ((|FreeAbelianGroup| . |CancellationAbelianMonoid|) T) ((|Union| . |SetCategory|) T) ((|RadicalFunctionField| . |ConvertibleTo|) 129612) ((|Quaternion| . |DivisionRing|) 129588) ((|Quaternion| . |DifferentialRing|) 129553) ((|UnivariatePuiseuxSeries| . |CharacteristicNonZero|) 129513) ((|UnivariatePuiseuxSeriesConstructor| . |UniqueFactorizationDomain|) 129489) ((|OnePointCompletion| . |SetCategory|) T) ((|UnivariateLaurentSeries| . |CharacteristicNonZero|) 129339) ((|UnivariateLaurentSeries| . |CharacteristicZero|) 129195) ((|UnivariateLaurentSeriesConstructor| . |UniqueFactorizationDomain|) 129171) ((|UnivariateFormalPowerSeries| . |CharacteristicNonZero|) 129131) ((|UnivariateFormalPowerSeries| . |CharacteristicZero|) 129094) ((|MyExpression| . |Group|) 129070) ((|MyExpression| . |Monoid|) T) ((|Float| . |CancellationAbelianMonoid|) T) ((|Integer| . |PatternMatchable|) 129047) ((|Enumeration| . |SetCategory|) T) ((|ContinuedFraction| . |CommutativeRing|) T) ((|Complex| . |AbelianGroup|) T) ((|Complex| . |AbelianSemiGroup|) T) ((|AnonymousFunction| . |SetCategory|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |LeftModule|) 128868) ((|UnivariatePuiseuxSeriesConstructor| . |IntegralDomain|) 128807) ((|ModuleOperator| . |SemiGroup|) T) ((|UnivariateLaurentSeriesConstructor| . |IntegralDomain|) 128746) ((|Integer| . |RetractableTo|) 128723) ((|InnerSparseUnivariatePowerSeries| . |CharacteristicZero|) 128686) ((|InnerSparseUnivariatePowerSeries| . |CharacteristicNonZero|) 128646) ((|InnerAlgebraicNumber| . |RetractableTo|) 128569) ((|Asp80| . |FortranMatrixFunctionCategory|) T) ((|Asp80| . |FortranProgramCategory|) T) ((|PAdicRationalConstructor| . |Field|) T) ((|SparseUnivariatePolynomialExpressions| . |AbelianMonoidRing|) 128530) ((|Operator| . |CancellationAbelianMonoid|) T) ((|OppositeMonogenicLinearOperator| . |CancellationAbelianMonoid|) T) ((|ModuleOperator| . |AbelianMonoid|) T) ((|IndexCard| . |CoercibleTo|) 128504) ((|XRecursivePolynomial| . |Rng|) T) ((|Float| . |RealNumberSystem|) T) ((|Reference| . |SetCategory|) 128474) ((|PendantTree| . |Aggregate|) T) ((|HomogeneousDirectProduct| . |Evalable|) 128398) ((|Stream| . |ConvertibleTo|) 128334) ((|Stream| . |CoercibleTo|) 128285) ((|DesingTree| . |Aggregate|) T) ((|SparseUnivariatePolynomial| . |OrderedSet|) 128256) ((|AssociationList| . |BasicType|) T) ((|SparseMultivariatePolynomial| . |OrderedSet|) 128227) ((|OrdinaryDifferentialRing| . |BasicType|) T) ((|UnivariatePolynomial| . |AbelianSemiGroup|) T) ((|UnivariatePolynomial| . |AbelianGroup|) T) ((|UnivariateSkewPolynomial| . |AbelianSemiGroup|) T) ((|AlgebraGivenByStructuralConstants| . |FiniteRankNonAssociativeAlgebra|) 128211) ((|UnivariateSkewPolynomial| . |AbelianGroup|) T) ((|MultivariatePolynomial| . |GcdDomain|) 128129) ((|XPolynomialRing| . |CoercibleTo|) 128103) ((|Interval| . |AbelianSemiGroup|) T) ((|Interval| . |AbelianGroup|) T) ((|FreeNilpotentLie| . |SetCategory|) T) ((|RectangularMatrix| . |Evalable|) 128027) ((|LocalAlgebra| . |SetCategory|) T) ((|MachineFloat| . |PatternMatchable|) 128006) ((|Vector| . |Type|) T) ((|SparseEchelonMatrix| . |CoercibleTo|) 127980) ((|DenavitHartenbergMatrix| . |Evalable|) 127904) ((|Character| . |Finite|) T) ((|RegularChain| . |ConvertibleTo|) 127775) ((|RegularChain| . |CoercibleTo|) 127662) ((|PseudoAlgebraicClosureOfFiniteField| . |UniqueFactorizationDomain|) T) ((|ExponentialExpansion| . |PolynomialFactorizationExplicit|) NIL) ((|NeitherSparseOrDensePowerSeries| . |UniqueFactorizationDomain|) T) ((|UnivariateTaylorSeriesCZero| . |Monoid|) T) ((|MachineFloat| . |RetractableTo|) 127588) ((|ModularField| . |PrincipalIdealDomain|) T) ((|GeneralUnivariatePowerSeries| . |UniqueFactorizationDomain|) 127564) ((|SparseUnivariatePuiseuxSeries| . |GcdDomain|) 127540) ((|SparseUnivariateLaurentSeries| . |GcdDomain|) 127516) ((|PseudoAlgebraicClosureOfFiniteField| . |IntegralDomain|) T) ((|FortranCode| . |BasicType|) T) ((|NeitherSparseOrDensePowerSeries| . |IntegralDomain|) T) ((|PAdicRationalConstructor| . |SemiGroup|) T) ((|Expression| . |LeftModule|) 127243) ((|ExponentialExpansion| . |LeftModule|) 127115) ((|GeneralUnivariatePowerSeries| . |IntegralDomain|) 127054) ((|FortranExpression| . |InnerEvalable|) 127016) ((|InnerTable| . |Collection|) 126958) ((|AlgebraicFunctionField| . |EuclideanDomain|) T) ((|SparseUnivariatePolynomialExpressions| . |PatternMatchable|) NIL) ((|OrderedCompletion| . |CoercibleTo|) 126932) ((|MachineInteger| . |EntireRing|) T) ((|PAdicRationalConstructor| . |AbelianMonoid|) T) ((|Float| . |HyperbolicFunctionCategory|) T) ((|SimpleAlgebraicExtension| . |DifferentialExtension|) 126899) ((|IndexedDirectProductObject| . |BasicType|) T) ((|Fraction| . |ConvertibleTo|) 126587) ((|Fraction| . |CoercibleTo|) 126561) ((|DrawOption| . |CoercibleTo|) 126535) ((|BalancedPAdicInteger| . |EntireRing|) T) ((|SparseUnivariatePolynomialExpressions| . |RetractableTo|) 126345) ((|ProjectivePlane| . |CoercibleTo|) 126319) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |Monoid|) T) ((|UnivariatePuiseuxSeriesConstructor| . |Field|) 126295) ((|UnivariateLaurentSeriesConstructor| . |Field|) 126271) ((|WuWenTsunTriangularSet| . |Aggregate|) T) ((|BalancedPAdicRational| . |Type|) T) ((|BinaryExpansion| . |DifferentialExtension|) 126248) ((|SymmetricPolynomial| . |BasicType|) T) ((|Pi| . |SetCategory|) T) ((|IndexedMatrix| . |HomogeneousAggregate|) 126232) ((|MyUnivariatePolynomial| . |BasicType|) T) ((|Multiset| . |Aggregate|) T) ((|HomogeneousDirectProduct| . |Algebra|) 126189) ((|CharacterClass| . |Aggregate|) T) ((|BalancedPAdicRational| . |Patternable|) 126148) ((|BalancedPAdicRational| . |PatternMatchable|) NIL) ((|LaurentPolynomial| . |RetractableTo|) 125979) ((|List| . |OrderedSet|) 125950) ((|WeightedPolynomials| . |BasicType|) T) ((|EqTable| . |BasicType|) T) ((|ModMonic| . |Finite|) 125925) ((|BalancedPAdicRational| . |RetractableTo|) 125884) ((|FreeNilpotentLie| . |Module|) 125868) ((|SparseUnivariatePolynomialExpressions| . |FullyLinearlyExplicitRingOver|) 125852) ((|LocalAlgebra| . |Module|) 125836) ((|AssociationList| . |Evalable|) 125596) ((|OrderlyDifferentialPolynomial| . |CharacteristicNonZero|) 125556) ((|OrderlyDifferentialPolynomial| . |CharacteristicZero|) 125519) ((|XPolynomialRing| . |FreeModuleCat|) 125498) ((|OrderedFreeMonoid| . |OrderedSet|) T) ((|ThreeDimensionalViewport| . |SetCategory|) T) ((|UnivariateTaylorSeries| . |ArcHyperbolicFunctionCategory|) 125447) ((|UnivariateTaylorSeries| . |ArcTrigonometricFunctionCategory|) 125396) ((|UnivariateTaylorSeries| . |TrigonometricFunctionCategory|) 125345) ((|UnivariateTaylorSeries| . |TranscendentalFunctionCategory|) 125294) ((|UnivariatePuiseuxSeries| . |TranscendentalFunctionCategory|) 125243) ((|StringTable| . |Dictionary|) 125179) ((|UnivariatePuiseuxSeries| . |TrigonometricFunctionCategory|) 125128) ((|FreeMonoid| . |OrderedSet|) 125099) ((|UnivariatePuiseuxSeries| . |ArcTrigonometricFunctionCategory|) 125048) ((|UnivariatePuiseuxSeries| . |ArcHyperbolicFunctionCategory|) 124997) ((|UnivariatePuiseuxSeriesConstructor| . |SemiGroup|) T) ((|DoubleFloatMatrix| . |MatrixCategory|) 124926) ((|ComplexDoubleFloatMatrix| . |MatrixCategory|) 124829) ((|UnivariateLaurentSeries| . |TranscendentalFunctionCategory|) 124778) ((|UnivariateLaurentSeries| . |TrigonometricFunctionCategory|) 124727) ((|UnivariateLaurentSeries| . |ArcTrigonometricFunctionCategory|) 124676) ((|InnerFreeAbelianMonoid| . |CancellationAbelianMonoid|) T) ((|UnivariateLaurentSeries| . |ArcHyperbolicFunctionCategory|) 124625) ((|UnivariateFormalPowerSeries| . |TrigonometricFunctionCategory|) 124574) ((|UnivariateFormalPowerSeries| . |TranscendentalFunctionCategory|) 124523) ((|UnivariateLaurentSeriesConstructor| . |SemiGroup|) T) ((|UnivariateFormalPowerSeries| . |ArcHyperbolicFunctionCategory|) 124472) ((|AssociatedLieAlgebra| . |CoercibleTo|) 124433) ((|AssociatedJordanAlgebra| . |CoercibleTo|) 124394) ((|AffinePlane| . |BasicType|) T) ((|DoubleFloat| . |OrderedSet|) T) ((|Expression| . |LeftOreRing|) 124361) ((|ExponentialExpansion| . |LeftOreRing|) T) ((|UnivariateFormalPowerSeries| . |ArcTrigonometricFunctionCategory|) 124310) ((|SingleInteger| . |LeftModule|) 124297) ((|SparseUnivariatePolynomialExpressions| . |PartialDifferentialRing|) 124195) ((|SimpleAlgebraicExtension| . |FiniteFieldCategory|) 124157) ((|IndexedString| . |Collection|) 124132) ((|PAdicInteger| . |EuclideanDomain|) T) ((|ContinuedFraction| . |EntireRing|) T) ((|BalancedPAdicRational| . |FullyLinearlyExplicitRingOver|) 124091) ((|BalancedPAdicRational| . |FullyEvalableOver|) 124050) ((|PseudoAlgebraicClosureOfFiniteField| . |Field|) T) ((|NeitherSparseOrDensePowerSeries| . |Field|) T) ((|ExponentialExpansion| . |OrderedAbelianSemiGroup|) NIL) ((|ExponentialExpansion| . |OrderedAbelianGroup|) NIL) ((|Expression| . |Monoid|) 123832) ((|ExponentialExpansion| . |Monoid|) T) ((|InfClsPt| . |CoercibleTo|) 123806) ((|GeneralUnivariatePowerSeries| . |Field|) 123782) ((|FiniteFieldExtension| . |FiniteFieldCategory|) 123757) ((|FiniteFieldNormalBasisExtension| . |FiniteFieldCategory|) 123732) ((|FiniteFieldCyclicGroupExtension| . |FiniteFieldCategory|) 123707) ((|Expression| . |Group|) 123683) ((|UnivariatePuiseuxSeriesConstructor| . |AbelianMonoid|) T) ((|UnivariateLaurentSeriesConstructor| . |AbelianMonoid|) T) ((|MoebiusTransform| . |SemiGroup|) T) ((|ModuleOperator| . |CancellationAbelianMonoid|) T) ((|LinearOrdinaryDifferentialOperator1| . |BasicType|) T) ((|Pi| . |Module|) 123637) ((|AssociationList| . |ExtensibleLinearAggregate|) 123579) ((|BasicFunctions| . |SetCategory|) T) ((|Asp28| . |CoercibleTo|) 123553) ((|OrderedVariableList| . |BasicType|) T) ((|LaurentPolynomial| . |PartialDifferentialRing|) 123485) ((|XRecursivePolynomial| . |SetCategory|) T) ((|FreeModule1| . |SetCategory|) T) ((|U32Vector| . |Aggregate|) T) ((|U16Vector| . |LinearAggregate|) 123462) ((|U16Vector| . |FiniteLinearAggregate|) 123439) ((|Asp73| . |Type|) T) ((|RomanNumeral| . |OrderedSet|) T) ((|Polynomial| . |OrderedSet|) 123410) ((|BalancedPAdicRational| . |PartialDifferentialRing|) NIL) ((|NewSparseUnivariatePolynomial| . |PrincipalIdealDomain|) 123386) ((|ModuleMonomial| . |OrderedSet|) T) ((|IndexedExponents| . |SetCategory|) T) ((|IndexedBits| . |SetCategory|) T) ((|FiniteFieldExtensionByPolynomial| . |UniqueFactorizationDomain|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |UniqueFactorizationDomain|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |UniqueFactorizationDomain|) T) ((|DifferentialSparseMultivariatePolynomial| . |UniqueFactorizationDomain|) 123336) ((|DistributedMultivariatePolynomial| . |UniqueFactorizationDomain|) 123286) ((|SplitHomogeneousDirectProduct| . |DifferentialExtension|) 123254) ((|HomogeneousDistributedMultivariatePolynomial| . |OrderedSet|) 123225) ((|String| . |OpenMath|) T) ((|SquareMatrix| . |RightModule|) 123209) ((|FreeNilpotentLie| . |NonAssociativeRng|) T) ((|MyUnivariatePolynomial| . |Evalable|) 123196) ((|MachineComplex| . |Type|) T) ((|FiniteFieldExtensionByPolynomial| . |IntegralDomain|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |IntegralDomain|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |IntegralDomain|) T) ((|DifferentialSparseMultivariatePolynomial| . |IntegralDomain|) 123082) ((|DistributedMultivariatePolynomial| . |IntegralDomain|) 122968) ((|SquareMatrix| . |BiModule|) 122947) ((|GenericNonAssociativeAlgebra| . |NonAssociativeAlgebra|) 122903) ((|OrdinaryWeightedPolynomials| . |RightModule|) 122860) ((|OrdinaryDifferentialRing| . |Algebra|) 122780) ((|MachineComplex| . |Patternable|) 122752) ((|MachineComplex| . |PatternMatchable|) 122731) ((|EqTable| . |Evalable|) 122491) ((|PrimeField| . |UniqueFactorizationDomain|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |SemiGroup|) T) ((|OrdinaryWeightedPolynomials| . |BiModule|) 122443) ((|LieSquareMatrix| . |FullyRetractableTo|) 122427) ((|NeitherSparseOrDensePowerSeries| . |SemiGroup|) T) ((|MachineComplex| . |RetractableTo|) 122346) ((|Stream| . |EltableAggregate|) 122318) ((|RadixExpansion| . |GcdDomain|) T) ((|PrimeField| . |IntegralDomain|) T) ((|InnerPrimeField| . |PrincipalIdealDomain|) T) ((|GeneralUnivariatePowerSeries| . |SemiGroup|) T) ((|InnerFiniteField| . |PrincipalIdealDomain|) T) ((|PartialFraction| . |GcdDomain|) T) ((|DoubleFloatMatrix| . |CoercibleTo|) 122292) ((|ComplexDoubleFloatMatrix| . |CoercibleTo|) 122266) ((|Asp20| . |CoercibleTo|) 122240) ((|SingleInteger| . |LeftOreRing|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |AbelianMonoid|) T) ((|Library| . |Dictionary|) 122173) ((|NeitherSparseOrDensePowerSeries| . |AbelianMonoid|) T) ((|GeneralUnivariatePowerSeries| . |AbelianMonoid|) T) ((|SingleInteger| . |OrderedAbelianSemiGroup|) T) ((|PAdicRationalConstructor| . |CancellationAbelianMonoid|) T) ((|SingleInteger| . |OrderedAbelianGroup|) T) ((|XDistributedPolynomial| . |XFreeAlgebra|) 122152) ((|SingleInteger| . |Monoid|) T) ((|LinearOrdinaryDifferentialOperator2| . |LeftModule|) 122126) ((|Equation| . |CoercibleTo|) 121761) ((|Result| . |Aggregate|) T) ((|OrderedDirectProduct| . |OrderedRing|) 121731) ((|InnerPAdicInteger| . |EuclideanDomain|) T) ((|Integer| . |EuclideanDomain|) T) ((|InnerAlgebraicNumber| . |EuclideanDomain|) T) ((|XRecursivePolynomial| . |Module|) 121688) ((|MachineComplex| . |FullyLinearlyExplicitRingOver|) 121660) ((|MachineComplex| . |FullyEvalableOver|) 121632) ((|Pi| . |CommutativeRing|) T) ((|FreeModule1| . |Module|) 121589) ((|MyUnivariatePolynomial| . |StepThrough|) 121559) ((|PAdicRational| . |OrderedSet|) NIL) ((|Integer| . |RealConstant|) T) ((|InnerAlgebraicNumber| . |RealConstant|) T) ((|ThreeSpace| . |CoercibleTo|) 121533) ((|SplitHomogeneousDirectProduct| . |DirectProductCategory|) 121512) ((|Database| . |BasicType|) T) ((|SparseTable| . |BasicType|) T) ((|Asp31| . |CoercibleTo|) 121486) ((|SquareMatrix| . |Ring|) T) ((|SymmetricPolynomial| . |Algebra|) 121330) ((|OrdSetInts| . |CoercibleTo|) 121304) ((|Integer| . |IntegerNumberSystem|) T) ((|MyUnivariatePolynomial| . |Algebra|) 121044) ((|LieSquareMatrix| . |Rng|) T) ((|MultivariatePolynomial| . |PolynomialCategory|) 120949) ((|SquareMatrix| . |DifferentialRing|) 120914) ((|SingletonAsOrderedSet| . |SetCategory|) T) ((|ResidueRing| . |AbelianSemiGroup|) T) ((|ResidueRing| . |AbelianGroup|) T) ((|RadicalFunctionField| . |RightModule|) 120842) ((|Permutation| . |BasicType|) T) ((|OrdinaryWeightedPolynomials| . |Ring|) T) ((|NottinghamGroup| . |SemiGroup|) T) ((|MachineComplex| . |PartialDifferentialRing|) NIL) ((|FiniteFieldExtensionByPolynomial| . |FiniteAlgebraicExtensionField|) 120826) ((|FiniteFieldExtensionByPolynomial| . |Field|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |FiniteAlgebraicExtensionField|) 120810) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |Field|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |FiniteAlgebraicExtensionField|) 120794) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |Field|) T) ((|HexadecimalExpansion| . |BasicType|) T) ((|WeightedPolynomials| . |Algebra|) 120751) ((|IndexedMatrix| . |MatrixCategory|) 120679) ((|DecimalExpansion| . |BasicType|) T) ((|RealClosure| . |RetractableTo|) 120505) ((|RadicalFunctionField| . |BiModule|) 120388) ((|SparseUnivariateTaylorSeries| . |PowerSeriesCategory|) 120323) ((|SparseUnivariatePuiseuxSeries| . |PowerSeriesCategory|) 120256) ((|IndexedList| . |Collection|) 120240) ((|SimpleAlgebraicExtension| . |FiniteRankAlgebra|) 120219) ((|FiniteFieldNormalBasis| . |CoercibleTo|) 120193) ((|FreeAbelianGroup| . |AbelianGroup|) T) ((|FiniteField| . |RetractableTo|) 120162) ((|FreeAbelianGroup| . |AbelianSemiGroup|) T) ((|SparseUnivariateLaurentSeries| . |PowerSeriesCategory|) 120108) ((|SparseMultivariateTaylorSeries| . |PowerSeriesCategory|) 120061) ((|Asp42| . |CoercibleTo|) 120035) ((|MachineFloat| . |EuclideanDomain|) T) ((|Complex| . |OrderedSet|) 120006) ((|PrimeField| . |Field|) T) ((|Float| . |AbelianSemiGroup|) T) ((|Float| . |AbelianGroup|) T) ((|PrimeField| . |FiniteAlgebraicExtensionField|) 119993) ((|Asp7| . |CoercibleTo|) 119967) ((|MachineFloat| . |RealConstant|) T) ((|Magma| . |OrderedSet|) T) ((|UnivariatePuiseuxSeriesConstructor| . |CancellationAbelianMonoid|) T) ((|UnivariateLaurentSeriesConstructor| . |CancellationAbelianMonoid|) T) ((|PendantTree| . |RecursiveAggregate|) 119951) ((|Operator| . |AbelianGroup|) T) ((|AlgebraicNumber| . |RetractableTo|) 119874) ((|Operator| . |AbelianSemiGroup|) T) ((|OppositeMonogenicLinearOperator| . |AbelianSemiGroup|) T) ((|OppositeMonogenicLinearOperator| . |AbelianGroup|) T) ((|XPolynomial| . |Rng|) T) ((|XPBWPolynomial| . |Rng|) T) ((|LinearOrdinaryDifferentialOperator2| . |Monoid|) T) ((|SparseUnivariatePolynomialExpressions| . |EuclideanDomain|) 119850) ((|DesingTree| . |RecursiveAggregate|) 119834) ((|XPolynomialRing| . |RightModule|) 119818) ((|UnivariatePolynomial| . |OrderedSet|) 119789) ((|OrderedDirectProduct| . |FullyRetractableTo|) 119750) ((|BalancedBinaryTree| . |BinaryRecursiveAggregate|) 119734) ((|Any| . |SetCategory|) T) ((|Plot3D| . |CoercibleTo|) 119708) ((|PAdicRational| . |QuotientFieldCategory|) 119675) ((|OpenMathEncoding| . |BasicType|) T) ((|XPolynomialRing| . |BiModule|) 119654) ((|LinearOrdinaryDifferentialOperator1| . |Algebra|) 119611) ((|Interval| . |OrderedSet|) T) ((|FiniteFieldExtensionByPolynomial| . |SemiGroup|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |SemiGroup|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |SemiGroup|) T) ((|DifferentialSparseMultivariatePolynomial| . |SemiGroup|) T) ((|DistributedMultivariatePolynomial| . |SemiGroup|) T) ((|LaurentPolynomial| . |EuclideanDomain|) 119587) ((|SparseTable| . |Evalable|) 119347) ((|LiePolynomial| . |AbelianMonoid|) T) ((|HomogeneousDirectProduct| . |DifferentialExtension|) 119315) ((|CliffordAlgebra| . |Rng|) T) ((|FiniteFieldExtensionByPolynomial| . |AbelianMonoid|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |AbelianMonoid|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |AbelianMonoid|) T) ((|BalancedPAdicRational| . |EuclideanDomain|) T) ((|DifferentialSparseMultivariatePolynomial| . |AbelianMonoid|) T) ((|DistributedMultivariatePolynomial| . |AbelianMonoid|) T) ((|RadicalFunctionField| . |Ring|) T) ((|ModMonic| . |PolynomialFactorizationExplicit|) 119265) ((|RadicalFunctionField| . |DifferentialRing|) 119217) ((|RadicalFunctionField| . |DivisionRing|) T) ((|BalancedPAdicRational| . |RealConstant|) NIL) ((|PrimeField| . |SemiGroup|) T) ((|UnivariatePuiseuxSeries| . |GcdDomain|) 119193) ((|UnivariateLaurentSeries| . |GcdDomain|) 119169) ((|IndexedMatrix| . |CoercibleTo|) 119120) ((|ModMonic| . |LeftModule|) 119017) ((|Fraction| . |RightModule|) 118958) ((|PseudoAlgebraicClosureOfFiniteField| . |CancellationAbelianMonoid|) T) ((|PolynomialIdeals| . |CoercibleTo|) 118932) ((|PrimeField| . |AbelianMonoid|) T) ((|NeitherSparseOrDensePowerSeries| . |CancellationAbelianMonoid|) T) ((|HexadecimalExpansion| . |Evalable|) NIL) ((|GeneralUnivariatePowerSeries| . |CancellationAbelianMonoid|) T) ((|DecimalExpansion| . |Evalable|) NIL) ((|Fraction| . |BiModule|) 118841) ((|OrderedDirectProduct| . |Rng|) 118751) ((|Multiset| . |SetAggregate|) 118735) ((|UnivariatePuiseuxSeriesConstructor| . |HyperbolicFunctionCategory|) 118684) ((|UnivariateLaurentSeriesConstructor| . |HyperbolicFunctionCategory|) 118633) ((|CharacterClass| . |SetAggregate|) 118608) ((|Pi| . |EntireRing|) T) ((|XPolynomialRing| . |Ring|) T) ((|RoutinesTable| . |BasicType|) T) ((|IndexedBits| . |InnerEvalable|) NIL) ((|MakeCachableSet| . |BasicType|) T) ((|HomogeneousDirectProduct| . |DirectProductCategory|) 118587) ((|SparseUnivariatePolynomial| . |CharacteristicNonZero|) 118547) ((|SparseUnivariatePolynomial| . |CharacteristicZero|) 118510) ((|SparseMultivariatePolynomial| . |CharacteristicZero|) 118473) ((|SparseMultivariatePolynomial| . |CharacteristicNonZero|) 118433) ((|AssociatedLieAlgebra| . |RightModule|) 118417) ((|AssociatedJordanAlgebra| . |RightModule|) 118401) ((|SparseUnivariateTaylorSeries| . |UnivariateTaylorSeriesCategory|) 118385) ((|LieSquareMatrix| . |SetCategory|) T) ((|LieSquareMatrix| . |RectangularMatrixCategory|) 118303) ((|SparseUnivariateTaylorSeries| . |UnivariatePowerSeriesCategory|) 118264) ((|SparseUnivariatePuiseuxSeries| . |UnivariatePuiseuxSeriesConstructorCategory|) 118199) ((|HexadecimalExpansion| . |StepThrough|) T) ((|SparseUnivariatePuiseuxSeries| . |UnivariatePowerSeriesCategory|) 118158) ((|SparseUnivariatePuiseuxSeries| . |UnivariatePuiseuxSeriesCategory|) 118142) ((|SparseUnivariateLaurentSeries| . |UnivariateLaurentSeriesConstructorCategory|) 118078) ((|DecimalExpansion| . |StepThrough|) T) ((|FiniteFieldCyclicGroup| . |PrincipalIdealDomain|) T) ((|OrderlyDifferentialVariable| . |DifferentialVariableCategory|) 118062) ((|AssociatedLieAlgebra| . |BiModule|) 118041) ((|AssociatedJordanAlgebra| . |BiModule|) 118020) ((|SparseUnivariateLaurentSeries| . |UnivariatePowerSeriesCategory|) 117992) ((|OrderedCompletion| . |Ring|) 117962) ((|SparseUnivariateLaurentSeries| . |UnivariateLaurentSeriesCategory|) 117946) ((|InnerFreeAbelianMonoid| . |AbelianSemiGroup|) T) ((|InnerAlgebraicNumber| . |ExpressionSpace|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |AbelianMonoid|) T) ((|IndexedDirectProductOrderedAbelianMonoid| . |AbelianSemiGroup|) T) ((|IndexedDirectProductAbelianMonoid| . |AbelianSemiGroup|) T) ((|IndexedDirectProductAbelianGroup| . |AbelianMonoid|) T) ((|ModMonic| . |LeftOreRing|) 117841) ((|Fraction| . |Ring|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |Rng|) T) ((|MachineComplex| . |EuclideanDomain|) T) ((|BinaryExpansion| . |OrderedRing|) T) ((|Fraction| . |DivisionRing|) T) ((|Fraction| . |DifferentialRing|) 117806) ((|ModMonic| . |Monoid|) T) ((|HexadecimalExpansion| . |Algebra|) 117740) ((|DecimalExpansion| . |Algebra|) 117674) ((|GeneralUnivariatePowerSeries| . |HyperbolicFunctionCategory|) 117623) ((|String| . |StringAggregate|) T) ((|SetOfMIntegersInOneToN| . |BasicType|) T) ((|MachineInteger| . |CoercibleTo|) 117597) ((|MachineInteger| . |ConvertibleTo|) 117478) ((|ModuleOperator| . |AbelianGroup|) T) ((|ModuleOperator| . |AbelianSemiGroup|) T) ((|CardinalNumber| . |CoercibleTo|) 117452) ((|BalancedPAdicInteger| . |CoercibleTo|) 117426) ((|Color| . |AbelianSemiGroup|) T) ((|XPolynomial| . |SetCategory|) T) ((|PAdicRationalConstructor| . |LinearlyExplicitRingOver|) 117342) ((|XPBWPolynomial| . |SetCategory|) T) ((|PolynomialRing| . |BasicType|) T) ((|MonoidRing| . |BasicType|) T) ((|ModularRing| . |BasicType|) T) ((|GenericNonAssociativeAlgebra| . |BasicType|) T) ((|U16Vector| . |Aggregate|) T) ((|OrderlyDifferentialPolynomial| . |GcdDomain|) 117260) ((|AlgebraGivenByStructuralConstants| . |SetCategory|) T) ((|SequentialDifferentialVariable| . |OrderedSet|) T) ((|LiePolynomial| . |CancellationAbelianMonoid|) T) ((|RoutinesTable| . |Evalable|) 117066) ((|LieSquareMatrix| . |Module|) 117050) ((|EuclideanModularRing| . |Rng|) T) ((|FiniteFieldExtensionByPolynomial| . |CancellationAbelianMonoid|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |CancellationAbelianMonoid|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |CancellationAbelianMonoid|) T) ((|DifferentialSparseMultivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|DistributedMultivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|MyExpression| . |Type|) T) ((|Factored| . |BasicType|) T) ((|UnivariateTaylorSeriesCZero| . |AbelianMonoidRing|) 117011) ((|CliffordAlgebra| . |SetCategory|) T) ((|AssociationList| . |Dictionary|) 116953) ((|MyUnivariatePolynomial| . |DifferentialExtension|) 116937) ((|Quaternion| . |LeftModule|) 116861) ((|PrimitiveArray| . |OrderedSet|) 116832) ((|MyExpression| . |Patternable|) 116816) ((|MyExpression| . |PatternMatchable|) 116697) ((|DirectProduct| . |VectorSpace|) 116664) ((|RealClosure| . |EuclideanDomain|) T) ((|Equation| . |RightModule|) 116571) ((|PrimeField| . |CancellationAbelianMonoid|) T) ((|AlgebraicFunctionField| . |PrincipalIdealDomain|) T) ((|MyExpression| . |RetractableTo|) 116170) ((|HexadecimalExpansion| . |FullyPatternMatchable|) 116147) ((|HTMLFormat| . |CoercibleTo|) 116121) ((|FiniteField| . |EuclideanDomain|) T) ((|DecimalExpansion| . |FullyPatternMatchable|) 116098) ((|SimpleAlgebraicExtension| . |FullyRetractableTo|) 116082) ((|Equation| . |BiModule|) 115984) ((|PseudoAlgebraicClosureOfRationalNumber| . |UniqueFactorizationDomain|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |UniqueFactorizationDomain|) T) ((|PAdicRationalConstructor| . |AbelianSemiGroup|) T) ((|PAdicRationalConstructor| . |AbelianGroup|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |IntegralDomain|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |IntegralDomain|) T) ((|FortranExpression| . |CoercibleTo|) 115958) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |AbelianMonoidRing|) 115848) ((|DoubleFloat| . |CharacteristicZero|) T) ((|ContinuedFraction| . |CoercibleTo|) 115822) ((|SplitHomogeneousDirectProduct| . |OrderedRing|) 115792) ((|None| . |CoercibleTo|) 115766) ((|KeyedAccessFile| . |DictionaryOperations|) 115702) ((|GeneralSparseTable| . |DictionaryOperations|) 115644) ((|XPolynomial| . |Module|) 115601) ((|AlgebraicNumber| . |EuclideanDomain|) T) ((|XPBWPolynomial| . |Module|) 115558) ((|Product| . |SetCategory|) T) ((|OrderedDirectProduct| . |SetCategory|) 115250) ((|Exit| . |BasicType|) T) ((|PendantTree| . |Type|) T) ((|MyExpression| . |FullyLinearlyExplicitRingOver|) 115218) ((|AlgebraicNumber| . |RealConstant|) T) ((|UnivariateLaurentSeriesConstructor| . |LinearlyExplicitRingOver|) 115088) ((|Matrix| . |BasicType|) 115058) ((|AlgebraGivenByStructuralConstants| . |Module|) 115042) ((|InnerTable| . |BasicType|) T) ((|Asp27| . |FortranMatrixCategory|) T) ((|DesingTree| . |Type|) T) ((|Asp27| . |FortranProgramCategory|) T) ((|AffineSpace| . |CoercibleTo|) 115016) ((|Localize| . |AbelianMonoid|) T) ((|LieSquareMatrix| . |NonAssociativeRng|) T) ((|Tuple| . |SetCategory|) 114986) ((|FiniteFieldNormalBasis| . |RightModule|) 114912) ((|ThreeDimensionalMatrix| . |SetCategory|) 114882) ((|RomanNumeral| . |CharacteristicZero|) T) ((|Polynomial| . |CharacteristicZero|) 114845) ((|Polynomial| . |CharacteristicNonZero|) 114805) ((|Octonion| . |BasicType|) T) ((|CliffordAlgebra| . |Module|) 114789) ((|HomogeneousDistributedMultivariatePolynomial| . |CharacteristicZero|) 114752) ((|HomogeneousDistributedMultivariatePolynomial| . |CharacteristicNonZero|) 114712) ((|FiniteFieldNormalBasis| . |BiModule|) 114591) ((|SimpleAlgebraicExtension| . |Rng|) T) ((|FreeAbelianGroup| . |OrderedSet|) 114562) ((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| . |SetCategoryWithDegree|) T) ((|UnivariateTaylorSeries| . |PowerSeriesCategory|) 114497) ((|UnivariatePuiseuxSeries| . |PowerSeriesCategory|) 114430) ((|UnivariateLaurentSeries| . |PowerSeriesCategory|) 114376) ((|LieExponentials| . |SetCategory|) T) ((|MyExpression| . |PartialDifferentialRing|) 114354) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |CancellationAbelianMonoid|) T) ((|IndexedDirectProductAbelianGroup| . |CancellationAbelianMonoid|) T) ((|EqTable| . |Dictionary|) 114296) ((|FiniteFieldExtension| . |Rng|) T) ((|FiniteFieldNormalBasisExtension| . |Rng|) T) ((|FiniteFieldCyclicGroupExtension| . |Rng|) T) ((|Equation| . |Ring|) 114216) ((|UnivariateFormalPowerSeries| . |PowerSeriesCategory|) 114151) ((|Float| . |OrderedSet|) T) ((|BinaryExpansion| . |Rng|) T) ((|Quaternion| . |Monoid|) T) ((|PAdicInteger| . |PrincipalIdealDomain|) T) ((|OrderedCompletion| . |OrderedCancellationAbelianMonoid|) 114121) ((|OrderedCompletion| . |OrderedAbelianMonoid|) 114091) ((|Factored| . |Evalable|) 114018) ((|GraphImage| . |BasicType|) T) ((|InnerSparseUnivariatePowerSeries| . |PowerSeriesCategory|) 113964) ((|ExponentialOfUnivariatePuiseuxSeries| . |SetCategory|) T) ((|Fraction| . |OrderedCancellationAbelianMonoid|) 113924) ((|Fraction| . |OrderedAbelianMonoid|) 113884) ((|IndexedBits| . |HomogeneousAggregate|) 113861) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |RetractableTo|) 113807) ((|UnivariatePuiseuxSeriesConstructor| . |AbelianGroup|) T) ((|UnivariatePuiseuxSeriesConstructor| . |AbelianSemiGroup|) T) ((|UnivariateLaurentSeriesConstructor| . |AbelianGroup|) T) ((|UnivariateLaurentSeriesConstructor| . |AbelianSemiGroup|) T) ((|OrderedDirectProduct| . |Module|) 113736) ((|U32Matrix| . |BasicType|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |Field|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |Field|) T) ((|MachineFloat| . |FloatingPointSystem|) T) ((|WuWenTsunTriangularSet| . |Type|) T) ((|SplitHomogeneousDirectProduct| . |FullyRetractableTo|) 113697) ((|RadicalFunctionField| . |Finite|) NIL) ((|BalancedBinaryTree| . |Aggregate|) T) ((|Multiset| . |Type|) T) ((|AlgebraGivenByStructuralConstants| . |NonAssociativeRng|) T) ((|IndexedString| . |BasicType|) T) ((|Asp49| . |FortranFunctionCategory|) T) ((|Asp49| . |FortranProgramCategory|) T) ((|LinearOrdinaryDifferentialOperator1| . |LinearOrdinaryDifferentialOperatorCategory|) 113681) ((|CharacterClass| . |Type|) T) ((|PAdicRational| . |CharacteristicZero|) T) ((|PAdicRational| . |CharacteristicNonZero|) NIL) ((|UnivariateTaylorSeriesCZero| . |PartialDifferentialRing|) 113545) ((|FiniteFieldNormalBasis| . |Ring|) T) ((|Asp30| . |FortranMatrixCategory|) T) ((|Asp30| . |FortranProgramCategory|) T) ((|SuchThat| . |BasicType|) T) ((|LieSquareMatrix| . |InnerEvalable|) 113464) ((|Matrix| . |Evalable|) 113388) ((|PolynomialRing| . |Algebra|) 113232) ((|MonoidRing| . |Algebra|) 113189) ((|InnerTable| . |Evalable|) 112949) ((|Expression| . |Type|) T) ((|FiniteFieldNormalBasis| . |DifferentialRing|) T) ((|FiniteFieldNormalBasis| . |DivisionRing|) T) ((|ExponentialExpansion| . |Type|) T) ((|EuclideanModularRing| . |SetCategory|) T) ((|SymbolTable| . |CoercibleTo|) 112923) ((|ModularField| . |UniqueFactorizationDomain|) T) ((|Stream| . |LinearAggregate|) 112907) ((|TaylorSeries| . |IntegralDomain|) 112874) ((|PseudoAlgebraicClosureOfFiniteField| . |AbelianSemiGroup|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |AbelianGroup|) T) ((|ModularField| . |IntegralDomain|) T) ((|Expression| . |Patternable|) 112858) ((|Expression| . |PatternMatchable|) 112739) ((|ExponentialExpansion| . |Patternable|) 112654) ((|ExponentialExpansion| . |PatternMatchable|) NIL) ((|Octonion| . |Evalable|) 112613) ((|NeitherSparseOrDensePowerSeries| . |AbelianSemiGroup|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |Module|) 112401) ((|NeitherSparseOrDensePowerSeries| . |AbelianGroup|) T) ((|FreeAbelianMonoid| . |FreeAbelianMonoidCategory|) 112362) ((|HyperellipticFiniteDivisor| . |BasicType|) T) ((|GeneralUnivariatePowerSeries| . |AbelianSemiGroup|) T) ((|GeneralUnivariatePowerSeries| . |AbelianGroup|) T) ((|Factored| . |Algebra|) 112336) ((|Expression| . |RetractableTo|) 111840) ((|DoubleFloat| . |TranscendentalFunctionCategory|) T) ((|DoubleFloat| . |TrigonometricFunctionCategory|) T) ((|Union| . |CoercibleTo|) 111814) ((|ExponentialExpansion| . |RetractableTo|) 111678) ((|PseudoAlgebraicClosureOfRationalNumber| . |SemiGroup|) T) ((|Record| . |SetCategory|) T) ((|Record| . |RecordCategory|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |SemiGroup|) T) ((|OnePointCompletion| . |CoercibleTo|) 111652) ((|SplitHomogeneousDirectProduct| . |Rng|) 111562) ((|InnerPAdicInteger| . |PrincipalIdealDomain|) T) ((|Integer| . |OrderedIntegralDomain|) T) ((|Integer| . |PrincipalIdealDomain|) T) ((|InnerAlgebraicNumber| . |PrincipalIdealDomain|) T) ((|CartesianTensor| . |RetractableTo|) 111546) ((|DoubleFloat| . |ArcTrigonometricFunctionCategory|) T) ((|Asp41| . |FortranVectorFunctionCategory|) T) ((|Asp41| . |FortranProgramCategory|) T) ((|Enumeration| . |CoercibleTo|) 111520) ((|Complex| . |CharacteristicZero|) 111483) ((|Complex| . |CharacteristicNonZero|) 111401) ((|DoubleFloat| . |ArcHyperbolicFunctionCategory|) T) ((|AnonymousFunction| . |CoercibleTo|) 111375) ((|PseudoAlgebraicClosureOfRationalNumber| . |AbelianMonoid|) T) ((|Pi| . |Rng|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |AbelianMonoid|) T) ((|HexadecimalExpansion| . |DifferentialExtension|) 111352) ((|Heap| . |PriorityQueueAggregate|) 111336) ((|HomogeneousDirectProduct| . |OrderedRing|) 111306) ((|DecimalExpansion| . |DifferentialExtension|) 111283) ((|Asp6| . |FortranVectorFunctionCategory|) T) ((|Asp6| . |FortranProgramCategory|) T) ((|SquareFreeRegularTriangularSet| . |Aggregate|) T) ((|OrderedDirectProduct| . |CommutativeRing|) 111249) ((|MultivariatePolynomial| . |BasicType|) T) ((|Reference| . |CoercibleTo|) 111200) ((|IndexedBits| . |Eltable|) 111165) ((|Expression| . |FullyLinearlyExplicitRingOver|) 111133) ((|ExponentialExpansion| . |FullyLinearlyExplicitRingOver|) 111048) ((|ExponentialExpansion| . |FullyEvalableOver|) 110963) ((|U32Matrix| . |Evalable|) NIL) ((|OrderlyDifferentialPolynomial| . |PolynomialCategory|) 110840) ((|Localize| . |CancellationAbelianMonoid|) T) ((|UnivariatePolynomial| . |CharacteristicNonZero|) 110800) ((|UnivariatePolynomial| . |CharacteristicZero|) 110763) ((|U32Vector| . |Type|) T) ((|SparseUnivariateTaylorSeries| . |BasicType|) T) ((|SparseUnivariatePuiseuxSeries| . |BasicType|) T) ((|SparseUnivariateLaurentSeries| . |BasicType|) T) ((|StringTable| . |SetCategory|) T) ((|SparseMultivariateTaylorSeries| . |BasicType|) T) ((|Dequeue| . |Aggregate|) T) ((|EuclideanModularRing| . |Module|) 110750) ((|StringTable| . |KeyedDictionary|) 110723) ((|IndexedString| . |Evalable|) NIL) ((|UnivariateTaylorSeries| . |UnivariateTaylorSeriesCategory|) 110707) ((|UnivariateTaylorSeries| . |UnivariatePowerSeriesCategory|) 110668) ((|Heap| . |SetCategory|) 110638) ((|UnivariatePuiseuxSeries| . |UnivariatePuiseuxSeriesConstructorCategory|) 110579) ((|FreeNilpotentLie| . |CoercibleTo|) 110553) ((|IndexedDirectProductOrderedAbelianMonoid| . |OrderedSet|) T) ((|SparseTable| . |Dictionary|) 110495) ((|UnivariatePuiseuxSeries| . |UnivariatePowerSeriesCategory|) 110454) ((|UnivariatePuiseuxSeries| . |UnivariatePuiseuxSeriesCategory|) 110438) ((|UnivariateLaurentSeries| . |UnivariateLaurentSeriesConstructorCategory|) 110380) ((|UnivariateLaurentSeries| . |UnivariatePowerSeriesCategory|) 110352) ((|UnivariateLaurentSeries| . |UnivariateLaurentSeriesCategory|) 110336) ((|UnivariateFormalPowerSeries| . |UnivariateTaylorSeriesCategory|) 110320) ((|UnivariateFormalPowerSeries| . |UnivariatePowerSeriesCategory|) 110281) ((|LocalAlgebra| . |CoercibleTo|) 110255) ((|SparseUnivariateTaylorSeries| . |ElementaryFunctionCategory|) 110204) ((|MachineFloat| . |PrincipalIdealDomain|) T) ((|SparseUnivariatePuiseuxSeries| . |ElementaryFunctionCategory|) 110153) ((|SparseUnivariateLaurentSeries| . |ElementaryFunctionCategory|) 110102) ((|SparseMultivariateTaylorSeries| . |ElementaryFunctionCategory|) 110051) ((|SimpleAlgebraicExtension| . |SetCategory|) T) ((|RightOpenIntervalRootCharacterization| . |SetCategory|) T) ((|AlgebraicNumber| . |ExpressionSpace|) T) ((|Expression| . |PartialDifferentialRing|) 110013) ((|ExponentialExpansion| . |PartialDifferentialRing|) NIL) ((|RightOpenIntervalRootCharacterization| . |RealRootCharacterizationCategory|) 109992) ((|SingleInteger| . |PatternMatchable|) 109969) ((|Octonion| . |Algebra|) 109953) ((|DifferentialSparseMultivariatePolynomial| . |LinearlyExplicitRingOver|) 109869) ((|DistributedMultivariatePolynomial| . |LinearlyExplicitRingOver|) 109785) ((|MachineInteger| . |RightModule|) 109772) ((|InnerSparseUnivariatePowerSeries| . |UnivariatePowerSeriesCategory|) 109744) ((|SingleInteger| . |RetractableTo|) 109721) ((|ExponentialOfUnivariatePuiseuxSeries| . |CommutativeRing|) 109627) ((|FiniteFieldExtension| . |SetCategory|) T) ((|FiniteFieldNormalBasisExtension| . |SetCategory|) T) ((|FiniteFieldCyclicGroupExtension| . |SetCategory|) T) ((|IndexedBits| . |OneDimensionalArrayAggregate|) 109604) ((|Set| . |Collection|) 109588) ((|MyExpression| . |EuclideanDomain|) 109555) ((|BinaryExpansion| . |SetCategory|) T) ((|BalancedPAdicInteger| . |RightModule|) 109542) ((|ModularField| . |Field|) T) ((|IndexedBits| . |IndexedAggregate|) 109507) ((|MachineInteger| . |BiModule|) 109492) ((|FortranTemplate| . |BasicType|) T) ((|SparseUnivariatePolynomialExpressions| . |PrincipalIdealDomain|) 109468) ((|AssociationList| . |StreamAggregate|) 109410) ((|BalancedPAdicInteger| . |BiModule|) 109395) ((|DoubleFloatVector| . |OrderedSet|) T) ((|ComplexDoubleFloatVector| . |OrderedSet|) 109343) ((|AssociatedLieAlgebra| . |Monad|) T) ((|AssociatedJordanAlgebra| . |Monad|) T) ((|OrderedDirectProduct| . |InnerEvalable|) 109262) ((|Result| . |Type|) T) ((|Point| . |Collection|) 109246) ((|IndexedList| . |BasicType|) 109183) ((|SequentialDifferentialPolynomial| . |UniqueFactorizationDomain|) 109133) ((|NewSparseUnivariatePolynomial| . |UniqueFactorizationDomain|) 109083) ((|NewSparseMultivariatePolynomial| . |UniqueFactorizationDomain|) 109033) ((|Asp12| . |Type|) T) ((|Pi| . |CoercibleTo|) 108965) ((|Pi| . |ConvertibleTo|) 108834) ((|SparseUnivariatePolynomial| . |GcdDomain|) 108729) ((|String| . |SetCategory|) T) ((|SquareMatrix| . |LeftModule|) 108703) ((|SequentialDifferentialPolynomial| . |IntegralDomain|) 108589) ((|HomogeneousDirectProduct| . |FullyRetractableTo|) 108550) ((|LaurentPolynomial| . |PrincipalIdealDomain|) 108526) ((|GeneralDistributedMultivariatePolynomial| . |UniqueFactorizationDomain|) 108476) ((|SparseMultivariatePolynomial| . |GcdDomain|) 108394) ((|NewSparseUnivariatePolynomial| . |IntegralDomain|) 108257) ((|FortranProgram| . |CoercibleTo|) 108231) ((|NewSparseMultivariatePolynomial| . |IntegralDomain|) 108117) ((|MultivariatePolynomial| . |Evalable|) 108104) ((|ThreeDimensionalMatrix| . |InnerEvalable|) 108023) ((|LiePolynomial| . |AbelianSemiGroup|) T) ((|LiePolynomial| . |AbelianGroup|) T) ((|GeneralDistributedMultivariatePolynomial| . |IntegralDomain|) 107909) ((|BalancedPAdicRational| . |PrincipalIdealDomain|) T) ((|BalancedPAdicRational| . |OrderedIntegralDomain|) NIL) ((|FiniteFieldExtensionByPolynomial| . |AbelianSemiGroup|) T) ((|FiniteFieldExtensionByPolynomial| . |AbelianGroup|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |AbelianSemiGroup|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |AbelianGroup|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |AbelianSemiGroup|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |AbelianGroup|) T) ((|DifferentialSparseMultivariatePolynomial| . |AbelianSemiGroup|) T) ((|DifferentialSparseMultivariatePolynomial| . |AbelianGroup|) T) ((|Asp74| . |FortranMatrixFunctionCategory|) T) ((|Asp74| . |FortranProgramCategory|) T) ((|DistributedMultivariatePolynomial| . |AbelianSemiGroup|) T) ((|DistributedMultivariatePolynomial| . |AbelianGroup|) T) ((|ThreeDimensionalViewport| . |CoercibleTo|) 107883) ((|TaylorSeries| . |SemiGroup|) T) ((|TaylorSeries| . |AbelianMonoid|) T) ((|SparseUnivariateLaurentSeries| . |Evalable|) 107684) ((|SparseMultivariateTaylorSeries| . |Evalable|) 107671) ((|SimpleAlgebraicExtension| . |Module|) 107494) ((|OrdinaryWeightedPolynomials| . |LeftModule|) 107441) ((|Point| . |PointCategory|) 107425) ((|PrimeField| . |AbelianGroup|) T) ((|EuclideanModularRing| . |CommutativeRing|) T) ((|PrimeField| . |AbelianSemiGroup|) T) ((|PAdicRationalConstructor| . |OrderedSet|) 107352) ((|PseudoAlgebraicClosureOfRationalNumber| . |CancellationAbelianMonoid|) T) ((|ModularField| . |SemiGroup|) T) ((|ModularField| . |AbelianMonoid|) T) ((|ListMultiDictionary| . |SetCategory|) 107322) ((|Library| . |KeyedDictionary|) 107292) ((|Library| . |SetCategory|) T) ((|InnerPrimeField| . |UniqueFactorizationDomain|) T) ((|InnerFiniteField| . |UniqueFactorizationDomain|) T) ((|InnerPrimeField| . |IntegralDomain|) T) ((|InnerFiniteField| . |IntegralDomain|) T) ((|FiniteFieldExtension| . |Module|) 107233) ((|FiniteFieldNormalBasisExtension| . |Module|) 107174) ((|FiniteFieldCyclicGroupExtension| . |Module|) 107115) ((|FortranExpression| . |RightModule|) 107099) ((|ContinuedFraction| . |BiModule|) 106964) ((|ContinuedFraction| . |RightModule|) 106879) ((|BinaryExpansion| . |Module|) 106813) ((|FortranExpression| . |BiModule|) 106792) ((|e04ucfAnnaType| . |SetCategory|) T) ((|e04nafAnnaType| . |SetCategory|) T) ((|e04mbfAnnaType| . |SetCategory|) T) ((|e04jafAnnaType| . |SetCategory|) T) ((|MachineInteger| . |Ring|) T) ((|e04gcfAnnaType| . |SetCategory|) T) ((|e04fdfAnnaType| . |SetCategory|) T) ((|e04dgfAnnaType| . |SetCategory|) T) ((|d03fafAnnaType| . |SetCategory|) T) ((|d03eefAnnaType| . |SetCategory|) T) ((|d02ejfAnnaType| . |SetCategory|) T) ((|Complex| . |TrigonometricFunctionCategory|) 106743) ((|Complex| . |TranscendentalFunctionCategory|) 106694) ((|d02cjfAnnaType| . |SetCategory|) T) ((|d02bhfAnnaType| . |SetCategory|) T) ((|BalancedPAdicInteger| . |Ring|) T) ((|d02bbfAnnaType| . |SetCategory|) T) ((|d01TransformFunctionType| . |SetCategory|) T) ((|MachineInteger| . |DifferentialRing|) T) ((|d01gbfAnnaType| . |SetCategory|) T) ((|d01fcfAnnaType| . |SetCategory|) T) ((|d01asfAnnaType| . |SetCategory|) T) ((|d01aqfAnnaType| . |SetCategory|) T) ((|d01apfAnnaType| . |SetCategory|) T) ((|d01anfAnnaType| . |SetCategory|) T) ((|d01amfAnnaType| . |SetCategory|) T) ((|d01alfAnnaType| . |SetCategory|) T) ((|d01akfAnnaType| . |SetCategory|) T) ((|d01ajfAnnaType| . |SetCategory|) T) ((|DirectProduct| . |BasicType|) 106386) ((|Complex| . |ArcHyperbolicFunctionCategory|) 106337) ((|Complex| . |ArcTrigonometricFunctionCategory|) 106288) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |CancellationAbelianMonoid|) T) ((|LinearOrdinaryDifferentialOperator2| . |RetractableTo|) 106132) ((|HomogeneousDirectProduct| . |Rng|) 106042) ((|SquareMatrix| . |Aggregate|) T) ((|SplitHomogeneousDirectProduct| . |SetCategory|) 105734) ((|StochasticDifferential| . |BasicType|) T) ((|LieSquareMatrix| . |HomogeneousAggregate|) 105718) ((|Asp34| . |Type|) T) ((|BasicFunctions| . |CoercibleTo|) 105692) ((|XRecursivePolynomial| . |CoercibleTo|) 105666) ((|FreeModule1| . |CoercibleTo|) 105640) ((|MultivariatePolynomial| . |Algebra|) 105403) ((|Interval| . |TrigonometricFunctionCategory|) T) ((|Interval| . |TranscendentalFunctionCategory|) T) ((|IndexedExponents| . |CoercibleTo|) 105377) ((|IndexedList| . |Evalable|) 105301) ((|IndexedBits| . |CoercibleTo|) 105275) ((|IndexedBits| . |ConvertibleTo|) 105250) ((|SparseUnivariateLaurentSeries| . |StepThrough|) NIL) ((|RegularTriangularSet| . |RegularTriangularSetCategory|) 105219) ((|RegularTriangularSet| . |SetCategory|) T) ((|RadixExpansion| . |BasicType|) T) ((|Partition| . |BasicType|) T) ((|PartialFraction| . |BasicType|) T) ((|PoincareBirkhoffWittLyndonBasis| . |RetractableTo|) 105188) ((|SquareMatrix| . |Monoid|) T) ((|RadicalFunctionField| . |LeftModule|) 105116) ((|GeneralTriangularSet| . |SetCategory|) T) ((|GeneralPolynomialSet| . |SetCategory|) T) ((|IntegrationResult| . |AbelianMonoid|) T) ((|Interval| . |ArcHyperbolicFunctionCategory|) T) ((|Interval| . |ArcTrigonometricFunctionCategory|) T) ((|FourierSeries| . |BasicType|) T) ((|RoutinesTable| . |Dictionary|) 105049) ((|SparseUnivariateTaylorSeries| . |Algebra|) 104893) ((|OrdinaryWeightedPolynomials| . |Monoid|) T) ((|MachineComplex| . |PrincipalIdealDomain|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |AbelianSemiGroup|) T) ((|IndexedDirectProductAbelianGroup| . |AbelianGroup|) T) ((|IndexedDirectProductAbelianGroup| . |AbelianSemiGroup|) T) ((|SparseUnivariatePuiseuxSeries| . |Algebra|) 104681) ((|FortranExpression| . |Ring|) T) ((|SparseUnivariateLaurentSeries| . |Algebra|) 104396) ((|SimpleAlgebraicExtension| . |CommutativeRing|) T) ((|ContinuedFraction| . |Ring|) T) ((|SparseMultivariateTaylorSeries| . |Algebra|) 104240) ((|ModMonic| . |AbelianMonoidRing|) 104201) ((|FiniteFieldExtension| . |CommutativeRing|) T) ((|FiniteFieldNormalBasisExtension| . |CommutativeRing|) T) ((|InnerIndexedTwoDimensionalArray| . |TwoDimensionalArrayCategory|) 104175) ((|IndexedTwoDimensionalArray| . |TwoDimensionalArrayCategory|) 104077) ((|FiniteFieldNormalBasis| . |ExtensionField|) 104046) ((|DoubleFloat| . |GcdDomain|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |EntireRing|) 103985) ((|FiniteFieldCyclicGroupExtension| . |CommutativeRing|) T) ((|ContinuedFraction| . |DivisionRing|) T) ((|UnivariateLaurentSeriesConstructor| . |OrderedSet|) 103854) ((|BinaryExpansion| . |CommutativeRing|) T) ((|PAdicRationalConstructor| . |QuotientFieldCategory|) 103838) ((|LinearOrdinaryDifferentialOperator| . |SemiGroup|) T) ((|InnerPrimeField| . |Field|) T) ((|InnerPrimeField| . |FiniteAlgebraicExtensionField|) 103825) ((|InnerFiniteField| . |FiniteAlgebraicExtensionField|) 103789) ((|InnerFiniteField| . |Field|) T) ((|Expression| . |EuclideanDomain|) 103756) ((|ExponentialExpansion| . |EuclideanDomain|) T) ((|IndexedVector| . |OrderedSet|) 103727) ((|SplitHomogeneousDirectProduct| . |Module|) 103656) ((|IndexedList| . |ExtensibleLinearAggregate|) 103640) ((|LinearOrdinaryDifferentialOperator| . |AbelianMonoid|) T) ((|Factored| . |DifferentialExtension|) 103624) ((|U16Matrix| . |BasicType|) T) ((|ExponentialExpansion| . |RealConstant|) NIL) ((|FiniteDivisor| . |AbelianMonoid|) T) ((|Divisor| . |AbelianMonoid|) T) ((|BalancedBinaryTree| . |RecursiveAggregate|) 103608) ((|AssociationList| . |AssociationListAggregate|) 103587) ((|Kernel| . |SetCategory|) T) ((|FiniteFieldNormalBasis| . |Finite|) T) ((|InnerAlgebraicNumber| . |AlgebraicallyClosedField|) T) ((|DirectProduct| . |Evalable|) 103511) ((|SequentialDifferentialPolynomial| . |SemiGroup|) T) ((|XPolynomialRing| . |LeftModule|) 103485) ((|NewSparseUnivariatePolynomial| . |SemiGroup|) T) ((|NewSparseMultivariatePolynomial| . |SemiGroup|) T) ((|GeneralDistributedMultivariatePolynomial| . |SemiGroup|) T) ((|RomanNumeral| . |GcdDomain|) T) ((|U8Matrix| . |SetCategory|) T) ((|Polynomial| . |GcdDomain|) 103403) ((|Bits| . |SetCategory|) T) ((|SequentialDifferentialPolynomial| . |AbelianMonoid|) T) ((|OrdinaryDifferentialRing| . |Rng|) T) ((|NewSparseUnivariatePolynomial| . |AbelianMonoid|) T) ((|NewSparseMultivariatePolynomial| . |AbelianMonoid|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |GcdDomain|) 103321) ((|StringTable| . |InnerEvalable|) 103005) ((|FreeModule1| . |FreeModuleCat|) 102984) ((|SymmetricPolynomial| . |FullyRetractableTo|) 102968) ((|GeneralModulePolynomial| . |AbelianMonoid|) T) ((|GeneralDistributedMultivariatePolynomial| . |AbelianMonoid|) T) ((|MyUnivariatePolynomial| . |FullyRetractableTo|) 102952) ((|MyExpression| . |ExpressionSpace|) T) ((|Heap| . |InnerEvalable|) 102871) ((|RadicalFunctionField| . |LeftOreRing|) T) ((|EuclideanModularRing| . |EntireRing|) T) ((|SingletonAsOrderedSet| . |CoercibleTo|) 102845) ((|Fraction| . |PolynomialFactorizationExplicit|) 102795) ((|AntiSymm| . |SemiGroup|) T) ((|RealClosure| . |PrincipalIdealDomain|) T) ((|RadicalFunctionField| . |Monoid|) T) ((|ModMonic| . |PatternMatchable|) NIL) ((|InnerPrimeField| . |SemiGroup|) T) ((|InnerFiniteField| . |SemiGroup|) T) ((|OrderedCompletion| . |LeftModule|) 102759) ((|TaylorSeries| . |CancellationAbelianMonoid|) T) ((|SparseUnivariateLaurentSeries| . |FullyPatternMatchable|) 102683) ((|RadixExpansion| . |Evalable|) NIL) ((|OrderedDirectProduct| . |HomogeneousAggregate|) 102667) ((|FiniteField| . |PrincipalIdealDomain|) T) ((|Stream| . |Aggregate|) T) ((|Fraction| . |LeftModule|) 102608) ((|AntiSymm| . |AbelianMonoid|) T) ((|ModularField| . |CancellationAbelianMonoid|) T) ((|ModMonic| . |RetractableTo|) 102418) ((|InnerPrimeField| . |AbelianMonoid|) T) ((|BinaryExpansion| . |InnerEvalable|) NIL) ((|InnerFiniteField| . |AbelianMonoid|) T) ((|Complex| . |FramedAlgebra|) 102366) ((|DoubleFloat| . |SpecialFunctionCategory|) T) ((|SplittingNode| . |SetCategory|) T) ((|XDistributedPolynomial| . |XAlgebra|) 102350) ((|MachineInteger| . |OrderedCancellationAbelianMonoid|) T) ((|MachineInteger| . |OrderedAbelianMonoid|) T) ((|Float| . |CharacteristicZero|) T) ((|SingleInteger| . |EuclideanDomain|) T) ((|UnivariateLaurentSeriesConstructor| . |QuotientFieldCategory|) 102317) ((|AlgebraicNumber| . |PrincipalIdealDomain|) T) ((|ThreeDimensionalMatrix| . |HomogeneousAggregate|) 102301) ((|DirectProductModule| . |VectorSpace|) 102268) ((|DirectProductMatrixModule| . |VectorSpace|) 102235) ((|Symbol| . |OrderedSet|) T) ((|SplitHomogeneousDirectProduct| . |CommutativeRing|) 102201) ((|SingleInteger| . |RealConstant|) T) ((|RegularChain| . |Aggregate|) T) ((|Operator| . |CharacteristicZero|) 102164) ((|Operator| . |CharacteristicNonZero|) 102124) ((|Multiset| . |BagAggregate|) 102108) ((|Kernel| . |CachableSet|) T) ((|HomogeneousDirectProduct| . |SetCategory|) 101800) ((|SymmetricPolynomial| . |Rng|) T) ((|PAdicRational| . |GcdDomain|) T) ((|Asp78| . |Type|) T) ((|DirectProduct| . |Algebra|) 101757) ((|CharacterClass| . |BagAggregate|) 101732) ((|Plcs| . |SetCategoryWithDegree|) T) ((|ModMonic| . |FullyLinearlyExplicitRingOver|) 101716) ((|MyUnivariatePolynomial| . |Rng|) T) ((|SingleInteger| . |IntegerNumberSystem|) T) ((|U16Matrix| . |Evalable|) NIL) ((|FreeNilpotentLie| . |RightModule|) 101700) ((|XPolynomialRing| . |Monoid|) T) ((|WeightedPolynomials| . |Rng|) T) ((|SparseUnivariatePolynomial| . |PolynomialCategory|) 101635) ((|Any| . |CoercibleTo|) 101609) ((|SparseMultivariatePolynomial| . |PolynomialCategory|) 101562) ((|LinearOrdinaryDifferentialOperator1| . |FullyRetractableTo|) 101546) ((|UnivariateTaylorSeries| . |BasicType|) T) ((|UnivariatePuiseuxSeries| . |BasicType|) T) ((|LocalAlgebra| . |RightModule|) 101530) ((|Localize| . |AbelianSemiGroup|) T) ((|Localize| . |AbelianGroup|) T) ((|String| . |InnerEvalable|) NIL) ((|UnivariateLaurentSeries| . |BasicType|) T) ((|U16Vector| . |Type|) T) ((|FreeNilpotentLie| . |BiModule|) 101509) ((|Dequeue| . |DequeueAggregate|) 101493) ((|UnivariateFormalPowerSeries| . |BasicType|) T) ((|RectangularMatrix| . |SetCategory|) T) ((|RadixExpansion| . |StepThrough|) T) ((|RectangularMatrix| . |RectangularMatrixCategory|) 101411) ((|OrderlyDifferentialVariable| . |SetCategory|) T) ((|FiniteFieldCyclicGroup| . |UniqueFactorizationDomain|) T) ((|AssociatedLieAlgebra| . |LeftModule|) 101395) ((|LocalAlgebra| . |BiModule|) 101374) ((|AssociatedJordanAlgebra| . |LeftModule|) 101358) ((|InnerTaylorSeries| . |BasicType|) T) ((|IntegrationResult| . |CancellationAbelianMonoid|) T) ((|InnerSparseUnivariatePowerSeries| . |BasicType|) T) ((|FramedModule| . |SetCategory|) T) ((|FreeModule| . |SetCategory|) T) ((|DenavitHartenbergMatrix| . |SetCategory|) 101328) ((|ListMultiDictionary| . |InnerEvalable|) 101247) ((|Library| . |InnerEvalable|) 100997) ((|OnePointCompletion| . |Ring|) 100967) ((|List| . |Collection|) 100951) ((|FiniteFieldCyclicGroup| . |IntegralDomain|) T) ((|ModMonic| . |PartialDifferentialRing|) 100849) ((|InnerTable| . |Dictionary|) 100791) ((|UnivariateTaylorSeries| . |ElementaryFunctionCategory|) 100740) ((|UnivariatePuiseuxSeries| . |ElementaryFunctionCategory|) 100689) ((|UnivariateLaurentSeries| . |ElementaryFunctionCategory|) 100638) ((|SimpleAlgebraicExtension| . |EntireRing|) 100572) ((|HexadecimalExpansion| . |OrderedRing|) T) ((|DeRhamComplex| . |SemiGroup|) T) ((|UnivariateFormalPowerSeries| . |ElementaryFunctionCategory|) 100521) ((|TaylorSeries| . |HyperbolicFunctionCategory|) 100470) ((|RadixExpansion| . |Algebra|) 100404) ((|DecimalExpansion| . |OrderedRing|) T) ((|Fraction| . |LeftOreRing|) T) ((|PartialFraction| . |Algebra|) 100345) ((|OrderedCompletion| . |OrderedAbelianSemiGroup|) 100315) ((|OrderedCompletion| . |OrderedAbelianGroup|) 100285) ((|OrderedCompletion| . |Monoid|) 100255) ((|FiniteFieldExtension| . |EntireRing|) T) ((|FiniteFieldNormalBasisExtension| . |EntireRing|) T) ((|FiniteFieldCyclicGroupExtension| . |EntireRing|) T) ((|Complex| . |GcdDomain|) 100156) ((|FourierSeries| . |Algebra|) 100140) ((|BinaryExpansion| . |EntireRing|) T) ((|DeRhamComplex| . |AbelianMonoid|) T) ((|Fraction| . |OrderedAbelianSemiGroup|) 100100) ((|Fraction| . |OrderedAbelianGroup|) 100060) ((|Fraction| . |Monoid|) T) ((|IndexedBits| . |EltableAggregate|) 100025) ((|Pi| . |RightModule|) 99979) ((|LinearOrdinaryDifferentialOperator| . |CancellationAbelianMonoid|) T) ((|SplitHomogeneousDirectProduct| . |InnerEvalable|) 99898) ((|FiniteDivisor| . |CancellationAbelianMonoid|) T) ((|Complex| . |FieldOfPrimeCharacteristic|) 99860) ((|Divisor| . |CancellationAbelianMonoid|) T) ((|HomogeneousDirectProduct| . |Module|) 99789) ((|OrderedDirectProduct| . |Eltable|) 99761) ((|Pi| . |BiModule|) 99688) ((|AffinePlane| . |AffineSpaceCategory|) 99672) ((|LinearOrdinaryDifferentialOperator1| . |Rng|) T) ((|UnivariatePolynomial| . |GcdDomain|) 99567) ((|SequentialDifferentialPolynomial| . |CancellationAbelianMonoid|) T) ((|DifferentialSparseMultivariatePolynomial| . |OrderedSet|) 99538) ((|DistributedMultivariatePolynomial| . |OrderedSet|) 99509) ((|NewSparseUnivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|NewSparseMultivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|Interval| . |GcdDomain|) T) ((|RectangularMatrix| . |Module|) 99438) ((|LocalAlgebra| . |Ring|) T) ((|RegularTriangularSet| . |InnerEvalable|) 99357) ((|GeneralModulePolynomial| . |CancellationAbelianMonoid|) T) ((|GeneralDistributedMultivariatePolynomial| . |CancellationAbelianMonoid|) T) ((|AssociationList| . |SetCategory|) T) ((|FreeModule| . |Module|) 99314) ((|OrdinaryDifferentialRing| . |SetCategory|) T) ((|GeneralTriangularSet| . |InnerEvalable|) 99233) ((|GeneralPolynomialSet| . |InnerEvalable|) 99152) ((|GenericNonAssociativeAlgebra| . |FiniteRankNonAssociativeAlgebra|) 99108) ((|AssociationList| . |KeyedDictionary|) 99087) ((|Expression| . |ExpressionSpace|) T) ((|LieSquareMatrix| . |CoercibleTo|) 99037) ((|OneDimensionalArray| . |OrderedSet|) 99008) ((|UnivariateLaurentSeries| . |Evalable|) 98827) ((|RadixExpansion| . |FullyPatternMatchable|) 98804) ((|OrderedDirectProduct| . |IndexedAggregate|) 98776) ((|IndexedFlexibleArray| . |OrderedSet|) 98747) ((|IndexedOneDimensionalArray| . |OrderedSet|) 98718) ((|AlgebraicFunctionField| . |UniqueFactorizationDomain|) T) ((|Quaternion| . |RetractableTo|) 98562) ((|AntiSymm| . |CancellationAbelianMonoid|) T) ((|InnerPrimeField| . |CancellationAbelianMonoid|) T) ((|InnerFiniteField| . |CancellationAbelianMonoid|) T) ((|Equation| . |LeftModule|) 98386) ((|FiniteFieldCyclicGroup| . |FiniteAlgebraicExtensionField|) 98355) ((|FiniteFieldCyclicGroup| . |Field|) T) ((|FreeAbelianGroup| . |FreeAbelianMonoidCategory|) 98327) ((|ExponentialOfUnivariatePuiseuxSeries| . |Eltable|) 98312) ((|AlgebraicFunctionField| . |IntegralDomain|) T) ((|Float| . |TranscendentalFunctionCategory|) T) ((|Float| . |TrigonometricFunctionCategory|) T) ((|Result| . |TableAggregate|) 98282) ((|Table| . |DictionaryOperations|) 98224) ((|SparseUnivariateLaurentSeries| . |DifferentialExtension|) 98148) ((|Result| . |BagAggregate|) 98081) ((|FortranCode| . |SetCategory|) T) ((|Float| . |ArcTrigonometricFunctionCategory|) T) ((|Float| . |ArcHyperbolicFunctionCategory|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |AbelianGroup|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |AbelianSemiGroup|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |AbelianSemiGroup|) T) ((|Pi| . |Ring|) T) ((|InfinitlyClosePoint| . |InfinitlyClosePointCategory|) 98025) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |AbelianGroup|) T) ((|HashTable| . |DictionaryOperations|) 97967) ((|StringTable| . |HomogeneousAggregate|) 97890) ((|XRecursivePolynomial| . |RightModule|) 97874) ((|FreeModule1| . |RightModule|) 97858) ((|Pi| . |DivisionRing|) T) ((|OrderlyDifferentialPolynomial| . |BasicType|) T) ((|ModuleOperator| . |CharacteristicZero|) 97821) ((|ModuleOperator| . |CharacteristicNonZero|) 97781) ((|Heap| . |HomogeneousAggregate|) 97765) ((|XRecursivePolynomial| . |BiModule|) 97744) ((|HyperellipticFiniteDivisor| . |FiniteDivisorCategory|) 97713) ((|Quaternion| . |FullyLinearlyExplicitRingOver|) 97697) ((|IndexedDirectProductObject| . |SetCategory|) T) ((|HomogeneousDirectProduct| . |CommutativeRing|) 97663) ((|Quaternion| . |FullyEvalableOver|) 97647) ((|FractionalIdeal| . |BasicType|) T) ((|FreeModule1| . |BiModule|) 97626) ((|ElementaryFunctionsUnivariatePuiseuxSeries| . |PartialTranscendentalFunctions|) 97610) ((|ElementaryFunctionsUnivariateLaurentSeries| . |PartialTranscendentalFunctions|) 97594) ((|DoubleFloatMatrix| . |Aggregate|) T) ((|ComplexDoubleFloatMatrix| . |Aggregate|) T) ((|U8Matrix| . |InnerEvalable|) NIL) ((|XPolynomial| . |CoercibleTo|) 97568) ((|XPBWPolynomial| . |CoercibleTo|) 97542) ((|Bits| . |InnerEvalable|) NIL) ((|SparseUnivariatePolynomial| . |UnivariatePolynomialCategory|) 97526) ((|SparseUnivariateSkewPolynomial| . |UnivariateSkewPolynomialCategory|) 97510) ((|SymmetricPolynomial| . |SetCategory|) T) ((|BalancedBinaryTree| . |Type|) T) ((|Polynomial| . |PolynomialCategory|) 97451) ((|MyUnivariatePolynomial| . |SetCategory|) T) ((|OrdinaryDifferentialRing| . |Module|) 97371) ((|UnivariateLaurentSeries| . |StepThrough|) NIL) ((|HomogeneousDistributedMultivariatePolynomial| . |PolynomialCategory|) 97263) ((|RomanNumeral| . |CombinatorialFunctionCategory|) T) ((|TwoDimensionalArray| . |BasicType|) 97233) ((|AlgebraGivenByStructuralConstants| . |CoercibleTo|) 97207) ((|Asp4| . |CoercibleTo|) 97181) ((|FiniteFieldNormalBasis| . |LeftModule|) 97107) ((|WeightedPolynomials| . |SetCategory|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |OrderedSet|) T) ((|FiniteFieldCyclicGroup| . |SemiGroup|) T) ((|EqTable| . |SetCategory|) T) ((|Quaternion| . |PartialDifferentialRing|) 97039) ((|EqTable| . |KeyedDictionary|) 97018) ((|UnivariateTaylorSeries| . |Algebra|) 96862) ((|UnivariatePuiseuxSeries| . |Algebra|) 96650) ((|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| . |SetCategoryWithDegree|) T) ((|UnivariateLaurentSeries| . |Algebra|) 96371) ((|HexadecimalExpansion| . |Rng|) T) ((|UnivariateFormalPowerSeries| . |Algebra|) 96215) ((|DecimalExpansion| . |Rng|) T) ((|FiniteFieldCyclicGroup| . |AbelianMonoid|) T) ((|CliffordAlgebra| . |CoercibleTo|) 96189) ((|OnePointCompletion| . |OrderedCancellationAbelianMonoid|) 96159) ((|OnePointCompletion| . |OrderedAbelianMonoid|) 96129) ((|MyExpression| . |PrincipalIdealDomain|) 96096) ((|InnerTaylorSeries| . |Algebra|) 96057) ((|InnerSparseUnivariatePowerSeries| . |Algebra|) 95901) ((|PAdicInteger| . |IntegralDomain|) T) ((|DeRhamComplex| . |CancellationAbelianMonoid|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |RadicalCategory|) 95850) ((|Asp50| . |CoercibleTo|) 95824) ((|ModMonic| . |EuclideanDomain|) 95800) ((|Equation| . |Monoid|) 95673) ((|OpenMathErrorKind| . |BasicType|) T) ((|OrderedVariableList| . |OrderedFinite|) T) ((|Equation| . |Group|) 95649) ((|XDistributedPolynomial| . |BasicType|) T) ((|AlgebraicFunctionField| . |Field|) T) ((|PAdicRationalConstructor| . |CharacteristicZero|) 95612) ((|AffinePlane| . |SetCategory|) T) ((|PAdicRationalConstructor| . |CharacteristicNonZero|) 95572) ((|String| . |HomogeneousAggregate|) 95547) ((|XRecursivePolynomial| . |Ring|) T) ((|HomogeneousDirectProduct| . |InnerEvalable|) 95466) ((|SquareFreeRegularTriangularSet| . |Type|) T) ((|Product| . |CoercibleTo|) 95440) ((|ListMultiDictionary| . |HomogeneousAggregate|) 95424) ((|Library| . |HomogeneousAggregate|) 95341) ((|OrderedDirectProduct| . |CoercibleTo|) 94990) ((|AlgebraicNumber| . |AlgebraicallyClosedField|) T) ((|SymmetricPolynomial| . |Module|) 94834) ((|LinearOrdinaryDifferentialOperator1| . |SetCategory|) T) ((|FortranTemplate| . |FileCategory|) 94799) ((|MyUnivariatePolynomial| . |Module|) 94539) ((|Set| . |BasicType|) T) ((|OrderlyDifferentialPolynomial| . |Evalable|) 94526) ((|OrderedVariableList| . |SetCategory|) T) ((|XPBWPolynomial| . |FreeModuleCat|) 94469) ((|RectangularMatrix| . |InnerEvalable|) 94388) ((|StringTable| . |Eltable|) 94361) ((|DirectProduct| . |DifferentialExtension|) 94329) ((|WeightedPolynomials| . |Module|) 94286) ((|OrdinaryDifferentialRing| . |CommutativeRing|) 94262) ((|FiniteFieldNormalBasis| . |LeftOreRing|) T) ((|DenavitHartenbergMatrix| . |InnerEvalable|) 94181) ((|LocalAlgebra| . |OrderedCancellationAbelianMonoid|) 94151) ((|LocalAlgebra| . |OrderedAbelianMonoid|) 94121) ((|Tuple| . |CoercibleTo|) 94040) ((|Dequeue| . |Type|) T) ((|ThreeDimensionalMatrix| . |CoercibleTo|) 93991) ((|Stream| . |RecursiveAggregate|) 93975) ((|FiniteFieldNormalBasis| . |Monoid|) T) ((|Point| . |BasicType|) 93912) ((|UnivariateLaurentSeries| . |FullyPatternMatchable|) 93842) ((|SplitHomogeneousDirectProduct| . |HomogeneousAggregate|) 93826) ((|TwoDimensionalArray| . |Evalable|) 93750) ((|FourierComponent| . |BasicType|) T) ((|TaylorSeries| . |AbelianGroup|) T) ((|TaylorSeries| . |AbelianSemiGroup|) T) ((|AlgebraicFunctionField| . |SemiGroup|) T) ((|ModularField| . |AbelianGroup|) T) ((|LieExponentials| . |CoercibleTo|) 93724) ((|InnerFreeAbelianMonoid| . |FreeAbelianMonoidCategory|) 93703) ((|ModularField| . |AbelianSemiGroup|) T) ((|BinaryExpansion| . |Eltable|) NIL) ((|PositiveInteger| . |SemiGroup|) T) ((|AlgebraicFunctionField| . |AbelianMonoid|) T) ((|NonNegativeInteger| . |SemiGroup|) T) ((|Integer| . |UniqueFactorizationDomain|) T) ((|InnerAlgebraicNumber| . |UniqueFactorizationDomain|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |CoercibleTo|) 93677) ((|RadixExpansion| . |DifferentialExtension|) 93654) ((|Complex| . |ComplexCategory|) 93638) ((|InnerPAdicInteger| . |IntegralDomain|) T) ((|Integer| . |IntegralDomain|) T) ((|InnerAlgebraicNumber| . |IntegralDomain|) T) ((|NonNegativeInteger| . |AbelianMonoid|) T) ((|UnivariatePuiseuxSeriesConstructor| . |CharacteristicZero|) 93601) ((|StringTable| . |IndexedAggregate|) 93574) ((|UnivariatePuiseuxSeriesConstructor| . |CharacteristicNonZero|) 93534) ((|RegularTriangularSet| . |HomogeneousAggregate|) 93518) ((|UnivariateLaurentSeriesConstructor| . |CharacteristicNonZero|) 93405) ((|UnivariateLaurentSeriesConstructor| . |CharacteristicZero|) 93298) ((|XDistributedPolynomial| . |XPolynomialsCat|) 93277) ((|GeneralTriangularSet| . |HomogeneousAggregate|) 93261) ((|GeneralPolynomialSet| . |HomogeneousAggregate|) 93245) ((|IndexedMatrix| . |Aggregate|) T) ((|LinearOrdinaryDifferentialOperator1| . |Module|) 93202) ((|Localize| . |OrderedSet|) 93164) ((|SymmetricPolynomial| . |CommutativeRing|) 93093) ((|File| . |BasicType|) T) ((|DirectProduct| . |DirectProductCategory|) 93072) ((|DirectProductModule| . |BasicType|) T) ((|DirectProductMatrixModule| . |BasicType|) T) ((|UnivariatePolynomial| . |PolynomialCategory|) 93007) ((|BinaryFile| . |BasicType|) T) ((|DataList| . |OrderedSet|) 92978) ((|OrderlyDifferentialPolynomial| . |Algebra|) 92741) ((|MyUnivariatePolynomial| . |CommutativeRing|) 92571) ((|AssociationList| . |InnerEvalable|) 92279) ((|String| . |Eltable|) 92242) ((|Database| . |SetCategory|) T) ((|SparseTable| . |SetCategory|) T) ((|Places| . |BasicType|) T) ((|SparseTable| . |KeyedDictionary|) 92221) ((|IntegrationResult| . |AbelianSemiGroup|) T) ((|IntegrationResult| . |AbelianGroup|) T) ((|Set| . |Evalable|) 92145) ((|PolynomialRing| . |FullyRetractableTo|) 92129) ((|MachineFloat| . |UniqueFactorizationDomain|) T) ((|Library| . |Eltable|) 92099) ((|SequentialDifferentialPolynomial| . |LinearlyExplicitRingOver|) 92015) ((|NewSparseUnivariatePolynomial| . |LinearlyExplicitRingOver|) 91931) ((|NewSparseMultivariatePolynomial| . |LinearlyExplicitRingOver|) 91847) ((|FiniteFieldCyclicGroup| . |CancellationAbelianMonoid|) T) ((|EuclideanModularRing| . |CoercibleTo|) 91821) ((|Places| . |PlacesCategory|) 91764) ((|MachineFloat| . |IntegralDomain|) T) ((|Permutation| . |SetCategory|) T) ((|PAdicInteger| . |SemiGroup|) T) ((|GeneralDistributedMultivariatePolynomial| . |LinearlyExplicitRingOver|) 91680) ((|Permutation| . |PermutationCategory|) 91664) ((|PseudoAlgebraicClosureOfFiniteField| . |PseudoAlgebraicClosureOfFiniteFieldCategory|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |PseudoAlgebraicClosureOfPerfectFieldCategory|) T) ((|Point| . |Evalable|) 91588) ((|Float| . |GcdDomain|) T) ((|PAdicInteger| . |AbelianMonoid|) T) ((|HexadecimalExpansion| . |SetCategory|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |CharacteristicNonZero|) T) ((|MachineInteger| . |LeftModule|) 91575) ((|PseudoAlgebraicClosureOfFiniteField| . |CharacteristicZero|) 91538) ((|DecimalExpansion| . |SetCategory|) T) ((|Expression| . |PrincipalIdealDomain|) 91505) ((|ExponentialExpansion| . |PrincipalIdealDomain|) T) ((|ExponentialExpansion| . |OrderedIntegralDomain|) NIL) ((|FreeNilpotentLie| . |Monad|) T) ((|NeitherSparseOrDensePowerSeries| . |CharacteristicNonZero|) 91465) ((|NeitherSparseOrDensePowerSeries| . |CharacteristicZero|) 91428) ((|U8Matrix| . |HomogeneousAggregate|) 91405) ((|BalancedPAdicInteger| . |LeftModule|) 91392) ((|GeneralUnivariatePowerSeries| . |CharacteristicNonZero|) 91352) ((|Factored| . |FullyRetractableTo|) 91336) ((|GeneralUnivariatePowerSeries| . |CharacteristicZero|) 91299) ((|Bits| . |HomogeneousAggregate|) 91276) ((|SparseUnivariatePolynomialExpressions| . |UniqueFactorizationDomain|) 91226) ((|Record| . |CoercibleTo|) 91200) ((|String| . |OneDimensionalArrayAggregate|) 91175) ((|SparseUnivariatePolynomialExpressions| . |IntegralDomain|) 91038) ((|String| . |IndexedAggregate|) 91001) ((|LinearOrdinaryDifferentialOperator| . |AbelianGroup|) T) ((|LinearOrdinaryDifferentialOperator| . |AbelianSemiGroup|) T) ((|IndexedString| . |StringAggregate|) T) ((|SplitHomogeneousDirectProduct| . |Eltable|) 90973) ((|FiniteDivisor| . |AbelianSemiGroup|) T) ((|FiniteDivisor| . |AbelianGroup|) T) ((|Divisor| . |AbelianSemiGroup|) T) ((|Divisor| . |AbelianGroup|) T) ((|InnerAlgebraicNumber| . |Field|) T) ((|XDistributedPolynomial| . |Algebra|) 90930) ((|SquareMatrix| . |Type|) T) ((|Library| . |IndexedAggregate|) 90900) ((|SequentialDifferentialPolynomial| . |AbelianSemiGroup|) T) ((|SequentialDifferentialPolynomial| . |AbelianGroup|) T) ((|PolynomialRing| . |Rng|) T) ((|MyUnivariatePolynomial| . |InnerEvalable|) 90810) ((|IndexedExponents| . |OrderedAbelianMonoid|) T) ((|IndexedExponents| . |OrderedCancellationAbelianMonoid|) T) ((|BalancedPAdicRational| . |UniqueFactorizationDomain|) T) ((|DirichletRing| . |BasicType|) T) ((|LaurentPolynomial| . |IntegralDomain|) T) ((|NewSparseUnivariatePolynomial| . |AbelianSemiGroup|) T) ((|NewSparseUnivariatePolynomial| . |AbelianGroup|) T) ((|NewSparseMultivariatePolynomial| . |AbelianGroup|) T) ((|NewSparseMultivariatePolynomial| . |AbelianSemiGroup|) T) ((|MonoidRing| . |Rng|) T) ((|ModularRing| . |Rng|) T) ((|LieSquareMatrix| . |RightModule|) 90794) ((|GeneralModulePolynomial| . |AbelianSemiGroup|) T) ((|BalancedPAdicRational| . |IntegralDomain|) T) ((|GeneralModulePolynomial| . |AbelianGroup|) T) ((|GeneralDistributedMultivariatePolynomial| . |AbelianSemiGroup|) T) ((|GeneralDistributedMultivariatePolynomial| . |AbelianGroup|) T) ((|SquareMatrix| . |RetractableTo|) 90638) ((|OrdinaryDifferentialRing| . |EntireRing|) 90614) ((|MyExpression| . |FunctionSpace|) 90598) ((|OpenMathEncoding| . |SetCategory|) T) ((|XPolynomial| . |RightModule|) 90582) ((|XPBWPolynomial| . |RightModule|) 90566) ((|LieSquareMatrix| . |BiModule|) 90545) ((|EqTable| . |InnerEvalable|) 90253) ((|UnivariatePuiseuxSeriesConstructor| . |TranscendentalFunctionCategory|) 90202) ((|UnivariatePuiseuxSeriesConstructor| . |TrigonometricFunctionCategory|) 90151) ((|UniversalSegment| . |BasicType|) 90121) ((|DirectProductModule| . |Evalable|) 90045) ((|DirectProductMatrixModule| . |Evalable|) 89969) ((|UnivariateLaurentSeries| . |DifferentialExtension|) 89899) ((|StringTable| . |ConvertibleTo|) NIL) ((|StringTable| . |CoercibleTo|) 89873) ((|UnivariateLaurentSeriesConstructor| . |TranscendentalFunctionCategory|) 89822) ((|UnivariateLaurentSeriesConstructor| . |TrigonometricFunctionCategory|) 89771) ((|SquareMatrix| . |FullyLinearlyExplicitRingOver|) 89755) ((|SingleInteger| . |OrderedIntegralDomain|) T) ((|SingleInteger| . |PrincipalIdealDomain|) T) ((|SplitHomogeneousDirectProduct| . |IndexedAggregate|) 89727) ((|SimpleAlgebraicExtension| . |ConvertibleTo|) 89711) ((|SimpleAlgebraicExtension| . |CoercibleTo|) 89685) ((|RightOpenIntervalRootCharacterization| . |CoercibleTo|) 89659) ((|InfinitlyClosePoint| . |BasicType|) T) ((|Heap| . |CoercibleTo|) 89610) ((|OrderedDirectProduct| . |EltableAggregate|) 89582) ((|KeyedAccessFile| . |Collection|) 89518) ((|Factored| . |Rng|) T) ((|HexadecimalExpansion| . |Module|) 89452) ((|HomogeneousDirectProduct| . |HomogeneousAggregate|) 89436) ((|FlexibleArray| . |OrderedSet|) 89407) ((|FortranExpression| . |LeftModule|) 89381) ((|AntiSymm| . |AbelianGroup|) T) ((|AntiSymm| . |AbelianSemiGroup|) T) ((|DecimalExpansion| . |Module|) 89315) ((|Complex| . |MonogenicAlgebra|) 89263) ((|ContinuedFraction| . |LeftModule|) 89178) ((|InnerPrimeField| . |AbelianGroup|) T) ((|InnerPrimeField| . |AbelianSemiGroup|) T) ((|InnerFiniteField| . |AbelianSemiGroup|) T) ((|InnerFiniteField| . |AbelianGroup|) T) ((|GeneralSparseTable| . |Collection|) 89120) ((|MachineInteger| . |LeftOreRing|) T) ((|QuadraticForm| . |BasicType|) T) ((|OutputForm| . |BasicType|) T) ((|Octonion| . |FullyRetractableTo|) 89076) ((|AlgebraicFunctionField| . |CancellationAbelianMonoid|) T) ((|d03fafAnnaType| . |PartialDifferentialEquationsSolverCategory|) T) ((|MachineFloat| . |Field|) T) ((|MachineInteger| . |OrderedAbelianSemiGroup|) T) ((|MachineInteger| . |OrderedAbelianGroup|) T) ((|InnerPAdicInteger| . |SemiGroup|) T) ((|Integer| . |SemiGroup|) T) ((|BalancedPAdicInteger| . |LeftOreRing|) T) ((|InnerAlgebraicNumber| . |SemiGroup|) T) ((|MachineInteger| . |Monoid|) T) ((|FiniteFieldExtension| . |CoercibleTo|) 89050) ((|FiniteFieldNormalBasisExtension| . |CoercibleTo|) 89024) ((|FiniteFieldCyclicGroupExtension| . |CoercibleTo|) 88998) ((|Asp24| . |FortranFunctionCategory|) T) ((|Asp24| . |FortranProgramCategory|) T) ((|BinaryExpansion| . |ConvertibleTo|) 88899) ((|BinaryExpansion| . |CoercibleTo|) 88873) ((|d03eefAnnaType| . |PartialDifferentialEquationsSolverCategory|) T) ((|PrimitiveArray| . |Collection|) 88857) ((|UnivariatePuiseuxSeriesConstructor| . |ArcTrigonometricFunctionCategory|) 88806) ((|NonNegativeInteger| . |CancellationAbelianMonoid|) T) ((|CardinalNumber| . |Monoid|) T) ((|BalancedPAdicInteger| . |Monoid|) T) ((|UnivariatePuiseuxSeriesConstructor| . |ArcHyperbolicFunctionCategory|) 88755) ((|RectangularMatrix| . |HomogeneousAggregate|) 88739) ((|InnerPAdicInteger| . |AbelianMonoid|) T) ((|Integer| . |AbelianMonoid|) T) ((|InnerAlgebraicNumber| . |AbelianMonoid|) T) ((|UnivariateLaurentSeriesConstructor| . |ArcTrigonometricFunctionCategory|) 88688) ((|UnivariateLaurentSeriesConstructor| . |ArcHyperbolicFunctionCategory|) 88637) ((|SparseUnivariatePolynomial| . |BasicType|) T) ((|SparseMultivariatePolynomial| . |BasicType|) T) ((|SparseUnivariateSkewPolynomial| . |BasicType|) T) ((|DenavitHartenbergMatrix| . |HomogeneousAggregate|) 88621) ((|XPolynomial| . |BiModule|) 88600) ((|XPBWPolynomial| . |BiModule|) 88579) ((|AlgebraGivenByStructuralConstants| . |RightModule|) 88563) ((|UnivariatePolynomial| . |UnivariatePolynomialCategory|) 88547) ((|UnivariateSkewPolynomial| . |UnivariateSkewPolynomialCategory|) 88531) ((|SymmetricPolynomial| . |EntireRing|) 88498) ((|Bits| . |Eltable|) 88463) ((|SquareMatrix| . |PartialDifferentialRing|) 88395) ((|AlgebraGivenByStructuralConstants| . |BiModule|) 88374) ((|MyUnivariatePolynomial| . |EntireRing|) 88237) ((|XPolynomial| . |Ring|) T) ((|LieSquareMatrix| . |Ring|) T) ((|SparseUnivariateLaurentSeries| . |OrderedRing|) NIL) ((|String| . |ConvertibleTo|) NIL) ((|String| . |CoercibleTo|) 88211) ((|RoutinesTable| . |KeyedDictionary|) 88181) ((|RoutinesTable| . |SetCategory|) T) ((|Asp35| . |FortranVectorFunctionCategory|) T) ((|Asp35| . |FortranProgramCategory|) T) ((|LieSquareMatrix| . |DifferentialRing|) 88146) ((|CliffordAlgebra| . |RightModule|) 88130) ((|Interval| . |IntervalCategory|) 88114) ((|FiniteFieldExtensionByPolynomial| . |CharacteristicZero|) 88077) ((|FiniteFieldExtensionByPolynomial| . |CharacteristicNonZero|) 88008) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |CharacteristicZero|) 87971) ((|MakeCachableSet| . |SetCategory|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |CharacteristicNonZero|) 87902) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |CharacteristicZero|) 87865) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |CharacteristicNonZero|) 87796) ((|DifferentialSparseMultivariatePolynomial| . |CharacteristicNonZero|) 87756) ((|DifferentialSparseMultivariatePolynomial| . |CharacteristicZero|) 87719) ((|DirectProductModule| . |Algebra|) 87676) ((|DistributedMultivariatePolynomial| . |CharacteristicZero|) 87639) ((|BalancedPAdicRational| . |Field|) T) ((|DistributedMultivariatePolynomial| . |CharacteristicNonZero|) 87599) ((|DirectProductMatrixModule| . |Algebra|) 87556) ((|CliffordAlgebra| . |BiModule|) 87535) ((|RadicalFunctionField| . |RetractableTo|) 87340) ((|PlacesOverPseudoAlgebraicClosureOfFiniteField| . |SetCategoryWithDegree|) T) ((|MachineComplex| . |UniqueFactorizationDomain|) T) ((|Octonion| . |Rng|) T) ((|MachineFloat| . |SemiGroup|) T) ((|XPBWPolynomial| . |Ring|) T) ((|SparseUnivariatePolynomialExpressions| . |SemiGroup|) T) ((|Stream| . |Type|) T) ((|RadicalFunctionField| . |FullyLinearlyExplicitRingOver|) 87311) ((|PrimeField| . |CharacteristicNonZero|) T) ((|PrimeField| . |CharacteristicZero|) 87277) ((|PAdicInteger| . |CancellationAbelianMonoid|) T) ((|OrderedDirectProduct| . |RightModule|) 87147) ((|MachineFloat| . |AbelianMonoid|) T) ((|MachineComplex| . |IntegralDomain|) T) ((|ListMultiDictionary| . |CoercibleTo|) 87098) ((|ListMultiDictionary| . |ConvertibleTo|) 87034) ((|Library| . |ConvertibleTo|) NIL) ((|Library| . |CoercibleTo|) 87008) ((|HexadecimalExpansion| . |CommutativeRing|) T) ((|DeRhamComplex| . |AbelianGroup|) T) ((|ContinuedFraction| . |LeftOreRing|) T) ((|DeRhamComplex| . |AbelianSemiGroup|) T) ((|DecimalExpansion| . |CommutativeRing|) T) ((|GeneralUnivariatePowerSeries| . |TrigonometricFunctionCategory|) 86957) ((|GeneralUnivariatePowerSeries| . |TranscendentalFunctionCategory|) 86906) ((|e04ucfAnnaType| . |CoercibleTo|) 86880) ((|e04nafAnnaType| . |CoercibleTo|) 86854) ((|e04mbfAnnaType| . |CoercibleTo|) 86828) ((|e04jafAnnaType| . |CoercibleTo|) 86802) ((|e04gcfAnnaType| . |CoercibleTo|) 86776) ((|IndexedBits| . |LinearAggregate|) 86753) ((|e04fdfAnnaType| . |CoercibleTo|) 86727) ((|FortranExpression| . |Monoid|) T) ((|e04dgfAnnaType| . |CoercibleTo|) 86701) ((|Bits| . |OneDimensionalArrayAggregate|) 86678) ((|ContinuedFraction| . |Monoid|) T) ((|IndexedBits| . |FiniteLinearAggregate|) 86655) ((|d03fafAnnaType| . |CoercibleTo|) 86629) ((|IndexedList| . |StreamAggregate|) 86613) ((|IndexedBits| . |BitAggregate|) T) ((|Bits| . |IndexedAggregate|) 86578) ((|d03eefAnnaType| . |CoercibleTo|) 86552) ((|GeneralUnivariatePowerSeries| . |ArcHyperbolicFunctionCategory|) 86501) ((|GeneralUnivariatePowerSeries| . |ArcTrigonometricFunctionCategory|) 86450) ((|d02ejfAnnaType| . |CoercibleTo|) 86424) ((|d02cjfAnnaType| . |CoercibleTo|) 86398) ((|d02bhfAnnaType| . |CoercibleTo|) 86372) ((|d02bbfAnnaType| . |CoercibleTo|) 86346) ((|d01TransformFunctionType| . |CoercibleTo|) 86320) ((|d01gbfAnnaType| . |CoercibleTo|) 86294) ((|d01fcfAnnaType| . |CoercibleTo|) 86268) ((|d01asfAnnaType| . |CoercibleTo|) 86242) ((|d01aqfAnnaType| . |CoercibleTo|) 86216) ((|d01apfAnnaType| . |CoercibleTo|) 86190) ((|d01anfAnnaType| . |CoercibleTo|) 86164) ((|InputForm| . |SExpressionCategory|) 86088) ((|d01amfAnnaType| . |CoercibleTo|) 86062) ((|d01alfAnnaType| . |CoercibleTo|) 86036) ((|AssociationList| . |HomogeneousAggregate|) 85965) ((|d01akfAnnaType| . |CoercibleTo|) 85939) ((|d01ajfAnnaType| . |CoercibleTo|) 85913) ((|SparseUnivariatePolynomialExpressions| . |AbelianMonoid|) T) ((|OrderedDirectProduct| . |BiModule|) 85776) ((|List| . |BasicType|) 85713) ((|HomogeneousDirectProduct| . |Eltable|) 85685) ((|SplitHomogeneousDirectProduct| . |CoercibleTo|) 85334) ((|SetOfMIntegersInOneToN| . |SetCategory|) T) ((|RegularChain| . |Type|) T) ((|LaurentPolynomial| . |SemiGroup|) T) ((|XPolynomialRing| . |RetractableTo|) 85318) ((|SparseUnivariatePolynomial| . |Evalable|) 85305) ((|SparseMultivariatePolynomial| . |Evalable|) 85292) ((|BalancedPAdicRational| . |SemiGroup|) T) ((|U8Matrix| . |MatrixCategory|) 85243) ((|OrderedFreeMonoid| . |BasicType|) T) ((|LaurentPolynomial| . |AbelianMonoid|) T) ((|SparseTable| . |InnerEvalable|) 84951) ((|FreeMonoid| . |BasicType|) T) ((|FreeAbelianMonoid| . |BasicType|) T) ((|RadicalFunctionField| . |PartialDifferentialRing|) 84870) ((|PolynomialRing| . |SetCategory|) T) ((|CliffordAlgebra| . |Ring|) T) ((|MultivariatePolynomial| . |FullyRetractableTo|) 84854) ((|BalancedPAdicRational| . |AbelianMonoid|) T) ((|MonoidRing| . |SetCategory|) T) ((|ModularRing| . |SetCategory|) T) ((|MakeCachableSet| . |CachableSet|) T) ((|GenericNonAssociativeAlgebra| . |SetCategory|) T) ((|Expression| . |FunctionSpace|) 84838) ((|Fraction| . |Type|) T) ((|RegularTriangularSet| . |ConvertibleTo|) 84774) ((|RegularTriangularSet| . |CoercibleTo|) 84726) ((|RealClosure| . |UniqueFactorizationDomain|) T) ((|DoubleFloat| . |BasicType|) T) ((|DirichletRing| . |Algebra|) 84646) ((|OrderlyDifferentialPolynomial| . |DifferentialExtension|) 84630) ((|RealClosure| . |IntegralDomain|) T) ((|OnePointCompletion| . |LeftModule|) 84594) ((|FiniteField| . |UniqueFactorizationDomain|) T) ((|GeneralTriangularSet| . |CoercibleTo|) 84546) ((|GeneralTriangularSet| . |ConvertibleTo|) 84482) ((|GeneralPolynomialSet| . |ConvertibleTo|) 84418) ((|GeneralPolynomialSet| . |CoercibleTo|) 84370) ((|Fraction| . |Patternable|) 84354) ((|ExponentialOfUnivariatePuiseuxSeries| . |RightModule|) 84136) ((|Fraction| . |PatternMatchable|) 84017) ((|OrderedCompletion| . |RetractableTo|) 83861) ((|HexadecimalExpansion| . |InnerEvalable|) NIL) ((|HomogeneousDirectProduct| . |IndexedAggregate|) 83833) ((|FiniteField| . |IntegralDomain|) T) ((|DecimalExpansion| . |InnerEvalable|) NIL) ((|PAdicRationalConstructor| . |GcdDomain|) T) ((|Factored| . |SetCategory|) T) ((|Fraction| . |RetractableTo|) 83635) ((|ExponentialOfUnivariatePuiseuxSeries| . |BiModule|) 83385) ((|MachineComplex| . |Field|) T) ((|DoubleFloat| . |ElementaryFunctionCategory|) T) ((|AlgebraicNumber| . |UniqueFactorizationDomain|) T) ((|OrderedDirectProduct| . |Ring|) 83295) ((|InnerPAdicInteger| . |CancellationAbelianMonoid|) T) ((|Integer| . |CancellationAbelianMonoid|) T) ((|InnerAlgebraicNumber| . |CancellationAbelianMonoid|) T) ((|AlgebraicNumber| . |IntegralDomain|) T) ((|StringTable| . |EltableAggregate|) 83268) ((|SparseUnivariatePolynomial| . |StepThrough|) 83238) ((|Expression| . |AlgebraicallyClosedField|) 83205) ((|RomanNumeral| . |BasicType|) T) ((|OrderedDirectProduct| . |DifferentialRing|) 83142) ((|DirectProduct| . |OrderedRing|) 83112) ((|Polynomial| . |BasicType|) T) ((|ModuleMonomial| . |BasicType|) T) ((|EqTable| . |HomogeneousAggregate|) 83041) ((|HomogeneousDistributedMultivariatePolynomial| . |BasicType|) T) ((|MultivariatePolynomial| . |Rng|) T) ((|Kernel| . |CoercibleTo|) 83015) ((|Kernel| . |ConvertibleTo|) 82793) ((|Fraction| . |FullyLinearlyExplicitRingOver|) 82777) ((|Fraction| . |FullyEvalableOver|) 82761) ((|SparseUnivariatePolynomial| . |Algebra|) 82501) ((|SparseMultivariatePolynomial| . |Algebra|) 82264) ((|SparseUnivariateSkewPolynomial| . |Algebra|) 82221) ((|FreeNilpotentLie| . |LeftModule|) 82205) ((|List| . |Evalable|) 82129) ((|U8Matrix| . |CoercibleTo|) 82103) ((|PolynomialRing| . |Module|) 81947) ((|MonoidRing| . |Module|) 81904) ((|Dequeue| . |BagAggregate|) 81888) ((|AssociationList| . |Eltable|) 81800) ((|LocalAlgebra| . |LeftModule|) 81774) ((|Exit| . |SetCategory|) T) ((|EuclideanModularRing| . |RightModule|) 81761) ((|Bits| . |CoercibleTo|) 81735) ((|Bits| . |ConvertibleTo|) 81710) ((|GenericNonAssociativeAlgebra| . |Module|) 81666) ((|OrderlyDifferentialPolynomial| . |DifferentialPolynomialCategory|) 81532) ((|Matrix| . |SetCategory|) 81502) ((|InnerTable| . |SetCategory|) T) ((|SparseUnivariateTaylorSeries| . |Rng|) T) ((|SparseUnivariatePuiseuxSeries| . |Rng|) T) ((|EuclideanModularRing| . |BiModule|) 81487) ((|SparseUnivariateLaurentSeries| . |Rng|) T) ((|SparseMultivariateTaylorSeries| . |Rng|) T) ((|InnerTable| . |KeyedDictionary|) 81466) ((|RadixExpansion| . |OrderedRing|) T) ((|DenavitHartenbergMatrix| . |MatrixCategory|) 81418) ((|MachineComplex| . |SemiGroup|) T) ((|TaylorSeries| . |MultivariateTaylorSeriesCategory|) 81391) ((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| . |ProjectiveSpaceCategory|) 81335) ((|ExponentialOfUnivariatePuiseuxSeries| . |Ring|) T) ((|FiniteFieldCyclicGroup| . |AbelianSemiGroup|) T) ((|FiniteFieldCyclicGroup| . |AbelianGroup|) T) ((|Fraction| . |PartialDifferentialRing|) 81267) ((|Asp28| . |Type|) T) ((|OnePointCompletion| . |OrderedAbelianSemiGroup|) 81237) ((|Factored| . |Module|) 81211) ((|Octonion| . |SetCategory|) T) ((|OnePointCompletion| . |OrderedAbelianGroup|) 81181) ((|MachineFloat| . |CancellationAbelianMonoid|) T) ((|ModMonic| . |PrincipalIdealDomain|) 81157) ((|MachineComplex| . |AbelianMonoid|) T) ((|HexadecimalExpansion| . |EntireRing|) T) ((|OnePointCompletion| . |Monoid|) 81127) ((|ExponentialOfUnivariatePuiseuxSeries| . |DifferentialRing|) 81062) ((|ExponentialOfUnivariatePuiseuxSeries| . |DivisionRing|) 81038) ((|DecimalExpansion| . |EntireRing|) T) ((|RealClosure| . |Field|) T) ((|UnivariatePuiseuxSeriesConstructor| . |GcdDomain|) 81014) ((|UnivariateLaurentSeriesConstructor| . |GcdDomain|) 80990) ((|FiniteField| . |FiniteAlgebraicExtensionField|) 80959) ((|FiniteField| . |Field|) T) ((|SplittingNode| . |CoercibleTo|) 80933) ((|AssociationList| . |UnaryRecursiveAggregate|) 80875) ((|PAdicRational| . |BasicType|) T) ((|List| . |ExtensibleLinearAggregate|) 80859) ((|MachineFloat| . |RealNumberSystem|) T) ((|Pi| . |LeftModule|) 80813) ((|GraphImage| . |SetCategory|) T) ((|AssociationList| . |IndexedAggregate|) 80725) ((|String| . |EltableAggregate|) 80688) ((|SparseUnivariatePolynomialExpressions| . |CancellationAbelianMonoid|) T) ((|AlgebraicFunctionField| . |LinearlyExplicitRingOver|) 80578) ((|AlgebraicNumber| . |Field|) T) ((|SimpleFortranProgram| . |CoercibleTo|) 80552) ((|SequentialDifferentialPolynomial| . |OrderedSet|) 80523) ((|Library| . |EltableAggregate|) 80493) ((|U32Matrix| . |SetCategory|) T) ((|Polynomial| . |Evalable|) 80480) ((|NewSparseUnivariatePolynomial| . |OrderedSet|) 80451) ((|NewSparseMultivariatePolynomial| . |OrderedSet|) 80422) ((|GeneralDistributedMultivariatePolynomial| . |OrderedSet|) 80393) ((|HomogeneousDirectProduct| . |CoercibleTo|) 80042) ((|DirectProduct| . |FullyRetractableTo|) 80003) ((|DoubleFloatMatrix| . |Type|) T) ((|ComplexDoubleFloatMatrix| . |Type|) T) ((|DoubleFloatVector| . |Collection|) 79976) ((|ComplexDoubleFloatVector| . |Collection|) 79937) ((|Asp20| . |Type|) T) ((|MyUnivariatePolynomial| . |Eltable|) 79840) ((|LaurentPolynomial| . |CancellationAbelianMonoid|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |Evalable|) 79827) ((|RoutinesTable| . |InnerEvalable|) 79577) ((|EuclideanModularRing| . |Ring|) T) ((|BalancedPAdicRational| . |CancellationAbelianMonoid|) T) ((|GenericNonAssociativeAlgebra| . |NonAssociativeRng|) T) ((|PolynomialRing| . |CommutativeRing|) 79506) ((|SuchThat| . |SetCategory|) T) ((|SplitHomogeneousDirectProduct| . |EltableAggregate|) 79478) ((|SimpleAlgebraicExtension| . |RightModule|) 79360) ((|LocalAlgebra| . |OrderedAbelianSemiGroup|) 79330) ((|IndexedString| . |SetCategory|) T) ((|LocalAlgebra| . |OrderedAbelianGroup|) 79300) ((|LocalAlgebra| . |Monoid|) T) ((|EqTable| . |Eltable|) 79279) ((|Equation| . |Type|) T) ((|RectangularMatrix| . |CoercibleTo|) 79229) ((|RectangularMatrix| . |ConvertibleTo|) 79165) ((|RealClosure| . |SemiGroup|) T) ((|Complex| . |BasicType|) T) ((|ExtAlgBasis| . |OrderedSet|) T) ((|Set| . |Dictionary|) 79149) ((|OrderlyDifferentialVariable| . |CoercibleTo|) 79123) ((|SimpleAlgebraicExtension| . |BiModule|) 78973) ((|RadicalFunctionField| . |EuclideanDomain|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |GcdDomain|) T) ((|Octonion| . |Module|) 78957) ((|FiniteFieldExtension| . |RightModule|) 78898) ((|FiniteField| . |SemiGroup|) T) ((|FiniteFieldNormalBasisExtension| . |RightModule|) 78839) ((|FramedModule| . |CoercibleTo|) 78813) ((|FreeModule| . |CoercibleTo|) 78787) ((|FiniteFieldCyclicGroupExtension| . |RightModule|) 78728) ((|DenavitHartenbergMatrix| . |CoercibleTo|) 78679) ((|RealClosure| . |AbelianMonoid|) T) ((|NeitherSparseOrDensePowerSeries| . |GcdDomain|) T) ((|BinaryExpansion| . |RightModule|) 78613) ((|NumericalPDEProblem| . |BasicType|) T) ((|NumericalOptimizationProblem| . |BasicType|) T) ((|NumericalODEProblem| . |BasicType|) T) ((|NumericalIntegrationProblem| . |BasicType|) T) ((|Magma| . |BasicType|) T) ((|GeneralUnivariatePowerSeries| . |GcdDomain|) 78589) ((|Factored| . |CommutativeRing|) T) ((|FiniteFieldExtension| . |BiModule|) 78498) ((|FiniteFieldNormalBasisExtension| . |BiModule|) 78407) ((|FiniteFieldCyclicGroupExtension| . |BiModule|) 78316) ((|DirectProductModule| . |DifferentialExtension|) 78284) ((|DirectProductMatrixModule| . |DifferentialExtension|) 78252) ((|FiniteField| . |AbelianMonoid|) T) ((|Asp31| . |Type|) T) ((|DoubleFloat| . |Algebra|) 78206) ((|BinaryExpansion| . |BiModule|) 78101) ((|AlgebraicFunctionField| . |AbelianSemiGroup|) T) ((|AlgebraicFunctionField| . |AbelianGroup|) T) ((|LieSquareMatrix| . |Monad|) T) ((|Complex| . |ElementaryFunctionCategory|) 78052) ((|PseudoAlgebraicClosureOfFiniteField| . |FieldOfPrimeCharacteristic|) T) ((|AlgebraicNumber| . |SemiGroup|) T) ((|PositiveInteger| . |AbelianSemiGroup|) T) ((|NonNegativeInteger| . |AbelianSemiGroup|) T) ((|SparseTable| . |HomogeneousAggregate|) 77981) ((|Pi| . |LeftOreRing|) T) ((|HyperellipticFiniteDivisor| . |SetCategory|) T) ((|XRecursivePolynomial| . |LeftModule|) 77955) ((|UnivariatePolynomial| . |BasicType|) T) ((|UnivariateSkewPolynomial| . |BasicType|) T) ((|DirectProduct| . |Rng|) 77865) ((|RomanNumeral| . |StepThrough|) T) ((|Product| . |OrderedAbelianMonoid|) 77776) ((|FreeModule1| . |LeftModule|) 77760) ((|AlgebraicNumber| . |AbelianMonoid|) T) ((|Product| . |OrderedCancellationAbelianMonoid|) 77671) ((|OrderedDirectProduct| . |OrderedCancellationAbelianMonoid|) 77595) ((|OrderedDirectProduct| . |OrderedAbelianMonoid|) 77519) ((|EqTable| . |IndexedAggregate|) 77498) ((|Pi| . |Monoid|) T) ((|SparseUnivariatePolynomialExpressions| . |HyperbolicFunctionCategory|) 77449) ((|Interval| . |BasicType|) T) ((|StochasticDifferential| . |Rng|) T) ((|PAdicRational| . |Evalable|) 77357) ((|LinearOrdinaryDifferentialOperator1| . |Eltable|) 77336) ((|Boolean| . |Logic|) T) ((|Asp42| . |Type|) T) ((|RomanNumeral| . |Algebra|) 77323) ((|LiePolynomial| . |FreeLieAlgebra|) 77302) ((|Polynomial| . |Algebra|) 77065) ((|MultivariatePolynomial| . |SetCategory|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |Algebra|) 76828) ((|Asp7| . |Type|) T) ((|Interval| . |ElementaryFunctionCategory|) T) ((|UnivariateLaurentSeries| . |OrderedRing|) NIL) ((|SparseUnivariateTaylorSeries| . |SetCategory|) T) ((|SparseUnivariatePuiseuxSeries| . |SetCategory|) T) ((|SparseUnivariateLaurentSeries| . |SetCategory|) T) ((|FiniteFieldNormalBasis| . |RetractableTo|) 76797) ((|SimpleAlgebraicExtension| . |Ring|) T) ((|RadixExpansion| . |Rng|) T) ((|AssociationList| . |CoercibleTo|) 76771) ((|AssociationList| . |ConvertibleTo|) NIL) ((|PartialFraction| . |Rng|) T) ((|OrdinaryDifferentialRing| . |CoercibleTo|) 76745) ((|Stack| . |BasicType|) 76715) ((|SimpleAlgebraicExtension| . |DivisionRing|) 76649) ((|FourierSeries| . |Rng|) T) ((|FiniteFieldExtension| . |Ring|) T) ((|FiniteFieldNormalBasisExtension| . |Ring|) T) ((|File| . |FileCategory|) 76620) ((|FiniteFieldCyclicGroupExtension| . |Ring|) T) ((|DirectProductModule| . |DirectProductCategory|) 76599) ((|DirectProductMatrixModule| . |DirectProductCategory|) 76578) ((|BinaryFile| . |FileCategory|) 76536) ((|SimpleAlgebraicExtension| . |DifferentialRing|) 76430) ((|SparseMultivariateTaylorSeries| . |SetCategory|) T) ((|Equation| . |PartialDifferentialRing|) 76362) ((|BinaryExpansion| . |Ring|) T) ((|MyExpression| . |UniqueFactorizationDomain|) 76329) ((|MachineComplex| . |CancellationAbelianMonoid|) T) ((|Factored| . |InnerEvalable|) 76125) ((|FiniteFieldExtension| . |DifferentialRing|) 76100) ((|FiniteFieldExtension| . |DivisionRing|) T) ((|AlgebraGivenByStructuralConstants| . |Monad|) T) ((|FiniteFieldNormalBasisExtension| . |DifferentialRing|) 76075) ((|FiniteFieldNormalBasisExtension| . |DivisionRing|) T) ((|FiniteFieldCyclicGroupExtension| . |DifferentialRing|) 76050) ((|FiniteFieldCyclicGroupExtension| . |DivisionRing|) T) ((|MyExpression| . |IntegralDomain|) T) ((|Complex| . |Evalable|) 76009) ((|BinaryExpansion| . |DivisionRing|) T) ((|BinaryExpansion| . |DifferentialRing|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |OrderedAbelianMonoid|) T) ((|PAdicInteger| . |AbelianGroup|) T) ((|PAdicInteger| . |AbelianSemiGroup|) T) ((|Fraction| . |EuclideanDomain|) T) ((|IndexedBits| . |Aggregate|) T) ((|Bits| . |EltableAggregate|) 75974) ((|SplitHomogeneousDirectProduct| . |RightModule|) 75844) ((|PAdicRational| . |StepThrough|) NIL) ((|PseudoAlgebraicClosureOfRationalNumber| . |PseudoAlgebraicClosureOfRationalNumberCategory|) T) ((|PseudoAlgebraicClosureOfRationalNumber| . |PseudoAlgebraicClosureOfPerfectFieldCategory|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |PseudoAlgebraicClosureOfPerfectFieldCategory|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |PseudoAlgebraicClosureOfRationalNumberCategory|) T) ((|FortranCode| . |CoercibleTo|) 75818) ((|Fraction| . |RealConstant|) 75787) ((|SplitHomogeneousDirectProduct| . |BiModule|) 75650) ((|PseudoAlgebraicClosureOfRationalNumber| . |CharacteristicNonZero|) 75590) ((|PseudoAlgebraicClosureOfRationalNumber| . |CharacteristicZero|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |CharacteristicZero|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |CharacteristicNonZero|) 75530) ((|FortranTemplate| . |SetCategory|) T) ((|XRecursivePolynomial| . |Monoid|) T) ((|Asp19| . |CoercibleTo|) 75504) ((|PAdicRational| . |Algebra|) 75428) ((|IndexedMatrix| . |Type|) T) ((|IndexedVector| . |Collection|) 75412) ((|IndexedDirectProductObject| . |CoercibleTo|) 75386) ((|UnivariatePolynomial| . |Evalable|) 75373) ((|MultivariatePolynomial| . |Module|) 75136) ((|IndexedExponents| . |OrderedAbelianMonoidSup|) T) ((|IndexedExponents| . |OrderedAbelianSemiGroup|) T) ((|Integer| . |LinearlyExplicitRingOver|) 75113) ((|InnerAlgebraicNumber| . |LinearlyExplicitRingOver|) 75057) ((|FiniteFieldExtensionByPolynomial| . |GcdDomain|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |GcdDomain|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |GcdDomain|) T) ((|DifferentialSparseMultivariatePolynomial| . |GcdDomain|) 74975) ((|IndexedList| . |SetCategory|) 74912) ((|DistributedMultivariatePolynomial| . |GcdDomain|) 74830) ((|SparseTable| . |Eltable|) 74809) ((|SymmetricPolynomial| . |CoercibleTo|) 74783) ((|Matrix| . |InnerEvalable|) 74702) ((|PolynomialRing| . |EntireRing|) 74669) ((|InnerTable| . |InnerEvalable|) 74377) ((|MyUnivariatePolynomial| . |ConvertibleTo|) NIL) ((|MyUnivariatePolynomial| . |CoercibleTo|) 74351) ((|WeightedPolynomials| . |CoercibleTo|) 74325) ((|SparseUnivariatePolynomial| . |DifferentialExtension|) 74309) ((|Complex| . |StepThrough|) 74271) ((|UnivariateTaylorSeriesCZero| . |IntegralDomain|) 74238) ((|SparseUnivariateTaylorSeries| . |Module|) 74082) ((|SparseUnivariatePuiseuxSeries| . |Module|) 73870) ((|Pattern| . |BasicType|) T) ((|SparseUnivariateLaurentSeries| . |Module|) 73585) ((|SparseMultivariateTaylorSeries| . |Module|) 73429) ((|Stream| . |LazyStreamAggregate|) 73413) ((|FiniteFieldExtensionByPolynomial| . |FieldOfPrimeCharacteristic|) 73344) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |FieldOfPrimeCharacteristic|) 73275) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |FieldOfPrimeCharacteristic|) 73206) ((|RealClosure| . |CancellationAbelianMonoid|) T) ((|Octonion| . |InnerEvalable|) 73095) ((|EqTable| . |ConvertibleTo|) NIL) ((|EqTable| . |CoercibleTo|) 73069) ((|PrimeField| . |GcdDomain|) T) ((|Product| . |Finite|) 73014) ((|OrderedDirectProduct| . |Finite|) 72989) ((|IndexedDirectProductOrderedAbelianMonoid| . |IndexedDirectProductCategory|) 72968) ((|IndexedDirectProductAbelianMonoid| . |IndexedDirectProductCategory|) 72947) ((|HexadecimalExpansion| . |Eltable|) NIL) ((|HomogeneousDirectProduct| . |EltableAggregate|) 72919) ((|Factored| . |EntireRing|) T) ((|FiniteField| . |CancellationAbelianMonoid|) T) ((|DecimalExpansion| . |Eltable|) NIL) ((|MachineComplex| . |HyperbolicFunctionCategory|) NIL) ((|Automorphism| . |SemiGroup|) T) ((|Complex| . |Algebra|) 72677) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |IntegralDomain|) T) ((|UnivariatePuiseuxSeriesConstructor| . |PowerSeriesCategory|) 72610) ((|Stack| . |Evalable|) 72534) ((|UnivariateLaurentSeriesConstructor| . |PowerSeriesCategory|) 72480) ((|PrimeField| . |FieldOfPrimeCharacteristic|) T) ((|SplitHomogeneousDirectProduct| . |Ring|) 72390) ((|SparseTable| . |IndexedAggregate|) 72369) ((|MyExpression| . |Field|) 72336) ((|NeitherSparseOrDensePowerSeries| . |Collection|) 72277) ((|Boolean| . |OrderedSet|) T) ((|RoutinesTable| . |HomogeneousAggregate|) 72194) ((|InnerPAdicInteger| . |AbelianGroup|) T) ((|InnerPAdicInteger| . |AbelianSemiGroup|) T) ((|Integer| . |AbelianGroup|) T) ((|Integer| . |AbelianSemiGroup|) T) ((|InnerAlgebraicNumber| . |AbelianSemiGroup|) T) ((|InnerAlgebraicNumber| . |AbelianGroup|) T) ((|UnivariatePolynomial| . |StepThrough|) 72164) ((|SplitHomogeneousDirectProduct| . |DifferentialRing|) 72101) ((|AlgebraicNumber| . |CancellationAbelianMonoid|) T) ((|AffinePlane| . |CoercibleTo|) 72075) ((|ProjectiveSpace| . |SetCategoryWithDegree|) T) ((|TextFile| . |BasicType|) T) ((|DirectProduct| . |SetCategory|) 71767) ((|PAdicRational| . |FullyPatternMatchable|) 71734) ((|SequentialDifferentialVariable| . |BasicType|) T) ((|RewriteRule| . |BasicType|) T) ((|U32Matrix| . |InnerEvalable|) NIL) ((|KeyedAccessFile| . |BasicType|) T) ((|GeneralSparseTable| . |BasicType|) T) ((|UnivariatePolynomial| . |Algebra|) 71474) ((|StochasticDifferential| . |SetCategory|) T) ((|UnivariateSkewPolynomial| . |Algebra|) 71431) ((|SparseUnivariatePolynomialExpressions| . |LinearlyExplicitRingOver|) 71347) ((|MultivariatePolynomial| . |CommutativeRing|) 71200) ((|LinearOrdinaryDifferentialOperator1| . |CoercibleTo|) 71174) ((|Interval| . |Algebra|) 71161) ((|PrimitiveArray| . |BasicType|) 71098) ((|OrderedVariableList| . |CoercibleTo|) 71072) ((|OrderedVariableList| . |ConvertibleTo|) 70966) ((|IndexedString| . |InnerEvalable|) NIL) ((|UnivariateTaylorSeries| . |Rng|) T) ((|UnivariatePuiseuxSeries| . |Rng|) T) ((|UnivariateLaurentSeries| . |Rng|) T) ((|UnivariateFormalPowerSeries| . |Rng|) T) ((|IntegerMod| . |SemiGroup|) T) ((|TaylorSeries| . |CharacteristicZero|) 70929) ((|SparseUnivariateTaylorSeries| . |CommutativeRing|) 70858) ((|InnerTaylorSeries| . |Rng|) T) ((|InnerSparseUnivariatePowerSeries| . |Rng|) T) ((|SparseUnivariatePuiseuxSeries| . |CommutativeRing|) 70764) ((|SparseUnivariateLaurentSeries| . |CommutativeRing|) 70670) ((|SparseMultivariateTaylorSeries| . |CommutativeRing|) 70599) ((|RadixExpansion| . |SetCategory|) T) ((|Partition| . |SetCategory|) T) ((|PartialFraction| . |SetCategory|) T) ((|Octonion| . |OctonionCategory|) 70583) ((|NeitherSparseOrDensePowerSeries| . |LocalPowerSeriesCategory|) 70567) ((|NeitherSparseOrDensePowerSeries| . |PowerSeriesCategory|) 70513) ((|MyExpression| . |SemiGroup|) T) ((|MachineFloat| . |AbelianSemiGroup|) T) ((|MachineFloat| . |AbelianGroup|) T) ((|BalancedPAdicRational| . |LinearlyExplicitRingOver|) 70472) ((|MachineInteger| . |PatternMatchable|) 70449) ((|FourierSeries| . |SetCategory|) T) ((|Expression| . |UniqueFactorizationDomain|) 70416) ((|ExponentialExpansion| . |UniqueFactorizationDomain|) T) ((|Complex| . |FullyPatternMatchable|) 70400) ((|TaylorSeries| . |CharacteristicNonZero|) 70360) ((|GeneralUnivariatePowerSeries| . |PowerSeriesCategory|) 70293) ((|Asp33| . |CoercibleTo|) 70267) ((|MyExpression| . |AbelianMonoid|) T) ((|BinaryExpansion| . |OrderedCancellationAbelianMonoid|) T) ((|BinaryExpansion| . |OrderedAbelianMonoid|) T) ((|Expression| . |IntegralDomain|) 70234) ((|MachineInteger| . |RetractableTo|) 70211) ((|ExponentialExpansion| . |IntegralDomain|) T) ((|IntegerMod| . |AbelianMonoid|) T) ((|CardinalNumber| . |RetractableTo|) 70177) ((|HomogeneousDirectProduct| . |RightModule|) 70047) ((|AssociationList| . |EltableAggregate|) 69959) ((|SparseUnivariatePolynomialExpressions| . |AbelianSemiGroup|) T) ((|SparseUnivariatePolynomialExpressions| . |AbelianGroup|) T) ((|DirectProduct| . |Module|) 69888) ((|HomogeneousDirectProduct| . |BiModule|) 69751) ((|SegmentBinding| . |BasicType|) 69721) ((|ResidueRing| . |BasicType|) T) ((|StochasticDifferential| . |Module|) 69690) ((|List| . |OpenMath|) 69663) ((|U16Matrix| . |SetCategory|) T) ((|MultivariatePolynomial| . |InnerEvalable|) 69567) ((|RectangularMatrix| . |RightModule|) 69551) ((|LaurentPolynomial| . |AbelianGroup|) T) ((|LaurentPolynomial| . |AbelianSemiGroup|) T) ((|RoutinesTable| . |Eltable|) 69521) ((|FreeGroup| . |BasicType|) T) ((|FreeAbelianGroup| . |BasicType|) T) ((|LieSquareMatrix| . |LeftModule|) 69495) ((|FreeModule| . |RightModule|) 69479) ((|RectangularMatrix| . |BiModule|) 69458) ((|OrderlyDifferentialPolynomial| . |FullyRetractableTo|) 69442) ((|BalancedPAdicRational| . |AbelianSemiGroup|) T) ((|Asp9| . |CoercibleTo|) 69416) ((|BalancedPAdicRational| . |AbelianGroup|) T) ((|KeyedAccessFile| . |Evalable|) 69158) ((|GeneralSparseTable| . |Evalable|) 68918) ((|UnivariateTaylorSeriesCZero| . |SemiGroup|) T) ((|SparseTable| . |ConvertibleTo|) NIL) ((|FreeModule| . |BiModule|) 68897) ((|Float| . |BasicType|) T) ((|Database| . |CoercibleTo|) 68871) ((|SparseTable| . |CoercibleTo|) 68845) ((|RadixExpansion| . |Module|) 68779) ((|SparseUnivariateLaurentSeries| . |InnerEvalable|) 68309) ((|PartialFraction| . |Module|) 68250) ((|SparseMultivariateTaylorSeries| . |InnerEvalable|) 68220) ((|FiniteFieldNormalBasis| . |EuclideanDomain|) T) ((|UnivariateTaylorSeriesCZero| . |AbelianMonoid|) T) ((|Table| . |Collection|) 68162) ((|PrimitiveArray| . |Evalable|) 68086) ((|Operator| . |BasicType|) T) ((|FourierSeries| . |Module|) 68070) ((|DoubleFloat| . |OpenMath|) T) ((|OppositeMonogenicLinearOperator| . |BasicType|) T) ((|OpenMathError| . |BasicType|) T) ((|HashTable| . |Collection|) 68012) ((|UnivariatePuiseuxSeriesConstructor| . |UnivariatePuiseuxSeriesConstructorCategory|) 67991) ((|SingleInteger| . |UniqueFactorizationDomain|) T) ((|FortranExpression| . |RetractableTo|) 67954) ((|UnivariatePuiseuxSeriesConstructor| . |UnivariatePowerSeriesCategory|) 67913) ((|UnivariatePuiseuxSeriesConstructor| . |UnivariatePuiseuxSeriesCategory|) 67897) ((|UnivariateLaurentSeriesConstructor| . |UnivariateLaurentSeriesConstructorCategory|) 67876) ((|Asp55| . |CoercibleTo|) 67850) ((|Permutation| . |CoercibleTo|) 67824) ((|UnivariateLaurentSeriesConstructor| . |UnivariatePowerSeriesCategory|) 67796) ((|SingleInteger| . |IntegralDomain|) T) ((|PositiveInteger| . |OrderedSet|) T) ((|NonNegativeInteger| . |OrderedSet|) T) ((|HexadecimalExpansion| . |ConvertibleTo|) 67697) ((|HexadecimalExpansion| . |CoercibleTo|) 67671) ((|Float| . |ElementaryFunctionCategory|) T) ((|LyndonWord| . |OrderedSet|) T) ((|UnivariateLaurentSeriesConstructor| . |UnivariateLaurentSeriesCategory|) 67655) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |SemiGroup|) T) ((|DecimalExpansion| . |ConvertibleTo|) 67556) ((|DecimalExpansion| . |CoercibleTo|) 67530) ((|RoutinesTable| . |IndexedAggregate|) 67500) ((|OneDimensionalArray| . |Collection|) 67484) ((|IndexedFlexibleArray| . |Collection|) 67468) ((|IndexedOneDimensionalArray| . |Collection|) 67452) ((|FiniteFieldExtension| . |ExtensionField|) 67436) ((|FiniteFieldNormalBasisExtension| . |ExtensionField|) 67420) ((|FiniteFieldCyclicGroupExtension| . |ExtensionField|) 67404) ((|Expression| . |Field|) 67371) ((|ExponentialExpansion| . |Field|) T) ((|HomogeneousDirectProduct| . |Ring|) 67281) ((|MachineComplex| . |LinearlyExplicitRingOver|) 67253) ((|XPolynomial| . |LeftModule|) 67227) ((|XPBWPolynomial| . |LeftModule|) 67201) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |AbelianMonoid|) T) ((|Matrix| . |HomogeneousAggregate|) 67185) ((|Asp1| . |CoercibleTo|) 67159) ((|SplitHomogeneousDirectProduct| . |OrderedCancellationAbelianMonoid|) 67083) ((|SplitHomogeneousDirectProduct| . |OrderedAbelianMonoid|) 67007) ((|InnerTable| . |HomogeneousAggregate|) 66936) ((|LieSquareMatrix| . |Aggregate|) T) ((|HomogeneousDirectProduct| . |DifferentialRing|) 66873) ((|EqTable| . |EltableAggregate|) 66852) ((|DirectProduct| . |CommutativeRing|) 66818) ((|PseudoAlgebraicClosureOfFiniteField| . |VectorSpace|) 66802) ((|OrderlyDifferentialPolynomial| . |Rng|) T) ((|AlgebraGivenByStructuralConstants| . |LeftModule|) 66751) ((|SimpleAlgebraicExtension| . |Finite|) 66684) ((|MultivariatePolynomial| . |EntireRing|) 66570) ((|IndexedList| . |InnerEvalable|) 66489) ((|OrdinaryDifferentialRing| . |RightModule|) 66426) ((|SequentialDifferentialPolynomial| . |CharacteristicNonZero|) 66386) ((|FiniteFieldExtension| . |Finite|) 66361) ((|FiniteFieldNormalBasisExtension| . |Finite|) 66336) ((|FiniteFieldCyclicGroupExtension| . |Finite|) 66311) ((|SequentialDifferentialPolynomial| . |CharacteristicZero|) 66274) ((|PAdicRational| . |DifferentialExtension|) 66241) ((|OrdinaryDifferentialRing| . |BiModule|) 66151) ((|NewSparseUnivariatePolynomial| . |CharacteristicNonZero|) 66111) ((|NewSparseUnivariatePolynomial| . |CharacteristicZero|) 66074) ((|DifferentialSparseMultivariatePolynomial| . |PolynomialCategory|) 66027) ((|DirectProductModule| . |OrderedRing|) 65997) ((|DistributedMultivariatePolynomial| . |PolynomialCategory|) 65900) ((|DirectProductMatrixModule| . |OrderedRing|) 65870) ((|NewSparseMultivariatePolynomial| . |CharacteristicNonZero|) 65830) ((|NewSparseMultivariatePolynomial| . |CharacteristicZero|) 65793) ((|CliffordAlgebra| . |LeftModule|) 65767) ((|GeneralDistributedMultivariatePolynomial| . |CharacteristicZero|) 65730) ((|GeneralDistributedMultivariatePolynomial| . |CharacteristicNonZero|) 65690) ((|LieSquareMatrix| . |Monoid|) T) ((|OpenMathEncoding| . |CoercibleTo|) 65664) ((|UnivariateTaylorSeries| . |SetCategory|) T) ((|UnivariatePuiseuxSeries| . |SetCategory|) T) ((|UnivariateLaurentSeries| . |SetCategory|) T) ((|UnivariateFormalPowerSeries| . |SetCategory|) T) ((|TaylorSeries| . |TrigonometricFunctionCategory|) 65613) ((|TaylorSeries| . |TranscendentalFunctionCategory|) 65562) ((|SparseUnivariateTaylorSeries| . |EntireRing|) 65529) ((|SparseUnivariatePuiseuxSeries| . |EntireRing|) 65468) ((|SparseUnivariateLaurentSeries| . |EntireRing|) 65407) ((|SparseMultivariateTaylorSeries| . |EntireRing|) 65374) ((|FortranExpression| . |PartialDifferentialRing|) 65352) ((|RadixExpansion| . |CommutativeRing|) T) ((|PartialFraction| . |CommutativeRing|) T) ((|NeitherSparseOrDensePowerSeries| . |UnivariatePowerSeriesCategory|) 65324) ((|InnerTaylorSeries| . |SetCategory|) T) ((|InnerSparseUnivariatePowerSeries| . |SetCategory|) T) ((|MachineComplex| . |AbelianGroup|) T) ((|MachineComplex| . |AbelianSemiGroup|) T) ((|GeneralUnivariatePowerSeries| . |UnivariatePuiseuxSeriesCategory|) 65308) ((|GeneralUnivariatePowerSeries| . |UnivariatePowerSeriesCategory|) 65267) ((|Factored| . |Eltable|) 65185) ((|Expression| . |SemiGroup|) 64967) ((|ExponentialExpansion| . |SemiGroup|) T) ((|TaylorSeries| . |ArcHyperbolicFunctionCategory|) 64916) ((|TaylorSeries| . |ArcTrigonometricFunctionCategory|) 64865) ((|Asp77| . |CoercibleTo|) 64839) ((|ArrayStack| . |BasicType|) 64809) ((|IntegerMod| . |CancellationAbelianMonoid|) T) ((|U32Matrix| . |HomogeneousAggregate|) 64786) ((|MyExpression| . |CancellationAbelianMonoid|) T) ((|InnerPrimeField| . |CharacteristicNonZero|) T) ((|InnerPrimeField| . |CharacteristicZero|) 64752) ((|InnerFiniteField| . |CharacteristicZero|) 64718) ((|InnerFiniteField| . |CharacteristicNonZero|) T) ((|Expression| . |AbelianMonoid|) 64486) ((|AlgebraicFunctionField| . |FunctionFieldCategory|) 64460) ((|ExponentialExpansion| . |AbelianMonoid|) T) ((|String| . |LinearAggregate|) 64435) ((|OrderedDirectProduct| . |LeftModule|) 64249) ((|XDistributedPolynomial| . |Rng|) T) ((|String| . |FiniteLinearAggregate|) 64224) ((|Complex| . |DifferentialExtension|) 64208) ((|IndexedString| . |HomogeneousAggregate|) 64183) ((|DirectProduct| . |InnerEvalable|) 64102) ((|XPolynomial| . |Monoid|) T) ((|XPBWPolynomial| . |Monoid|) T) ((|SymmetricPolynomial| . |RightModule|) 63935) ((|MyUnivariatePolynomial| . |RightModule|) 63669) ((|SymmetricPolynomial| . |BiModule|) 63470) ((|OrdinaryDifferentialRing| . |Ring|) T) ((|MyUnivariatePolynomial| . |BiModule|) 63172) ((|InnerFreeAbelianMonoid| . |BasicType|) T) ((|AlgebraicNumber| . |LinearlyExplicitRingOver|) 63116) ((|IndexedDirectProductOrderedAbelianMonoid| . |BasicType|) T) ((|IndexedDirectProductAbelianMonoid| . |BasicType|) T) ((|WeightedPolynomials| . |RightModule|) 63073) ((|ResidueRing| . |Algebra|) 63057) ((|OrdinaryDifferentialRing| . |DifferentialRing|) T) ((|OrdinaryDifferentialRing| . |DivisionRing|) 63033) ((|InnerTable| . |Eltable|) 63012) ((|WeightedPolynomials| . |BiModule|) 62964) ((|UnivariatePolynomial| . |DifferentialExtension|) 62948) ((|UnivariateTaylorSeries| . |Module|) 62792) ((|UnivariatePuiseuxSeries| . |Module|) 62580) ((|RoutinesTable| . |ConvertibleTo|) NIL) ((|RoutinesTable| . |CoercibleTo|) 62554) ((|UnivariateLaurentSeries| . |Module|) 62275) ((|UnivariateFormalPowerSeries| . |Module|) 62119) ((|RadicalFunctionField| . |PrincipalIdealDomain|) T) ((|MakeCachableSet| . |CoercibleTo|) 62080) ((|CliffordAlgebra| . |Monoid|) T) ((|UnivariateTaylorSeriesCZero| . |CancellationAbelianMonoid|) T) ((|U8Vector| . |OrderedSet|) T) ((|SplitHomogeneousDirectProduct| . |Finite|) 62055) ((|RadixExpansion| . |InnerEvalable|) NIL) ((|DirectProductModule| . |FullyRetractableTo|) 62016) ((|DirectProductMatrixModule| . |FullyRetractableTo|) 61977) ((|RealClosure| . |AbelianSemiGroup|) T) ((|RealClosure| . |AbelianGroup|) T) ((|InnerTaylorSeries| . |Module|) 61938) ((|InnerSparseUnivariatePowerSeries| . |Module|) 61782) ((|Octonion| . |Eltable|) 61735) ((|BinaryTournament| . |BasicType|) 61705) ((|OnePointCompletion| . |RetractableTo|) 61549) ((|Complex| . |OpenMath|) 61522) ((|ExponentialOfUnivariatePuiseuxSeries| . |LeftModule|) 61391) ((|OrderedDirectProduct| . |Aggregate|) T) ((|ModuleOperator| . |BasicType|) T) ((|SingleInteger| . |SemiGroup|) T) ((|Reference| . |Type|) T) ((|Float| . |Algebra|) 61345) ((|FiniteField| . |AbelianSemiGroup|) T) ((|FiniteField| . |AbelianGroup|) T) ((|DoubleFloatVector| . |BasicType|) T) ((|Commutator| . |BasicType|) T) ((|Color| . |BasicType|) T) ((|ComplexDoubleFloatVector| . |BasicType|) T) ((|FiniteFieldExtensionByPolynomial| . |VectorSpace|) 61329) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |VectorSpace|) 61313) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |VectorSpace|) 61297) ((|PseudoAlgebraicClosureOfRationalNumber| . |GcdDomain|) T) ((|Complex| . |FiniteFieldCategory|) 61259) ((|Integer| . |OrderedSet|) T) ((|InnerAlgebraicNumber| . |OrderedSet|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |GcdDomain|) T) ((|SingleInteger| . |AbelianMonoid|) T) ((|Asp80| . |CoercibleTo|) 61233) ((|MachineInteger| . |EuclideanDomain|) T) ((|Operator| . |Algebra|) 61190) ((|OppositeMonogenicLinearOperator| . |Algebra|) 61147) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |CancellationAbelianMonoid|) T) ((|SparseTable| . |EltableAggregate|) 61126) ((|Product| . |Monoid|) 61014) ((|Product| . |OrderedAbelianMonoidSup|) 60925) ((|Product| . |OrderedAbelianSemiGroup|) 60836) ((|OrderedDirectProduct| . |OrderedAbelianGroup|) 60806) ((|BalancedPAdicInteger| . |EuclideanDomain|) T) ((|ArrayStack| . |Evalable|) 60730) ((|ThreeDimensionalMatrix| . |Aggregate|) T) ((|InnerTable| . |IndexedAggregate|) 60709) ((|AlgebraicNumber| . |AbelianSemiGroup|) T) ((|AlgebraicNumber| . |AbelianGroup|) T) ((|OrderedDirectProduct| . |OrderedAbelianSemiGroup|) 60633) ((|OrderedDirectProduct| . |OrderedAbelianMonoidSup|) 60591) ((|MachineInteger| . |RealConstant|) T) ((|LinearOrdinaryDifferentialOperator1| . |RightModule|) 60575) ((|Product| . |Group|) 60522) ((|OrderedDirectProduct| . |Monoid|) 60408) ((|PrimeField| . |VectorSpace|) 60395) ((|Divisor| . |FreeAbelianMonoidCategory|) 60367) ((|PseudoAlgebraicClosureOfRationalNumber| . |FieldOfPrimeCharacteristic|) 60307) ((|HomogeneousDirectProduct| . |OrderedCancellationAbelianMonoid|) 60231) ((|HomogeneousDirectProduct| . |OrderedAbelianMonoid|) 60155) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |FieldOfPrimeCharacteristic|) 60095) ((|SymmetricPolynomial| . |Ring|) T) ((|U16Matrix| . |InnerEvalable|) NIL) ((|MyUnivariatePolynomial| . |Ring|) T) ((|LinearOrdinaryDifferentialOperator1| . |BiModule|) 60074) ((|SymmetricPolynomial| . |FiniteAbelianMonoidRing|) 60044) ((|Tree| . |BasicType|) 60014) ((|SetOfMIntegersInOneToN| . |CoercibleTo|) 59988) ((|MachineInteger| . |IntegerNumberSystem|) T) ((|MyUnivariatePolynomial| . |FiniteAbelianMonoidRing|) 59949) ((|OrderlyDifferentialPolynomial| . |SetCategory|) T) ((|MyUnivariatePolynomial| . |DifferentialRing|) T) ((|WeightedPolynomials| . |Ring|) T) ((|FractionalIdeal| . |SetCategory|) T) ((|DirectProductModule| . |Rng|) 59859) ((|DirectProductMatrixModule| . |Rng|) 59769) ((|EuclideanModularRing| . |LeftModule|) 59756) ((|IndexedString| . |Eltable|) 59719) ((|Matrix| . |MatrixCategory|) 59671) ((|UnivariateTaylorSeries| . |CommutativeRing|) 59600) ((|PolynomialRing| . |CoercibleTo|) 59574) ((|PAdicRationalConstructor| . |BasicType|) T) ((|MonoidRing| . |CoercibleTo|) 59548) ((|ModularRing| . |CoercibleTo|) 59522) ((|UnivariatePuiseuxSeries| . |CommutativeRing|) 59428) ((|UnivariateLaurentSeries| . |CommutativeRing|) 59334) ((|UnivariateFormalPowerSeries| . |CommutativeRing|) 59263) ((|MachineFloat| . |OrderedSet|) T) ((|RadixExpansion| . |EntireRing|) T) ((|GenericNonAssociativeAlgebra| . |CoercibleTo|) 59237) ((|LieExponentials| . |Monoid|) T) ((|TwoDimensionalArray| . |SetCategory|) 59207) ((|DataList| . |Collection|) 59191) ((|PartialFraction| . |EntireRing|) T) ((|RealClosure| . |RealClosedField|) T) ((|LieExponentials| . |Group|) T) ((|ModMonic| . |UniqueFactorizationDomain|) 59141) ((|ExponentialOfUnivariatePuiseuxSeries| . |LeftOreRing|) 59117) ((|UnivariateTaylorSeriesCZero| . |HyperbolicFunctionCategory|) 59066) ((|InnerTaylorSeries| . |CommutativeRing|) 59033) ((|InnerSparseUnivariatePowerSeries| . |CommutativeRing|) 58962) ((|Vector| . |OrderedSet|) 58933) ((|ModMonic| . |IntegralDomain|) 58796) ((|Fraction| . |PrincipalIdealDomain|) T) ((|Fraction| . |OrderedIntegralDomain|) 58756) ((|ExponentialOfUnivariatePuiseuxSeries| . |OrderedAbelianSemiGroup|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |Monoid|) T) ((|Factored| . |CoercibleTo|) 58730) ((|Factored| . |ConvertibleTo|) 58576) ((|List| . |StreamAggregate|) 58560) ((|Bits| . |LinearAggregate|) 58537) ((|ContinuedFraction| . |EuclideanDomain|) T) ((|BinaryTournament| . |Evalable|) 58461) ((|Bits| . |FiniteLinearAggregate|) 58438) ((|FortranProgram| . |Type|) T) ((|Expression| . |CancellationAbelianMonoid|) 58240) ((|ExponentialExpansion| . |CancellationAbelianMonoid|) T) ((|Asp29| . |FortranProgramCategory|) T) ((|Bits| . |BitAggregate|) T) ((|SparseUnivariatePolynomialExpressions| . |OrderedSet|) 58211) ((|IndexedList| . |HomogeneousAggregate|) 58195) ((|LinearOrdinaryDifferentialOperator2| . |SemiGroup|) T) ((|IndexedString| . |OneDimensionalArrayAggregate|) 58170) ((|DoubleFloatVector| . |Evalable|) NIL) ((|Asp10| . |FortranVectorFunctionCategory|) T) ((|ComplexDoubleFloatVector| . |Evalable|) NIL) ((|Asp10| . |FortranProgramCategory|) T) ((|OpenMathErrorKind| . |SetCategory|) T) ((|IndexedString| . |IndexedAggregate|) 58133) ((|Pi| . |RetractableTo|) 58077) ((|LinearOrdinaryDifferentialOperator1| . |Ring|) T) ((|LinearOrdinaryDifferentialOperator2| . |AbelianMonoid|) T) ((|XDistributedPolynomial| . |SetCategory|) T) ((|OrderlyDifferentialPolynomial| . |Module|) 57840) ((|U32Matrix| . |MatrixCategory|) 57789) ((|BasicStochasticDifferential| . |OrderedSet|) T) ((|BalancedPAdicRational| . |OrderedSet|) NIL) ((|SparseUnivariatePolynomial| . |FullyRetractableTo|) 57773) ((|SparseMultivariatePolynomial| . |FullyRetractableTo|) 57757) ((|SparseUnivariateSkewPolynomial| . |FullyRetractableTo|) 57741) ((|DirichletRing| . |Rng|) T) ((|EuclideanModularRing| . |LeftOreRing|) T) ((|UnivariatePuiseuxSeriesConstructor| . |BasicType|) T) ((|UnivariateLaurentSeries| . |InnerEvalable|) 57313) ((|Tree| . |Evalable|) 57237) ((|Exit| . |CoercibleTo|) 57211) ((|UnivariateLaurentSeriesConstructor| . |BasicType|) T) ((|Set| . |SetCategory|) T) ((|SparseUnivariateTaylorSeries| . |Eltable|) 57196) ((|SparseUnivariatePuiseuxSeries| . |Eltable|) 57181) ((|EuclideanModularRing| . |Monoid|) T) ((|BinaryExpansion| . |PolynomialFactorizationExplicit|) NIL) ((|Matrix| . |CoercibleTo|) 57132) ((|Matrix| . |ConvertibleTo|) 57068) ((|SimpleAlgebraicExtension| . |LeftModule|) 56950) ((|InfiniteTuple| . |CoercibleTo|) 56924) ((|InnerTable| . |ConvertibleTo|) NIL) ((|InnerTable| . |CoercibleTo|) 56898) ((|SparseUnivariateLaurentSeries| . |Eltable|) 56638) ((|HexadecimalExpansion| . |RightModule|) 56572) ((|ModularField| . |GcdDomain|) T) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |IndexedDirectProductCategory|) 56551) ((|IndexedDirectProductAbelianGroup| . |IndexedDirectProductCategory|) 56530) ((|DecimalExpansion| . |RightModule|) 56464) ((|FiniteFieldExtension| . |LeftModule|) 56405) ((|FiniteFieldNormalBasisExtension| . |LeftModule|) 56346) ((|DoubleFloat| . |OrderedRing|) T) ((|FiniteFieldCyclicGroupExtension| . |LeftModule|) 56287) ((|IndexedVector| . |BasicType|) 56224) ((|HomogeneousDirectProduct| . |Finite|) 56199) ((|BinaryExpansion| . |LeftModule|) 56133) ((|HexadecimalExpansion| . |BiModule|) 56028) ((|DirectProduct| . |HomogeneousAggregate|) 56012) ((|FiniteFieldCyclicGroup| . |CharacteristicZero|) 55978) ((|FiniteFieldCyclicGroup| . |CharacteristicNonZero|) T) ((|Complex| . |FiniteRankAlgebra|) 55926) ((|Point| . |VectorCategory|) 55910) ((|DecimalExpansion| . |BiModule|) 55805) ((|PAdicRationalConstructor| . |Evalable|) 55764) ((|Point| . |SetCategory|) 55701) ((|Octonion| . |ConvertibleTo|) 55637) ((|Octonion| . |CoercibleTo|) 55611) ((|MoebiusTransform| . |BasicType|) T) ((|FourierComponent| . |SetCategory|) T) ((|SingleInteger| . |CancellationAbelianMonoid|) T) ((|ModuleOperator| . |Algebra|) 55568) ((|Expression| . |HyperbolicFunctionCategory|) 55535) ((|IndexedBits| . |Type|) T) ((|UnivariatePuiseuxSeriesConstructor| . |ElementaryFunctionCategory|) 55484) ((|UnivariateLaurentSeriesConstructor| . |ElementaryFunctionCategory|) 55433) ((|FlexibleArray| . |Collection|) 55417) ((|RoutinesTable| . |EltableAggregate|) 55387) ((|XDistributedPolynomial| . |Module|) 55344) ((|StringTable| . |Aggregate|) T) ((|XRecursivePolynomial| . |RetractableTo|) 55306) ((|MyExpression| . |LinearlyExplicitRingOver|) 55178) ((|GraphImage| . |CoercibleTo|) 55152) ((|Heap| . |Aggregate|) T) ((|FreeModule1| . |RetractableTo|) 55136) ((|SparseUnivariatePolynomial| . |Rng|) T) ((|SparseMultivariatePolynomial| . |Rng|) T) ((|SparseUnivariateSkewPolynomial| . |Rng|) T) ((|RomanNumeral| . |OrderedRing|) T) ((|OrderlyDifferentialPolynomial| . |CommutativeRing|) 54989) ((|IndexedList| . |Eltable|) 54961) ((|U32Matrix| . |CoercibleTo|) 54935) ((|IntegerMod| . |AbelianSemiGroup|) T) ((|UnivariateTaylorSeries| . |EntireRing|) 54902) ((|UnivariatePuiseuxSeries| . |EntireRing|) 54841) ((|BalancedPAdicRational| . |QuotientFieldCategory|) 54800) ((|PseudoAlgebraicClosureOfFiniteField| . |BasicType|) T) ((|UnivariateLaurentSeries| . |EntireRing|) 54739) ((|NeitherSparseOrDensePowerSeries| . |BasicType|) T) ((|UnivariateFormalPowerSeries| . |EntireRing|) 54706) ((|TextFile| . |FileCategory|) 54671) ((|SparseUnivariateTaylorSeries| . |RadicalCategory|) 54620) ((|SparseUnivariatePuiseuxSeries| . |RadicalCategory|) 54569) ((|SequentialDifferentialVariable| . |DifferentialVariableCategory|) 54553) ((|GeneralUnivariatePowerSeries| . |BasicType|) T) ((|File| . |SetCategory|) T) ((|DirectProductModule| . |SetCategory|) T) ((|DirectProductMatrixModule| . |SetCategory|) T) ((|SparseUnivariateLaurentSeries| . |RadicalCategory|) 54502) ((|BinaryFile| . |SetCategory|) T) ((|SparseMultivariateTaylorSeries| . |RadicalCategory|) 54451) ((|PAdicRationalConstructor| . |StepThrough|) 54421) ((|SimpleAlgebraicExtension| . |LeftOreRing|) 54355) ((|KeyedAccessFile| . |FileCategory|) 54278) ((|SimpleAlgebraicExtension| . |Monoid|) T) ((|KeyedAccessFile| . |Dictionary|) 54214) ((|IndexedString| . |CoercibleTo|) 54188) ((|IndexedString| . |ConvertibleTo|) NIL) ((|MachineComplex| . |OrderedSet|) T) ((|GeneralSparseTable| . |Dictionary|) 54130) ((|HexadecimalExpansion| . |Ring|) T) ((|Places| . |SetCategory|) T) ((|Asp8| . |FortranVectorCategory|) T) ((|Asp8| . |FortranProgramCategory|) T) ((|DecimalExpansion| . |Ring|) T) ((|FiniteFieldExtension| . |LeftOreRing|) T) ((|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| . |SetCategoryWithDegree|) T) ((|FiniteFieldNormalBasisExtension| . |LeftOreRing|) T) ((|FiniteFieldCyclicGroupExtension| . |LeftOreRing|) T) ((|ModMonic| . |SemiGroup|) T) ((|InnerTaylorSeries| . |EntireRing|) 54097) ((|InnerSparseUnivariatePowerSeries| . |EntireRing|) 54064) ((|BinaryExpansion| . |LeftOreRing|) T) ((|HexadecimalExpansion| . |DivisionRing|) T) ((|HexadecimalExpansion| . |DifferentialRing|) T) ((|SuchThat| . |CoercibleTo|) 54038) ((|PAdicRationalConstructor| . |Algebra|) 53979) ((|DecimalExpansion| . |DivisionRing|) T) ((|DecimalExpansion| . |DifferentialRing|) T) ((|MyExpression| . |AbelianSemiGroup|) T) ((|MyExpression| . |AbelianGroup|) T) ((|FiniteFieldExtension| . |Monoid|) T) ((|FiniteFieldNormalBasisExtension| . |Monoid|) T) ((|FiniteFieldCyclicGroupExtension| . |Monoid|) T) ((|BinaryExpansion| . |OrderedAbelianSemiGroup|) T) ((|BinaryExpansion| . |OrderedAbelianGroup|) T) ((|IndexedList| . |UnaryRecursiveAggregate|) 53963) ((|BinaryExpansion| . |Monoid|) T) ((|ModMonic| . |AbelianMonoid|) T) ((|U16Matrix| . |HomogeneousAggregate|) 53940) ((|GeneralUnivariatePowerSeries| . |ElementaryFunctionCategory|) 53889) ((|IntegerMod| . |AbelianGroup|) T) ((|UnivariateLaurentSeriesConstructor| . |Evalable|) 53819) ((|Symbol| . |BasicType|) T) ((|AlgebraicFunctionField| . |CharacteristicNonZero|) 53766) ((|AlgebraicFunctionField| . |CharacteristicZero|) 53716) ((|IndexedList| . |IndexedAggregate|) 53688) ((|SplitHomogeneousDirectProduct| . |LeftModule|) 53502) ((|IndexedVector| . |Evalable|) 53426) ((|AssociationList| . |LinearAggregate|) 53368) ((|AssociationList| . |ListAggregate|) 53310) ((|AssociationList| . |FiniteLinearAggregate|) 53252) ((|String| . |Aggregate|) T) ((|PAdicRational| . |OrderedRing|) NIL) ((|LinearOrdinaryDifferentialOperator2| . |CancellationAbelianMonoid|) T) ((|HyperellipticFiniteDivisor| . |CoercibleTo|) 53226) ((|DirectProduct| . |Eltable|) 53198) ((|ListMultiDictionary| . |Aggregate|) T) ((|Library| . |Aggregate|) T) ((|SequentialDifferentialPolynomial| . |GcdDomain|) 53116) ((|OrderlyDifferentialPolynomial| . |InnerEvalable|) 52891) ((|NewSparseUnivariatePolynomial| . |GcdDomain|) 52786) ((|NewSparseMultivariatePolynomial| . |GcdDomain|) 52704) ((|NottinghamGroup| . |BasicType|) T) ((|GeneralDistributedMultivariatePolynomial| . |GcdDomain|) 52622) ((|Polynomial| . |FullyRetractableTo|) 52606) ((|MultivariatePolynomial| . |CoercibleTo|) 52580) ((|DirectProductModule| . |Module|) 52509) ((|DirectProductMatrixModule| . |Module|) 52438) ((|MultivariatePolynomial| . |ConvertibleTo|) 52216) ((|HomogeneousDistributedMultivariatePolynomial| . |FullyRetractableTo|) 52200) ((|FortranExpression| . |ExpressionSpace|) T) ((|DirichletRing| . |SetCategory|) T) ((|FiniteFieldNormalBasis| . |PrincipalIdealDomain|) T) ((|Queue| . |BasicType|) 52170) ((|RealClosure| . |OrderedSet|) T) ((|TwoDimensionalArray| . |InnerEvalable|) 52089) ((|UnivariateTaylorSeriesCZero| . |AbelianSemiGroup|) T) ((|UnivariateTaylorSeriesCZero| . |AbelianGroup|) T) ((|UnivariateLaurentSeriesConstructor| . |StepThrough|) 52030) ((|RadixExpansion| . |Eltable|) NIL) ((|DoubleFloat| . |Rng|) T) ((|Float| . |OpenMath|) T) ((|SplitHomogeneousDirectProduct| . |Aggregate|) T) ((|NeitherSparseOrDensePowerSeries| . |Evalable|) 51860) ((|InnerPrimeField| . |GcdDomain|) T) ((|InnerFiniteField| . |GcdDomain|) T) ((|UniversalSegment| . |SegmentCategory|) 51844) ((|UniversalSegment| . |SetCategory|) 51814) ((|DirectProduct| . |IndexedAggregate|) 51786) ((|UniversalSegment| . |SegmentExpansionCategory|) 51731) ((|SparseUnivariateTaylorSeries| . |CoercibleTo|) 51705) ((|SparseUnivariatePuiseuxSeries| . |CoercibleTo|) 51679) ((|SparseUnivariateLaurentSeries| . |CoercibleTo|) 51653) ((|SparseUnivariateLaurentSeries| . |ConvertibleTo|) NIL) ((|SparseMultivariateTaylorSeries| . |CoercibleTo|) 51627) ((|PAdicRationalConstructor| . |FullyPatternMatchable|) 51611) ((|InfinitlyClosePoint| . |SetCategory|) T) ((|InputForm| . |BasicType|) T) ((|UnivariatePuiseuxSeriesConstructor| . |Algebra|) 51399) ((|UnivariateLaurentSeriesConstructor| . |Algebra|) 51157) ((|PAdicInteger| . |CharacteristicZero|) T) ((|InnerPrimeField| . |FieldOfPrimeCharacteristic|) T) ((|AlgebraicNumber| . |OrderedSet|) T) ((|InnerFiniteField| . |FieldOfPrimeCharacteristic|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |AbelianGroup|) T) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |AbelianSemiGroup|) T) ((|SplitHomogeneousDirectProduct| . |OrderedAbelianGroup|) 51127) ((|SplitHomogeneousDirectProduct| . |OrderedAbelianSemiGroup|) 51051) ((|SplitHomogeneousDirectProduct| . |OrderedAbelianMonoidSup|) 51009) ((|QuadraticForm| . |SetCategory|) T) ((|RegularTriangularSet| . |Aggregate|) T) ((|OutputForm| . |SetCategory|) T) ((|Variable| . |BasicType|) T) ((|SplitHomogeneousDirectProduct| . |Monoid|) 50895) ((|LiePolynomial| . |BasicType|) T) ((|InnerTable| . |EltableAggregate|) 50874) ((|Table| . |BasicType|) T) ((|GeneralTriangularSet| . |Aggregate|) T) ((|GeneralPolynomialSet| . |Aggregate|) T) ((|FiniteFieldExtensionByPolynomial| . |BasicType|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |BasicType|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |BasicType|) T) ((|DifferentialSparseMultivariatePolynomial| . |BasicType|) T) ((|DistributedMultivariatePolynomial| . |BasicType|) T) ((|Pi| . |EuclideanDomain|) T) ((|RomanNumeral| . |Rng|) T) ((|Polynomial| . |Rng|) T) ((|Expression| . |LinearlyExplicitRingOver|) 50746) ((|ExponentialExpansion| . |LinearlyExplicitRingOver|) 50661) ((|HomogeneousDistributedMultivariatePolynomial| . |Rng|) T) ((|HashTable| . |BasicType|) T) ((|FortranTemplate| . |CoercibleTo|) 50635) ((|SparseUnivariatePolynomial| . |SetCategory|) T) ((|SparseMultivariatePolynomial| . |SetCategory|) T) ((|SparseUnivariateSkewPolynomial| . |SetCategory|) T) ((|SplittingTree| . |BasicType|) T) ((|OrderlyDifferentialPolynomial| . |EntireRing|) 50521) ((|PolynomialRing| . |RightModule|) 50354) ((|Pi| . |RealConstant|) T) ((|MonoidRing| . |RightModule|) 50311) ((|Stack| . |StackAggregate|) 50295) ((|Set| . |InnerEvalable|) 50214) ((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| . |BasicType|) T) ((|GenericNonAssociativeAlgebra| . |RightModule|) 50170) ((|PolynomialRing| . |BiModule|) 49971) ((|PseudoAlgebraicClosureOfRationalNumber| . |VectorSpace|) 49935) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |VectorSpace|) 49848) ((|PrimeField| . |BasicType|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |StepThrough|) T) ((|MonoidRing| . |BiModule|) 49800) ((|DirichletRing| . |Module|) 49720) ((|OneDimensionalArray| . |BasicType|) 49657) ((|IndexedList| . |ConvertibleTo|) 49593) ((|IndexedList| . |CoercibleTo|) 49511) ((|InnerIndexedTwoDimensionalArray| . |BasicType|) 49481) ((|IndexedFlexibleArray| . |BasicType|) 49418) ((|IndexedTwoDimensionalArray| . |BasicType|) 49388) ((|IndexedOneDimensionalArray| . |BasicType|) 49325) ((|GenericNonAssociativeAlgebra| . |BiModule|) 49248) ((|DirectProductModule| . |CommutativeRing|) 49214) ((|DirectProductMatrixModule| . |CommutativeRing|) 49180) ((|Factored| . |RightModule|) 49154) ((|TaylorSeries| . |PowerSeriesCategory|) 49095) ((|Quaternion| . |SemiGroup|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |Algebra|) 49049) ((|NeitherSparseOrDensePowerSeries| . |Algebra|) 48963) ((|Point| . |InnerEvalable|) 48882) ((|HexadecimalExpansion| . |OrderedCancellationAbelianMonoid|) T) ((|GeneralUnivariatePowerSeries| . |Algebra|) 48670) ((|Factored| . |BiModule|) 48637) ((|HexadecimalExpansion| . |OrderedAbelianMonoid|) T) ((|Queue| . |Evalable|) 48561) ((|DecimalExpansion| . |OrderedCancellationAbelianMonoid|) T) ((|DecimalExpansion| . |OrderedAbelianMonoid|) T) ((|Quaternion| . |AbelianMonoid|) T) ((|ModMonic| . |CancellationAbelianMonoid|) T) ((|UnivariateLaurentSeriesConstructor| . |FullyPatternMatchable|) 48528) ((|U8Matrix| . |Aggregate|) T) ((|Expression| . |AbelianSemiGroup|) 48296) ((|Complex| . |FullyRetractableTo|) 48280) ((|Expression| . |AbelianGroup|) 48082) ((|ExponentialExpansion| . |AbelianSemiGroup|) T) ((|ExponentialExpansion| . |AbelianGroup|) T) ((|OrderedVariableList| . |Finite|) T) ((|Bits| . |Aggregate|) T) ((|HomogeneousDirectProduct| . |LeftModule|) 47896) ((|PAdicRational| . |Rng|) T) ((|IndexedString| . |EltableAggregate|) 47859) ((|InnerPAdicInteger| . |CharacteristicZero|) T) ((|Integer| . |CharacteristicZero|) T) ((|InnerAlgebraicNumber| . |CharacteristicZero|) T) ((|SparseUnivariatePolynomial| . |Module|) 47599) ((|SparseMultivariatePolynomial| . |Module|) 47362) ((|SingleInteger| . |LinearlyExplicitRingOver|) 47339) ((|SparseUnivariateSkewPolynomial| . |Module|) 47296) ((|LieSquareMatrix| . |Type|) T) ((|Mapping| . |BasicType|) T) ((|DirectProduct| . |CoercibleTo|) 46945) ((|UnivariatePolynomial| . |FullyRetractableTo|) 46929) ((|U16Matrix| . |MatrixCategory|) 46878) ((|Table| . |Evalable|) 46638) ((|PolynomialRing| . |Ring|) T) ((|MonoidRing| . |Ring|) T) ((|ModularRing| . |Ring|) T) ((|List| . |SetCategory|) 46575) ((|RectangularMatrix| . |LeftModule|) 46559) ((|UnivariateSkewPolynomial| . |FullyRetractableTo|) 46543) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |BasicType|) T) ((|IndexedDirectProductAbelianGroup| . |BasicType|) T) ((|DistributedMultivariatePolynomial| . |Evalable|) 46530) ((|DifferentialSparseMultivariatePolynomial| . |Evalable|) 46517) ((|StochasticDifferential| . |CoercibleTo|) 46491) ((|PolynomialRing| . |FiniteAbelianMonoidRing|) 46470) ((|FreeModule| . |LeftModule|) 46454) ((|HashTable| . |Evalable|) 46214) ((|DirectProductModule| . |InnerEvalable|) 46133) ((|LieSquareMatrix| . |RetractableTo|) 45977) ((|DirectProductMatrixModule| . |InnerEvalable|) 45896) ((|SplittingTree| . |Evalable|) 45786) ((|DirichletRing| . |CommutativeRing|) 45752) ((|OrderedFreeMonoid| . |SetCategory|) T) ((|Octonion| . |RightModule|) 45736) ((|UnivariateTaylorSeries| . |Eltable|) 45721) ((|UnivariatePuiseuxSeries| . |Eltable|) 45706) ((|UnivariateLaurentSeries| . |Eltable|) 45470) ((|UnivariateFormalPowerSeries| . |Eltable|) 45455) ((|FreeMonoid| . |SetCategory|) T) ((|FreeAbelianMonoid| . |SetCategory|) T) ((|Factored| . |Ring|) T) ((|Complex| . |Rng|) T) ((|OneDimensionalArray| . |Evalable|) 45379) ((|Octonion| . |BiModule|) 45358) ((|InnerSparseUnivariatePowerSeries| . |Eltable|) 45343) ((|InnerIndexedTwoDimensionalArray| . |Evalable|) 45267) ((|IndexedFlexibleArray| . |Evalable|) 45191) ((|IndexedTwoDimensionalArray| . |Evalable|) 45115) ((|IndexedOneDimensionalArray| . |Evalable|) 45039) ((|Factored| . |DifferentialRing|) 45004) ((|HomogeneousDirectProduct| . |Aggregate|) T) ((|RadixExpansion| . |ConvertibleTo|) 44905) ((|DoubleFloat| . |SetCategory|) T) ((|RadixExpansion| . |CoercibleTo|) 44879) ((|Partition| . |CoercibleTo|) 44853) ((|Partition| . |ConvertibleTo|) 44821) ((|PartialFraction| . |CoercibleTo|) 44795) ((|MachineFloat| . |CharacteristicZero|) T) ((|MachineInteger| . |PrincipalIdealDomain|) T) ((|MachineInteger| . |OrderedIntegralDomain|) T) ((|FourierSeries| . |CoercibleTo|) 44769) ((|SingleInteger| . |AbelianGroup|) T) ((|SingleInteger| . |AbelianSemiGroup|) T) ((|LieSquareMatrix| . |FullyLinearlyExplicitRingOver|) 44753) ((|BalancedPAdicInteger| . |PrincipalIdealDomain|) T) ((|PAdicRationalConstructor| . |DifferentialExtension|) 44737) ((|Asp4| . |Type|) T) ((|BinaryTournament| . |BinaryTreeCategory|) 44721) ((|RectangularMatrix| . |Aggregate|) T) ((|XPolynomial| . |RetractableTo|) 44677) ((|XPBWPolynomial| . |RetractableTo|) 44590) ((|UnivariatePolynomial| . |Rng|) T) ((|SparseUnivariatePolynomialExpressions| . |CharacteristicNonZero|) 44550) ((|SparseUnivariatePolynomialExpressions| . |CharacteristicZero|) 44513) ((|UnivariateSkewPolynomial| . |Rng|) T) ((|HomogeneousDirectProduct| . |OrderedAbelianGroup|) 44483) ((|FiniteFieldExtensionByPolynomial| . |StepThrough|) 44458) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |StepThrough|) 44433) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |StepThrough|) 44408) ((|HomogeneousDirectProduct| . |OrderedAbelianSemiGroup|) 44332) ((|HomogeneousDirectProduct| . |OrderedAbelianMonoidSup|) 44290) ((|DenavitHartenbergMatrix| . |Aggregate|) T) ((|HomogeneousDirectProduct| . |Monoid|) 44176) ((|TwoDimensionalArray| . |HomogeneousAggregate|) 44160) ((|Interval| . |Rng|) T) ((|U16Matrix| . |CoercibleTo|) 44134) ((|SparseUnivariatePolynomial| . |CommutativeRing|) 43964) ((|SparseMultivariatePolynomial| . |CommutativeRing|) 43817) ((|RomanNumeral| . |SetCategory|) T) ((|SequentialDifferentialPolynomial| . |PolynomialCategory|) 43688) ((|Polynomial| . |SetCategory|) T) ((|OrdinaryDifferentialRing| . |LeftModule|) 43625) ((|NewSparseUnivariatePolynomial| . |PolynomialCategory|) 43560) ((|ModuleMonomial| . |SetCategory|) T) ((|NewSparseMultivariatePolynomial| . |PolynomialCategory|) 43513) ((|IndexedFlexibleArray| . |ExtensibleLinearAggregate|) 43497) ((|LieSquareMatrix| . |PartialDifferentialRing|) 43429) ((|HomogeneousDistributedMultivariatePolynomial| . |SetCategory|) T) ((|GeneralDistributedMultivariatePolynomial| . |PolynomialCategory|) 43379) ((|Asp50| . |Type|) T) ((|FiniteFieldExtensionByPolynomial| . |Algebra|) 43333) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |Algebra|) 43287) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |Algebra|) 43241) ((|DifferentialSparseMultivariatePolynomial| . |Algebra|) 43004) ((|DistributedMultivariatePolynomial| . |Algebra|) 42767) ((|PrimeField| . |StepThrough|) T) ((|LaurentPolynomial| . |CharacteristicZero|) 42730) ((|LaurentPolynomial| . |CharacteristicNonZero|) 42690) ((|BalancedPAdicRational| . |CharacteristicZero|) T) ((|BalancedPAdicRational| . |CharacteristicNonZero|) NIL) ((|FramedModule| . |Monoid|) T) ((|Octonion| . |Ring|) T) ((|FiniteFieldCyclicGroup| . |GcdDomain|) T) ((|UnivariateTaylorSeries| . |RadicalCategory|) 42639) ((|UnivariatePuiseuxSeries| . |RadicalCategory|) 42588) ((|UnivariateLaurentSeries| . |RadicalCategory|) 42537) ((|UnivariateFormalPowerSeries| . |RadicalCategory|) 42486) ((|PrimeField| . |Algebra|) 42440) ((|DoubleFloat| . |Module|) 42394) ((|MyExpression| . |OrderedSet|) T) ((|AlgebraicFunctionField| . |FramedAlgebra|) 42360) ((|ExponentialOfUnivariatePuiseuxSeries| . |AbelianMonoidRing|) 42319) ((|Quaternion| . |CancellationAbelianMonoid|) T) ((|OrderedDirectProduct| . |Type|) T) ((|ContinuedFraction| . |PrincipalIdealDomain|) T) ((|FiniteFieldCyclicGroup| . |FieldOfPrimeCharacteristic|) T) ((|IndexedList| . |EltableAggregate|) 42291) ((|AssociationList| . |Aggregate|) T) ((|OrderedDirectProduct| . |RetractableTo|) 42042) ((|MyUnivariatePolynomial| . |PolynomialFactorizationExplicit|) 41992) ((|Localize| . |BasicType|) T) ((|LinearOrdinaryDifferentialOperator2| . |AbelianGroup|) T) ((|LinearOrdinaryDifferentialOperator2| . |AbelianSemiGroup|) T) ((|Set| . |HomogeneousAggregate|) 41976) ((|UnivariateLaurentSeriesConstructor| . |DifferentialExtension|) 41943) ((|ThreeDimensionalMatrix| . |Type|) T) ((|DataList| . |BasicType|) 41880) ((|PAdicRational| . |SetCategory|) T) ((|SymmetricPolynomial| . |LeftModule|) 41777) ((|RomanNumeral| . |Module|) 41764) ((|MultivariatePolynomial| . |RightModule|) 41521) ((|SparseUnivariatePolynomial| . |InnerEvalable|) 41431) ((|Polynomial| . |Module|) 41194) ((|SparseMultivariatePolynomial| . |InnerEvalable|) 41146) ((|MyUnivariatePolynomial| . |LeftModule|) 41043) ((|HomogeneousDistributedMultivariatePolynomial| . |Module|) 40806) ((|Asp27| . |CoercibleTo|) 40780) ((|MultivariatePolynomial| . |BiModule|) 40505) ((|OrdinaryDifferentialRing| . |LeftOreRing|) 40481) ((|Point| . |HomogeneousAggregate|) 40465) ((|WeightedPolynomials| . |LeftModule|) 40412) ((|SparseUnivariateTaylorSeries| . |RightModule|) 40245) ((|OrdinaryDifferentialRing| . |Monoid|) T) ((|SparseUnivariatePuiseuxSeries| . |RightModule|) 40027) ((|SparseUnivariateLaurentSeries| . |RightModule|) 39736) ((|DirichletRing| . |EntireRing|) 39702) ((|SparseMultivariateTaylorSeries| . |RightModule|) 39535) ((|RadicalFunctionField| . |UniqueFactorizationDomain|) T) ((|Segment| . |BasicType|) 39505) ((|OrderedDirectProduct| . |FullyLinearlyExplicitRingOver|) 39473) ((|RadicalFunctionField| . |IntegralDomain|) T) ((|SparseUnivariateTaylorSeries| . |BiModule|) 39274) ((|SparseUnivariatePuiseuxSeries| . |BiModule|) 39024) ((|SparseUnivariateLaurentSeries| . |BiModule|) 38653) ((|SparseMultivariateTaylorSeries| . |BiModule|) 38454) ((|SExpressionOf| . |SExpressionCategory|) 38418) ((|Float| . |OrderedRing|) T) ((|UnivariateTaylorSeries| . |CoercibleTo|) 38392) ((|UnivariatePuiseuxSeries| . |CoercibleTo|) 38366) ((|UnivariateLaurentSeries| . |CoercibleTo|) 38340) ((|UnivariateLaurentSeries| . |ConvertibleTo|) NIL) ((|UnivariateFormalPowerSeries| . |CoercibleTo|) 38314) ((|DirectProduct| . |EltableAggregate|) 38286) ((|AlgebraicFunctionField| . |GcdDomain|) T) ((|DoubleFloat| . |CommutativeRing|) T) ((|Complex| . |SetCategory|) T) ((|MachineComplex| . |CharacteristicZero|) T) ((|MachineComplex| . |CharacteristicNonZero|) NIL) ((|InnerTaylorSeries| . |CoercibleTo|) 38260) ((|InnerSparseUnivariatePowerSeries| . |CoercibleTo|) 38234) ((|NumericalPDEProblem| . |SetCategory|) T) ((|NumericalOptimizationProblem| . |SetCategory|) T) ((|NumericalODEProblem| . |SetCategory|) T) ((|NumericalIntegrationProblem| . |SetCategory|) T) ((|LinearOrdinaryDifferentialOperator| . |UnivariateSkewPolynomialCategory|) 38218) ((|Magma| . |SetCategory|) T) ((|OrderedDirectProduct| . |PartialDifferentialRing|) 38122) ((|SparseUnivariatePolynomialExpressions| . |TranscendentalFunctionCategory|) 38073) ((|SparseUnivariatePolynomialExpressions| . |TrigonometricFunctionCategory|) 38024) ((|AlgebraicFunctionField| . |FieldOfPrimeCharacteristic|) NIL) ((|SingleInteger| . |Logic|) T) ((|PAdicRational| . |Module|) 37948) ((|DirectProductModule| . |HomogeneousAggregate|) 37932) ((|DirectProductMatrixModule| . |HomogeneousAggregate|) 37916) ((|ModMonic| . |LinearlyExplicitRingOver|) 37832) ((|LinearOrdinaryDifferentialOperator1| . |LeftModule|) 37806) ((|EqTable| . |Aggregate|) T) ((|SparseUnivariatePolynomialExpressions| . |ArcTrigonometricFunctionCategory|) 37757) ((|SparseUnivariatePolynomialExpressions| . |ArcHyperbolicFunctionCategory|) 37708) ((|MultivariatePolynomial| . |Ring|) T) ((|InnerPrimeField| . |VectorSpace|) 37695) ((|InnerFiniteField| . |VectorSpace|) 37659) ((|UnivariatePolynomial| . |SetCategory|) T) ((|SparseUnivariatePolynomial| . |EntireRing|) 37522) ((|SparseMultivariatePolynomial| . |EntireRing|) 37408) ((|RomanNumeral| . |CommutativeRing|) T) ((|MyUnivariatePolynomial| . |LeftOreRing|) 37303) ((|UnivariateSkewPolynomial| . |SetCategory|) T) ((|Polynomial| . |CommutativeRing|) 37156) ((|NewSparseUnivariatePolynomial| . |UnivariatePolynomialCategory|) 37140) ((|List| . |InnerEvalable|) 37059) ((|Asp49| . |CoercibleTo|) 37033) ((|MultivariatePolynomial| . |FiniteAbelianMonoidRing|) 36967) ((|SymmetricPolynomial| . |Monoid|) T) ((|Interval| . |SetCategory|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |CommutativeRing|) 36820) ((|MyUnivariatePolynomial| . |Monoid|) T) ((|DataList| . |Evalable|) 36744) ((|SquareMatrix| . |SemiGroup|) T) ((|Asp30| . |CoercibleTo|) 36718) ((|WeightedPolynomials| . |Monoid|) T) ((|SparseUnivariateTaylorSeries| . |Ring|) T) ((|SparseUnivariatePuiseuxSeries| . |Ring|) T) ((|FlexibleArray| . |BasicType|) 36655) ((|SparseUnivariateLaurentSeries| . |Ring|) T) ((|SquareMatrix| . |AbelianMonoid|) T) ((|SparseMultivariateTaylorSeries| . |Ring|) T) ((|ArrayStack| . |StackAggregate|) 36639) ((|OrdinaryWeightedPolynomials| . |SemiGroup|) T) ((|SparseUnivariateTaylorSeries| . |DifferentialRing|) 36576) ((|SparseUnivariatePuiseuxSeries| . |DivisionRing|) 36552) ((|SparseUnivariatePuiseuxSeries| . |DifferentialRing|) 36487) ((|SparseUnivariateLaurentSeries| . |DifferentialRing|) 36324) ((|SparseUnivariateLaurentSeries| . |DivisionRing|) 36300) ((|ExponentialOfUnivariatePuiseuxSeries| . |PartialDifferentialRing|) 36162) ((|PseudoAlgebraicClosureOfRationalNumber| . |BasicType|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |BasicType|) T) ((|OrdinaryWeightedPolynomials| . |AbelianMonoid|) T) ((|Complex| . |Module|) 35920) ((|SetOfMIntegersInOneToN| . |Finite|) T) ((|Fraction| . |UniqueFactorizationDomain|) T) ((|RealClosure| . |CharacteristicZero|) T) ((|RadicalFunctionField| . |Field|) T) ((|Point| . |Eltable|) 35892) ((|PAdicInteger| . |GcdDomain|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |FiniteFieldCategory|) T) ((|Expression| . |OrderedSet|) T) ((|ExponentialExpansion| . |OrderedSet|) NIL) ((|Palette| . |BasicType|) T) ((|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| . |InfinitlyClosePointCategory|) 35419) ((|ModMonic| . |AbelianSemiGroup|) T) ((|Fraction| . |IntegralDomain|) T) ((|ModMonic| . |AbelianGroup|) T) ((|FiniteField| . |CharacteristicZero|) 35385) ((|FiniteField| . |CharacteristicNonZero|) T) ((|Stack| . |SetCategory|) 35355) ((|GenericNonAssociativeAlgebra| . |Monad|) T) ((|Asp41| . |CoercibleTo|) 35329) ((|BasicOperator| . |OrderedSet|) T) ((|DataList| . |ExtensibleLinearAggregate|) 35313) ((|DirectProduct| . |RightModule|) 35183) ((|Asp6| . |CoercibleTo|) 35157) ((|MonoidRing| . |Finite|) 35102) ((|Symbol| . |OpenMath|) T) ((|Multiset| . |DictionaryOperations|) 35086) ((|UnivariatePolynomial| . |Module|) 34826) ((|StringTable| . |Type|) T) ((|CharacterClass| . |DictionaryOperations|) 34801) ((|DirectProduct| . |BiModule|) 34664) ((|StochasticDifferential| . |RightModule|) 34633) ((|AlgebraicNumber| . |CharacteristicZero|) T) ((|PAdicRational| . |CommutativeRing|) T) ((|UnivariateSkewPolynomial| . |Module|) 34590) ((|Heap| . |Type|) T) ((|Polynomial| . |InnerEvalable|) 34530) ((|LinearOrdinaryDifferentialOperator1| . |Monoid|) T) ((|Interval| . |Module|) 34517) ((|StochasticDifferential| . |BiModule|) 34466) ((|ResidueRing| . |Rng|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |InnerEvalable|) 34370) ((|Point| . |OneDimensionalArrayAggregate|) 34354) ((|Point| . |IndexedAggregate|) 34326) ((|OrderlyDifferentialPolynomial| . |ConvertibleTo|) NIL) ((|OrderlyDifferentialPolynomial| . |CoercibleTo|) 34300) ((|RadixExpansion| . |RightModule|) 34234) ((|FractionalIdeal| . |CoercibleTo|) 34208) ((|DirectProductModule| . |Eltable|) 34180) ((|DirectProductMatrixModule| . |Eltable|) 34152) ((|HexadecimalExpansion| . |PolynomialFactorizationExplicit|) NIL) ((|Expression| . |AlgebraicallyClosedFunctionSpace|) 34110) ((|BinaryExpansion| . |Type|) T) ((|RadicalFunctionField| . |SemiGroup|) T) ((|DecimalExpansion| . |PolynomialFactorizationExplicit|) NIL) ((|PartialFraction| . |RightModule|) 34051) ((|U32Vector| . |OrderedSet|) T) ((|SimpleAlgebraicExtension| . |RetractableTo|) 33895) ((|RadixExpansion| . |BiModule|) 33790) ((|Multiset| . |MultiDictionary|) 33774) ((|DifferentialSparseMultivariatePolynomial| . |DifferentialExtension|) 33758) ((|FourierSeries| . |RightModule|) 33742) ((|Float| . |Rng|) T) ((|RadicalFunctionField| . |AbelianMonoid|) T) ((|PartialFraction| . |BiModule|) 33651) ((|MachineComplex| . |TrigonometricFunctionCategory|) NIL) ((|HexadecimalExpansion| . |LeftModule|) 33585) ((|BinaryExpansion| . |Patternable|) 33562) ((|BinaryExpansion| . |PatternMatchable|) 33539) ((|MachineComplex| . |TranscendentalFunctionCategory|) NIL) ((|DecimalExpansion| . |LeftModule|) 33473) ((|FiniteFieldExtension| . |RetractableTo|) 33457) ((|FiniteFieldNormalBasisExtension| . |RetractableTo|) 33441) ((|FlexibleArray| . |Evalable|) 33365) ((|FiniteFieldCyclicGroupExtension| . |RetractableTo|) 33349) ((|DoubleFloat| . |EntireRing|) T) ((|FourierSeries| . |BiModule|) 33328) ((|TwoDimensionalArray| . |CoercibleTo|) 33279) ((|Complex| . |CommutativeRing|) T) ((|SingleInteger| . |OrderedSet|) T) ((|BinaryExpansion| . |RetractableTo|) 33223) ((|Pattern| . |SetCategory|) T) ((|Operator| . |Rng|) T) ((|OppositeMonogenicLinearOperator| . |Rng|) T) ((|MachineComplex| . |ArcHyperbolicFunctionCategory|) NIL) ((|MachineComplex| . |ArcTrigonometricFunctionCategory|) NIL) ((|ExponentialExpansion| . |QuotientFieldCategory|) 33138) ((|InnerPAdicInteger| . |GcdDomain|) T) ((|Integer| . |GcdDomain|) T) ((|InnerAlgebraicNumber| . |GcdDomain|) T) ((|Fraction| . |Field|) T) ((|DirectProduct| . |Ring|) 33048) ((|SparseTable| . |Aggregate|) T) ((|Plcs| . |BasicType|) T) ((|Pi| . |PrincipalIdealDomain|) T) ((|Quaternion| . |LinearlyExplicitRingOver|) 32964) ((|DirectProductModule| . |IndexedAggregate|) 32936) ((|DirectProductMatrixModule| . |IndexedAggregate|) 32908) ((|SimpleAlgebraicExtension| . |FullyLinearlyExplicitRingOver|) 32892) ((|PAdicRational| . |InnerEvalable|) 32662) ((|DirectProduct| . |DifferentialRing|) 32599) ((|String| . |Type|) T) ((|OpenMathErrorKind| . |CoercibleTo|) 32573) ((|ProjectiveSpace| . |ProjectiveSpaceCategory|) 32557) ((|XPolynomialRing| . |SemiGroup|) T) ((|XDistributedPolynomial| . |CoercibleTo|) 32531) ((|UnivariatePolynomial| . |CommutativeRing|) 32361) ((|BinaryExpansion| . |FullyLinearlyExplicitRingOver|) 32338) ((|BinaryExpansion| . |FullyEvalableOver|) 32315) ((|RomanNumeral| . |EntireRing|) T) ((|Polynomial| . |EntireRing|) 32201) ((|Octonion| . |Finite|) 32176) ((|Plcs| . |PlacesCategory|) 32155) ((|ListMultiDictionary| . |Type|) T) ((|Library| . |Type|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |EntireRing|) 32041) ((|Interval| . |CommutativeRing|) T) ((|FlexibleArray| . |ExtensibleLinearAggregate|) 32025) ((|XPolynomialRing| . |AbelianMonoid|) T) ((|TaylorSeries| . |BasicType|) T) ((|TextFile| . |SetCategory|) T) ((|SequentialDifferentialVariable| . |SetCategory|) T) ((|RewriteRule| . |SetCategory|) T) ((|Asp74| . |CoercibleTo|) 31999) ((|ModularField| . |BasicType|) T) ((|FiniteFieldExtensionByPolynomial| . |FiniteFieldCategory|) 31974) ((|KeyedAccessFile| . |SetCategory|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |FiniteFieldCategory|) 31949) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |FiniteFieldCategory|) 31924) ((|Table| . |Dictionary|) 31866) ((|GeneralSparseTable| . |SetCategory|) T) ((|DirichletRing| . |Eltable|) 31830) ((|DifferentialSparseMultivariatePolynomial| . |DifferentialPolynomialCategory|) 31778) ((|SquareMatrix| . |CancellationAbelianMonoid|) T) ((|KeyedAccessFile| . |KeyedDictionary|) 31751) ((|SimpleAlgebraicExtension| . |PartialDifferentialRing|) 31654) ((|RadixExpansion| . |Ring|) T) ((|PartialFraction| . |Ring|) T) ((|GeneralSparseTable| . |KeyedDictionary|) 31633) ((|SparseUnivariateLaurentSeries| . |OrderedAbelianMonoid|) NIL) ((|SparseUnivariateLaurentSeries| . |OrderedCancellationAbelianMonoid|) NIL) ((|Set| . |ConvertibleTo|) 31569) ((|Set| . |CoercibleTo|) 31543) ((|HashTable| . |Dictionary|) 31485) ((|RadixExpansion| . |DivisionRing|) T) ((|RadixExpansion| . |DifferentialRing|) T) ((|PrimitiveArray| . |SetCategory|) 31422) ((|FourierSeries| . |Ring|) T) ((|PartialFraction| . |DivisionRing|) T) ((|OrdinaryWeightedPolynomials| . |CancellationAbelianMonoid|) T) ((|MachineFloat| . |GcdDomain|) T) ((|HexadecimalExpansion| . |LeftOreRing|) T) ((|OrderedCompletion| . |SemiGroup|) 31392) ((|BinaryExpansion| . |PartialDifferentialRing|) NIL) ((|TaylorSeries| . |ElementaryFunctionCategory|) 31341) ((|DecimalExpansion| . |LeftOreRing|) T) ((|PAdicRationalConstructor| . |OrderedRing|) 31301) ((|SplitHomogeneousDirectProduct| . |Type|) T) ((|Permutation| . |Monoid|) T) ((|Complex| . |InnerEvalable|) 31190) ((|Quaternion| . |AbelianSemiGroup|) T) ((|Permutation| . |Group|) T) ((|Fraction| . |SemiGroup|) T) ((|HexadecimalExpansion| . |OrderedAbelianSemiGroup|) T) ((|HexadecimalExpansion| . |OrderedAbelianGroup|) T) ((|PrimeField| . |FiniteFieldCategory|) T) ((|HexadecimalExpansion| . |Monoid|) T) ((|DecimalExpansion| . |OrderedAbelianSemiGroup|) T) ((|DecimalExpansion| . |OrderedAbelianGroup|) T) ((|Quaternion| . |AbelianGroup|) T) ((|DecimalExpansion| . |Monoid|) T) ((|OrderedCompletion| . |AbelianMonoid|) 31125) ((|ExponentialOfUnivariatePuiseuxSeries| . |EuclideanDomain|) 31101) ((|Result| . |DictionaryOperations|) 31034) ((|Fraction| . |AbelianMonoid|) T) ((|Point| . |ConvertibleTo|) 30970) ((|Point| . |CoercibleTo|) 30888) ((|List| . |HomogeneousAggregate|) 30872) ((|AssociationList| . |RecursiveAggregate|) 30814) ((|PseudoAlgebraicClosureOfRationalNumber| . |Algebra|) 30768) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |Algebra|) 30722) ((|SparseUnivariatePolynomialExpressions| . |GcdDomain|) 30617) ((|FourierComponent| . |CoercibleTo|) 30591) ((|SplitHomogeneousDirectProduct| . |RetractableTo|) 30342) ((|IndexedString| . |LinearAggregate|) 30317) ((|IndexedString| . |FiniteLinearAggregate|) 30292) ((|FiniteFieldCyclicGroup| . |VectorSpace|) 30261) ((|RegularTriangularSet| . |Type|) T) ((|PAdicRational| . |EntireRing|) T) ((|UnivariatePolynomial| . |InnerEvalable|) 30171) ((|GeneralTriangularSet| . |Type|) T) ((|GeneralPolynomialSet| . |Type|) T) ((|IntegrationResult| . |BasicType|) T) ((|SparseUnivariatePolynomial| . |Eltable|) 30074) ((|LaurentPolynomial| . |GcdDomain|) 30050) ((|Queue| . |QueueAggregate|) 30034) ((|XDistributedPolynomial| . |FreeModuleCat|) 29991) ((|BalancedPAdicRational| . |GcdDomain|) T) ((|TexFormat| . |BasicType|) T) ((|SegmentBinding| . |SetCategory|) 29961) ((|ResidueRing| . |SetCategory|) T) ((|PoincareBirkhoffWittLyndonBasis| . |OrderedSet|) T) ((|UnivariateTaylorSeries| . |RightModule|) 29794) ((|FiniteFieldNormalBasis| . |UniqueFactorizationDomain|) T) ((|UnivariatePuiseuxSeries| . |RightModule|) 29576) ((|SplitHomogeneousDirectProduct| . |FullyLinearlyExplicitRingOver|) 29544) ((|UnivariateLaurentSeries| . |RightModule|) 29259) ((|UnivariateFormalPowerSeries| . |RightModule|) 29092) ((|UnivariateTaylorSeries| . |BiModule|) 28893) ((|UnivariatePuiseuxSeries| . |BiModule|) 28643) ((|UnivariateLaurentSeries| . |BiModule|) 28284) ((|UnivariateFormalPowerSeries| . |BiModule|) 28085) ((|TaylorSeries| . |Evalable|) 28072) ((|FiniteFieldNormalBasis| . |IntegralDomain|) T) ((|File| . |CoercibleTo|) 28046) ((|EuclideanModularRing| . |EuclideanDomain|) T) ((|InnerTaylorSeries| . |RightModule|) 28007) ((|InnerSparseUnivariatePowerSeries| . |RightModule|) 27840) ((|FreeGroup| . |SetCategory|) T) ((|FreeAbelianGroup| . |SetCategory|) T) ((|DirectProductModule| . |CoercibleTo|) 27790) ((|DirectProductMatrixModule| . |CoercibleTo|) 27740) ((|RadicalFunctionField| . |CancellationAbelianMonoid|) T) ((|BinaryFile| . |CoercibleTo|) 27714) ((|AssociatedLieAlgebra| . |AbelianMonoid|) T) ((|MachineComplex| . |FramedAlgebra|) 27638) ((|AssociatedJordanAlgebra| . |AbelianMonoid|) T) ((|LinearOrdinaryDifferentialOperator| . |BasicType|) T) ((|InnerTaylorSeries| . |BiModule|) 27597) ((|InnerSparseUnivariatePowerSeries| . |BiModule|) 27398) ((|Float| . |SetCategory|) T) ((|FiniteDivisor| . |BasicType|) T) ((|Complex| . |EntireRing|) 27267) ((|Divisor| . |BasicType|) T) ((|UnivariateLaurentSeriesConstructor| . |OrderedRing|) 27198) ((|Places| . |CoercibleTo|) 27172) ((|ModuleOperator| . |Rng|) T) ((|Stack| . |InnerEvalable|) 27091) ((|SplitHomogeneousDirectProduct| . |PartialDifferentialRing|) 26995) ((|Operator| . |SetCategory|) T) ((|OppositeMonogenicLinearOperator| . |SetCategory|) T) ((|OpenMathError| . |SetCategory|) T) ((|AttributeButtons| . |BasicType|) T) ((|Character| . |OrderedSet|) T) ((|MyExpression| . |CharacteristicZero|) 26958) ((|MyExpression| . |CharacteristicNonZero|) 26918) ((|Kernel| . |Patternable|) 26902) ((|U8Matrix| . |Type|) T) ((|U8Vector| . |Collection|) 26879) ((|Bits| . |Type|) T) ((|SequentialDifferentialPolynomial| . |BasicType|) T) ((|RoutinesTable| . |Aggregate|) T) ((|NewSparseUnivariatePolynomial| . |BasicType|) T) ((|NewSparseMultivariatePolynomial| . |BasicType|) T) ((|GeneralModulePolynomial| . |BasicType|) T) ((|GeneralDistributedMultivariatePolynomial| . |BasicType|) T) ((|DirectProduct| . |OrderedCancellationAbelianMonoid|) 26803) ((|DirectProduct| . |OrderedAbelianMonoid|) 26727) ((|NeitherSparseOrDensePowerSeries| . |StreamAggregate|) 26668) ((|ListMonoidOps| . |BasicType|) T) ((|UnivariatePolynomial| . |EntireRing|) 26531) ((|LiePolynomial| . |LieAlgebra|) 26515) ((|List| . |Eltable|) 26487) ((|ResidueRing| . |Module|) 26471) ((|Interval| . |EntireRing|) T) ((|PolynomialRing| . |LeftModule|) 26368) ((|XPolynomialRing| . |CancellationAbelianMonoid|) T) ((|MonoidRing| . |LeftModule|) 26315) ((|ModularRing| . |LeftModule|) 26302) ((|ExtAlgBasis| . |BasicType|) T) ((|GenericNonAssociativeAlgebra| . |LeftModule|) 26195) ((|AntiSymm| . |BasicType|) T) ((|InnerPrimeField| . |BasicType|) T) ((|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| . |BasicType|) T) ((|InnerFiniteField| . |BasicType|) T) ((|UnivariateTaylorSeries| . |Ring|) T) ((|UnivariatePuiseuxSeries| . |Ring|) T) ((|UnivariateLaurentSeries| . |Ring|) T) ((|UnivariateFormalPowerSeries| . |Ring|) T) ((|UnivariateTaylorSeries| . |DifferentialRing|) 26132) ((|UnivariatePuiseuxSeries| . |DivisionRing|) 26108) ((|FreeAbelianGroup| . |Module|) 26085) ((|UnivariatePuiseuxSeries| . |DifferentialRing|) 26020) ((|UnivariateLaurentSeries| . |DifferentialRing|) 25863) ((|UnivariateLaurentSeries| . |DivisionRing|) 25839) ((|UnivariateFormalPowerSeries| . |DifferentialRing|) 25776) ((|TaylorSeries| . |Algebra|) 25620) ((|RadixExpansion| . |OrderedCancellationAbelianMonoid|) T) ((|InnerTaylorSeries| . |Ring|) T) ((|InnerSparseUnivariatePowerSeries| . |Ring|) T) ((|RadixExpansion| . |OrderedAbelianMonoid|) T) ((|Partition| . |OrderedCancellationAbelianMonoid|) T) ((|Partition| . |OrderedAbelianMonoid|) T) ((|DirichletRing| . |CoercibleTo|) 25594) ((|PAdicRationalConstructor| . |Rng|) T) ((|PAdicInteger| . |PAdicIntegerCategory|) 25578) ((|MachineComplex| . |GcdDomain|) T) ((|Float| . |Module|) 25532) ((|Factored| . |LeftModule|) 25506) ((|ModMonic| . |OrderedSet|) 25477) ((|ModularField| . |Algebra|) 25431) ((|InnerSparseUnivariatePowerSeries| . |DifferentialRing|) 25379) ((|AlgebraicFunctionField| . |MonogenicAlgebra|) 25345) ((|FiniteFieldNormalBasis| . |FiniteAlgebraicExtensionField|) 25314) ((|FiniteFieldNormalBasis| . |Field|) T) ((|UnivariateTaylorSeriesCZero| . |CharacteristicNonZero|) 25274) ((|UnivariateTaylorSeriesCZero| . |CharacteristicZero|) 25237) ((|SimpleAlgebraicExtension| . |EuclideanDomain|) 25171) ((|Equation| . |SemiGroup|) 25017) ((|SimpleFortranProgram| . |Type|) T) ((|SubSpaceComponentProperty| . |BasicType|) T) ((|UniversalSegment| . |CoercibleTo|) 24968) ((|OrderedCompletion| . |CancellationAbelianMonoid|) 24903) ((|List| . |UnaryRecursiveAggregate|) 24887) ((|Operator| . |Module|) 24844) ((|OppositeMonogenicLinearOperator| . |Module|) 24801) ((|HomogeneousDirectProduct| . |Type|) T) ((|FiniteFieldExtension| . |EuclideanDomain|) T) ((|FiniteFieldNormalBasisExtension| . |EuclideanDomain|) T) ((|FiniteFieldCyclicGroupExtension| . |EuclideanDomain|) T) ((|List| . |IndexedAggregate|) 24773) ((|Fraction| . |CancellationAbelianMonoid|) T) ((|IndexedList| . |ListAggregate|) 24757) ((|BinaryExpansion| . |EuclideanDomain|) T) ((|Equation| . |AbelianMonoid|) 24591) ((|IndexedList| . |LinearAggregate|) 24575) ((|MachineComplex| . |FieldOfPrimeCharacteristic|) NIL) ((|IndexedList| . |FiniteLinearAggregate|) 24559) ((|InfinitlyClosePoint| . |CoercibleTo|) 24533) ((|ArrayStack| . |SetCategory|) 24503) ((|BinaryExpansion| . |RealConstant|) T) ((|Integer| . |CombinatorialFunctionCategory|) T) ((|Vector| . |Collection|) 24487) ((|HomogeneousDirectProduct| . |RetractableTo|) 24238) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |CharacteristicNonZero|) 24160) ((|UnivariatePuiseuxSeriesWithExponentialSingularity| . |CharacteristicZero|) 24085) ((|RectangularMatrix| . |Type|) T) ((|QuadraticForm| . |CoercibleTo|) 24059) ((|OutputForm| . |CoercibleTo|) 24033) ((|OrderlyDifferentialPolynomial| . |RightModule|) 23790) ((|SequentialDifferentialPolynomial| . |Evalable|) 23777) ((|DenavitHartenbergMatrix| . |Type|) T) ((|NewSparseUnivariatePolynomial| . |Evalable|) 23764) ((|NewSparseMultivariatePolynomial| . |Evalable|) 23751) ((|OrderlyDifferentialPolynomial| . |BiModule|) 23476) ((|GeneralDistributedMultivariatePolynomial| . |Evalable|) 23463) ((|SparseUnivariatePolynomial| . |ConvertibleTo|) NIL) ((|SparseUnivariatePolynomial| . |CoercibleTo|) 23437) ((|SparseMultivariatePolynomial| . |CoercibleTo|) 23411) ((|SparseMultivariatePolynomial| . |ConvertibleTo|) 23018) ((|ResidueRing| . |CommutativeRing|) T) ((|SparseUnivariateSkewPolynomial| . |CoercibleTo|) 22992) ((|Point| . |EltableAggregate|) 22964) ((|KeyedAccessFile| . |InnerEvalable|) 22648) ((|OrderlyDifferentialVariable| . |RetractableTo|) 22632) ((|GeneralSparseTable| . |InnerEvalable|) 22340) ((|PolynomialRing| . |Monoid|) T) ((|MonoidRing| . |Monoid|) T) ((|ModularRing| . |Monoid|) T) ((|FiniteFieldNormalBasis| . |SemiGroup|) T) ((|TheSymbolTable| . |CoercibleTo|) 22314) ((|DeRhamComplex| . |BasicType|) T) ((|HomogeneousDirectProduct| . |FullyLinearlyExplicitRingOver|) 22282) ((|InnerFreeAbelianMonoid| . |SetCategory|) T) ((|IndexedDirectProductOrderedAbelianMonoid| . |SetCategory|) T) ((|IndexedDirectProductAbelianMonoid| . |SetCategory|) T) ((|Octonion| . |LeftModule|) 22256) ((|RealClosure| . |GcdDomain|) T) ((|PrimitiveArray| . |InnerEvalable|) 22175) ((|FiniteFieldNormalBasis| . |AbelianMonoid|) T) ((|U16Vector| . |OrderedSet|) T) ((|AssociatedLieAlgebra| . |CancellationAbelianMonoid|) T) ((|AssociatedJordanAlgebra| . |CancellationAbelianMonoid|) T) ((|Factored| . |LeftOreRing|) 22099) ((|FiniteField| . |GcdDomain|) T) ((|DirectProduct| . |Finite|) 22074) ((|Float| . |CommutativeRing|) T) ((|UnivariatePuiseuxSeriesConstructor| . |Rng|) T) ((|UnivariateLaurentSeriesConstructor| . |Rng|) T) ((|DoubleFloat| . |RadicalCategory|) T) ((|ProjectivePlane| . |SetCategoryWithDegree|) T) ((|MachineFloat| . |FortranMachineTypeCategory|) T) ((|Factored| . |Monoid|) T) ((|MachineInteger| . |UniqueFactorizationDomain|) T) ((|SquareMatrix| . |LinearlyExplicitRingOver|) 21990) ((|XDistributedPolynomial| . |RightModule|) 21974) ((|InnerPAdicInteger| . |PAdicIntegerCategory|) 21958) ((|StringTable| . |TableAggregate|) 21931) ((|ModuleOperator| . |SetCategory|) T) ((|MachineInteger| . |IntegralDomain|) T) ((|BinaryTournament| . |SetCategory|) 21901) ((|HomogeneousDirectProduct| . |PartialDifferentialRing|) 21805) ((|DoubleFloatVector| . |VectorCategory|) 21778) ((|DoubleFloatVector| . |SetCategory|) T) ((|ComplexDoubleFloatVector| . |VectorCategory|) 21739) ((|Commutator| . |SetCategory|) T) ((|LinearOrdinaryDifferentialOperator| . |Algebra|) 21696) ((|FiniteField| . |FieldOfPrimeCharacteristic|) T) ((|Expression| . |CharacteristicZero|) 21659) ((|Expression| . |CharacteristicNonZero|) 21619) ((|BalancedPAdicInteger| . |IntegralDomain|) T) ((|ExponentialExpansion| . |CharacteristicZero|) 21513) ((|ExponentialExpansion| . |CharacteristicNonZero|) 21404) ((|AlgebraicNumber| . |GcdDomain|) T) ((|Color| . |SetCategory|) T) ((|ComplexDoubleFloatVector| . |SetCategory|) T) ((|StringTable| . |BagAggregate|) 21340) ((|SparseUnivariatePolynomialExpressions| . |PolynomialCategory|) 21275) ((|NewSparseUnivariatePolynomial| . |StepThrough|) 21245) ((|Matrix| . |Aggregate|) T) ((|XDistributedPolynomial| . |BiModule|) 21224) ((|InnerTable| . |Aggregate|) T) ((|Heap| . |BagAggregate|) 21208) ((|DirectProductModule| . |EltableAggregate|) 21180) ((|DirectProductMatrixModule| . |EltableAggregate|) 21152) ((|PAdicRational| . |Eltable|) 21037) ((|AssociationList| . |Type|) T) ((|OrderlyDifferentialPolynomial| . |Ring|) T) ((|SymmetricPolynomial| . |AbelianMonoidRing|) 21007) ((|OrderlyDifferentialPolynomial| . |FiniteAbelianMonoidRing|) 20927) ((|SequentialDifferentialPolynomial| . |Algebra|) 20690) ((|OrderlyDifferentialPolynomial| . |DifferentialRing|) 20655) ((|NewSparseUnivariatePolynomial| . |Algebra|) 20395) ((|NewSparseMultivariatePolynomial| . |Algebra|) 20158) ((|MyUnivariatePolynomial| . |AbelianMonoidRing|) 20119) ((|GeneralDistributedMultivariatePolynomial| . |Algebra|) 19882) ((|List| . |ConvertibleTo|) 19818) ((|List| . |CoercibleTo|) 19736) ((|InnerPrimeField| . |StepThrough|) T) ((|InnerFiniteField| . |StepThrough|) T) ((|Stack| . |HomogeneousAggregate|) 19720) ((|Tree| . |SetCategory|) 19690) ((|SquareMatrix| . |AbelianSemiGroup|) T) ((|SquareMatrix| . |AbelianGroup|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |Rng|) T) ((|NeitherSparseOrDensePowerSeries| . |Rng|) T) ((|UnivariateTaylorSeriesCZero| . |TrigonometricFunctionCategory|) 19639) ((|UnivariateTaylorSeriesCZero| . |TranscendentalFunctionCategory|) 19588) ((|GeneralUnivariatePowerSeries| . |Rng|) T) ((|UnivariateLaurentSeries| . |OrderedAbelianMonoid|) NIL) ((|UnivariateLaurentSeries| . |OrderedCancellationAbelianMonoid|) NIL) ((|Quaternion| . |OrderedSet|) 19559) ((|OrderedFreeMonoid| . |CoercibleTo|) 19533) ((|OrdinaryWeightedPolynomials| . |AbelianGroup|) T) ((|OrdinaryWeightedPolynomials| . |AbelianSemiGroup|) T) ((|Octonion| . |Monoid|) T) ((|InfClsPt| . |SetCategoryWithDegree|) T) ((|ContinuedFraction| . |UniqueFactorizationDomain|) T) ((|InnerPrimeField| . |Algebra|) 19487) ((|InnerFiniteField| . |Algebra|) 19441) ((|FreeMonoid| . |CoercibleTo|) 19415) ((|FreeAbelianMonoid| . |CoercibleTo|) 19389) ((|Complex| . |Eltable|) 19342) ((|UnivariateTaylorSeriesCZero| . |ArcHyperbolicFunctionCategory|) 19291) ((|UnivariateTaylorSeriesCZero| . |ArcTrigonometricFunctionCategory|) 19240) ((|Asp19| . |Type|) T) ((|Boolean| . |BasicType|) T) ((|PAdicRationalConstructor| . |SetCategory|) T) ((|ContinuedFraction| . |IntegralDomain|) T) ((|ModuleOperator| . |Module|) 19197) ((|Equation| . |CancellationAbelianMonoid|) 19031) ((|DoubleFloat| . |CoercibleTo|) 19005) ((|DoubleFloat| . |ConvertibleTo|) 18908) ((|U32Matrix| . |Aggregate|) T) ((|RadicalFunctionField| . |LinearlyExplicitRingOver|) 18798) ((|XDistributedPolynomial| . |Ring|) T) ((|SingleInteger| . |CharacteristicZero|) T) ((|Library| . |TableAggregate|) 18768) ((|MultivariatePolynomial| . |PolynomialFactorizationExplicit|) 18718) ((|IndexedString| . |Aggregate|) T) ((|ListMultiDictionary| . |BagAggregate|) 18702) ((|Library| . |BagAggregate|) 18635) ((|MyUnivariatePolynomial| . |PatternMatchable|) NIL) ((|UnivariatePolynomial| . |Eltable|) 18538) ((|MultivariatePolynomial| . |LeftModule|) 18435) ((|EqTable| . |Type|) T) ((|SymmetricPolynomial| . |RetractableTo|) 18279) ((|MyUnivariatePolynomial| . |RetractableTo|) 18089) ((|SparseUnivariateLaurentSeries| . |PolynomialFactorizationExplicit|) NIL) ((|RomanNumeral| . |ConvertibleTo|) 17970) ((|RomanNumeral| . |CoercibleTo|) 17944) ((|FiniteFieldCyclicGroup| . |BasicType|) T) ((|DirectProductModule| . |RightModule|) 17814) ((|DirectProductMatrixModule| . |RightModule|) 17684) ((|ScriptFormulaFormat| . |BasicType|) T) ((|Polynomial| . |CoercibleTo|) 17658) ((|Polynomial| . |ConvertibleTo|) 17436) ((|ModuleMonomial| . |CoercibleTo|) 17410) ((|WuWenTsunTriangularSet| . |TriangularSetCategory|) 17379) ((|HomogeneousDistributedMultivariatePolynomial| . |CoercibleTo|) 17353) ((|HomogeneousDistributedMultivariatePolynomial| . |ConvertibleTo|) 17131) ((|DifferentialSparseMultivariatePolynomial| . |FullyRetractableTo|) 17115) ((|DistributedMultivariatePolynomial| . |FullyRetractableTo|) 17099) ((|DirectProductModule| . |BiModule|) 16962) ((|DirectProductMatrixModule| . |BiModule|) 16825) ((|SparseUnivariateTaylorSeries| . |LeftModule|) 16722) ((|SparseUnivariatePuiseuxSeries| . |LeftModule|) 16591) ((|SparseUnivariateLaurentSeries| . |LeftModule|) 16387) ((|SparseMultivariateTaylorSeries| . |LeftModule|) 16284) ((|FiniteFieldNormalBasis| . |CancellationAbelianMonoid|) T) ((|Asp73| . |FortranVectorFunctionCategory|) T) ((|Asp73| . |FortranProgramCategory|) T) ((|RadicalFunctionField| . |AbelianSemiGroup|) T) ((|RadicalFunctionField| . |AbelianGroup|) T) ((|PAdicRationalConstructor| . |Module|) 16225) ((|Float| . |EntireRing|) T) ((|Complex| . |RadicalCategory|) 16137) ((|MyUnivariatePolynomial| . |FullyLinearlyExplicitRingOver|) 16121) ((|MachineComplex| . |FortranMachineTypeCategory|) T) ((|Quaternion| . |QuaternionCategory|) 16105) ((|MachineInteger| . |SemiGroup|) T) ((|MachineComplex| . |ComplexCategory|) 16077) ((|UnivariatePuiseuxSeriesConstructor| . |SetCategory|) T) ((|UnivariateLaurentSeriesConstructor| . |SetCategory|) T) ((|Expression| . |TranscendentalFunctionCategory|) 16044) ((|Expression| . |TrigonometricFunctionCategory|) 16011) ((|SubSpace| . |BasicType|) T) ((|Expression| . |PrimitiveFunctionCategory|) 15978) ((|CardinalNumber| . |SemiGroup|) T) ((|BalancedPAdicInteger| . |SemiGroup|) T) ((|IndexedVector| . |VectorCategory|) 15962) ((|MachineInteger| . |AbelianMonoid|) T) ((|IndexedVector| . |SetCategory|) 15899) ((|ArrayStack| . |InnerEvalable|) 15818) ((|ContinuedFraction| . |Field|) T) ((|SparseUnivariatePolynomialExpressions| . |UnivariatePolynomialCategory|) 15802) ((|Expression| . |ArcTrigonometricFunctionCategory|) 15769) ((|Expression| . |ArcHyperbolicFunctionCategory|) 15736) ((|KeyedAccessFile| . |HomogeneousAggregate|) 15659) ((|CardinalNumber| . |AbelianMonoid|) T) ((|BalancedPAdicInteger| . |AbelianMonoid|) T) ((|MoebiusTransform| . |SetCategory|) T) ((|GeneralSparseTable| . |HomogeneousAggregate|) 15588) ((|Fraction| . |LinearlyExplicitRingOver|) 15504) ((|LinearOrdinaryDifferentialOperator1| . |RetractableTo|) 15348) ((|MyUnivariatePolynomial| . |PartialDifferentialRing|) 15246) ((|PrimitiveArray| . |HomogeneousAggregate|) 15230) ((|MultivariatePolynomial| . |LeftOreRing|) 15148) ((|FiniteFieldExtensionByPolynomial| . |Rng|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |Rng|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |Rng|) T) ((|DifferentialSparseMultivariatePolynomial| . |Rng|) T) ((|DistributedMultivariatePolynomial| . |Rng|) T) ((|PAdicRational| . |ConvertibleTo|) NIL) ((|PAdicRational| . |CoercibleTo|) 15122) ((|XPolynomialRing| . |AbelianGroup|) T) ((|Interval| . |RadicalCategory|) T) ((|MultivariatePolynomial| . |Monoid|) T) ((|XPolynomialRing| . |AbelianSemiGroup|) T) ((|DirectProductModule| . |Ring|) 15032) ((|DirectProductMatrixModule| . |Ring|) 14942) ((|DirichletRing| . |RightModule|) 14862) ((|Asp33| . |Type|) T) ((|PlacesOverPseudoAlgebraicClosureOfFiniteField| . |BasicType|) T) ((|DirectProductModule| . |DifferentialRing|) 14799) ((|DirectProductMatrixModule| . |DifferentialRing|) 14736) ((|DirichletRing| . |BiModule|) 14649) ((|AlgebraicFunctionField| . |BasicType|) T) ((|PrimeField| . |Rng|) T) ((|SparseUnivariatePuiseuxSeries| . |LeftOreRing|) 14625) ((|SparseUnivariateLaurentSeries| . |LeftOreRing|) 14601) ((|SparseUnivariateTaylorSeries| . |Monoid|) T) ((|SparseUnivariatePuiseuxSeries| . |Monoid|) T) ((|SparseUnivariateLaurentSeries| . |Monoid|) T) ((|SparseUnivariateLaurentSeries| . |OrderedAbelianGroup|) NIL) ((|SparseUnivariateLaurentSeries| . |OrderedAbelianSemiGroup|) NIL) ((|SparseMultivariateTaylorSeries| . |Monoid|) T) ((|PlacesOverPseudoAlgebraicClosureOfFiniteField| . |PlacesCategory|) 14464) ((|PseudoAlgebraicClosureOfFiniteField| . |SetCategory|) T) ((|PositiveInteger| . |BasicType|) T) ((|NeitherSparseOrDensePowerSeries| . |SetCategory|) T) ((|NonNegativeInteger| . |BasicType|) T) ((|LyndonWord| . |BasicType|) T) ((|GeneralUnivariatePowerSeries| . |SetCategory|) T) ((|FortranExpression| . |SemiGroup|) T) ((|UnivariatePuiseuxSeriesConstructor| . |Module|) 14252) ((|ContinuedFraction| . |SemiGroup|) T) ((|ExponentialOfUnivariatePuiseuxSeries| . |PrincipalIdealDomain|) 14228) ((|MyExpression| . |GcdDomain|) 14195) ((|PAdicRationalConstructor| . |CommutativeRing|) T) ((|UnivariateLaurentSeriesConstructor| . |Module|) 13953) ((|OrderedCompletion| . |AbelianGroup|) 13888) ((|OrderedCompletion| . |AbelianSemiGroup|) 13823) ((|DataList| . |StreamAggregate|) 13807) ((|BinaryTournament| . |InnerEvalable|) 13726) ((|Fraction| . |AbelianSemiGroup|) T) ((|Fraction| . |AbelianGroup|) T) ((|FortranExpression| . |AbelianMonoid|) T) ((|Complex| . |ConvertibleTo|) 13346) ((|Complex| . |CoercibleTo|) 13320) ((|ContinuedFraction| . |AbelianMonoid|) T) ((|List| . |EltableAggregate|) 13292) ((|DoubleFloatVector| . |InnerEvalable|) NIL) ((|ComplexDoubleFloatVector| . |InnerEvalable|) NIL) ((|IndexedList| . |Aggregate|) T) ((|NumericalPDEProblem| . |CoercibleTo|) 13266) ((|Asp9| . |Type|) T) ((|NumericalOptimizationProblem| . |CoercibleTo|) 13240) ((|NumericalODEProblem| . |CoercibleTo|) 13214) ((|NumericalIntegrationProblem| . |CoercibleTo|) 13188) ((|Magma| . |CoercibleTo|) 13162) ((|DirectProduct| . |LeftModule|) 12976) ((|Symbol| . |SetCategory|) T) ((|SparseUnivariatePolynomial| . |RightModule|) 12710) ((|SparseTable| . |Type|) T) ((|SparseMultivariatePolynomial| . |RightModule|) 12467) ((|SparseUnivariateSkewPolynomial| . |RightModule|) 12451) ((|StochasticDifferential| . |LeftModule|) 12420) ((|SparseUnivariatePolynomial| . |BiModule|) 12122) ((|SparseMultivariatePolynomial| . |BiModule|) 11847) ((|SparseUnivariateSkewPolynomial| . |BiModule|) 11826) ((|UnivariatePolynomial| . |ConvertibleTo|) NIL) ((|UnivariatePolynomial| . |CoercibleTo|) 11800) ((|FiniteFieldCyclicGroup| . |StepThrough|) T) ((|UnivariateSkewPolynomial| . |CoercibleTo|) 11774) ((|RewriteRule| . |Eltable|) 11753) ((|DirichletRing| . |Ring|) T) ((|Asp55| . |Type|) T) ((|RadixExpansion| . |PolynomialFactorizationExplicit|) NIL) ((|KeyedAccessFile| . |Eltable|) 11726) ((|Tree| . |InnerEvalable|) 11645) ((|HexadecimalExpansion| . |Type|) T) ((|Interval| . |CoercibleTo|) 11619) ((|GeneralSparseTable| . |Eltable|) 11598) ((|SequentialDifferentialPolynomial| . |DifferentialExtension|) 11582) ((|RadixExpansion| . |LeftModule|) 11516) ((|DecimalExpansion| . |Type|) T) ((|PrimitiveArray| . |Eltable|) 11488) ((|PartialFraction| . |LeftModule|) 11429) ((|EuclideanModularRing| . |PrincipalIdealDomain|) T) ((|OrdinaryDifferentialRing| . |EuclideanDomain|) 11405) ((|PAdicInteger| . |BasicType|) T) ((|NewSparseUnivariatePolynomial| . |DifferentialExtension|) 11389) ((|NottinghamGroup| . |SetCategory|) T) ((|PseudoAlgebraicClosureOfFiniteField| . |Module|) 11330) ((|NeitherSparseOrDensePowerSeries| . |Module|) 11244) ((|AssociatedLieAlgebra| . |AbelianGroup|) T) ((|AssociatedLieAlgebra| . |AbelianSemiGroup|) T) ((|AssociatedJordanAlgebra| . |AbelianGroup|) T) ((|FiniteFieldCyclicGroup| . |Algebra|) 11198) ((|MachineComplex| . |MonogenicAlgebra|) 11122) ((|HexadecimalExpansion| . |Patternable|) 11099) ((|HexadecimalExpansion| . |PatternMatchable|) 11076) ((|GeneralUnivariatePowerSeries| . |Module|) 10864) ((|DecimalExpansion| . |Patternable|) 10841) ((|Asp1| . |Type|) T) ((|DecimalExpansion| . |PatternMatchable|) 10818) ((|AssociatedJordanAlgebra| . |AbelianSemiGroup|) T) ((|FourierSeries| . |LeftModule|) 10792) ((|HexadecimalExpansion| . |RetractableTo|) 10736) ((|PAdicRationalConstructor| . |InnerEvalable|) 10625) ((|DecimalExpansion| . |RetractableTo|) 10569) ((|DirectProduct| . |Aggregate|) T) ((|Queue| . |SetCategory|) 10539) ((|UnivariatePuiseuxSeriesConstructor| . |CommutativeRing|) 10445) ((|UnivariateLaurentSeriesConstructor| . |CommutativeRing|) 10351) ((|ModMonic| . |CharacteristicNonZero|) 10311) ((|ModMonic| . |CharacteristicZero|) 10274) ((|MachineInteger| . |CancellationAbelianMonoid|) T) ((|CartesianTensor| . |GradedAlgebra|) 10235) ((|GuessOptionFunctions0| . |BasicType|) T) ((|LinearOrdinaryDifferentialOperator| . |LinearOrdinaryDifferentialOperatorCategory|) 10219) ((|Stack| . |CoercibleTo|) 10170) ((|BalancedPAdicInteger| . |CancellationAbelianMonoid|) T) ((|Pi| . |UniqueFactorizationDomain|) T) ((|KeyedAccessFile| . |IndexedAggregate|) 10143) ((|GeneralSparseTable| . |IndexedAggregate|) 10122) ((|FiniteDivisor| . |FiniteDivisorCategory|) 10091) ((|InputForm| . |SetCategory|) T) ((|SparseUnivariatePolynomial| . |Ring|) T) ((|Pi| . |IntegralDomain|) T) ((|Divisor| . |DivisorCategory|) 10075) ((|SparseMultivariatePolynomial| . |Ring|) T) ((|SparseUnivariateSkewPolynomial| . |Ring|) T) ((|DirectProduct| . |OrderedAbelianGroup|) 10045) ((|DirectProduct| . |OrderedAbelianSemiGroup|) 9969) ((|DirectProduct| . |OrderedAbelianMonoidSup|) 9927) ((|SparseUnivariatePolynomial| . |FiniteAbelianMonoidRing|) 9888) ((|DirectProduct| . |Monoid|) 9774) ((|PrimitiveArray| . |OneDimensionalArrayAggregate|) 9758) ((|HexadecimalExpansion| . |FullyLinearlyExplicitRingOver|) 9735) ((|HexadecimalExpansion| . |FullyEvalableOver|) 9712) ((|SparseMultivariatePolynomial| . |FiniteAbelianMonoidRing|) 9670) ((|FiniteField| . |VectorSpace|) 9639) ((|DecimalExpansion| . |FullyLinearlyExplicitRingOver|) 9616) ((|DecimalExpansion| . |FullyEvalableOver|) 9593) ((|PrimitiveArray| . |IndexedAggregate|) 9565) ((|SparseUnivariatePolynomial| . |DifferentialRing|) T) ((|LiePolynomial| . |SetCategory|) T) ((|Variable| . |SetCategory|) T) ((|Table| . |SetCategory|) T) ((|SequentialDifferentialPolynomial| . |DifferentialPolynomialCategory|) 9425) ((|FiniteFieldExtensionByPolynomial| . |SetCategory|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |SetCategory|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |SetCategory|) T) ((|DifferentialSparseMultivariatePolynomial| . |SetCategory|) T) ((|DistributedMultivariatePolynomial| . |SetCategory|) T) ((|Asp77| . |Type|) T) ((|BinaryTree| . |BasicType|) 9395) ((|BinarySearchTree| . |BasicType|) 9365) ((|MyUnivariatePolynomial| . |EuclideanDomain|) 9341) ((|Table| . |KeyedDictionary|) 9320) ((|U8Vector| . |BasicType|) T) ((|SplittingTree| . |SetCategory|) T) ((|HashTable| . |SetCategory|) T) ((|SimpleAlgebraicExtension| . |PrincipalIdealDomain|) 9254) ((|RadixExpansion| . |OrderedAbelianSemiGroup|) T) ((|HashTable| . |KeyedDictionary|) 9233) ((|DirectProductModule| . |OrderedCancellationAbelianMonoid|) 9157) ((|DirectProductModule| . |OrderedAbelianMonoid|) 9081) ((|DirectProductMatrixModule| . |OrderedCancellationAbelianMonoid|) 9005) ((|AlgebraicFunctionField| . |StepThrough|) NIL) ((|DirectProductMatrixModule| . |OrderedAbelianMonoid|) 8929) ((|RadixExpansion| . |OrderedAbelianGroup|) T) ((|RadixExpansion| . |LeftOreRing|) T) ((|RadixExpansion| . |Monoid|) T) ((|Partition| . |OrderedAbelianSemiGroup|) T) ((|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| . |SetCategory|) T) ((|PartialFraction| . |LeftOreRing|) T) ((|PartialFraction| . |Monoid|) T) ((|PrimeField| . |SetCategory|) T) ((|PAdicRationalConstructor| . |EntireRing|) T) ((|ArrayStack| . |HomogeneousAggregate|) 8913) ((|HexadecimalExpansion| . |PartialDifferentialRing|) NIL) ((|PseudoAlgebraicClosureOfFiniteField| . |CommutativeRing|) T) ((|DoubleFloat| . |RightModule|) 8867) ((|OnePointCompletion| . |SemiGroup|) 8837) ((|DecimalExpansion| . |PartialDifferentialRing|) NIL) ((|NeitherSparseOrDensePowerSeries| . |CommutativeRing|) T) ((|OneDimensionalArray| . |SetCategory|) 8774) ((|InnerIndexedTwoDimensionalArray| . |SetCategory|) 8744) ((|IndexedFlexibleArray| . |SetCategory|) 8681) ((|IndexedTwoDimensionalArray| . |SetCategory|) 8651) ((|IndexedOneDimensionalArray| . |SetCategory|) 8588) ((|InnerPAdicInteger| . |BasicType|) T) ((|Integer| . |BasicType|) T) ((|InnerAlgebraicNumber| . |BasicType|) T) ((|GeneralUnivariatePowerSeries| . |CommutativeRing|) 8494) ((|FiniteFieldExtension| . |PrincipalIdealDomain|) T) ((|FiniteFieldNormalBasisExtension| . |PrincipalIdealDomain|) T) ((|FiniteFieldCyclicGroupExtension| . |PrincipalIdealDomain|) T) ((|DoubleFloat| . |BiModule|) 8421) ((|OnePointCompletion| . |AbelianMonoid|) 8356) ((|FourierSeries| . |Monoid|) T) ((|BinaryExpansion| . |PrincipalIdealDomain|) T) ((|AlgebraicFunctionField| . |Algebra|) 8284) ((|BinaryExpansion| . |OrderedIntegralDomain|) T) ((|InnerPrimeField| . |FiniteFieldCategory|) T) ((|InnerFiniteField| . |FiniteFieldCategory|) T) ((|UnivariateLaurentSeriesConstructor| . |InnerEvalable|) 8115) ((|Expression| . |GcdDomain|) 8082) ((|ExponentialExpansion| . |GcdDomain|) T) ((|U16Matrix| . |Aggregate|) T) ((|Operator| . |Eltable|) 8061) ((|FortranExpression| . |CancellationAbelianMonoid|) T) ((|ContinuedFraction| . |CancellationAbelianMonoid|) T) ((|Equation| . |AbelianSemiGroup|) 7861) ((|Equation| . |AbelianGroup|) 7695) ((|AssociationList| . |TableAggregate|) 7674) ((|Asp24| . |CoercibleTo|) 7648) ((|Pattern| . |CoercibleTo|) 7622) ((|IndexedVector| . |InnerEvalable|) 7541) ((|AssociationList| . |BagAggregate|) 7483) ((|Set| . |FiniteSetAggregate|) 7467) ((|Set| . |Finite|) 7442) ((|RoutinesTable| . |Type|) T) ((|RomanNumeral| . |RightModule|) 7429) ((|Polynomial| . |RightModule|) 7186) ((|HomogeneousDistributedMultivariatePolynomial| . |RightModule|) 6943) ((|LiePolynomial| . |Module|) 6927) ((|RomanNumeral| . |BiModule|) 6912) ((|Polynomial| . |BiModule|) 6637) ((|Pi| . |Field|) T) ((|FiniteFieldExtensionByPolynomial| . |Module|) 6578) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |Module|) 6519) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |Module|) 6460) ((|DifferentialSparseMultivariatePolynomial| . |Module|) 6223) ((|DistributedMultivariatePolynomial| . |Module|) 5986) ((|TwoDimensionalViewport| . |BasicType|) T) ((|Vector| . |BasicType|) 5923) ((|Point| . |LinearAggregate|) 5907) ((|UnivariateTaylorSeries| . |LeftModule|) 5804) ((|HomogeneousDistributedMultivariatePolynomial| . |BiModule|) 5529) ((|UnivariatePuiseuxSeries| . |LeftModule|) 5398) ((|UnivariateLaurentSeries| . |LeftModule|) 5200) ((|UnivariateLaurentSeries| . |PolynomialFactorizationExplicit|) NIL) ((|Point| . |FiniteLinearAggregate|) 5184) ((|UnivariateFormalPowerSeries| . |LeftModule|) 5081) ((|Asp35| . |CoercibleTo|) 5055) ((|PolynomialRing| . |AbelianMonoidRing|) 5034) ((|LocalAlgebra| . |SemiGroup|) T) ((|Mapping| . |SetCategory|) T) ((|MathMLFormat| . |BasicType|) T) ((|MachineFloat| . |BasicType|) T) ((|TextFile| . |CoercibleTo|) 5008) ((|SequentialDifferentialVariable| . |CoercibleTo|) 4982) ((|RewriteRule| . |CoercibleTo|) 4956) ((|PrimeField| . |Module|) 4910) ((|BinaryTournament| . |HomogeneousAggregate|) 4894) ((|NeitherSparseOrDensePowerSeries| . |InnerEvalable|) 4676) ((|LocalAlgebra| . |AbelianMonoid|) T) ((|FreeNilpotentLie| . |AbelianMonoid|) T) ((|KeyedAccessFile| . |CoercibleTo|) 4650) ((|Asp80| . |Type|) T) ((|KeyedAccessFile| . |ConvertibleTo|) NIL) ((|GeneralSparseTable| . |ConvertibleTo|) NIL) ((|GeneralSparseTable| . |CoercibleTo|) 4624) ((|FiniteFieldNormalBasis| . |AbelianSemiGroup|) T) ((|FiniteFieldNormalBasis| . |AbelianGroup|) T) ((|DoubleFloatVector| . |HomogeneousAggregate|) 4597) ((|BinaryTree| . |Evalable|) 4521) ((|IndexedDirectProductOrderedAbelianMonoidSup| . |SetCategory|) T) ((|IndexedDirectProductAbelianGroup| . |SetCategory|) T) ((|ComplexDoubleFloatVector| . |HomogeneousAggregate|) 4482) ((|BinarySearchTree| . |Evalable|) 4406) ((|InnerTaylorSeries| . |LeftModule|) 4393) ((|DoubleFloatMatrix| . |TwoDimensionalArrayCategory|) 4322) ((|ComplexDoubleFloatMatrix| . |TwoDimensionalArrayCategory|) 4225) ((|DoubleFloat| . |Ring|) T) ((|InnerSparseUnivariatePowerSeries| . |LeftModule|) 4122) ((|U8Vector| . |Evalable|) NIL) ((|Float| . |RadicalCategory|) T) ((|DoubleFloat| . |DivisionRing|) T) ((|DoubleFloat| . |DifferentialRing|) T) ((|SparseUnivariatePolynomialExpressions| . |BasicType|) T) ((|PrimitiveArray| . |ConvertibleTo|) 4058) ((|PrimitiveArray| . |CoercibleTo|) 3976) ((|PAdicInteger| . |Algebra|) 3963) ((|UnivariatePuiseuxSeriesConstructor| . |EntireRing|) 3902) ((|UnivariateLaurentSeriesConstructor| . |EntireRing|) 3841) ((|SingleInteger| . |GcdDomain|) T) ((|IndexCard| . |OrderedSet|) T) ((|Expression| . |SpecialFunctionCategory|) 3808) ((|Quaternion| . |CharacteristicZero|) 3771) ((|Quaternion| . |CharacteristicNonZero|) 3731) ((|MyExpression| . |CombinatorialOpsCategory|) T) ((|MyExpression| . |CombinatorialFunctionCategory|) T) ((|InnerAlgebraicNumber| . |Evalable|) 3718) ((|EqTable| . |TableAggregate|) 3697) ((|Pi| . |SemiGroup|) T) ((|PAdicRational| . |RightModule|) 3621) ((|LaurentPolynomial| . |BasicType|) T) ((|Tree| . |HomogeneousAggregate|) 3605) ((|DirectProductModule| . |Finite|) 3580) ((|DirectProductMatrixModule| . |Finite|) 3555) ((|SparseUnivariatePolynomialExpressions| . |ElementaryFunctionCategory|) 3506) ((|RomanNumeral| . |Ring|) T) ((|EqTable| . |BagAggregate|) 3448) ((|BasicStochasticDifferential| . |BasicType|) T) ((|BalancedPAdicRational| . |BasicType|) T) ((|AffineSpace| . |SetCategoryWithDegree|) T) ((|Polynomial| . |Ring|) T) ((|PAdicRational| . |BiModule|) 3323) ((|Pi| . |AbelianMonoid|) T) ((|HomogeneousDistributedMultivariatePolynomial| . |Ring|) T) ((|RomanNumeral| . |DifferentialRing|) T) ((|Polynomial| . |FiniteAbelianMonoidRing|) 3275) ((|HomogeneousDistributedMultivariatePolynomial| . |FiniteAbelianMonoidRing|) 3196) ((|FiniteFieldExtensionByPolynomial| . |CommutativeRing|) T) ((|FiniteFieldNormalBasisExtensionByPolynomial| . |CommutativeRing|) T) ((|FiniteFieldCyclicGroupExtensionByPolynomial| . |CommutativeRing|) T) ((|DifferentialSparseMultivariatePolynomial| . |CommutativeRing|) 3049) ((|DistributedMultivariatePolynomial| . |CommutativeRing|) 2902) ((|PolynomialRing| . |RetractableTo|) 2746) ((|MonoidRing| . |RetractableTo|) 2717) ((|SExpressionOf| . |BasicType|) T) ((|SegmentBinding| . |CoercibleTo|) 2668) ((|ResidueRing| . |CoercibleTo|) 2642) ((|UnivariatePuiseuxSeries| . |LeftOreRing|) 2618) ((|UnivariateLaurentSeries| . |LeftOreRing|) 2594) ((|UnivariateTaylorSeriesCZero| . |PowerSeriesCategory|) 2529) ((|UnivariateTaylorSeries| . |Monoid|) T) ((|UnivariatePuiseuxSeries| . |Monoid|) T) ((|UnivariateLaurentSeries| . |Monoid|) T) ((|UnivariateLaurentSeries| . |OrderedAbelianGroup|) NIL) ((|UnivariateLaurentSeries| . |OrderedAbelianSemiGroup|) NIL) ((|PseudoAlgebraicClosureOfFiniteField| . |EntireRing|) T) ((|Complex| . |RightModule|) 2411) ((|PrimeField| . |CommutativeRing|) T) ((|NeitherSparseOrDensePowerSeries| . |EntireRing|) T) ((|UnivariateFormalPowerSeries| . |Monoid|) T) ((|WuWenTsunTriangularSet| . |Collection|) 2395) ((|RadicalFunctionField| . |FunctionFieldCategory|) 2369) ((|Queue| . |InnerEvalable|) 2288) ((|OrderedCompletion| . |OrderedSet|) 2258) ((|Integer| . |StepThrough|) T) ((|GeneralUnivariatePowerSeries| . |EntireRing|) 2197) ((|InnerTaylorSeries| . |Monoid|) T) ((|FreeGroup| . |CoercibleTo|) 2171) ((|FreeAbelianGroup| . |CoercibleTo|) 2145) ((|Factored| . |RetractableTo|) 1989) ((|InnerSparseUnivariatePowerSeries| . |Monoid|) T) ((|Fraction| . |OrderedSet|) 1916) ((|Complex| . |BiModule|) 1766) ((|PseudoAlgebraicClosureOfRationalNumber| . |Rng|) T) ((|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| . |Rng|) T) ((|OnePointCompletion| . |CancellationAbelianMonoid|) 1701) ((|Multiset| . |Collection|) 1685) ((|Vector| . |Evalable|) 1609) ((|HexadecimalExpansion| . |EuclideanDomain|) T) ((|Float| . |CoercibleTo|) 1559) ((|IndexedList| . |RecursiveAggregate|) 1543) ((|Float| . |ConvertibleTo|) 1427) ((|DecimalExpansion| . |EuclideanDomain|) T) ((|CharacterClass| . |Collection|) 1402) ((|ModuleOperator| . |Eltable|) 1381) ((|SparseUnivariatePolynomialExpressions| . |Evalable|) 1368) ((|HexadecimalExpansion| . |RealConstant|) T) ((|InnerPAdicInteger| . |Algebra|) 1355) ((|Integer| . |Algebra|) 1342) ((|InnerAlgebraicNumber| . |Algebra|) 1296) ((|DoubleFloatVector| . |Eltable|) 1257) ((|ComplexDoubleFloatVector| . |Eltable|) 1206) ((|DecimalExpansion| . |RealConstant|) T) ((|PAdicRational| . |Ring|) T) ((|Operator| . |CoercibleTo|) 1180) ((|OppositeMonogenicLinearOperator| . |CoercibleTo|) 1154) ((|OpenMathError| . |CoercibleTo|) 1128) ((|OrderlyDifferentialPolynomial| . |PolynomialFactorizationExplicit|) 1078) ((|XRecursivePolynomial| . |SemiGroup|) T) ((|UnivariatePolynomial| . |RightModule|) 812) ((|UnivariateSkewPolynomial| . |RightModule|) 796) ((|PAdicRational| . |DivisionRing|) T) ((|PAdicRational| . |DifferentialRing|) NIL) ((|Matrix| . |Type|) T) ((|XRecursivePolynomial| . |AbelianMonoid|) T) ((|OrderlyDifferentialPolynomial| . |LeftModule|) 693) ((|InnerTable| . |Type|) T) ((|Factored| . |FullyEvalableOver|) 677) ((|Interval| . |RightModule|) 664) ((|UnivariatePolynomial| . |BiModule|) 366) ((|MachineInteger| . |LinearlyExplicitRingOver|) 343) ((|UnivariateSkewPolynomial| . |BiModule|) 322) ((|FreeModule1| . |AbelianMonoid|) T) ((|Table| . |InnerEvalable|) 30)) 
\ No newline at end of file
diff --git a/src/share/algebra/dependents.daase/index.kaf b/src/share/algebra/dependents.daase/index.kaf
index 24e027f..7de3ad5 100644
--- a/src/share/algebra/dependents.daase/index.kaf
+++ b/src/share/algebra/dependents.daase/index.kaf
@@ -1,4 +1,4 @@
-77560               (|AbelianGroup&| |FourierSeries| |FreeAbelianGroup| |IndexedDirectProductAbelianGroup| |QuadraticForm|)
+77648               (|AbelianGroup&| |FourierSeries| |FreeAbelianGroup| |IndexedDirectProductAbelianGroup| |QuadraticForm|)
 (|AbelianMonoid&| |CardinalNumber| |EuclideanModularRing| |GradedAlgebra| |GradedAlgebra&| |GradedModule| |GradedModule&| |IndexedDirectProductAbelianMonoid| |ListMonoidOps| |ModularField| |ModularRing| |RecurrenceOperator|)
 (|AbelianMonoidRing&| |FractionFreeFastGaussian|)
 (|AbelianSemiGroup&| |Color| |IncrementingMaps| |PositiveInteger|)
@@ -26,7 +26,7 @@
 (|FreeAbelianMonoidCategory| |InnerFreeAbelianMonoid|)
 (|CharacterClass|)
 (|AlgebraicNumber| |BalancedFactorisation| |ConstantLODE| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |FullPartialFractionExpansion| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |GenusZeroIntegration| |GroebnerFactorizationPackage| |InfiniteProductCharacteristicZero| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerMultFact| |InternalRationalUnivariateRepresentationPackage| |InverseLaplaceTransform| |Kovacic| |LaplaceTransform| |LinearOrdinaryDifferentialOperatorFactorizer| |MRationalFactorize| |MachineFloat| |MultivariateFactorize| |NonLinearFirstOrderODESolver| |ODEIntegration| |ParametricLinearEquations| |PartialFractionPackage| |Pi| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |PureAlgebraicIntegration| |PureAlgebraicLODE| |RadicalSolvePackage| |RationalFunctionDefiniteIntegration| |RationalFunctionIntegration| |RationalIntegration| |RationalLODE| |RationalRicDE| |RationalUnivariateRepresentationPackage| |SAERationalFunctionAlgFactor| |SimpleAlgebraicExtensionAlgFactor| |StreamInfiniteProduct| |TransSolvePackage| |TranscendentalRischDE| |TranscendentalRischDESystem| |UnivariatePolynomialDecompositionPackage| |ZeroDimensionalSolvePackage|)
-(|AssociatedJordanAlgebra| |AssociatedLieAlgebra| |Cell| |Float| |FortranScalarType| |InfiniteTuple| |LieSquareMatrix| |MakeCachableSet| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |Pi| |QuasiAlgebraicSet| |QueryEquation| |RectangularMatrix| |SimpleCell| |SquareMatrix| |Switch| |SymbolTable| |TheSymbolTable| |Tuple| |Variable|)
+(|AssociatedJordanAlgebra| |AssociatedLieAlgebra| |Cell| |Float| |FortranScalarType| |InfiniteTuple| |LieSquareMatrix| |MakeCachableSet| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |Pi| |QuasiAlgebraicSet| |QueryEquation| |RectangularMatrix| |SimpleCell| |SparseEchelonMatrix| |SquareMatrix| |Switch| |SymbolTable| |TheSymbolTable| |Tuple| |Variable|)
 (|Collection&|)
 (|FunctionSpaceSum| |Guess| |MyExpression| |RecurrenceOperator|)
 (|Algebra| |Algebra&| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |CartesianTensor| |CartesianTensorFunctions2| |CharacteristicPolynomialInMonogenicalAlgebra| |CharacteristicPolynomialPackage| |CoerceVectorMatrixPackage| |Complex| |ComplexCategory| |ComplexCategory&| |ComplexFunctions2| |ComplexPattern| |ComplexPatternMatch| |EuclideanModularRing| |FiniteRankAlgebra| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra| |FiniteRankNonAssociativeAlgebra&| |FourierSeries| |FramedAlgebra| |FramedAlgebra&| |FramedNonAssociativeAlgebra| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeLieAlgebra| |FreeNilpotentLie| |GeneralModulePolynomial| |GenericNonAssociativeAlgebra| |GradedAlgebra| |GradedAlgebra&| |GradedModule| |GradedModule&| |IntegerMod| |LieAlgebra| |LieAlgebra&| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LocalAlgebra| |Localize| |MatrixLinearAlgebraFunctions| |ModularField| |ModularRing| |Module| |Module&| |MonogenicAlgebra| |MonogenicAlgebra&| |NonAssociativeAlgebra| |NonAssociativeAlgebra&| |NumberTheoreticPolynomialFunctions| |Octonion| |OctonionCategory| |OctonionCategory&| |OctonionCategoryFunctions2| |OrthogonalPolynomialFunctions| |Quaternion| |QuaternionCategory| |QuaternionCategory&| |QuaternionCategoryFunctions2| |ResidueRing| |SimpleAlgebraicExtension| |XPBWPolynomial|)
@@ -163,11 +163,11 @@
 (|SturmHabichtPackage|)
 (|OrderedFreeMonoid| |XPolynomialRing|)
 (|ComplexRootFindingPackage| |ComplexRootPackage| |ExpertSystemToolsPackage1| |FloatingComplexPackage| |FloatingRealPackage| |FunctionSpaceToUnivariatePowerSeries| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |NumericComplexEigenPackage| |NumericRealEigenPackage| |OrderedRing&| |RealClosure| |RealRootCharacterizationCategory| |RealRootCharacterizationCategory&| |RightOpenIntervalRootCharacterization| |SegmentExpansionCategory| |ZeroDimensionalSolvePackage|)
-(|AlgebraicFunction| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicMultFact| |AlgebraicallyClosedFunctionSpace| |AlgebraicallyClosedFunctionSpace&| |ApplyRules| |BasicOperator| |BasicStochasticDifferential| |BinarySearchTree| |BinaryTournament| |Boolean| |CardinalNumber| |CombinatorialFunction| |ComplexTrigonometricManipulations| |ConstantLODE| |DataList| |Database| |DeRhamComplex| |DefiniteIntegrationTools| |DegreeReductionPackage| |DifferentialPolynomialCategory| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory| |DifferentialVariableCategory&| |DrawNumericHack| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EuclideanGroebnerBasisPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionFunctions2| |ExpressionSolve| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExtAlgBasis| |FactoringUtilities| |FourierComponent| |FourierSeries| |FreeLieAlgebra| |FreeModule| |FreeModule1| |FunctionSpace| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceFunctions2| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GeneralModulePolynomial| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralTriangularSet| |GeneralizedMultivariateFactorize| |GenerateUnivariatePowerSeries| |GenusZeroIntegration| |GosperSummationMethod| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |Heap| |IndexCard| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductCategory| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |InnerMultFact| |InnerPolySum| |InnerTrigonometricManipulations| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InverseLaplaceTransform| |Kernel| |KernelFunctions2| |LaplaceTransform| |LazardSetSolvingPackage| |LeadingCoefDetermination| |LieExponentials| |LiePolynomial| |LinearSystemPolynomialPackage| |LiouvillianFunction| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |Magma| |MergeThing| |ModuleMonomial| |MultFiniteFactorize| |MultivariateFactorize| |MultivariateLifting| |MultivariateSquareFree| |MultivariateTaylorSeriesCategory| |MyExpression| |NPCoef| |NewSparseMultivariatePolynomial| |NonLinearFirstOrderODESolver| |NormalizationPackage| |NormalizedTriangularSetCategory| |ODEIntegration| |OrdSetInts| |OrderedFreeMonoid| |OrderedMultisetAggregate| |OrderedSet&| |OrderlyDifferentialVariable| |ParametricLinearEquations| |PatternMatchFunctionSpace| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPolynomialCategory| |PatternMatchTools| |PiCoercions| |PoincareBirkhoffWittLyndonBasis| |PointsOfFiniteOrder| |PolynomialCategory| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialFactorizationByRecursion| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialRoots| |PolynomialSetCategory| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PriorityQueueAggregate| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet| |QuasiComponentPackage| |RadicalSolvePackage| |RationalFunctionDefiniteIntegration| |RationalFunctionSum| |RecurrenceOperator| |RecursivePolynomialCategory| |RecursivePolynomialCategory&| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |ResidueRing| |RewriteRule| |Ruleset| |SequentialDifferentialVariable| |SimpleFortranProgram| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SquareFreeNormalizedTriangularSetCategory| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetCategory| |SquareFreeRegularTriangularSetGcdPackage| |StochasticDifferential| |SupFractionFactorizer| |Symbol| |TableauxBumpers| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TransSolvePackageService| |TranscendentalManipulations| |TriangularSetCategory| |TriangularSetCategory&| |TrigonometricManipulations| |UnivariatePuiseuxSeriesWithExponentialSingularity| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XFreeAlgebra| |XPBWPolynomial| |XPolynomialsCat| |XRecursivePolynomial|)
+(|AlgebraicFunction| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicMultFact| |AlgebraicallyClosedFunctionSpace| |AlgebraicallyClosedFunctionSpace&| |ApplyRules| |BasicOperator| |BasicStochasticDifferential| |BinarySearchTree| |BinaryTournament| |Boolean| |CardinalNumber| |CombinatorialFunction| |ComplexTrigonometricManipulations| |ConstantLODE| |DataList| |Database| |DeRhamComplex| |DefiniteIntegrationTools| |DegreeReductionPackage| |DifferentialPolynomialCategory| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory| |DifferentialVariableCategory&| |DrawNumericHack| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EuclideanGroebnerBasisPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionFunctions2| |ExpressionSolve| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExtAlgBasis| |FactoringUtilities| |FourierComponent| |FourierSeries| |FreeLieAlgebra| |FreeModule| |FreeModule1| |FunctionSpace| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceFunctions2| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GeneralModulePolynomial| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralTriangularSet| |GeneralizedMultivariateFactorize| |GenerateUnivariatePowerSeries| |GenusZeroIntegration| |GosperSummationMethod| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |Heap| |IndexCard| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductCategory| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |InnerMultFact| |InnerPolySum| |InnerTrigonometricManipulations| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InverseLaplaceTransform| |Kernel| |KernelFunctions2| |LaplaceTransform| |LazardSetSolvingPackage| |LeadingCoefDetermination| |LieExponentials| |LiePolynomial| |LinearSystemPolynomialPackage| |LiouvillianFunction| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |Magma| |MergeThing| |ModuleMonomial| |MultFiniteFactorize| |MultivariateFactorize| |MultivariateLifting| |MultivariateSquareFree| |MultivariateTaylorSeriesCategory| |MyExpression| |NPCoef| |NewSparseMultivariatePolynomial| |NonLinearFirstOrderODESolver| |NormalizationPackage| |NormalizedTriangularSetCategory| |ODEIntegration| |OrdSetInts| |OrderedFreeMonoid| |OrderedMultisetAggregate| |OrderedSet&| |OrderlyDifferentialVariable| |ParametricLinearEquations| |PatternMatchFunctionSpace| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPolynomialCategory| |PatternMatchTools| |PiCoercions| |PoincareBirkhoffWittLyndonBasis| |PointsOfFiniteOrder| |PolynomialCategory| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialFactorizationByRecursion| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialRoots| |PolynomialSetCategory| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PriorityQueueAggregate| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet| |QuasiComponentPackage| |RadicalSolvePackage| |RationalFunctionDefiniteIntegration| |RationalFunctionSum| |RecurrenceOperator| |RecursivePolynomialCategory| |RecursivePolynomialCategory&| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |ResidueRing| |RewriteRule| |Ruleset| |SequentialDifferentialVariable| |SimpleFortranProgram| |SingletonAsOrderedSet| |SparseEchelonMatrix| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SquareFreeNormalizedTriangularSetCategory| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetCategory| |SquareFreeRegularTriangularSetGcdPackage| |StochasticDifferential| |SupFractionFactorizer| |Symbol| |TableauxBumpers| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TransSolvePackageService| |TranscendentalManipulations| |TriangularSetCategory| |TriangularSetCategory&| |TrigonometricManipulations| |UnivariatePuiseuxSeriesWithExponentialSingularity| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XFreeAlgebra| |XPBWPolynomial| |XPolynomialsCat| |XRecursivePolynomial|)
 (|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |DesingTreePackage| |DistributedMultivariatePolynomial| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |HomogeneousDistributedMultivariatePolynomial| |InfinitlyClosePoint| |InfinitlyClosePointCategory| |InterpolateFormsPackage| |IntersectionDivisorPackage| |LocalParametrizationOfSimplePointPackage| |MultivariatePolynomial| |ParametrizationPackage| |ProjectiveAlgebraicSetPackage| |RegularChain|)
 (|OrderlyDifferentialPolynomial|)
 (|d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType|)
-(|Cell| |FortranScalarType| |InfiniteTuple| |InputForm| |QuasiAlgebraicSet| |QueryEquation| |SExpression| |SimpleCell| |Switch| |SymbolTable| |TheSymbolTable|)
+(|Cell| |FortranScalarType| |InfiniteTuple| |InputForm| |QuasiAlgebraicSet| |QueryEquation| |SExpression| |SimpleCell| |SparseEchelonMatrix| |Switch| |SymbolTable| |TheSymbolTable|)
 (|PAdicRational|)
 (|BalancedPAdicInteger| |InnerPAdicInteger| |PAdicInteger| |PAdicRationalConstructor|)
 (|d03eefAnnaType| |d03fafAnnaType|)
@@ -218,7 +218,7 @@
 (|GeneralPolynomialSet| |GeneralTriangularSet| |InternalRationalUnivariateRepresentationPackage| |LazardSetSolvingPackage| |NewSparseMultivariatePolynomial| |NormalizationPackage| |NormalizedTriangularSetCategory| |PolynomialSetCategory| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |QuasiComponentPackage| |RecursivePolynomialCategory&| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |SquareFreeNormalizedTriangularSetCategory| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetCategory| |SquareFreeRegularTriangularSetGcdPackage| |TriangularSetCategory| |TriangularSetCategory&| |WuWenTsunTriangularSet|)
 (|LazardSetSolvingPackage| |NormalizationPackage| |QuasiComponentPackage| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |SquareFreeQuasiComponentPackage| |SquareFreeRegularTriangularSetGcdPackage|)
 (|AlgebraicIntegrate| |AlgebraicNumber| |AntiSymm| |BoundIntegerRoots| |CardinalNumber| |ComplexTrigonometricManipulations| |ConstantLODE| |DeRhamComplex| |DefiniteIntegrationTools| |DifferentialSparseMultivariatePolynomial| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |ExponentialExpansion| |ExpressionToUnivariatePowerSeries| |FortranExpression| |FractionalIdeal| |FractionalIdealFunctions2| |FreeGroup| |FreeMonoid| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizationUtilities| |GenerateUnivariatePowerSeries| |GenusZeroIntegration| |GosperSummationMethod| |Guess| |InnerAlgebraicNumber| |IntegerRetractions| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |InverseLaplaceTransform| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LinearOrdinaryDifferentialOperatorFactorizer| |ListMonoidOps| |LyndonWord| |MachineFloat| |Magma| |ModuleOperator| |MonoidRing| |MyExpression| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonLinearFirstOrderODESolver| |ODEIntegration| |Operator| |OrderedFreeMonoid| |OrderlyDifferentialPolynomial| |Pattern| |PatternMatchFunctionSpace| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPushDown| |PatternMatchTools| |Pi| |PoincareBirkhoffWittLyndonBasis| |PointsOfFiniteOrder| |PowerSeriesLimitPackage| |PrimitiveRatDE| |PrimitiveRatRicDE| |PureAlgebraicIntegration| |PureAlgebraicLODE| |RationalFunctionDefiniteIntegration| |RationalFunctionIntegration| |RationalFunctionSum| |RationalIntegration| |RationalLODE| |RationalRetractions| |RationalRicDE| |RecurrenceOperator| |RetractSolvePackage| |RetractableTo&| |RewriteRule| |SequentialDifferentialPolynomial| |SparseUnivariatePuiseuxSeries| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TranscendentalRischDE| |TranscendentalRischDESystem| |TrigonometricManipulations| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesWithExponentialSingularity|)
-(|AbelianMonoidRing| |AbelianMonoidRing&| |AntiSymm| |ApplyRules| |ApplyUnivariateSkewPolynomial| |Automorphism| |Bezier| |BezoutMatrix| |BiModule| |CliffordAlgebra| |CommuteUnivariatePolynomialCategory| |DeRhamComplex| |DegreeReductionPackage| |DifferentialExtension| |DifferentialExtension&| |DifferentialPolynomialCategory| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DistributedMultivariatePolynomial| |ExpertSystemToolsPackage2| |ExpressionToOpenMath| |FactoringUtilities| |FiniteAbelianMonoidRing| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRingFunctions2| |FreeModule| |FreeModule1| |FreeModuleCat| |FullyLinearlyExplicitRingOver| |FullyLinearlyExplicitRingOver&| |FunctionSpaceFunctions2| |GaloisGroupFactorizationUtilities| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GeneralDistributedMultivariatePolynomial| |GeneralPolynomialSet| |GeneralUnivariatePowerSeries| |HomogeneousDistributedMultivariatePolynomial| |IndexedMatrix| |InnerPolySign| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |IntegralBasisPolynomialTools| |LeftAlgebra| |LeftAlgebra&| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperatorCategory| |LinearOrdinaryDifferentialOperatorCategory&| |LinearlyExplicitRingOver| |MPolyCatFunctions2| |MPolyCatFunctions3| |MappingPackage4| |Matrix| |MatrixCategory| |MatrixCategory&| |MatrixCategoryFunctions2| |ModMonic| |ModularRing| |ModuleOperator| |MonogenicLinearOperator| |MonoidRing| |MonoidRingFunctions2| |MultivariatePolynomial| |MultivariateTaylorSeriesCategory| |MyExpression| |MyUnivariatePolynomial| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewSparseUnivariatePolynomialFunctions2| |NewtonPolygon| |Operator| |OppositeMonogenicLinearOperator| |OrderlyDifferentialPolynomial| |OrdinaryWeightedPolynomials| |PackageForPoly| |PatternMatchPolynomialCategory| |PatternMatchTools| |Permanent| |Point| |PointCategory| |PointFunctions2| |PointPackage| |PolToPol| |Polynomial| |PolynomialCategory| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialComposition| |PolynomialFunctions2| |PolynomialRing| |PolynomialSetCategory| |PolynomialSetCategory&| |PolynomialToUnivariatePolynomial| |PowerSeriesCategory| |PowerSeriesCategory&| |PushVariables| |RectangularMatrix| |RectangularMatrixCategory| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecursivePolynomialCategory| |RecursivePolynomialCategory&| |RepresentationPackage1| |RepresentationPackage2| |RewriteRule| |Ring&| |Ruleset| |SequentialDifferentialPolynomial| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePolynomialFunctions2| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SquareMatrix| |SquareMatrixCategory| |SquareMatrixCategory&| |StorageEfficientMatrixOperations| |StreamTaylorSeriesOperations| |SubSpace| |SymmetricFunctions| |SymmetricPolynomial| |TaylorSeries| |ThreeSpace| |ThreeSpaceCategory| |ToolsForSign| |UTSodetools| |UnivariateFormalPowerSeries| |UnivariateFormalPowerSeriesFunctions| |UnivariateLaurentSeries| |UnivariateLaurentSeriesCategory| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesFunctions2| |UnivariatePolynomial| |UnivariatePolynomialCategory| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialFunctions2| |UnivariatePolynomialMultiplicationPackage| |UnivariatePowerSeriesCategory| |UnivariatePowerSeriesCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesCategory| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesConstructorCategory| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesFunctions2| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesFunctions2| |WeightedPolynomials| |XAlgebra| |XDistributedPolynomial| |XExponentialPackage| |XFreeAlgebra| |XPolynomial| |XPolynomialRing| |XPolynomialsCat| |XRecursivePolynomial|)
+(|AbelianMonoidRing| |AbelianMonoidRing&| |AntiSymm| |ApplyRules| |ApplyUnivariateSkewPolynomial| |Automorphism| |Bezier| |BezoutMatrix| |BiModule| |CliffordAlgebra| |CommuteUnivariatePolynomialCategory| |DeRhamComplex| |DegreeReductionPackage| |DifferentialExtension| |DifferentialExtension&| |DifferentialPolynomialCategory| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DistributedMultivariatePolynomial| |ExpertSystemToolsPackage2| |ExpressionToOpenMath| |FactoringUtilities| |FiniteAbelianMonoidRing| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRingFunctions2| |FreeModule| |FreeModule1| |FreeModuleCat| |FullyLinearlyExplicitRingOver| |FullyLinearlyExplicitRingOver&| |FunctionSpaceFunctions2| |GaloisGroupFactorizationUtilities| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GeneralDistributedMultivariatePolynomial| |GeneralPolynomialSet| |GeneralUnivariatePowerSeries| |HomogeneousDistributedMultivariatePolynomial| |IndexedMatrix| |InnerPolySign| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |IntegralBasisPolynomialTools| |LeftAlgebra| |LeftAlgebra&| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperatorCategory| |LinearOrdinaryDifferentialOperatorCategory&| |LinearlyExplicitRingOver| |MPolyCatFunctions2| |MPolyCatFunctions3| |MappingPackage4| |Matrix| |MatrixCategory| |MatrixCategory&| |MatrixCategoryFunctions2| |ModMonic| |ModularRing| |ModuleOperator| |MonogenicLinearOperator| |MonoidRing| |MonoidRingFunctions2| |MultivariatePolynomial| |MultivariateTaylorSeriesCategory| |MyExpression| |MyUnivariatePolynomial| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewSparseUnivariatePolynomialFunctions2| |NewtonPolygon| |Operator| |OppositeMonogenicLinearOperator| |OrderlyDifferentialPolynomial| |OrdinaryWeightedPolynomials| |PackageForPoly| |PatternMatchPolynomialCategory| |PatternMatchTools| |Permanent| |Point| |PointCategory| |PointFunctions2| |PointPackage| |PolToPol| |Polynomial| |PolynomialCategory| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialComposition| |PolynomialFunctions2| |PolynomialRing| |PolynomialSetCategory| |PolynomialSetCategory&| |PolynomialToUnivariatePolynomial| |PowerSeriesCategory| |PowerSeriesCategory&| |PushVariables| |RectangularMatrix| |RectangularMatrixCategory| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecursivePolynomialCategory| |RecursivePolynomialCategory&| |RepresentationPackage1| |RepresentationPackage2| |RewriteRule| |Ring&| |Ruleset| |SequentialDifferentialPolynomial| |SparseEchelonMatrix| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePolynomialFunctions2| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SquareMatrix| |SquareMatrixCategory| |SquareMatrixCategory&| |StorageEfficientMatrixOperations| |StreamTaylorSeriesOperations| |SubSpace| |SymmetricFunctions| |SymmetricPolynomial| |TaylorSeries| |ThreeSpace| |ThreeSpaceCategory| |ToolsForSign| |UTSodetools| |UnivariateFormalPowerSeries| |UnivariateFormalPowerSeriesFunctions| |UnivariateLaurentSeries| |UnivariateLaurentSeriesCategory| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesFunctions2| |UnivariatePolynomial| |UnivariatePolynomialCategory| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialFunctions2| |UnivariatePolynomialMultiplicationPackage| |UnivariatePowerSeriesCategory| |UnivariatePowerSeriesCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesCategory| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesConstructorCategory| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesFunctions2| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesFunctions2| |WeightedPolynomials| |XAlgebra| |XDistributedPolynomial| |XExponentialPackage| |XFreeAlgebra| |XPolynomial| |XPolynomialRing| |XPolynomialsCat| |XRecursivePolynomial|)
 (|LeftModule| |RightModule| |StochasticDifferential|)
 (|InputForm|)
 (|InputForm| |SExpression| |SExpressionOf|)
@@ -276,4 +276,4 @@
 (|CliffordAlgebra| |VectorSpace&|)
 (|XPolynomialRing|)
 (|XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XRecursivePolynomial|)
-(("XPolynomialsCat" 0 77457) ("XAlgebra" 0 77437) ("VectorSpace" 0 77402) ("VectorCategory" 0 77310) ("Vector" 0 77122) ("UnivariateTaylorSeriesCategory" 0 76528) ("UnivariateTaylorSeries" 0 76474) ("UnivariateSkewPolynomialCategory" 0 76306) ("UnivariatePuiseuxSeriesWithExponentialSingularity" 0 76281) ("UnivariatePuiseuxSeriesConstructorCategory" 0 76093) ("UnivariatePuiseuxSeriesCategory" 0 76021) ("UnivariatePuiseuxSeries" 0 75944) ("UnivariatePowerSeriesCategory" 0 75835) ("UnivariatePolynomialCategory" 0 72717) ("UnivariateLaurentSeriesConstructorCategory" 0 72529) ("UnivariateLaurentSeriesCategory" 0 72354) ("UnivariateLaurentSeries" 0 72326) ("UniqueFactorizationDomain" 0 72170) ("UnaryRecursiveAggregate" 0 72141) ("U8Vector" 0 72128) ("U32Vector" 0 72114) ("U16Vector" 0 72100) ("Type" 0 69690) ("TwoDimensionalArrayCategory" 0 69572) ("TrigonometricFunctionCategory" 0 69537) ("TriangularSetCategory" 0 69462) ("TranscendentalFunctionCategory" 0 68308) ("ThreeSpaceCategory" 0 68293) ("TableAggregate" 0 68128) ("SymbolTable" 0 68109) ("Symbol" 0 65684) ("StringCategory" 0 65673) ("StringAggregate" 0 65636) ("String" 0 65490) ("StreamAggregate" 0 65442) ("StepThrough" 0 65427) ("StackAggregate" 0 65404) ("SquareMatrixCategory" 0 65317) ("SquareMatrix" 0 65248) ("SquareFreeRegularTriangularSetCategory" 0 65094) ("SplittingNode" 0 65076) ("SpecialFunctionCategory" 0 65034) ("SparseUnivariateTaylorSeries" 0 64968) ("SparseUnivariatePolynomialExpressions" 0 64934) ("SparseUnivariatePolynomial" 0 64768) ("SparseUnivariateLaurentSeries" 0 64734) ("SparseMultivariatePolynomial" 0 64588) ("SingleInteger" 0 64527) ("SetCategoryWithDegree" 0 64515) ("SetCategory" 0 61416) ("SetAggregate" 0 61398) ("SequentialDifferentialVariable" 0 61361) ("SemiGroup" 0 61346) ("SegmentCategory" 0 61315) ("SExpressionCategory" 0 61271) ("SExpression" 0 61257) ("Rng" 0 61203) ("Ring" 0 56716) ("RetractableTo" 0 54413) ("RegularTriangularSetCategory" 0 54125) ("RecursivePolynomialCategory" 0 53310) ("RecursiveAggregate" 0 53263) ("RectangularMatrixCategory" 0 53174) ("RealRootCharacterizationCategory" 0 53096) ("RealNumberSystem" 0 53074) ("RealConstant" 0 52982) ("RealClosedField" 0 52884) ("RadicalCategory" 0 52766) ("QuotientFieldCategory" 0 52283) ("QueueAggregate" 0 52273) ("QuaternionCategory" 0 52205) ("Quaternion" 0 52192) ("QuadraticForm" 0 52172) ("PseudoAlgebraicClosureOfRationalNumberCategory" 0 52071) ("PseudoAlgebraicClosureOfRationalNumber" 0 52020) ("PseudoAlgebraicClosureOfFiniteFieldCategory" 0 51980) ("PseudoAlgebraicClosureOfFiniteField" 0 51759) ("PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory" 0 51642) ("ProjectiveSpaceCategory" 0 51164) ("ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField" 0 51101) ("ProjectivePlane" 0 51088) ("PriorityQueueAggregate" 0 51079) ("PrimitiveFunctionCategory" 0 50841) ("PrimitiveArray" 0 50831) ("PrimeField" 0 50765) ("PowerSeriesCategory" 0 50740) ("PositiveInteger" 0 50270) ("PolynomialSetCategory" 0 50220) ("PolynomialFactorizationExplicit" 0 50031) ("PolynomialCategory" 0 48474) ("Polynomial" 0 48307) ("PointCategory" 0 48297) ("PoincareBirkhoffWittLyndonBasis" 0 48278) ("PlottableSpaceCurveCategory" 0 48238) ("PlottablePlaneCurveCategory" 0 48203) ("PlacesOverPseudoAlgebraicClosureOfFiniteField" 0 48140) ("PlacesCategory" 0 47837) ("Places" 0 47824) ("PermutationCategory" 0 47808) ("Patternable" 0 47797) ("PatternMatchable" 0 47543) ("Pattern" 0 47303) ("Partition" 0 47279) ("PartialTranscendentalFunctions" 0 47148) ("PartialDifferentialRing" 0 46995) ("PartialDifferentialEquationsSolverCategory" 0 46959) ("PAdicIntegerCategory" 0 46872) ("PAdicInteger" 0 46854) ("OutputForm" 0 46694) ("OrdinaryDifferentialEquationsSolverCategory" 0 46624) ("OrderlyDifferentialVariable" 0 46590) ("OrderedVariableList" 0 46041) ("OrderedSet" 0 40874) ("OrderedRing" 0 40398) ("OrderedMonoid" 0 40358) ("OrderedIntegralDomain" 0 40334) ("OrderedFreeMonoid" 0 40307) ("OrderedFinite" 0 40271) ("OrderedCancellationAbelianMonoid" 0 40257) ("OrderedAbelianMonoidSup" 0 38244) ("OrderedAbelianMonoid" 0 37883) ("OpenMath" 0 37801) ("OneDimensionalArrayAggregate" 0 37625) ("OneDimensionalArray" 0 37601) ("OctonionCategory" 0 37539) ("NumericalOptimizationCategory" 0 37418) ("NumericalIntegrationCategory" 0 37219) ("NonNegativeInteger" 0 35811) ("NonAssociativeRng" 0 35788) ("NonAssociativeRing" 0 35764) ("NonAssociativeAlgebra" 0 35669) ("NewSparseMultivariatePolynomial" 0 35652) ("NeitherSparseOrDensePowerSeries" 0 35521) ("MyUnivariatePolynomial" 0 35504) ("MultivariateTaylorSeriesCategory" 0 35454) ("MultisetAggregate" 0 35441) ("MultiDictionary" 0 35417) ("Monoid" 0 35213) ("MonogenicLinearOperator" 0 35144) ("MonogenicAlgebra" 0 34859) ("MonadWithUnit" 0 34840) ("Monad" 0 34829) ("Module" 0 34676) ("MatrixCategory" 0 34282) ("Matrix" 0 34160) ("MachineFloat" 0 34141) ("LyndonWord" 0 34089) ("Logic" 0 34052) ("LocalPowerSeriesCategory" 0 33718) ("ListAggregate" 0 33614) ("List" 0 32360) ("LinearlyExplicitRingOver" 0 31353) ("LinearOrdinaryDifferentialOperatorCategory" 0 30938) ("LinearAggregate" 0 30917) ("LieAlgebra" 0 30901) ("LeftModule" 0 30695) ("LeftAlgebra" 0 30651) ("LazyStreamAggregate" 0 30563) ("KeyedDictionary" 0 30542) ("Kernel" 0 30491) ("IntervalCategory" 0 30478) ("IntegralDomain" 0 28315) ("IntegerNumberSystem" 0 28053) ("Integer" 0 24951) ("InputForm" 0 24674) ("InnerPrimeField" 0 24653) ("InnerEvalable" 0 24634) ("InfinitlyClosePointCategory" 0 24447) ("IndexedVector" 0 24429) ("IndexedOneDimensionalArray" 0 24398) ("IndexedExponents" 0 24135) ("IndexedDirectProductCategory" 0 23912) ("IndexedAggregate" 0 23876) ("HyperbolicFunctionCategory" 0 23844) ("HomogeneousDirectProduct" 0 23795) ("HomogeneousAggregate" 0 23744) ("Group" 0 23633) ("GradedModule" 0 23597) ("GradedAlgebra" 0 23560) ("GcdDomain" 0 22029) ("FunctionSpace" 0 20796) ("FunctionFieldCategory" 0 20384) ("FullyRetractableTo" 0 20263) ("FullyLinearlyExplicitRingOver" 0 20228) ("FullyEvalableOver" 0 20194) ("FreeModuleCat" 0 20102) ("FreeLieAlgebra" 0 20084) ("FreeAbelianMonoidCategory" 0 20018) ("FramedNonAssociativeAlgebra" 0 19843) ("FramedAlgebra" 0 19653) ("Fraction" 0 18274) ("FortranVectorFunctionCategory" 0 18178) ("FortranVectorCategory" 0 18169) ("FortranScalarType" 0 18150) ("FortranProgramCategory" 0 18084) ("FortranMatrixFunctionCategory" 0 18050) ("FortranMatrixCategory" 0 18016) ("FortranMachineTypeCategory" 0 17945) ("FortranFunctionCategory" 0 17906) ("FloatingPointSystem" 0 17751) ("Float" 0 17629) ("FiniteSetAggregate" 0 17551) ("FiniteRankNonAssociativeAlgebra" 0 17514) ("FiniteRankAlgebra" 0 17491) ("FiniteLinearAggregate" 0 16953) ("FiniteFieldCategory" 0 15790) ("FiniteDivisorCategory" 0 15718) ("FiniteAlgebraicExtensionField" 0 15303) ("FiniteAbelianMonoidRing" 0 15034) ("Finite" 0 14855) ("FileNameCategory" 0 14842) ("FileName" 0 14773) ("FileCategory" 0 14704) ("FieldOfPrimeCharacteristic" 0 14640) ("Field" 0 11530) ("ExtensionField" 0 11472) ("ExtensibleLinearAggregate" 0 11402) ("ExpressionSpace" 0 11239) ("Expression" 0 11196) ("ExponentialOfUnivariatePuiseuxSeries" 0 11142) ("Evalable" 0 11128) ("EuclideanDomain" 0 9970) ("Equation" 0 9954) ("EltableAggregate" 0 9932) ("Eltable" 0 9809) ("ElementaryFunctionCategory" 0 9741) ("DoubleFloatVector" 0 9719) ("DoubleFloat" 0 9551) ("DivisorCategory" 0 9370) ("Divisor" 0 9296) ("DivisionRing" 0 9278) ("DistributedMultivariatePolynomial" 0 9204) ("DirectProductCategory" 0 8386) ("DirectProduct" 0 8195) ("DifferentialVariableCategory" 0 7988) ("DifferentialRing" 0 7800) ("DifferentialPolynomialCategory" 0 7654) ("DifferentialExtension" 0 7596) ("DictionaryOperations" 0 7570) ("Dictionary" 0 7554) ("DesingTreeCategory" 0 7448) ("DequeueAggregate" 0 7436) ("ConvertibleTo" 0 6615) ("ComplexDoubleFloatVector" 0 6586) ("ComplexCategory" 0 6453) ("Complex" 0 6214) ("CommutativeRing" 0 4863) ("CombinatorialOpsCategory" 0 4798) ("Collection" 0 4782) ("CoercibleTo" 0 4430) ("CharacteristicZero" 0 3086) ("Character" 0 3067) ("CancellationAbelianMonoid" 0 3012) ("CachableSet" 0 2969) ("Boolean" 0 2881) ("BlowUpMethodCategory" 0 2512) ("BitAggregate" 0 2473) ("BinaryTreeCategory" 0 2377) ("BinaryRecursiveAggregate" 0 2333) ("BiModule" 0 2291) ("BasicType" 0 2276) ("BasicOperator" 0 2246) ("BalancedPAdicInteger" 0 2220) ("BagAggregate" 0 2202) ("Automorphism" 0 2140) ("AssociationListAggregate" 0 2120) ("ArcTrigonometricFunctionCategory" 0 2082) ("Any" 0 2045) ("AlgebraicallyClosedFunctionSpace" 0 1680) ("AlgebraicallyClosedField" 0 1017) ("AlgebraicNumber" 0 983) ("Algebra" 0 596) ("Aggregate" 0 549) ("AffineSpaceCategory" 0 466) ("AbelianSemiGroup" 0 399) ("AbelianMonoidRing" 0 349) ("AbelianMonoid" 0 124) ("AbelianGroup" 0 20))
\ No newline at end of file
+(("XPolynomialsCat" 0 77545) ("XAlgebra" 0 77525) ("VectorSpace" 0 77490) ("VectorCategory" 0 77398) ("Vector" 0 77210) ("UnivariateTaylorSeriesCategory" 0 76616) ("UnivariateTaylorSeries" 0 76562) ("UnivariateSkewPolynomialCategory" 0 76394) ("UnivariatePuiseuxSeriesWithExponentialSingularity" 0 76369) ("UnivariatePuiseuxSeriesConstructorCategory" 0 76181) ("UnivariatePuiseuxSeriesCategory" 0 76109) ("UnivariatePuiseuxSeries" 0 76032) ("UnivariatePowerSeriesCategory" 0 75923) ("UnivariatePolynomialCategory" 0 72805) ("UnivariateLaurentSeriesConstructorCategory" 0 72617) ("UnivariateLaurentSeriesCategory" 0 72442) ("UnivariateLaurentSeries" 0 72414) ("UniqueFactorizationDomain" 0 72258) ("UnaryRecursiveAggregate" 0 72229) ("U8Vector" 0 72216) ("U32Vector" 0 72202) ("U16Vector" 0 72188) ("Type" 0 69778) ("TwoDimensionalArrayCategory" 0 69660) ("TrigonometricFunctionCategory" 0 69625) ("TriangularSetCategory" 0 69550) ("TranscendentalFunctionCategory" 0 68396) ("ThreeSpaceCategory" 0 68381) ("TableAggregate" 0 68216) ("SymbolTable" 0 68197) ("Symbol" 0 65772) ("StringCategory" 0 65761) ("StringAggregate" 0 65724) ("String" 0 65578) ("StreamAggregate" 0 65530) ("StepThrough" 0 65515) ("StackAggregate" 0 65492) ("SquareMatrixCategory" 0 65405) ("SquareMatrix" 0 65336) ("SquareFreeRegularTriangularSetCategory" 0 65182) ("SplittingNode" 0 65164) ("SpecialFunctionCategory" 0 65122) ("SparseUnivariateTaylorSeries" 0 65056) ("SparseUnivariatePolynomialExpressions" 0 65022) ("SparseUnivariatePolynomial" 0 64856) ("SparseUnivariateLaurentSeries" 0 64822) ("SparseMultivariatePolynomial" 0 64676) ("SingleInteger" 0 64615) ("SetCategoryWithDegree" 0 64603) ("SetCategory" 0 61504) ("SetAggregate" 0 61486) ("SequentialDifferentialVariable" 0 61449) ("SemiGroup" 0 61434) ("SegmentCategory" 0 61403) ("SExpressionCategory" 0 61359) ("SExpression" 0 61345) ("Rng" 0 61291) ("Ring" 0 56782) ("RetractableTo" 0 54479) ("RegularTriangularSetCategory" 0 54191) ("RecursivePolynomialCategory" 0 53376) ("RecursiveAggregate" 0 53329) ("RectangularMatrixCategory" 0 53240) ("RealRootCharacterizationCategory" 0 53162) ("RealNumberSystem" 0 53140) ("RealConstant" 0 53048) ("RealClosedField" 0 52950) ("RadicalCategory" 0 52832) ("QuotientFieldCategory" 0 52349) ("QueueAggregate" 0 52339) ("QuaternionCategory" 0 52271) ("Quaternion" 0 52258) ("QuadraticForm" 0 52238) ("PseudoAlgebraicClosureOfRationalNumberCategory" 0 52137) ("PseudoAlgebraicClosureOfRationalNumber" 0 52086) ("PseudoAlgebraicClosureOfFiniteFieldCategory" 0 52046) ("PseudoAlgebraicClosureOfFiniteField" 0 51825) ("PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory" 0 51708) ("ProjectiveSpaceCategory" 0 51230) ("ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField" 0 51167) ("ProjectivePlane" 0 51154) ("PriorityQueueAggregate" 0 51145) ("PrimitiveFunctionCategory" 0 50907) ("PrimitiveArray" 0 50897) ("PrimeField" 0 50831) ("PowerSeriesCategory" 0 50806) ("PositiveInteger" 0 50336) ("PolynomialSetCategory" 0 50286) ("PolynomialFactorizationExplicit" 0 50097) ("PolynomialCategory" 0 48540) ("Polynomial" 0 48373) ("PointCategory" 0 48363) ("PoincareBirkhoffWittLyndonBasis" 0 48344) ("PlottableSpaceCurveCategory" 0 48304) ("PlottablePlaneCurveCategory" 0 48269) ("PlacesOverPseudoAlgebraicClosureOfFiniteField" 0 48206) ("PlacesCategory" 0 47903) ("Places" 0 47890) ("PermutationCategory" 0 47874) ("Patternable" 0 47863) ("PatternMatchable" 0 47609) ("Pattern" 0 47369) ("Partition" 0 47345) ("PartialTranscendentalFunctions" 0 47214) ("PartialDifferentialRing" 0 47061) ("PartialDifferentialEquationsSolverCategory" 0 47025) ("PAdicIntegerCategory" 0 46938) ("PAdicInteger" 0 46920) ("OutputForm" 0 46738) ("OrdinaryDifferentialEquationsSolverCategory" 0 46668) ("OrderlyDifferentialVariable" 0 46634) ("OrderedVariableList" 0 46085) ("OrderedSet" 0 40896) ("OrderedRing" 0 40420) ("OrderedMonoid" 0 40380) ("OrderedIntegralDomain" 0 40356) ("OrderedFreeMonoid" 0 40329) ("OrderedFinite" 0 40293) ("OrderedCancellationAbelianMonoid" 0 40279) ("OrderedAbelianMonoidSup" 0 38266) ("OrderedAbelianMonoid" 0 37905) ("OpenMath" 0 37823) ("OneDimensionalArrayAggregate" 0 37647) ("OneDimensionalArray" 0 37623) ("OctonionCategory" 0 37561) ("NumericalOptimizationCategory" 0 37440) ("NumericalIntegrationCategory" 0 37241) ("NonNegativeInteger" 0 35833) ("NonAssociativeRng" 0 35810) ("NonAssociativeRing" 0 35786) ("NonAssociativeAlgebra" 0 35691) ("NewSparseMultivariatePolynomial" 0 35674) ("NeitherSparseOrDensePowerSeries" 0 35543) ("MyUnivariatePolynomial" 0 35526) ("MultivariateTaylorSeriesCategory" 0 35476) ("MultisetAggregate" 0 35463) ("MultiDictionary" 0 35439) ("Monoid" 0 35235) ("MonogenicLinearOperator" 0 35166) ("MonogenicAlgebra" 0 34881) ("MonadWithUnit" 0 34862) ("Monad" 0 34851) ("Module" 0 34698) ("MatrixCategory" 0 34304) ("Matrix" 0 34182) ("MachineFloat" 0 34163) ("LyndonWord" 0 34111) ("Logic" 0 34074) ("LocalPowerSeriesCategory" 0 33740) ("ListAggregate" 0 33636) ("List" 0 32382) ("LinearlyExplicitRingOver" 0 31375) ("LinearOrdinaryDifferentialOperatorCategory" 0 30960) ("LinearAggregate" 0 30939) ("LieAlgebra" 0 30923) ("LeftModule" 0 30717) ("LeftAlgebra" 0 30673) ("LazyStreamAggregate" 0 30585) ("KeyedDictionary" 0 30564) ("Kernel" 0 30513) ("IntervalCategory" 0 30500) ("IntegralDomain" 0 28337) ("IntegerNumberSystem" 0 28075) ("Integer" 0 24973) ("InputForm" 0 24696) ("InnerPrimeField" 0 24675) ("InnerEvalable" 0 24656) ("InfinitlyClosePointCategory" 0 24469) ("IndexedVector" 0 24451) ("IndexedOneDimensionalArray" 0 24420) ("IndexedExponents" 0 24157) ("IndexedDirectProductCategory" 0 23934) ("IndexedAggregate" 0 23898) ("HyperbolicFunctionCategory" 0 23866) ("HomogeneousDirectProduct" 0 23817) ("HomogeneousAggregate" 0 23766) ("Group" 0 23655) ("GradedModule" 0 23619) ("GradedAlgebra" 0 23582) ("GcdDomain" 0 22051) ("FunctionSpace" 0 20818) ("FunctionFieldCategory" 0 20406) ("FullyRetractableTo" 0 20285) ("FullyLinearlyExplicitRingOver" 0 20250) ("FullyEvalableOver" 0 20216) ("FreeModuleCat" 0 20124) ("FreeLieAlgebra" 0 20106) ("FreeAbelianMonoidCategory" 0 20040) ("FramedNonAssociativeAlgebra" 0 19865) ("FramedAlgebra" 0 19675) ("Fraction" 0 18296) ("FortranVectorFunctionCategory" 0 18200) ("FortranVectorCategory" 0 18191) ("FortranScalarType" 0 18172) ("FortranProgramCategory" 0 18106) ("FortranMatrixFunctionCategory" 0 18072) ("FortranMatrixCategory" 0 18038) ("FortranMachineTypeCategory" 0 17967) ("FortranFunctionCategory" 0 17928) ("FloatingPointSystem" 0 17773) ("Float" 0 17651) ("FiniteSetAggregate" 0 17573) ("FiniteRankNonAssociativeAlgebra" 0 17536) ("FiniteRankAlgebra" 0 17513) ("FiniteLinearAggregate" 0 16975) ("FiniteFieldCategory" 0 15812) ("FiniteDivisorCategory" 0 15740) ("FiniteAlgebraicExtensionField" 0 15325) ("FiniteAbelianMonoidRing" 0 15056) ("Finite" 0 14877) ("FileNameCategory" 0 14864) ("FileName" 0 14795) ("FileCategory" 0 14726) ("FieldOfPrimeCharacteristic" 0 14662) ("Field" 0 11552) ("ExtensionField" 0 11494) ("ExtensibleLinearAggregate" 0 11424) ("ExpressionSpace" 0 11261) ("Expression" 0 11218) ("ExponentialOfUnivariatePuiseuxSeries" 0 11164) ("Evalable" 0 11150) ("EuclideanDomain" 0 9992) ("Equation" 0 9976) ("EltableAggregate" 0 9954) ("Eltable" 0 9831) ("ElementaryFunctionCategory" 0 9763) ("DoubleFloatVector" 0 9741) ("DoubleFloat" 0 9573) ("DivisorCategory" 0 9392) ("Divisor" 0 9318) ("DivisionRing" 0 9300) ("DistributedMultivariatePolynomial" 0 9226) ("DirectProductCategory" 0 8408) ("DirectProduct" 0 8217) ("DifferentialVariableCategory" 0 8010) ("DifferentialRing" 0 7822) ("DifferentialPolynomialCategory" 0 7676) ("DifferentialExtension" 0 7618) ("DictionaryOperations" 0 7592) ("Dictionary" 0 7576) ("DesingTreeCategory" 0 7470) ("DequeueAggregate" 0 7458) ("ConvertibleTo" 0 6637) ("ComplexDoubleFloatVector" 0 6608) ("ComplexCategory" 0 6475) ("Complex" 0 6236) ("CommutativeRing" 0 4885) ("CombinatorialOpsCategory" 0 4820) ("Collection" 0 4804) ("CoercibleTo" 0 4430) ("CharacteristicZero" 0 3086) ("Character" 0 3067) ("CancellationAbelianMonoid" 0 3012) ("CachableSet" 0 2969) ("Boolean" 0 2881) ("BlowUpMethodCategory" 0 2512) ("BitAggregate" 0 2473) ("BinaryTreeCategory" 0 2377) ("BinaryRecursiveAggregate" 0 2333) ("BiModule" 0 2291) ("BasicType" 0 2276) ("BasicOperator" 0 2246) ("BalancedPAdicInteger" 0 2220) ("BagAggregate" 0 2202) ("Automorphism" 0 2140) ("AssociationListAggregate" 0 2120) ("ArcTrigonometricFunctionCategory" 0 2082) ("Any" 0 2045) ("AlgebraicallyClosedFunctionSpace" 0 1680) ("AlgebraicallyClosedField" 0 1017) ("AlgebraicNumber" 0 983) ("Algebra" 0 596) ("Aggregate" 0 549) ("AffineSpaceCategory" 0 466) ("AbelianSemiGroup" 0 399) ("AbelianMonoidRing" 0 349) ("AbelianMonoid" 0 124) ("AbelianGroup" 0 20))
\ No newline at end of file
diff --git a/src/share/algebra/interp.daase b/src/share/algebra/interp.daase
index 67d2296..77aef2b 100644
--- a/src/share/algebra/interp.daase
+++ b/src/share/algebra/interp.daase
@@ -1,5 +1,5 @@
 
-(5949271 . 3618799570)       
+(5961238 . 3619047075)       
 ((|sorted?| (((|Boolean|) (|Mapping| (|Boolean|) |#2| |#2|) $) 62) (((|Boolean|) $) NIL)) (|sort!| (($ (|Mapping| (|Boolean|) |#2| |#2|) $) 17) (($ $) NIL)) (|setelt| ((|#2| $ (|Integer|) |#2|) NIL) ((|#2| $ (|UniversalSegment| (|Integer|)) |#2|) 34)) (|reverse!| (($ $) 58)) (|reduce| ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2| |#2|) 40) ((|#2| (|Mapping| |#2| |#2| |#2|) $ |#2|) 38) ((|#2| (|Mapping| |#2| |#2| |#2|) $) 37)) (|position| (((|Integer|) (|Mapping| (|Boolean|) |#2|) $) 22) (((|Integer|) |#2| $) NIL) (((|Integer|) |#2| $ (|Integer|)) 70)) (|parts| (((|List| |#2|) $) 13)) (|merge| (($ (|Mapping| (|Boolean|) |#2| |#2|) $ $) 47) (($ $ $) NIL)) (|map!| (($ (|Mapping| |#2| |#2|) $) 29)) (|map| (($ (|Mapping| |#2| |#2|) $) NIL) (($ (|Mapping| |#2| |#2| |#2|) $ $) 44)) (|insert| (($ |#2| $ (|Integer|)) NIL) (($ $ $ (|Integer|)) 49)) (|find| (((|Union| |#2| "failed") (|Mapping| (|Boolean|) |#2|) $) 24)) (|every?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 21)) (|elt| ((|#2| $ (|Integer|) |#2|) NIL) ((|#2| $ (|Integer|)) NIL) (($ $ (|UniversalSegment| (|Integer|))) 48)) (|delete| (($ $ (|Integer|)) 55) (($ $ (|UniversalSegment| (|Integer|))) 54)) (|count| (((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) $) 26) (((|NonNegativeInteger|) |#2| $) NIL)) (|copyInto!| (($ $ $ (|Integer|)) 51)) (|copy| (($ $) 50)) (|construct| (($ (|List| |#2|)) 52)) (|concat| (($ $ |#2|) NIL) (($ |#2| $) NIL) (($ $ $) 63) (($ (|List| $)) 61)) (|coerce| (((|OutputForm|) $) 69)) (|any?| (((|Boolean|) (|Mapping| (|Boolean|) |#2|) $) 20)) (= (((|Boolean|) $ $) 64)) (< (((|Boolean|) $ $) 72))) 
 (((|OneDimensionalArrayAggregate&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE = ((|Boolean|) |#1| |#1|)) (SIGNATURE |coerce| ((|OutputForm|) |#1|)) (SIGNATURE < ((|Boolean|) |#1| |#1|)) (SIGNATURE |sort!| (|#1| |#1|)) (SIGNATURE |sort!| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1|)) (SIGNATURE |reverse!| (|#1| |#1|)) (SIGNATURE |copyInto!| (|#1| |#1| |#1| (|Integer|))) (SIGNATURE |sorted?| ((|Boolean|) |#1|)) (SIGNATURE |merge| (|#1| |#1| |#1|)) (SIGNATURE |position| ((|Integer|) |#2| |#1| (|Integer|))) (SIGNATURE |position| ((|Integer|) |#2| |#1|)) (SIGNATURE |position| ((|Integer|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |sorted?| ((|Boolean|) (|Mapping| (|Boolean|) |#2| |#2|) |#1|)) (SIGNATURE |merge| (|#1| (|Mapping| (|Boolean|) |#2| |#2|) |#1| |#1|)) (SIGNATURE |setelt| (|#2| |#1| (|UniversalSegment| (|Integer|)) |#2|)) (SIGNATURE |insert| (|#1| |#1| |#1| (|Integer|))) (SIGNATURE |insert| (|#1| |#2| |#1| (|Integer|))) (SIGNATURE |delete| (|#1| |#1| (|UniversalSegment| (|Integer|)))) (SIGNATURE |delete| (|#1| |#1| (|Integer|))) (SIGNATURE |elt| (|#1| |#1| (|UniversalSegment| (|Integer|)))) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2| |#2|) |#1| |#1|)) (SIGNATURE |concat| (|#1| (|List| |#1|))) (SIGNATURE |concat| (|#1| |#1| |#1|)) (SIGNATURE |concat| (|#1| |#2| |#1|)) (SIGNATURE |concat| (|#1| |#1| |#2|)) (SIGNATURE |construct| (|#1| (|List| |#2|))) (SIGNATURE |find| ((|Union| |#2| "failed") (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#2|)) (SIGNATURE |reduce| (|#2| (|Mapping| |#2| |#2| |#2|) |#1| |#2| |#2|)) (SIGNATURE |elt| (|#2| |#1| (|Integer|))) (SIGNATURE |elt| (|#2| |#1| (|Integer|) |#2|)) (SIGNATURE |setelt| (|#2| |#1| (|Integer|) |#2|)) (SIGNATURE |count| ((|NonNegativeInteger|) |#2| |#1|)) (SIGNATURE |parts| ((|List| |#2|) |#1|)) (SIGNATURE |count| ((|NonNegativeInteger|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |every?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |any?| ((|Boolean|) (|Mapping| (|Boolean|) |#2|) |#1|)) (SIGNATURE |map!| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |map| (|#1| (|Mapping| |#2| |#2|) |#1|)) (SIGNATURE |copy| (|#1| |#1|))) (|OneDimensionalArrayAggregate| |#2|) (|Type|)) (T |OneDimensionalArrayAggregate&|)) 
 NIL 
@@ -4576,6 +4576,10 @@ NIL
 ((|expand| (*1 *2 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|SegmentExpansionCategory| *4 *2)) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *2 (|StreamAggregate| *4)))) (|expand| (*1 *2 *1) (AND (|ofCategory| *1 (|SegmentExpansionCategory| *3 *2)) (|ofCategory| *3 (|OrderedRing|)) (|ofCategory| *2 (|StreamAggregate| *3)))) (|map| (*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *1 (|SegmentExpansionCategory| *4 *2)) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *2 (|StreamAggregate| *4))))) 
 (|Join| (|SegmentCategory| |t#1|) (CATEGORY |domain| (SIGNATURE |expand| (|t#2| (|List| $))) (SIGNATURE |expand| (|t#2| $)) (SIGNATURE |map| (|t#2| (|Mapping| |t#1| |t#1|) $)))) 
 (((|SegmentCategory| |#1|) . T) ((|Type|) . T)) 
+((|sortedPurge!| (((|Void|) $ (|Mapping| (|Boolean|) |#1|)) 71)) (|setelt!| (((|Void|) $ (|Integer|) |#1| |#2|) 48)) (|setRow!| (((|Void|) $ (|Integer|) (|Record| (|:| |Indices| (|List| |#1|)) (|:| |Entries| (|List| |#2|)))) 37) (((|Void|) $ (|Integer|) (|List| |#1|) (|List| |#2|)) 39)) (|setGcdMode| (((|Symbol|) (|Symbol|)) 105 (|has| |#2| (|GcdDomain|)))) (|rowEchelon| (((|Record| (|:| |Ech| $) (|:| |Lt| (|Matrix| |#2|)) (|:| |Pivots| (|List| |#2|)) (|:| |Rank| (|NonNegativeInteger|))) $) 104)) (|row| (((|Record| (|:| |Indices| (|List| |#1|)) (|:| |Entries| (|List| |#2|))) $ (|Integer|)) 33)) (|purge!| (((|Void|) $ (|Mapping| (|Boolean|) |#1|)) 70)) (|primitiveRowEchelon| (((|Record| (|:| |Ech| $) (|:| |Lt| (|Matrix| (|Fraction| |#2|))) (|:| |Pivots| (|List| |#2|)) (|:| |Rank| (|NonNegativeInteger|))) $) 130 (|has| |#2| (|GcdDomain|)))) (|pivots| (((|Record| (|:| |Indices| (|List| |#1|)) (|:| |Entries| (|List| |#2|))) $) 93)) (|pivot| (((|Record| (|:| |Index| |#1|) (|:| |Entry| |#2|)) $ (|Integer|)) 92)) (|nrows| (((|NonNegativeInteger|) $) 26)) (|new| (($ (|List| |#1|) (|Integer|)) 40)) (|ncols| (((|NonNegativeInteger|) $) 25)) (|join| (($ $ $) 81)) (|horizSplit| (((|Record| (|:| |Left| $) (|:| |Right| $)) $ |#1|) 84)) (|horizJoin| (($ $ $) 82)) (|extract| (($ $ (|Integer|) (|Integer|)) 80)) (|elt| ((|#2| $ (|Integer|) |#1|) 44)) (|elimZeroCols!| (((|Void|) $) 68)) (|deleteRow!| (((|Void|) $ (|Integer|)) 72)) (|copy| (($ $) 64)) (|consRow!| (((|Void|) $ (|Record| (|:| |Indices| (|List| |#1|)) (|:| |Entries| (|List| |#2|)))) 77)) (|coerce| (((|OutputForm|) $) 61) (((|Matrix| |#2|) $) 57)) (|appendRow!| (((|Void|) $ (|Record| (|:| |Indices| (|List| |#1|)) (|:| |Entries| (|List| |#2|)))) 79)) (|allIndices| (((|List| |#1|) $) 29)) (* (($ (|Matrix| |#2|) $) 136) (($ (|Matrix| (|Fraction| |#2|)) $) 148 (|has| |#2| (|IntegralDomain|))))) 
+(((|SparseEchelonMatrix| |#1| |#2|) (|Join| (|CoercibleTo| (|OutputForm|)) (CATEGORY |domain| (ATTRIBUTE |shallowlyMutable|) (ATTRIBUTE |finiteAggregate|) (SIGNATURE |coerce| ((|Matrix| |#2|) $)) (SIGNATURE |copy| ($ $)) (SIGNATURE |ncols| ((|NonNegativeInteger|) $)) (SIGNATURE |nrows| ((|NonNegativeInteger|) $)) (SIGNATURE |allIndices| ((|List| |#1|) $)) (SIGNATURE |elimZeroCols!| ((|Void|) $)) (SIGNATURE |purge!| ((|Void|) $ (|Mapping| (|Boolean|) |#1|))) (SIGNATURE |sortedPurge!| ((|Void|) $ (|Mapping| (|Boolean|) |#1|))) (SIGNATURE |new| ($ (|List| |#1|) (|Integer|))) (SIGNATURE |elt| (|#2| $ (|Integer|) |#1|)) (SIGNATURE |setelt!| ((|Void|) $ (|Integer|) |#1| |#2|)) (SIGNATURE |row| ((|Record| (|:| |Indices| (|List| |#1|)) (|:| |Entries| (|List| |#2|))) $ (|Integer|))) (SIGNATURE |setRow!| ((|Void|) $ (|Integer|) (|Record| (|:| |Indices| (|List| |#1|)) (|:| |Entries| (|List| |#2|))))) (SIGNATURE |setRow!| ((|Void|) $ (|Integer|) (|List| |#1|) (|List| |#2|))) (SIGNATURE |deleteRow!| ((|Void|) $ (|Integer|))) (SIGNATURE |consRow!| ((|Void|) $ (|Record| (|:| |Indices| (|List| |#1|)) (|:| |Entries| (|List| |#2|))))) (SIGNATURE |appendRow!| ((|Void|) $ (|Record| (|:| |Indices| (|List| |#1|)) (|:| |Entries| (|List| |#2|))))) (SIGNATURE |extract| ($ $ (|Integer|) (|Integer|))) (SIGNATURE |rowEchelon| ((|Record| (|:| |Ech| $) (|:| |Lt| (|Matrix| |#2|)) (|:| |Pivots| (|List| |#2|)) (|:| |Rank| (|NonNegativeInteger|))) $)) (IF (|has| |#2| (|GcdDomain|)) (PROGN (SIGNATURE |setGcdMode| ((|Symbol|) (|Symbol|))) (SIGNATURE |primitiveRowEchelon| ((|Record| (|:| |Ech| $) (|:| |Lt| (|Matrix| (|Fraction| |#2|))) (|:| |Pivots| (|List| |#2|)) (|:| |Rank| (|NonNegativeInteger|))) $))) |noBranch|) (SIGNATURE |pivot| ((|Record| (|:| |Index| |#1|) (|:| |Entry| |#2|)) $ (|Integer|))) (SIGNATURE |pivots| ((|Record| (|:| |Indices| (|List| |#1|)) (|:| |Entries| (|List| |#2|))) $)) (SIGNATURE * ($ (|Matrix| |#2|) $)) (IF (|has| |#2| (|IntegralDomain|)) (SIGNATURE * ($ (|Matrix| (|Fraction| |#2|)) $)) |noBranch|) (SIGNATURE |join| ($ $ $)) (SIGNATURE |horizJoin| ($ $ $)) (SIGNATURE |horizSplit| ((|Record| (|:| |Left| $) (|:| |Right| $)) $ |#1|)))) (|OrderedSet|) (|Ring|)) (T |SparseEchelonMatrix|)) 
+((|coerce| (*1 *2 *1) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) (|copy| (*1 *1 *1) (AND (|isDomain| *1 (|SparseEchelonMatrix| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) (|ncols| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) (|nrows| (*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) (|allIndices| (*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) (|elimZeroCols!| (*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) (|purge!| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SparseEchelonMatrix| *4 *5)) (|ofCategory| *5 (|Ring|)))) (|sortedPurge!| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SparseEchelonMatrix| *4 *5)) (|ofCategory| *5 (|Ring|)))) (|new| (*1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|SparseEchelonMatrix| *4 *5)) (|ofCategory| *5 (|Ring|)))) (|elt| (*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|SparseEchelonMatrix| *4 *2)) (|ofCategory| *4 (|OrderedSet|)))) (|setelt!| (*1 *2 *1 *3 *4 *5) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SparseEchelonMatrix| *4 *5)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) (|row| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Record| (|:| |Indices| (|List| *4)) (|:| |Entries| (|List| *5)))) (|isDomain| *1 (|SparseEchelonMatrix| *4 *5)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) (|setRow!| (*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Record| (|:| |Indices| (|List| *5)) (|:| |Entries| (|List| *6)))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SparseEchelonMatrix| *5 *6)))) (|setRow!| (*1 *2 *1 *3 *4 *5) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|List| *6)) (|isDomain| *5 (|List| *7)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|Ring|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SparseEchelonMatrix| *6 *7)))) (|deleteRow!| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SparseEchelonMatrix| *4 *5)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) (|consRow!| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Record| (|:| |Indices| (|List| *4)) (|:| |Entries| (|List| *5)))) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SparseEchelonMatrix| *4 *5)))) (|appendRow!| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Record| (|:| |Indices| (|List| *4)) (|:| |Entries| (|List| *5)))) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SparseEchelonMatrix| *4 *5)))) (|extract| (*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) (|rowEchelon| (*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |Ech| (|SparseEchelonMatrix| *3 *4)) (|:| |Lt| (|Matrix| *4)) (|:| |Pivots| (|List| *4)) (|:| |Rank| (|NonNegativeInteger|)))) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) (|setGcdMode| (*1 *2 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) (|primitiveRowEchelon| (*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |Ech| (|SparseEchelonMatrix| *3 *4)) (|:| |Lt| (|Matrix| (|Fraction| *4))) (|:| |Pivots| (|List| *4)) (|:| |Rank| (|NonNegativeInteger|)))) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) (|pivot| (*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Record| (|:| |Index| *4) (|:| |Entry| *5))) (|isDomain| *1 (|SparseEchelonMatrix| *4 *5)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) (|pivots| (*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |Indices| (|List| *3)) (|:| |Entries| (|List| *4)))) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) (* (*1 *1 *2 *1) (AND (|isDomain| *2 (|Matrix| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)))) (* (*1 *1 *2 *1) (AND (|isDomain| *2 (|Matrix| (|Fraction| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)))) (|join| (*1 *1 *1 *1) (AND (|isDomain| *1 (|SparseEchelonMatrix| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) (|horizJoin| (*1 *1 *1 *1) (AND (|isDomain| *1 (|SparseEchelonMatrix| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) (|horizSplit| (*1 *2 *1 *3) (AND (|isDomain| *2 (|Record| (|:| |Left| (|SparseEchelonMatrix| *3 *4)) (|:| |Right| (|SparseEchelonMatrix| *3 *4)))) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
+(|Join| (|CoercibleTo| (|OutputForm|)) (CATEGORY |domain| (ATTRIBUTE |shallowlyMutable|) (ATTRIBUTE |finiteAggregate|) (SIGNATURE |coerce| ((|Matrix| |#2|) $)) (SIGNATURE |copy| ($ $)) (SIGNATURE |ncols| ((|NonNegativeInteger|) $)) (SIGNATURE |nrows| ((|NonNegativeInteger|) $)) (SIGNATURE |allIndices| ((|List| |#1|) $)) (SIGNATURE |elimZeroCols!| ((|Void|) $)) (SIGNATURE |purge!| ((|Void|) $ (|Mapping| (|Boolean|) |#1|))) (SIGNATURE |sortedPurge!| ((|Void|) $ (|Mapping| (|Boolean|) |#1|))) (SIGNATURE |new| ($ (|List| |#1|) (|Integer|))) (SIGNATURE |elt| (|#2| $ (|Integer|) |#1|)) (SIGNATURE |setelt!| ((|Void|) $ (|Integer|) |#1| |#2|)) (SIGNATURE |row| ((|Record| (|:| |Indices| (|List| |#1|)) (|:| |Entries| (|List| |#2|))) $ (|Integer|))) (SIGNATURE |setRow!| ((|Void|) $ (|Integer|) (|Record| (|:| |Indices| (|List| |#1|)) (|:| |Entries| (|List| |#2|))))) (SIGNATURE |setRow!| ((|Void|) $ (|Integer|) (|List| |#1|) (|List| |#2|))) (SIGNATURE |deleteRow!| ((|Void|) $ (|Integer|))) (SIGNATURE |consRow!| ((|Void|) $ (|Record| (|:| |Indices| (|List| |#1|)) (|:| |Entries| (|List| |#2|))))) (SIGNATURE |appendRow!| ((|Void|) $ (|Record| (|:| |Indices| (|List| |#1|)) (|:| |Entries| (|List| |#2|))))) (SIGNATURE |extract| ($ $ (|Integer|) (|Integer|))) (SIGNATURE |rowEchelon| ((|Record| (|:| |Ech| $) (|:| |Lt| (|Matrix| |#2|)) (|:| |Pivots| (|List| |#2|)) (|:| |Rank| (|NonNegativeInteger|))) $)) (IF (|has| |#2| (|GcdDomain|)) (PROGN (SIGNATURE |setGcdMode| ((|Symbol|) (|Symbol|))) (SIGNATURE |primitiveRowEchelon| ((|Record| (|:| |Ech| $) (|:| |Lt| (|Matrix| (|Fraction| |#2|))) (|:| |Pivots| (|List| |#2|)) (|:| |Rank| (|NonNegativeInteger|))) $))) |noBranch|) (SIGNATURE |pivot| ((|Record| (|:| |Index| |#1|) (|:| |Entry| |#2|)) $ (|Integer|))) (SIGNATURE |pivots| ((|Record| (|:| |Indices| (|List| |#1|)) (|:| |Entries| (|List| |#2|))) $)) (SIGNATURE * ($ (|Matrix| |#2|) $)) (IF (|has| |#2| (|IntegralDomain|)) (SIGNATURE * ($ (|Matrix| (|Fraction| |#2|)) $)) |noBranch|) (SIGNATURE |join| ($ $ $)) (SIGNATURE |horizJoin| ($ $ $)) (SIGNATURE |horizSplit| ((|Record| (|:| |Left| $) (|:| |Right| $)) $ |#1|)))) 
 ((|union| (($ $ $) NIL) (($ $ |#2|) 13) (($ |#2| $) 14)) (|symmetricDifference| (($ $ $) 10)) (|difference| (($ $ $) NIL) (($ $ |#2|) 15))) 
 (((|SetAggregate&| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |union| (|#1| |#2| |#1|)) (SIGNATURE |union| (|#1| |#1| |#2|)) (SIGNATURE |union| (|#1| |#1| |#1|)) (SIGNATURE |symmetricDifference| (|#1| |#1| |#1|)) (SIGNATURE |difference| (|#1| |#1| |#2|)) (SIGNATURE |difference| (|#1| |#1| |#1|))) (|SetAggregate| |#2|) (|SetCategory|)) (T |SetAggregate&|)) 
 NIL 
@@ -5391,4 +5395,4 @@ NIL
 NIL 
 NIL 
 NIL 
-((|Category| 5949256 5949261 5949266 "NIL" NIL T NIL (NIL) NIL NIL NIL) (|Union| 5949241 5949246 5949251 "NIL" NIL NIL NIL (NIL) |domain| NIL NIL) (|Record| 5949226 5949231 5949236 "NIL" NIL NIL NIL (NIL) |domain| NIL NIL) (|Mapping| 5949211 5949216 5949221 "NIL" NIL NIL NIL (NIL) |domain| NIL NIL) (|Enumeration| 5949196 5949201 5949206 "NIL" NIL NIL NIL (NIL) |domain| NIL NIL) (|IntegerMod| 5947926 5948956 5949104 "ZMOD" 5949109 NIL ZMOD (NIL NIL) |domain| NIL NIL) (|IntegerLinearDependence| 5946280 5946543 5946948 "ZLINDEP" 5947629 NIL ZLINDEP (NIL T) |package| NIL NIL) (|ZeroDimensionalSolvePackage| 5926430 5929534 5933238 "ZDSOLVE" 5942786 NIL ZDSOLVE (NIL T NIL NIL) |package| NIL NIL) (|ParadoxicalCombinatorsForStreams| 5925289 5925469 5925776 "YSTREAM" 5926217 NIL YSTREAM (NIL T) |package| NIL NIL) (|XRecursivePolynomial| 5921946 5924064 5924419 "XRPOLY" 5925024 NIL XRPOLY (NIL T T) |domain| NIL NIL) (|XPolynomialRing| 5916585 5918312 5919222 "XPR" 5921119 NIL XPR (NIL T T) |domain| NIL NIL) (|XPolynomial| 5913216 5915473 5915814 "XPOLY" 5916296 NIL XPOLY (NIL T) |domain| NIL NIL) (|XPolynomialsCat| 5909927 5911823 5911917 "XPOLYC" 5912437 NIL XPOLYC (NIL T T) |category| NIL 5912646) (|XPBWPolynomial| 5904035 5907237 5907923 "XPBWPOLY" 5909330 NIL XPBWPOLY (NIL T T) |domain| NIL NIL) (|ExtensionField| 5897380 5900757 5900830 "XF" 5901983 NIL XF (NIL T) |category| NIL 5902763) (|ExtensionField&| 5896734 5896871 5897168 "XF-" 5897173 NIL XF- (NIL T T) |domain| NIL NIL) (|XFreeAlgebra| 5889456 5891218 5891306 "XFALG" 5894972 NIL XFALG (NIL T T) |category| NIL 5896197) (|XExponentialPackage| 5887939 5888097 5888457 "XEXPPKG" 5889264 NIL XEXPPKG (NIL T T T) |package| NIL NIL) (|XDistributedPolynomial| 5885195 5887660 5887844 "XDPOLY" 5887849 NIL XDPOLY (NIL T T) |domain| NIL NIL) (|XAlgebra| 5883615 5884406 5884466 "XALG" 5884558 NIL XALG (NIL T) |category| NIL 5884733) (|WuWenTsunTriangularSet| 5873585 5879936 5880766 "WUTSET" 5882974 NIL WUTSET (NIL T T T T) |domain| NIL NIL) (|WeightedPolynomials| 5870139 5871201 5871772 "WP" 5873262 NIL WP (NIL T T T T NIL NIL NIL) |domain| NIL NIL) (|WildFunctionFieldIntegralBasis| 5868295 5868550 5869058 "WFFINTBS" 5869855 NIL WFFINTBS (NIL T T T T) |package| NIL NIL) (|WeierstrassPreparation| 5864593 5865302 5866135 "WEIER" 5867537 NIL WEIER (NIL T) |package| NIL NIL) (|VectorSpace| 5863372 5863892 5863959 "VSPACE" 5864179 NIL VSPACE (NIL T) |category| NIL 5864297) (|VectorSpace&| 5863159 5863182 5863315 "VSPACE-" 5863320 NIL VSPACE- (NIL T T) |domain| NIL NIL) (|Void| 5862783 5862838 5862946 "VOID" 5863075 T VOID (NIL) |domain| NIL NIL) (|ViewportPackage| 5859368 5860000 5860774 "VIEW" 5862055 T VIEW (NIL) |package| NIL NIL) (|ViewDefaultsPackage| 5852072 5853248 5854880 "VIEWDEF" 5857790 T VIEWDEF (NIL) |package| NIL NIL) (|ThreeDimensionalViewport| 5834605 5837725 5841300 "VIEW3D" 5848561 T VIEW3D (NIL) |domain| NIL NIL) (|TwoDimensionalViewport| 5821839 5824271 5826920 "VIEW2D" 5832016 T VIEW2D (NIL) |domain| NIL NIL) (|Vector| 5815477 5821495 5821630 "VECTOR" 5821746 NIL VECTOR (NIL T) |domain| NIL NIL) (|VectorFunctions2| 5813447 5813769 5814214 "VECTOR2" 5815108 NIL VECTOR2 (NIL T T) |package| NIL NIL) (|VectorCategory| 5804141 5810038 5810110 "VECTCAT" 5811784 NIL VECTCAT (NIL T) |category| NIL 5812567) (|VectorCategory&| 5802847 5803139 5803682 "VECTCAT-" 5803687 NIL VECTCAT- (NIL T T) |domain| NIL NIL) (|Variable| 5802088 5802299 5802492 "VARIABLE" 5802702 NIL VARIABLE (NIL NIL) |domain| NIL NIL) (|UnivariateTaylorSeriesCZero| 5789855 5798289 5799142 "UTSZ" 5801335 NIL UTSZ (NIL T NIL) |domain| NIL NIL) (|TaylorSolve| 5789097 5789164 5789440 "UTSSOL" 5789764 NIL UTSSOL (NIL T T T) |package| NIL NIL) (|UTSodetools| 5786922 5787125 5787580 "UTSODETL" 5788839 NIL UTSODETL (NIL T T T T) |package| NIL NIL) (|UnivariateTaylorSeriesODESolver| 5782694 5783290 5784110 "UTSODE" 5786267 NIL UTSODE (NIL T T) |package| NIL NIL) (|UnivariateTaylorSeries| 5770262 5778700 5779553 "UTS" 5781941 NIL UTS (NIL T NIL NIL) |domain| NIL NIL) (|UnivariateTaylorSeriesCategory| 5756388 5764209 5764313 "UTSCAT" 5766426 NIL UTSCAT (NIL T) |category| NIL 5767672) (|UnivariateTaylorSeriesCategory&| 5752875 5753688 5755104 "UTSCAT-" 5755109 NIL UTSCAT- (NIL T T) |domain| NIL NIL) (|UnivariateTaylorSeriesFunctions2| 5752183 5752233 5752505 "UTS2" 5752801 NIL UTS2 (NIL T T T T) |package| NIL NIL) (|UnaryRecursiveAggregate| 5743352 5746953 5747043 "URAGG" 5750662 NIL URAGG (NIL T) |category| NIL 5751749) (|UnaryRecursiveAggregate&| 5739023 5740127 5741795 "URAGG-" 5741800 NIL URAGG- (NIL T T) |domain| NIL NIL) (|UnivariatePuiseuxSeriesWithExponentialSingularity| 5731744 5736380 5737312 "UPXSSING" 5738446 NIL UPXSSING (NIL T T NIL NIL) |domain| NIL NIL) (|UnivariatePuiseuxSeries| 5720002 5730234 5730730 "UPXS" 5731350 NIL UPXS (NIL T NIL NIL) |domain| NIL NIL) (|UnivariatePuiseuxSeriesConstructor| 5710093 5719737 5719939 "UPXSCONS" 5719944 NIL UPXSCONS (NIL T T) |domain| NIL NIL) (|UnivariatePuiseuxSeriesConstructorCategory| 5695180 5704773 5704948 "UPXSCCA" 5706387 NIL UPXSCCA (NIL T T) |category| NIL 5706801) (|UnivariatePuiseuxSeriesConstructorCategory&| 5694537 5694647 5695023 "UPXSCCA-" 5695028 NIL UPXSCCA- (NIL T T T) |domain| NIL NIL) (|UnivariatePuiseuxSeriesCategory| 5679721 5689008 5689114 "UPXSCAT" 5690349 NIL UPXSCAT (NIL T) |category| NIL 5691321) (|UnivariatePuiseuxSeriesFunctions2| 5678749 5678875 5679187 "UPXS2" 5679571 NIL UPXS2 (NIL T T NIL NIL NIL NIL) |package| NIL NIL) (|UnivariatePolynomialSquareFree| 5676592 5676909 5677477 "UPSQFREE" 5678398 NIL UPSQFREE (NIL T T) |package| NIL NIL) (|UnivariatePowerSeriesCategory| 5667180 5671314 5671446 "UPSCAT" 5673641 NIL UPSCAT (NIL T T) |category| NIL 5674732) (|UnivariatePowerSeriesCategory&| 5665829 5666142 5666743 "UPSCAT-" 5666748 NIL UPSCAT- (NIL T T T) |domain| NIL NIL) (|UnivariatePolynomialCategory| 5641873 5654758 5654858 "UPOLYC" 5658975 NIL UPOLYC (NIL T) |category| NIL 5661068) (|UnivariatePolynomialCategory&| 5626492 5630639 5636319 "UPOLYC-" 5636324 NIL UPOLYC- (NIL T T) |domain| NIL NIL) (|UnivariatePolynomialCategoryFunctions2| 5625790 5625840 5626120 "UPOLYC2" 5626418 NIL UPOLYC2 (NIL T T T T) |package| NIL NIL) (|UnivariatePolynomial| 5612011 5625034 5625287 "UP" 5625623 NIL UP (NIL NIL T) |domain| NIL NIL) (|UnivariatePolynomialMultiplicationPackage| 5610696 5610859 5611211 "UPMP" 5611814 NIL UPMP (NIL T T) |package| NIL NIL) (|UnivariatePolynomialDivisionPackage| 5609892 5610003 5610291 "UPDIVP" 5610561 NIL UPDIVP (NIL T T) |package| NIL NIL) (|UnivariatePolynomialDecompositionPackage| 5607065 5607455 5608084 "UPDECOMP" 5609458 NIL UPDECOMP (NIL T T) |package| NIL NIL) (|UnivariatePolynomialCommonDenominator| 5605540 5605698 5606083 "UPCDEN" 5606873 NIL UPCDEN (NIL T T T) |package| NIL NIL) (|UnivariatePolynomialFunctions2| 5604700 5604810 5605080 "UP2" 5605406 NIL UP2 (NIL NIL T NIL T) |package| NIL NIL) (|UniversalSegment| 5602618 5603451 5603886 "UNISEG" 5604327 NIL UNISEG (NIL T) |domain| NIL NIL) (|UniversalSegmentFunctions2| 5601315 5601507 5601848 "UNISEG2" 5602373 NIL UNISEG2 (NIL T T) |package| NIL NIL) (|UnivariateFactorize| 5599757 5600005 5600391 "UNIFACT" 5601033 NIL UNIFACT (NIL T) |package| NIL NIL) (|UnivariateLaurentSeries| 5575606 5598369 5598804 "ULS" 5599424 NIL ULS (NIL T NIL NIL) |domain| NIL NIL) (|UnivariateLaurentSeriesConstructor| 5558748 5575342 5575543 "ULSCONS" 5575548 NIL ULSCONS (NIL T T) |domain| NIL NIL) (|UnivariateLaurentSeriesConstructorCategory| 5533199 5549855 5550029 "ULSCCAT" 5551609 NIL ULSCCAT (NIL T T) |category| NIL 5552099) (|UnivariateLaurentSeriesConstructorCategory&| 5531660 5531983 5532700 "ULSCCAT-" 5532705 NIL ULSCCAT- (NIL T T T) |domain| NIL NIL) (|UnivariateLaurentSeriesCategory| 5516495 5525592 5525698 "ULSCAT" 5527360 NIL ULSCAT (NIL T) |category| NIL 5528522) (|UnivariateLaurentSeriesFunctions2| 5515523 5515649 5515961 "ULS2" 5516345 NIL ULS2 (NIL T T NIL NIL NIL NIL) |package| NIL NIL) (|UnivariateFormalPowerSeries| 5503493 5511989 5512861 "UFPS" 5514735 NIL UFPS (NIL T) |domain| NIL NIL) (|UnivariateFormalPowerSeriesFunctions| 5502767 5502901 5503161 "UFPS1" 5503335 NIL UFPS1 (NIL T) |package| NIL NIL) (|UniqueFactorizationDomain| 5500186 5501601 5501681 "UFD" 5502086 T UFD (NIL) |category| NIL 5502286) (|UniqueFactorizationDomain&| 5499809 5499874 5500079 "UFD-" 5500084 NIL UFD- (NIL T) |domain| NIL NIL) (|UserDefinedVariableOrdering| 5498257 5498516 5498905 "UDVO" 5499490 T UDVO (NIL) |package| NIL NIL) (|UserDefinedPartialOrdering| 5494854 5495378 5496086 "UDPO" 5497638 NIL UDPO (NIL T) |package| NIL NIL) (|U8Vector| 5488697 5494725 5494803 "U8VEC" 5494808 T U8VEC (NIL) |domain| NIL NIL) (|U8Matrix| 5482978 5488308 5488474 "U8MAT" 5488563 T U8MAT (NIL) |domain| NIL NIL) (|U32Vector| 5476819 5482847 5482927 "U32VEC" 5482932 T U32VEC (NIL) |domain| NIL NIL) (|U32Matrix| 5471081 5476423 5476593 "U32MAT" 5476683 T U32MAT (NIL) |domain| NIL NIL) (|U16Vector| 5464922 5470950 5471030 "U16VEC" 5471035 T U16VEC (NIL) |domain| NIL NIL) (|U16Matrix| 5459184 5464526 5464696 "U16MAT" 5464786 T U16MAT (NIL) |domain| NIL NIL) (|Type| 5459087 5459092 5459130 "TYPE" 5459135 T TYPE (NIL) |category| NIL NIL) (|TwoFactorize| 5456471 5456999 5457630 "TWOFACT" 5458525 NIL TWOFACT (NIL T) |package| NIL NIL) (|Tuple| 5455008 5455471 5455804 "TUPLE" 5456178 NIL TUPLE (NIL T) |domain| NIL NIL) (|TubePlotTools| 5451022 5451894 5452872 "TUBETOOL" 5454072 T TUBETOOL (NIL) |package| NIL NIL) (|TubePlot| 5449087 5449373 5449777 "TUBE" 5450687 NIL TUBE (NIL T) |domain| NIL NIL) (|TaylorSeries| 5441444 5447370 5447840 "TS" 5448671 NIL TS (NIL T) |domain| NIL NIL) (|TriangularSetCategory| 5421726 5427525 5427729 "TSETCAT" 5438508 NIL TSETCAT (NIL T T T T) |category| NIL 5440922) (|TriangularSetCategory&| 5413958 5416123 5419042 "TSETCAT-" 5419047 NIL TSETCAT- (NIL T T T T T) |domain| NIL NIL) (|TranscendentalManipulations| 5403677 5404758 5406217 "TRMANIP" 5412684 NIL TRMANIP (NIL T T) |package| NIL NIL) (|TriangularMatrixOperations| 5402588 5402678 5403000 "TRIMAT" 5403558 NIL TRIMAT (NIL T T T T) |package| NIL NIL) (|TrigonometricManipulations| 5398166 5398460 5399144 "TRIGMNIP" 5402187 NIL TRIGMNIP (NIL T T) |package| NIL NIL) (|TrigonometricFunctionCategory| 5397362 5397475 5397563 "TRIGCAT" 5397992 T TRIGCAT (NIL) |category| NIL NIL) (|TrigonometricFunctionCategory&| 5396881 5396960 5397216 "TRIGCAT-" 5397221 NIL TRIGCAT- (NIL T) |domain| NIL NIL) (|Tree| 5392334 5395047 5395515 "TREE" 5396458 NIL TREE (NIL T) |domain| NIL NIL) (|TranscendentalFunctionCategory| 5391204 5391755 5391845 "TRANFUN" 5391916 T TRANFUN (NIL) |category| NIL 5392134) (|TranscendentalFunctionCategory&| 5390216 5390421 5390869 "TRANFUN-" 5390874 NIL TRANFUN- (NIL T) |domain| NIL NIL) (|TopLevelThreeSpace| 5389807 5389868 5390006 "TOPSP" 5390130 T TOPSP (NIL) |package| NIL NIL) (|ToolsForSign| 5388810 5388965 5389208 "TOOLSIGN" 5389618 NIL TOOLSIGN (NIL T) |package| NIL NIL) (|TextFile| 5386793 5387492 5387888 "TEXTFILE" 5388446 T TEXTFILE (NIL) |domain| NIL NIL) (|TexFormat| 5383602 5384280 5384969 "TEX" 5386138 T TEX (NIL) |domain| NIL NIL) (|TexFormat1| 5383248 5383288 5383409 "TEX1" 5383538 NIL TEX1 (NIL T) |package| NIL NIL) (|TemplateUtilities| 5382587 5382692 5382876 "TEMUTL" 5383114 T TEMUTL (NIL) |package| NIL NIL) (|TabulatedComputationPackage| 5379321 5379714 5380288 "TBCMPPK" 5382125 NIL TBCMPPK (NIL T T) |package| NIL NIL) (|TableAggregate| 5368118 5376450 5376550 "TBAGG" 5377218 NIL TBAGG (NIL T T) |category| NIL 5377518) (|TableAggregate&| 5361413 5363329 5365782 "TBAGG-" 5365787 NIL TBAGG- (NIL T T T) |domain| NIL NIL) (|TangentExpansions| 5360369 5360526 5360782 "TANEXP" 5361222 NIL TANEXP (NIL T) |package| NIL NIL) (|Table| 5351700 5360116 5360274 "TABLE" 5360279 NIL TABLE (NIL T T) |domain| NIL NIL) (|Tableau| 5350801 5350930 5351144 "TABLEAU" 5351537 NIL TABLEAU (NIL T) |domain| NIL NIL) (|TableauxBumpers| 5343525 5344998 5346621 "TABLBUMP" 5349244 NIL TABLBUMP (NIL T) |package| NIL NIL) (|SystemSolvePackage| 5337611 5338699 5339997 "SYSSOLP" 5342303 NIL SYSSOLP (NIL T) |package| NIL NIL) (|SymbolTable| 5333130 5334015 5335046 "SYMTAB" 5336618 T SYMTAB (NIL) |domain| NIL NIL) (|TheSymbolTable| 5325385 5326695 5328355 "SYMS" 5331514 T SYMS (NIL) |domain| NIL NIL) (|SymmetricPolynomial| 5321281 5324419 5324824 "SYMPOLY" 5325048 NIL SYMPOLY (NIL T) |domain| NIL NIL) (|SymmetricFunctions| 5320507 5320607 5320814 "SYMFUNC" 5321140 NIL SYMFUNC (NIL T) |package| NIL NIL) (|Symbol| 5314571 5316281 5317582 "SYMBOL" 5319234 T SYMBOL (NIL) |domain| NIL NIL) (|Switch| 5305597 5307895 5310311 "SWITCH" 5312183 T SWITCH (NIL) |domain| NIL NIL) (|SparseUnivariateTaylorSeries| 5295361 5303518 5304066 "SUTS" 5305161 NIL SUTS (NIL T NIL NIL) |domain| NIL NIL) (|SparseUnivariatePuiseuxSeries| 5283504 5293797 5294317 "SUPXS" 5294955 NIL SUPXS (NIL T NIL NIL) |domain| NIL NIL) (|SparseUnivariatePolynomial| 5269739 5282758 5283023 "SUP" 5283321 NIL SUP (NIL T) |domain| NIL NIL) (|SupFractionFactorizer| 5267942 5268207 5268674 "SUPFRACF" 5269445 NIL SUPFRACF (NIL T T T T) |package| NIL NIL) (|SparseUnivariatePolynomialExpressions| 5252619 5267473 5267757 "SUPEXPR" 5267762 NIL SUPEXPR (NIL T) |domain| NIL NIL) (|SparseUnivariatePolynomialFunctions2| 5251837 5251949 5252201 "SUP2" 5252483 NIL SUP2 (NIL T T) |package| NIL NIL) (|RationalFunctionSum| 5249042 5249492 5250137 "SUMRF" 5251324 NIL SUMRF (NIL T) |package| NIL NIL) (|FunctionSpaceSum| 5247675 5247755 5248169 "SUMFS" 5248925 NIL SUMFS (NIL T T) |package| NIL NIL) (|SparseUnivariateLaurentSeries| 5222778 5246245 5246698 "SULS" 5247336 NIL SULS (NIL T NIL NIL) |domain| NIL NIL) (|SuchThat| 5221793 5222032 5222244 "SUCH" 5222640 NIL SUCH (NIL T T) |domain| NIL NIL) (|SubSpace| 5211346 5212924 5214685 "SUBSPACE" 5220103 NIL SUBSPACE (NIL NIL T) |domain| NIL NIL) (|SubResultantPackage| 5210281 5210421 5210727 "SUBRESP" 5211161 NIL SUBRESP (NIL T T) |package| NIL NIL) (|StreamTranscendentalFunctions| 5200360 5201885 5203680 "STTF" 5208602 NIL STTF (NIL T) |package| NIL NIL) (|StreamTranscendentalFunctionsNonCommutative| 5191175 5192484 5194091 "STTFNC" 5198897 NIL STTFNC (NIL T) |package| NIL NIL) (|StreamTaylorSeriesOperations| 5178141 5180540 5183076 "STTAYLOR" 5188725 NIL STTAYLOR (NIL T) |package| NIL NIL) (|StringTable| 5168941 5177885 5178040 "STRTBL" 5178045 NIL STRTBL (NIL T) |domain| NIL NIL) (|String| 5161811 5168868 5168916 "STRING" 5168921 T STRING (NIL) |domain| NIL NIL) (|StringCategory| 5153642 5160613 5160671 "STRICAT" 5160767 T STRICAT (NIL) |category| |String| 5160883) (|Stream| 5142878 5149695 5150689 "STREAM" 5152690 NIL STREAM (NIL T) |domain| NIL NIL) (|StreamFunctions3| 5142173 5142266 5142473 "STREAM3" 5142761 NIL STREAM3 (NIL T T T) |package| NIL NIL) (|StreamFunctions2| 5140714 5140937 5141270 "STREAM2" 5141916 NIL STREAM2 (NIL T T) |package| NIL NIL) (|StreamFunctions1| 5140243 5140307 5140457 "STREAM1" 5140626 NIL STREAM1 (NIL T) |package| NIL NIL) (|StreamTensor| 5139707 5139794 5139959 "STNSR" 5140132 NIL STNSR (NIL T) |package| NIL NIL) (|StreamInfiniteProduct| 5137909 5138186 5138616 "STINPROD" 5139391 NIL STINPROD (NIL T) |package| NIL NIL) (|StepThrough| 5137300 5137525 5137577 "STEP" 5137699 T STEP (NIL) |category| NIL 5137827) (|SparseTable| 5128729 5137145 5137265 "STBL" 5137270 NIL STBL (NIL T T NIL) |domain| NIL NIL) (|StreamAggregate| 5121712 5127466 5127540 "STAGG" 5127813 NIL STAGG (NIL T) |category| NIL 5127999) (|StreamAggregate&| 5118606 5119337 5120568 "STAGG-" 5120573 NIL STAGG- (NIL T T) |domain| NIL NIL) (|Stack| 5108609 5110771 5112481 "STACK" 5116943 NIL STACK (NIL T) |domain| NIL NIL) (|SquareFreeRegularTriangularSet| 5097545 5105131 5105940 "SREGSET" 5108000 NIL SREGSET (NIL T T T T) |domain| NIL NIL) (|SquareFreeRegularSetDecompositionPackage| 5084921 5086753 5089043 "SRDCMPK" 5095543 NIL SRDCMPK (NIL T T T T T) |package| NIL NIL) (|StringAggregate| 5073467 5080441 5080501 "SRAGG" 5082745 T SRAGG (NIL) |category| NIL 5083816) (|StringAggregate&| 5071960 5072323 5072929 "SRAGG-" 5072934 NIL SRAGG- (NIL T) |domain| NIL NIL) (|SquareMatrix| 5063765 5070215 5070896 "SQMATRIX" 5071361 NIL SQMATRIX (NIL NIL T) |domain| NIL NIL) (|SplittingTree| 5053859 5058190 5059375 "SPLTREE" 5062710 NIL SPLTREE (NIL T T) |domain| NIL NIL) (|SplittingNode| 5047413 5048260 5049263 "SPLNODE" 5052986 NIL SPLNODE (NIL T T) |domain| NIL NIL) (|SpecialFunctionCategory| 5045859 5046127 5046203 "SPFCAT" 5047044 T SPFCAT (NIL) |category| NIL NIL) (|SpecialOutputPackage| 5043618 5043931 5044429 "SPECOUT" 5045417 T SPECOUT (NIL) |package| NIL NIL) (|ThreeSpaceCategory| 5030762 5033214 5033294 "SPACEC" 5040645 NIL SPACEC (NIL T) |category| |ThreeSpace| 5043536) (|ThreeSpace| 5028183 5030649 5030728 "SPACE3" 5030733 NIL SPACE3 (NIL T) |domain| NIL NIL) (|SortPackage| 5026022 5026252 5026738 "SORTPAK" 5027883 NIL SORTPAK (NIL T T) |package| NIL NIL) (|TransSolvePackage| 5022560 5023018 5023752 "SOLVETRA" 5025481 NIL SOLVETRA (NIL T) |package| NIL NIL) (|TransSolvePackageService| 5020426 5020904 5021523 "SOLVESER" 5022053 NIL SOLVESER (NIL T) |package| NIL NIL) (|RadicalSolvePackage| 5012072 5013439 5015165 "SOLVERAD" 5018826 NIL SOLVERAD (NIL T) |package| NIL NIL) (|PolynomialSolveByFormulas| 5005424 5006130 5007176 "SOLVEFOR" 5011225 NIL SOLVEFOR (NIL T T) |package| NIL NIL) (|SquareFreeNormalizedTriangularSetCategory| 4997194 5004279 5004518 "SNTSCAT" 5004523 NIL SNTSCAT (NIL T T T T) |category| NIL 5004660) (|SparseMultivariateTaylorSeries| 4988342 4994161 4994817 "SMTS" 4996712 NIL SMTS (NIL T T T) |domain| NIL NIL) (|SparseMultivariatePolynomial| 4979733 4988111 4988277 "SMP" 4988282 NIL SMP (NIL T T) |domain| NIL NIL) (|SmithNormalForm| 4976806 4977176 4977772 "SMITH" 4979319 NIL SMITH (NIL T T T T) |package| NIL NIL) (|SquareMatrixCategory| 4965761 4971794 4971992 "SMATCAT" 4974534 NIL SMATCAT (NIL NIL T T T) |category| NIL 4975374) (|SquareMatrixCategory&| 4960984 4962134 4964061 "SMATCAT-" 4964066 NIL SMATCAT- (NIL T NIL T T T) |domain| NIL NIL) (|StackAggregate| 4957737 4959843 4959915 "SKAGG" 4960333 NIL SKAGG (NIL T) |category| NIL 4960556) (|SingleInteger| 4952246 4956362 4956802 "SINT" 4957339 T SINT (NIL) |domain| NIL NIL) (|SimplifyAlgebraicNumberConvertPackage| 4951728 4951798 4951982 "SIMPAN" 4952152 T SIMPAN (NIL) |package| NIL NIL) (|RationalFunctionSign| 4949782 4950128 4950601 "SIGNRF" 4951330 NIL SIGNRF (NIL T) |package| NIL NIL) (|ElementaryFunctionSign| 4947567 4947773 4948325 "SIGNEF" 4949524 NIL SIGNEF (NIL T T) |package| NIL NIL) (|SturmHabichtPackage| 4943081 4943924 4944919 "SHP" 4946673 NIL SHP (NIL T NIL) |package| NIL NIL) (|SplitHomogeneousDirectProduct| 4934357 4942839 4943039 "SHDP" 4943044 NIL SHDP (NIL NIL NIL T) |domain| NIL NIL) (|SemiGroup| 4933596 4933840 4933888 "SGROUP" 4934126 T SGROUP (NIL) |category| NIL 4934275) (|SemiGroup&| 4933234 4933308 4933477 "SGROUP-" 4933482 NIL SGROUP- (NIL T) |domain| NIL NIL) (|SymmetricGroupCombinatoricFunctions| 4927481 4928624 4929951 "SGCF" 4931993 T SGCF (NIL) |package| NIL NIL) (|SquareFreeRegularTriangularSetCategory| 4919458 4926543 4926776 "SFRTCAT" 4926781 NIL SFRTCAT (NIL T T T T) |category| |SquareFreeRegularTriangularSet| 4926848) (|SquareFreeRegularTriangularSetGcdPackage| 4907471 4908908 4910778 "SFRGCD" 4917866 NIL SFRGCD (NIL T T T T T) |package| NIL NIL) (|SquareFreeQuasiComponentPackage| 4895228 4896725 4898613 "SFQCMPK" 4905843 NIL SFQCMPK (NIL T T T T T) |package| NIL NIL) (|SimpleFortranProgram| 4894525 4894660 4894885 "SFORT" 4895107 NIL SFORT (NIL T T) |domain| NIL NIL) (|SExpressionOf| 4893439 4894273 4894470 "SEXOF" 4894475 NIL SEXOF (NIL T T T T T) |domain| NIL NIL) (|SExpression| 4892274 4893216 4893344 "SEX" 4893349 T SEX (NIL) |domain| NIL NIL) (|SExpressionCategory| 4883237 4884065 4884238 "SEXCAT" 4891266 NIL SEXCAT (NIL T T T T T) |category| NIL 4892192) (|Set| 4879241 4883131 4883203 "SET" 4883208 NIL SET (NIL T) |domain| NIL NIL) (|SetOfMIntegersInOneToN| 4876036 4876793 4877417 "SETMN" 4878727 NIL SETMN (NIL NIL NIL) |domain| NIL NIL) (|SetCategory| 4875432 4875588 4875640 "SETCAT" 4875825 T SETCAT (NIL) |category| NIL 4875976) (|SetCategory&| 4875092 4875160 4875324 "SETCAT-" 4875329 NIL SETCAT- (NIL T) |domain| NIL NIL) (|SetCategoryWithDegree| 4874540 4874736 4874808 "SETCATD" 4874919 T SETCATD (NIL) |category| NIL 4875010) (|SetAggregate| 4869144 4872057 4872132 "SETAGG" 4873575 NIL SETAGG (NIL T) |category| NIL 4874106) (|SetAggregate&| 4868374 4868515 4868872 "SETAGG-" 4868877 NIL SETAGG- (NIL T T) |domain| NIL NIL) (|SegmentExpansionCategory| 4867161 4867483 4867613 "SEGXCAT" 4868146 NIL SEGXCAT (NIL T T) |category| NIL 4868325) (|Segment| 4865902 4866644 4866922 "SEG" 4866927 NIL SEG (NIL T) |domain| NIL NIL) (|SegmentCategory| 4864344 4864574 4864648 "SEGCAT" 4865560 NIL SEGCAT (NIL T) |category| NIL 4865884) (|SegmentBinding| 4862956 4863384 4863690 "SEGBIND" 4864096 NIL SEGBIND (NIL T) |domain| NIL NIL) (|SegmentBindingFunctions2| 4862306 4862394 4862598 "SEGBIND2" 4862844 NIL SEGBIND2 (NIL T T) |package| NIL NIL) (|SegmentFunctions2| 4861155 4861318 4861612 "SEG2" 4862090 NIL SEG2 (NIL T T) |package| NIL NIL) (|SequentialDifferentialVariable| 4860331 4860976 4861111 "SDVAR" 4861116 NIL SDVAR (NIL T) |domain| NIL NIL) (|SequentialDifferentialPolynomial| 4847016 4859750 4860085 "SDPOL" 4860090 NIL SDPOL (NIL T) |domain| NIL NIL) (|StochasticDifferential| 4839775 4841323 4842554 "SD" 4845893 NIL SD (NIL T) |domain| NIL NIL) (|StructuralConstantsPackage| 4837383 4837775 4838337 "SCPKG" 4839296 NIL SCPKG (NIL T) |package| NIL NIL) (|SimpleCell| 4834362 4834736 4835297 "SCELL" 4836926 NIL SCELL (NIL T T) |domain| NIL NIL) (|SortedCache| 4833107 4833285 4833579 "SCACHE" 4834127 NIL SCACHE (NIL T) |package| NIL NIL) (|SingletonAsOrderedSet| 4832306 4832673 4832838 "SAOS" 4833000 T SAOS (NIL) |domain| NIL NIL) (|SAERationalFunctionAlgFactor| 4831430 4831474 4831848 "SAERFFC" 4832238 NIL SAERFFC (NIL T T T) |package| NIL NIL) (|SimpleAlgebraicExtension| 4822607 4831219 4831393 "SAE" 4831398 NIL SAE (NIL T T NIL) |domain| NIL NIL) (|SimpleAlgebraicExtensionAlgFactor| 4821776 4821820 4822174 "SAEFACT" 4822539 NIL SAEFACT (NIL T T T) |package| NIL NIL) (|RationalUnivariateRepresentationPackage| 4818705 4819238 4819997 "RURPK" 4821193 NIL RURPK (NIL T NIL) |package| NIL NIL) (|Ruleset| 4816531 4816879 4817377 "RULESET" 4818455 NIL RULESET (NIL T T T) |domain| NIL NIL) (|RewriteRule| 4811923 4812561 4813297 "RULE" 4816051 NIL RULE (NIL T T T) |domain| NIL NIL) (|RuleCalled| 4811415 4811604 4811736 "RULECOLD" 4811843 NIL RULECOLD (NIL NIL) |domain| NIL NIL) (|RegularTriangularSetGcdPackage| 4802329 4803418 4804895 "RSETGCD" 4810196 NIL RSETGCD (NIL T T T T T) |package| NIL NIL) (|RegularTriangularSetCategory| 4784322 4791407 4791620 "RSETCAT" 4800054 NIL RSETCAT (NIL T T T T) |category| NIL 4801755) (|RegularTriangularSetCategory&| 4781272 4781975 4783274 "RSETCAT-" 4783279 NIL RSETCAT- (NIL T T T T T) |domain| NIL NIL) (|RegularSetDecompositionPackage| 4768871 4770715 4772987 "RSDCMPK" 4779258 NIL RSDCMPK (NIL T T T T T) |package| NIL NIL) (|RealRootCharacterizationCategory| 4765282 4765859 4766037 "RRCC" 4768257 NIL RRCC (NIL T T) |category| |RightOpenIntervalRootCharacterization| 4768789) (|RealRootCharacterizationCategory&| 4764251 4764482 4764988 "RRCC-" 4764993 NIL RRCC- (NIL T T T) |domain| NIL NIL) (|RecursivePolynomialCategory| 4719157 4733462 4733613 "RPOLCAT" 4754943 NIL RPOLCAT (NIL T T T) |category| NIL 4760098) (|RecursivePolynomialCategory&| 4706237 4709493 4714418 "RPOLCAT-" 4714423 NIL RPOLCAT- (NIL T T T T) |domain| NIL NIL) (|RoutinesTable| 4692808 4702843 4703795 "ROUTINE" 4705327 T ROUTINE (NIL) |domain| NIL NIL) (|RomanNumeral| 4688124 4692017 4692299 "ROMAN" 4692566 T ROMAN (NIL) |domain| NIL NIL) (|RightOpenIntervalRootCharacterization| 4685126 4685873 4686363 "ROIRC" 4687807 NIL ROIRC (NIL T T) |domain| NIL NIL) (|RealNumberSystem| 4679488 4682682 4682744 "RNS" 4683274 T RNS (NIL) |category| NIL 4683765) (|RealNumberSystem&| 4677088 4677643 4678526 "RNS-" 4678681 NIL RNS- (NIL T) |domain| NIL NIL) (|Rng| 4676282 4676794 4676830 "RNG" 4676835 T RNG (NIL) |category| NIL 4676876) (|RightModule| 4675418 4675862 4675927 "RMODULE" 4676017 NIL RMODULE (NIL T) |category| NIL 4676090) (|RectangularMatrixCategoryFunctions2| 4673336 4673447 4674042 "RMCAT2" 4675278 NIL RMCAT2 (NIL NIL NIL T T T T T T T T) |package| NIL NIL) (|RectangularMatrix| 4668463 4671924 4672477 "RMATRIX" 4672903 NIL RMATRIX (NIL NIL NIL T) |domain| NIL NIL) (|RectangularMatrixCategory| 4656586 4659707 4659943 "RMATCAT" 4666375 NIL RMATCAT (NIL NIL NIL T T T) |category| NIL 4667891) (|RectangularMatrixCategory&| 4655476 4655707 4656284 "RMATCAT-" 4656289 NIL RMATCAT- (NIL T NIL NIL T T T) |domain| NIL NIL) (|RationalInterpolation| 4654680 4654813 4655059 "RINTERP" 4655319 NIL RINTERP (NIL NIL T) |package| NIL NIL) (|Ring| 4653264 4654009 4654047 "RING" 4654232 T RING (NIL) |category| NIL 4654414) (|Ring&| 4652951 4653011 4653155 "RING-" 4653160 NIL RING- (NIL T) |domain| NIL NIL) (|RandomIntegerDistributions| 4651003 4651351 4651808 "RIDIST" 4652562 T RIDIST (NIL) |package| NIL NIL) (|RegularChain| 4632482 4649884 4650328 "RGCHAIN" 4650643 NIL RGCHAIN (NIL T NIL) |domain| NIL NIL) (|RootsFindingPackage| 4630377 4630769 4631270 "RFP" 4632050 NIL RFP (NIL T) |package| NIL NIL) (|RationalFunction| 4625112 4626128 4627307 "RF" 4629270 NIL RF (NIL T) |package| NIL NIL) (|RationalFunctionFactorizer| 4624413 4624521 4624746 "RFFACTOR" 4624980 NIL RFFACTOR (NIL T) |package| NIL NIL) (|RationalFunctionFactor| 4623895 4623939 4624145 "RFFACT" 4624345 NIL RFFACT (NIL T) |package| NIL NIL) (|RandomFloatDistributions| 4620373 4620989 4621743 "RFDIST" 4623205 T RFDIST (NIL) |package| NIL NIL) (|RetractSolvePackage| 4619424 4619564 4619862 "RETSOL" 4620209 NIL RETSOL (NIL T T) |package| NIL NIL) (|RetractableTo| 4618802 4618903 4618973 "RETRACT" 4619275 NIL RETRACT (NIL T) |category| NIL NIL) (|RetractableTo&| 4618572 4618601 4618742 "RETRACT-" 4618747 NIL RETRACT- (NIL T T) |domain| NIL NIL) (|Result| 4608516 4617932 4618172 "RESULT" 4618360 T RESULT (NIL) |domain| NIL NIL) (|ResidueRing| 4606389 4607263 4607586 "RESRING" 4608361 NIL RESRING (NIL T T T T NIL) |domain| NIL NIL) (|ResolveLatticeCompletion| 4605805 4605860 4606034 "RESLATC" 4606293 NIL RESLATC (NIL T) |package| NIL NIL) (|RepeatedSquaring| 4605298 4605346 4605539 "REPSQ" 4605732 NIL REPSQ (NIL T) |package| NIL NIL) (|RadicalEigenPackage| 4600745 4601726 4602815 "REP" 4604263 T REP (NIL) |package| NIL NIL) (|RepeatedDoubling| 4600230 4600280 4600475 "REPDB" 4600670 NIL REPDB (NIL T) |package| NIL NIL) (|RepresentationPackage2| 4590753 4592621 4594474 "REP2" 4598451 NIL REP2 (NIL T) |package| NIL NIL) (|RepresentationPackage1| 4584415 4585470 4586905 "REP1" 4589392 NIL REP1 (NIL T) |package| NIL NIL) (|RegularTriangularSet| 4573492 4581077 4581856 "REGSET" 4583816 NIL REGSET (NIL T T T T) |domain| NIL NIL) (|Reference| 4571891 4572296 4572641 "REF" 4573195 NIL REF (NIL T) |domain| NIL NIL) (|ReductionOfOrder| 4570879 4570998 4571282 "REDORDER" 4571727 NIL REDORDER (NIL T T) |package| NIL NIL) (|RecurrenceOperator| 4565322 4565975 4566995 "RECOP" 4570173 NIL RECOP (NIL T T) |package| NIL NIL) (|RealClosure| 4558780 4563632 4564139 "RECLOS" 4564910 NIL RECLOS (NIL T) |domain| NIL NIL) (|RealSolvePackage| 4557253 4557520 4557879 "REALSOLV" 4558469 T REALSOLV (NIL) |package| NIL NIL) (|RealConstant| 4556988 4557045 4557099 "REAL" 4557104 T REAL (NIL) |category| NIL 4557176) (|RealZeroPackageQ| 4551373 4552571 4553982 "REAL0Q" 4555688 NIL REAL0Q (NIL T) |package| NIL NIL) (|RealZeroPackage| 4544299 4545782 4547473 "REAL0" 4549778 NIL REAL0 (NIL T) |package| NIL NIL) (|ReducedDivisor| 4543233 4543341 4543712 "RDIV" 4544167 NIL RDIV (NIL T T T T T) |package| NIL NIL) (|RandomDistributions| 4541739 4541981 4542332 "RDIST" 4542957 NIL RDIST (NIL T) |package| NIL NIL) (|TranscendentalRischDESystem| 4539552 4539937 4540541 "RDETRS" 4541325 NIL RDETRS (NIL T T) |package| NIL NIL) (|TranscendentalRischDE| 4536365 4536939 4537725 "RDETR" 4538944 NIL RDETR (NIL T T) |package| NIL NIL) (|ElementaryRischDESystem| 4534259 4534609 4535283 "RDEEFS" 4535991 NIL RDEEFS (NIL T T) |package| NIL NIL) (|ElementaryRischDE| 4532038 4532419 4533112 "RDEEF" 4533854 NIL RDEEF (NIL T T) |package| NIL NIL) (|RealClosedField| 4522466 4526778 4526838 "RCFIELD" 4529164 T RCFIELD (NIL) |category| NIL 4530577) (|RealClosedField&| 4519041 4519896 4521141 "RCFIELD-" 4521294 NIL RCFIELD- (NIL T) |domain| NIL NIL) (|RecursiveAggregate| 4513579 4516066 4516146 "RCAGG" 4517961 NIL RCAGG (NIL T) |category| NIL 4518641) (|RecursiveAggregate&| 4513068 4513173 4513424 "RCAGG-" 4513429 NIL RCAGG- (NIL T T) |domain| NIL NIL) (|RationalRetractions| 4511917 4512081 4512382 "RATRET" 4512869 NIL RATRET (NIL T) |package| NIL NIL) (|RationalFactorize| 4511094 4511189 4511426 "RATFACT" 4511793 NIL RATFACT (NIL T) |package| NIL NIL) (|RandomNumberSource| 4509958 4510118 4510386 "RANDSRC" 4510878 T RANDSRC (NIL) |package| NIL NIL) (|RadixUtilities| 4509511 4509575 4509708 "RADUTIL" 4509869 T RADUTIL (NIL) |package| NIL NIL) (|RadixExpansion| 4498357 4507363 4507926 "RADIX" 4509009 NIL RADIX (NIL NIL) |domain| NIL NIL) (|RadicalFunctionField| 4485653 4498027 4498310 "RADFF" 4498315 NIL RADFF (NIL T T T NIL NIL) |domain| NIL NIL) (|RadicalCategory| 4485093 4485189 4485249 "RADCAT" 4485512 T RADCAT (NIL) |category| NIL NIL) (|RadicalCategory&| 4484761 4484819 4484990 "RADCAT-" 4484995 NIL RADCAT- (NIL T) |domain| NIL NIL) (|Queue| 4474377 4476603 4478379 "QUEUE" 4483032 NIL QUEUE (NIL T) |domain| NIL NIL) (|Quaternion| 4469492 4474253 4474343 "QUAT" 4474348 NIL QUAT (NIL T) |domain| NIL NIL) (|QuaternionCategoryFunctions2| 4468816 4468866 4469128 "QUATCT2" 4469418 NIL QUATCT2 (NIL T T T T) |package| NIL NIL) (|QuaternionCategory| 4459182 4463881 4463972 "QUATCAT" 4465485 NIL QUATCAT (NIL T) |category| |Quaternion| 4466700) (|QuaternionCategory&| 4453331 4454729 4456910 "QUATCAT-" 4457113 NIL QUATCAT- (NIL T T) |domain| NIL NIL) (|QueueAggregate| 4449762 4451924 4451996 "QUAGG" 4452613 NIL QUAGG (NIL T) |category| NIL 4452903) (|QuadraticForm| 4448139 4448736 4449031 "QFORM" 4449549 NIL QFORM (NIL NIL T) |domain| NIL NIL) (|QuotientFieldCategory| 4433877 4441780 4441876 "QFCAT" 4443209 NIL QFCAT (NIL T) |category| NIL 4444854) (|QuotientFieldCategory&| 4426856 4428565 4431177 "QFCAT-" 4431385 NIL QFCAT- (NIL T T) |domain| NIL NIL) (|QuotientFieldCategoryFunctions2| 4426163 4426213 4426485 "QFCAT2" 4426782 NIL QFCAT2 (NIL T T T T) |package| NIL NIL) (|QueryEquation| 4425307 4425452 4425677 "QEQUAT" 4425980 T QEQUAT (NIL) |domain| NIL NIL) (|QuasiComponentPackage| 4413264 4414761 4416629 "QCMPACK" 4423679 NIL QCMPACK (NIL T T T T T) |package| NIL NIL) (|QuasiAlgebraicSet| 4408936 4409517 4410248 "QALGSET" 4412698 NIL QALGSET (NIL T T T T) |domain| NIL NIL) (|QuasiAlgebraicSet2| 4407197 4407607 4408146 "QALGSET2" 4408502 NIL QALGSET2 (NIL NIL NIL) |package| NIL NIL) (|PAdicWildFunctionFieldIntegralBasis| 4404887 4405183 4405750 "PWFFINTB" 4406867 NIL PWFFINTB (NIL T T T T) |package| NIL NIL) (|PushVariables| 4401912 4402107 4402660 "PUSHVAR" 4404624 NIL PUSHVAR (NIL T T T T) |package| NIL NIL) (|PartialTranscendentalFunctions| 4394724 4396092 4396222 "PTRANFN" 4400318 NIL PTRANFN (NIL T) |category| NIL NIL) (|PointPackage| 4392420 4392766 4393230 "PTPACK" 4394314 NIL PTPACK (NIL T) |package| NIL NIL) (|PointFunctions2| 4391869 4391939 4392107 "PTFUNC2" 4392326 NIL PTFUNC2 (NIL T T) |package| NIL NIL) (|PointCategory| 4384021 4390035 4390105 "PTCAT" 4390706 NIL PTCAT (NIL T) |category| |Point| 4390959) (|PolynomialSquareFree| 4383377 4383425 4383668 "PSQFR" 4383949 NIL PSQFR (NIL T T T T) |package| NIL NIL) (|PseudoLinearNormalForm| 4381202 4381618 4382143 "PSEUDLIN" 4382927 NIL PSEUDLIN (NIL T) |package| NIL NIL) (|PolynomialSetUtilitiesPackage| 4357092 4360550 4364355 "PSETPK" 4377600 NIL PSETPK (NIL T T T T) |package| NIL NIL) (|PolynomialSetCategory| 4345214 4349095 4349289 "PSETCAT" 4355352 NIL PSETCAT (NIL T T T T) |category| NIL 4356622) (|PolynomialSetCategory&| 4341970 4342847 4344143 "PSETCAT-" 4344148 NIL PSETCAT- (NIL T T T T T) |domain| NIL NIL) (|PlottableSpaceCurveCategory| 4340790 4341038 4341122 "PSCURVE" 4341635 T PSCURVE (NIL) |category| |Plot3D| 4341930) (|PowerSeriesCategory| 4335066 4337119 4337251 "PSCAT" 4338863 NIL PSCAT (NIL T T T) |category| NIL 4339245) (|PowerSeriesCategory&| 4333759 4334023 4334624 "PSCAT-" 4334629 NIL PSCAT- (NIL T T T T) |domain| NIL NIL) (|Partition| 4331788 4332569 4332943 "PRTITION" 4333419 T PRTITION (NIL) |domain| NIL NIL) (|ProjectiveSpaceCategory| 4326934 4327831 4327922 "PRSPCAT" 4330713 NIL PRSPCAT (NIL T) |category| NIL 4331674) (|PseudoRemainderSequence| 4308327 4311490 4314920 "PRS" 4323633 NIL PRS (NIL T T) |package| NIL NIL) (|PriorityQueueAggregate| 4305246 4307305 4307399 "PRQAGG" 4307731 NIL PRQAGG (NIL T) |category| |Heap| 4307899) (|ProjectiveSpace| 4304180 4305084 4305207 "PROJSP" 4305212 NIL PROJSP (NIL NIL T) |domain| NIL NIL) (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| 4302588 4303874 4304101 "PROJPLPS" 4304106 NIL PROJPLPS (NIL T) |domain| NIL NIL) (|ProjectivePlane| 4301528 4302454 4302549 "PROJPL" 4302554 NIL PROJPL (NIL T) |domain| NIL NIL) (|Product| 4292552 4298779 4299985 "PRODUCT" 4300394 NIL PRODUCT (NIL T T) |domain| NIL NIL) (|PolynomialRing| 4288577 4291609 4292007 "PR" 4292242 NIL PR (NIL T T) |domain| NIL NIL) (|ProjectiveAlgebraicSetPackage| 4285824 4286063 4286625 "PRJALGPK" 4288299 NIL PRJALGPK (NIL T NIL T T T) |package| NIL NIL) (|PrintPackage| 4285486 4285529 4285637 "PRINT" 4285756 T PRINT (NIL) |package| NIL NIL) (|IntegerPrimesPackage| 4284373 4284515 4284781 "PRIMES" 4285305 NIL PRIMES (NIL T) |package| NIL NIL) (|PrimitiveElement| 4281095 4281727 4282530 "PRIMELT" 4283665 NIL PRIMELT (NIL T) |package| NIL NIL) (|PrimitiveFunctionCategory| 4280597 4280665 4280745 "PRIMCAT" 4280975 T PRIMCAT (NIL) |category| NIL NIL) (|PrimitiveArray| 4275169 4280456 4280553 "PRIMARR" 4280558 NIL PRIMARR (NIL T) |domain| NIL NIL) (|PrimitiveArrayFunctions2| 4273510 4273773 4274162 "PRIMARR2" 4274872 NIL PRIMARR2 (NIL T T) |package| NIL NIL) (|PrecomputedAssociatedEquations| 4272730 4272826 4273103 "PREASSOC" 4273390 NIL PREASSOC (NIL T T) |package| NIL NIL) (|PlottablePlaneCurveCategory| 4271773 4271973 4272057 "PPCURVE" 4272448 T PPCURVE (NIL) |category| NIL 4272690) (|U32VectorPolynomialOperations| 4261703 4263599 4265747 "POLYVEC" 4269699 T POLYVEC (NIL) |package| NIL NIL) (|PolynomialRoots| 4257293 4257895 4258850 "POLYROOT" 4261046 NIL POLYROOT (NIL T T T T T) |package| NIL NIL) (|Polynomial| 4247881 4256647 4256905 "POLY" 4257085 NIL POLY (NIL T) |domain| NIL NIL) (|PolynomialCategoryLifting| 4246833 4246905 4247315 "POLYLIFT" 4247785 NIL POLYLIFT (NIL T T T T T) |package| NIL NIL) (|PolynomialCategoryQuotientFunctions| 4240326 4240987 4242055 "POLYCATQ" 4246093 NIL POLYCATQ (NIL T T T T T) |package| NIL NIL) (|PolynomialCategory| 4218016 4226212 4226345 "POLYCAT" 4233241 NIL POLYCAT (NIL T T T) |category| NIL 4236495) (|PolynomialCategory&| 4207545 4210365 4214270 "POLYCAT-" 4214275 NIL POLYCAT- (NIL T T T T) |domain| NIL NIL) (|PolynomialToUnivariatePolynomial| 4206771 4206884 4207131 "POLY2UP" 4207408 NIL POLY2UP (NIL NIL T) |package| NIL NIL) (|PolynomialFunctions2| 4206165 4206245 4206433 "POLY2" 4206667 NIL POLY2 (NIL T T) |package| NIL NIL) (|RealPolynomialUtilitiesPackage| 4203675 4204050 4204569 "POLUTIL" 4205780 NIL POLUTIL (NIL T T) |package| NIL NIL) (|PolToPol| 4200210 4200837 4201584 "POLTOPOL" 4202999 NIL POLTOPOL (NIL NIL T) |package| NIL NIL) (|Point| 4194023 4200117 4200181 "POINT" 4200186 NIL POINT (NIL T) |domain| NIL NIL) (|PolynomialNumberTheoryFunctions| 4190075 4190799 4191665 "PNTHEORY" 4193235 T PNTHEORY (NIL) |package| NIL NIL) (|PatternMatchTools| 4187312 4187811 4188529 "PMTOOLS" 4189547 NIL PMTOOLS (NIL T T T) |package| NIL NIL) (|PatternMatchSymbol| 4186562 4186695 4186925 "PMSYM" 4187155 NIL PMSYM (NIL T) |package| NIL NIL) (|PatternMatchQuotientFieldCategory| 4185582 4185697 4186069 "PMQFCAT" 4186423 NIL PMQFCAT (NIL T T T) |package| NIL NIL) (|AttachPredicates| 4184479 4184652 4184929 "PMPRED" 4185367 NIL PMPRED (NIL T) |package| NIL NIL) (|FunctionSpaceAttachPredicates| 4183428 4183545 4183840 "PMPREDFS" 4184320 NIL PMPREDFS (NIL T T T) |package| NIL NIL) (|PatternMatchPolynomialCategory| 4180904 4181253 4181965 "PMPLCAT" 4183017 NIL PMPLCAT (NIL T T T T T) |package| NIL NIL) (|PatternMatchListAggregate| 4180015 4180148 4180451 "PMLSAGG" 4180747 NIL PMLSAGG (NIL T T T) |package| NIL NIL) (|PatternMatchKernel| 4179049 4179175 4179519 "PMKERNEL" 4179865 NIL PMKERNEL (NIL T T) |package| NIL NIL) (|PatternMatchIntegerNumberSystem| 4178252 4178388 4178655 "PMINS" 4178889 NIL PMINS (NIL T) |package| NIL NIL) (|PatternMatchFunctionSpace| 4177152 4177267 4177696 "PMFS" 4178113 NIL PMFS (NIL T T T) |package| NIL NIL) (|PatternMatchPushDown| 4175723 4175920 4176307 "PMDOWN" 4176926 NIL PMDOWN (NIL T T T) |package| NIL NIL) (|PatternMatchAssertions| 4174250 4174494 4174837 "PMASS" 4175440 T PMASS (NIL) |package| NIL NIL) (|FunctionSpaceAssertions| 4173027 4173159 4173440 "PMASSFS" 4174079 NIL PMASSFS (NIL T T) |package| NIL NIL) (|PolynomialPackageForCurve| 4168680 4169029 4169741 "PLPKCRV" 4172564 NIL PLPKCRV (NIL T T T NIL T) |package| NIL NIL) (|PlotTools| 4168102 4168208 4168372 "PLOTTOOL" 4168550 T PLOTTOOL (NIL) |package| NIL NIL) (|Plot| 4158704 4160735 4162884 "PLOT" 4165977 T PLOT (NIL) |domain| NIL NIL) (|Plot3D| 4151238 4153029 4154801 "PLOT3D" 4156960 T PLOT3D (NIL) |domain| NIL NIL) (|PlotFunctions1| 4149471 4149714 4150100 "PLOT1" 4150933 NIL PLOT1 (NIL T) |package| NIL NIL) (|ParametricLinearEquations| 4110564 4116959 4123953 "PLEQN" 4142734 NIL PLEQN (NIL T T T T) |package| NIL NIL) (|Plcs| 4109542 4110421 4110529 "PLCS" 4110534 NIL PLCS (NIL T T) |domain| NIL NIL) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| 4107977 4109110 4109391 "PLACESPS" 4109396 NIL PLACESPS (NIL T) |domain| NIL NIL) (|Places| 4106824 4107797 4107906 "PLACES" 4107911 NIL PLACES (NIL T) |domain| NIL NIL) (|PlacesCategory| 4101360 4102233 4102346 "PLACESC" 4105847 NIL PLACESC (NIL T T) |category| NIL 4106710) (|PolynomialInterpolation| 4100155 4100350 4100683 "PINTERP" 4101120 NIL PINTERP (NIL NIL T) |package| NIL NIL) (|PolynomialInterpolationAlgorithms| 4099541 4099610 4099843 "PINTERPA" 4100062 NIL PINTERPA (NIL T T) |package| NIL NIL) (|PositiveInteger| 4098482 4099164 4099345 "PI" 4099406 T PI (NIL) |domain| NIL NIL) (|PrincipalIdealDomain| 4095961 4097405 4097475 "PID" 4097782 T PID (NIL) |category| NIL 4098001) (|PiCoercions| 4095499 4095547 4095705 "PICOERCE" 4095889 NIL PICOERCE (NIL T) |package| NIL NIL) (|PolyGroebner| 4094391 4094597 4094892 "PGROEB" 4095263 NIL PGROEB (NIL T) |package| NIL NIL) (|PermutationGroupExamples| 4085504 4087024 4088917 "PGE" 4092562 T PGE (NIL) |package| NIL NIL) (|PolynomialGcdPackage| 4081752 4082197 4082928 "PGCD" 4084950 NIL PGCD (NIL T T T T) |package| NIL NIL) (|PartialFractionPackage| 4080506 4080667 4080994 "PFRPAC" 4081542 NIL PFRPAC (NIL T) |package| NIL NIL) (|PartialFraction| 4075040 4077790 4078440 "PFR" 4079927 NIL PFR (NIL T) |domain| NIL NIL) (|PointsOfFiniteOrderTools| 4072115 4072449 4073026 "PFOTOOLS" 4074646 NIL PFOTOOLS (NIL T T) |package| NIL NIL) (|PackageForPoly| 4062593 4063577 4064886 "PFORP" 4070994 NIL PFORP (NIL T T T NIL) |package| NIL NIL) (|PointsOfFiniteOrderRational| 4059833 4060214 4060884 "PFOQ" 4062178 NIL PFOQ (NIL T T T) |package| NIL NIL) (|PointsOfFiniteOrder| 4057017 4057338 4057998 "PFO" 4059478 NIL PFO (NIL T T T T T) |package| NIL NIL) (|PrimeField| 4051612 4056751 4056912 "PF" 4056917 NIL PF (NIL NIL) |domain| NIL NIL) (|PolynomialFactorizationExplicit| 4046648 4048759 4048851 "PFECAT" 4050192 T PFECAT (NIL) |category| NIL 4051095) (|PolynomialFactorizationExplicit&| 4045361 4045710 4046237 "PFECAT-" 4046242 NIL PFECAT- (NIL T) |domain| NIL NIL) (|PolynomialFactorizationByRecursionUnivariate| 4041785 4042362 4043169 "PFBRU" 4044742 NIL PFBRU (NIL T T) |package| NIL NIL) (|PolynomialFactorizationByRecursion| 4036794 4037563 4038599 "PFBR" 4040970 NIL PFBR (NIL T T T T) |package| NIL NIL) (|Permutation| 4030555 4032471 4033550 "PERM" 4035774 NIL PERM (NIL T) |domain| NIL NIL) (|PermutationGroup| 4022568 4023920 4025413 "PERMGRP" 4029131 NIL PERMGRP (NIL T) |domain| NIL NIL) (|PermutationCategory| 4019919 4021096 4021185 "PERMCAT" 4021948 NIL PERMCAT (NIL T) |category| |Permutation| 4022361) (|Permanent| 4019336 4019392 4019607 "PERMAN" 4019839 NIL PERMAN (NIL NIL T) |package| NIL NIL) (|PendantTree| 4015706 4018634 4018853 "PENDTREE" 4019176 NIL PENDTREE (NIL T) |domain| NIL NIL) (|PartialDifferentialRing| 4012625 4013666 4013763 "PDRING" 4014976 NIL PDRING (NIL T) |category| NIL 4015425) (|PartialDifferentialRing&| 4011255 4011555 4012149 "PDRING-" 4012154 NIL PDRING- (NIL T T) |domain| NIL NIL) (|NumericalPDEProblem| 4007048 4008094 4009139 "PDEPROB" 4010264 T PDEPROB (NIL) |domain| NIL NIL) (|AnnaPartialDifferentialEquationPackage| 4002769 4003580 4004574 "PDEPACK" 4006146 T PDEPACK (NIL) |package| NIL NIL) (|PolynomialDecomposition| 4000811 4001100 4001562 "PDECOMP" 4002427 NIL PDECOMP (NIL T T) |package| NIL NIL) (|PartialDifferentialEquationsSolverCategory| 3997193 3998340 3998454 "PDECAT" 3999681 T PDECAT (NIL) |category| NIL 4000729) (|PolynomialComposition| 3996755 3996792 3996968 "PCOMP" 3997132 NIL PCOMP (NIL T T) |package| NIL NIL) (|PoincareBirkhoffWittLyndonBasis| 3993725 3994482 3995033 "PBWLB" 3996296 NIL PBWLB (NIL T) |domain| NIL NIL) (|Pattern| 3982232 3984321 3986425 "PATTERN" 3991659 NIL PATTERN (NIL T) |domain| NIL NIL) (|PatternFunctions2| 3981631 3981705 3981895 "PATTERN2" 3982134 NIL PATTERN2 (NIL T T) |package| NIL NIL) (|PatternFunctions1| 3978008 3978557 3979289 "PATTERN1" 3980984 NIL PATTERN1 (NIL T T) |package| NIL NIL) (|PatternMatchResult| 3973911 3974624 3975370 "PATRES" 3977356 NIL PATRES (NIL T T) |domain| NIL NIL) (|PatternMatchResultFunctions2| 3973095 3973201 3973466 "PATRES2" 3973781 NIL PATRES2 (NIL T T T) |package| NIL NIL) (|PatternMatch| 3969793 3970314 3970913 "PATMATCH" 3972628 NIL PATMATCH (NIL T T T) |package| NIL NIL) (|PatternMatchable| 3969017 3969276 3969359 "PATMAB" 3969554 NIL PATMAB (NIL T) |category| NIL 3969711) (|PatternMatchListResult| 3966451 3966877 3967347 "PATLRES" 3968677 NIL PATLRES (NIL T T T) |domain| NIL NIL) (|Patternable| 3965723 3965908 3965974 "PATAB" 3965979 NIL PATAB (NIL T) |category| NIL 3966258) (|PartitionsAndPermutations| 3961572 3962350 3963307 "PARTPERM" 3964832 T PARTPERM (NIL) |package| NIL NIL) (|ParametricSurface| 3960932 3961022 3961205 "PARSURF" 3961453 NIL PARSURF (NIL T) |domain| NIL NIL) (|ParametricSurfaceFunctions2| 3960249 3960343 3960559 "PARSU2" 3960814 NIL PARSU2 (NIL T T) |package| NIL NIL) (|ParametricSpaceCurve| 3959605 3959693 3959880 "PARSCURV" 3960132 NIL PARSCURV (NIL T) |domain| NIL NIL) (|ParametricSpaceCurveFunctions2| 3958889 3958989 3959217 "PARSC2" 3959481 NIL PARSC2 (NIL T T) |package| NIL NIL) (|ParametricPlaneCurve| 3958263 3958346 3958528 "PARPCURV" 3958777 NIL PARPCURV (NIL T) |domain| NIL NIL) (|ParametricPlaneCurveFunctions2| 3957547 3957647 3957875 "PARPC2" 3958139 NIL PARPC2 (NIL T T) |package| NIL NIL) (|ParametrizationPackage| 3954750 3954883 3955446 "PARAMP" 3957327 NIL PARAMP (NIL T NIL T T T T T) |package| NIL NIL) (|PolynomialAN2Expression| 3953765 3953930 3954197 "PAN2EXPR" 3954545 T PAN2EXPR (NIL) |package| NIL NIL) (|Palette| 3952066 3952448 3952796 "PALETTE" 3953447 T PALETTE (NIL) |domain| NIL NIL) (|PackageForAlgebraicFunctionField| 3927912 3931837 3936064 "PAFF" 3947989 NIL PAFF (NIL T NIL T) |package| NIL NIL) (|PackageForAlgebraicFunctionFieldOverFiniteField| 3895147 3901022 3906918 "PAFFFF" 3922210 NIL PAFFFF (NIL T NIL T) |package| NIL NIL) (|PAdicRationalConstructor| 3885537 3893670 3894075 "PADICRC" 3894858 NIL PADICRC (NIL NIL T) |domain| NIL NIL) (|PAdicRational| 3874451 3884323 3884688 "PADICRAT" 3885231 NIL PADICRAT (NIL NIL) |domain| NIL NIL) (|PAdicInteger| 3871994 3874327 3874415 "PADIC" 3874420 NIL PADIC (NIL NIL) |domain| NIL NIL) (|PAdicIntegerCategory| 3867502 3869775 3869862 "PADICCT" 3870916 NIL PADICCT (NIL NIL) |category| NIL 3871427) (|PadeApproximantPackage| 3865555 3865933 3866450 "PADEPAC" 3867086 NIL PADEPAC (NIL T NIL NIL) |package| NIL NIL) (|PadeApproximants| 3864036 3864268 3864680 "PADE" 3865294 NIL PADE (NIL T T T) |package| NIL NIL) (|PseudoAlgebraicClosureOfRationalNumber| 3858214 3863057 3863402 "PACRAT" 3863783 T PACRAT (NIL) |domain| NIL NIL) (|PseudoAlgebraicClosureOfRationalNumberCategory| 3851798 3856489 3856611 "PACRATC" 3856616 T PACRATC (NIL) |category| NIL 3856815) (|PseudoAlgebraicClosureOfPerfectFieldCategory| 3844738 3847673 3847791 "PACPERC" 3850045 T PACPERC (NIL) |category| NIL 3850938) (|PseudoAlgebraicClosureOfFiniteField| 3839426 3844164 3844425 "PACOFF" 3844592 NIL PACOFF (NIL T) |domain| NIL NIL) (|PseudoAlgebraicClosureOfFiniteFieldCategory| 3834061 3838142 3838258 "PACFFC" 3838263 T PACFFC (NIL) |category| NIL 3838346) (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| 3826957 3833118 3833481 "PACEXT" 3833854 NIL PACEXT (NIL NIL) |domain| NIL NIL) (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory| 3818361 3824402 3824540 "PACEXTC" 3824545 T PACEXTC (NIL) |category| NIL 3824729) (|OrdinaryWeightedPolynomials| 3815310 3816413 3816940 "OWP" 3818008 NIL OWP (NIL T NIL NIL NIL) |domain| NIL NIL) (|OrderedVariableList| 3813935 3814596 3814923 "OVAR" 3815062 NIL OVAR (NIL NIL) |domain| NIL NIL) (|OutputPackage| 3812779 3812940 3813205 "OUT" 3813712 T OUT (NIL) |package| NIL NIL) (|OutputForm| 3797029 3799578 3802769 "OUTFORM" 3809624 T OUTFORM (NIL) |domain| NIL NIL) (|OrdSetInts| 3796212 3796581 3796735 "OSI" 3796911 T OSI (NIL) |domain| NIL NIL) (|OrthogonalPolynomialFunctions| 3793748 3794135 3794700 "ORTHPOL" 3795746 NIL ORTHPOL (NIL T) |package| NIL NIL) (|UnivariateSkewPolynomial| 3789997 3793132 3793395 "OREUP" 3793633 NIL OREUP (NIL NIL T NIL NIL) |domain| NIL NIL) (|SparseUnivariateSkewPolynomial| 3786209 3789369 3789644 "ORESUP" 3789866 NIL ORESUP (NIL T NIL NIL) |domain| NIL NIL) (|UnivariateSkewPolynomialCategoryOps| 3782002 3782724 3783635 "OREPCTO" 3785445 NIL OREPCTO (NIL T T) |package| NIL NIL) (|UnivariateSkewPolynomialCategory| 3771928 3774974 3775082 "OREPCAT" 3779560 NIL OREPCAT (NIL T) |category| NIL 3781305) (|UnivariateSkewPolynomialCategory&| 3767721 3768782 3770424 "OREPCAT-" 3770429 NIL OREPCAT- (NIL T T) |domain| NIL NIL) (|OrderedSet| 3766598 3766906 3766956 "ORDSET" 3767411 T ORDSET (NIL) |category| NIL 3767639) (|OrderedSet&| 3765994 3766121 3766386 "ORDSET-" 3766391 NIL ORDSET- (NIL T) |domain| NIL NIL) (|OrderedRing| 3763943 3764959 3765011 "ORDRING" 3765341 T ORDRING (NIL) |category| NIL 3765554) (|OrderedRing&| 3763405 3763527 3763763 "ORDRING-" 3763768 NIL ORDRING- (NIL T) |domain| NIL NIL) (|OrderedMonoid| 3762581 3763168 3763224 "ORDMON" 3763229 T ORDMON (NIL) |category| NIL 3763265) (|OrderingFunctions| 3761168 3761364 3761702 "ORDFUNS" 3762351 NIL ORDFUNS (NIL NIL T) |package| NIL NIL) (|OrderedFinite| 3760473 3760951 3761007 "ORDFIN" 3761012 T ORDFIN (NIL) |category| NIL 3761048) (|OrderedCompletion| 3755005 3757928 3758640 "ORDCOMP" 3759832 NIL ORDCOMP (NIL T) |domain| NIL NIL) (|OrderedCompletionFunctions2| 3753585 3753816 3754196 "ORDCOMP2" 3754737 NIL ORDCOMP2 (NIL T T) |package| NIL NIL) (|NumericalOptimizationProblem| 3747865 3749220 3750624 "OPTPROB" 3752253 T OPTPROB (NIL) |domain| NIL NIL) (|AnnaNumericalOptimizationPackage| 3742110 3743163 3744452 "OPTPACK" 3746656 T OPTPACK (NIL) |package| NIL NIL) (|NumericalOptimizationCategory| 3738284 3739420 3739508 "OPTCAT" 3740943 T OPTCAT (NIL) |category| NIL 3742028) (|OperationsQuery| 3737857 3737920 3738054 "OPQUERY" 3738196 T OPQUERY (NIL) |package| NIL NIL) (|Operator| 3733469 3735087 3735914 "OP" 3737076 NIL OP (NIL T) |domain| NIL NIL) (|OnePointCompletion| 3728492 3731340 3731969 "ONECOMP" 3732913 NIL ONECOMP (NIL T) |domain| NIL NIL) (|OnePointCompletionFunctions2| 3727133 3727342 3727702 "ONECOMP2" 3728246 NIL ONECOMP2 (NIL T T) |package| NIL NIL) (|OpenMathServerPackage| 3726043 3726220 3726489 "OMSERVER" 3726922 T OMSERVER (NIL) |package| NIL NIL) (|OrderedMultisetAggregate| 3721513 3725087 3725185 "OMSAGG" 3725296 NIL OMSAGG (NIL T) |category| NIL 3725415) (|OpenMathPackage| 3719172 3719569 3720071 "OMPKG" 3721057 T OMPKG (NIL) |package| NIL NIL) (|OpenMath| 3718256 3718405 3718451 "OM" 3718936 T OM (NIL) |category| NIL NIL) (|OppositeMonogenicLinearOperator| 3716002 3717411 3717739 "OMLO" 3718058 NIL OMLO (NIL T T) |domain| NIL NIL) (|ExpressionToOpenMath| 3714141 3714366 3714773 "OMEXPR" 3715702 NIL OMEXPR (NIL T) |package| NIL NIL) (|OpenMathError| 3713014 3713328 3713582 "OMERR" 3713929 T OMERR (NIL) |domain| NIL NIL) (|OpenMathErrorKind| 3711608 3711945 3712254 "OMERRK" 3712755 T OMERRK (NIL) |domain| NIL NIL) (|OpenMathEncoding| 3710656 3710933 3711163 "OMENC" 3711426 T OMENC (NIL) |domain| NIL NIL) (|OpenMathDevice| 3700799 3702466 3704412 "OMDEV" 3708754 T OMDEV (NIL) |domain| NIL NIL) (|OpenMathConnection| 3699042 3699334 3699728 "OMCONN" 3700457 T OMCONN (NIL) |domain| NIL NIL) (|OrderedIntegralDomain| 3697042 3698300 3698372 "OINTDOM" 3698377 T OINTDOM (NIL) |category| NIL 3698422) (|OrderedFreeMonoid| 3690424 3691998 3693138 "OFMONOID" 3695972 NIL OFMONOID (NIL T) |domain| NIL NIL) (|OrderlyDifferentialVariable| 3689605 3690251 3690380 "ODVAR" 3690385 NIL ODVAR (NIL T) |domain| NIL NIL) (|OrdinaryDifferentialRing| 3685544 3688727 3689049 "ODR" 3689416 NIL ODR (NIL T T NIL) |domain| NIL NIL) (|OrderlyDifferentialPolynomial| 3672391 3684981 3685304 "ODPOL" 3685309 NIL ODPOL (NIL T) |domain| NIL NIL) (|OrderedDirectProduct| 3663651 3672134 3672349 "ODP" 3672354 NIL ODP (NIL NIL T NIL) |domain| NIL NIL) (|ODETools| 3661496 3661808 3662283 "ODETOOLS" 3663280 NIL ODETOOLS (NIL T T) |package| NIL NIL) (|SystemODESolver| 3657181 3658006 3659004 "ODESYS" 3660616 NIL ODESYS (NIL T T) |package| NIL NIL) (|RationalRicDE| 3647240 3648920 3650866 "ODERTRIC" 3655440 NIL ODERTRIC (NIL T T) |package| NIL NIL) (|ReduceLODE| 3646216 3646318 3646688 "ODERED" 3647114 NIL ODERED (NIL T T T T T) |package| NIL NIL) (|RationalLODE| 3640428 3641361 3642615 "ODERAT" 3645165 NIL ODERAT (NIL T T) |package| NIL NIL) (|PrimitiveRatRicDE| 3634733 3635387 3636418 "ODEPRRIC" 3639707 NIL ODEPRRIC (NIL T T T T) |package| NIL NIL) (|NumericalODEProblem| 3631495 3632298 3633101 "ODEPROB" 3633984 T ODEPROB (NIL) |domain| NIL NIL) (|PrimitiveRatDE| 3624945 3625578 3626680 "ODEPRIM" 3630697 NIL ODEPRIM (NIL T T T T) |package| NIL NIL) (|PureAlgebraicLODE| 3623567 3623723 3624218 "ODEPAL" 3624765 NIL ODEPAL (NIL T T T T) |package| NIL NIL) (|AnnaOrdinaryDifferentialEquationPackage| 3617268 3618437 3619843 "ODEPACK" 3622255 T ODEPACK (NIL) |package| NIL NIL) (|ODEIntegration| 3615321 3615448 3615917 "ODEINT" 3617107 NIL ODEINT (NIL T T) |package| NIL NIL) (|ODEIntensityFunctionsTable| 3606869 3608838 3610924 "ODEIFTBL" 3613303 T ODEIFTBL (NIL) |domain| NIL NIL) (|ElementaryFunctionODESolver| 3598878 3599916 3601417 "ODEEF" 3605702 NIL ODEEF (NIL T T) |package| NIL NIL) (|ConstantLODE| 3597597 3597707 3598202 "ODECONST" 3598744 NIL ODECONST (NIL T T T) |package| NIL NIL) (|OrdinaryDifferentialEquationsSolverCategory| 3594701 3595606 3595722 "ODECAT" 3596709 T ODECAT (NIL) |category| NIL 3597515) (|Octonion| 3590347 3594181 3594401 "OCT" 3594538 NIL OCT (NIL T) |domain| NIL NIL) (|OctonionCategoryFunctions2| 3589685 3589735 3589989 "OCTCT2" 3590273 NIL OCTCT2 (NIL T T T T) |package| NIL NIL) (|OctonionCategory| 3581803 3585066 3585153 "OC" 3587215 NIL OC (NIL T) |category| |Octonion| 3588487) (|OctonionCategory&| 3577719 3578694 3580202 "OC-" 3580401 NIL OC- (NIL T T) |domain| NIL NIL) (|OrderedCancellationAbelianMonoid| 3576771 3577300 3577394 "OCAMON" 3577399 T OCAMON (NIL) |category| NIL 3577464) (|OrderedAbelianSemiGroup| 3576014 3576493 3576569 "OASGP" 3576574 T OASGP (NIL) |category| NIL 3576617) (|OrderedAbelianMonoidSup| 3574926 3575476 3575552 "OAMONS" 3575623 T OAMONS (NIL) |category| NIL 3575716) (|OrderedAbelianMonoid| 3574128 3574607 3574677 "OAMON" 3574682 T OAMON (NIL) |category| NIL 3574738) (|OrderedAbelianGroup| 3573090 3573670 3573738 "OAGROUP" 3573743 T OAGROUP (NIL) |category| NIL 3573807) (|NumericTubePlot| 3572533 3572603 3572780 "NUMTUBE" 3572996 NIL NUMTUBE (NIL T) |package| NIL NIL) (|NumericalQuadrature| 3563150 3565286 3567540 "NUMQUAD" 3570333 T NUMQUAD (NIL) |package| NIL NIL) (|NumericalOrdinaryDifferentialEquations| 3556856 3558220 3559743 "NUMODE" 3561719 T NUMODE (NIL) |package| NIL NIL) (|NumericalIntegrationCategory| 3552655 3553924 3554010 "NUMINT" 3555557 T NUMINT (NIL) |category| NIL 3556774) (|NumberFormats| 3550672 3551021 3551461 "NUMFMT" 3552257 T NUMFMT (NIL) |package| NIL NIL) (|Numeric| 3527054 3531565 3535958 "NUMERIC" 3546342 NIL NUMERIC (NIL T) |package| NIL NIL) (|NormalizedTriangularSetCategory| 3519045 3526130 3526349 "NTSCAT" 3526354 NIL NTSCAT (NIL T T T T) |category| NIL 3526421) (|NumberTheoreticPolynomialFunctions| 3517509 3517773 3518154 "NTPOLFN" 3518773 NIL NTPOLFN (NIL T) |package| NIL NIL) (|NewSparseUnivariatePolynomial| 3497119 3511535 3512948 "NSUP" 3516184 NIL NSUP (NIL T) |domain| NIL NIL) (|NewSparseUnivariatePolynomialFunctions2| 3496304 3496422 3496686 "NSUP2" 3496977 NIL NSUP2 (NIL T T) |package| NIL NIL) (|NewSparseMultivariatePolynomial| 3481089 3495791 3496101 "NSMP" 3496106 NIL NSMP (NIL T T) |domain| NIL NIL) (|NeitherSparseOrDensePowerSeries| 3464303 3480341 3480657 "NSDPS" 3480866 NIL NSDPS (NIL T) |domain| NIL NIL) (|NumericRealEigenPackage| 3461583 3462052 3462691 "NREP" 3463766 NIL NREP (NIL T) |package| NIL NIL) (|NewtonPolygon| 3457173 3457883 3458833 "NPOLYGON" 3460819 NIL NPOLYGON (NIL T T T NIL) |package| NIL NIL) (|NPCoef| 3454839 3455205 3455792 "NPCOEF" 3456778 NIL NPCOEF (NIL T T T T T) |package| NIL NIL) (|NottinghamGroup| 3453745 3454394 3454572 "NOTTING" 3454736 NIL NOTTING (NIL T) |domain| NIL NIL) (|NormRetractPackage| 3451769 3451960 3452421 "NORMRETR" 3453520 NIL NORMRETR (NIL T T T T NIL) |package| NIL NIL) (|NormalizationPackage| 3448439 3448810 3449463 "NORMPK" 3451354 NIL NORMPK (NIL T T T T T) |package| NIL NIL) (|NormInMonogenicAlgebra| 3447834 3447863 3448117 "NORMMA" 3448386 NIL NORMMA (NIL T T T T) |package| NIL NIL) (|None| 3447611 3447771 3447812 "NONE" 3447817 T NONE (NIL) |domain| NIL NIL) (|NoneFunctions1| 3447280 3447314 3447431 "NONE1" 3447552 NIL NONE1 (NIL T) |package| NIL NIL) (|NonLinearFirstOrderODESolver| 3446194 3446277 3446720 "NODE1" 3447173 NIL NODE1 (NIL T T) |package| NIL NIL) (|NonNegativeInteger| 3443751 3444811 3445231 "NNI" 3445826 T NNI (NIL) |domain| NIL NIL) (|NonLinearSolvePackage| 3441112 3441582 3442200 "NLINSOL" 3443215 NIL NLINSOL (NIL T) |package| NIL NIL) (|NumericalIntegrationProblem| 3435011 3436463 3437962 "NIPROB" 3439683 T NIPROB (NIL) |domain| NIL NIL) (|NumberFieldIntegralBasis| 3432909 3433249 3433777 "NFINTBAS" 3434637 NIL NFINTBAS (NIL T T) |package| NIL NIL) (|NewtonInterpolation| 3432381 3432452 3432625 "NEWTON" 3432814 NIL NEWTON (NIL T) |package| NIL NIL) (|NonCommutativeOperatorDivision| 3430150 3430451 3430930 "NCODIV" 3432031 NIL NCODIV (NIL T T) |package| NIL NIL) (|NumericContinuedFraction| 3429614 3429685 3429873 "NCNTFRAC" 3430055 NIL NCNTFRAC (NIL T) |package| NIL NIL) (|NumericComplexEigenPackage| 3426420 3427003 3427762 "NCEP" 3428963 NIL NCEP (NIL T) |package| NIL NIL) (|NonAssociativeRing| 3424706 3425720 3425786 "NASRING" 3425999 T NASRING (NIL) |category| NIL 3426160) (|NonAssociativeRing&| 3424351 3424411 3424597 "NASRING-" 3424602 NIL NASRING- (NIL T) |domain| NIL NIL) (|NonAssociativeRng| 3423042 3423700 3423764 "NARNG" 3423981 T NARNG (NIL) |category| NIL 3424143) (|NonAssociativeRng&| 3422554 3422646 3422881 "NARNG-" 3422886 NIL NARNG- (NIL T) |domain| NIL NIL) (|NAGLinkSupportPackage| 3420454 3420794 3421263 "NAGSP" 3422143 T NAGSP (NIL) |package| NIL NIL) (|NagSpecialFunctionsPackage| 3405132 3407808 3410761 "NAGS" 3417569 T NAGS (NIL) |package| NIL NIL) (|NagLapack| 3402737 3403230 3403796 "NAGF07" 3404600 T NAGF07 (NIL) |package| NIL NIL) (|NagLinearEquationSolvingPackage| 3393411 3395544 3397829 "NAGF04" 3400530 T NAGF04 (NIL) |package| NIL NIL) (|NagEigenPackage| 3381767 3384395 3387179 "NAGF02" 3390673 T NAGF02 (NIL) |package| NIL NIL) (|NagMatrixOperationsPackage| 3373632 3375443 3377391 "NAGF01" 3379887 T NAGF01 (NIL) |package| NIL NIL) (|NagOptimisationPackage| 3363027 3365643 3368378 "NAGE04" 3370957 T NAGE04 (NIL) |package| NIL NIL) (|NagFittingPackage| 3347630 3351322 3355173 "NAGE02" 3359226 T NAGE02 (NIL) |package| NIL NIL) (|NagInterpolationPackage| 3340439 3342087 3343866 "NAGE01" 3345913 T NAGE01 (NIL) |package| NIL NIL) (|NagPartialDifferentialEquationsPackage| 3336487 3337426 3338491 "NAGD03" 3339466 T NAGD03 (NIL) |package| NIL NIL) (|NagOrdinaryDifferentialEquationsPackage| 3323349 3326344 3329508 "NAGD02" 3333417 T NAGD02 (NIL) |package| NIL NIL) (|NagIntegrationPackage| 3313215 3315512 3317946 "NAGD01" 3320973 T NAGD01 (NIL) |package| NIL NIL) (|NagSeriesSummationPackage| 3306682 3308016 3309495 "NAGC06" 3311802 T NAGC06 (NIL) |package| NIL NIL) (|NagRootFindingPackage| 3304200 3304709 3305310 "NAGC05" 3306139 T NAGC05 (NIL) |package| NIL NIL) (|NagPolynomialRootsPackage| 3303094 3303281 3303563 "NAGC02" 3303984 T NAGC02 (NIL) |package| NIL NIL) (|NonAssociativeAlgebra| 3301636 3302374 3302471 "NAALG" 3302632 NIL NAALG (NIL T) |category| NIL 3302754) (|NonAssociativeAlgebra&| 3301299 3301350 3301551 "NAALG-" 3301556 NIL NAALG- (NIL T T) |domain| NIL NIL) (|MyUnivariatePolynomial| 3286665 3299795 3300276 "MYUP" 3300908 NIL MYUP (NIL NIL T) |domain| NIL NIL) (|MyExpression| 3272431 3283958 3284643 "MYEXPR" 3286093 NIL MYEXPR (NIL NIL T) |domain| NIL NIL) (|MultivariateSquareFree| 3261031 3262946 3265135 "MULTSQFR" 3270423 NIL MULTSQFR (NIL T T T T) |package| NIL NIL) (|MultivariateFactorize| 3259622 3259758 3260145 "MULTFACT" 3260855 NIL MULTFACT (NIL T T T T) |package| NIL NIL) (|MultivariateTaylorSeriesCategory| 3248662 3254079 3254207 "MTSCAT" 3256319 NIL MTSCAT (NIL T T) |category| NIL 3257299) (|MergeThing| 3248204 3248276 3248428 "MTHING" 3248566 NIL MTHING (NIL T) |package| NIL NIL) (|MoreSystemCommands| 3247832 3247879 3248003 "MSYSCMD" 3248132 T MSYSCMD (NIL) |package| NIL NIL) (|Multiset| 3242080 3245772 3246309 "MSET" 3247348 NIL MSET (NIL T) |domain| NIL NIL) (|MultisetAggregate| 3237891 3241374 3241459 "MSETAGG" 3241464 NIL MSETAGG (NIL T) |category| |Multiset| 3241523) (|MonoidRing| 3231613 3233746 3234889 "MRING" 3236814 NIL MRING (NIL T T) |domain| NIL NIL) (|MonoidRingFunctions2| 3230923 3231013 3231227 "MRF2" 3231499 NIL MRF2 (NIL T T T) |package| NIL NIL) (|MRationalFactorize| 3230199 3230243 3230529 "MRATFAC" 3230855 NIL MRATFAC (NIL T T T T) |package| NIL NIL) (|MPolyCatRationalFunctionFactorizer| 3225737 3226165 3226945 "MPRFF" 3229717 NIL MPRFF (NIL T T T T) |package| NIL NIL) (|MultivariatePolynomial| 3215884 3225417 3225624 "MPOLY" 3225629 NIL MPOLY (NIL NIL T) |domain| NIL NIL) (|MPolyCatPolyFactorizer| 3214962 3215006 3215393 "MPCPF" 3215816 NIL MPCPF (NIL T T T T) |package| NIL NIL) (|MPolyCatFunctions3| 3214096 3214146 3214478 "MPC3" 3214888 NIL MPC3 (NIL T T T T T T T) |package| NIL NIL) (|MPolyCatFunctions2| 3212703 3212797 3213171 "MPC2" 3213974 NIL MPC2 (NIL T T T T T T T) |package| NIL NIL) (|MonomialExtensionTools| 3210012 3210468 3211081 "MONOTOOL" 3212208 NIL MONOTOOL (NIL T T) |package| NIL NIL) (|Monoid| 3208727 3209162 3209204 "MONOID" 3209628 T MONOID (NIL) |category| NIL 3209910) (|Monoid&| 3207783 3208016 3208392 "MONOID-" 3208397 NIL MONOID- (NIL T) |domain| NIL NIL) (|MonogenicAlgebra| 3193757 3202347 3202478 "MONOGEN" 3203854 NIL MONOGEN (NIL T T) |category| NIL 3204611) (|MonogenicAlgebra&| 3189337 3190354 3192008 "MONOGEN-" 3192257 NIL MONOGEN- (NIL T T T) |domain| NIL NIL) (|MonadWithUnit| 3187518 3188104 3188160 "MONADWU" 3188834 T MONADWU (NIL) |category| NIL 3189239) (|MonadWithUnit&| 3186405 3186670 3187125 "MONADWU-" 3187130 NIL MONADWU- (NIL T) |domain| NIL NIL) (|Monad| 3185438 3185738 3185778 "MONAD" 3186113 T MONAD (NIL) |category| NIL 3186323) (|Monad&| 3184898 3185028 3185252 "MONAD-" 3185257 NIL MONAD- (NIL T) |domain| NIL NIL) (|MoebiusTransform| 3182359 3183181 3183612 "MOEBIUS" 3184530 NIL MOEBIUS (NIL T) |domain| NIL NIL) (|Module| 3181518 3181978 3182045 "MODULE" 3182050 NIL MODULE (NIL T) |category| NIL 3182085) (|Module&| 3180875 3181005 3181297 "MODULE-" 3181302 NIL MODULE- (NIL T T) |domain| NIL NIL) (|ModularRing| 3177463 3178353 3178829 "MODRING" 3180624 NIL MODRING (NIL T T NIL NIL NIL) |domain| NIL NIL) (|ModuleOperator| 3172659 3174251 3175115 "MODOP" 3176682 NIL MODOP (NIL T T) |domain| NIL NIL) (|ModuleMonomial| 3169995 3170522 3171038 "MODMONOM" 3172361 NIL MODMONOM (NIL T T NIL) |domain| NIL NIL) (|ModMonic| 3153318 3166909 3167582 "MODMON" 3169411 NIL MODMON (NIL T T) |domain| NIL NIL) (|ModularField| 3149136 3151522 3151932 "MODFIELD" 3153135 NIL MODFIELD (NIL T T NIL NIL NIL) |domain| NIL NIL) (|MathMLFormat| 3147553 3147923 3148252 "MMLFORM" 3148847 T MMLFORM (NIL) |domain| NIL NIL) (|MultipleMap| 3146640 3146690 3147048 "MMAP" 3147479 NIL MMAP (NIL T T T T T T) |package| NIL NIL) (|MonogenicLinearOperator| 3143756 3144837 3144927 "MLO" 3145744 NIL MLO (NIL T) |category| NIL 3146178) (|MultivariateLifting| 3138895 3139811 3140936 "MLIFT" 3142806 NIL MLIFT (NIL T T T T) |package| NIL NIL) (|MakeUnaryCompiledFunction| 3137806 3137933 3138220 "MKUCFUNC" 3138739 NIL MKUCFUNC (NIL T T T) |package| NIL NIL) (|MakeRecord| 3137253 3137336 3137508 "MKRECORD" 3137698 NIL MKRECORD (NIL T T) |package| NIL NIL) (|MakeFunction| 3135771 3135975 3136335 "MKFUNC" 3136970 NIL MKFUNC (NIL T) |package| NIL NIL) (|MakeFloatCompiledFunction| 3134530 3134716 3135056 "MKFLCFN" 3135534 NIL MKFLCFN (NIL T) |package| NIL NIL) (|MakeCachableSet| 3133716 3134165 3134329 "MKCHSET" 3134433 NIL MKCHSET (NIL T) |domain| NIL NIL) (|MakeBinaryCompiledFunction| 3132473 3132622 3132947 "MKBCFUNC" 3133538 NIL MKBCFUNC (NIL T T T T) |package| NIL NIL) (|MachineInteger| 3127597 3131559 3131861 "MINT" 3132215 T MINT (NIL) |domain| NIL NIL) (|ModularHermitianRowReduction| 3125583 3125918 3126394 "MHROWRED" 3127218 NIL MHROWRED (NIL T) |package| NIL NIL) (|MachineFloat| 3117957 3122604 3123477 "MFLOAT" 3124750 T MFLOAT (NIL) |domain| NIL NIL) (|MultFiniteFactorize| 3116639 3116776 3117131 "MFINFACT" 3117781 NIL MFINFACT (NIL T T T T) |package| NIL NIL) (|MeshCreationRoutinesForThreeDimensions| 3109128 3110818 3112680 "MESH" 3114869 T MESH (NIL) |package| NIL NIL) (|ModularDistinctDegreeFactorizer| 3106420 3106835 3107427 "MDDFACT" 3108664 NIL MDDFACT (NIL T) |package| NIL NIL) (|MultiDictionary| 3101726 3105047 3105128 "MDAGG" 3105591 NIL MDAGG (NIL T) |category| NIL 3105853) (|MachineComplex| 3083558 3100454 3100849 "MCMPLX" 3101375 T MCMPLX (NIL) |domain| NIL NIL) (|MatrixCommonDenominator| 3082022 3082234 3082603 "MCDEN" 3083311 NIL MCDEN (NIL T T) |package| NIL NIL) (|MultiVariableCalculusFunctions| 3077908 3078293 3078999 "MCALCFN" 3081583 NIL MCALCFN (NIL T T T T) |package| NIL NIL) (|StorageEfficientMatrixOperations| 3074093 3074812 3075700 "MATSTOR" 3077114 NIL MATSTOR (NIL T) |package| NIL NIL) (|Matrix| 3068267 3073149 3073517 "MATRIX" 3073767 NIL MATRIX (NIL T) |domain| NIL NIL) (|MatrixLinearAlgebraFunctions| 3060683 3061674 3062833 "MATLIN" 3067316 NIL MATLIN (NIL T T T T) |package| NIL NIL) (|MatrixCategory| 3042899 3047471 3047617 "MATCAT" 3057791 NIL MATCAT (NIL T T T) |category| NIL 3060230) (|MatrixCategory&| 3037075 3038595 3040830 "MATCAT-" 3040835 NIL MATCAT- (NIL T T T T) |domain| NIL NIL) (|MatrixCategoryFunctions2| 3034672 3034859 3035402 "MATCAT2" 3036846 NIL MATCAT2 (NIL T T T T T T T T) |package| NIL NIL) (|MappingPackage4| 3032711 3033088 3033585 "MAPPKG4" 3034256 NIL MAPPKG4 (NIL T T) |package| NIL NIL) (|MappingPackage3| 3029623 3030072 3030679 "MAPPKG3" 3032213 NIL MAPPKG3 (NIL T T T) |package| NIL NIL) (|MappingPackage2| 3027970 3028202 3028561 "MAPPKG2" 3029352 NIL MAPPKG2 (NIL T T) |package| NIL NIL) (|MappingPackage1| 3025471 3025885 3026437 "MAPPKG1" 3027485 NIL MAPPKG1 (NIL T) |package| NIL NIL) (|MappingPackageInternalHacks3| 3024806 3024879 3025111 "MAPHACK3" 3025374 NIL MAPHACK3 (NIL T T T) |package| NIL NIL) (|MappingPackageInternalHacks2| 3024134 3024197 3024405 "MAPHACK2" 3024712 NIL MAPHACK2 (NIL T T) |package| NIL NIL) (|MappingPackageInternalHacks1| 3023068 3023236 3023527 "MAPHACK1" 3023936 NIL MAPHACK1 (NIL T) |package| NIL NIL) (|MatrixManipulation| 3010723 3012146 3014029 "MAMA" 3021363 NIL MAMA (NIL T T T T) |package| NIL NIL) (|Magma| 3007925 3008641 3009128 "MAGMA" 3010282 NIL MAGMA (NIL T) |domain| NIL NIL) (|ModularAlgebraicGcdOperations| 3005083 3005586 3005702 "MAGCDOC" 3007331 NIL MAGCDOC (NIL T T) |category| NIL NIL) (|ThreeDimensionalMatrix| 2999029 3001664 3002584 "M3D" 3004244 NIL M3D (NIL T) |domain| NIL NIL) (|LazyStreamAggregate| 2990293 2996279 2996361 "LZSTAGG" 2997749 NIL LZSTAGG (NIL T) |category| NIL 2998268) (|LazyStreamAggregate&| 2984293 2985892 2988142 "LZSTAGG-" 2988147 NIL LZSTAGG- (NIL T T) |domain| NIL NIL) (|LyndonWord| 2979512 2980575 2981440 "LWORD" 2983484 NIL LWORD (NIL T) |domain| NIL NIL) (|LieSquareMatrix| 2969326 2979071 2979337 "LSQM" 2979342 NIL LSQM (NIL NIL T) |domain| NIL NIL) (|LinearSystemPolynomialPackage| 2968079 2968260 2968659 "LSPP" 2969121 NIL LSPP (NIL T T T T) |package| NIL NIL) (|LinearSystemMatrixPackage| 2964279 2964667 2965423 "LSMP" 2967637 NIL LSMP (NIL T T T T) |package| NIL NIL) (|LinearSystemMatrixPackage1| 2959626 2960497 2961535 "LSMP1" 2963324 NIL LSMP1 (NIL T) |package| NIL NIL) (|ListAggregate| 2950985 2958327 2958397 "LSAGG" 2958492 NIL LSAGG (NIL T) |category| NIL 2958645) (|ListAggregate&| 2946320 2947528 2949297 "LSAGG-" 2949302 NIL LSAGG- (NIL T T) |domain| NIL NIL) (|LiePolynomial| 2942689 2944775 2945219 "LPOLY" 2945963 NIL LPOLY (NIL T T) |domain| NIL NIL) (|LinearPolynomialEquationByFractions| 2941614 2941814 2942165 "LPEFRAC" 2942465 NIL LPEFRAC (NIL T) |package| NIL NIL) (|LocalParametrizationOfSimplePointPackage| 2937020 2937358 2938138 "LPARSPT" 2941213 NIL LPARSPT (NIL T NIL T T T T T) |package| NIL NIL) (|LeftOreRing| 2935501 2936332 2936384 "LORER" 2936535 T LORER (NIL) |category| NIL 2936671) (|LinesOpPack| 2933099 2933564 2934131 "LOP" 2934987 NIL LOP (NIL T) |package| NIL NIL) (|Localize| 2930811 2931748 2932112 "LO" 2932853 NIL LO (NIL T T T) |domain| NIL NIL) (|Logic| 2930375 2930486 2930526 "LOGIC" 2930672 T LOGIC (NIL) |category| NIL 2930788) (|Logic&| 2930192 2930215 2930314 "LOGIC-" 2930319 NIL LOGIC- (NIL T) |domain| NIL NIL) (|LinearOrdinaryDifferentialOperatorsOps| 2928589 2928796 2929201 "LODOOPS" 2929951 NIL LODOOPS (NIL T T) |package| NIL NIL) (|LinearOrdinaryDifferentialOperator| 2924944 2928353 2928531 "LODO" 2928536 NIL LODO (NIL T NIL) |domain| NIL NIL) (|LinearOrdinaryDifferentialOperatorFactorizer| 2921551 2922088 2922919 "LODOF" 2924380 NIL LODOF (NIL T T) |package| NIL NIL) (|LinearOrdinaryDifferentialOperatorCategory| 2916026 2919372 2919500 "LODOCAT" 2920422 NIL LODOCAT (NIL T) |category| NIL 2920778) (|LinearOrdinaryDifferentialOperatorCategory&| 2915542 2915612 2915903 "LODOCAT-" 2915908 NIL LODOCAT- (NIL T T) |domain| NIL NIL) (|LinearOrdinaryDifferentialOperator2| 2911732 2915169 2915453 "LODO2" 2915458 NIL LODO2 (NIL T T) |domain| NIL NIL) (|LinearOrdinaryDifferentialOperator1| 2908091 2911509 2911674 "LODO1" 2911679 NIL LODO1 (NIL T) |domain| NIL NIL) (|ElementaryFunctionLODESolver| 2905957 2906152 2906778 "LODEEF" 2907858 NIL LODEEF (NIL T T T) |package| NIL NIL) (|LocalPowerSeriesCategory| 2894727 2900605 2900698 "LOCPOWC" 2903377 NIL LOCPOWC (NIL T) |category| |NeitherSparseOrDensePowerSeries| 2904347) (|LinearAggregate| 2887714 2891762 2891836 "LNAGG" 2893404 NIL LNAGG (NIL T) |category| NIL 2894101) (|LinearAggregate&| 2886509 2886775 2887288 "LNAGG-" 2887293 NIL LNAGG- (NIL T T) |domain| NIL NIL) (|ListMonoidOps| 2880266 2881301 2882342 "LMOPS" 2885564 NIL LMOPS (NIL T T NIL) |domain| NIL NIL) (|LeftModule| 2879405 2879849 2879912 "LMODULE" 2880001 NIL LMODULE (NIL T) |category| NIL 2880074) (|ListMultiDictionary| 2875315 2878738 2878981 "LMDICT" 2879237 NIL LMDICT (NIL T) |domain| NIL NIL) (|LinearSystemFromPowerSeriesPackage| 2873652 2873874 2874268 "LISYSER" 2875059 NIL LISYSER (NIL T T) |package| NIL NIL) (|List| 2864136 2872089 2872521 "LIST" 2873258 NIL LIST (NIL T) |domain| NIL NIL) (|ListFunctions3| 2863461 2863548 2863745 "LIST3" 2864025 NIL LIST3 (NIL T T T) |package| NIL NIL) (|ListFunctions2| 2862052 2862265 2862584 "LIST2" 2863214 NIL LIST2 (NIL T T) |package| NIL NIL) (|ListToMap| 2859408 2859781 2860322 "LIST2MAP" 2861580 NIL LIST2MAP (NIL T T) |package| NIL NIL) (|LinearlyExplicitRingOver| 2857483 2858382 2858474 "LINEXP" 2858903 NIL LINEXP (NIL T) |category| NIL 2859127) (|LinearDependence| 2855249 2855598 2856087 "LINDEP" 2857105 NIL LINDEP (NIL T T) |package| NIL NIL) (|RationalFunctionLimitPackage| 2849474 2850706 2852110 "LIMITRF" 2853936 NIL LIMITRF (NIL T) |package| NIL NIL) (|PowerSeriesLimitPackage| 2846273 2846738 2847522 "LIMITPS" 2848967 NIL LIMITPS (NIL T T) |package| NIL NIL) (|AssociatedLieAlgebra| 2836791 2845293 2845760 "LIE" 2845923 NIL LIE (NIL T T) |domain| NIL NIL) (|LieAlgebra| 2835454 2835984 2836059 "LIECAT" 2836296 NIL LIECAT (NIL T) |category| NIL 2836495) (|LieAlgebra&| 2835234 2835257 2835397 "LIECAT-" 2835402 NIL LIECAT- (NIL T T) |domain| NIL NIL) (|Library| 2824834 2834290 2834573 "LIB" 2834981 T LIB (NIL) |domain| NIL NIL) (|LinGroebnerPackage| 2815167 2817191 2819394 "LGROBP" 2822727 NIL LGROBP (NIL NIL T) |package| NIL NIL) (|LiouvillianFunction| 2810578 2810976 2811660 "LF" 2814677 NIL LF (NIL T T) |package| NIL NIL) (|LiouvillianFunctionCategory| 2808579 2809359 2809443 "LFCAT" 2810006 T LFCAT (NIL) |category| NIL 2810301) (|LexTriangularPackage| 2801730 2803151 2804743 "LEXTRIPK" 2807087 NIL LEXTRIPK (NIL T NIL) |package| NIL NIL) (|LieExponentials| 2796295 2797456 2798298 "LEXP" 2801049 NIL LEXP (NIL T T NIL) |domain| NIL NIL) (|LeadingCoefDetermination| 2793734 2794171 2794822 "LEADCDET" 2795829 NIL LEADCDET (NIL T T T T) |package| NIL NIL) (|LazardSetSolvingPackage| 2792156 2792259 2792703 "LAZM3PK" 2793602 NIL LAZM3PK (NIL T T T T T T) |package| NIL NIL) (|LaurentPolynomial| 2783930 2788516 2789485 "LAUPOL" 2791304 NIL LAUPOL (NIL T T) |domain| NIL NIL) (|LaplaceTransform| 2783012 2783066 2783456 "LAPLACE" 2783852 NIL LAPLACE (NIL T T) |package| NIL NIL) (|LocalAlgebra| 2780184 2781662 2782020 "LA" 2782781 NIL LA (NIL T T T) |domain| NIL NIL) (|LeftAlgebra| 2778850 2779625 2779691 "LALG" 2779786 NIL LALG (NIL T) |category| NIL 2779877) (|LeftAlgebra&| 2778416 2778491 2778708 "LALG-" 2778713 NIL LALG- (NIL T T) |domain| NIL NIL) (|Kovacic| 2776385 2776693 2777254 "KOVACIC" 2778067 NIL KOVACIC (NIL T T) |package| NIL NIL) (|ConvertibleTo| 2776127 2776155 2776225 "KONVERT" 2776323 NIL KONVERT (NIL T) |category| NIL NIL) (|CoercibleTo| 2775878 2775905 2775971 "KOERCE" 2776066 NIL KOERCE (NIL T) |category| NIL NIL) (|Kernel| 2772309 2773359 2774020 "KERNEL" 2775265 NIL KERNEL (NIL T) |domain| NIL NIL) (|KernelFunctions2| 2771456 2771571 2771803 "KERNEL2" 2772165 NIL KERNEL2 (NIL T T) |package| NIL NIL) (|KeyedDictionary| 2762873 2769074 2769176 "KDAGG" 2769821 NIL KDAGG (NIL T T) |category| NIL 2770107) (|KeyedDictionary&| 2762209 2762359 2762676 "KDAGG-" 2762681 NIL KDAGG- (NIL T T T) |domain| NIL NIL) (|KeyedAccessFile| 2752821 2761631 2761902 "KAFILE" 2762005 NIL KAFILE (NIL T) |domain| NIL NIL) (|AssociatedJordanAlgebra| 2743330 2751832 2752305 "JORDAN" 2752471 NIL JORDAN (NIL T T) |domain| NIL NIL) (|IndexedAggregate| 2737853 2740491 2740588 "IXAGG" 2742210 NIL IXAGG (NIL T T) |category| NIL 2742865) (|IndexedAggregate&| 2736427 2736779 2737374 "IXAGG-" 2737379 NIL IXAGG- (NIL T T T) |domain| NIL NIL) (|IndexedVector| 2730310 2736299 2736397 "IVECTOR" 2736402 NIL IVECTOR (NIL T NIL) |domain| NIL NIL) (|InfiniteTuple| 2728348 2728679 2729118 "ITUPLE" 2729927 NIL ITUPLE (NIL T) |domain| NIL NIL) (|InnerTrigonometricManipulations| 2725303 2725519 2726100 "ITRIGMNP" 2728089 NIL ITRIGMNP (NIL T T T) |package| NIL NIL) (|InfiniteTupleFunctions3| 2723309 2723601 2724047 "ITFUN3" 2724961 NIL ITFUN3 (NIL T T T) |package| NIL NIL) (|InfiniteTupleFunctions2| 2722670 2722756 2722956 "ITFUN2" 2723199 NIL ITFUN2 (NIL T T) |package| NIL NIL) (|InnerTaylorSeries| 2719304 2720765 2721270 "ITAYLOR" 2722229 NIL ITAYLOR (NIL T) |domain| NIL NIL) (|InnerSparseUnivariatePowerSeries| 2701724 2708980 2710839 "ISUPS" 2717539 NIL ISUPS (NIL T) |domain| NIL NIL) (|InnerPolySum| 2700345 2700511 2700874 "ISUMP" 2701521 NIL ISUMP (NIL T T T T) |package| NIL NIL) (|IndexedString| 2692955 2700005 2700149 "ISTRING" 2700260 NIL ISTRING (NIL NIL) |domain| NIL NIL) (|InternalRationalUnivariateRepresentationPackage| 2691353 2691453 2691922 "IRURPK" 2692826 NIL IRURPK (NIL T T T T T) |package| NIL NIL) (|IrrRepSymNatPackage| 2689231 2689592 2690106 "IRSN" 2690893 T IRSN (NIL) |package| NIL NIL) (|IntegrationResultRFToFunction| 2685432 2686052 2686892 "IRRF2F" 2688579 NIL IRRF2F (NIL T) |package| NIL NIL) (|IrredPolyOverFiniteField| 2684809 2684897 2685102 "IRREDFFX" 2685320 NIL IRREDFFX (NIL T) |package| NIL NIL) (|IntegerRoots| 2682269 2682684 2683241 "IROOT" 2684321 NIL IROOT (NIL T) |package| NIL NIL) (|IntegrationResult| 2677177 2678586 2679652 "IR" 2681268 NIL IR (NIL T) |domain| NIL NIL) (|IntegrationResultFunctions2| 2673809 2674440 2675234 "IR2" 2676483 NIL IR2 (NIL T T) |package| NIL NIL) (|IntegrationResultToFunction| 2671803 2671993 2672492 "IR2F" 2673585 NIL IR2F (NIL T T) |package| NIL NIL) (|InternalPrintPackage| 2671452 2671493 2671614 "IPRNTPK" 2671738 T IPRNTPK (NIL) |package| NIL NIL) (|InnerPrimeField| 2666068 2671176 2671347 "IPF" 2671352 NIL IPF (NIL NIL) |domain| NIL NIL) (|InnerPAdicInteger| 2663609 2665917 2666032 "IPADIC" 2666037 NIL IPADIC (NIL NIL NIL) |domain| NIL NIL) (|InverseLaplaceTransform| 2662519 2662599 2663057 "INVLAPLA" 2663505 NIL INVLAPLA (NIL T T) |package| NIL NIL) (|TranscendentalIntegration| 2646984 2650252 2653717 "INTTR" 2659178 NIL INTTR (NIL T T) |package| NIL NIL) (|IntegrationTools| 2641212 2642288 2643555 "INTTOOLS" 2645813 NIL INTTOOLS (NIL T T) |package| NIL NIL) (|IntegerSolveLinearPolynomialEquation| 2640195 2640405 2640727 "INTSLPE" 2640978 T INTSLPE (NIL) |package| NIL NIL) (|Interval| 2637510 2640031 2640163 "INTRVL" 2640168 NIL INTRVL (NIL T) |domain| NIL NIL) (|RationalFunctionIntegration| 2633361 2634177 2635188 "INTRF" 2636655 NIL INTRF (NIL T) |package| NIL NIL) (|IntegerRetractions| 2632357 2632492 2632749 "INTRET" 2633191 NIL INTRET (NIL T) |package| NIL NIL) (|RationalIntegration| 2629091 2629642 2630406 "INTRAT" 2631767 NIL INTRAT (NIL T T) |package| NIL NIL) (|PatternMatchIntegration| 2624259 2625142 2626169 "INTPM" 2628341 NIL INTPM (NIL T T) |package| NIL NIL) (|PureAlgebraicIntegration| 2618793 2619588 2620762 "INTPAF" 2623408 NIL INTPAF (NIL T T T) |package| NIL NIL) (|AnnaNumericalIntegrationPackage| 2610323 2611881 2613740 "INTPACK" 2617012 T INTPACK (NIL) |package| NIL NIL) (|Integer| 2605835 2609788 2610044 "INT" 2610097 T INT (NIL) |domain| NIL NIL) (|TranscendentalHermiteIntegration| 2604637 2604843 2605211 "INTHERTR" 2605605 NIL INTHERTR (NIL T T) |package| NIL NIL) (|AlgebraicHermiteIntegration| 2603625 2603735 2604099 "INTHERAL" 2604503 NIL INTHERAL (NIL T T T T) |package| NIL NIL) (|IntegerNumberTheoryFunctions| 2599608 2600333 2601214 "INTHEORY" 2602816 T INTHEORY (NIL) |package| NIL NIL) (|GenusZeroIntegration| 2584125 2586624 2589547 "INTG0" 2597000 NIL INTG0 (NIL T T T) |package| NIL NIL) (|IntegrationFunctionsTable| 2561415 2566906 2572522 "INTFTBL" 2578575 T INTFTBL (NIL) |domain| NIL NIL) (|InterpolateFormsPackage| 2557704 2558029 2558768 "INTFRSP" 2561051 NIL INTFRSP (NIL T NIL T T T T T T) |package| NIL NIL) (|IntegerFactorizationPackage| 2556331 2556525 2556857 "INTFACT" 2557471 NIL INTFACT (NIL T) |package| NIL NIL) (|InterfaceGroebnerPackage| 2555618 2555669 2555944 "INTERGB" 2556256 NIL INTERGB (NIL T NIL T T T) |package| NIL NIL) (|ElementaryIntegration| 2551170 2551756 2552680 "INTEF" 2554990 NIL INTEF (NIL T T) |package| NIL NIL) (|IntegralDomain| 2548889 2549876 2549934 "INTDOM" 2550421 T INTDOM (NIL) |category| NIL 2550756) (|IntegralDomain&| 2547967 2548198 2548576 "INTDOM-" 2548581 NIL INTDOM- (NIL T) |domain| NIL NIL) (|IntersectionDivisorPackage| 2545370 2545522 2546232 "INTDIVP" 2547786 NIL INTDIVP (NIL T NIL T T T T T T T T T) |package| NIL NIL) (|IntervalCategory| 2539701 2542179 2542314 "INTCAT" 2544022 NIL INTCAT (NIL T) |category| |Interval| 2544568) (|IntegerBits| 2538813 2538970 2539201 "INTBIT" 2539508 T INTBIT (NIL) |package| NIL NIL) (|AlgebraicIntegrate| 2536191 2536431 2537043 "INTALG" 2538542 NIL INTALG (NIL T T T T T) |package| NIL NIL) (|AlgebraicIntegration| 2535074 2535243 2535606 "INTAF" 2535998 NIL INTAF (NIL T T) |package| NIL NIL) (|InnerTable| 2526301 2534717 2534979 "INTABL" 2534984 NIL INTABL (NIL T T T) |domain| NIL NIL) (|IntegerNumberSystem| 2518209 2521964 2522032 "INS" 2523795 T INS (NIL) |category| NIL 2525055) (|IntegerNumberSystem&| 2513764 2514901 2516517 "INS-" 2516678 NIL INS- (NIL T) |domain| NIL NIL) (|InnerPolySign| 2511779 2512104 2512592 "INPSIGN" 2513375 NIL INPSIGN (NIL T T) |package| NIL NIL) (|InfiniteProductPrimeField| 2510024 2510213 2510617 "INPRODPF" 2511551 NIL INPRODPF (NIL T T) |package| NIL NIL) (|InfiniteProductFiniteField| 2507764 2507953 2508438 "INPRODFF" 2509796 NIL INPRODFF (NIL T T T T) |package| NIL NIL) (|InnerMultFact| 2505580 2505911 2506476 "INNMFACT" 2507394 NIL INNMFACT (NIL T T T T) |package| NIL NIL) (|InnerModularGcd| 2504146 2504276 2504614 "INMODGCD" 2505416 NIL INMODGCD (NIL T T NIL NIL) |package| NIL NIL) (|InnerNumericFloatSolvePackage| 2501630 2501979 2502531 "INFSP" 2503742 NIL INFSP (NIL T T T) |package| NIL NIL) (|InfiniteProductCharacteristicZero| 2499863 2500052 2500463 "INFPROD0" 2501402 NIL INFPROD0 (NIL T T) |package| NIL NIL) (|InputForm| 2495381 2496861 2497675 "INFORM" 2499070 T INFORM (NIL) |domain| NIL NIL) (|InputFormFunctions1| 2494688 2494779 2494967 "INFORM1" 2495261 NIL INFORM1 (NIL T) |package| NIL NIL) (|Infinity| 2493733 2493907 2494148 "INFINITY" 2494479 T INFINITY (NIL) |package| NIL NIL) (|InfinitlyClosePoint| 2489629 2491153 2491788 "INFCLSPT" 2493495 NIL INFCLSPT (NIL T NIL T T T T T T T) |domain| NIL NIL) (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| 2484498 2487302 2488173 "INFCLSPS" 2488974 NIL INFCLSPS (NIL T NIL T) |domain| NIL NIL) (|InfinitlyClosePointCategory| 2469610 2471026 2471462 "INFCLCT" 2482965 NIL INFCLCT (NIL T NIL T T T T T T T) |category| NIL 2484384) (|InnerNumericEigenPackage| 2467184 2467587 2468158 "INEP" 2469173 NIL INEP (NIL T T T) |package| NIL NIL) (|IndexedExponents| 2466098 2466913 2467080 "INDE" 2467085 NIL INDE (NIL T) |domain| NIL NIL) (|IncrementingMaps| 2465328 2465424 2465643 "INCRMAPS" 2465973 NIL INCRMAPS (NIL T) |package| NIL NIL) (|InnerNormalBasisFieldFunctions| 2457033 2458399 2459989 "INBFF" 2463843 NIL INBFF (NIL T) |package| NIL NIL) (|IndexedMatrix| 2451843 2456776 2456947 "IMATRIX" 2456952 NIL IMATRIX (NIL T NIL NIL) |domain| NIL NIL) (|InnerMatrixQuotientFieldFunctions| 2449375 2449542 2450123 "IMATQF" 2451626 NIL IMATQF (NIL T T T T T T T T) |package| NIL NIL) (|InnerMatrixLinearAlgebraFunctions| 2446015 2446346 2446955 "IMATLIN" 2448974 NIL IMATLIN (NIL T T T T) |package| NIL NIL) (|IndexedList| 2438492 2445893 2445986 "ILIST" 2445991 NIL ILIST (NIL T NIL) |domain| NIL NIL) (|InnerIndexedTwoDimensionalArray| 2435549 2438193 2438439 "IIARRAY2" 2438444 NIL IIARRAY2 (NIL T NIL NIL T T) |domain| NIL NIL) (|InnerFiniteField| 2428015 2435326 2435484 "IFF" 2435489 NIL IFF (NIL NIL NIL) |domain| NIL NIL) (|IndexedFlexibleArray| 2420698 2426660 2427051 "IFARRAY" 2427711 NIL IFARRAY (NIL T NIL) |domain| NIL NIL) (|InnerFreeAbelianMonoid| 2419583 2420485 2420652 "IFAMON" 2420657 NIL IFAMON (NIL T T NIL) |domain| NIL NIL) (|InnerEvalable| 2418971 2419041 2419132 "IEVALAB" 2419461 NIL IEVALAB (NIL T T) |category| NIL NIL) (|InnerEvalable&| 2418539 2418612 2418845 "IEVALAB-" 2418850 NIL IEVALAB- (NIL T T T) |domain| NIL NIL) (|IndexedDirectProductObject| 2418008 2418337 2418490 "IDPO" 2418495 NIL IDPO (NIL T T) |domain| NIL NIL) (|IndexedDirectProductOrderedAbelianMonoidSup| 2416944 2417686 2417922 "IDPOAMS" 2417927 NIL IDPOAMS (NIL T T) |domain| NIL NIL) (|IndexedDirectProductOrderedAbelianMonoid| 2415967 2416637 2416861 "IDPOAM" 2416866 NIL IDPOAM (NIL T T) |domain| NIL NIL) (|IndexedDirectProductCategory| 2414367 2414690 2414817 "IDPC" 2415641 NIL IDPC (NIL T T) |category| NIL 2415885) (|IndexedDirectProductAbelianMonoid| 2413590 2414095 2414291 "IDPAM" 2414296 NIL IDPAM (NIL T T) |domain| NIL NIL) (|IndexedDirectProductAbelianGroup| 2412709 2413323 2413515 "IDPAG" 2413520 NIL IDPAG (NIL T T) |domain| NIL NIL) (|IdealDecompositionPackage| 2404247 2406174 2408263 "IDECOMP" 2410739 NIL IDECOMP (NIL NIL NIL) |package| NIL NIL) (|PolynomialIdeals| 2392157 2393502 2395111 "IDEAL" 2402797 NIL IDEAL (NIL T T T T) |domain| NIL NIL) (|InfClsPt| 2388717 2390610 2391130 "ICP" 2391739 NIL ICP (NIL T NIL T) |domain| NIL NIL) (|InnerCommonDenominator| 2387109 2387267 2387651 "ICDEN" 2388525 NIL ICDEN (NIL T T T T) |package| NIL NIL) (|IndexCard| 2385865 2386305 2386538 "ICARD" 2386910 T ICARD (NIL) |domain| NIL NIL) (|IntegralBasisPolynomialTools| 2382015 2382574 2383381 "IBPTOOLS" 2385244 NIL IBPTOOLS (NIL T T T T) |package| NIL NIL) (|IndexedBits| 2375550 2381450 2381627 "IBITS" 2381893 NIL IBITS (NIL NIL) |domain| NIL NIL) (|IntegralBasisTools| 2370037 2370840 2371942 "IBATOOL" 2374674 NIL IBATOOL (NIL T T T) |package| NIL NIL) (|ChineseRemainderToolsForIntegralBases| 2366272 2366959 2367885 "IBACHIN" 2369316 NIL IBACHIN (NIL T T T) |package| NIL NIL) (|IndexedTwoDimensionalArray| 2363109 2365911 2366147 "IARRAY2" 2366152 NIL IARRAY2 (NIL T NIL NIL) |domain| NIL NIL) (|IndexedOneDimensionalArray| 2357644 2362927 2363065 "IARRAY1" 2363070 NIL IARRAY1 (NIL T NIL) |domain| NIL NIL) (|InnerAlgebraicNumber| 2347909 2354357 2355371 "IAN" 2356686 T IAN (NIL) |domain| NIL NIL) (|InnerAlgFactor| 2347018 2347097 2347423 "IALGFACT" 2347806 NIL IALGFACT (NIL T T T T) |package| NIL NIL) (|HyperbolicFunctionCategory| 2346220 2346339 2346421 "HYPCAT" 2346838 T HYPCAT (NIL) |category| NIL NIL) (|HyperbolicFunctionCategory&| 2345572 2345695 2346008 "HYPCAT-" 2346013 NIL HYPCAT- (NIL T) |domain| NIL NIL) (|HTMLFormat| 2344003 2344373 2344698 "HTMLFORM" 2345283 T HTMLFORM (NIL) |domain| NIL NIL) (|HomogeneousAggregate| 2339038 2340916 2341000 "HOAGG" 2342737 NIL HOAGG (NIL T) |category| NIL 2343639) (|HomogeneousAggregate&| 2336955 2337498 2338319 "HOAGG-" 2338324 NIL HOAGG- (NIL T T) |domain| NIL NIL) (|HexadecimalExpansion| 2327114 2335920 2336244 "HEXADEC" 2336687 T HEXADEC (NIL) |domain| NIL NIL) (|HeuGcd| 2325117 2325400 2325810 "HEUGCD" 2326782 NIL HEUGCD (NIL T) |package| NIL NIL) (|HyperellipticFiniteDivisor| 2323869 2324790 2325065 "HELLFDIV" 2325070 NIL HELLFDIV (NIL T T T T) |domain| NIL NIL) (|Heap| 2314195 2316314 2317976 "HEAP" 2322251 NIL HEAP (NIL T) |domain| NIL NIL) (|HomogeneousDirectProduct| 2305509 2313991 2314153 "HDP" 2314158 NIL HDP (NIL NIL T) |domain| NIL NIL) (|HomogeneousDistributedMultivariatePolynomial| 2295095 2304764 2305106 "HDMP" 2305310 NIL HDMP (NIL NIL T) |domain| NIL NIL) (|HallBasis| 2293910 2294147 2294453 "HB" 2294823 T HB (NIL) |package| NIL NIL) (|HashTable| 2285224 2293633 2293815 "HASHTBL" 2293820 NIL HASHTBL (NIL T T NIL) |domain| NIL NIL) (|Pi| 2281835 2284487 2284845 "HACKPI" 2284886 T HACKPI (NIL) |domain| NIL NIL) (|GuessUnivariatePolynomial| 2249639 2256421 2263700 "GUESSUP" 2274638 NIL GUESSUP (NIL NIL) |package| NIL NIL) (|GuessPolynomial| 2194921 2208040 2220806 "GUESSP" 2236919 T GUESSP (NIL) |package| NIL NIL) (|Guess| 2135625 2144701 2154282 "GUESS" 2185902 NIL GUESS (NIL T T T T NIL NIL) |package| NIL NIL) (|GuessInteger| 2086172 2097911 2109471 "GUESSINT" 2124105 T GUESSINT (NIL) |package| NIL NIL) (|GuessFinite| 2040634 2050448 2060695 "GUESSF" 2076031 NIL GUESSF (NIL T) |package| NIL NIL) (|GuessFiniteFunctions| 2040108 2040160 2040360 "GUESSF1" 2040558 NIL GUESSF1 (NIL T) |package| NIL NIL) (|GuessAlgebraicNumber| 1992007 2003081 2014478 "GUESSAN" 2028767 T GUESSAN (NIL) |package| NIL NIL) (|GeneralTriangularSet| 1985851 1991723 1991955 "GTSET" 1991960 NIL GTSET (NIL T T T T) |domain| NIL NIL) (|GeneralSparseTable| 1977236 1985648 1985816 "GSTBL" 1985821 NIL GSTBL (NIL T T T NIL) |domain| NIL NIL) (|GeneralUnivariatePowerSeries| 1966041 1975585 1976045 "GSERIES" 1976888 NIL GSERIES (NIL T NIL NIL) |domain| NIL NIL) (|Group| 1964698 1965270 1965310 "GROUP" 1965680 T GROUP (NIL) |category| NIL 1965922) (|Group&| 1963437 1963740 1964238 "GROUP-" 1964243 NIL GROUP- (NIL T) |domain| NIL NIL) (|GroebnerSolve| 1960221 1960860 1961638 "GROEBSOL" 1962764 NIL GROEBSOL (NIL NIL T T) |package| NIL NIL) (|GradedModule| 1958544 1958832 1958934 "GRMOD" 1959910 NIL GRMOD (NIL T T) |category| NIL 1960139) (|GradedModule&| 1958229 1958261 1958461 "GRMOD-" 1958466 NIL GRMOD- (NIL T T T) |domain| NIL NIL) (|GraphImage| 1950722 1952219 1953883 "GRIMAGE" 1956601 T GRIMAGE (NIL) |domain| NIL NIL) (|GraphicsDefaults| 1947939 1948341 1948971 "GRDEF" 1950140 T GRDEF (NIL) |package| NIL NIL) (|GrayCode| 1946946 1947144 1947403 "GRAY" 1947712 T GRAY (NIL) |package| NIL NIL) (|Graphviz| 1945429 1945699 1946047 "GRAPHVIZ" 1946630 T GRAPHVIZ (NIL) |package| NIL NIL) (|GradedAlgebra| 1944316 1944744 1944848 "GRALG" 1945137 NIL GRALG (NIL T T) |category| NIL 1945285) (|GradedAlgebra&| 1943844 1943918 1944177 "GRALG-" 1944182 NIL GRALG- (NIL T T T) |domain| NIL NIL) (|GeneralPolynomialSet| 1939087 1943037 1943389 "GPOLSET" 1943667 NIL GPOLSET (NIL T T T T) |domain| NIL NIL) (|GeneralPackageForAlgebraicFunctionField| 1904370 1906572 1909373 "GPAFF" 1936841 NIL GPAFF (NIL T NIL T T T T T T T T T) |package| NIL NIL) (|GosperSummationMethod| 1903242 1903321 1903777 "GOSPER" 1904267 NIL GOSPER (NIL T T T T T) |package| NIL NIL) (|GuessOption| 1897179 1898426 1899700 "GOPT" 1902006 T GOPT (NIL) |domain| NIL NIL) (|GuessOptionFunctions0| 1889112 1890743 1892415 "GOPT0" 1895565 T GOPT0 (NIL) |domain| NIL NIL) (|GeneralModulePolynomial| 1881959 1882817 1883694 "GMODPOL" 1888632 NIL GMODPOL (NIL NIL T T T NIL T) |domain| NIL NIL) (|GeneralHenselPackage| 1880284 1880532 1880938 "GHENSEL" 1881677 NIL GHENSEL (NIL T T) |package| NIL NIL) (|GenerateUnivariatePowerSeries| 1868788 1870144 1871995 "GENUPS" 1878727 NIL GENUPS (NIL T T) |package| NIL NIL) (|GenUFactorize| 1868136 1868242 1868439 "GENUFACT" 1868658 NIL GENUFACT (NIL T) |package| NIL NIL) (|GeneralPolynomialGcdPackage| 1866788 1866948 1867344 "GENPGCD" 1867947 NIL GENPGCD (NIL T T T T) |package| NIL NIL) (|GeneralizedMultivariateFactorize| 1865804 1865848 1866263 "GENMFACT" 1866720 NIL GENMFACT (NIL T T T T T) |package| NIL NIL) (|GenExEuclid| 1863419 1863768 1864267 "GENEEZ" 1865411 NIL GENEEZ (NIL T T) |package| NIL NIL) (|GnuDraw| 1861005 1861450 1862000 "GDRAW" 1862899 T GDRAW (NIL) |package| NIL NIL) (|GeneralDistributedMultivariatePolynomial| 1851013 1860244 1860585 "GDMP" 1860864 NIL GDMP (NIL NIL T T) |domain| NIL NIL) (|GenericNonAssociativeAlgebra| 1832267 1839350 1841428 "GCNAALG" 1849114 NIL GCNAALG (NIL T NIL NIL NIL) |domain| NIL NIL) (|GcdDomain| 1829766 1831045 1831093 "GCDDOM" 1831494 T GCDDOM (NIL) |category| NIL 1831806) (|GcdDomain&| 1828584 1828880 1829348 "GCDDOM-" 1829353 NIL GCDDOM- (NIL T) |domain| NIL NIL) (|GroebnerPackage| 1826425 1826648 1827113 "GB" 1828280 NIL GB (NIL T T T T) |package| NIL NIL) (|GroebnerInternalPackage| 1808873 1811903 1815249 "GBINTERN" 1823256 NIL GBINTERN (NIL T T T T) |package| NIL NIL) (|GroebnerFactorizationPackage| 1804949 1805326 1806067 "GBF" 1808357 NIL GBF (NIL T T T T) |package| NIL NIL) (|EuclideanGroebnerBasisPackage| 1802679 1802897 1803393 "GBEUCLID" 1804648 NIL GBEUCLID (NIL T T T T) |package| NIL NIL) (|GaussianFactorizationPackage| 1801502 1801693 1801990 "GAUSSFAC" 1802454 T GAUSSFAC (NIL) |package| NIL NIL) (|GaloisGroupUtilities| 1798140 1798734 1799416 "GALUTIL" 1800890 NIL GALUTIL (NIL T) |package| NIL NIL) (|GaloisGroupPolynomialUtilities| 1794958 1795372 1795978 "GALPOLYU" 1797667 NIL GALPOLYU (NIL T T) |package| NIL NIL) (|GaloisGroupFactorizationUtilities| 1789393 1789810 1790617 "GALFACTU" 1794427 NIL GALFACTU (NIL T T T) |package| NIL NIL) (|GaloisGroupFactorizer| 1773643 1776191 1779250 "GALFACT" 1786442 NIL GALFACT (NIL T) |package| NIL NIL) (|FortranVectorFunctionCategory| 1769114 1770088 1770176 "FVFUN" 1772344 T FVFUN (NIL) |category| NIL 1773555) (|FortranVectorCategory| 1767868 1768132 1768204 "FVC" 1768714 T FVC (NIL) |category| NIL 1769026) (|FunctionCalled| 1767348 1767537 1767677 "FUNCTION" 1767788 NIL FUNCTION (NIL NIL) |domain| NIL NIL) (|FortranType| 1763416 1764236 1765108 "FT" 1766514 T FT (NIL) |domain| NIL NIL) (|FortranTemplate| 1761409 1762099 1762499 "FTEM" 1763062 T FTEM (NIL) |domain| NIL NIL) (|FunctionSpaceUnivariatePolynomialFactor| 1757919 1758433 1759245 "FSUPFACT" 1760840 NIL FSUPFACT (NIL T T T) |package| NIL NIL) (|FortranScalarType| 1755293 1755685 1756254 "FST" 1757400 T FST (NIL) |domain| NIL NIL) (|FunctionSpaceReduce| 1753745 1753912 1754287 "FSRED" 1755078 NIL FSRED (NIL T T) |package| NIL NIL) (|FunctionSpacePrimitiveElement| 1751323 1751745 1752406 "FSPRMELT" 1753257 NIL FSPRMELT (NIL T T) |package| NIL NIL) (|FunctionalSpecialFunction| 1743489 1744345 1745497 "FSPECF" 1750313 NIL FSPECF (NIL T T) |package| NIL NIL) (|FunctionSpace| 1715746 1727946 1728022 "FS" 1734799 NIL FS (NIL T) |category| NIL 1738507) (|FunctionSpace&| 1698908 1703083 1709176 "FS-" 1709745 NIL FS- (NIL T T) |domain| NIL NIL) (|FunctionSpaceIntegration| 1697880 1697950 1698371 "FSINT" 1698815 NIL FSINT (NIL T T) |package| NIL NIL) (|FourierSeries| 1695251 1696166 1696655 "FSERIES" 1697550 NIL FSERIES (NIL T T) |domain| NIL NIL) (|FunctionSpaceComplexIntegration| 1693040 1693237 1693780 "FSCINT" 1695020 NIL FSCINT (NIL T T) |package| NIL NIL) (|FiniteSetAggregate| 1687427 1691272 1691359 "FSAGG" 1692057 NIL FSAGG (NIL T) |category| NIL 1692453) (|FiniteSetAggregate&| 1684061 1684862 1686104 "FSAGG-" 1686293 NIL FSAGG- (NIL T T) |domain| NIL NIL) (|FiniteSetAggregateFunctions2| 1682453 1682621 1683003 "FSAGG2" 1683859 NIL FSAGG2 (NIL T T T T) |package| NIL NIL) (|FunctionSpaceToUnivariatePowerSeries| 1678233 1678582 1679586 "FS2UPS" 1682071 NIL FS2UPS (NIL T T T T T NIL) |package| NIL NIL) (|FunctionSpaceFunctions2| 1677540 1677590 1677858 "FS2" 1678159 NIL FS2 (NIL T T T T) |package| NIL NIL) (|FunctionSpaceToExponentialExpansion| 1675540 1675762 1676339 "FS2EXPXP" 1677290 NIL FS2EXPXP (NIL T T NIL NIL) |package| NIL NIL) (|FactoredFunctionUtilities| 1674528 1674698 1674987 "FRUTIL" 1675341 NIL FRUTIL (NIL T) |package| NIL NIL) (|Factored| 1661445 1667318 1669420 "FR" 1672482 NIL FR (NIL T) |domain| NIL NIL) (|FramedNonAssociativeAlgebra| 1652943 1656898 1657007 "FRNAALG" 1659935 NIL FRNAALG (NIL T) |category| NIL 1661021) (|FramedNonAssociativeAlgebra&| 1645438 1646961 1649151 "FRNAALG-" 1650892 NIL FRNAALG- (NIL T T) |domain| NIL NIL) (|FramedNonAssociativeAlgebraFunctions2| 1644699 1644749 1645047 "FRNAAF2" 1645364 NIL FRNAAF2 (NIL T T T T) |package| NIL NIL) (|FramedModule| 1642074 1642702 1643167 "FRMOD" 1644432 NIL FRMOD (NIL T T T T NIL) |domain| NIL NIL) (|FractionalIdeal| 1638223 1639057 1639587 "FRIDEAL" 1641759 NIL FRIDEAL (NIL T T T T) |domain| NIL NIL) (|FractionalIdealFunctions2| 1636745 1636865 1637413 "FRIDEAL2" 1638079 NIL FRIDEAL2 (NIL T T T T T T T T) |package| NIL NIL) (|FullyRetractableTo| 1635570 1636171 1636251 "FRETRCT" 1636256 NIL FRETRCT (NIL T) |category| NIL 1636541) (|FullyRetractableTo&| 1634200 1634510 1635088 "FRETRCT-" 1635093 NIL FRETRCT- (NIL T T) |domain| NIL NIL) (|FramedAlgebra| 1629657 1631269 1631394 "FRAMALG" 1633157 NIL FRAMALG (NIL T T) |category| NIL 1633630) (|FramedAlgebra&| 1626671 1627282 1628317 "FRAMALG-" 1628767 NIL FRAMALG- (NIL T T T) |domain| NIL NIL) (|Fraction| 1617523 1625880 1626301 "FRAC" 1626306 NIL FRAC (NIL T) |domain| NIL NIL) (|FractionFunctions2| 1616899 1616975 1617175 "FRAC2" 1617423 NIL FRAC2 (NIL T T) |package| NIL NIL) (|FactoredFunctions2| 1616275 1616351 1616551 "FR2" 1616799 NIL FR2 (NIL T T) |package| NIL NIL) (|FloatingPointSystem| 1607404 1611670 1611738 "FPS" 1613851 T FPS (NIL) |category| NIL 1614887) (|FloatingPointSystem&| 1606335 1606521 1606855 "FPS-" 1607155 NIL FPS- (NIL T) |domain| NIL NIL) (|FieldOfPrimeCharacteristic| 1602134 1604583 1604665 "FPC" 1605143 T FPC (NIL) |category| NIL 1605443) (|FieldOfPrimeCharacteristic&| 1601704 1601771 1602003 "FPC-" 1602008 NIL FPC- (NIL T) |domain| NIL NIL) (|FullyPatternMatchable| 1599895 1600843 1600929 "FPATMAB" 1600934 NIL FPATMAB (NIL T) |category| NIL 1601186) (|FullPartialFractionExpansion| 1595759 1596411 1597171 "FPARFRAC" 1599297 NIL FPARFRAC (NIL T T) |domain| NIL NIL) (|FortranProgram| 1588299 1589098 1590288 "FORTRAN" 1594744 NIL FORTRAN (NIL NIL NIL NIL NIL) |domain| NIL NIL) (|FortranPackage| 1584854 1585552 1586375 "FORT" 1587520 T FORT (NIL) |package| NIL NIL) (|FortranFunctionCategory| 1580823 1581665 1581741 "FORTFN" 1583687 T FORTFN (NIL) |category| NIL 1584766) (|FortranProgramCategory| 1580397 1580471 1580545 "FORTCAT" 1580655 T FORTCAT (NIL) |category| NIL 1580768) (|ScriptFormulaFormat| 1577356 1577990 1578639 "FORMULA" 1579802 T FORMULA (NIL) |domain| NIL NIL) (|ScriptFormulaFormat1| 1576932 1576982 1577133 "FORMULA1" 1577282 NIL FORMULA1 (NIL T) |package| NIL NIL) (|FindOrderFinite| 1576030 1576111 1576442 "FORDER" 1576827 NIL FORDER (NIL T T T T) |package| NIL NIL) (|FortranOutputStackPackage| 1574201 1574484 1574909 "FOP" 1575671 T FOP (NIL) |package| NIL NIL) (|FreeNilpotentLie| 1571817 1572747 1573128 "FNLA" 1573949 NIL FNLA (NIL NIL NIL T) |domain| NIL NIL) (|FileNameCategory| 1569741 1570242 1570304 "FNCAT" 1571272 T FNCAT (NIL) |category| |FileName| 1571735) (|FileName| 1569155 1569660 1569714 "FNAME" 1569719 T FNAME (NIL) |domain| NIL NIL) (|FortranMachineTypeCategory| 1567248 1568498 1568580 "FMTC" 1568585 T FMTC (NIL) |category| NIL 1568659) (|FreeMonoid| 1561713 1563282 1564265 "FMONOID" 1566322 NIL FMONOID (NIL T) |domain| NIL NIL) (|FreeModule| 1560642 1561290 1561534 "FM" 1561539 NIL FM (NIL T T) |domain| NIL NIL) (|FortranMatrixFunctionCategory| 1556113 1557087 1557175 "FMFUN" 1559343 T FMFUN (NIL) |category| NIL 1560554) (|FortranMatrixCategory| 1554867 1555131 1555203 "FMC" 1555713 T FMC (NIL) |category| NIL 1556025) (|FreeModuleCat| 1550546 1551619 1551710 "FMCAT" 1553750 NIL FMCAT (NIL T T) |category| NIL 1554515) (|FreeModule1| 1549065 1550177 1550335 "FM1" 1550460 NIL FM1 (NIL T T) |domain| NIL NIL) (|FloatingRealPackage| 1545378 1546013 1546835 "FLOATRP" 1548337 NIL FLOATRP (NIL T) |package| NIL NIL) (|Float| 1535307 1541197 1542420 "FLOAT" 1544181 T FLOAT (NIL) |domain| NIL NIL) (|FloatingComplexPackage| 1530908 1531697 1532703 "FLOATCP" 1534401 NIL FLOATCP (NIL T) |package| NIL NIL) (|FullyLinearlyExplicitRingOver| 1529031 1530195 1530297 "FLINEXP" 1530302 NIL FLINEXP (NIL T) |category| NIL 1530492) (|FullyLinearlyExplicitRingOver&| 1527728 1528044 1528602 "FLINEXP-" 1528607 NIL FLINEXP- (NIL T T) |domain| NIL NIL) (|FiniteLinearAggregateSort| 1526089 1526286 1526694 "FLASORT" 1527497 NIL FLASORT (NIL T T) |package| NIL NIL) (|FreeLieAlgebra| 1521487 1522603 1522706 "FLALG" 1525003 NIL FLALG (NIL T T) |category| |LiePolynomial| 1525767) (|FiniteLinearAggregate| 1512176 1517386 1517472 "FLAGG" 1519708 NIL FLAGG (NIL T) |category| NIL 1520688) (|FiniteLinearAggregate&| 1510314 1510761 1511521 "FLAGG-" 1511526 NIL FLAGG- (NIL T T) |domain| NIL NIL) (|FiniteLinearAggregateFunctions2| 1508723 1508891 1509271 "FLAGG2" 1510112 NIL FLAGG2 (NIL T T T T) |package| NIL NIL) (|FiniteRankAlgebra| 1503561 1504935 1505068 "FINRALG" 1507364 NIL FINRALG (NIL T T) |category| NIL 1508191) (|FiniteRankAlgebra&| 1502259 1502577 1503145 "FINRALG-" 1503150 NIL FINRALG- (NIL T T T) |domain| NIL NIL) (|Finite| 1501156 1501482 1501524 "FINITE" 1501936 T FINITE (NIL) |category| NIL 1502177) (|Finite&| 1500872 1500927 1501062 "FINITE-" 1501067 NIL FINITE- (NIL T) |domain| NIL NIL) (|FiniteRankNonAssociativeAlgebra| 1486600 1489907 1490024 "FINAALG" 1497873 NIL FINAALG (NIL T) |category| NIL 1500495) (|FiniteRankNonAssociativeAlgebra&| 1477428 1479157 1481325 "FINAALG-" 1484583 NIL FINAALG- (NIL T T) |domain| NIL NIL) (|File| 1476566 1477040 1477203 "FILE" 1477310 NIL FILE (NIL T) |domain| NIL NIL) (|FileCategory| 1474302 1474698 1474794 "FILECAT" 1476138 NIL FILECAT (NIL T T) |category| NIL 1476484) (|Field| 1470976 1473185 1473225 "FIELD" 1473274 T FIELD (NIL) |category| NIL 1473458) (|Field&| 1469035 1469544 1470279 "FIELD-" 1470284 NIL FIELD- (NIL T) |domain| NIL NIL) (|FreeGroup| 1465791 1466847 1467394 "FGROUP" 1468543 NIL FGROUP (NIL T) |domain| NIL NIL) (|FGLMIfCanPackage| 1464291 1464539 1464913 "FGLMICPK" 1465509 NIL FGLMICPK (NIL T NIL) |package| NIL NIL) (|FiniteFieldExtension| 1458005 1464096 1464246 "FFX" 1464251 NIL FFX (NIL T NIL) |domain| NIL NIL) (|FiniteFieldSquareFreeDecomposition| 1457111 1457193 1457460 "FFSQFR" 1457894 NIL FFSQFR (NIL T T) |package| NIL NIL) (|FiniteFieldSolveLinearPolynomialEquation| 1456249 1456345 1456676 "FFSLPE" 1456991 NIL FFSLPE (NIL T T T) |package| NIL NIL) (|FiniteFieldPolynomialPackage| 1446643 1448443 1450461 "FFPOLY" 1454332 NIL FFPOLY (NIL T) |package| NIL NIL) (|FiniteFieldPolynomialPackage2| 1445584 1445661 1446106 "FFPOLY2" 1446542 NIL FFPOLY2 (NIL T T) |package| NIL NIL) (|FiniteFieldExtensionByPolynomial| 1439284 1445349 1445539 "FFP" 1445544 NIL FFP (NIL T NIL) |domain| NIL NIL) (|FiniteField| 1432075 1439081 1439224 "FF" 1439229 NIL FF (NIL NIL NIL) |domain| NIL NIL) (|FiniteFieldNormalBasisExtension| 1424329 1430643 1431080 "FFNBX" 1431770 NIL FFNBX (NIL T NIL) |domain| NIL NIL) (|FiniteFieldNormalBasisExtensionByPolynomial| 1416202 1422494 1423063 "FFNBP" 1424024 NIL FFNBP (NIL T NIL) |domain| NIL NIL) (|FiniteFieldNormalBasis| 1407464 1414723 1415183 "FFNB" 1415852 NIL FFNB (NIL NIL NIL) |domain| NIL NIL) (|FunctionFieldIntegralBasis| 1405586 1405841 1406367 "FFINTBAS" 1407180 NIL FFINTBAS (NIL T T T) |package| NIL NIL) (|FiniteFieldCategory| 1399259 1402598 1402666 "FFIELDC" 1403857 T FFIELDC (NIL) |category| NIL 1404591) (|FiniteFieldCategory&| 1396824 1397461 1398400 "FFIELDC-" 1398405 NIL FFIELDC- (NIL T) |domain| NIL NIL) (|FiniteFieldHomomorphisms| 1395948 1395996 1396265 "FFHOM" 1396736 NIL FFHOM (NIL T T T) |package| NIL NIL) (|FiniteFieldFunctions| 1391520 1392396 1393406 "FFF" 1395023 NIL FFF (NIL T) |package| NIL NIL) (|FractionFreeFastGaussian| 1382761 1384235 1385995 "FFFG" 1389926 NIL FFFG (NIL T T) |package| NIL NIL) (|FractionFreeFastGaussianFractions| 1380002 1380423 1381162 "FFFGF" 1382286 NIL FFFGF (NIL T T T) |package| NIL NIL) (|FiniteFieldFactorizationWithSizeParseBySideEffect| 1377315 1377624 1378168 "FFFACTSE" 1379644 NIL FFFACTSE (NIL T T) |package| NIL NIL) (|FiniteFieldFactorization| 1374828 1375137 1375631 "FFFACTOR" 1376957 NIL FFFACTOR (NIL T T) |package| NIL NIL) (|FiniteFieldCyclicGroupExtension| 1368050 1374203 1374471 "FFCGX" 1374692 NIL FFCGX (NIL T NIL) |domain| NIL NIL) (|FiniteFieldCyclicGroupExtensionByPolynomial| 1361230 1367359 1367667 "FFCGP" 1367914 NIL FFCGP (NIL T NIL) |domain| NIL NIL) (|FiniteFieldCyclicGroup| 1353546 1360614 1360875 "FFCG" 1361079 NIL FFCG (NIL NIL NIL) |domain| NIL NIL) (|FunctionFieldCategory| 1321636 1335258 1335466 "FFCAT" 1347014 NIL FFCAT (NIL T T T) |category| NIL 1349518) (|FunctionFieldCategory&| 1313118 1314649 1316887 "FFCAT-" 1319638 NIL FFCAT- (NIL T T T T) |domain| NIL NIL) (|FunctionFieldCategoryFunctions2| 1311894 1311944 1312456 "FFCAT2" 1313044 NIL FFCAT2 (NIL T T T T T T T T) |package| NIL NIL) (|FortranExpression| 1294775 1299911 1301901 "FEXPR" 1310040 NIL FEXPR (NIL NIL NIL T) |domain| NIL NIL) (|FullyEvalableOver| 1293418 1293946 1294031 "FEVALAB" 1294173 NIL FEVALAB (NIL T) |category| NIL 1294529) (|FullyEvalableOver&| 1292319 1292558 1293038 "FEVALAB-" 1293043 NIL FEVALAB- (NIL T T) |domain| NIL NIL) (|FiniteDivisor| 1290157 1291156 1291526 "FDIV" 1292151 NIL FDIV (NIL T T T T) |domain| NIL NIL) (|FiniteDivisorCategory| 1284989 1285891 1286128 "FDIVCAT" 1289322 NIL FDIVCAT (NIL T T T T) |category| NIL 1289965) (|FiniteDivisorCategory&| 1284544 1284583 1284919 "FDIVCAT-" 1284924 NIL FDIVCAT- (NIL T T T T T) |domain| NIL NIL) (|FiniteDivisorFunctions2| 1283125 1283241 1283763 "FDIV2" 1284404 NIL FDIV2 (NIL T T T T T T T T) |package| NIL NIL) (|FortranCodePackage1| 1280596 1281072 1281661 "FCPAK1" 1282590 T FCPAK1 (NIL) |package| NIL NIL) (|FourierComponent| 1279348 1279767 1280001 "FCOMP" 1280430 NIL FCOMP (NIL T) |domain| NIL NIL) (|FortranCode| 1254866 1259577 1264940 "FC" 1274023 T FC (NIL) |domain| NIL NIL) (|FiniteAlgebraicExtensionField| 1242263 1248274 1248377 "FAXF" 1252049 NIL FAXF (NIL T) |category| NIL 1253396) (|FiniteAlgebraicExtensionField&| 1236873 1238034 1239682 "FAXF-" 1240750 NIL FAXF- (NIL T T) |domain| NIL NIL) (|FlexibleArray| 1229695 1235684 1236044 "FARRAY" 1236569 NIL FARRAY (NIL T) |domain| NIL NIL) (|FiniteAbelianMonoidRing| 1222147 1225029 1225149 "FAMR" 1227185 NIL FAMR (NIL T T) |category| NIL 1227915) (|FiniteAbelianMonoidRing&| 1220525 1220917 1221605 "FAMR-" 1221610 NIL FAMR- (NIL T T T) |domain| NIL NIL) (|FiniteAbelianMonoidRingFunctions2| 1219766 1219816 1220116 "FAMR2" 1220451 NIL FAMR2 (NIL T T T T T) |package| NIL NIL) (|FreeAbelianMonoid| 1218529 1219572 1219702 "FAMONOID" 1219707 NIL FAMONOID (NIL T) |domain| NIL NIL) (|FreeAbelianMonoidCategory| 1214771 1215660 1215796 "FAMONC" 1217737 NIL FAMONC (NIL T T) |category| NIL 1218331) (|FreeAbelianGroup| 1212957 1214319 1214577 "FAGROUP" 1214582 NIL FAGROUP (NIL T) |domain| NIL NIL) (|FactoringUtilities| 1208427 1209062 1209913 "FACUTIL" 1212268 NIL FACUTIL (NIL T T T T) |package| NIL NIL) (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| 1206919 1207144 1207580 "FACTRN" 1208173 NIL FACTRN (NIL T) |package| NIL NIL) (|FactoredFunctions| 1205450 1205722 1206097 "FACTFUNC" 1206618 NIL FACTFUNC (NIL T) |package| NIL NIL) (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| 1203886 1204111 1204571 "FACTEXT" 1205196 NIL FACTEXT (NIL T) |package| NIL NIL) (|ExponentialOfUnivariatePuiseuxSeries| 1192701 1202404 1202856 "EXPUPXS" 1203587 NIL EXPUPXS (NIL T NIL NIL) |domain| NIL NIL) (|ExpressionTubePlot| 1187861 1188898 1190070 "EXPRTUBE" 1191581 T EXPRTUBE (NIL) |package| NIL NIL) (|ExpressionSolve| 1186188 1186330 1186787 "EXPRSOL" 1187690 NIL EXPRSOL (NIL T T T T) |package| NIL NIL) (|ExpressionSpaceODESolver| 1179522 1180394 1181651 "EXPRODE" 1185103 NIL EXPRODE (NIL T T) |package| NIL NIL) (|Expression| 1157283 1176754 1177644 "EXPR" 1178688 NIL EXPR (NIL T) |domain| NIL NIL) (|ExpressionToUnivariatePowerSeries| 1146312 1147099 1148486 "EXPR2UPS" 1156193 NIL EXPR2UPS (NIL T T) |package| NIL NIL) (|ExpressionFunctions2| 1145682 1145762 1145962 "EXPR2" 1146208 NIL EXPR2 (NIL T T) |package| NIL NIL) (|ExponentialExpansion| 1128719 1143885 1144515 "EXPEXPAN" 1145349 NIL EXPEXPAN (NIL T T NIL NIL) |domain| NIL NIL) (|Export3D| 1128253 1128327 1128457 "EXP3D" 1128621 T EXP3D (NIL) |package| NIL NIL) (|Exit| 1128030 1128190 1128231 "EXIT" 1128236 T EXIT (NIL) |domain| NIL NIL) (|EvaluateCycleIndicators| 1127330 1127432 1127662 "EVALCYC" 1127904 NIL EVALCYC (NIL T) |package| NIL NIL) (|Evalable| 1126664 1126799 1126866 "EVALAB" 1127136 NIL EVALAB (NIL T) |category| NIL 1127293) (|Evalable&| 1125984 1126125 1126431 "EVALAB-" 1126436 NIL EVALAB- (NIL T T) |domain| NIL NIL) (|EuclideanDomain| 1122066 1123951 1124011 "EUCDOM" 1124914 T EUCDOM (NIL) |category| NIL 1125472) (|EuclideanDomain&| 1119861 1120432 1121283 "EUCDOM-" 1121288 NIL EUCDOM- (NIL T) |domain| NIL NIL) (|ExpertSystemToolsPackage| 1100389 1104352 1108599 "ESTOOLS" 1115678 T ESTOOLS (NIL) |package| NIL NIL) (|ExpertSystemToolsPackage2| 1099800 1099872 1100062 "ESTOOLS2" 1100293 NIL ESTOOLS2 (NIL T T) |package| NIL NIL) (|ExpertSystemToolsPackage1| 1099372 1099422 1099583 "ESTOOLS1" 1099726 NIL ESTOOLS1 (NIL T) |package| NIL NIL) (|ExpressionSpace| 1089830 1092174 1092234 "ES" 1096909 T ES (NIL) |category| NIL 1099144) (|ExpressionSpace&| 1082495 1084269 1086929 "ES-" 1087243 NIL ES- (NIL T) |domain| NIL NIL) (|ExpertSystemContinuityPackage| 1075659 1077000 1078505 "ESCONT" 1081064 T ESCONT (NIL) |package| NIL NIL) (|ExpertSystemContinuityPackage1| 1075176 1075222 1075410 "ESCONT1" 1075589 NIL ESCONT1 (NIL NIL NIL) |package| NIL NIL) (|ExpressionSpaceFunctions2| 1074606 1074667 1074868 "ES2" 1075091 NIL ES2 (NIL T T) |package| NIL NIL) (|ExpressionSpaceFunctions1| 1073995 1074067 1074268 "ES1" 1074510 NIL ES1 (NIL T T) |package| NIL NIL) (|ErrorFunctions| 1072820 1072981 1073255 "ERROR" 1073765 T ERROR (NIL) |package| NIL NIL) (|EqTable| 1064147 1072563 1072725 "EQTBL" 1072730 NIL EQTBL (NIL T T) |domain| NIL NIL) (|Equation| 1053462 1057343 1059349 "EQ" 1062187 NIL EQ (NIL T) |domain| NIL NIL) (|EquationFunctions2| 1052878 1052954 1053134 "EQ2" 1053362 NIL EQ2 (NIL T T) |package| NIL NIL) (|EigenPackage| 1044825 1046537 1048423 "EP" 1051051 NIL EP (NIL T) |package| NIL NIL) (|EntireRing| 1043611 1044356 1044406 "ENTIRER" 1044411 T ENTIRER (NIL) |category| NIL 1044497) (|EuclideanModularRing| 1038098 1040185 1040765 "EMR" 1043317 NIL EMR (NIL T T T NIL NIL NIL) |domain| NIL NIL) (|EltableAggregate| 1036815 1037047 1037144 "ELTAGG" 1037785 NIL ELTAGG (NIL T T) |category| NIL 1038067) (|EltableAggregate&| 1036417 1036485 1036708 "ELTAGG-" 1036713 NIL ELTAGG- (NIL T T T) |domain| NIL NIL) (|Eltable| 1036117 1036146 1036225 "ELTAB" 1036353 NIL ELTAB (NIL T T) |category| NIL NIL) (|EllipticFunctionsUnivariateTaylorSeries| 1034639 1034793 1035140 "ELFUTS" 1035924 NIL ELFUTS (NIL T T) |package| NIL NIL) (|ElementaryFunctionCategory| 1034193 1034249 1034331 "ELEMFUN" 1034538 T ELEMFUN (NIL) |category| NIL NIL) (|ElementaryFunctionCategory&| 1033955 1033976 1034135 "ELEMFUN-" 1034140 NIL ELEMFUN- (NIL T) |domain| NIL NIL) (|ExtensibleLinearAggregate| 1026237 1030780 1030874 "ELAGG" 1032577 NIL ELAGG (NIL T) |category| NIL 1033298) (|ExtensibleLinearAggregate&| 1023788 1024344 1025349 "ELAGG-" 1025354 NIL ELAGG- (NIL T T) |domain| NIL NIL) (|ElementaryFunctionsUnivariatePuiseuxSeries| 1010183 1012334 1013595 "EFUPXS" 1022822 NIL EFUPXS (NIL T T T T) |domain| NIL NIL) (|ElementaryFunctionsUnivariateLaurentSeries| 998242 1000395 1001610 "EFULS" 1009217 NIL EFULS (NIL T T T) |domain| NIL NIL) (|ElementaryFunctionStructurePackage| 993313 993775 994628 "EFSTRUC" 997693 NIL EFSTRUC (NIL T T) |package| NIL NIL) (|ElementaryFunction| 975229 976987 979188 "EF" 991269 NIL EF (NIL T T) |package| NIL NIL) (|ExtAlgBasis| 973855 974330 974601 "EAB" 974996 T EAB (NIL) |domain| NIL NIL) (|e04ucfAnnaType| 972590 973736 973815 "E04UCFA" 973820 T E04UCFA (NIL) |domain| NIL NIL) (|e04nafAnnaType| 971325 972471 972550 "E04NAFA" 972555 T E04NAFA (NIL) |domain| NIL NIL) (|e04mbfAnnaType| 970060 971206 971285 "E04MBFA" 971290 T E04MBFA (NIL) |domain| NIL NIL) (|e04jafAnnaType| 968795 969941 970020 "E04JAFA" 970025 T E04JAFA (NIL) |domain| NIL NIL) (|e04gcfAnnaType| 967532 968676 968755 "E04GCFA" 968760 T E04GCFA (NIL) |domain| NIL NIL) (|e04fdfAnnaType| 966269 967413 967492 "E04FDFA" 967497 T E04FDFA (NIL) |domain| NIL NIL) (|e04dgfAnnaType| 965004 966150 966229 "E04DGFA" 966234 T E04DGFA (NIL) |domain| NIL NIL) (|e04AgentsPackage| 954682 956990 959456 "E04AGNT" 962586 T E04AGNT (NIL) |package| NIL NIL) (|DifferentialVariableCategory| 952447 953074 953180 "DVARCAT" 954171 NIL DVARCAT (NIL T) |category| NIL 954550) (|DifferentialVariableCategory&| 951179 951467 952023 "DVARCAT-" 952028 NIL DVARCAT- (NIL T T) |domain| NIL NIL) (|DesingTreePackage| 937722 938439 939776 "DTP" 950353 NIL DTP (NIL T NIL T T T T T T T T T) |package| NIL NIL) (|DesingTree| 933982 936708 936990 "DSTREE" 937497 NIL DSTREE (NIL T) |domain| NIL NIL) (|DesingTreeCategory| 930302 932860 932947 "DSTRCAT" 933321 NIL DSTRCAT (NIL T) |category| |DesingTree| 933548) (|DifferentialSparseMultivariatePolynomial| 919165 929830 930150 "DSMP" 930155 NIL DSMP (NIL T T T) |domain| NIL NIL) (|DrawOption| 910739 912409 914219 "DROPT" 917391 T DROPT (NIL) |domain| NIL NIL) (|DrawOptionFunctions1| 910199 910279 910453 "DROPT1" 910635 NIL DROPT1 (NIL T) |package| NIL NIL) (|DrawOptionFunctions0| 901940 903728 905671 "DROPT0" 908312 T DROPT0 (NIL) |package| NIL NIL) (|TopLevelDrawFunctionsForPoints| 898700 899312 900094 "DRAWPT" 901234 T DRAWPT (NIL) |package| NIL NIL) (|TopLevelDrawFunctions| 887968 889781 891969 "DRAW" 896632 NIL DRAW (NIL T) |package| NIL NIL) (|DrawNumericHack| 887274 887363 887598 "DRAWHACK" 887855 NIL DRAWHACK (NIL T) |package| NIL NIL) (|DrawComplex| 884739 885269 885881 "DRAWCX" 886700 T DRAWCX (NIL) |package| NIL NIL) (|TopLevelDrawFunctionsForAlgebraicCurves| 883785 883895 884229 "DRAWCURV" 884605 NIL DRAWCURV (NIL T T) |package| NIL NIL) (|TopLevelDrawFunctionsForCompiledFunctions| 864497 868302 872580 "DRAWCFUN" 879605 T DRAWCFUN (NIL) |package| NIL NIL) (|DequeueAggregate| 859846 862418 862494 "DQAGG" 863564 NIL DQAGG (NIL T) |category| |Dequeue| 864009) (|DifferentialPolynomialCategory| 840076 850359 850560 "DPOLCAT" 854644 NIL DPOLCAT (NIL T T T T) |category| NIL 855638) (|DifferentialPolynomialCategory&| 832157 834021 837170 "DPOLCAT-" 837175 NIL DPOLCAT- (NIL T T T T T) |domain| NIL NIL) (|DirectProductModule| 822017 831899 832086 "DPMO" 832091 NIL DPMO (NIL NIL T T) |domain| NIL NIL) (|DirectProductMatrixModule| 811716 821614 821926 "DPMM" 821931 NIL DPMM (NIL NIL T T T) |domain| NIL NIL) (|DistributedMultivariatePolynomial| 801434 811026 811335 "DMP" 811528 NIL DMP (NIL NIL T) |domain| NIL NIL) (|DiscreteLogarithmPackage| 800635 800747 801043 "DLP" 801298 NIL DLP (NIL T) |package| NIL NIL) (|DataList| 791660 799247 799588 "DLIST" 800346 NIL DLIST (NIL T) |domain| NIL NIL) (|DoublyLinkedAggregate| 787032 789830 789916 "DLAGG" 790873 NIL DLAGG (NIL T) |category| NIL 791226) (|DivisionRing| 785063 785979 786033 "DIVRING" 786265 T DIVRING (NIL) |category| NIL 786436) (|DivisionRing&| 783509 783882 784502 "DIVRING-" 784507 NIL DIVRING- (NIL T) |domain| NIL NIL) (|Divisor| 781355 782855 783075 "DIV" 783350 NIL DIV (NIL T) |domain| NIL NIL) (|DivisorCategory| 777494 778880 778961 "DIVCAT" 780410 NIL DIVCAT (NIL T) |category| |Divisor| 780942) (|DisplayPackage| 774615 775083 775708 "DISPLAY" 776913 T DISPLAY (NIL) |package| NIL NIL) (|DirichletRing| 770727 772409 773065 "DIRRING" 774015 NIL DIRRING (NIL T) |domain| NIL NIL) (|DirectProduct| 762105 770564 770685 "DIRPROD" 770690 NIL DIRPROD (NIL NIL T) |domain| NIL NIL) (|DirectProductFunctions2| 760233 760516 760951 "DIRPROD2" 761788 NIL DIRPROD2 (NIL NIL T T) |package| NIL NIL) (|DirectProductCategory| 744771 753205 753319 "DIRPCAT" 754028 NIL DIRPCAT (NIL NIL T) |category| NIL 755375) (|DirectProductCategory&| 740377 741294 742775 "DIRPCAT-" 743433 NIL DIRPCAT- (NIL T NIL T) |domain| NIL NIL) (|DiophantineSolutionPackage| 739204 739446 739780 "DIOSP" 740111 T DIOSP (NIL) |package| NIL NIL) (|DictionaryOperations| 734275 737424 737515 "DIOPS" 738312 NIL DIOPS (NIL T) |category| NIL 738673) (|DictionaryOperations&| 733577 733720 734052 "DIOPS-" 734057 NIL DIOPS- (NIL T T) |domain| NIL NIL) (|DifferentialRing| 731841 732698 732760 "DIFRING" 733103 T DIFRING (NIL) |category| NIL 733296) (|DifferentialRing&| 731247 731362 731637 "DIFRING-" 731642 NIL DIFRING- (NIL T) |domain| NIL NIL) (|DifferentialExtension| 727689 729598 729684 "DIFEXT" 730327 NIL DIFEXT (NIL T) |category| NIL 730820) (|DifferentialExtension&| 725022 725648 726721 "DIFEXT-" 726726 NIL DIFEXT- (NIL T T) |domain| NIL NIL) (|Dictionary| 721189 724338 724409 "DIAGG" 724414 NIL DIAGG (NIL T) |category| NIL 724455) (|Dictionary&| 720297 720496 720882 "DIAGG-" 720887 NIL DIAGG- (NIL T T) |domain| NIL NIL) (|DenavitHartenbergMatrix| 713423 718431 718888 "DHMATRIX" 719961 NIL DHMATRIX (NIL T) |domain| NIL NIL) (|DoubleFloatVector| 705684 713078 713228 "DFVEC" 713323 T DFVEC (NIL) |domain| NIL NIL) (|DoubleFloatSpecialFunctions| 692885 695451 698430 "DFSFUN" 702775 T DFSFUN (NIL) |package| NIL NIL) (|DoubleFloatMatrix| 686677 692425 692631 "DFMAT" 692729 T DFMAT (NIL) |domain| NIL NIL) (|DoubleFloat| 678035 683879 684711 "DFLOAT" 685883 T DFLOAT (NIL) |domain| NIL NIL) (|DefiniteIntegrationTools| 674460 674952 675769 "DFINTTLS" 677487 NIL DFINTTLS (NIL T T) |package| NIL NIL) (|DeRhamComplex| 669646 671056 671787 "DERHAM" 673834 NIL DERHAM (NIL T NIL) |domain| NIL NIL) (|Dequeue| 656577 659190 661426 "DEQUEUE" 667461 NIL DEQUEUE (NIL T) |domain| NIL NIL) (|DegreeReductionPackage| 655088 655323 655709 "DEGRED" 656313 NIL DEGRED (NIL T T) |package| NIL NIL) (|RationalFunctionDefiniteIntegration| 648853 650026 651509 "DEFINTRF" 653834 NIL DEFINTRF (NIL T) |package| NIL NIL) (|ElementaryFunctionDefiniteIntegration| 644462 645146 646232 "DEFINTEF" 648121 NIL DEFINTEF (NIL T T) |package| NIL NIL) (|DecimalExpansion| 634629 643439 643759 "DECIMAL" 644190 T DECIMAL (NIL) |domain| NIL NIL) (|DistinctDegreeFactorize| 630134 630813 631690 "DDFACT" 633886 NIL DDFACT (NIL T T) |package| NIL NIL) (|DoubleResultantPackage| 629346 629408 629714 "DBLRESP" 630048 NIL DBLRESP (NIL T T T T) |package| NIL NIL) (|Database| 625835 626257 626837 "DBASE" 628965 NIL DBASE (NIL T) |domain| NIL NIL) (|d03fafAnnaType| 624534 625690 625782 "D03FAFA" 625787 T D03FAFA (NIL) |domain| NIL NIL) (|d03eefAnnaType| 623234 624389 624481 "D03EEFA" 624486 T D03EEFA (NIL) |domain| NIL NIL) (|d03AgentsPackage| 619878 620612 621433 "D03AGNT" 622461 T D03AGNT (NIL) |package| NIL NIL) (|d02ejfAnnaType| 618818 619731 619824 "D02EJFA" 619829 T D02EJFA (NIL) |domain| NIL NIL) (|d02cjfAnnaType| 617758 618671 618764 "D02CJFA" 618769 T D02CJFA (NIL) |domain| NIL NIL) (|d02bhfAnnaType| 616698 617611 617704 "D02BHFA" 617709 T D02BHFA (NIL) |domain| NIL NIL) (|d02bbfAnnaType| 615638 616551 616644 "D02BBFA" 616649 T D02BBFA (NIL) |domain| NIL NIL) (|d02AgentsPackage| 604757 607201 609794 "D02AGNT" 613093 T D02AGNT (NIL) |package| NIL NIL) (|d01WeightsPackage| 600985 601843 602785 "D01WGTS" 603865 T D01WGTS (NIL) |package| NIL NIL) (|d01TransformFunctionType| 599569 600848 600946 "D01TRNS" 600951 T D01TRNS (NIL) |domain| NIL NIL) (|d01gbfAnnaType| 598173 599452 599530 "D01GBFA" 599535 T D01GBFA (NIL) |domain| NIL NIL) (|d01fcfAnnaType| 596777 598056 598134 "D01FCFA" 598139 T D01FCFA (NIL) |domain| NIL NIL) (|d01asfAnnaType| 595381 596660 596738 "D01ASFA" 596743 T D01ASFA (NIL) |domain| NIL NIL) (|d01aqfAnnaType| 593985 595264 595342 "D01AQFA" 595347 T D01AQFA (NIL) |domain| NIL NIL) (|d01apfAnnaType| 592589 593868 593946 "D01APFA" 593951 T D01APFA (NIL) |domain| NIL NIL) (|d01anfAnnaType| 591193 592472 592550 "D01ANFA" 592555 T D01ANFA (NIL) |domain| NIL NIL) (|d01amfAnnaType| 589797 591076 591154 "D01AMFA" 591159 T D01AMFA (NIL) |domain| NIL NIL) (|d01alfAnnaType| 588401 589680 589758 "D01ALFA" 589763 T D01ALFA (NIL) |domain| NIL NIL) (|d01akfAnnaType| 587005 588284 588362 "D01AKFA" 588367 T D01AKFA (NIL) |domain| NIL NIL) (|d01ajfAnnaType| 585609 586888 586966 "D01AJFA" 586971 T D01AJFA (NIL) |domain| NIL NIL) (|d01AgentsPackage| 575732 577911 580212 "D01AGNT" 583356 T D01AGNT (NIL) |package| NIL NIL) (|CyclotomicPolynomialPackage| 574196 574478 574864 "CYCLOTOM" 575416 T CYCLOTOM (NIL) |package| NIL NIL) (|CycleIndicators| 567922 569255 570718 "CYCLES" 572779 T CYCLES (NIL) |package| NIL NIL) (|CoerceVectorMatrixPackage| 566759 566950 567261 "CVMP" 567702 NIL CVMP (NIL T) |package| NIL NIL) (|ComplexTrigonometricManipulations| 562283 562621 563340 "CTRIGMNP" 566313 NIL CTRIGMNP (NIL T T) |package| NIL NIL) (|CyclicStreamTools| 561143 561297 561583 "CSTTOOLS" 562095 NIL CSTTOOLS (NIL T T) |package| NIL NIL) (|ComplexRootFindingPackage| 553946 554806 556014 "CRFP" 560096 NIL CRFP (NIL T T) |package| NIL NIL) (|CRApackage| 552457 552694 553052 "CRAPACK" 553649 NIL CRAPACK (NIL T) |package| NIL NIL) (|ComplexPatternMatch| 551334 551503 551877 "CPMATCH" 552248 NIL CPMATCH (NIL T T T) |package| NIL NIL) (|CharacteristicPolynomialInMonogenicalAlgebra| 550671 550720 551001 "CPIMA" 551261 NIL CPIMA (NIL T T T) |package| NIL NIL) (|CoordinateSystems| 544367 545315 546487 "COORDSYS" 549628 NIL COORDSYS (NIL T) |package| NIL NIL) (|ContinuedFraction| 537760 540760 541614 "CONTFRAC" 543588 NIL CONTFRAC (NIL T) |domain| NIL NIL) (|CommutativeRing| 536533 537278 537338 "COMRING" 537343 T COMRING (NIL) |category| NIL 537432) (|SubSpaceComponentProperty| 535046 535395 535725 "COMPPROP" 536269 T COMPPROP (NIL) |domain| NIL NIL) (|ComplexPattern| 534452 534496 534728 "COMPLPAT" 534978 NIL COMPLPAT (NIL T T T) |package| NIL NIL) (|Complex| 518778 534146 534324 "COMPLEX" 534329 NIL COMPLEX (NIL T) |domain| NIL NIL) (|ComplexFunctions2| 518161 518235 518433 "COMPLEX2" 518680 NIL COMPLEX2 (NIL T T) |package| NIL NIL) (|ComplexFactorization| 517631 517675 517879 "COMPFACT" 518093 NIL COMPFACT (NIL T T) |package| NIL NIL) (|ComplexCategory| 491656 507827 507912 "COMPCAT" 509862 NIL COMPCAT (NIL T) |category| NIL 512207) (|ComplexCategory&| 475114 479345 485182 "COMPCAT-" 485922 NIL COMPCAT- (NIL T T) |domain| NIL NIL) (|Comparable| 474606 474798 474848 "COMPAR" 474945 T COMPAR (NIL) |category| NIL 475032) (|CommuteUnivariatePolynomialCategory| 474056 474085 474324 "COMMUPC" 474553 NIL COMMUPC (NIL T T T) |package| NIL NIL) (|CommonOperators| 473676 473728 473850 "COMMONOP" 473980 T COMMONOP (NIL) |package| NIL NIL) (|Commutator| 473064 473270 473418 "COMM" 473564 T COMM (NIL) |domain| NIL NIL) (|CombinatorialOpsCategory| 471730 471991 472069 "COMBOPC" 472704 T COMBOPC (NIL) |category| NIL 473021) (|IntegerCombinatoricFunctions| 469826 470083 470495 "COMBINAT" 471419 NIL COMBINAT (NIL T) |package| NIL NIL) (|CombinatorialFunction| 463425 464144 465145 "COMBF" 468959 NIL COMBF (NIL T T) |package| NIL NIL) (|Color| 461615 462033 462421 "COLOR" 463063 T COLOR (NIL) |domain| NIL NIL) (|ComplexRootPackage| 460971 461034 461275 "CMPLXRT" 461528 NIL CMPLXRT (NIL T T) |package| NIL NIL) (|TwoDimensionalPlotClipping| 454028 455549 457238 "CLIP" 459350 T CLIP (NIL) |package| NIL NIL) (|CliffordAlgebra| 451495 452514 452920 "CLIF" 453741 NIL CLIF (NIL NIL T NIL) |domain| NIL NIL) (|Collection| 445883 448633 448697 "CLAGG" 450227 NIL CLAGG (NIL T) |category| NIL 451018) (|Collection&| 443529 444169 445062 "CLAGG-" 445067 NIL CLAGG- (NIL T T) |domain| NIL NIL) (|ComplexIntegerSolveLinearPolynomialEquation| 442424 442613 442987 "CINTSLPE" 443316 NIL CINTSLPE (NIL T T) |package| NIL NIL) (|ChangeOfVariable| 438224 438868 439743 "CHVAR" 441731 NIL CHVAR (NIL T T T) |package| NIL NIL) (|CharacteristicZero| 437108 437853 437919 "CHARZ" 437924 T CHARZ (NIL) |category| NIL 437943) (|CharacteristicPolynomialPackage| 436587 436652 436844 "CHARPOL" 437019 NIL CHARPOL (NIL T) |package| NIL NIL) (|CharacteristicNonZero| 435272 436062 436134 "CHARNZ" 436217 T CHARNZ (NIL) |category| NIL 436306) (|Character| 432242 433133 433696 "CHAR" 434743 T CHAR (NIL) |domain| NIL NIL) (|CombinatorialFunctionCategory| 431708 431788 431876 "CFCAT" 432117 T CFCAT (NIL) |category| NIL NIL) (|Cell| 429002 429458 430039 "CELL" 431176 NIL CELL (NIL T) |domain| NIL NIL) (|ComplexDoubleFloatVector| 419398 428362 428600 "CDFVEC" 428828 T CDFVEC (NIL) |domain| NIL NIL) (|ComplexDoubleFloatMatrix| 412109 418865 419111 "CDFMAT" 419216 T CDFMAT (NIL) |domain| NIL NIL) (|CommonDenominator| 410713 410870 411208 "CDEN" 411917 NIL CDEN (NIL T T T) |package| NIL NIL) (|CharacterClass| 404251 409175 409695 "CCLASS" 410237 T CCLASS (NIL) |domain| NIL NIL) (|CartesianTensor| 396151 397388 398625 "CARTEN" 403130 NIL CARTEN (NIL NIL NIL T) |domain| NIL NIL) (|CartesianTensorFunctions2| 394594 394807 395210 "CARTEN2" 395909 NIL CARTEN2 (NIL NIL NIL T T) |package| NIL NIL) (|CardinalNumber| 391752 392936 393462 "CARD" 394112 T CARD (NIL) |domain| NIL NIL) (|CylindricalAlgebraicDecompositionUtilities| 390381 390543 390901 "CADU" 391556 NIL CADU (NIL T T) |package| NIL NIL) (|CylindricalAlgebraicDecompositionPackage| 385363 386259 387364 "CAD" 389397 NIL CAD (NIL T) |package| NIL NIL) (|CachableSet| 384401 384811 384863 "CACHSET" 385103 T CACHSET (NIL) |category| NIL 385260) (|CancellationAbelianMonoid| 383615 383992 384072 "CABMON" 384165 T CABMON (NIL) |category| NIL 384268) (|BinaryTree| 380150 383089 383276 "BTREE" 383485 NIL BTREE (NIL T) |domain| NIL NIL) (|BinaryTournament| 376527 379493 379732 "BTOURN" 379979 NIL BTOURN (NIL T) |domain| NIL NIL) (|BinaryTreeCategory| 372844 375694 375781 "BTCAT" 375894 NIL BTCAT (NIL T) |category| NIL 376053) (|BinaryTreeCategory&| 372326 372429 372688 "BTCAT-" 372693 NIL BTCAT- (NIL T T) |domain| NIL NIL) (|BitAggregate| 365009 370774 370828 "BTAGG" 371220 T BTAGG (NIL) |category| NIL 371494) (|BitAggregate&| 364315 364452 364760 "BTAGG-" 364765 NIL BTAGG- (NIL T) |domain| NIL NIL) (|BinarySearchTree| 359996 363062 363441 "BSTREE" 364004 NIL BSTREE (NIL T) |domain| NIL NIL) (|BasicStochasticDifferential| 357468 358134 358649 "BSD" 359551 T BSD (NIL) |domain| NIL NIL) (|BrillhartTests| 355619 355855 356275 "BRILL" 357142 NIL BRILL (NIL T) |package| NIL NIL) (|BinaryRecursiveAggregate| 350771 353594 353686 "BRAGG" 354811 NIL BRAGG (NIL T) |category| NIL 355185) (|BinaryRecursiveAggregate&| 348774 349257 350071 "BRAGG-" 350076 NIL BRAGG- (NIL T T) |domain| NIL NIL) (|BalancedPAdicRational| 336816 347496 347885 "BPADICRT" 348460 NIL BPADICRT (NIL NIL) |domain| NIL NIL) (|BalancedPAdicInteger| 334343 336676 336780 "BPADIC" 336785 NIL BPADIC (NIL NIL) |domain| NIL NIL) (|BoundIntegerRoots| 333769 333813 334041 "BOUNDZRO" 334275 NIL BOUNDZRO (NIL T T) |package| NIL NIL) (|BasicOperator| 326469 328003 329489 "BOP" 332325 T BOP (NIL) |domain| NIL NIL) (|BasicOperatorFunctions1| 322244 322960 323888 "BOP1" 325624 NIL BOP1 (NIL T) |package| NIL NIL) (|Boolean| 320040 320866 321302 "BOOLEAN" 321838 T BOOLEAN (NIL) |domain| NIL NIL) (|BiModule| 319129 319589 319663 "BMODULE" 319668 NIL BMODULE (NIL T T) |category| NIL 319795) (|BlowUpPackage| 312783 313854 315191 "BLUPPACK" 318012 NIL BLUPPACK (NIL T NIL T T T) |package| NIL NIL) (|BlowUpWithQuadTrans| 311905 312546 312689 "BLQT" 312694 T BLQT (NIL) |domain| NIL NIL) (|BlowUpMethodCategory| 309451 310082 310152 "BLMETCT" 311246 T BLMETCT (NIL) |category| NIL 311823) (|BlowUpWithHamburgerNoether| 308566 309204 309359 "BLHN" 309364 T BLHN (NIL) |domain| NIL NIL) (|BlasLevelOne| 298333 300640 303091 "BLAS1" 306155 T BLAS1 (NIL) |package| NIL NIL) (|Bits| 292070 297975 298104 "BITS" 298228 T BITS (NIL) |domain| NIL NIL) (|BinaryFile| 290593 291224 291513 "BINFILE" 291817 T BINFILE (NIL) |domain| NIL NIL) (|BinaryExpansion| 280774 289582 289898 "BINARY" 290323 T BINARY (NIL) |domain| NIL NIL) (|BagAggregate| 277681 279671 279739 "BGAGG" 280146 NIL BGAGG (NIL T) |category| NIL 280374) (|BagAggregate&| 277439 277473 277616 "BGAGG-" 277621 NIL BGAGG- (NIL T T) |domain| NIL NIL) (|BasicFunctions| 276083 276456 276796 "BFUNCT" 277143 T BFUNCT (NIL) |domain| NIL NIL) (|BezoutMatrix| 273749 274005 274487 "BEZOUT" 275809 NIL BEZOUT (NIL T T T T T) |package| NIL NIL) (|Bezier| 272242 272538 272910 "BEZIER" 273419 NIL BEZIER (NIL T) |package| NIL NIL) (|BalancedBinaryTree| 267076 270286 270847 "BBTREE" 271754 NIL BBTREE (NIL T) |domain| NIL NIL) (|BasicType| 266705 266761 266809 "BASTYPE" 266981 T BASTYPE (NIL) |category| NIL NIL) (|BasicType&| 266495 266525 266640 "BASTYPE-" 266645 NIL BASTYPE- (NIL T) |domain| NIL NIL) (|BalancedFactorisation| 265390 265498 265813 "BALFACT" 266332 NIL BALFACT (NIL T T) |package| NIL NIL) (|AxiomServer| 264347 264529 264784 "AXSERV" 265173 T AXSERV (NIL) |package| NIL NIL) (|Automorphism| 262654 263408 263705 "AUTOMOR" 264104 NIL AUTOMOR (NIL T) |domain| NIL NIL) (|UnitsKnownAttribute| 262527 262532 262600 "ATUNIKN" 262605 T ATUNIKN (NIL) |category| NIL NIL) (|AttributeRegistry| 261869 261874 261938 "ATTREG" 261943 T ATTREG (NIL) |category| NIL NIL) (|AttributeButtons| 258975 259559 260194 "ATTRBUT" 261282 T ATTRBUT (NIL) |domain| NIL NIL) (|ShallowlyMutableAttribute| 258836 258841 258921 "ATSHMUT" 258926 T ATSHMUT (NIL) |category| NIL NIL) (|ArcTrigonometricFunctionCategory| 257990 258109 258203 "ATRIG" 258656 T ATRIG (NIL) |category| NIL NIL) (|ArcTrigonometricFunctionCategory&| 257652 257695 257902 "ATRIG-" 257907 NIL ATRIG- (NIL T) |domain| NIL NIL) (|PartiallyOrderedSetAttribute| 257507 257512 257598 "ATPOSET" 257603 T ATPOSET (NIL) |category| NIL NIL) (|NoZeroDivisorsAttribute| 257372 257377 257453 "ATNZDIV" 257458 T ATNZDIV (NIL) |category| NIL NIL) (|NullSquareAttribute| 257245 257250 257318 "ATNULSQ" 257323 T ATNULSQ (NIL) |category| NIL NIL) (|NotherianAttribute| 257120 257125 257191 "ATNOTHR" 257196 T ATNOTHR (NIL) |category| NIL NIL) (|MultiplicativeValuationAttribute| 256967 256972 257066 "ATMULVA" 257071 T ATMULVA (NIL) |category| NIL NIL) (|LeftUnitaryAttribute| 256838 256843 256913 "ATLUNIT" 256918 T ATLUNIT (NIL) |category| NIL NIL) (|LazyRepresentationAttribute| 256695 256700 256784 "ATLR" 256789 T ATLR (NIL) |category| NIL NIL) (|JacobiIdentityAttribute| 256560 256565 256641 "ATJACID" 256646 T ATJACID (NIL) |category| NIL NIL) (|FiniteAggregateAttribute| 256423 256428 256506 "ATFINAG" 256511 T ATFINAG (NIL) |category| NIL NIL) (|CanonicalUnitNormalAttribute| 256278 256283 256369 "ATCUNOR" 256374 T ATCUNOR (NIL) |category| NIL NIL) (|CommutativeStarAttribute| 256141 256146 256224 "ATCS" 256229 T ATCS (NIL) |category| NIL NIL) (|CentralAttribute| 256020 256025 256087 "ATCENRL" 256092 T ATCENRL (NIL) |category| NIL NIL) (|CanonicalAttribute| 255895 255900 255966 "ATCANON" 255971 T ATCANON (NIL) |category| NIL NIL) (|CanonicalClosedAttribute| 255758 255763 255841 "ATCANCL" 255846 T ATCANCL (NIL) |category| NIL NIL) (|ArbitraryPrecisionAttribute| 255615 255620 255704 "ATARBPR" 255709 T ATARBPR (NIL) |category| NIL NIL) (|ArbitraryExponentAttribute| 255474 255479 255561 "ATARBEX" 255566 T ATARBEX (NIL) |category| NIL NIL) (|ApproximateAttribute| 255345 255350 255420 "ATAPPRO" 255425 T ATAPPRO (NIL) |category| NIL NIL) (|AdditiveValuationAttribute| 255204 255209 255291 "ATADDVA" 255296 T ATADDVA (NIL) |category| NIL NIL) (|ArrayStack| 245017 247184 248909 "ASTACK" 253536 NIL ASTACK (NIL T) |domain| NIL NIL) (|AssociatedEquations| 242420 242868 243501 "ASSOCEQ" 244519 NIL ASSOCEQ (NIL T T) |package| NIL NIL) (|Asp9| 240912 241853 242063 "ASP9" 242250 NIL ASP9 (NIL NIL) |domain| NIL NIL) (|Asp8| 240546 240813 240880 "ASP8" 240885 NIL ASP8 (NIL NIL) |domain| NIL NIL) (|Asp80| 238781 239886 240130 "ASP80" 240344 NIL ASP80 (NIL NIL) |domain| NIL NIL) (|Asp7| 237080 238169 238396 "ASP7" 238594 NIL ASP7 (NIL NIL) |domain| NIL NIL) (|Asp78| 235417 236495 236714 "ASP78" 236903 NIL ASP78 (NIL NIL) |domain| NIL NIL) (|Asp77| 233753 234832 235051 "ASP77" 235240 NIL ASP77 (NIL NIL) |domain| NIL NIL) (|Asp74| 232049 233138 233367 "ASP74" 233566 NIL ASP74 (NIL NIL) |domain| NIL NIL) (|Asp73| 230347 231434 231663 "ASP73" 231862 NIL ASP73 (NIL NIL) |domain| NIL NIL) (|Asp6| 228686 229765 229982 "ASP6" 230170 NIL ASP6 (NIL NIL) |domain| NIL NIL) (|Asp55| 227016 228101 228320 "ASP55" 228509 NIL ASP55 (NIL NIL) |domain| NIL NIL) (|Asp50| 225347 226428 226648 "ASP50" 226838 NIL ASP50 (NIL NIL) |domain| NIL NIL) (|Asp4| 223879 224810 225010 "ASP4" 225187 NIL ASP4 (NIL NIL) |domain| NIL NIL) (|Asp49| 222408 223339 223541 "ASP49" 223719 NIL ASP49 (NIL NIL) |domain| NIL NIL) (|Asp42| 220552 221663 221938 "ASP42" 222207 NIL ASP42 (NIL NIL NIL NIL) |domain| NIL NIL) (|Asp41| 218705 219813 220086 "ASP41" 220353 NIL ASP41 (NIL NIL NIL NIL) |domain| NIL NIL) (|Asp35| 217038 218120 218339 "ASP35" 218528 NIL ASP35 (NIL NIL) |domain| NIL NIL) (|Asp34| 216670 216937 217006 "ASP34" 217011 NIL ASP34 (NIL NIL) |domain| NIL NIL) (|Asp33| 216222 216314 216455 "ASP33" 216571 NIL ASP33 (NIL NIL) |domain| NIL NIL) (|Asp31| 214515 215607 215836 "ASP31" 216035 NIL ASP31 (NIL NIL) |domain| NIL NIL) (|Asp30| 214147 214414 214483 "ASP30" 214488 NIL ASP30 (NIL NIL) |domain| NIL NIL) (|Asp29| 213697 213791 213932 "ASP29" 214048 NIL ASP29 (NIL NIL) |domain| NIL NIL) (|Asp28| 213329 213596 213665 "ASP28" 213670 NIL ASP28 (NIL NIL) |domain| NIL NIL) (|Asp27| 212961 213228 213297 "ASP27" 213302 NIL ASP27 (NIL NIL) |domain| NIL NIL) (|Asp24| 211486 212418 212621 "ASP24" 212800 NIL ASP24 (NIL NIL) |domain| NIL NIL) (|Asp20| 209768 210862 211094 "ASP20" 211296 NIL ASP20 (NIL NIL) |domain| NIL NIL) (|Asp1| 208300 209231 209431 "ASP1" 209608 NIL ASP1 (NIL NIL) |domain| NIL NIL) (|Asp19| 206625 207712 207932 "ASP19" 208122 NIL ASP19 (NIL NIL) |domain| NIL NIL) (|Asp12| 206177 206269 206410 "ASP12" 206526 NIL ASP12 (NIL NIL) |domain| NIL NIL) (|Asp10| 204411 205514 205759 "ASP10" 205974 NIL ASP10 (NIL NIL) |domain| NIL NIL) (|TwoDimensionalArray| 201270 204024 204249 "ARRAY2" 204254 NIL ARRAY2 (NIL T) |domain| NIL NIL) (|OneDimensionalArray| 195159 200535 200789 "ARRAY1" 201084 NIL ARRAY1 (NIL T) |domain| NIL NIL) (|OneDimensionalArrayFunctions2| 193375 193663 194087 "ARRAY12" 194837 NIL ARRAY12 (NIL T T) |package| NIL NIL) (|TwoDimensionalArrayCategory| 183671 186279 186451 "ARR2CAT" 191766 NIL ARR2CAT (NIL T T T) |category| NIL 192975) (|TwoDimensionalArrayCategory&| 179838 180860 182368 "ARR2CAT-" 182373 NIL ARR2CAT- (NIL T T T T) |domain| NIL NIL) (|ApplyRules| 177722 177928 178437 "APPRULE" 179583 NIL APPRULE (NIL T T T) |package| NIL NIL) (|ApplyUnivariateSkewPolynomial| 177093 177150 177391 "APPLYORE" 177641 NIL APPLYORE (NIL T T T) |package| NIL NIL) (|ApplicationProgramInterface| 175651 175869 176201 "API" 176831 T API (NIL) |package| NIL NIL) (|Any| 174083 174471 174795 "ANY" 175349 T ANY (NIL) |domain| NIL NIL) (|AnyFunctions1| 172933 173099 173360 "ANY1" 173878 NIL ANY1 (NIL T) |package| NIL NIL) (|AntiSymm| 169143 170384 170948 "ANTISYM" 172440 NIL ANTISYM (NIL T NIL) |domain| NIL NIL) (|AnonymousFunction| 168892 169054 169121 "ANON" 169126 T ANON (NIL) |domain| NIL NIL) (|AlgebraicNumber| 159460 165887 166849 "AN" 167976 T AN (NIL) |domain| NIL NIL) (|AbelianMonoidRing| 153584 155485 155593 "AMR" 157017 NIL AMR (NIL T T) |category| NIL 157953) (|AbelianMonoidRing&| 152263 152558 153135 "AMR-" 153140 NIL AMR- (NIL T T T) |domain| NIL NIL) (|AssociationList| 131828 152090 152218 "ALIST" 152223 NIL ALIST (NIL T T) |domain| NIL NIL) (|AlgebraGivenByStructuralConstants| 127001 131087 131416 "ALGSC" 131678 NIL ALGSC (NIL T NIL NIL NIL) |domain| NIL NIL) (|AlgebraPackage| 120277 121187 122332 "ALGPKG" 125966 NIL ALGPKG (NIL T T) |package| NIL NIL) (|AlgebraicMultFact| 118768 118962 119357 "ALGMFACT" 120043 NIL ALGMFACT (NIL T T T) |package| NIL NIL) (|AlgebraicManipulations| 111091 112039 113114 "ALGMANIP" 118067 NIL ALGMANIP (NIL T T) |package| NIL NIL) (|AlgebraicFunctionField| 97882 110316 110634 "ALGFF" 110957 NIL ALGFF (NIL T T T NIL) |domain| NIL NIL) (|AlgFactor| 96410 96599 96930 "ALGFACT" 97643 NIL ALGFACT (NIL T) |package| NIL NIL) (|Algebra| 94976 95767 95836 "ALGEBRA" 95938 NIL ALGEBRA (NIL T) |category| NIL 96025) (|Algebra&| 94543 94618 94834 "ALGEBRA-" 94839 NIL ALGEBRA- (NIL T T) |domain| NIL NIL) (|AssociationListAggregate| 70289 91056 91176 "ALAGG" 91399 NIL ALAGG (NIL T T) |category| |AssociationList| 91625) (|ArcHyperbolicFunctionCategory| 69449 69574 69662 "AHYP" 70103 T AHYP (NIL) |category| NIL NIL) (|Aggregate| 67687 68056 68104 "AGG" 68958 T AGG (NIL) |category| NIL 69431) (|Aggregate&| 66746 66993 67365 "AGG-" 67370 NIL AGG- (NIL T) |domain| NIL NIL) (|AffineSpaceCategory| 62636 63427 63510 "AFSPCAT" 65807 NIL AFSPCAT (NIL T) |category| NIL 66632) (|AlgebraicFunction| 58425 59087 59831 "AF" 62018 NIL AF (NIL T T) |package| NIL NIL) (|AffineSpace| 57480 58279 58390 "AFFSP" 58395 NIL AFFSP (NIL NIL T) |domain| NIL NIL) (|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| 56013 57190 57405 "AFFPLPS" 57410 NIL AFFPLPS (NIL T) |domain| NIL NIL) (|AffinePlane| 55078 55895 55978 "AFFPL" 55983 NIL AFFPL (NIL T) |domain| NIL NIL) (|AffineAlgebraicSetComputeWithResultant| 48512 49389 50647 "AFALGRES" 54122 NIL AFALGRES (NIL T NIL T T T) |package| NIL NIL) (|AffineAlgebraicSetComputeWithGroebnerBasis| 45978 46239 46844 "AFALGGRO" 48217 NIL AFALGGRO (NIL T NIL T T T) |package| NIL NIL) (|PlaneAlgebraicCurvePlot| 44687 45081 45400 "ACPLOT" 45721 T ACPLOT (NIL) |domain| NIL NIL) (|AlgebraicallyClosedFunctionSpace| 28628 39906 40048 "ACFS" 41463 NIL ACFS (NIL T) |category| |Expression| 41846) (|AlgebraicallyClosedFunctionSpace&| 25328 26092 27446 "ACFS-" 27451 NIL ACFS- (NIL T T) |domain| NIL NIL) (|AlgebraicallyClosedField| 18951 21835 21913 "ACF" 23646 T ACF (NIL) |category| NIL 24442) (|AlgebraicallyClosedField&| 16600 17188 18117 "ACF-" 18122 NIL ACF- (NIL T) |domain| NIL NIL) (|AbelianSemiGroup| 15981 16189 16251 "ABELSG" 16410 T ABELSG (NIL) |category| NIL 16518) (|AbelianSemiGroup&| 15728 15766 15909 "ABELSG-" 15914 NIL ABELSG- (NIL T) |domain| NIL NIL) (|AbelianMonoid| 14733 15060 15116 "ABELMON" 15417 T ABELMON (NIL) |category| NIL 15619) (|AbelianMonoid&| 14172 14295 14545 "ABELMON-" 14550 NIL ABELMON- (NIL T) |domain| NIL NIL) (|AbelianGroup| 13194 13622 13676 "ABELGRP" 13869 T ABELGRP (NIL) |category| NIL 14003) (|AbelianGroup&| 12401 12575 12914 "ABELGRP-" 12919 NIL ABELGRP- (NIL T) |domain| NIL NIL) (|OneDimensionalArrayAggregate| 6156 11366 11466 "A1AGG" 11471 NIL A1AGG (NIL T) |category| NIL 11565) (|OneDimensionalArrayAggregate&| 30 1630 3956 "A1AGG-" 3961 NIL A1AGG- (NIL T T) |domain| NIL NIL)) 
\ No newline at end of file
+((|Category| 5961223 5961228 5961233 "NIL" NIL T NIL (NIL) NIL NIL NIL) (|Union| 5961208 5961213 5961218 "NIL" NIL NIL NIL (NIL) |domain| NIL NIL) (|Record| 5961193 5961198 5961203 "NIL" NIL NIL NIL (NIL) |domain| NIL NIL) (|Mapping| 5961178 5961183 5961188 "NIL" NIL NIL NIL (NIL) |domain| NIL NIL) (|Enumeration| 5961163 5961168 5961173 "NIL" NIL NIL NIL (NIL) |domain| NIL NIL) (|IntegerMod| 5959893 5960923 5961071 "ZMOD" 5961076 NIL ZMOD (NIL NIL) |domain| NIL NIL) (|IntegerLinearDependence| 5958247 5958510 5958915 "ZLINDEP" 5959596 NIL ZLINDEP (NIL T) |package| NIL NIL) (|ZeroDimensionalSolvePackage| 5938397 5941501 5945205 "ZDSOLVE" 5954753 NIL ZDSOLVE (NIL T NIL NIL) |package| NIL NIL) (|ParadoxicalCombinatorsForStreams| 5937256 5937436 5937743 "YSTREAM" 5938184 NIL YSTREAM (NIL T) |package| NIL NIL) (|XRecursivePolynomial| 5933913 5936031 5936386 "XRPOLY" 5936991 NIL XRPOLY (NIL T T) |domain| NIL NIL) (|XPolynomialRing| 5928552 5930279 5931189 "XPR" 5933086 NIL XPR (NIL T T) |domain| NIL NIL) (|XPolynomial| 5925183 5927440 5927781 "XPOLY" 5928263 NIL XPOLY (NIL T) |domain| NIL NIL) (|XPolynomialsCat| 5921894 5923790 5923884 "XPOLYC" 5924404 NIL XPOLYC (NIL T T) |category| NIL 5924613) (|XPBWPolynomial| 5916002 5919204 5919890 "XPBWPOLY" 5921297 NIL XPBWPOLY (NIL T T) |domain| NIL NIL) (|ExtensionField| 5909347 5912724 5912797 "XF" 5913950 NIL XF (NIL T) |category| NIL 5914730) (|ExtensionField&| 5908701 5908838 5909135 "XF-" 5909140 NIL XF- (NIL T T) |domain| NIL NIL) (|XFreeAlgebra| 5901423 5903185 5903273 "XFALG" 5906939 NIL XFALG (NIL T T) |category| NIL 5908164) (|XExponentialPackage| 5899906 5900064 5900424 "XEXPPKG" 5901231 NIL XEXPPKG (NIL T T T) |package| NIL NIL) (|XDistributedPolynomial| 5897162 5899627 5899811 "XDPOLY" 5899816 NIL XDPOLY (NIL T T) |domain| NIL NIL) (|XAlgebra| 5895582 5896373 5896433 "XALG" 5896525 NIL XALG (NIL T) |category| NIL 5896700) (|WuWenTsunTriangularSet| 5885552 5891903 5892733 "WUTSET" 5894941 NIL WUTSET (NIL T T T T) |domain| NIL NIL) (|WeightedPolynomials| 5882106 5883168 5883739 "WP" 5885229 NIL WP (NIL T T T T NIL NIL NIL) |domain| NIL NIL) (|WildFunctionFieldIntegralBasis| 5880262 5880517 5881025 "WFFINTBS" 5881822 NIL WFFINTBS (NIL T T T T) |package| NIL NIL) (|WeierstrassPreparation| 5876560 5877269 5878102 "WEIER" 5879504 NIL WEIER (NIL T) |package| NIL NIL) (|VectorSpace| 5875339 5875859 5875926 "VSPACE" 5876146 NIL VSPACE (NIL T) |category| NIL 5876264) (|VectorSpace&| 5875126 5875149 5875282 "VSPACE-" 5875287 NIL VSPACE- (NIL T T) |domain| NIL NIL) (|Void| 5874750 5874805 5874913 "VOID" 5875042 T VOID (NIL) |domain| NIL NIL) (|ViewportPackage| 5871335 5871967 5872741 "VIEW" 5874022 T VIEW (NIL) |package| NIL NIL) (|ViewDefaultsPackage| 5864039 5865215 5866847 "VIEWDEF" 5869757 T VIEWDEF (NIL) |package| NIL NIL) (|ThreeDimensionalViewport| 5846572 5849692 5853267 "VIEW3D" 5860528 T VIEW3D (NIL) |domain| NIL NIL) (|TwoDimensionalViewport| 5833806 5836238 5838887 "VIEW2D" 5843983 T VIEW2D (NIL) |domain| NIL NIL) (|Vector| 5827444 5833462 5833597 "VECTOR" 5833713 NIL VECTOR (NIL T) |domain| NIL NIL) (|VectorFunctions2| 5825414 5825736 5826181 "VECTOR2" 5827075 NIL VECTOR2 (NIL T T) |package| NIL NIL) (|VectorCategory| 5816108 5822005 5822077 "VECTCAT" 5823751 NIL VECTCAT (NIL T) |category| NIL 5824534) (|VectorCategory&| 5814814 5815106 5815649 "VECTCAT-" 5815654 NIL VECTCAT- (NIL T T) |domain| NIL NIL) (|Variable| 5814055 5814266 5814459 "VARIABLE" 5814669 NIL VARIABLE (NIL NIL) |domain| NIL NIL) (|UnivariateTaylorSeriesCZero| 5801822 5810256 5811109 "UTSZ" 5813302 NIL UTSZ (NIL T NIL) |domain| NIL NIL) (|TaylorSolve| 5801064 5801131 5801407 "UTSSOL" 5801731 NIL UTSSOL (NIL T T T) |package| NIL NIL) (|UTSodetools| 5798889 5799092 5799547 "UTSODETL" 5800806 NIL UTSODETL (NIL T T T T) |package| NIL NIL) (|UnivariateTaylorSeriesODESolver| 5794661 5795257 5796077 "UTSODE" 5798234 NIL UTSODE (NIL T T) |package| NIL NIL) (|UnivariateTaylorSeries| 5782229 5790667 5791520 "UTS" 5793908 NIL UTS (NIL T NIL NIL) |domain| NIL NIL) (|UnivariateTaylorSeriesCategory| 5768355 5776176 5776280 "UTSCAT" 5778393 NIL UTSCAT (NIL T) |category| NIL 5779639) (|UnivariateTaylorSeriesCategory&| 5764842 5765655 5767071 "UTSCAT-" 5767076 NIL UTSCAT- (NIL T T) |domain| NIL NIL) (|UnivariateTaylorSeriesFunctions2| 5764150 5764200 5764472 "UTS2" 5764768 NIL UTS2 (NIL T T T T) |package| NIL NIL) (|UnaryRecursiveAggregate| 5755319 5758920 5759010 "URAGG" 5762629 NIL URAGG (NIL T) |category| NIL 5763716) (|UnaryRecursiveAggregate&| 5750990 5752094 5753762 "URAGG-" 5753767 NIL URAGG- (NIL T T) |domain| NIL NIL) (|UnivariatePuiseuxSeriesWithExponentialSingularity| 5743711 5748347 5749279 "UPXSSING" 5750413 NIL UPXSSING (NIL T T NIL NIL) |domain| NIL NIL) (|UnivariatePuiseuxSeries| 5731969 5742201 5742697 "UPXS" 5743317 NIL UPXS (NIL T NIL NIL) |domain| NIL NIL) (|UnivariatePuiseuxSeriesConstructor| 5722060 5731704 5731906 "UPXSCONS" 5731911 NIL UPXSCONS (NIL T T) |domain| NIL NIL) (|UnivariatePuiseuxSeriesConstructorCategory| 5707147 5716740 5716915 "UPXSCCA" 5718354 NIL UPXSCCA (NIL T T) |category| NIL 5718768) (|UnivariatePuiseuxSeriesConstructorCategory&| 5706504 5706614 5706990 "UPXSCCA-" 5706995 NIL UPXSCCA- (NIL T T T) |domain| NIL NIL) (|UnivariatePuiseuxSeriesCategory| 5691688 5700975 5701081 "UPXSCAT" 5702316 NIL UPXSCAT (NIL T) |category| NIL 5703288) (|UnivariatePuiseuxSeriesFunctions2| 5690716 5690842 5691154 "UPXS2" 5691538 NIL UPXS2 (NIL T T NIL NIL NIL NIL) |package| NIL NIL) (|UnivariatePolynomialSquareFree| 5688559 5688876 5689444 "UPSQFREE" 5690365 NIL UPSQFREE (NIL T T) |package| NIL NIL) (|UnivariatePowerSeriesCategory| 5679147 5683281 5683413 "UPSCAT" 5685608 NIL UPSCAT (NIL T T) |category| NIL 5686699) (|UnivariatePowerSeriesCategory&| 5677796 5678109 5678710 "UPSCAT-" 5678715 NIL UPSCAT- (NIL T T T) |domain| NIL NIL) (|UnivariatePolynomialCategory| 5653840 5666725 5666825 "UPOLYC" 5670942 NIL UPOLYC (NIL T) |category| NIL 5673035) (|UnivariatePolynomialCategory&| 5638459 5642606 5648286 "UPOLYC-" 5648291 NIL UPOLYC- (NIL T T) |domain| NIL NIL) (|UnivariatePolynomialCategoryFunctions2| 5637757 5637807 5638087 "UPOLYC2" 5638385 NIL UPOLYC2 (NIL T T T T) |package| NIL NIL) (|UnivariatePolynomial| 5623978 5637001 5637254 "UP" 5637590 NIL UP (NIL NIL T) |domain| NIL NIL) (|UnivariatePolynomialMultiplicationPackage| 5622663 5622826 5623178 "UPMP" 5623781 NIL UPMP (NIL T T) |package| NIL NIL) (|UnivariatePolynomialDivisionPackage| 5621859 5621970 5622258 "UPDIVP" 5622528 NIL UPDIVP (NIL T T) |package| NIL NIL) (|UnivariatePolynomialDecompositionPackage| 5619032 5619422 5620051 "UPDECOMP" 5621425 NIL UPDECOMP (NIL T T) |package| NIL NIL) (|UnivariatePolynomialCommonDenominator| 5617507 5617665 5618050 "UPCDEN" 5618840 NIL UPCDEN (NIL T T T) |package| NIL NIL) (|UnivariatePolynomialFunctions2| 5616667 5616777 5617047 "UP2" 5617373 NIL UP2 (NIL NIL T NIL T) |package| NIL NIL) (|UniversalSegment| 5614585 5615418 5615853 "UNISEG" 5616294 NIL UNISEG (NIL T) |domain| NIL NIL) (|UniversalSegmentFunctions2| 5613282 5613474 5613815 "UNISEG2" 5614340 NIL UNISEG2 (NIL T T) |package| NIL NIL) (|UnivariateFactorize| 5611724 5611972 5612358 "UNIFACT" 5613000 NIL UNIFACT (NIL T) |package| NIL NIL) (|UnivariateLaurentSeries| 5587573 5610336 5610771 "ULS" 5611391 NIL ULS (NIL T NIL NIL) |domain| NIL NIL) (|UnivariateLaurentSeriesConstructor| 5570715 5587309 5587510 "ULSCONS" 5587515 NIL ULSCONS (NIL T T) |domain| NIL NIL) (|UnivariateLaurentSeriesConstructorCategory| 5545166 5561822 5561996 "ULSCCAT" 5563576 NIL ULSCCAT (NIL T T) |category| NIL 5564066) (|UnivariateLaurentSeriesConstructorCategory&| 5543627 5543950 5544667 "ULSCCAT-" 5544672 NIL ULSCCAT- (NIL T T T) |domain| NIL NIL) (|UnivariateLaurentSeriesCategory| 5528462 5537559 5537665 "ULSCAT" 5539327 NIL ULSCAT (NIL T) |category| NIL 5540489) (|UnivariateLaurentSeriesFunctions2| 5527490 5527616 5527928 "ULS2" 5528312 NIL ULS2 (NIL T T NIL NIL NIL NIL) |package| NIL NIL) (|UnivariateFormalPowerSeries| 5515460 5523956 5524828 "UFPS" 5526702 NIL UFPS (NIL T) |domain| NIL NIL) (|UnivariateFormalPowerSeriesFunctions| 5514734 5514868 5515128 "UFPS1" 5515302 NIL UFPS1 (NIL T) |package| NIL NIL) (|UniqueFactorizationDomain| 5512153 5513568 5513648 "UFD" 5514053 T UFD (NIL) |category| NIL 5514253) (|UniqueFactorizationDomain&| 5511776 5511841 5512046 "UFD-" 5512051 NIL UFD- (NIL T) |domain| NIL NIL) (|UserDefinedVariableOrdering| 5510224 5510483 5510872 "UDVO" 5511457 T UDVO (NIL) |package| NIL NIL) (|UserDefinedPartialOrdering| 5506821 5507345 5508053 "UDPO" 5509605 NIL UDPO (NIL T) |package| NIL NIL) (|U8Vector| 5500664 5506692 5506770 "U8VEC" 5506775 T U8VEC (NIL) |domain| NIL NIL) (|U8Matrix| 5494945 5500275 5500441 "U8MAT" 5500530 T U8MAT (NIL) |domain| NIL NIL) (|U32Vector| 5488786 5494814 5494894 "U32VEC" 5494899 T U32VEC (NIL) |domain| NIL NIL) (|U32Matrix| 5483048 5488390 5488560 "U32MAT" 5488650 T U32MAT (NIL) |domain| NIL NIL) (|U16Vector| 5476889 5482917 5482997 "U16VEC" 5483002 T U16VEC (NIL) |domain| NIL NIL) (|U16Matrix| 5471151 5476493 5476663 "U16MAT" 5476753 T U16MAT (NIL) |domain| NIL NIL) (|Type| 5471054 5471059 5471097 "TYPE" 5471102 T TYPE (NIL) |category| NIL NIL) (|TwoFactorize| 5468438 5468966 5469597 "TWOFACT" 5470492 NIL TWOFACT (NIL T) |package| NIL NIL) (|Tuple| 5466975 5467438 5467771 "TUPLE" 5468145 NIL TUPLE (NIL T) |domain| NIL NIL) (|TubePlotTools| 5462989 5463861 5464839 "TUBETOOL" 5466039 T TUBETOOL (NIL) |package| NIL NIL) (|TubePlot| 5461054 5461340 5461744 "TUBE" 5462654 NIL TUBE (NIL T) |domain| NIL NIL) (|TaylorSeries| 5453411 5459337 5459807 "TS" 5460638 NIL TS (NIL T) |domain| NIL NIL) (|TriangularSetCategory| 5433693 5439492 5439696 "TSETCAT" 5450475 NIL TSETCAT (NIL T T T T) |category| NIL 5452889) (|TriangularSetCategory&| 5425925 5428090 5431009 "TSETCAT-" 5431014 NIL TSETCAT- (NIL T T T T T) |domain| NIL NIL) (|TranscendentalManipulations| 5415644 5416725 5418184 "TRMANIP" 5424651 NIL TRMANIP (NIL T T) |package| NIL NIL) (|TriangularMatrixOperations| 5414555 5414645 5414967 "TRIMAT" 5415525 NIL TRIMAT (NIL T T T T) |package| NIL NIL) (|TrigonometricManipulations| 5410133 5410427 5411111 "TRIGMNIP" 5414154 NIL TRIGMNIP (NIL T T) |package| NIL NIL) (|TrigonometricFunctionCategory| 5409329 5409442 5409530 "TRIGCAT" 5409959 T TRIGCAT (NIL) |category| NIL NIL) (|TrigonometricFunctionCategory&| 5408848 5408927 5409183 "TRIGCAT-" 5409188 NIL TRIGCAT- (NIL T) |domain| NIL NIL) (|Tree| 5404301 5407014 5407482 "TREE" 5408425 NIL TREE (NIL T) |domain| NIL NIL) (|TranscendentalFunctionCategory| 5403171 5403722 5403812 "TRANFUN" 5403883 T TRANFUN (NIL) |category| NIL 5404101) (|TranscendentalFunctionCategory&| 5402183 5402388 5402836 "TRANFUN-" 5402841 NIL TRANFUN- (NIL T) |domain| NIL NIL) (|TopLevelThreeSpace| 5401774 5401835 5401973 "TOPSP" 5402097 T TOPSP (NIL) |package| NIL NIL) (|ToolsForSign| 5400777 5400932 5401175 "TOOLSIGN" 5401585 NIL TOOLSIGN (NIL T) |package| NIL NIL) (|TextFile| 5398760 5399459 5399855 "TEXTFILE" 5400413 T TEXTFILE (NIL) |domain| NIL NIL) (|TexFormat| 5395569 5396247 5396936 "TEX" 5398105 T TEX (NIL) |domain| NIL NIL) (|TexFormat1| 5395215 5395255 5395376 "TEX1" 5395505 NIL TEX1 (NIL T) |package| NIL NIL) (|TemplateUtilities| 5394554 5394659 5394843 "TEMUTL" 5395081 T TEMUTL (NIL) |package| NIL NIL) (|TabulatedComputationPackage| 5391288 5391681 5392255 "TBCMPPK" 5394092 NIL TBCMPPK (NIL T T) |package| NIL NIL) (|TableAggregate| 5380085 5388417 5388517 "TBAGG" 5389185 NIL TBAGG (NIL T T) |category| NIL 5389485) (|TableAggregate&| 5373380 5375296 5377749 "TBAGG-" 5377754 NIL TBAGG- (NIL T T T) |domain| NIL NIL) (|TangentExpansions| 5372336 5372493 5372749 "TANEXP" 5373189 NIL TANEXP (NIL T) |package| NIL NIL) (|Table| 5363667 5372083 5372241 "TABLE" 5372246 NIL TABLE (NIL T T) |domain| NIL NIL) (|Tableau| 5362768 5362897 5363111 "TABLEAU" 5363504 NIL TABLEAU (NIL T) |domain| NIL NIL) (|TableauxBumpers| 5355492 5356965 5358588 "TABLBUMP" 5361211 NIL TABLBUMP (NIL T) |package| NIL NIL) (|SystemSolvePackage| 5349578 5350666 5351964 "SYSSOLP" 5354270 NIL SYSSOLP (NIL T) |package| NIL NIL) (|SymbolTable| 5345097 5345982 5347013 "SYMTAB" 5348585 T SYMTAB (NIL) |domain| NIL NIL) (|TheSymbolTable| 5337352 5338662 5340322 "SYMS" 5343481 T SYMS (NIL) |domain| NIL NIL) (|SymmetricPolynomial| 5333248 5336386 5336791 "SYMPOLY" 5337015 NIL SYMPOLY (NIL T) |domain| NIL NIL) (|SymmetricFunctions| 5332474 5332574 5332781 "SYMFUNC" 5333107 NIL SYMFUNC (NIL T) |package| NIL NIL) (|Symbol| 5326538 5328248 5329549 "SYMBOL" 5331201 T SYMBOL (NIL) |domain| NIL NIL) (|Switch| 5317564 5319862 5322278 "SWITCH" 5324150 T SWITCH (NIL) |domain| NIL NIL) (|SparseUnivariateTaylorSeries| 5307328 5315485 5316033 "SUTS" 5317128 NIL SUTS (NIL T NIL NIL) |domain| NIL NIL) (|SparseUnivariatePuiseuxSeries| 5295471 5305764 5306284 "SUPXS" 5306922 NIL SUPXS (NIL T NIL NIL) |domain| NIL NIL) (|SparseUnivariatePolynomial| 5281706 5294725 5294990 "SUP" 5295288 NIL SUP (NIL T) |domain| NIL NIL) (|SupFractionFactorizer| 5279909 5280174 5280641 "SUPFRACF" 5281412 NIL SUPFRACF (NIL T T T T) |package| NIL NIL) (|SparseUnivariatePolynomialExpressions| 5264586 5279440 5279724 "SUPEXPR" 5279729 NIL SUPEXPR (NIL T) |domain| NIL NIL) (|SparseUnivariatePolynomialFunctions2| 5263804 5263916 5264168 "SUP2" 5264450 NIL SUP2 (NIL T T) |package| NIL NIL) (|RationalFunctionSum| 5261009 5261459 5262104 "SUMRF" 5263291 NIL SUMRF (NIL T) |package| NIL NIL) (|FunctionSpaceSum| 5259642 5259722 5260136 "SUMFS" 5260892 NIL SUMFS (NIL T T) |package| NIL NIL) (|SparseUnivariateLaurentSeries| 5234745 5258212 5258665 "SULS" 5259303 NIL SULS (NIL T NIL NIL) |domain| NIL NIL) (|SuchThat| 5233760 5233999 5234211 "SUCH" 5234607 NIL SUCH (NIL T T) |domain| NIL NIL) (|SubSpace| 5223313 5224891 5226652 "SUBSPACE" 5232070 NIL SUBSPACE (NIL NIL T) |domain| NIL NIL) (|SubResultantPackage| 5222248 5222388 5222694 "SUBRESP" 5223128 NIL SUBRESP (NIL T T) |package| NIL NIL) (|StreamTranscendentalFunctions| 5212327 5213852 5215647 "STTF" 5220569 NIL STTF (NIL T) |package| NIL NIL) (|StreamTranscendentalFunctionsNonCommutative| 5203142 5204451 5206058 "STTFNC" 5210864 NIL STTFNC (NIL T) |package| NIL NIL) (|StreamTaylorSeriesOperations| 5190108 5192507 5195043 "STTAYLOR" 5200692 NIL STTAYLOR (NIL T) |package| NIL NIL) (|StringTable| 5180908 5189852 5190007 "STRTBL" 5190012 NIL STRTBL (NIL T) |domain| NIL NIL) (|String| 5173778 5180835 5180883 "STRING" 5180888 T STRING (NIL) |domain| NIL NIL) (|StringCategory| 5165609 5172580 5172638 "STRICAT" 5172734 T STRICAT (NIL) |category| |String| 5172850) (|Stream| 5154845 5161662 5162656 "STREAM" 5164657 NIL STREAM (NIL T) |domain| NIL NIL) (|StreamFunctions3| 5154140 5154233 5154440 "STREAM3" 5154728 NIL STREAM3 (NIL T T T) |package| NIL NIL) (|StreamFunctions2| 5152681 5152904 5153237 "STREAM2" 5153883 NIL STREAM2 (NIL T T) |package| NIL NIL) (|StreamFunctions1| 5152210 5152274 5152424 "STREAM1" 5152593 NIL STREAM1 (NIL T) |package| NIL NIL) (|StreamTensor| 5151674 5151761 5151926 "STNSR" 5152099 NIL STNSR (NIL T) |package| NIL NIL) (|StreamInfiniteProduct| 5149876 5150153 5150583 "STINPROD" 5151358 NIL STINPROD (NIL T) |package| NIL NIL) (|StepThrough| 5149267 5149492 5149544 "STEP" 5149666 T STEP (NIL) |category| NIL 5149794) (|SparseTable| 5140696 5149112 5149232 "STBL" 5149237 NIL STBL (NIL T T NIL) |domain| NIL NIL) (|StreamAggregate| 5133679 5139433 5139507 "STAGG" 5139780 NIL STAGG (NIL T) |category| NIL 5139966) (|StreamAggregate&| 5130573 5131304 5132535 "STAGG-" 5132540 NIL STAGG- (NIL T T) |domain| NIL NIL) (|Stack| 5120576 5122738 5124448 "STACK" 5128910 NIL STACK (NIL T) |domain| NIL NIL) (|SquareFreeRegularTriangularSet| 5109512 5117098 5117907 "SREGSET" 5119967 NIL SREGSET (NIL T T T T) |domain| NIL NIL) (|SquareFreeRegularSetDecompositionPackage| 5096888 5098720 5101010 "SRDCMPK" 5107510 NIL SRDCMPK (NIL T T T T T) |package| NIL NIL) (|StringAggregate| 5085434 5092408 5092468 "SRAGG" 5094712 T SRAGG (NIL) |category| NIL 5095783) (|StringAggregate&| 5083927 5084290 5084896 "SRAGG-" 5084901 NIL SRAGG- (NIL T) |domain| NIL NIL) (|SquareMatrix| 5075732 5082182 5082863 "SQMATRIX" 5083328 NIL SQMATRIX (NIL NIL T) |domain| NIL NIL) (|SplittingTree| 5065826 5070157 5071342 "SPLTREE" 5074677 NIL SPLTREE (NIL T T) |domain| NIL NIL) (|SplittingNode| 5059380 5060227 5061230 "SPLNODE" 5064953 NIL SPLNODE (NIL T T) |domain| NIL NIL) (|SpecialFunctionCategory| 5057826 5058094 5058170 "SPFCAT" 5059011 T SPFCAT (NIL) |category| NIL NIL) (|SpecialOutputPackage| 5055585 5055898 5056396 "SPECOUT" 5057384 T SPECOUT (NIL) |package| NIL NIL) (|ThreeSpaceCategory| 5042729 5045181 5045261 "SPACEC" 5052612 NIL SPACEC (NIL T) |category| |ThreeSpace| 5055503) (|ThreeSpace| 5040150 5042616 5042695 "SPACE3" 5042700 NIL SPACE3 (NIL T) |domain| NIL NIL) (|SortPackage| 5037989 5038219 5038705 "SORTPAK" 5039850 NIL SORTPAK (NIL T T) |package| NIL NIL) (|TransSolvePackage| 5034527 5034985 5035719 "SOLVETRA" 5037448 NIL SOLVETRA (NIL T) |package| NIL NIL) (|TransSolvePackageService| 5032393 5032871 5033490 "SOLVESER" 5034020 NIL SOLVESER (NIL T) |package| NIL NIL) (|RadicalSolvePackage| 5024039 5025406 5027132 "SOLVERAD" 5030793 NIL SOLVERAD (NIL T) |package| NIL NIL) (|PolynomialSolveByFormulas| 5017391 5018097 5019143 "SOLVEFOR" 5023192 NIL SOLVEFOR (NIL T T) |package| NIL NIL) (|SquareFreeNormalizedTriangularSetCategory| 5009161 5016246 5016485 "SNTSCAT" 5016490 NIL SNTSCAT (NIL T T T T) |category| NIL 5016627) (|SparseMultivariateTaylorSeries| 5000309 5006128 5006784 "SMTS" 5008679 NIL SMTS (NIL T T T) |domain| NIL NIL) (|SparseMultivariatePolynomial| 4991700 5000078 5000244 "SMP" 5000249 NIL SMP (NIL T T) |domain| NIL NIL) (|SmithNormalForm| 4988773 4989143 4989739 "SMITH" 4991286 NIL SMITH (NIL T T T T) |package| NIL NIL) (|SquareMatrixCategory| 4977728 4983761 4983959 "SMATCAT" 4986501 NIL SMATCAT (NIL NIL T T T) |category| NIL 4987341) (|SquareMatrixCategory&| 4972951 4974101 4976028 "SMATCAT-" 4976033 NIL SMATCAT- (NIL T NIL T T T) |domain| NIL NIL) (|StackAggregate| 4969704 4971810 4971882 "SKAGG" 4972300 NIL SKAGG (NIL T) |category| NIL 4972523) (|SingleInteger| 4964213 4968329 4968769 "SINT" 4969306 T SINT (NIL) |domain| NIL NIL) (|SimplifyAlgebraicNumberConvertPackage| 4963695 4963765 4963949 "SIMPAN" 4964119 T SIMPAN (NIL) |package| NIL NIL) (|RationalFunctionSign| 4961749 4962095 4962568 "SIGNRF" 4963297 NIL SIGNRF (NIL T) |package| NIL NIL) (|ElementaryFunctionSign| 4959534 4959740 4960292 "SIGNEF" 4961491 NIL SIGNEF (NIL T T) |package| NIL NIL) (|SturmHabichtPackage| 4955048 4955891 4956886 "SHP" 4958640 NIL SHP (NIL T NIL) |package| NIL NIL) (|SplitHomogeneousDirectProduct| 4946324 4954806 4955006 "SHDP" 4955011 NIL SHDP (NIL NIL NIL T) |domain| NIL NIL) (|SemiGroup| 4945563 4945807 4945855 "SGROUP" 4946093 T SGROUP (NIL) |category| NIL 4946242) (|SemiGroup&| 4945201 4945275 4945444 "SGROUP-" 4945449 NIL SGROUP- (NIL T) |domain| NIL NIL) (|SymmetricGroupCombinatoricFunctions| 4939448 4940591 4941918 "SGCF" 4943960 T SGCF (NIL) |package| NIL NIL) (|SquareFreeRegularTriangularSetCategory| 4931425 4938510 4938743 "SFRTCAT" 4938748 NIL SFRTCAT (NIL T T T T) |category| |SquareFreeRegularTriangularSet| 4938815) (|SquareFreeRegularTriangularSetGcdPackage| 4919438 4920875 4922745 "SFRGCD" 4929833 NIL SFRGCD (NIL T T T T T) |package| NIL NIL) (|SquareFreeQuasiComponentPackage| 4907195 4908692 4910580 "SFQCMPK" 4917810 NIL SFQCMPK (NIL T T T T T) |package| NIL NIL) (|SimpleFortranProgram| 4906492 4906627 4906852 "SFORT" 4907074 NIL SFORT (NIL T T) |domain| NIL NIL) (|SExpressionOf| 4905406 4906240 4906437 "SEXOF" 4906442 NIL SEXOF (NIL T T T T T) |domain| NIL NIL) (|SExpression| 4904241 4905183 4905311 "SEX" 4905316 T SEX (NIL) |domain| NIL NIL) (|SExpressionCategory| 4895204 4896032 4896205 "SEXCAT" 4903233 NIL SEXCAT (NIL T T T T T) |category| NIL 4904159) (|Set| 4891208 4895098 4895170 "SET" 4895175 NIL SET (NIL T) |domain| NIL NIL) (|SetOfMIntegersInOneToN| 4888003 4888760 4889384 "SETMN" 4890694 NIL SETMN (NIL NIL NIL) |domain| NIL NIL) (|SetCategory| 4887399 4887555 4887607 "SETCAT" 4887792 T SETCAT (NIL) |category| NIL 4887943) (|SetCategory&| 4887059 4887127 4887291 "SETCAT-" 4887296 NIL SETCAT- (NIL T) |domain| NIL NIL) (|SetCategoryWithDegree| 4886507 4886703 4886775 "SETCATD" 4886886 T SETCATD (NIL) |category| NIL 4886977) (|SetAggregate| 4881111 4884024 4884099 "SETAGG" 4885542 NIL SETAGG (NIL T) |category| NIL 4886073) (|SetAggregate&| 4880341 4880482 4880839 "SETAGG-" 4880844 NIL SETAGG- (NIL T T) |domain| NIL NIL) (|SparseEchelonMatrix| 4868374 4870241 4872455 "SEM" 4878215 NIL SEM (NIL T T) |domain| NIL NIL) (|SegmentExpansionCategory| 4867161 4867483 4867613 "SEGXCAT" 4868146 NIL SEGXCAT (NIL T T) |category| NIL 4868325) (|Segment| 4865902 4866644 4866922 "SEG" 4866927 NIL SEG (NIL T) |domain| NIL NIL) (|SegmentCategory| 4864344 4864574 4864648 "SEGCAT" 4865560 NIL SEGCAT (NIL T) |category| NIL 4865884) (|SegmentBinding| 4862956 4863384 4863690 "SEGBIND" 4864096 NIL SEGBIND (NIL T) |domain| NIL NIL) (|SegmentBindingFunctions2| 4862306 4862394 4862598 "SEGBIND2" 4862844 NIL SEGBIND2 (NIL T T) |package| NIL NIL) (|SegmentFunctions2| 4861155 4861318 4861612 "SEG2" 4862090 NIL SEG2 (NIL T T) |package| NIL NIL) (|SequentialDifferentialVariable| 4860331 4860976 4861111 "SDVAR" 4861116 NIL SDVAR (NIL T) |domain| NIL NIL) (|SequentialDifferentialPolynomial| 4847016 4859750 4860085 "SDPOL" 4860090 NIL SDPOL (NIL T) |domain| NIL NIL) (|StochasticDifferential| 4839775 4841323 4842554 "SD" 4845893 NIL SD (NIL T) |domain| NIL NIL) (|StructuralConstantsPackage| 4837383 4837775 4838337 "SCPKG" 4839296 NIL SCPKG (NIL T) |package| NIL NIL) (|SimpleCell| 4834362 4834736 4835297 "SCELL" 4836926 NIL SCELL (NIL T T) |domain| NIL NIL) (|SortedCache| 4833107 4833285 4833579 "SCACHE" 4834127 NIL SCACHE (NIL T) |package| NIL NIL) (|SingletonAsOrderedSet| 4832306 4832673 4832838 "SAOS" 4833000 T SAOS (NIL) |domain| NIL NIL) (|SAERationalFunctionAlgFactor| 4831430 4831474 4831848 "SAERFFC" 4832238 NIL SAERFFC (NIL T T T) |package| NIL NIL) (|SimpleAlgebraicExtension| 4822607 4831219 4831393 "SAE" 4831398 NIL SAE (NIL T T NIL) |domain| NIL NIL) (|SimpleAlgebraicExtensionAlgFactor| 4821776 4821820 4822174 "SAEFACT" 4822539 NIL SAEFACT (NIL T T T) |package| NIL NIL) (|RationalUnivariateRepresentationPackage| 4818705 4819238 4819997 "RURPK" 4821193 NIL RURPK (NIL T NIL) |package| NIL NIL) (|Ruleset| 4816531 4816879 4817377 "RULESET" 4818455 NIL RULESET (NIL T T T) |domain| NIL NIL) (|RewriteRule| 4811923 4812561 4813297 "RULE" 4816051 NIL RULE (NIL T T T) |domain| NIL NIL) (|RuleCalled| 4811415 4811604 4811736 "RULECOLD" 4811843 NIL RULECOLD (NIL NIL) |domain| NIL NIL) (|RegularTriangularSetGcdPackage| 4802329 4803418 4804895 "RSETGCD" 4810196 NIL RSETGCD (NIL T T T T T) |package| NIL NIL) (|RegularTriangularSetCategory| 4784322 4791407 4791620 "RSETCAT" 4800054 NIL RSETCAT (NIL T T T T) |category| NIL 4801755) (|RegularTriangularSetCategory&| 4781272 4781975 4783274 "RSETCAT-" 4783279 NIL RSETCAT- (NIL T T T T T) |domain| NIL NIL) (|RegularSetDecompositionPackage| 4768871 4770715 4772987 "RSDCMPK" 4779258 NIL RSDCMPK (NIL T T T T T) |package| NIL NIL) (|RealRootCharacterizationCategory| 4765282 4765859 4766037 "RRCC" 4768257 NIL RRCC (NIL T T) |category| |RightOpenIntervalRootCharacterization| 4768789) (|RealRootCharacterizationCategory&| 4764251 4764482 4764988 "RRCC-" 4764993 NIL RRCC- (NIL T T T) |domain| NIL NIL) (|RecursivePolynomialCategory| 4719157 4733462 4733613 "RPOLCAT" 4754943 NIL RPOLCAT (NIL T T T) |category| NIL 4760098) (|RecursivePolynomialCategory&| 4706237 4709493 4714418 "RPOLCAT-" 4714423 NIL RPOLCAT- (NIL T T T T) |domain| NIL NIL) (|RoutinesTable| 4692808 4702843 4703795 "ROUTINE" 4705327 T ROUTINE (NIL) |domain| NIL NIL) (|RomanNumeral| 4688124 4692017 4692299 "ROMAN" 4692566 T ROMAN (NIL) |domain| NIL NIL) (|RightOpenIntervalRootCharacterization| 4685126 4685873 4686363 "ROIRC" 4687807 NIL ROIRC (NIL T T) |domain| NIL NIL) (|RealNumberSystem| 4679488 4682682 4682744 "RNS" 4683274 T RNS (NIL) |category| NIL 4683765) (|RealNumberSystem&| 4677088 4677643 4678526 "RNS-" 4678681 NIL RNS- (NIL T) |domain| NIL NIL) (|Rng| 4676282 4676794 4676830 "RNG" 4676835 T RNG (NIL) |category| NIL 4676876) (|RightModule| 4675418 4675862 4675927 "RMODULE" 4676017 NIL RMODULE (NIL T) |category| NIL 4676090) (|RectangularMatrixCategoryFunctions2| 4673336 4673447 4674042 "RMCAT2" 4675278 NIL RMCAT2 (NIL NIL NIL T T T T T T T T) |package| NIL NIL) (|RectangularMatrix| 4668463 4671924 4672477 "RMATRIX" 4672903 NIL RMATRIX (NIL NIL NIL T) |domain| NIL NIL) (|RectangularMatrixCategory| 4656586 4659707 4659943 "RMATCAT" 4666375 NIL RMATCAT (NIL NIL NIL T T T) |category| NIL 4667891) (|RectangularMatrixCategory&| 4655476 4655707 4656284 "RMATCAT-" 4656289 NIL RMATCAT- (NIL T NIL NIL T T T) |domain| NIL NIL) (|RationalInterpolation| 4654680 4654813 4655059 "RINTERP" 4655319 NIL RINTERP (NIL NIL T) |package| NIL NIL) (|Ring| 4653264 4654009 4654047 "RING" 4654232 T RING (NIL) |category| NIL 4654414) (|Ring&| 4652951 4653011 4653155 "RING-" 4653160 NIL RING- (NIL T) |domain| NIL NIL) (|RandomIntegerDistributions| 4651003 4651351 4651808 "RIDIST" 4652562 T RIDIST (NIL) |package| NIL NIL) (|RegularChain| 4632482 4649884 4650328 "RGCHAIN" 4650643 NIL RGCHAIN (NIL T NIL) |domain| NIL NIL) (|RootsFindingPackage| 4630377 4630769 4631270 "RFP" 4632050 NIL RFP (NIL T) |package| NIL NIL) (|RationalFunction| 4625112 4626128 4627307 "RF" 4629270 NIL RF (NIL T) |package| NIL NIL) (|RationalFunctionFactorizer| 4624413 4624521 4624746 "RFFACTOR" 4624980 NIL RFFACTOR (NIL T) |package| NIL NIL) (|RationalFunctionFactor| 4623895 4623939 4624145 "RFFACT" 4624345 NIL RFFACT (NIL T) |package| NIL NIL) (|RandomFloatDistributions| 4620373 4620989 4621743 "RFDIST" 4623205 T RFDIST (NIL) |package| NIL NIL) (|RetractSolvePackage| 4619424 4619564 4619862 "RETSOL" 4620209 NIL RETSOL (NIL T T) |package| NIL NIL) (|RetractableTo| 4618802 4618903 4618973 "RETRACT" 4619275 NIL RETRACT (NIL T) |category| NIL NIL) (|RetractableTo&| 4618572 4618601 4618742 "RETRACT-" 4618747 NIL RETRACT- (NIL T T) |domain| NIL NIL) (|Result| 4608516 4617932 4618172 "RESULT" 4618360 T RESULT (NIL) |domain| NIL NIL) (|ResidueRing| 4606389 4607263 4607586 "RESRING" 4608361 NIL RESRING (NIL T T T T NIL) |domain| NIL NIL) (|ResolveLatticeCompletion| 4605805 4605860 4606034 "RESLATC" 4606293 NIL RESLATC (NIL T) |package| NIL NIL) (|RepeatedSquaring| 4605298 4605346 4605539 "REPSQ" 4605732 NIL REPSQ (NIL T) |package| NIL NIL) (|RadicalEigenPackage| 4600745 4601726 4602815 "REP" 4604263 T REP (NIL) |package| NIL NIL) (|RepeatedDoubling| 4600230 4600280 4600475 "REPDB" 4600670 NIL REPDB (NIL T) |package| NIL NIL) (|RepresentationPackage2| 4590753 4592621 4594474 "REP2" 4598451 NIL REP2 (NIL T) |package| NIL NIL) (|RepresentationPackage1| 4584415 4585470 4586905 "REP1" 4589392 NIL REP1 (NIL T) |package| NIL NIL) (|RegularTriangularSet| 4573492 4581077 4581856 "REGSET" 4583816 NIL REGSET (NIL T T T T) |domain| NIL NIL) (|Reference| 4571891 4572296 4572641 "REF" 4573195 NIL REF (NIL T) |domain| NIL NIL) (|ReductionOfOrder| 4570879 4570998 4571282 "REDORDER" 4571727 NIL REDORDER (NIL T T) |package| NIL NIL) (|RecurrenceOperator| 4565322 4565975 4566995 "RECOP" 4570173 NIL RECOP (NIL T T) |package| NIL NIL) (|RealClosure| 4558780 4563632 4564139 "RECLOS" 4564910 NIL RECLOS (NIL T) |domain| NIL NIL) (|RealSolvePackage| 4557253 4557520 4557879 "REALSOLV" 4558469 T REALSOLV (NIL) |package| NIL NIL) (|RealConstant| 4556988 4557045 4557099 "REAL" 4557104 T REAL (NIL) |category| NIL 4557176) (|RealZeroPackageQ| 4551373 4552571 4553982 "REAL0Q" 4555688 NIL REAL0Q (NIL T) |package| NIL NIL) (|RealZeroPackage| 4544299 4545782 4547473 "REAL0" 4549778 NIL REAL0 (NIL T) |package| NIL NIL) (|ReducedDivisor| 4543233 4543341 4543712 "RDIV" 4544167 NIL RDIV (NIL T T T T T) |package| NIL NIL) (|RandomDistributions| 4541739 4541981 4542332 "RDIST" 4542957 NIL RDIST (NIL T) |package| NIL NIL) (|TranscendentalRischDESystem| 4539552 4539937 4540541 "RDETRS" 4541325 NIL RDETRS (NIL T T) |package| NIL NIL) (|TranscendentalRischDE| 4536365 4536939 4537725 "RDETR" 4538944 NIL RDETR (NIL T T) |package| NIL NIL) (|ElementaryRischDESystem| 4534259 4534609 4535283 "RDEEFS" 4535991 NIL RDEEFS (NIL T T) |package| NIL NIL) (|ElementaryRischDE| 4532038 4532419 4533112 "RDEEF" 4533854 NIL RDEEF (NIL T T) |package| NIL NIL) (|RealClosedField| 4522466 4526778 4526838 "RCFIELD" 4529164 T RCFIELD (NIL) |category| NIL 4530577) (|RealClosedField&| 4519041 4519896 4521141 "RCFIELD-" 4521294 NIL RCFIELD- (NIL T) |domain| NIL NIL) (|RecursiveAggregate| 4513579 4516066 4516146 "RCAGG" 4517961 NIL RCAGG (NIL T) |category| NIL 4518641) (|RecursiveAggregate&| 4513068 4513173 4513424 "RCAGG-" 4513429 NIL RCAGG- (NIL T T) |domain| NIL NIL) (|RationalRetractions| 4511917 4512081 4512382 "RATRET" 4512869 NIL RATRET (NIL T) |package| NIL NIL) (|RationalFactorize| 4511094 4511189 4511426 "RATFACT" 4511793 NIL RATFACT (NIL T) |package| NIL NIL) (|RandomNumberSource| 4509958 4510118 4510386 "RANDSRC" 4510878 T RANDSRC (NIL) |package| NIL NIL) (|RadixUtilities| 4509511 4509575 4509708 "RADUTIL" 4509869 T RADUTIL (NIL) |package| NIL NIL) (|RadixExpansion| 4498357 4507363 4507926 "RADIX" 4509009 NIL RADIX (NIL NIL) |domain| NIL NIL) (|RadicalFunctionField| 4485653 4498027 4498310 "RADFF" 4498315 NIL RADFF (NIL T T T NIL NIL) |domain| NIL NIL) (|RadicalCategory| 4485093 4485189 4485249 "RADCAT" 4485512 T RADCAT (NIL) |category| NIL NIL) (|RadicalCategory&| 4484761 4484819 4484990 "RADCAT-" 4484995 NIL RADCAT- (NIL T) |domain| NIL NIL) (|Queue| 4474377 4476603 4478379 "QUEUE" 4483032 NIL QUEUE (NIL T) |domain| NIL NIL) (|Quaternion| 4469492 4474253 4474343 "QUAT" 4474348 NIL QUAT (NIL T) |domain| NIL NIL) (|QuaternionCategoryFunctions2| 4468816 4468866 4469128 "QUATCT2" 4469418 NIL QUATCT2 (NIL T T T T) |package| NIL NIL) (|QuaternionCategory| 4459182 4463881 4463972 "QUATCAT" 4465485 NIL QUATCAT (NIL T) |category| |Quaternion| 4466700) (|QuaternionCategory&| 4453331 4454729 4456910 "QUATCAT-" 4457113 NIL QUATCAT- (NIL T T) |domain| NIL NIL) (|QueueAggregate| 4449762 4451924 4451996 "QUAGG" 4452613 NIL QUAGG (NIL T) |category| NIL 4452903) (|QuadraticForm| 4448139 4448736 4449031 "QFORM" 4449549 NIL QFORM (NIL NIL T) |domain| NIL NIL) (|QuotientFieldCategory| 4433877 4441780 4441876 "QFCAT" 4443209 NIL QFCAT (NIL T) |category| NIL 4444854) (|QuotientFieldCategory&| 4426856 4428565 4431177 "QFCAT-" 4431385 NIL QFCAT- (NIL T T) |domain| NIL NIL) (|QuotientFieldCategoryFunctions2| 4426163 4426213 4426485 "QFCAT2" 4426782 NIL QFCAT2 (NIL T T T T) |package| NIL NIL) (|QueryEquation| 4425307 4425452 4425677 "QEQUAT" 4425980 T QEQUAT (NIL) |domain| NIL NIL) (|QuasiComponentPackage| 4413264 4414761 4416629 "QCMPACK" 4423679 NIL QCMPACK (NIL T T T T T) |package| NIL NIL) (|QuasiAlgebraicSet| 4408936 4409517 4410248 "QALGSET" 4412698 NIL QALGSET (NIL T T T T) |domain| NIL NIL) (|QuasiAlgebraicSet2| 4407197 4407607 4408146 "QALGSET2" 4408502 NIL QALGSET2 (NIL NIL NIL) |package| NIL NIL) (|PAdicWildFunctionFieldIntegralBasis| 4404887 4405183 4405750 "PWFFINTB" 4406867 NIL PWFFINTB (NIL T T T T) |package| NIL NIL) (|PushVariables| 4401912 4402107 4402660 "PUSHVAR" 4404624 NIL PUSHVAR (NIL T T T T) |package| NIL NIL) (|PartialTranscendentalFunctions| 4394724 4396092 4396222 "PTRANFN" 4400318 NIL PTRANFN (NIL T) |category| NIL NIL) (|PointPackage| 4392420 4392766 4393230 "PTPACK" 4394314 NIL PTPACK (NIL T) |package| NIL NIL) (|PointFunctions2| 4391869 4391939 4392107 "PTFUNC2" 4392326 NIL PTFUNC2 (NIL T T) |package| NIL NIL) (|PointCategory| 4384021 4390035 4390105 "PTCAT" 4390706 NIL PTCAT (NIL T) |category| |Point| 4390959) (|PolynomialSquareFree| 4383377 4383425 4383668 "PSQFR" 4383949 NIL PSQFR (NIL T T T T) |package| NIL NIL) (|PseudoLinearNormalForm| 4381202 4381618 4382143 "PSEUDLIN" 4382927 NIL PSEUDLIN (NIL T) |package| NIL NIL) (|PolynomialSetUtilitiesPackage| 4357092 4360550 4364355 "PSETPK" 4377600 NIL PSETPK (NIL T T T T) |package| NIL NIL) (|PolynomialSetCategory| 4345214 4349095 4349289 "PSETCAT" 4355352 NIL PSETCAT (NIL T T T T) |category| NIL 4356622) (|PolynomialSetCategory&| 4341970 4342847 4344143 "PSETCAT-" 4344148 NIL PSETCAT- (NIL T T T T T) |domain| NIL NIL) (|PlottableSpaceCurveCategory| 4340790 4341038 4341122 "PSCURVE" 4341635 T PSCURVE (NIL) |category| |Plot3D| 4341930) (|PowerSeriesCategory| 4335066 4337119 4337251 "PSCAT" 4338863 NIL PSCAT (NIL T T T) |category| NIL 4339245) (|PowerSeriesCategory&| 4333759 4334023 4334624 "PSCAT-" 4334629 NIL PSCAT- (NIL T T T T) |domain| NIL NIL) (|Partition| 4331788 4332569 4332943 "PRTITION" 4333419 T PRTITION (NIL) |domain| NIL NIL) (|ProjectiveSpaceCategory| 4326934 4327831 4327922 "PRSPCAT" 4330713 NIL PRSPCAT (NIL T) |category| NIL 4331674) (|PseudoRemainderSequence| 4308327 4311490 4314920 "PRS" 4323633 NIL PRS (NIL T T) |package| NIL NIL) (|PriorityQueueAggregate| 4305246 4307305 4307399 "PRQAGG" 4307731 NIL PRQAGG (NIL T) |category| |Heap| 4307899) (|ProjectiveSpace| 4304180 4305084 4305207 "PROJSP" 4305212 NIL PROJSP (NIL NIL T) |domain| NIL NIL) (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| 4302588 4303874 4304101 "PROJPLPS" 4304106 NIL PROJPLPS (NIL T) |domain| NIL NIL) (|ProjectivePlane| 4301528 4302454 4302549 "PROJPL" 4302554 NIL PROJPL (NIL T) |domain| NIL NIL) (|Product| 4292552 4298779 4299985 "PRODUCT" 4300394 NIL PRODUCT (NIL T T) |domain| NIL NIL) (|PolynomialRing| 4288577 4291609 4292007 "PR" 4292242 NIL PR (NIL T T) |domain| NIL NIL) (|ProjectiveAlgebraicSetPackage| 4285824 4286063 4286625 "PRJALGPK" 4288299 NIL PRJALGPK (NIL T NIL T T T) |package| NIL NIL) (|PrintPackage| 4285486 4285529 4285637 "PRINT" 4285756 T PRINT (NIL) |package| NIL NIL) (|IntegerPrimesPackage| 4284373 4284515 4284781 "PRIMES" 4285305 NIL PRIMES (NIL T) |package| NIL NIL) (|PrimitiveElement| 4281095 4281727 4282530 "PRIMELT" 4283665 NIL PRIMELT (NIL T) |package| NIL NIL) (|PrimitiveFunctionCategory| 4280597 4280665 4280745 "PRIMCAT" 4280975 T PRIMCAT (NIL) |category| NIL NIL) (|PrimitiveArray| 4275169 4280456 4280553 "PRIMARR" 4280558 NIL PRIMARR (NIL T) |domain| NIL NIL) (|PrimitiveArrayFunctions2| 4273510 4273773 4274162 "PRIMARR2" 4274872 NIL PRIMARR2 (NIL T T) |package| NIL NIL) (|PrecomputedAssociatedEquations| 4272730 4272826 4273103 "PREASSOC" 4273390 NIL PREASSOC (NIL T T) |package| NIL NIL) (|PlottablePlaneCurveCategory| 4271773 4271973 4272057 "PPCURVE" 4272448 T PPCURVE (NIL) |category| NIL 4272690) (|U32VectorPolynomialOperations| 4261703 4263599 4265747 "POLYVEC" 4269699 T POLYVEC (NIL) |package| NIL NIL) (|PolynomialRoots| 4257293 4257895 4258850 "POLYROOT" 4261046 NIL POLYROOT (NIL T T T T T) |package| NIL NIL) (|Polynomial| 4247881 4256647 4256905 "POLY" 4257085 NIL POLY (NIL T) |domain| NIL NIL) (|PolynomialCategoryLifting| 4246833 4246905 4247315 "POLYLIFT" 4247785 NIL POLYLIFT (NIL T T T T T) |package| NIL NIL) (|PolynomialCategoryQuotientFunctions| 4240326 4240987 4242055 "POLYCATQ" 4246093 NIL POLYCATQ (NIL T T T T T) |package| NIL NIL) (|PolynomialCategory| 4218016 4226212 4226345 "POLYCAT" 4233241 NIL POLYCAT (NIL T T T) |category| NIL 4236495) (|PolynomialCategory&| 4207545 4210365 4214270 "POLYCAT-" 4214275 NIL POLYCAT- (NIL T T T T) |domain| NIL NIL) (|PolynomialToUnivariatePolynomial| 4206771 4206884 4207131 "POLY2UP" 4207408 NIL POLY2UP (NIL NIL T) |package| NIL NIL) (|PolynomialFunctions2| 4206165 4206245 4206433 "POLY2" 4206667 NIL POLY2 (NIL T T) |package| NIL NIL) (|RealPolynomialUtilitiesPackage| 4203675 4204050 4204569 "POLUTIL" 4205780 NIL POLUTIL (NIL T T) |package| NIL NIL) (|PolToPol| 4200210 4200837 4201584 "POLTOPOL" 4202999 NIL POLTOPOL (NIL NIL T) |package| NIL NIL) (|Point| 4194023 4200117 4200181 "POINT" 4200186 NIL POINT (NIL T) |domain| NIL NIL) (|PolynomialNumberTheoryFunctions| 4190075 4190799 4191665 "PNTHEORY" 4193235 T PNTHEORY (NIL) |package| NIL NIL) (|PatternMatchTools| 4187312 4187811 4188529 "PMTOOLS" 4189547 NIL PMTOOLS (NIL T T T) |package| NIL NIL) (|PatternMatchSymbol| 4186562 4186695 4186925 "PMSYM" 4187155 NIL PMSYM (NIL T) |package| NIL NIL) (|PatternMatchQuotientFieldCategory| 4185582 4185697 4186069 "PMQFCAT" 4186423 NIL PMQFCAT (NIL T T T) |package| NIL NIL) (|AttachPredicates| 4184479 4184652 4184929 "PMPRED" 4185367 NIL PMPRED (NIL T) |package| NIL NIL) (|FunctionSpaceAttachPredicates| 4183428 4183545 4183840 "PMPREDFS" 4184320 NIL PMPREDFS (NIL T T T) |package| NIL NIL) (|PatternMatchPolynomialCategory| 4180904 4181253 4181965 "PMPLCAT" 4183017 NIL PMPLCAT (NIL T T T T T) |package| NIL NIL) (|PatternMatchListAggregate| 4180015 4180148 4180451 "PMLSAGG" 4180747 NIL PMLSAGG (NIL T T T) |package| NIL NIL) (|PatternMatchKernel| 4179049 4179175 4179519 "PMKERNEL" 4179865 NIL PMKERNEL (NIL T T) |package| NIL NIL) (|PatternMatchIntegerNumberSystem| 4178252 4178388 4178655 "PMINS" 4178889 NIL PMINS (NIL T) |package| NIL NIL) (|PatternMatchFunctionSpace| 4177152 4177267 4177696 "PMFS" 4178113 NIL PMFS (NIL T T T) |package| NIL NIL) (|PatternMatchPushDown| 4175723 4175920 4176307 "PMDOWN" 4176926 NIL PMDOWN (NIL T T T) |package| NIL NIL) (|PatternMatchAssertions| 4174250 4174494 4174837 "PMASS" 4175440 T PMASS (NIL) |package| NIL NIL) (|FunctionSpaceAssertions| 4173027 4173159 4173440 "PMASSFS" 4174079 NIL PMASSFS (NIL T T) |package| NIL NIL) (|PolynomialPackageForCurve| 4168680 4169029 4169741 "PLPKCRV" 4172564 NIL PLPKCRV (NIL T T T NIL T) |package| NIL NIL) (|PlotTools| 4168102 4168208 4168372 "PLOTTOOL" 4168550 T PLOTTOOL (NIL) |package| NIL NIL) (|Plot| 4158704 4160735 4162884 "PLOT" 4165977 T PLOT (NIL) |domain| NIL NIL) (|Plot3D| 4151238 4153029 4154801 "PLOT3D" 4156960 T PLOT3D (NIL) |domain| NIL NIL) (|PlotFunctions1| 4149471 4149714 4150100 "PLOT1" 4150933 NIL PLOT1 (NIL T) |package| NIL NIL) (|ParametricLinearEquations| 4110564 4116959 4123953 "PLEQN" 4142734 NIL PLEQN (NIL T T T T) |package| NIL NIL) (|Plcs| 4109542 4110421 4110529 "PLCS" 4110534 NIL PLCS (NIL T T) |domain| NIL NIL) (|PlacesOverPseudoAlgebraicClosureOfFiniteField| 4107977 4109110 4109391 "PLACESPS" 4109396 NIL PLACESPS (NIL T) |domain| NIL NIL) (|Places| 4106824 4107797 4107906 "PLACES" 4107911 NIL PLACES (NIL T) |domain| NIL NIL) (|PlacesCategory| 4101360 4102233 4102346 "PLACESC" 4105847 NIL PLACESC (NIL T T) |category| NIL 4106710) (|PolynomialInterpolation| 4100155 4100350 4100683 "PINTERP" 4101120 NIL PINTERP (NIL NIL T) |package| NIL NIL) (|PolynomialInterpolationAlgorithms| 4099541 4099610 4099843 "PINTERPA" 4100062 NIL PINTERPA (NIL T T) |package| NIL NIL) (|PositiveInteger| 4098482 4099164 4099345 "PI" 4099406 T PI (NIL) |domain| NIL NIL) (|PrincipalIdealDomain| 4095961 4097405 4097475 "PID" 4097782 T PID (NIL) |category| NIL 4098001) (|PiCoercions| 4095499 4095547 4095705 "PICOERCE" 4095889 NIL PICOERCE (NIL T) |package| NIL NIL) (|PolyGroebner| 4094391 4094597 4094892 "PGROEB" 4095263 NIL PGROEB (NIL T) |package| NIL NIL) (|PermutationGroupExamples| 4085504 4087024 4088917 "PGE" 4092562 T PGE (NIL) |package| NIL NIL) (|PolynomialGcdPackage| 4081752 4082197 4082928 "PGCD" 4084950 NIL PGCD (NIL T T T T) |package| NIL NIL) (|PartialFractionPackage| 4080506 4080667 4080994 "PFRPAC" 4081542 NIL PFRPAC (NIL T) |package| NIL NIL) (|PartialFraction| 4075040 4077790 4078440 "PFR" 4079927 NIL PFR (NIL T) |domain| NIL NIL) (|PointsOfFiniteOrderTools| 4072115 4072449 4073026 "PFOTOOLS" 4074646 NIL PFOTOOLS (NIL T T) |package| NIL NIL) (|PackageForPoly| 4062593 4063577 4064886 "PFORP" 4070994 NIL PFORP (NIL T T T NIL) |package| NIL NIL) (|PointsOfFiniteOrderRational| 4059833 4060214 4060884 "PFOQ" 4062178 NIL PFOQ (NIL T T T) |package| NIL NIL) (|PointsOfFiniteOrder| 4057017 4057338 4057998 "PFO" 4059478 NIL PFO (NIL T T T T T) |package| NIL NIL) (|PrimeField| 4051612 4056751 4056912 "PF" 4056917 NIL PF (NIL NIL) |domain| NIL NIL) (|PolynomialFactorizationExplicit| 4046648 4048759 4048851 "PFECAT" 4050192 T PFECAT (NIL) |category| NIL 4051095) (|PolynomialFactorizationExplicit&| 4045361 4045710 4046237 "PFECAT-" 4046242 NIL PFECAT- (NIL T) |domain| NIL NIL) (|PolynomialFactorizationByRecursionUnivariate| 4041785 4042362 4043169 "PFBRU" 4044742 NIL PFBRU (NIL T T) |package| NIL NIL) (|PolynomialFactorizationByRecursion| 4036794 4037563 4038599 "PFBR" 4040970 NIL PFBR (NIL T T T T) |package| NIL NIL) (|Permutation| 4030555 4032471 4033550 "PERM" 4035774 NIL PERM (NIL T) |domain| NIL NIL) (|PermutationGroup| 4022568 4023920 4025413 "PERMGRP" 4029131 NIL PERMGRP (NIL T) |domain| NIL NIL) (|PermutationCategory| 4019919 4021096 4021185 "PERMCAT" 4021948 NIL PERMCAT (NIL T) |category| |Permutation| 4022361) (|Permanent| 4019336 4019392 4019607 "PERMAN" 4019839 NIL PERMAN (NIL NIL T) |package| NIL NIL) (|PendantTree| 4015706 4018634 4018853 "PENDTREE" 4019176 NIL PENDTREE (NIL T) |domain| NIL NIL) (|PartialDifferentialRing| 4012625 4013666 4013763 "PDRING" 4014976 NIL PDRING (NIL T) |category| NIL 4015425) (|PartialDifferentialRing&| 4011255 4011555 4012149 "PDRING-" 4012154 NIL PDRING- (NIL T T) |domain| NIL NIL) (|NumericalPDEProblem| 4007048 4008094 4009139 "PDEPROB" 4010264 T PDEPROB (NIL) |domain| NIL NIL) (|AnnaPartialDifferentialEquationPackage| 4002769 4003580 4004574 "PDEPACK" 4006146 T PDEPACK (NIL) |package| NIL NIL) (|PolynomialDecomposition| 4000811 4001100 4001562 "PDECOMP" 4002427 NIL PDECOMP (NIL T T) |package| NIL NIL) (|PartialDifferentialEquationsSolverCategory| 3997193 3998340 3998454 "PDECAT" 3999681 T PDECAT (NIL) |category| NIL 4000729) (|PolynomialComposition| 3996755 3996792 3996968 "PCOMP" 3997132 NIL PCOMP (NIL T T) |package| NIL NIL) (|PoincareBirkhoffWittLyndonBasis| 3993725 3994482 3995033 "PBWLB" 3996296 NIL PBWLB (NIL T) |domain| NIL NIL) (|Pattern| 3982232 3984321 3986425 "PATTERN" 3991659 NIL PATTERN (NIL T) |domain| NIL NIL) (|PatternFunctions2| 3981631 3981705 3981895 "PATTERN2" 3982134 NIL PATTERN2 (NIL T T) |package| NIL NIL) (|PatternFunctions1| 3978008 3978557 3979289 "PATTERN1" 3980984 NIL PATTERN1 (NIL T T) |package| NIL NIL) (|PatternMatchResult| 3973911 3974624 3975370 "PATRES" 3977356 NIL PATRES (NIL T T) |domain| NIL NIL) (|PatternMatchResultFunctions2| 3973095 3973201 3973466 "PATRES2" 3973781 NIL PATRES2 (NIL T T T) |package| NIL NIL) (|PatternMatch| 3969793 3970314 3970913 "PATMATCH" 3972628 NIL PATMATCH (NIL T T T) |package| NIL NIL) (|PatternMatchable| 3969017 3969276 3969359 "PATMAB" 3969554 NIL PATMAB (NIL T) |category| NIL 3969711) (|PatternMatchListResult| 3966451 3966877 3967347 "PATLRES" 3968677 NIL PATLRES (NIL T T T) |domain| NIL NIL) (|Patternable| 3965723 3965908 3965974 "PATAB" 3965979 NIL PATAB (NIL T) |category| NIL 3966258) (|PartitionsAndPermutations| 3961572 3962350 3963307 "PARTPERM" 3964832 T PARTPERM (NIL) |package| NIL NIL) (|ParametricSurface| 3960932 3961022 3961205 "PARSURF" 3961453 NIL PARSURF (NIL T) |domain| NIL NIL) (|ParametricSurfaceFunctions2| 3960249 3960343 3960559 "PARSU2" 3960814 NIL PARSU2 (NIL T T) |package| NIL NIL) (|ParametricSpaceCurve| 3959605 3959693 3959880 "PARSCURV" 3960132 NIL PARSCURV (NIL T) |domain| NIL NIL) (|ParametricSpaceCurveFunctions2| 3958889 3958989 3959217 "PARSC2" 3959481 NIL PARSC2 (NIL T T) |package| NIL NIL) (|ParametricPlaneCurve| 3958263 3958346 3958528 "PARPCURV" 3958777 NIL PARPCURV (NIL T) |domain| NIL NIL) (|ParametricPlaneCurveFunctions2| 3957547 3957647 3957875 "PARPC2" 3958139 NIL PARPC2 (NIL T T) |package| NIL NIL) (|ParametrizationPackage| 3954750 3954883 3955446 "PARAMP" 3957327 NIL PARAMP (NIL T NIL T T T T T) |package| NIL NIL) (|PolynomialAN2Expression| 3953765 3953930 3954197 "PAN2EXPR" 3954545 T PAN2EXPR (NIL) |package| NIL NIL) (|Palette| 3952066 3952448 3952796 "PALETTE" 3953447 T PALETTE (NIL) |domain| NIL NIL) (|PackageForAlgebraicFunctionField| 3927912 3931837 3936064 "PAFF" 3947989 NIL PAFF (NIL T NIL T) |package| NIL NIL) (|PackageForAlgebraicFunctionFieldOverFiniteField| 3895147 3901022 3906918 "PAFFFF" 3922210 NIL PAFFFF (NIL T NIL T) |package| NIL NIL) (|PAdicRationalConstructor| 3885537 3893670 3894075 "PADICRC" 3894858 NIL PADICRC (NIL NIL T) |domain| NIL NIL) (|PAdicRational| 3874451 3884323 3884688 "PADICRAT" 3885231 NIL PADICRAT (NIL NIL) |domain| NIL NIL) (|PAdicInteger| 3871994 3874327 3874415 "PADIC" 3874420 NIL PADIC (NIL NIL) |domain| NIL NIL) (|PAdicIntegerCategory| 3867502 3869775 3869862 "PADICCT" 3870916 NIL PADICCT (NIL NIL) |category| NIL 3871427) (|PadeApproximantPackage| 3865555 3865933 3866450 "PADEPAC" 3867086 NIL PADEPAC (NIL T NIL NIL) |package| NIL NIL) (|PadeApproximants| 3864036 3864268 3864680 "PADE" 3865294 NIL PADE (NIL T T T) |package| NIL NIL) (|PseudoAlgebraicClosureOfRationalNumber| 3858214 3863057 3863402 "PACRAT" 3863783 T PACRAT (NIL) |domain| NIL NIL) (|PseudoAlgebraicClosureOfRationalNumberCategory| 3851798 3856489 3856611 "PACRATC" 3856616 T PACRATC (NIL) |category| NIL 3856815) (|PseudoAlgebraicClosureOfPerfectFieldCategory| 3844738 3847673 3847791 "PACPERC" 3850045 T PACPERC (NIL) |category| NIL 3850938) (|PseudoAlgebraicClosureOfFiniteField| 3839426 3844164 3844425 "PACOFF" 3844592 NIL PACOFF (NIL T) |domain| NIL NIL) (|PseudoAlgebraicClosureOfFiniteFieldCategory| 3834061 3838142 3838258 "PACFFC" 3838263 T PACFFC (NIL) |category| NIL 3838346) (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| 3826957 3833118 3833481 "PACEXT" 3833854 NIL PACEXT (NIL NIL) |domain| NIL NIL) (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory| 3818361 3824402 3824540 "PACEXTC" 3824545 T PACEXTC (NIL) |category| NIL 3824729) (|OrdinaryWeightedPolynomials| 3815310 3816413 3816940 "OWP" 3818008 NIL OWP (NIL T NIL NIL NIL) |domain| NIL NIL) (|OrderedVariableList| 3813935 3814596 3814923 "OVAR" 3815062 NIL OVAR (NIL NIL) |domain| NIL NIL) (|OutputPackage| 3812779 3812940 3813205 "OUT" 3813712 T OUT (NIL) |package| NIL NIL) (|OutputForm| 3797029 3799578 3802769 "OUTFORM" 3809624 T OUTFORM (NIL) |domain| NIL NIL) (|OrdSetInts| 3796212 3796581 3796735 "OSI" 3796911 T OSI (NIL) |domain| NIL NIL) (|OrthogonalPolynomialFunctions| 3793748 3794135 3794700 "ORTHPOL" 3795746 NIL ORTHPOL (NIL T) |package| NIL NIL) (|UnivariateSkewPolynomial| 3789997 3793132 3793395 "OREUP" 3793633 NIL OREUP (NIL NIL T NIL NIL) |domain| NIL NIL) (|SparseUnivariateSkewPolynomial| 3786209 3789369 3789644 "ORESUP" 3789866 NIL ORESUP (NIL T NIL NIL) |domain| NIL NIL) (|UnivariateSkewPolynomialCategoryOps| 3782002 3782724 3783635 "OREPCTO" 3785445 NIL OREPCTO (NIL T T) |package| NIL NIL) (|UnivariateSkewPolynomialCategory| 3771928 3774974 3775082 "OREPCAT" 3779560 NIL OREPCAT (NIL T) |category| NIL 3781305) (|UnivariateSkewPolynomialCategory&| 3767721 3768782 3770424 "OREPCAT-" 3770429 NIL OREPCAT- (NIL T T) |domain| NIL NIL) (|OrderedSet| 3766598 3766906 3766956 "ORDSET" 3767411 T ORDSET (NIL) |category| NIL 3767639) (|OrderedSet&| 3765994 3766121 3766386 "ORDSET-" 3766391 NIL ORDSET- (NIL T) |domain| NIL NIL) (|OrderedRing| 3763943 3764959 3765011 "ORDRING" 3765341 T ORDRING (NIL) |category| NIL 3765554) (|OrderedRing&| 3763405 3763527 3763763 "ORDRING-" 3763768 NIL ORDRING- (NIL T) |domain| NIL NIL) (|OrderedMonoid| 3762581 3763168 3763224 "ORDMON" 3763229 T ORDMON (NIL) |category| NIL 3763265) (|OrderingFunctions| 3761168 3761364 3761702 "ORDFUNS" 3762351 NIL ORDFUNS (NIL NIL T) |package| NIL NIL) (|OrderedFinite| 3760473 3760951 3761007 "ORDFIN" 3761012 T ORDFIN (NIL) |category| NIL 3761048) (|OrderedCompletion| 3755005 3757928 3758640 "ORDCOMP" 3759832 NIL ORDCOMP (NIL T) |domain| NIL NIL) (|OrderedCompletionFunctions2| 3753585 3753816 3754196 "ORDCOMP2" 3754737 NIL ORDCOMP2 (NIL T T) |package| NIL NIL) (|NumericalOptimizationProblem| 3747865 3749220 3750624 "OPTPROB" 3752253 T OPTPROB (NIL) |domain| NIL NIL) (|AnnaNumericalOptimizationPackage| 3742110 3743163 3744452 "OPTPACK" 3746656 T OPTPACK (NIL) |package| NIL NIL) (|NumericalOptimizationCategory| 3738284 3739420 3739508 "OPTCAT" 3740943 T OPTCAT (NIL) |category| NIL 3742028) (|OperationsQuery| 3737857 3737920 3738054 "OPQUERY" 3738196 T OPQUERY (NIL) |package| NIL NIL) (|Operator| 3733469 3735087 3735914 "OP" 3737076 NIL OP (NIL T) |domain| NIL NIL) (|OnePointCompletion| 3728492 3731340 3731969 "ONECOMP" 3732913 NIL ONECOMP (NIL T) |domain| NIL NIL) (|OnePointCompletionFunctions2| 3727133 3727342 3727702 "ONECOMP2" 3728246 NIL ONECOMP2 (NIL T T) |package| NIL NIL) (|OpenMathServerPackage| 3726043 3726220 3726489 "OMSERVER" 3726922 T OMSERVER (NIL) |package| NIL NIL) (|OrderedMultisetAggregate| 3721513 3725087 3725185 "OMSAGG" 3725296 NIL OMSAGG (NIL T) |category| NIL 3725415) (|OpenMathPackage| 3719172 3719569 3720071 "OMPKG" 3721057 T OMPKG (NIL) |package| NIL NIL) (|OpenMath| 3718256 3718405 3718451 "OM" 3718936 T OM (NIL) |category| NIL NIL) (|OppositeMonogenicLinearOperator| 3716002 3717411 3717739 "OMLO" 3718058 NIL OMLO (NIL T T) |domain| NIL NIL) (|ExpressionToOpenMath| 3714141 3714366 3714773 "OMEXPR" 3715702 NIL OMEXPR (NIL T) |package| NIL NIL) (|OpenMathError| 3713014 3713328 3713582 "OMERR" 3713929 T OMERR (NIL) |domain| NIL NIL) (|OpenMathErrorKind| 3711608 3711945 3712254 "OMERRK" 3712755 T OMERRK (NIL) |domain| NIL NIL) (|OpenMathEncoding| 3710656 3710933 3711163 "OMENC" 3711426 T OMENC (NIL) |domain| NIL NIL) (|OpenMathDevice| 3700799 3702466 3704412 "OMDEV" 3708754 T OMDEV (NIL) |domain| NIL NIL) (|OpenMathConnection| 3699042 3699334 3699728 "OMCONN" 3700457 T OMCONN (NIL) |domain| NIL NIL) (|OrderedIntegralDomain| 3697042 3698300 3698372 "OINTDOM" 3698377 T OINTDOM (NIL) |category| NIL 3698422) (|OrderedFreeMonoid| 3690424 3691998 3693138 "OFMONOID" 3695972 NIL OFMONOID (NIL T) |domain| NIL NIL) (|OrderlyDifferentialVariable| 3689605 3690251 3690380 "ODVAR" 3690385 NIL ODVAR (NIL T) |domain| NIL NIL) (|OrdinaryDifferentialRing| 3685544 3688727 3689049 "ODR" 3689416 NIL ODR (NIL T T NIL) |domain| NIL NIL) (|OrderlyDifferentialPolynomial| 3672391 3684981 3685304 "ODPOL" 3685309 NIL ODPOL (NIL T) |domain| NIL NIL) (|OrderedDirectProduct| 3663651 3672134 3672349 "ODP" 3672354 NIL ODP (NIL NIL T NIL) |domain| NIL NIL) (|ODETools| 3661496 3661808 3662283 "ODETOOLS" 3663280 NIL ODETOOLS (NIL T T) |package| NIL NIL) (|SystemODESolver| 3657181 3658006 3659004 "ODESYS" 3660616 NIL ODESYS (NIL T T) |package| NIL NIL) (|RationalRicDE| 3647240 3648920 3650866 "ODERTRIC" 3655440 NIL ODERTRIC (NIL T T) |package| NIL NIL) (|ReduceLODE| 3646216 3646318 3646688 "ODERED" 3647114 NIL ODERED (NIL T T T T T) |package| NIL NIL) (|RationalLODE| 3640428 3641361 3642615 "ODERAT" 3645165 NIL ODERAT (NIL T T) |package| NIL NIL) (|PrimitiveRatRicDE| 3634733 3635387 3636418 "ODEPRRIC" 3639707 NIL ODEPRRIC (NIL T T T T) |package| NIL NIL) (|NumericalODEProblem| 3631495 3632298 3633101 "ODEPROB" 3633984 T ODEPROB (NIL) |domain| NIL NIL) (|PrimitiveRatDE| 3624945 3625578 3626680 "ODEPRIM" 3630697 NIL ODEPRIM (NIL T T T T) |package| NIL NIL) (|PureAlgebraicLODE| 3623567 3623723 3624218 "ODEPAL" 3624765 NIL ODEPAL (NIL T T T T) |package| NIL NIL) (|AnnaOrdinaryDifferentialEquationPackage| 3617268 3618437 3619843 "ODEPACK" 3622255 T ODEPACK (NIL) |package| NIL NIL) (|ODEIntegration| 3615321 3615448 3615917 "ODEINT" 3617107 NIL ODEINT (NIL T T) |package| NIL NIL) (|ODEIntensityFunctionsTable| 3606869 3608838 3610924 "ODEIFTBL" 3613303 T ODEIFTBL (NIL) |domain| NIL NIL) (|ElementaryFunctionODESolver| 3598878 3599916 3601417 "ODEEF" 3605702 NIL ODEEF (NIL T T) |package| NIL NIL) (|ConstantLODE| 3597597 3597707 3598202 "ODECONST" 3598744 NIL ODECONST (NIL T T T) |package| NIL NIL) (|OrdinaryDifferentialEquationsSolverCategory| 3594701 3595606 3595722 "ODECAT" 3596709 T ODECAT (NIL) |category| NIL 3597515) (|Octonion| 3590347 3594181 3594401 "OCT" 3594538 NIL OCT (NIL T) |domain| NIL NIL) (|OctonionCategoryFunctions2| 3589685 3589735 3589989 "OCTCT2" 3590273 NIL OCTCT2 (NIL T T T T) |package| NIL NIL) (|OctonionCategory| 3581803 3585066 3585153 "OC" 3587215 NIL OC (NIL T) |category| |Octonion| 3588487) (|OctonionCategory&| 3577719 3578694 3580202 "OC-" 3580401 NIL OC- (NIL T T) |domain| NIL NIL) (|OrderedCancellationAbelianMonoid| 3576771 3577300 3577394 "OCAMON" 3577399 T OCAMON (NIL) |category| NIL 3577464) (|OrderedAbelianSemiGroup| 3576014 3576493 3576569 "OASGP" 3576574 T OASGP (NIL) |category| NIL 3576617) (|OrderedAbelianMonoidSup| 3574926 3575476 3575552 "OAMONS" 3575623 T OAMONS (NIL) |category| NIL 3575716) (|OrderedAbelianMonoid| 3574128 3574607 3574677 "OAMON" 3574682 T OAMON (NIL) |category| NIL 3574738) (|OrderedAbelianGroup| 3573090 3573670 3573738 "OAGROUP" 3573743 T OAGROUP (NIL) |category| NIL 3573807) (|NumericTubePlot| 3572533 3572603 3572780 "NUMTUBE" 3572996 NIL NUMTUBE (NIL T) |package| NIL NIL) (|NumericalQuadrature| 3563150 3565286 3567540 "NUMQUAD" 3570333 T NUMQUAD (NIL) |package| NIL NIL) (|NumericalOrdinaryDifferentialEquations| 3556856 3558220 3559743 "NUMODE" 3561719 T NUMODE (NIL) |package| NIL NIL) (|NumericalIntegrationCategory| 3552655 3553924 3554010 "NUMINT" 3555557 T NUMINT (NIL) |category| NIL 3556774) (|NumberFormats| 3550672 3551021 3551461 "NUMFMT" 3552257 T NUMFMT (NIL) |package| NIL NIL) (|Numeric| 3527054 3531565 3535958 "NUMERIC" 3546342 NIL NUMERIC (NIL T) |package| NIL NIL) (|NormalizedTriangularSetCategory| 3519045 3526130 3526349 "NTSCAT" 3526354 NIL NTSCAT (NIL T T T T) |category| NIL 3526421) (|NumberTheoreticPolynomialFunctions| 3517509 3517773 3518154 "NTPOLFN" 3518773 NIL NTPOLFN (NIL T) |package| NIL NIL) (|NewSparseUnivariatePolynomial| 3497119 3511535 3512948 "NSUP" 3516184 NIL NSUP (NIL T) |domain| NIL NIL) (|NewSparseUnivariatePolynomialFunctions2| 3496304 3496422 3496686 "NSUP2" 3496977 NIL NSUP2 (NIL T T) |package| NIL NIL) (|NewSparseMultivariatePolynomial| 3481089 3495791 3496101 "NSMP" 3496106 NIL NSMP (NIL T T) |domain| NIL NIL) (|NeitherSparseOrDensePowerSeries| 3464303 3480341 3480657 "NSDPS" 3480866 NIL NSDPS (NIL T) |domain| NIL NIL) (|NumericRealEigenPackage| 3461583 3462052 3462691 "NREP" 3463766 NIL NREP (NIL T) |package| NIL NIL) (|NewtonPolygon| 3457173 3457883 3458833 "NPOLYGON" 3460819 NIL NPOLYGON (NIL T T T NIL) |package| NIL NIL) (|NPCoef| 3454839 3455205 3455792 "NPCOEF" 3456778 NIL NPCOEF (NIL T T T T T) |package| NIL NIL) (|NottinghamGroup| 3453745 3454394 3454572 "NOTTING" 3454736 NIL NOTTING (NIL T) |domain| NIL NIL) (|NormRetractPackage| 3451769 3451960 3452421 "NORMRETR" 3453520 NIL NORMRETR (NIL T T T T NIL) |package| NIL NIL) (|NormalizationPackage| 3448439 3448810 3449463 "NORMPK" 3451354 NIL NORMPK (NIL T T T T T) |package| NIL NIL) (|NormInMonogenicAlgebra| 3447834 3447863 3448117 "NORMMA" 3448386 NIL NORMMA (NIL T T T T) |package| NIL NIL) (|None| 3447611 3447771 3447812 "NONE" 3447817 T NONE (NIL) |domain| NIL NIL) (|NoneFunctions1| 3447280 3447314 3447431 "NONE1" 3447552 NIL NONE1 (NIL T) |package| NIL NIL) (|NonLinearFirstOrderODESolver| 3446194 3446277 3446720 "NODE1" 3447173 NIL NODE1 (NIL T T) |package| NIL NIL) (|NonNegativeInteger| 3443751 3444811 3445231 "NNI" 3445826 T NNI (NIL) |domain| NIL NIL) (|NonLinearSolvePackage| 3441112 3441582 3442200 "NLINSOL" 3443215 NIL NLINSOL (NIL T) |package| NIL NIL) (|NumericalIntegrationProblem| 3435011 3436463 3437962 "NIPROB" 3439683 T NIPROB (NIL) |domain| NIL NIL) (|NumberFieldIntegralBasis| 3432909 3433249 3433777 "NFINTBAS" 3434637 NIL NFINTBAS (NIL T T) |package| NIL NIL) (|NewtonInterpolation| 3432381 3432452 3432625 "NEWTON" 3432814 NIL NEWTON (NIL T) |package| NIL NIL) (|NonCommutativeOperatorDivision| 3430150 3430451 3430930 "NCODIV" 3432031 NIL NCODIV (NIL T T) |package| NIL NIL) (|NumericContinuedFraction| 3429614 3429685 3429873 "NCNTFRAC" 3430055 NIL NCNTFRAC (NIL T) |package| NIL NIL) (|NumericComplexEigenPackage| 3426420 3427003 3427762 "NCEP" 3428963 NIL NCEP (NIL T) |package| NIL NIL) (|NonAssociativeRing| 3424706 3425720 3425786 "NASRING" 3425999 T NASRING (NIL) |category| NIL 3426160) (|NonAssociativeRing&| 3424351 3424411 3424597 "NASRING-" 3424602 NIL NASRING- (NIL T) |domain| NIL NIL) (|NonAssociativeRng| 3423042 3423700 3423764 "NARNG" 3423981 T NARNG (NIL) |category| NIL 3424143) (|NonAssociativeRng&| 3422554 3422646 3422881 "NARNG-" 3422886 NIL NARNG- (NIL T) |domain| NIL NIL) (|NAGLinkSupportPackage| 3420454 3420794 3421263 "NAGSP" 3422143 T NAGSP (NIL) |package| NIL NIL) (|NagSpecialFunctionsPackage| 3405132 3407808 3410761 "NAGS" 3417569 T NAGS (NIL) |package| NIL NIL) (|NagLapack| 3402737 3403230 3403796 "NAGF07" 3404600 T NAGF07 (NIL) |package| NIL NIL) (|NagLinearEquationSolvingPackage| 3393411 3395544 3397829 "NAGF04" 3400530 T NAGF04 (NIL) |package| NIL NIL) (|NagEigenPackage| 3381767 3384395 3387179 "NAGF02" 3390673 T NAGF02 (NIL) |package| NIL NIL) (|NagMatrixOperationsPackage| 3373632 3375443 3377391 "NAGF01" 3379887 T NAGF01 (NIL) |package| NIL NIL) (|NagOptimisationPackage| 3363027 3365643 3368378 "NAGE04" 3370957 T NAGE04 (NIL) |package| NIL NIL) (|NagFittingPackage| 3347630 3351322 3355173 "NAGE02" 3359226 T NAGE02 (NIL) |package| NIL NIL) (|NagInterpolationPackage| 3340439 3342087 3343866 "NAGE01" 3345913 T NAGE01 (NIL) |package| NIL NIL) (|NagPartialDifferentialEquationsPackage| 3336487 3337426 3338491 "NAGD03" 3339466 T NAGD03 (NIL) |package| NIL NIL) (|NagOrdinaryDifferentialEquationsPackage| 3323349 3326344 3329508 "NAGD02" 3333417 T NAGD02 (NIL) |package| NIL NIL) (|NagIntegrationPackage| 3313215 3315512 3317946 "NAGD01" 3320973 T NAGD01 (NIL) |package| NIL NIL) (|NagSeriesSummationPackage| 3306682 3308016 3309495 "NAGC06" 3311802 T NAGC06 (NIL) |package| NIL NIL) (|NagRootFindingPackage| 3304200 3304709 3305310 "NAGC05" 3306139 T NAGC05 (NIL) |package| NIL NIL) (|NagPolynomialRootsPackage| 3303094 3303281 3303563 "NAGC02" 3303984 T NAGC02 (NIL) |package| NIL NIL) (|NonAssociativeAlgebra| 3301636 3302374 3302471 "NAALG" 3302632 NIL NAALG (NIL T) |category| NIL 3302754) (|NonAssociativeAlgebra&| 3301299 3301350 3301551 "NAALG-" 3301556 NIL NAALG- (NIL T T) |domain| NIL NIL) (|MyUnivariatePolynomial| 3286665 3299795 3300276 "MYUP" 3300908 NIL MYUP (NIL NIL T) |domain| NIL NIL) (|MyExpression| 3272431 3283958 3284643 "MYEXPR" 3286093 NIL MYEXPR (NIL NIL T) |domain| NIL NIL) (|MultivariateSquareFree| 3261031 3262946 3265135 "MULTSQFR" 3270423 NIL MULTSQFR (NIL T T T T) |package| NIL NIL) (|MultivariateFactorize| 3259622 3259758 3260145 "MULTFACT" 3260855 NIL MULTFACT (NIL T T T T) |package| NIL NIL) (|MultivariateTaylorSeriesCategory| 3248662 3254079 3254207 "MTSCAT" 3256319 NIL MTSCAT (NIL T T) |category| NIL 3257299) (|MergeThing| 3248204 3248276 3248428 "MTHING" 3248566 NIL MTHING (NIL T) |package| NIL NIL) (|MoreSystemCommands| 3247832 3247879 3248003 "MSYSCMD" 3248132 T MSYSCMD (NIL) |package| NIL NIL) (|Multiset| 3242080 3245772 3246309 "MSET" 3247348 NIL MSET (NIL T) |domain| NIL NIL) (|MultisetAggregate| 3237891 3241374 3241459 "MSETAGG" 3241464 NIL MSETAGG (NIL T) |category| |Multiset| 3241523) (|MonoidRing| 3231613 3233746 3234889 "MRING" 3236814 NIL MRING (NIL T T) |domain| NIL NIL) (|MonoidRingFunctions2| 3230923 3231013 3231227 "MRF2" 3231499 NIL MRF2 (NIL T T T) |package| NIL NIL) (|MRationalFactorize| 3230199 3230243 3230529 "MRATFAC" 3230855 NIL MRATFAC (NIL T T T T) |package| NIL NIL) (|MPolyCatRationalFunctionFactorizer| 3225737 3226165 3226945 "MPRFF" 3229717 NIL MPRFF (NIL T T T T) |package| NIL NIL) (|MultivariatePolynomial| 3215884 3225417 3225624 "MPOLY" 3225629 NIL MPOLY (NIL NIL T) |domain| NIL NIL) (|MPolyCatPolyFactorizer| 3214962 3215006 3215393 "MPCPF" 3215816 NIL MPCPF (NIL T T T T) |package| NIL NIL) (|MPolyCatFunctions3| 3214096 3214146 3214478 "MPC3" 3214888 NIL MPC3 (NIL T T T T T T T) |package| NIL NIL) (|MPolyCatFunctions2| 3212703 3212797 3213171 "MPC2" 3213974 NIL MPC2 (NIL T T T T T T T) |package| NIL NIL) (|MonomialExtensionTools| 3210012 3210468 3211081 "MONOTOOL" 3212208 NIL MONOTOOL (NIL T T) |package| NIL NIL) (|Monoid| 3208727 3209162 3209204 "MONOID" 3209628 T MONOID (NIL) |category| NIL 3209910) (|Monoid&| 3207783 3208016 3208392 "MONOID-" 3208397 NIL MONOID- (NIL T) |domain| NIL NIL) (|MonogenicAlgebra| 3193757 3202347 3202478 "MONOGEN" 3203854 NIL MONOGEN (NIL T T) |category| NIL 3204611) (|MonogenicAlgebra&| 3189337 3190354 3192008 "MONOGEN-" 3192257 NIL MONOGEN- (NIL T T T) |domain| NIL NIL) (|MonadWithUnit| 3187518 3188104 3188160 "MONADWU" 3188834 T MONADWU (NIL) |category| NIL 3189239) (|MonadWithUnit&| 3186405 3186670 3187125 "MONADWU-" 3187130 NIL MONADWU- (NIL T) |domain| NIL NIL) (|Monad| 3185438 3185738 3185778 "MONAD" 3186113 T MONAD (NIL) |category| NIL 3186323) (|Monad&| 3184898 3185028 3185252 "MONAD-" 3185257 NIL MONAD- (NIL T) |domain| NIL NIL) (|MoebiusTransform| 3182359 3183181 3183612 "MOEBIUS" 3184530 NIL MOEBIUS (NIL T) |domain| NIL NIL) (|Module| 3181518 3181978 3182045 "MODULE" 3182050 NIL MODULE (NIL T) |category| NIL 3182085) (|Module&| 3180875 3181005 3181297 "MODULE-" 3181302 NIL MODULE- (NIL T T) |domain| NIL NIL) (|ModularRing| 3177463 3178353 3178829 "MODRING" 3180624 NIL MODRING (NIL T T NIL NIL NIL) |domain| NIL NIL) (|ModuleOperator| 3172659 3174251 3175115 "MODOP" 3176682 NIL MODOP (NIL T T) |domain| NIL NIL) (|ModuleMonomial| 3169995 3170522 3171038 "MODMONOM" 3172361 NIL MODMONOM (NIL T T NIL) |domain| NIL NIL) (|ModMonic| 3153318 3166909 3167582 "MODMON" 3169411 NIL MODMON (NIL T T) |domain| NIL NIL) (|ModularField| 3149136 3151522 3151932 "MODFIELD" 3153135 NIL MODFIELD (NIL T T NIL NIL NIL) |domain| NIL NIL) (|MathMLFormat| 3147553 3147923 3148252 "MMLFORM" 3148847 T MMLFORM (NIL) |domain| NIL NIL) (|MultipleMap| 3146640 3146690 3147048 "MMAP" 3147479 NIL MMAP (NIL T T T T T T) |package| NIL NIL) (|MonogenicLinearOperator| 3143756 3144837 3144927 "MLO" 3145744 NIL MLO (NIL T) |category| NIL 3146178) (|MultivariateLifting| 3138895 3139811 3140936 "MLIFT" 3142806 NIL MLIFT (NIL T T T T) |package| NIL NIL) (|MakeUnaryCompiledFunction| 3137806 3137933 3138220 "MKUCFUNC" 3138739 NIL MKUCFUNC (NIL T T T) |package| NIL NIL) (|MakeRecord| 3137253 3137336 3137508 "MKRECORD" 3137698 NIL MKRECORD (NIL T T) |package| NIL NIL) (|MakeFunction| 3135771 3135975 3136335 "MKFUNC" 3136970 NIL MKFUNC (NIL T) |package| NIL NIL) (|MakeFloatCompiledFunction| 3134530 3134716 3135056 "MKFLCFN" 3135534 NIL MKFLCFN (NIL T) |package| NIL NIL) (|MakeCachableSet| 3133716 3134165 3134329 "MKCHSET" 3134433 NIL MKCHSET (NIL T) |domain| NIL NIL) (|MakeBinaryCompiledFunction| 3132473 3132622 3132947 "MKBCFUNC" 3133538 NIL MKBCFUNC (NIL T T T T) |package| NIL NIL) (|MachineInteger| 3127597 3131559 3131861 "MINT" 3132215 T MINT (NIL) |domain| NIL NIL) (|ModularHermitianRowReduction| 3125583 3125918 3126394 "MHROWRED" 3127218 NIL MHROWRED (NIL T) |package| NIL NIL) (|MachineFloat| 3117957 3122604 3123477 "MFLOAT" 3124750 T MFLOAT (NIL) |domain| NIL NIL) (|MultFiniteFactorize| 3116639 3116776 3117131 "MFINFACT" 3117781 NIL MFINFACT (NIL T T T T) |package| NIL NIL) (|MeshCreationRoutinesForThreeDimensions| 3109128 3110818 3112680 "MESH" 3114869 T MESH (NIL) |package| NIL NIL) (|ModularDistinctDegreeFactorizer| 3106420 3106835 3107427 "MDDFACT" 3108664 NIL MDDFACT (NIL T) |package| NIL NIL) (|MultiDictionary| 3101726 3105047 3105128 "MDAGG" 3105591 NIL MDAGG (NIL T) |category| NIL 3105853) (|MachineComplex| 3083558 3100454 3100849 "MCMPLX" 3101375 T MCMPLX (NIL) |domain| NIL NIL) (|MatrixCommonDenominator| 3082022 3082234 3082603 "MCDEN" 3083311 NIL MCDEN (NIL T T) |package| NIL NIL) (|MultiVariableCalculusFunctions| 3077908 3078293 3078999 "MCALCFN" 3081583 NIL MCALCFN (NIL T T T T) |package| NIL NIL) (|StorageEfficientMatrixOperations| 3074093 3074812 3075700 "MATSTOR" 3077114 NIL MATSTOR (NIL T) |package| NIL NIL) (|Matrix| 3068267 3073149 3073517 "MATRIX" 3073767 NIL MATRIX (NIL T) |domain| NIL NIL) (|MatrixLinearAlgebraFunctions| 3060683 3061674 3062833 "MATLIN" 3067316 NIL MATLIN (NIL T T T T) |package| NIL NIL) (|MatrixCategory| 3042899 3047471 3047617 "MATCAT" 3057791 NIL MATCAT (NIL T T T) |category| NIL 3060230) (|MatrixCategory&| 3037075 3038595 3040830 "MATCAT-" 3040835 NIL MATCAT- (NIL T T T T) |domain| NIL NIL) (|MatrixCategoryFunctions2| 3034672 3034859 3035402 "MATCAT2" 3036846 NIL MATCAT2 (NIL T T T T T T T T) |package| NIL NIL) (|MappingPackage4| 3032711 3033088 3033585 "MAPPKG4" 3034256 NIL MAPPKG4 (NIL T T) |package| NIL NIL) (|MappingPackage3| 3029623 3030072 3030679 "MAPPKG3" 3032213 NIL MAPPKG3 (NIL T T T) |package| NIL NIL) (|MappingPackage2| 3027970 3028202 3028561 "MAPPKG2" 3029352 NIL MAPPKG2 (NIL T T) |package| NIL NIL) (|MappingPackage1| 3025471 3025885 3026437 "MAPPKG1" 3027485 NIL MAPPKG1 (NIL T) |package| NIL NIL) (|MappingPackageInternalHacks3| 3024806 3024879 3025111 "MAPHACK3" 3025374 NIL MAPHACK3 (NIL T T T) |package| NIL NIL) (|MappingPackageInternalHacks2| 3024134 3024197 3024405 "MAPHACK2" 3024712 NIL MAPHACK2 (NIL T T) |package| NIL NIL) (|MappingPackageInternalHacks1| 3023068 3023236 3023527 "MAPHACK1" 3023936 NIL MAPHACK1 (NIL T) |package| NIL NIL) (|MatrixManipulation| 3010723 3012146 3014029 "MAMA" 3021363 NIL MAMA (NIL T T T T) |package| NIL NIL) (|Magma| 3007925 3008641 3009128 "MAGMA" 3010282 NIL MAGMA (NIL T) |domain| NIL NIL) (|ModularAlgebraicGcdOperations| 3005083 3005586 3005702 "MAGCDOC" 3007331 NIL MAGCDOC (NIL T T) |category| NIL NIL) (|ThreeDimensionalMatrix| 2999029 3001664 3002584 "M3D" 3004244 NIL M3D (NIL T) |domain| NIL NIL) (|LazyStreamAggregate| 2990293 2996279 2996361 "LZSTAGG" 2997749 NIL LZSTAGG (NIL T) |category| NIL 2998268) (|LazyStreamAggregate&| 2984293 2985892 2988142 "LZSTAGG-" 2988147 NIL LZSTAGG- (NIL T T) |domain| NIL NIL) (|LyndonWord| 2979512 2980575 2981440 "LWORD" 2983484 NIL LWORD (NIL T) |domain| NIL NIL) (|LieSquareMatrix| 2969326 2979071 2979337 "LSQM" 2979342 NIL LSQM (NIL NIL T) |domain| NIL NIL) (|LinearSystemPolynomialPackage| 2968079 2968260 2968659 "LSPP" 2969121 NIL LSPP (NIL T T T T) |package| NIL NIL) (|LinearSystemMatrixPackage| 2964279 2964667 2965423 "LSMP" 2967637 NIL LSMP (NIL T T T T) |package| NIL NIL) (|LinearSystemMatrixPackage1| 2959626 2960497 2961535 "LSMP1" 2963324 NIL LSMP1 (NIL T) |package| NIL NIL) (|ListAggregate| 2950985 2958327 2958397 "LSAGG" 2958492 NIL LSAGG (NIL T) |category| NIL 2958645) (|ListAggregate&| 2946320 2947528 2949297 "LSAGG-" 2949302 NIL LSAGG- (NIL T T) |domain| NIL NIL) (|LiePolynomial| 2942689 2944775 2945219 "LPOLY" 2945963 NIL LPOLY (NIL T T) |domain| NIL NIL) (|LinearPolynomialEquationByFractions| 2941614 2941814 2942165 "LPEFRAC" 2942465 NIL LPEFRAC (NIL T) |package| NIL NIL) (|LocalParametrizationOfSimplePointPackage| 2937020 2937358 2938138 "LPARSPT" 2941213 NIL LPARSPT (NIL T NIL T T T T T) |package| NIL NIL) (|LeftOreRing| 2935501 2936332 2936384 "LORER" 2936535 T LORER (NIL) |category| NIL 2936671) (|LinesOpPack| 2933099 2933564 2934131 "LOP" 2934987 NIL LOP (NIL T) |package| NIL NIL) (|Localize| 2930811 2931748 2932112 "LO" 2932853 NIL LO (NIL T T T) |domain| NIL NIL) (|Logic| 2930375 2930486 2930526 "LOGIC" 2930672 T LOGIC (NIL) |category| NIL 2930788) (|Logic&| 2930192 2930215 2930314 "LOGIC-" 2930319 NIL LOGIC- (NIL T) |domain| NIL NIL) (|LinearOrdinaryDifferentialOperatorsOps| 2928589 2928796 2929201 "LODOOPS" 2929951 NIL LODOOPS (NIL T T) |package| NIL NIL) (|LinearOrdinaryDifferentialOperator| 2924944 2928353 2928531 "LODO" 2928536 NIL LODO (NIL T NIL) |domain| NIL NIL) (|LinearOrdinaryDifferentialOperatorFactorizer| 2921551 2922088 2922919 "LODOF" 2924380 NIL LODOF (NIL T T) |package| NIL NIL) (|LinearOrdinaryDifferentialOperatorCategory| 2916026 2919372 2919500 "LODOCAT" 2920422 NIL LODOCAT (NIL T) |category| NIL 2920778) (|LinearOrdinaryDifferentialOperatorCategory&| 2915542 2915612 2915903 "LODOCAT-" 2915908 NIL LODOCAT- (NIL T T) |domain| NIL NIL) (|LinearOrdinaryDifferentialOperator2| 2911732 2915169 2915453 "LODO2" 2915458 NIL LODO2 (NIL T T) |domain| NIL NIL) (|LinearOrdinaryDifferentialOperator1| 2908091 2911509 2911674 "LODO1" 2911679 NIL LODO1 (NIL T) |domain| NIL NIL) (|ElementaryFunctionLODESolver| 2905957 2906152 2906778 "LODEEF" 2907858 NIL LODEEF (NIL T T T) |package| NIL NIL) (|LocalPowerSeriesCategory| 2894727 2900605 2900698 "LOCPOWC" 2903377 NIL LOCPOWC (NIL T) |category| |NeitherSparseOrDensePowerSeries| 2904347) (|LinearAggregate| 2887714 2891762 2891836 "LNAGG" 2893404 NIL LNAGG (NIL T) |category| NIL 2894101) (|LinearAggregate&| 2886509 2886775 2887288 "LNAGG-" 2887293 NIL LNAGG- (NIL T T) |domain| NIL NIL) (|ListMonoidOps| 2880266 2881301 2882342 "LMOPS" 2885564 NIL LMOPS (NIL T T NIL) |domain| NIL NIL) (|LeftModule| 2879405 2879849 2879912 "LMODULE" 2880001 NIL LMODULE (NIL T) |category| NIL 2880074) (|ListMultiDictionary| 2875315 2878738 2878981 "LMDICT" 2879237 NIL LMDICT (NIL T) |domain| NIL NIL) (|LinearSystemFromPowerSeriesPackage| 2873652 2873874 2874268 "LISYSER" 2875059 NIL LISYSER (NIL T T) |package| NIL NIL) (|List| 2864136 2872089 2872521 "LIST" 2873258 NIL LIST (NIL T) |domain| NIL NIL) (|ListFunctions3| 2863461 2863548 2863745 "LIST3" 2864025 NIL LIST3 (NIL T T T) |package| NIL NIL) (|ListFunctions2| 2862052 2862265 2862584 "LIST2" 2863214 NIL LIST2 (NIL T T) |package| NIL NIL) (|ListToMap| 2859408 2859781 2860322 "LIST2MAP" 2861580 NIL LIST2MAP (NIL T T) |package| NIL NIL) (|LinearlyExplicitRingOver| 2857483 2858382 2858474 "LINEXP" 2858903 NIL LINEXP (NIL T) |category| NIL 2859127) (|LinearDependence| 2855249 2855598 2856087 "LINDEP" 2857105 NIL LINDEP (NIL T T) |package| NIL NIL) (|RationalFunctionLimitPackage| 2849474 2850706 2852110 "LIMITRF" 2853936 NIL LIMITRF (NIL T) |package| NIL NIL) (|PowerSeriesLimitPackage| 2846273 2846738 2847522 "LIMITPS" 2848967 NIL LIMITPS (NIL T T) |package| NIL NIL) (|AssociatedLieAlgebra| 2836791 2845293 2845760 "LIE" 2845923 NIL LIE (NIL T T) |domain| NIL NIL) (|LieAlgebra| 2835454 2835984 2836059 "LIECAT" 2836296 NIL LIECAT (NIL T) |category| NIL 2836495) (|LieAlgebra&| 2835234 2835257 2835397 "LIECAT-" 2835402 NIL LIECAT- (NIL T T) |domain| NIL NIL) (|Library| 2824834 2834290 2834573 "LIB" 2834981 T LIB (NIL) |domain| NIL NIL) (|LinGroebnerPackage| 2815167 2817191 2819394 "LGROBP" 2822727 NIL LGROBP (NIL NIL T) |package| NIL NIL) (|LiouvillianFunction| 2810578 2810976 2811660 "LF" 2814677 NIL LF (NIL T T) |package| NIL NIL) (|LiouvillianFunctionCategory| 2808579 2809359 2809443 "LFCAT" 2810006 T LFCAT (NIL) |category| NIL 2810301) (|LexTriangularPackage| 2801730 2803151 2804743 "LEXTRIPK" 2807087 NIL LEXTRIPK (NIL T NIL) |package| NIL NIL) (|LieExponentials| 2796295 2797456 2798298 "LEXP" 2801049 NIL LEXP (NIL T T NIL) |domain| NIL NIL) (|LeadingCoefDetermination| 2793734 2794171 2794822 "LEADCDET" 2795829 NIL LEADCDET (NIL T T T T) |package| NIL NIL) (|LazardSetSolvingPackage| 2792156 2792259 2792703 "LAZM3PK" 2793602 NIL LAZM3PK (NIL T T T T T T) |package| NIL NIL) (|LaurentPolynomial| 2783930 2788516 2789485 "LAUPOL" 2791304 NIL LAUPOL (NIL T T) |domain| NIL NIL) (|LaplaceTransform| 2783012 2783066 2783456 "LAPLACE" 2783852 NIL LAPLACE (NIL T T) |package| NIL NIL) (|LocalAlgebra| 2780184 2781662 2782020 "LA" 2782781 NIL LA (NIL T T T) |domain| NIL NIL) (|LeftAlgebra| 2778850 2779625 2779691 "LALG" 2779786 NIL LALG (NIL T) |category| NIL 2779877) (|LeftAlgebra&| 2778416 2778491 2778708 "LALG-" 2778713 NIL LALG- (NIL T T) |domain| NIL NIL) (|Kovacic| 2776385 2776693 2777254 "KOVACIC" 2778067 NIL KOVACIC (NIL T T) |package| NIL NIL) (|ConvertibleTo| 2776127 2776155 2776225 "KONVERT" 2776323 NIL KONVERT (NIL T) |category| NIL NIL) (|CoercibleTo| 2775878 2775905 2775971 "KOERCE" 2776066 NIL KOERCE (NIL T) |category| NIL NIL) (|Kernel| 2772309 2773359 2774020 "KERNEL" 2775265 NIL KERNEL (NIL T) |domain| NIL NIL) (|KernelFunctions2| 2771456 2771571 2771803 "KERNEL2" 2772165 NIL KERNEL2 (NIL T T) |package| NIL NIL) (|KeyedDictionary| 2762873 2769074 2769176 "KDAGG" 2769821 NIL KDAGG (NIL T T) |category| NIL 2770107) (|KeyedDictionary&| 2762209 2762359 2762676 "KDAGG-" 2762681 NIL KDAGG- (NIL T T T) |domain| NIL NIL) (|KeyedAccessFile| 2752821 2761631 2761902 "KAFILE" 2762005 NIL KAFILE (NIL T) |domain| NIL NIL) (|AssociatedJordanAlgebra| 2743330 2751832 2752305 "JORDAN" 2752471 NIL JORDAN (NIL T T) |domain| NIL NIL) (|IndexedAggregate| 2737853 2740491 2740588 "IXAGG" 2742210 NIL IXAGG (NIL T T) |category| NIL 2742865) (|IndexedAggregate&| 2736427 2736779 2737374 "IXAGG-" 2737379 NIL IXAGG- (NIL T T T) |domain| NIL NIL) (|IndexedVector| 2730310 2736299 2736397 "IVECTOR" 2736402 NIL IVECTOR (NIL T NIL) |domain| NIL NIL) (|InfiniteTuple| 2728348 2728679 2729118 "ITUPLE" 2729927 NIL ITUPLE (NIL T) |domain| NIL NIL) (|InnerTrigonometricManipulations| 2725303 2725519 2726100 "ITRIGMNP" 2728089 NIL ITRIGMNP (NIL T T T) |package| NIL NIL) (|InfiniteTupleFunctions3| 2723309 2723601 2724047 "ITFUN3" 2724961 NIL ITFUN3 (NIL T T T) |package| NIL NIL) (|InfiniteTupleFunctions2| 2722670 2722756 2722956 "ITFUN2" 2723199 NIL ITFUN2 (NIL T T) |package| NIL NIL) (|InnerTaylorSeries| 2719304 2720765 2721270 "ITAYLOR" 2722229 NIL ITAYLOR (NIL T) |domain| NIL NIL) (|InnerSparseUnivariatePowerSeries| 2701724 2708980 2710839 "ISUPS" 2717539 NIL ISUPS (NIL T) |domain| NIL NIL) (|InnerPolySum| 2700345 2700511 2700874 "ISUMP" 2701521 NIL ISUMP (NIL T T T T) |package| NIL NIL) (|IndexedString| 2692955 2700005 2700149 "ISTRING" 2700260 NIL ISTRING (NIL NIL) |domain| NIL NIL) (|InternalRationalUnivariateRepresentationPackage| 2691353 2691453 2691922 "IRURPK" 2692826 NIL IRURPK (NIL T T T T T) |package| NIL NIL) (|IrrRepSymNatPackage| 2689231 2689592 2690106 "IRSN" 2690893 T IRSN (NIL) |package| NIL NIL) (|IntegrationResultRFToFunction| 2685432 2686052 2686892 "IRRF2F" 2688579 NIL IRRF2F (NIL T) |package| NIL NIL) (|IrredPolyOverFiniteField| 2684809 2684897 2685102 "IRREDFFX" 2685320 NIL IRREDFFX (NIL T) |package| NIL NIL) (|IntegerRoots| 2682269 2682684 2683241 "IROOT" 2684321 NIL IROOT (NIL T) |package| NIL NIL) (|IntegrationResult| 2677177 2678586 2679652 "IR" 2681268 NIL IR (NIL T) |domain| NIL NIL) (|IntegrationResultFunctions2| 2673809 2674440 2675234 "IR2" 2676483 NIL IR2 (NIL T T) |package| NIL NIL) (|IntegrationResultToFunction| 2671803 2671993 2672492 "IR2F" 2673585 NIL IR2F (NIL T T) |package| NIL NIL) (|InternalPrintPackage| 2671452 2671493 2671614 "IPRNTPK" 2671738 T IPRNTPK (NIL) |package| NIL NIL) (|InnerPrimeField| 2666068 2671176 2671347 "IPF" 2671352 NIL IPF (NIL NIL) |domain| NIL NIL) (|InnerPAdicInteger| 2663609 2665917 2666032 "IPADIC" 2666037 NIL IPADIC (NIL NIL NIL) |domain| NIL NIL) (|InverseLaplaceTransform| 2662519 2662599 2663057 "INVLAPLA" 2663505 NIL INVLAPLA (NIL T T) |package| NIL NIL) (|TranscendentalIntegration| 2646984 2650252 2653717 "INTTR" 2659178 NIL INTTR (NIL T T) |package| NIL NIL) (|IntegrationTools| 2641212 2642288 2643555 "INTTOOLS" 2645813 NIL INTTOOLS (NIL T T) |package| NIL NIL) (|IntegerSolveLinearPolynomialEquation| 2640195 2640405 2640727 "INTSLPE" 2640978 T INTSLPE (NIL) |package| NIL NIL) (|Interval| 2637510 2640031 2640163 "INTRVL" 2640168 NIL INTRVL (NIL T) |domain| NIL NIL) (|RationalFunctionIntegration| 2633361 2634177 2635188 "INTRF" 2636655 NIL INTRF (NIL T) |package| NIL NIL) (|IntegerRetractions| 2632357 2632492 2632749 "INTRET" 2633191 NIL INTRET (NIL T) |package| NIL NIL) (|RationalIntegration| 2629091 2629642 2630406 "INTRAT" 2631767 NIL INTRAT (NIL T T) |package| NIL NIL) (|PatternMatchIntegration| 2624259 2625142 2626169 "INTPM" 2628341 NIL INTPM (NIL T T) |package| NIL NIL) (|PureAlgebraicIntegration| 2618793 2619588 2620762 "INTPAF" 2623408 NIL INTPAF (NIL T T T) |package| NIL NIL) (|AnnaNumericalIntegrationPackage| 2610323 2611881 2613740 "INTPACK" 2617012 T INTPACK (NIL) |package| NIL NIL) (|Integer| 2605835 2609788 2610044 "INT" 2610097 T INT (NIL) |domain| NIL NIL) (|TranscendentalHermiteIntegration| 2604637 2604843 2605211 "INTHERTR" 2605605 NIL INTHERTR (NIL T T) |package| NIL NIL) (|AlgebraicHermiteIntegration| 2603625 2603735 2604099 "INTHERAL" 2604503 NIL INTHERAL (NIL T T T T) |package| NIL NIL) (|IntegerNumberTheoryFunctions| 2599608 2600333 2601214 "INTHEORY" 2602816 T INTHEORY (NIL) |package| NIL NIL) (|GenusZeroIntegration| 2584125 2586624 2589547 "INTG0" 2597000 NIL INTG0 (NIL T T T) |package| NIL NIL) (|IntegrationFunctionsTable| 2561415 2566906 2572522 "INTFTBL" 2578575 T INTFTBL (NIL) |domain| NIL NIL) (|InterpolateFormsPackage| 2557704 2558029 2558768 "INTFRSP" 2561051 NIL INTFRSP (NIL T NIL T T T T T T) |package| NIL NIL) (|IntegerFactorizationPackage| 2556331 2556525 2556857 "INTFACT" 2557471 NIL INTFACT (NIL T) |package| NIL NIL) (|InterfaceGroebnerPackage| 2555618 2555669 2555944 "INTERGB" 2556256 NIL INTERGB (NIL T NIL T T T) |package| NIL NIL) (|ElementaryIntegration| 2551170 2551756 2552680 "INTEF" 2554990 NIL INTEF (NIL T T) |package| NIL NIL) (|IntegralDomain| 2548889 2549876 2549934 "INTDOM" 2550421 T INTDOM (NIL) |category| NIL 2550756) (|IntegralDomain&| 2547967 2548198 2548576 "INTDOM-" 2548581 NIL INTDOM- (NIL T) |domain| NIL NIL) (|IntersectionDivisorPackage| 2545370 2545522 2546232 "INTDIVP" 2547786 NIL INTDIVP (NIL T NIL T T T T T T T T T) |package| NIL NIL) (|IntervalCategory| 2539701 2542179 2542314 "INTCAT" 2544022 NIL INTCAT (NIL T) |category| |Interval| 2544568) (|IntegerBits| 2538813 2538970 2539201 "INTBIT" 2539508 T INTBIT (NIL) |package| NIL NIL) (|AlgebraicIntegrate| 2536191 2536431 2537043 "INTALG" 2538542 NIL INTALG (NIL T T T T T) |package| NIL NIL) (|AlgebraicIntegration| 2535074 2535243 2535606 "INTAF" 2535998 NIL INTAF (NIL T T) |package| NIL NIL) (|InnerTable| 2526301 2534717 2534979 "INTABL" 2534984 NIL INTABL (NIL T T T) |domain| NIL NIL) (|IntegerNumberSystem| 2518209 2521964 2522032 "INS" 2523795 T INS (NIL) |category| NIL 2525055) (|IntegerNumberSystem&| 2513764 2514901 2516517 "INS-" 2516678 NIL INS- (NIL T) |domain| NIL NIL) (|InnerPolySign| 2511779 2512104 2512592 "INPSIGN" 2513375 NIL INPSIGN (NIL T T) |package| NIL NIL) (|InfiniteProductPrimeField| 2510024 2510213 2510617 "INPRODPF" 2511551 NIL INPRODPF (NIL T T) |package| NIL NIL) (|InfiniteProductFiniteField| 2507764 2507953 2508438 "INPRODFF" 2509796 NIL INPRODFF (NIL T T T T) |package| NIL NIL) (|InnerMultFact| 2505580 2505911 2506476 "INNMFACT" 2507394 NIL INNMFACT (NIL T T T T) |package| NIL NIL) (|InnerModularGcd| 2504146 2504276 2504614 "INMODGCD" 2505416 NIL INMODGCD (NIL T T NIL NIL) |package| NIL NIL) (|InnerNumericFloatSolvePackage| 2501630 2501979 2502531 "INFSP" 2503742 NIL INFSP (NIL T T T) |package| NIL NIL) (|InfiniteProductCharacteristicZero| 2499863 2500052 2500463 "INFPROD0" 2501402 NIL INFPROD0 (NIL T T) |package| NIL NIL) (|InputForm| 2495381 2496861 2497675 "INFORM" 2499070 T INFORM (NIL) |domain| NIL NIL) (|InputFormFunctions1| 2494688 2494779 2494967 "INFORM1" 2495261 NIL INFORM1 (NIL T) |package| NIL NIL) (|Infinity| 2493733 2493907 2494148 "INFINITY" 2494479 T INFINITY (NIL) |package| NIL NIL) (|InfinitlyClosePoint| 2489629 2491153 2491788 "INFCLSPT" 2493495 NIL INFCLSPT (NIL T NIL T T T T T T T) |domain| NIL NIL) (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| 2484498 2487302 2488173 "INFCLSPS" 2488974 NIL INFCLSPS (NIL T NIL T) |domain| NIL NIL) (|InfinitlyClosePointCategory| 2469610 2471026 2471462 "INFCLCT" 2482965 NIL INFCLCT (NIL T NIL T T T T T T T) |category| NIL 2484384) (|InnerNumericEigenPackage| 2467184 2467587 2468158 "INEP" 2469173 NIL INEP (NIL T T T) |package| NIL NIL) (|IndexedExponents| 2466098 2466913 2467080 "INDE" 2467085 NIL INDE (NIL T) |domain| NIL NIL) (|IncrementingMaps| 2465328 2465424 2465643 "INCRMAPS" 2465973 NIL INCRMAPS (NIL T) |package| NIL NIL) (|InnerNormalBasisFieldFunctions| 2457033 2458399 2459989 "INBFF" 2463843 NIL INBFF (NIL T) |package| NIL NIL) (|IndexedMatrix| 2451843 2456776 2456947 "IMATRIX" 2456952 NIL IMATRIX (NIL T NIL NIL) |domain| NIL NIL) (|InnerMatrixQuotientFieldFunctions| 2449375 2449542 2450123 "IMATQF" 2451626 NIL IMATQF (NIL T T T T T T T T) |package| NIL NIL) (|InnerMatrixLinearAlgebraFunctions| 2446015 2446346 2446955 "IMATLIN" 2448974 NIL IMATLIN (NIL T T T T) |package| NIL NIL) (|IndexedList| 2438492 2445893 2445986 "ILIST" 2445991 NIL ILIST (NIL T NIL) |domain| NIL NIL) (|InnerIndexedTwoDimensionalArray| 2435549 2438193 2438439 "IIARRAY2" 2438444 NIL IIARRAY2 (NIL T NIL NIL T T) |domain| NIL NIL) (|InnerFiniteField| 2428015 2435326 2435484 "IFF" 2435489 NIL IFF (NIL NIL NIL) |domain| NIL NIL) (|IndexedFlexibleArray| 2420698 2426660 2427051 "IFARRAY" 2427711 NIL IFARRAY (NIL T NIL) |domain| NIL NIL) (|InnerFreeAbelianMonoid| 2419583 2420485 2420652 "IFAMON" 2420657 NIL IFAMON (NIL T T NIL) |domain| NIL NIL) (|InnerEvalable| 2418971 2419041 2419132 "IEVALAB" 2419461 NIL IEVALAB (NIL T T) |category| NIL NIL) (|InnerEvalable&| 2418539 2418612 2418845 "IEVALAB-" 2418850 NIL IEVALAB- (NIL T T T) |domain| NIL NIL) (|IndexedDirectProductObject| 2418008 2418337 2418490 "IDPO" 2418495 NIL IDPO (NIL T T) |domain| NIL NIL) (|IndexedDirectProductOrderedAbelianMonoidSup| 2416944 2417686 2417922 "IDPOAMS" 2417927 NIL IDPOAMS (NIL T T) |domain| NIL NIL) (|IndexedDirectProductOrderedAbelianMonoid| 2415967 2416637 2416861 "IDPOAM" 2416866 NIL IDPOAM (NIL T T) |domain| NIL NIL) (|IndexedDirectProductCategory| 2414367 2414690 2414817 "IDPC" 2415641 NIL IDPC (NIL T T) |category| NIL 2415885) (|IndexedDirectProductAbelianMonoid| 2413590 2414095 2414291 "IDPAM" 2414296 NIL IDPAM (NIL T T) |domain| NIL NIL) (|IndexedDirectProductAbelianGroup| 2412709 2413323 2413515 "IDPAG" 2413520 NIL IDPAG (NIL T T) |domain| NIL NIL) (|IdealDecompositionPackage| 2404247 2406174 2408263 "IDECOMP" 2410739 NIL IDECOMP (NIL NIL NIL) |package| NIL NIL) (|PolynomialIdeals| 2392157 2393502 2395111 "IDEAL" 2402797 NIL IDEAL (NIL T T T T) |domain| NIL NIL) (|InfClsPt| 2388717 2390610 2391130 "ICP" 2391739 NIL ICP (NIL T NIL T) |domain| NIL NIL) (|InnerCommonDenominator| 2387109 2387267 2387651 "ICDEN" 2388525 NIL ICDEN (NIL T T T T) |package| NIL NIL) (|IndexCard| 2385865 2386305 2386538 "ICARD" 2386910 T ICARD (NIL) |domain| NIL NIL) (|IntegralBasisPolynomialTools| 2382015 2382574 2383381 "IBPTOOLS" 2385244 NIL IBPTOOLS (NIL T T T T) |package| NIL NIL) (|IndexedBits| 2375550 2381450 2381627 "IBITS" 2381893 NIL IBITS (NIL NIL) |domain| NIL NIL) (|IntegralBasisTools| 2370037 2370840 2371942 "IBATOOL" 2374674 NIL IBATOOL (NIL T T T) |package| NIL NIL) (|ChineseRemainderToolsForIntegralBases| 2366272 2366959 2367885 "IBACHIN" 2369316 NIL IBACHIN (NIL T T T) |package| NIL NIL) (|IndexedTwoDimensionalArray| 2363109 2365911 2366147 "IARRAY2" 2366152 NIL IARRAY2 (NIL T NIL NIL) |domain| NIL NIL) (|IndexedOneDimensionalArray| 2357644 2362927 2363065 "IARRAY1" 2363070 NIL IARRAY1 (NIL T NIL) |domain| NIL NIL) (|InnerAlgebraicNumber| 2347909 2354357 2355371 "IAN" 2356686 T IAN (NIL) |domain| NIL NIL) (|InnerAlgFactor| 2347018 2347097 2347423 "IALGFACT" 2347806 NIL IALGFACT (NIL T T T T) |package| NIL NIL) (|HyperbolicFunctionCategory| 2346220 2346339 2346421 "HYPCAT" 2346838 T HYPCAT (NIL) |category| NIL NIL) (|HyperbolicFunctionCategory&| 2345572 2345695 2346008 "HYPCAT-" 2346013 NIL HYPCAT- (NIL T) |domain| NIL NIL) (|HTMLFormat| 2344003 2344373 2344698 "HTMLFORM" 2345283 T HTMLFORM (NIL) |domain| NIL NIL) (|HomogeneousAggregate| 2339038 2340916 2341000 "HOAGG" 2342737 NIL HOAGG (NIL T) |category| NIL 2343639) (|HomogeneousAggregate&| 2336955 2337498 2338319 "HOAGG-" 2338324 NIL HOAGG- (NIL T T) |domain| NIL NIL) (|HexadecimalExpansion| 2327114 2335920 2336244 "HEXADEC" 2336687 T HEXADEC (NIL) |domain| NIL NIL) (|HeuGcd| 2325117 2325400 2325810 "HEUGCD" 2326782 NIL HEUGCD (NIL T) |package| NIL NIL) (|HyperellipticFiniteDivisor| 2323869 2324790 2325065 "HELLFDIV" 2325070 NIL HELLFDIV (NIL T T T T) |domain| NIL NIL) (|Heap| 2314195 2316314 2317976 "HEAP" 2322251 NIL HEAP (NIL T) |domain| NIL NIL) (|HomogeneousDirectProduct| 2305509 2313991 2314153 "HDP" 2314158 NIL HDP (NIL NIL T) |domain| NIL NIL) (|HomogeneousDistributedMultivariatePolynomial| 2295095 2304764 2305106 "HDMP" 2305310 NIL HDMP (NIL NIL T) |domain| NIL NIL) (|HallBasis| 2293910 2294147 2294453 "HB" 2294823 T HB (NIL) |package| NIL NIL) (|HashTable| 2285224 2293633 2293815 "HASHTBL" 2293820 NIL HASHTBL (NIL T T NIL) |domain| NIL NIL) (|Pi| 2281835 2284487 2284845 "HACKPI" 2284886 T HACKPI (NIL) |domain| NIL NIL) (|GuessUnivariatePolynomial| 2249639 2256421 2263700 "GUESSUP" 2274638 NIL GUESSUP (NIL NIL) |package| NIL NIL) (|GuessPolynomial| 2194921 2208040 2220806 "GUESSP" 2236919 T GUESSP (NIL) |package| NIL NIL) (|Guess| 2135625 2144701 2154282 "GUESS" 2185902 NIL GUESS (NIL T T T T NIL NIL) |package| NIL NIL) (|GuessInteger| 2086172 2097911 2109471 "GUESSINT" 2124105 T GUESSINT (NIL) |package| NIL NIL) (|GuessFinite| 2040634 2050448 2060695 "GUESSF" 2076031 NIL GUESSF (NIL T) |package| NIL NIL) (|GuessFiniteFunctions| 2040108 2040160 2040360 "GUESSF1" 2040558 NIL GUESSF1 (NIL T) |package| NIL NIL) (|GuessAlgebraicNumber| 1992007 2003081 2014478 "GUESSAN" 2028767 T GUESSAN (NIL) |package| NIL NIL) (|GeneralTriangularSet| 1985851 1991723 1991955 "GTSET" 1991960 NIL GTSET (NIL T T T T) |domain| NIL NIL) (|GeneralSparseTable| 1977236 1985648 1985816 "GSTBL" 1985821 NIL GSTBL (NIL T T T NIL) |domain| NIL NIL) (|GeneralUnivariatePowerSeries| 1966041 1975585 1976045 "GSERIES" 1976888 NIL GSERIES (NIL T NIL NIL) |domain| NIL NIL) (|Group| 1964698 1965270 1965310 "GROUP" 1965680 T GROUP (NIL) |category| NIL 1965922) (|Group&| 1963437 1963740 1964238 "GROUP-" 1964243 NIL GROUP- (NIL T) |domain| NIL NIL) (|GroebnerSolve| 1960221 1960860 1961638 "GROEBSOL" 1962764 NIL GROEBSOL (NIL NIL T T) |package| NIL NIL) (|GradedModule| 1958544 1958832 1958934 "GRMOD" 1959910 NIL GRMOD (NIL T T) |category| NIL 1960139) (|GradedModule&| 1958229 1958261 1958461 "GRMOD-" 1958466 NIL GRMOD- (NIL T T T) |domain| NIL NIL) (|GraphImage| 1950722 1952219 1953883 "GRIMAGE" 1956601 T GRIMAGE (NIL) |domain| NIL NIL) (|GraphicsDefaults| 1947939 1948341 1948971 "GRDEF" 1950140 T GRDEF (NIL) |package| NIL NIL) (|GrayCode| 1946946 1947144 1947403 "GRAY" 1947712 T GRAY (NIL) |package| NIL NIL) (|Graphviz| 1945429 1945699 1946047 "GRAPHVIZ" 1946630 T GRAPHVIZ (NIL) |package| NIL NIL) (|GradedAlgebra| 1944316 1944744 1944848 "GRALG" 1945137 NIL GRALG (NIL T T) |category| NIL 1945285) (|GradedAlgebra&| 1943844 1943918 1944177 "GRALG-" 1944182 NIL GRALG- (NIL T T T) |domain| NIL NIL) (|GeneralPolynomialSet| 1939087 1943037 1943389 "GPOLSET" 1943667 NIL GPOLSET (NIL T T T T) |domain| NIL NIL) (|GeneralPackageForAlgebraicFunctionField| 1904370 1906572 1909373 "GPAFF" 1936841 NIL GPAFF (NIL T NIL T T T T T T T T T) |package| NIL NIL) (|GosperSummationMethod| 1903242 1903321 1903777 "GOSPER" 1904267 NIL GOSPER (NIL T T T T T) |package| NIL NIL) (|GuessOption| 1897179 1898426 1899700 "GOPT" 1902006 T GOPT (NIL) |domain| NIL NIL) (|GuessOptionFunctions0| 1889112 1890743 1892415 "GOPT0" 1895565 T GOPT0 (NIL) |domain| NIL NIL) (|GeneralModulePolynomial| 1881959 1882817 1883694 "GMODPOL" 1888632 NIL GMODPOL (NIL NIL T T T NIL T) |domain| NIL NIL) (|GeneralHenselPackage| 1880284 1880532 1880938 "GHENSEL" 1881677 NIL GHENSEL (NIL T T) |package| NIL NIL) (|GenerateUnivariatePowerSeries| 1868788 1870144 1871995 "GENUPS" 1878727 NIL GENUPS (NIL T T) |package| NIL NIL) (|GenUFactorize| 1868136 1868242 1868439 "GENUFACT" 1868658 NIL GENUFACT (NIL T) |package| NIL NIL) (|GeneralPolynomialGcdPackage| 1866788 1866948 1867344 "GENPGCD" 1867947 NIL GENPGCD (NIL T T T T) |package| NIL NIL) (|GeneralizedMultivariateFactorize| 1865804 1865848 1866263 "GENMFACT" 1866720 NIL GENMFACT (NIL T T T T T) |package| NIL NIL) (|GenExEuclid| 1863419 1863768 1864267 "GENEEZ" 1865411 NIL GENEEZ (NIL T T) |package| NIL NIL) (|GnuDraw| 1861005 1861450 1862000 "GDRAW" 1862899 T GDRAW (NIL) |package| NIL NIL) (|GeneralDistributedMultivariatePolynomial| 1851013 1860244 1860585 "GDMP" 1860864 NIL GDMP (NIL NIL T T) |domain| NIL NIL) (|GenericNonAssociativeAlgebra| 1832267 1839350 1841428 "GCNAALG" 1849114 NIL GCNAALG (NIL T NIL NIL NIL) |domain| NIL NIL) (|GcdDomain| 1829766 1831045 1831093 "GCDDOM" 1831494 T GCDDOM (NIL) |category| NIL 1831806) (|GcdDomain&| 1828584 1828880 1829348 "GCDDOM-" 1829353 NIL GCDDOM- (NIL T) |domain| NIL NIL) (|GroebnerPackage| 1826425 1826648 1827113 "GB" 1828280 NIL GB (NIL T T T T) |package| NIL NIL) (|GroebnerInternalPackage| 1808873 1811903 1815249 "GBINTERN" 1823256 NIL GBINTERN (NIL T T T T) |package| NIL NIL) (|GroebnerFactorizationPackage| 1804949 1805326 1806067 "GBF" 1808357 NIL GBF (NIL T T T T) |package| NIL NIL) (|EuclideanGroebnerBasisPackage| 1802679 1802897 1803393 "GBEUCLID" 1804648 NIL GBEUCLID (NIL T T T T) |package| NIL NIL) (|GaussianFactorizationPackage| 1801502 1801693 1801990 "GAUSSFAC" 1802454 T GAUSSFAC (NIL) |package| NIL NIL) (|GaloisGroupUtilities| 1798140 1798734 1799416 "GALUTIL" 1800890 NIL GALUTIL (NIL T) |package| NIL NIL) (|GaloisGroupPolynomialUtilities| 1794958 1795372 1795978 "GALPOLYU" 1797667 NIL GALPOLYU (NIL T T) |package| NIL NIL) (|GaloisGroupFactorizationUtilities| 1789393 1789810 1790617 "GALFACTU" 1794427 NIL GALFACTU (NIL T T T) |package| NIL NIL) (|GaloisGroupFactorizer| 1773643 1776191 1779250 "GALFACT" 1786442 NIL GALFACT (NIL T) |package| NIL NIL) (|FortranVectorFunctionCategory| 1769114 1770088 1770176 "FVFUN" 1772344 T FVFUN (NIL) |category| NIL 1773555) (|FortranVectorCategory| 1767868 1768132 1768204 "FVC" 1768714 T FVC (NIL) |category| NIL 1769026) (|FunctionCalled| 1767348 1767537 1767677 "FUNCTION" 1767788 NIL FUNCTION (NIL NIL) |domain| NIL NIL) (|FortranType| 1763416 1764236 1765108 "FT" 1766514 T FT (NIL) |domain| NIL NIL) (|FortranTemplate| 1761409 1762099 1762499 "FTEM" 1763062 T FTEM (NIL) |domain| NIL NIL) (|FunctionSpaceUnivariatePolynomialFactor| 1757919 1758433 1759245 "FSUPFACT" 1760840 NIL FSUPFACT (NIL T T T) |package| NIL NIL) (|FortranScalarType| 1755293 1755685 1756254 "FST" 1757400 T FST (NIL) |domain| NIL NIL) (|FunctionSpaceReduce| 1753745 1753912 1754287 "FSRED" 1755078 NIL FSRED (NIL T T) |package| NIL NIL) (|FunctionSpacePrimitiveElement| 1751323 1751745 1752406 "FSPRMELT" 1753257 NIL FSPRMELT (NIL T T) |package| NIL NIL) (|FunctionalSpecialFunction| 1743489 1744345 1745497 "FSPECF" 1750313 NIL FSPECF (NIL T T) |package| NIL NIL) (|FunctionSpace| 1715746 1727946 1728022 "FS" 1734799 NIL FS (NIL T) |category| NIL 1738507) (|FunctionSpace&| 1698908 1703083 1709176 "FS-" 1709745 NIL FS- (NIL T T) |domain| NIL NIL) (|FunctionSpaceIntegration| 1697880 1697950 1698371 "FSINT" 1698815 NIL FSINT (NIL T T) |package| NIL NIL) (|FourierSeries| 1695251 1696166 1696655 "FSERIES" 1697550 NIL FSERIES (NIL T T) |domain| NIL NIL) (|FunctionSpaceComplexIntegration| 1693040 1693237 1693780 "FSCINT" 1695020 NIL FSCINT (NIL T T) |package| NIL NIL) (|FiniteSetAggregate| 1687427 1691272 1691359 "FSAGG" 1692057 NIL FSAGG (NIL T) |category| NIL 1692453) (|FiniteSetAggregate&| 1684061 1684862 1686104 "FSAGG-" 1686293 NIL FSAGG- (NIL T T) |domain| NIL NIL) (|FiniteSetAggregateFunctions2| 1682453 1682621 1683003 "FSAGG2" 1683859 NIL FSAGG2 (NIL T T T T) |package| NIL NIL) (|FunctionSpaceToUnivariatePowerSeries| 1678233 1678582 1679586 "FS2UPS" 1682071 NIL FS2UPS (NIL T T T T T NIL) |package| NIL NIL) (|FunctionSpaceFunctions2| 1677540 1677590 1677858 "FS2" 1678159 NIL FS2 (NIL T T T T) |package| NIL NIL) (|FunctionSpaceToExponentialExpansion| 1675540 1675762 1676339 "FS2EXPXP" 1677290 NIL FS2EXPXP (NIL T T NIL NIL) |package| NIL NIL) (|FactoredFunctionUtilities| 1674528 1674698 1674987 "FRUTIL" 1675341 NIL FRUTIL (NIL T) |package| NIL NIL) (|Factored| 1661445 1667318 1669420 "FR" 1672482 NIL FR (NIL T) |domain| NIL NIL) (|FramedNonAssociativeAlgebra| 1652943 1656898 1657007 "FRNAALG" 1659935 NIL FRNAALG (NIL T) |category| NIL 1661021) (|FramedNonAssociativeAlgebra&| 1645438 1646961 1649151 "FRNAALG-" 1650892 NIL FRNAALG- (NIL T T) |domain| NIL NIL) (|FramedNonAssociativeAlgebraFunctions2| 1644699 1644749 1645047 "FRNAAF2" 1645364 NIL FRNAAF2 (NIL T T T T) |package| NIL NIL) (|FramedModule| 1642074 1642702 1643167 "FRMOD" 1644432 NIL FRMOD (NIL T T T T NIL) |domain| NIL NIL) (|FractionalIdeal| 1638223 1639057 1639587 "FRIDEAL" 1641759 NIL FRIDEAL (NIL T T T T) |domain| NIL NIL) (|FractionalIdealFunctions2| 1636745 1636865 1637413 "FRIDEAL2" 1638079 NIL FRIDEAL2 (NIL T T T T T T T T) |package| NIL NIL) (|FullyRetractableTo| 1635570 1636171 1636251 "FRETRCT" 1636256 NIL FRETRCT (NIL T) |category| NIL 1636541) (|FullyRetractableTo&| 1634200 1634510 1635088 "FRETRCT-" 1635093 NIL FRETRCT- (NIL T T) |domain| NIL NIL) (|FramedAlgebra| 1629657 1631269 1631394 "FRAMALG" 1633157 NIL FRAMALG (NIL T T) |category| NIL 1633630) (|FramedAlgebra&| 1626671 1627282 1628317 "FRAMALG-" 1628767 NIL FRAMALG- (NIL T T T) |domain| NIL NIL) (|Fraction| 1617523 1625880 1626301 "FRAC" 1626306 NIL FRAC (NIL T) |domain| NIL NIL) (|FractionFunctions2| 1616899 1616975 1617175 "FRAC2" 1617423 NIL FRAC2 (NIL T T) |package| NIL NIL) (|FactoredFunctions2| 1616275 1616351 1616551 "FR2" 1616799 NIL FR2 (NIL T T) |package| NIL NIL) (|FloatingPointSystem| 1607404 1611670 1611738 "FPS" 1613851 T FPS (NIL) |category| NIL 1614887) (|FloatingPointSystem&| 1606335 1606521 1606855 "FPS-" 1607155 NIL FPS- (NIL T) |domain| NIL NIL) (|FieldOfPrimeCharacteristic| 1602134 1604583 1604665 "FPC" 1605143 T FPC (NIL) |category| NIL 1605443) (|FieldOfPrimeCharacteristic&| 1601704 1601771 1602003 "FPC-" 1602008 NIL FPC- (NIL T) |domain| NIL NIL) (|FullyPatternMatchable| 1599895 1600843 1600929 "FPATMAB" 1600934 NIL FPATMAB (NIL T) |category| NIL 1601186) (|FullPartialFractionExpansion| 1595759 1596411 1597171 "FPARFRAC" 1599297 NIL FPARFRAC (NIL T T) |domain| NIL NIL) (|FortranProgram| 1588299 1589098 1590288 "FORTRAN" 1594744 NIL FORTRAN (NIL NIL NIL NIL NIL) |domain| NIL NIL) (|FortranPackage| 1584854 1585552 1586375 "FORT" 1587520 T FORT (NIL) |package| NIL NIL) (|FortranFunctionCategory| 1580823 1581665 1581741 "FORTFN" 1583687 T FORTFN (NIL) |category| NIL 1584766) (|FortranProgramCategory| 1580397 1580471 1580545 "FORTCAT" 1580655 T FORTCAT (NIL) |category| NIL 1580768) (|ScriptFormulaFormat| 1577356 1577990 1578639 "FORMULA" 1579802 T FORMULA (NIL) |domain| NIL NIL) (|ScriptFormulaFormat1| 1576932 1576982 1577133 "FORMULA1" 1577282 NIL FORMULA1 (NIL T) |package| NIL NIL) (|FindOrderFinite| 1576030 1576111 1576442 "FORDER" 1576827 NIL FORDER (NIL T T T T) |package| NIL NIL) (|FortranOutputStackPackage| 1574201 1574484 1574909 "FOP" 1575671 T FOP (NIL) |package| NIL NIL) (|FreeNilpotentLie| 1571817 1572747 1573128 "FNLA" 1573949 NIL FNLA (NIL NIL NIL T) |domain| NIL NIL) (|FileNameCategory| 1569741 1570242 1570304 "FNCAT" 1571272 T FNCAT (NIL) |category| |FileName| 1571735) (|FileName| 1569155 1569660 1569714 "FNAME" 1569719 T FNAME (NIL) |domain| NIL NIL) (|FortranMachineTypeCategory| 1567248 1568498 1568580 "FMTC" 1568585 T FMTC (NIL) |category| NIL 1568659) (|FreeMonoid| 1561713 1563282 1564265 "FMONOID" 1566322 NIL FMONOID (NIL T) |domain| NIL NIL) (|FreeModule| 1560642 1561290 1561534 "FM" 1561539 NIL FM (NIL T T) |domain| NIL NIL) (|FortranMatrixFunctionCategory| 1556113 1557087 1557175 "FMFUN" 1559343 T FMFUN (NIL) |category| NIL 1560554) (|FortranMatrixCategory| 1554867 1555131 1555203 "FMC" 1555713 T FMC (NIL) |category| NIL 1556025) (|FreeModuleCat| 1550546 1551619 1551710 "FMCAT" 1553750 NIL FMCAT (NIL T T) |category| NIL 1554515) (|FreeModule1| 1549065 1550177 1550335 "FM1" 1550460 NIL FM1 (NIL T T) |domain| NIL NIL) (|FloatingRealPackage| 1545378 1546013 1546835 "FLOATRP" 1548337 NIL FLOATRP (NIL T) |package| NIL NIL) (|Float| 1535307 1541197 1542420 "FLOAT" 1544181 T FLOAT (NIL) |domain| NIL NIL) (|FloatingComplexPackage| 1530908 1531697 1532703 "FLOATCP" 1534401 NIL FLOATCP (NIL T) |package| NIL NIL) (|FullyLinearlyExplicitRingOver| 1529031 1530195 1530297 "FLINEXP" 1530302 NIL FLINEXP (NIL T) |category| NIL 1530492) (|FullyLinearlyExplicitRingOver&| 1527728 1528044 1528602 "FLINEXP-" 1528607 NIL FLINEXP- (NIL T T) |domain| NIL NIL) (|FiniteLinearAggregateSort| 1526089 1526286 1526694 "FLASORT" 1527497 NIL FLASORT (NIL T T) |package| NIL NIL) (|FreeLieAlgebra| 1521487 1522603 1522706 "FLALG" 1525003 NIL FLALG (NIL T T) |category| |LiePolynomial| 1525767) (|FiniteLinearAggregate| 1512176 1517386 1517472 "FLAGG" 1519708 NIL FLAGG (NIL T) |category| NIL 1520688) (|FiniteLinearAggregate&| 1510314 1510761 1511521 "FLAGG-" 1511526 NIL FLAGG- (NIL T T) |domain| NIL NIL) (|FiniteLinearAggregateFunctions2| 1508723 1508891 1509271 "FLAGG2" 1510112 NIL FLAGG2 (NIL T T T T) |package| NIL NIL) (|FiniteRankAlgebra| 1503561 1504935 1505068 "FINRALG" 1507364 NIL FINRALG (NIL T T) |category| NIL 1508191) (|FiniteRankAlgebra&| 1502259 1502577 1503145 "FINRALG-" 1503150 NIL FINRALG- (NIL T T T) |domain| NIL NIL) (|Finite| 1501156 1501482 1501524 "FINITE" 1501936 T FINITE (NIL) |category| NIL 1502177) (|Finite&| 1500872 1500927 1501062 "FINITE-" 1501067 NIL FINITE- (NIL T) |domain| NIL NIL) (|FiniteRankNonAssociativeAlgebra| 1486600 1489907 1490024 "FINAALG" 1497873 NIL FINAALG (NIL T) |category| NIL 1500495) (|FiniteRankNonAssociativeAlgebra&| 1477428 1479157 1481325 "FINAALG-" 1484583 NIL FINAALG- (NIL T T) |domain| NIL NIL) (|File| 1476566 1477040 1477203 "FILE" 1477310 NIL FILE (NIL T) |domain| NIL NIL) (|FileCategory| 1474302 1474698 1474794 "FILECAT" 1476138 NIL FILECAT (NIL T T) |category| NIL 1476484) (|Field| 1470976 1473185 1473225 "FIELD" 1473274 T FIELD (NIL) |category| NIL 1473458) (|Field&| 1469035 1469544 1470279 "FIELD-" 1470284 NIL FIELD- (NIL T) |domain| NIL NIL) (|FreeGroup| 1465791 1466847 1467394 "FGROUP" 1468543 NIL FGROUP (NIL T) |domain| NIL NIL) (|FGLMIfCanPackage| 1464291 1464539 1464913 "FGLMICPK" 1465509 NIL FGLMICPK (NIL T NIL) |package| NIL NIL) (|FiniteFieldExtension| 1458005 1464096 1464246 "FFX" 1464251 NIL FFX (NIL T NIL) |domain| NIL NIL) (|FiniteFieldSquareFreeDecomposition| 1457111 1457193 1457460 "FFSQFR" 1457894 NIL FFSQFR (NIL T T) |package| NIL NIL) (|FiniteFieldSolveLinearPolynomialEquation| 1456249 1456345 1456676 "FFSLPE" 1456991 NIL FFSLPE (NIL T T T) |package| NIL NIL) (|FiniteFieldPolynomialPackage| 1446643 1448443 1450461 "FFPOLY" 1454332 NIL FFPOLY (NIL T) |package| NIL NIL) (|FiniteFieldPolynomialPackage2| 1445584 1445661 1446106 "FFPOLY2" 1446542 NIL FFPOLY2 (NIL T T) |package| NIL NIL) (|FiniteFieldExtensionByPolynomial| 1439284 1445349 1445539 "FFP" 1445544 NIL FFP (NIL T NIL) |domain| NIL NIL) (|FiniteField| 1432075 1439081 1439224 "FF" 1439229 NIL FF (NIL NIL NIL) |domain| NIL NIL) (|FiniteFieldNormalBasisExtension| 1424329 1430643 1431080 "FFNBX" 1431770 NIL FFNBX (NIL T NIL) |domain| NIL NIL) (|FiniteFieldNormalBasisExtensionByPolynomial| 1416202 1422494 1423063 "FFNBP" 1424024 NIL FFNBP (NIL T NIL) |domain| NIL NIL) (|FiniteFieldNormalBasis| 1407464 1414723 1415183 "FFNB" 1415852 NIL FFNB (NIL NIL NIL) |domain| NIL NIL) (|FunctionFieldIntegralBasis| 1405586 1405841 1406367 "FFINTBAS" 1407180 NIL FFINTBAS (NIL T T T) |package| NIL NIL) (|FiniteFieldCategory| 1399259 1402598 1402666 "FFIELDC" 1403857 T FFIELDC (NIL) |category| NIL 1404591) (|FiniteFieldCategory&| 1396824 1397461 1398400 "FFIELDC-" 1398405 NIL FFIELDC- (NIL T) |domain| NIL NIL) (|FiniteFieldHomomorphisms| 1395948 1395996 1396265 "FFHOM" 1396736 NIL FFHOM (NIL T T T) |package| NIL NIL) (|FiniteFieldFunctions| 1391520 1392396 1393406 "FFF" 1395023 NIL FFF (NIL T) |package| NIL NIL) (|FractionFreeFastGaussian| 1382761 1384235 1385995 "FFFG" 1389926 NIL FFFG (NIL T T) |package| NIL NIL) (|FractionFreeFastGaussianFractions| 1380002 1380423 1381162 "FFFGF" 1382286 NIL FFFGF (NIL T T T) |package| NIL NIL) (|FiniteFieldFactorizationWithSizeParseBySideEffect| 1377315 1377624 1378168 "FFFACTSE" 1379644 NIL FFFACTSE (NIL T T) |package| NIL NIL) (|FiniteFieldFactorization| 1374828 1375137 1375631 "FFFACTOR" 1376957 NIL FFFACTOR (NIL T T) |package| NIL NIL) (|FiniteFieldCyclicGroupExtension| 1368050 1374203 1374471 "FFCGX" 1374692 NIL FFCGX (NIL T NIL) |domain| NIL NIL) (|FiniteFieldCyclicGroupExtensionByPolynomial| 1361230 1367359 1367667 "FFCGP" 1367914 NIL FFCGP (NIL T NIL) |domain| NIL NIL) (|FiniteFieldCyclicGroup| 1353546 1360614 1360875 "FFCG" 1361079 NIL FFCG (NIL NIL NIL) |domain| NIL NIL) (|FunctionFieldCategory| 1321636 1335258 1335466 "FFCAT" 1347014 NIL FFCAT (NIL T T T) |category| NIL 1349518) (|FunctionFieldCategory&| 1313118 1314649 1316887 "FFCAT-" 1319638 NIL FFCAT- (NIL T T T T) |domain| NIL NIL) (|FunctionFieldCategoryFunctions2| 1311894 1311944 1312456 "FFCAT2" 1313044 NIL FFCAT2 (NIL T T T T T T T T) |package| NIL NIL) (|FortranExpression| 1294775 1299911 1301901 "FEXPR" 1310040 NIL FEXPR (NIL NIL NIL T) |domain| NIL NIL) (|FullyEvalableOver| 1293418 1293946 1294031 "FEVALAB" 1294173 NIL FEVALAB (NIL T) |category| NIL 1294529) (|FullyEvalableOver&| 1292319 1292558 1293038 "FEVALAB-" 1293043 NIL FEVALAB- (NIL T T) |domain| NIL NIL) (|FiniteDivisor| 1290157 1291156 1291526 "FDIV" 1292151 NIL FDIV (NIL T T T T) |domain| NIL NIL) (|FiniteDivisorCategory| 1284989 1285891 1286128 "FDIVCAT" 1289322 NIL FDIVCAT (NIL T T T T) |category| NIL 1289965) (|FiniteDivisorCategory&| 1284544 1284583 1284919 "FDIVCAT-" 1284924 NIL FDIVCAT- (NIL T T T T T) |domain| NIL NIL) (|FiniteDivisorFunctions2| 1283125 1283241 1283763 "FDIV2" 1284404 NIL FDIV2 (NIL T T T T T T T T) |package| NIL NIL) (|FortranCodePackage1| 1280596 1281072 1281661 "FCPAK1" 1282590 T FCPAK1 (NIL) |package| NIL NIL) (|FourierComponent| 1279348 1279767 1280001 "FCOMP" 1280430 NIL FCOMP (NIL T) |domain| NIL NIL) (|FortranCode| 1254866 1259577 1264940 "FC" 1274023 T FC (NIL) |domain| NIL NIL) (|FiniteAlgebraicExtensionField| 1242263 1248274 1248377 "FAXF" 1252049 NIL FAXF (NIL T) |category| NIL 1253396) (|FiniteAlgebraicExtensionField&| 1236873 1238034 1239682 "FAXF-" 1240750 NIL FAXF- (NIL T T) |domain| NIL NIL) (|FlexibleArray| 1229695 1235684 1236044 "FARRAY" 1236569 NIL FARRAY (NIL T) |domain| NIL NIL) (|FiniteAbelianMonoidRing| 1222147 1225029 1225149 "FAMR" 1227185 NIL FAMR (NIL T T) |category| NIL 1227915) (|FiniteAbelianMonoidRing&| 1220525 1220917 1221605 "FAMR-" 1221610 NIL FAMR- (NIL T T T) |domain| NIL NIL) (|FiniteAbelianMonoidRingFunctions2| 1219766 1219816 1220116 "FAMR2" 1220451 NIL FAMR2 (NIL T T T T T) |package| NIL NIL) (|FreeAbelianMonoid| 1218529 1219572 1219702 "FAMONOID" 1219707 NIL FAMONOID (NIL T) |domain| NIL NIL) (|FreeAbelianMonoidCategory| 1214771 1215660 1215796 "FAMONC" 1217737 NIL FAMONC (NIL T T) |category| NIL 1218331) (|FreeAbelianGroup| 1212957 1214319 1214577 "FAGROUP" 1214582 NIL FAGROUP (NIL T) |domain| NIL NIL) (|FactoringUtilities| 1208427 1209062 1209913 "FACUTIL" 1212268 NIL FACUTIL (NIL T T T T) |package| NIL NIL) (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| 1206919 1207144 1207580 "FACTRN" 1208173 NIL FACTRN (NIL T) |package| NIL NIL) (|FactoredFunctions| 1205450 1205722 1206097 "FACTFUNC" 1206618 NIL FACTFUNC (NIL T) |package| NIL NIL) (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| 1203886 1204111 1204571 "FACTEXT" 1205196 NIL FACTEXT (NIL T) |package| NIL NIL) (|ExponentialOfUnivariatePuiseuxSeries| 1192701 1202404 1202856 "EXPUPXS" 1203587 NIL EXPUPXS (NIL T NIL NIL) |domain| NIL NIL) (|ExpressionTubePlot| 1187861 1188898 1190070 "EXPRTUBE" 1191581 T EXPRTUBE (NIL) |package| NIL NIL) (|ExpressionSolve| 1186188 1186330 1186787 "EXPRSOL" 1187690 NIL EXPRSOL (NIL T T T T) |package| NIL NIL) (|ExpressionSpaceODESolver| 1179522 1180394 1181651 "EXPRODE" 1185103 NIL EXPRODE (NIL T T) |package| NIL NIL) (|Expression| 1157283 1176754 1177644 "EXPR" 1178688 NIL EXPR (NIL T) |domain| NIL NIL) (|ExpressionToUnivariatePowerSeries| 1146312 1147099 1148486 "EXPR2UPS" 1156193 NIL EXPR2UPS (NIL T T) |package| NIL NIL) (|ExpressionFunctions2| 1145682 1145762 1145962 "EXPR2" 1146208 NIL EXPR2 (NIL T T) |package| NIL NIL) (|ExponentialExpansion| 1128719 1143885 1144515 "EXPEXPAN" 1145349 NIL EXPEXPAN (NIL T T NIL NIL) |domain| NIL NIL) (|Export3D| 1128253 1128327 1128457 "EXP3D" 1128621 T EXP3D (NIL) |package| NIL NIL) (|Exit| 1128030 1128190 1128231 "EXIT" 1128236 T EXIT (NIL) |domain| NIL NIL) (|EvaluateCycleIndicators| 1127330 1127432 1127662 "EVALCYC" 1127904 NIL EVALCYC (NIL T) |package| NIL NIL) (|Evalable| 1126664 1126799 1126866 "EVALAB" 1127136 NIL EVALAB (NIL T) |category| NIL 1127293) (|Evalable&| 1125984 1126125 1126431 "EVALAB-" 1126436 NIL EVALAB- (NIL T T) |domain| NIL NIL) (|EuclideanDomain| 1122066 1123951 1124011 "EUCDOM" 1124914 T EUCDOM (NIL) |category| NIL 1125472) (|EuclideanDomain&| 1119861 1120432 1121283 "EUCDOM-" 1121288 NIL EUCDOM- (NIL T) |domain| NIL NIL) (|ExpertSystemToolsPackage| 1100389 1104352 1108599 "ESTOOLS" 1115678 T ESTOOLS (NIL) |package| NIL NIL) (|ExpertSystemToolsPackage2| 1099800 1099872 1100062 "ESTOOLS2" 1100293 NIL ESTOOLS2 (NIL T T) |package| NIL NIL) (|ExpertSystemToolsPackage1| 1099372 1099422 1099583 "ESTOOLS1" 1099726 NIL ESTOOLS1 (NIL T) |package| NIL NIL) (|ExpressionSpace| 1089830 1092174 1092234 "ES" 1096909 T ES (NIL) |category| NIL 1099144) (|ExpressionSpace&| 1082495 1084269 1086929 "ES-" 1087243 NIL ES- (NIL T) |domain| NIL NIL) (|ExpertSystemContinuityPackage| 1075659 1077000 1078505 "ESCONT" 1081064 T ESCONT (NIL) |package| NIL NIL) (|ExpertSystemContinuityPackage1| 1075176 1075222 1075410 "ESCONT1" 1075589 NIL ESCONT1 (NIL NIL NIL) |package| NIL NIL) (|ExpressionSpaceFunctions2| 1074606 1074667 1074868 "ES2" 1075091 NIL ES2 (NIL T T) |package| NIL NIL) (|ExpressionSpaceFunctions1| 1073995 1074067 1074268 "ES1" 1074510 NIL ES1 (NIL T T) |package| NIL NIL) (|ErrorFunctions| 1072820 1072981 1073255 "ERROR" 1073765 T ERROR (NIL) |package| NIL NIL) (|EqTable| 1064147 1072563 1072725 "EQTBL" 1072730 NIL EQTBL (NIL T T) |domain| NIL NIL) (|Equation| 1053462 1057343 1059349 "EQ" 1062187 NIL EQ (NIL T) |domain| NIL NIL) (|EquationFunctions2| 1052878 1052954 1053134 "EQ2" 1053362 NIL EQ2 (NIL T T) |package| NIL NIL) (|EigenPackage| 1044825 1046537 1048423 "EP" 1051051 NIL EP (NIL T) |package| NIL NIL) (|EntireRing| 1043611 1044356 1044406 "ENTIRER" 1044411 T ENTIRER (NIL) |category| NIL 1044497) (|EuclideanModularRing| 1038098 1040185 1040765 "EMR" 1043317 NIL EMR (NIL T T T NIL NIL NIL) |domain| NIL NIL) (|EltableAggregate| 1036815 1037047 1037144 "ELTAGG" 1037785 NIL ELTAGG (NIL T T) |category| NIL 1038067) (|EltableAggregate&| 1036417 1036485 1036708 "ELTAGG-" 1036713 NIL ELTAGG- (NIL T T T) |domain| NIL NIL) (|Eltable| 1036117 1036146 1036225 "ELTAB" 1036353 NIL ELTAB (NIL T T) |category| NIL NIL) (|EllipticFunctionsUnivariateTaylorSeries| 1034639 1034793 1035140 "ELFUTS" 1035924 NIL ELFUTS (NIL T T) |package| NIL NIL) (|ElementaryFunctionCategory| 1034193 1034249 1034331 "ELEMFUN" 1034538 T ELEMFUN (NIL) |category| NIL NIL) (|ElementaryFunctionCategory&| 1033955 1033976 1034135 "ELEMFUN-" 1034140 NIL ELEMFUN- (NIL T) |domain| NIL NIL) (|ExtensibleLinearAggregate| 1026237 1030780 1030874 "ELAGG" 1032577 NIL ELAGG (NIL T) |category| NIL 1033298) (|ExtensibleLinearAggregate&| 1023788 1024344 1025349 "ELAGG-" 1025354 NIL ELAGG- (NIL T T) |domain| NIL NIL) (|ElementaryFunctionsUnivariatePuiseuxSeries| 1010183 1012334 1013595 "EFUPXS" 1022822 NIL EFUPXS (NIL T T T T) |domain| NIL NIL) (|ElementaryFunctionsUnivariateLaurentSeries| 998242 1000395 1001610 "EFULS" 1009217 NIL EFULS (NIL T T T) |domain| NIL NIL) (|ElementaryFunctionStructurePackage| 993313 993775 994628 "EFSTRUC" 997693 NIL EFSTRUC (NIL T T) |package| NIL NIL) (|ElementaryFunction| 975229 976987 979188 "EF" 991269 NIL EF (NIL T T) |package| NIL NIL) (|ExtAlgBasis| 973855 974330 974601 "EAB" 974996 T EAB (NIL) |domain| NIL NIL) (|e04ucfAnnaType| 972590 973736 973815 "E04UCFA" 973820 T E04UCFA (NIL) |domain| NIL NIL) (|e04nafAnnaType| 971325 972471 972550 "E04NAFA" 972555 T E04NAFA (NIL) |domain| NIL NIL) (|e04mbfAnnaType| 970060 971206 971285 "E04MBFA" 971290 T E04MBFA (NIL) |domain| NIL NIL) (|e04jafAnnaType| 968795 969941 970020 "E04JAFA" 970025 T E04JAFA (NIL) |domain| NIL NIL) (|e04gcfAnnaType| 967532 968676 968755 "E04GCFA" 968760 T E04GCFA (NIL) |domain| NIL NIL) (|e04fdfAnnaType| 966269 967413 967492 "E04FDFA" 967497 T E04FDFA (NIL) |domain| NIL NIL) (|e04dgfAnnaType| 965004 966150 966229 "E04DGFA" 966234 T E04DGFA (NIL) |domain| NIL NIL) (|e04AgentsPackage| 954682 956990 959456 "E04AGNT" 962586 T E04AGNT (NIL) |package| NIL NIL) (|DifferentialVariableCategory| 952447 953074 953180 "DVARCAT" 954171 NIL DVARCAT (NIL T) |category| NIL 954550) (|DifferentialVariableCategory&| 951179 951467 952023 "DVARCAT-" 952028 NIL DVARCAT- (NIL T T) |domain| NIL NIL) (|DesingTreePackage| 937722 938439 939776 "DTP" 950353 NIL DTP (NIL T NIL T T T T T T T T T) |package| NIL NIL) (|DesingTree| 933982 936708 936990 "DSTREE" 937497 NIL DSTREE (NIL T) |domain| NIL NIL) (|DesingTreeCategory| 930302 932860 932947 "DSTRCAT" 933321 NIL DSTRCAT (NIL T) |category| |DesingTree| 933548) (|DifferentialSparseMultivariatePolynomial| 919165 929830 930150 "DSMP" 930155 NIL DSMP (NIL T T T) |domain| NIL NIL) (|DrawOption| 910739 912409 914219 "DROPT" 917391 T DROPT (NIL) |domain| NIL NIL) (|DrawOptionFunctions1| 910199 910279 910453 "DROPT1" 910635 NIL DROPT1 (NIL T) |package| NIL NIL) (|DrawOptionFunctions0| 901940 903728 905671 "DROPT0" 908312 T DROPT0 (NIL) |package| NIL NIL) (|TopLevelDrawFunctionsForPoints| 898700 899312 900094 "DRAWPT" 901234 T DRAWPT (NIL) |package| NIL NIL) (|TopLevelDrawFunctions| 887968 889781 891969 "DRAW" 896632 NIL DRAW (NIL T) |package| NIL NIL) (|DrawNumericHack| 887274 887363 887598 "DRAWHACK" 887855 NIL DRAWHACK (NIL T) |package| NIL NIL) (|DrawComplex| 884739 885269 885881 "DRAWCX" 886700 T DRAWCX (NIL) |package| NIL NIL) (|TopLevelDrawFunctionsForAlgebraicCurves| 883785 883895 884229 "DRAWCURV" 884605 NIL DRAWCURV (NIL T T) |package| NIL NIL) (|TopLevelDrawFunctionsForCompiledFunctions| 864497 868302 872580 "DRAWCFUN" 879605 T DRAWCFUN (NIL) |package| NIL NIL) (|DequeueAggregate| 859846 862418 862494 "DQAGG" 863564 NIL DQAGG (NIL T) |category| |Dequeue| 864009) (|DifferentialPolynomialCategory| 840076 850359 850560 "DPOLCAT" 854644 NIL DPOLCAT (NIL T T T T) |category| NIL 855638) (|DifferentialPolynomialCategory&| 832157 834021 837170 "DPOLCAT-" 837175 NIL DPOLCAT- (NIL T T T T T) |domain| NIL NIL) (|DirectProductModule| 822017 831899 832086 "DPMO" 832091 NIL DPMO (NIL NIL T T) |domain| NIL NIL) (|DirectProductMatrixModule| 811716 821614 821926 "DPMM" 821931 NIL DPMM (NIL NIL T T T) |domain| NIL NIL) (|DistributedMultivariatePolynomial| 801434 811026 811335 "DMP" 811528 NIL DMP (NIL NIL T) |domain| NIL NIL) (|DiscreteLogarithmPackage| 800635 800747 801043 "DLP" 801298 NIL DLP (NIL T) |package| NIL NIL) (|DataList| 791660 799247 799588 "DLIST" 800346 NIL DLIST (NIL T) |domain| NIL NIL) (|DoublyLinkedAggregate| 787032 789830 789916 "DLAGG" 790873 NIL DLAGG (NIL T) |category| NIL 791226) (|DivisionRing| 785063 785979 786033 "DIVRING" 786265 T DIVRING (NIL) |category| NIL 786436) (|DivisionRing&| 783509 783882 784502 "DIVRING-" 784507 NIL DIVRING- (NIL T) |domain| NIL NIL) (|Divisor| 781355 782855 783075 "DIV" 783350 NIL DIV (NIL T) |domain| NIL NIL) (|DivisorCategory| 777494 778880 778961 "DIVCAT" 780410 NIL DIVCAT (NIL T) |category| |Divisor| 780942) (|DisplayPackage| 774615 775083 775708 "DISPLAY" 776913 T DISPLAY (NIL) |package| NIL NIL) (|DirichletRing| 770727 772409 773065 "DIRRING" 774015 NIL DIRRING (NIL T) |domain| NIL NIL) (|DirectProduct| 762105 770564 770685 "DIRPROD" 770690 NIL DIRPROD (NIL NIL T) |domain| NIL NIL) (|DirectProductFunctions2| 760233 760516 760951 "DIRPROD2" 761788 NIL DIRPROD2 (NIL NIL T T) |package| NIL NIL) (|DirectProductCategory| 744771 753205 753319 "DIRPCAT" 754028 NIL DIRPCAT (NIL NIL T) |category| NIL 755375) (|DirectProductCategory&| 740377 741294 742775 "DIRPCAT-" 743433 NIL DIRPCAT- (NIL T NIL T) |domain| NIL NIL) (|DiophantineSolutionPackage| 739204 739446 739780 "DIOSP" 740111 T DIOSP (NIL) |package| NIL NIL) (|DictionaryOperations| 734275 737424 737515 "DIOPS" 738312 NIL DIOPS (NIL T) |category| NIL 738673) (|DictionaryOperations&| 733577 733720 734052 "DIOPS-" 734057 NIL DIOPS- (NIL T T) |domain| NIL NIL) (|DifferentialRing| 731841 732698 732760 "DIFRING" 733103 T DIFRING (NIL) |category| NIL 733296) (|DifferentialRing&| 731247 731362 731637 "DIFRING-" 731642 NIL DIFRING- (NIL T) |domain| NIL NIL) (|DifferentialExtension| 727689 729598 729684 "DIFEXT" 730327 NIL DIFEXT (NIL T) |category| NIL 730820) (|DifferentialExtension&| 725022 725648 726721 "DIFEXT-" 726726 NIL DIFEXT- (NIL T T) |domain| NIL NIL) (|Dictionary| 721189 724338 724409 "DIAGG" 724414 NIL DIAGG (NIL T) |category| NIL 724455) (|Dictionary&| 720297 720496 720882 "DIAGG-" 720887 NIL DIAGG- (NIL T T) |domain| NIL NIL) (|DenavitHartenbergMatrix| 713423 718431 718888 "DHMATRIX" 719961 NIL DHMATRIX (NIL T) |domain| NIL NIL) (|DoubleFloatVector| 705684 713078 713228 "DFVEC" 713323 T DFVEC (NIL) |domain| NIL NIL) (|DoubleFloatSpecialFunctions| 692885 695451 698430 "DFSFUN" 702775 T DFSFUN (NIL) |package| NIL NIL) (|DoubleFloatMatrix| 686677 692425 692631 "DFMAT" 692729 T DFMAT (NIL) |domain| NIL NIL) (|DoubleFloat| 678035 683879 684711 "DFLOAT" 685883 T DFLOAT (NIL) |domain| NIL NIL) (|DefiniteIntegrationTools| 674460 674952 675769 "DFINTTLS" 677487 NIL DFINTTLS (NIL T T) |package| NIL NIL) (|DeRhamComplex| 669646 671056 671787 "DERHAM" 673834 NIL DERHAM (NIL T NIL) |domain| NIL NIL) (|Dequeue| 656577 659190 661426 "DEQUEUE" 667461 NIL DEQUEUE (NIL T) |domain| NIL NIL) (|DegreeReductionPackage| 655088 655323 655709 "DEGRED" 656313 NIL DEGRED (NIL T T) |package| NIL NIL) (|RationalFunctionDefiniteIntegration| 648853 650026 651509 "DEFINTRF" 653834 NIL DEFINTRF (NIL T) |package| NIL NIL) (|ElementaryFunctionDefiniteIntegration| 644462 645146 646232 "DEFINTEF" 648121 NIL DEFINTEF (NIL T T) |package| NIL NIL) (|DecimalExpansion| 634629 643439 643759 "DECIMAL" 644190 T DECIMAL (NIL) |domain| NIL NIL) (|DistinctDegreeFactorize| 630134 630813 631690 "DDFACT" 633886 NIL DDFACT (NIL T T) |package| NIL NIL) (|DoubleResultantPackage| 629346 629408 629714 "DBLRESP" 630048 NIL DBLRESP (NIL T T T T) |package| NIL NIL) (|Database| 625835 626257 626837 "DBASE" 628965 NIL DBASE (NIL T) |domain| NIL NIL) (|d03fafAnnaType| 624534 625690 625782 "D03FAFA" 625787 T D03FAFA (NIL) |domain| NIL NIL) (|d03eefAnnaType| 623234 624389 624481 "D03EEFA" 624486 T D03EEFA (NIL) |domain| NIL NIL) (|d03AgentsPackage| 619878 620612 621433 "D03AGNT" 622461 T D03AGNT (NIL) |package| NIL NIL) (|d02ejfAnnaType| 618818 619731 619824 "D02EJFA" 619829 T D02EJFA (NIL) |domain| NIL NIL) (|d02cjfAnnaType| 617758 618671 618764 "D02CJFA" 618769 T D02CJFA (NIL) |domain| NIL NIL) (|d02bhfAnnaType| 616698 617611 617704 "D02BHFA" 617709 T D02BHFA (NIL) |domain| NIL NIL) (|d02bbfAnnaType| 615638 616551 616644 "D02BBFA" 616649 T D02BBFA (NIL) |domain| NIL NIL) (|d02AgentsPackage| 604757 607201 609794 "D02AGNT" 613093 T D02AGNT (NIL) |package| NIL NIL) (|d01WeightsPackage| 600985 601843 602785 "D01WGTS" 603865 T D01WGTS (NIL) |package| NIL NIL) (|d01TransformFunctionType| 599569 600848 600946 "D01TRNS" 600951 T D01TRNS (NIL) |domain| NIL NIL) (|d01gbfAnnaType| 598173 599452 599530 "D01GBFA" 599535 T D01GBFA (NIL) |domain| NIL NIL) (|d01fcfAnnaType| 596777 598056 598134 "D01FCFA" 598139 T D01FCFA (NIL) |domain| NIL NIL) (|d01asfAnnaType| 595381 596660 596738 "D01ASFA" 596743 T D01ASFA (NIL) |domain| NIL NIL) (|d01aqfAnnaType| 593985 595264 595342 "D01AQFA" 595347 T D01AQFA (NIL) |domain| NIL NIL) (|d01apfAnnaType| 592589 593868 593946 "D01APFA" 593951 T D01APFA (NIL) |domain| NIL NIL) (|d01anfAnnaType| 591193 592472 592550 "D01ANFA" 592555 T D01ANFA (NIL) |domain| NIL NIL) (|d01amfAnnaType| 589797 591076 591154 "D01AMFA" 591159 T D01AMFA (NIL) |domain| NIL NIL) (|d01alfAnnaType| 588401 589680 589758 "D01ALFA" 589763 T D01ALFA (NIL) |domain| NIL NIL) (|d01akfAnnaType| 587005 588284 588362 "D01AKFA" 588367 T D01AKFA (NIL) |domain| NIL NIL) (|d01ajfAnnaType| 585609 586888 586966 "D01AJFA" 586971 T D01AJFA (NIL) |domain| NIL NIL) (|d01AgentsPackage| 575732 577911 580212 "D01AGNT" 583356 T D01AGNT (NIL) |package| NIL NIL) (|CyclotomicPolynomialPackage| 574196 574478 574864 "CYCLOTOM" 575416 T CYCLOTOM (NIL) |package| NIL NIL) (|CycleIndicators| 567922 569255 570718 "CYCLES" 572779 T CYCLES (NIL) |package| NIL NIL) (|CoerceVectorMatrixPackage| 566759 566950 567261 "CVMP" 567702 NIL CVMP (NIL T) |package| NIL NIL) (|ComplexTrigonometricManipulations| 562283 562621 563340 "CTRIGMNP" 566313 NIL CTRIGMNP (NIL T T) |package| NIL NIL) (|CyclicStreamTools| 561143 561297 561583 "CSTTOOLS" 562095 NIL CSTTOOLS (NIL T T) |package| NIL NIL) (|ComplexRootFindingPackage| 553946 554806 556014 "CRFP" 560096 NIL CRFP (NIL T T) |package| NIL NIL) (|CRApackage| 552457 552694 553052 "CRAPACK" 553649 NIL CRAPACK (NIL T) |package| NIL NIL) (|ComplexPatternMatch| 551334 551503 551877 "CPMATCH" 552248 NIL CPMATCH (NIL T T T) |package| NIL NIL) (|CharacteristicPolynomialInMonogenicalAlgebra| 550671 550720 551001 "CPIMA" 551261 NIL CPIMA (NIL T T T) |package| NIL NIL) (|CoordinateSystems| 544367 545315 546487 "COORDSYS" 549628 NIL COORDSYS (NIL T) |package| NIL NIL) (|ContinuedFraction| 537760 540760 541614 "CONTFRAC" 543588 NIL CONTFRAC (NIL T) |domain| NIL NIL) (|CommutativeRing| 536533 537278 537338 "COMRING" 537343 T COMRING (NIL) |category| NIL 537432) (|SubSpaceComponentProperty| 535046 535395 535725 "COMPPROP" 536269 T COMPPROP (NIL) |domain| NIL NIL) (|ComplexPattern| 534452 534496 534728 "COMPLPAT" 534978 NIL COMPLPAT (NIL T T T) |package| NIL NIL) (|Complex| 518778 534146 534324 "COMPLEX" 534329 NIL COMPLEX (NIL T) |domain| NIL NIL) (|ComplexFunctions2| 518161 518235 518433 "COMPLEX2" 518680 NIL COMPLEX2 (NIL T T) |package| NIL NIL) (|ComplexFactorization| 517631 517675 517879 "COMPFACT" 518093 NIL COMPFACT (NIL T T) |package| NIL NIL) (|ComplexCategory| 491656 507827 507912 "COMPCAT" 509862 NIL COMPCAT (NIL T) |category| NIL 512207) (|ComplexCategory&| 475114 479345 485182 "COMPCAT-" 485922 NIL COMPCAT- (NIL T T) |domain| NIL NIL) (|Comparable| 474606 474798 474848 "COMPAR" 474945 T COMPAR (NIL) |category| NIL 475032) (|CommuteUnivariatePolynomialCategory| 474056 474085 474324 "COMMUPC" 474553 NIL COMMUPC (NIL T T T) |package| NIL NIL) (|CommonOperators| 473676 473728 473850 "COMMONOP" 473980 T COMMONOP (NIL) |package| NIL NIL) (|Commutator| 473064 473270 473418 "COMM" 473564 T COMM (NIL) |domain| NIL NIL) (|CombinatorialOpsCategory| 471730 471991 472069 "COMBOPC" 472704 T COMBOPC (NIL) |category| NIL 473021) (|IntegerCombinatoricFunctions| 469826 470083 470495 "COMBINAT" 471419 NIL COMBINAT (NIL T) |package| NIL NIL) (|CombinatorialFunction| 463425 464144 465145 "COMBF" 468959 NIL COMBF (NIL T T) |package| NIL NIL) (|Color| 461615 462033 462421 "COLOR" 463063 T COLOR (NIL) |domain| NIL NIL) (|ComplexRootPackage| 460971 461034 461275 "CMPLXRT" 461528 NIL CMPLXRT (NIL T T) |package| NIL NIL) (|TwoDimensionalPlotClipping| 454028 455549 457238 "CLIP" 459350 T CLIP (NIL) |package| NIL NIL) (|CliffordAlgebra| 451495 452514 452920 "CLIF" 453741 NIL CLIF (NIL NIL T NIL) |domain| NIL NIL) (|Collection| 445883 448633 448697 "CLAGG" 450227 NIL CLAGG (NIL T) |category| NIL 451018) (|Collection&| 443529 444169 445062 "CLAGG-" 445067 NIL CLAGG- (NIL T T) |domain| NIL NIL) (|ComplexIntegerSolveLinearPolynomialEquation| 442424 442613 442987 "CINTSLPE" 443316 NIL CINTSLPE (NIL T T) |package| NIL NIL) (|ChangeOfVariable| 438224 438868 439743 "CHVAR" 441731 NIL CHVAR (NIL T T T) |package| NIL NIL) (|CharacteristicZero| 437108 437853 437919 "CHARZ" 437924 T CHARZ (NIL) |category| NIL 437943) (|CharacteristicPolynomialPackage| 436587 436652 436844 "CHARPOL" 437019 NIL CHARPOL (NIL T) |package| NIL NIL) (|CharacteristicNonZero| 435272 436062 436134 "CHARNZ" 436217 T CHARNZ (NIL) |category| NIL 436306) (|Character| 432242 433133 433696 "CHAR" 434743 T CHAR (NIL) |domain| NIL NIL) (|CombinatorialFunctionCategory| 431708 431788 431876 "CFCAT" 432117 T CFCAT (NIL) |category| NIL NIL) (|Cell| 429002 429458 430039 "CELL" 431176 NIL CELL (NIL T) |domain| NIL NIL) (|ComplexDoubleFloatVector| 419398 428362 428600 "CDFVEC" 428828 T CDFVEC (NIL) |domain| NIL NIL) (|ComplexDoubleFloatMatrix| 412109 418865 419111 "CDFMAT" 419216 T CDFMAT (NIL) |domain| NIL NIL) (|CommonDenominator| 410713 410870 411208 "CDEN" 411917 NIL CDEN (NIL T T T) |package| NIL NIL) (|CharacterClass| 404251 409175 409695 "CCLASS" 410237 T CCLASS (NIL) |domain| NIL NIL) (|CartesianTensor| 396151 397388 398625 "CARTEN" 403130 NIL CARTEN (NIL NIL NIL T) |domain| NIL NIL) (|CartesianTensorFunctions2| 394594 394807 395210 "CARTEN2" 395909 NIL CARTEN2 (NIL NIL NIL T T) |package| NIL NIL) (|CardinalNumber| 391752 392936 393462 "CARD" 394112 T CARD (NIL) |domain| NIL NIL) (|CylindricalAlgebraicDecompositionUtilities| 390381 390543 390901 "CADU" 391556 NIL CADU (NIL T T) |package| NIL NIL) (|CylindricalAlgebraicDecompositionPackage| 385363 386259 387364 "CAD" 389397 NIL CAD (NIL T) |package| NIL NIL) (|CachableSet| 384401 384811 384863 "CACHSET" 385103 T CACHSET (NIL) |category| NIL 385260) (|CancellationAbelianMonoid| 383615 383992 384072 "CABMON" 384165 T CABMON (NIL) |category| NIL 384268) (|BinaryTree| 380150 383089 383276 "BTREE" 383485 NIL BTREE (NIL T) |domain| NIL NIL) (|BinaryTournament| 376527 379493 379732 "BTOURN" 379979 NIL BTOURN (NIL T) |domain| NIL NIL) (|BinaryTreeCategory| 372844 375694 375781 "BTCAT" 375894 NIL BTCAT (NIL T) |category| NIL 376053) (|BinaryTreeCategory&| 372326 372429 372688 "BTCAT-" 372693 NIL BTCAT- (NIL T T) |domain| NIL NIL) (|BitAggregate| 365009 370774 370828 "BTAGG" 371220 T BTAGG (NIL) |category| NIL 371494) (|BitAggregate&| 364315 364452 364760 "BTAGG-" 364765 NIL BTAGG- (NIL T) |domain| NIL NIL) (|BinarySearchTree| 359996 363062 363441 "BSTREE" 364004 NIL BSTREE (NIL T) |domain| NIL NIL) (|BasicStochasticDifferential| 357468 358134 358649 "BSD" 359551 T BSD (NIL) |domain| NIL NIL) (|BrillhartTests| 355619 355855 356275 "BRILL" 357142 NIL BRILL (NIL T) |package| NIL NIL) (|BinaryRecursiveAggregate| 350771 353594 353686 "BRAGG" 354811 NIL BRAGG (NIL T) |category| NIL 355185) (|BinaryRecursiveAggregate&| 348774 349257 350071 "BRAGG-" 350076 NIL BRAGG- (NIL T T) |domain| NIL NIL) (|BalancedPAdicRational| 336816 347496 347885 "BPADICRT" 348460 NIL BPADICRT (NIL NIL) |domain| NIL NIL) (|BalancedPAdicInteger| 334343 336676 336780 "BPADIC" 336785 NIL BPADIC (NIL NIL) |domain| NIL NIL) (|BoundIntegerRoots| 333769 333813 334041 "BOUNDZRO" 334275 NIL BOUNDZRO (NIL T T) |package| NIL NIL) (|BasicOperator| 326469 328003 329489 "BOP" 332325 T BOP (NIL) |domain| NIL NIL) (|BasicOperatorFunctions1| 322244 322960 323888 "BOP1" 325624 NIL BOP1 (NIL T) |package| NIL NIL) (|Boolean| 320040 320866 321302 "BOOLEAN" 321838 T BOOLEAN (NIL) |domain| NIL NIL) (|BiModule| 319129 319589 319663 "BMODULE" 319668 NIL BMODULE (NIL T T) |category| NIL 319795) (|BlowUpPackage| 312783 313854 315191 "BLUPPACK" 318012 NIL BLUPPACK (NIL T NIL T T T) |package| NIL NIL) (|BlowUpWithQuadTrans| 311905 312546 312689 "BLQT" 312694 T BLQT (NIL) |domain| NIL NIL) (|BlowUpMethodCategory| 309451 310082 310152 "BLMETCT" 311246 T BLMETCT (NIL) |category| NIL 311823) (|BlowUpWithHamburgerNoether| 308566 309204 309359 "BLHN" 309364 T BLHN (NIL) |domain| NIL NIL) (|BlasLevelOne| 298333 300640 303091 "BLAS1" 306155 T BLAS1 (NIL) |package| NIL NIL) (|Bits| 292070 297975 298104 "BITS" 298228 T BITS (NIL) |domain| NIL NIL) (|BinaryFile| 290593 291224 291513 "BINFILE" 291817 T BINFILE (NIL) |domain| NIL NIL) (|BinaryExpansion| 280774 289582 289898 "BINARY" 290323 T BINARY (NIL) |domain| NIL NIL) (|BagAggregate| 277681 279671 279739 "BGAGG" 280146 NIL BGAGG (NIL T) |category| NIL 280374) (|BagAggregate&| 277439 277473 277616 "BGAGG-" 277621 NIL BGAGG- (NIL T T) |domain| NIL NIL) (|BasicFunctions| 276083 276456 276796 "BFUNCT" 277143 T BFUNCT (NIL) |domain| NIL NIL) (|BezoutMatrix| 273749 274005 274487 "BEZOUT" 275809 NIL BEZOUT (NIL T T T T T) |package| NIL NIL) (|Bezier| 272242 272538 272910 "BEZIER" 273419 NIL BEZIER (NIL T) |package| NIL NIL) (|BalancedBinaryTree| 267076 270286 270847 "BBTREE" 271754 NIL BBTREE (NIL T) |domain| NIL NIL) (|BasicType| 266705 266761 266809 "BASTYPE" 266981 T BASTYPE (NIL) |category| NIL NIL) (|BasicType&| 266495 266525 266640 "BASTYPE-" 266645 NIL BASTYPE- (NIL T) |domain| NIL NIL) (|BalancedFactorisation| 265390 265498 265813 "BALFACT" 266332 NIL BALFACT (NIL T T) |package| NIL NIL) (|AxiomServer| 264347 264529 264784 "AXSERV" 265173 T AXSERV (NIL) |package| NIL NIL) (|Automorphism| 262654 263408 263705 "AUTOMOR" 264104 NIL AUTOMOR (NIL T) |domain| NIL NIL) (|UnitsKnownAttribute| 262527 262532 262600 "ATUNIKN" 262605 T ATUNIKN (NIL) |category| NIL NIL) (|AttributeRegistry| 261869 261874 261938 "ATTREG" 261943 T ATTREG (NIL) |category| NIL NIL) (|AttributeButtons| 258975 259559 260194 "ATTRBUT" 261282 T ATTRBUT (NIL) |domain| NIL NIL) (|ShallowlyMutableAttribute| 258836 258841 258921 "ATSHMUT" 258926 T ATSHMUT (NIL) |category| NIL NIL) (|ArcTrigonometricFunctionCategory| 257990 258109 258203 "ATRIG" 258656 T ATRIG (NIL) |category| NIL NIL) (|ArcTrigonometricFunctionCategory&| 257652 257695 257902 "ATRIG-" 257907 NIL ATRIG- (NIL T) |domain| NIL NIL) (|PartiallyOrderedSetAttribute| 257507 257512 257598 "ATPOSET" 257603 T ATPOSET (NIL) |category| NIL NIL) (|NoZeroDivisorsAttribute| 257372 257377 257453 "ATNZDIV" 257458 T ATNZDIV (NIL) |category| NIL NIL) (|NullSquareAttribute| 257245 257250 257318 "ATNULSQ" 257323 T ATNULSQ (NIL) |category| NIL NIL) (|NotherianAttribute| 257120 257125 257191 "ATNOTHR" 257196 T ATNOTHR (NIL) |category| NIL NIL) (|MultiplicativeValuationAttribute| 256967 256972 257066 "ATMULVA" 257071 T ATMULVA (NIL) |category| NIL NIL) (|LeftUnitaryAttribute| 256838 256843 256913 "ATLUNIT" 256918 T ATLUNIT (NIL) |category| NIL NIL) (|LazyRepresentationAttribute| 256695 256700 256784 "ATLR" 256789 T ATLR (NIL) |category| NIL NIL) (|JacobiIdentityAttribute| 256560 256565 256641 "ATJACID" 256646 T ATJACID (NIL) |category| NIL NIL) (|FiniteAggregateAttribute| 256423 256428 256506 "ATFINAG" 256511 T ATFINAG (NIL) |category| NIL NIL) (|CanonicalUnitNormalAttribute| 256278 256283 256369 "ATCUNOR" 256374 T ATCUNOR (NIL) |category| NIL NIL) (|CommutativeStarAttribute| 256141 256146 256224 "ATCS" 256229 T ATCS (NIL) |category| NIL NIL) (|CentralAttribute| 256020 256025 256087 "ATCENRL" 256092 T ATCENRL (NIL) |category| NIL NIL) (|CanonicalAttribute| 255895 255900 255966 "ATCANON" 255971 T ATCANON (NIL) |category| NIL NIL) (|CanonicalClosedAttribute| 255758 255763 255841 "ATCANCL" 255846 T ATCANCL (NIL) |category| NIL NIL) (|ArbitraryPrecisionAttribute| 255615 255620 255704 "ATARBPR" 255709 T ATARBPR (NIL) |category| NIL NIL) (|ArbitraryExponentAttribute| 255474 255479 255561 "ATARBEX" 255566 T ATARBEX (NIL) |category| NIL NIL) (|ApproximateAttribute| 255345 255350 255420 "ATAPPRO" 255425 T ATAPPRO (NIL) |category| NIL NIL) (|AdditiveValuationAttribute| 255204 255209 255291 "ATADDVA" 255296 T ATADDVA (NIL) |category| NIL NIL) (|ArrayStack| 245017 247184 248909 "ASTACK" 253536 NIL ASTACK (NIL T) |domain| NIL NIL) (|AssociatedEquations| 242420 242868 243501 "ASSOCEQ" 244519 NIL ASSOCEQ (NIL T T) |package| NIL NIL) (|Asp9| 240912 241853 242063 "ASP9" 242250 NIL ASP9 (NIL NIL) |domain| NIL NIL) (|Asp8| 240546 240813 240880 "ASP8" 240885 NIL ASP8 (NIL NIL) |domain| NIL NIL) (|Asp80| 238781 239886 240130 "ASP80" 240344 NIL ASP80 (NIL NIL) |domain| NIL NIL) (|Asp7| 237080 238169 238396 "ASP7" 238594 NIL ASP7 (NIL NIL) |domain| NIL NIL) (|Asp78| 235417 236495 236714 "ASP78" 236903 NIL ASP78 (NIL NIL) |domain| NIL NIL) (|Asp77| 233753 234832 235051 "ASP77" 235240 NIL ASP77 (NIL NIL) |domain| NIL NIL) (|Asp74| 232049 233138 233367 "ASP74" 233566 NIL ASP74 (NIL NIL) |domain| NIL NIL) (|Asp73| 230347 231434 231663 "ASP73" 231862 NIL ASP73 (NIL NIL) |domain| NIL NIL) (|Asp6| 228686 229765 229982 "ASP6" 230170 NIL ASP6 (NIL NIL) |domain| NIL NIL) (|Asp55| 227016 228101 228320 "ASP55" 228509 NIL ASP55 (NIL NIL) |domain| NIL NIL) (|Asp50| 225347 226428 226648 "ASP50" 226838 NIL ASP50 (NIL NIL) |domain| NIL NIL) (|Asp4| 223879 224810 225010 "ASP4" 225187 NIL ASP4 (NIL NIL) |domain| NIL NIL) (|Asp49| 222408 223339 223541 "ASP49" 223719 NIL ASP49 (NIL NIL) |domain| NIL NIL) (|Asp42| 220552 221663 221938 "ASP42" 222207 NIL ASP42 (NIL NIL NIL NIL) |domain| NIL NIL) (|Asp41| 218705 219813 220086 "ASP41" 220353 NIL ASP41 (NIL NIL NIL NIL) |domain| NIL NIL) (|Asp35| 217038 218120 218339 "ASP35" 218528 NIL ASP35 (NIL NIL) |domain| NIL NIL) (|Asp34| 216670 216937 217006 "ASP34" 217011 NIL ASP34 (NIL NIL) |domain| NIL NIL) (|Asp33| 216222 216314 216455 "ASP33" 216571 NIL ASP33 (NIL NIL) |domain| NIL NIL) (|Asp31| 214515 215607 215836 "ASP31" 216035 NIL ASP31 (NIL NIL) |domain| NIL NIL) (|Asp30| 214147 214414 214483 "ASP30" 214488 NIL ASP30 (NIL NIL) |domain| NIL NIL) (|Asp29| 213697 213791 213932 "ASP29" 214048 NIL ASP29 (NIL NIL) |domain| NIL NIL) (|Asp28| 213329 213596 213665 "ASP28" 213670 NIL ASP28 (NIL NIL) |domain| NIL NIL) (|Asp27| 212961 213228 213297 "ASP27" 213302 NIL ASP27 (NIL NIL) |domain| NIL NIL) (|Asp24| 211486 212418 212621 "ASP24" 212800 NIL ASP24 (NIL NIL) |domain| NIL NIL) (|Asp20| 209768 210862 211094 "ASP20" 211296 NIL ASP20 (NIL NIL) |domain| NIL NIL) (|Asp1| 208300 209231 209431 "ASP1" 209608 NIL ASP1 (NIL NIL) |domain| NIL NIL) (|Asp19| 206625 207712 207932 "ASP19" 208122 NIL ASP19 (NIL NIL) |domain| NIL NIL) (|Asp12| 206177 206269 206410 "ASP12" 206526 NIL ASP12 (NIL NIL) |domain| NIL NIL) (|Asp10| 204411 205514 205759 "ASP10" 205974 NIL ASP10 (NIL NIL) |domain| NIL NIL) (|TwoDimensionalArray| 201270 204024 204249 "ARRAY2" 204254 NIL ARRAY2 (NIL T) |domain| NIL NIL) (|OneDimensionalArray| 195159 200535 200789 "ARRAY1" 201084 NIL ARRAY1 (NIL T) |domain| NIL NIL) (|OneDimensionalArrayFunctions2| 193375 193663 194087 "ARRAY12" 194837 NIL ARRAY12 (NIL T T) |package| NIL NIL) (|TwoDimensionalArrayCategory| 183671 186279 186451 "ARR2CAT" 191766 NIL ARR2CAT (NIL T T T) |category| NIL 192975) (|TwoDimensionalArrayCategory&| 179838 180860 182368 "ARR2CAT-" 182373 NIL ARR2CAT- (NIL T T T T) |domain| NIL NIL) (|ApplyRules| 177722 177928 178437 "APPRULE" 179583 NIL APPRULE (NIL T T T) |package| NIL NIL) (|ApplyUnivariateSkewPolynomial| 177093 177150 177391 "APPLYORE" 177641 NIL APPLYORE (NIL T T T) |package| NIL NIL) (|ApplicationProgramInterface| 175651 175869 176201 "API" 176831 T API (NIL) |package| NIL NIL) (|Any| 174083 174471 174795 "ANY" 175349 T ANY (NIL) |domain| NIL NIL) (|AnyFunctions1| 172933 173099 173360 "ANY1" 173878 NIL ANY1 (NIL T) |package| NIL NIL) (|AntiSymm| 169143 170384 170948 "ANTISYM" 172440 NIL ANTISYM (NIL T NIL) |domain| NIL NIL) (|AnonymousFunction| 168892 169054 169121 "ANON" 169126 T ANON (NIL) |domain| NIL NIL) (|AlgebraicNumber| 159460 165887 166849 "AN" 167976 T AN (NIL) |domain| NIL NIL) (|AbelianMonoidRing| 153584 155485 155593 "AMR" 157017 NIL AMR (NIL T T) |category| NIL 157953) (|AbelianMonoidRing&| 152263 152558 153135 "AMR-" 153140 NIL AMR- (NIL T T T) |domain| NIL NIL) (|AssociationList| 131828 152090 152218 "ALIST" 152223 NIL ALIST (NIL T T) |domain| NIL NIL) (|AlgebraGivenByStructuralConstants| 127001 131087 131416 "ALGSC" 131678 NIL ALGSC (NIL T NIL NIL NIL) |domain| NIL NIL) (|AlgebraPackage| 120277 121187 122332 "ALGPKG" 125966 NIL ALGPKG (NIL T T) |package| NIL NIL) (|AlgebraicMultFact| 118768 118962 119357 "ALGMFACT" 120043 NIL ALGMFACT (NIL T T T) |package| NIL NIL) (|AlgebraicManipulations| 111091 112039 113114 "ALGMANIP" 118067 NIL ALGMANIP (NIL T T) |package| NIL NIL) (|AlgebraicFunctionField| 97882 110316 110634 "ALGFF" 110957 NIL ALGFF (NIL T T T NIL) |domain| NIL NIL) (|AlgFactor| 96410 96599 96930 "ALGFACT" 97643 NIL ALGFACT (NIL T) |package| NIL NIL) (|Algebra| 94976 95767 95836 "ALGEBRA" 95938 NIL ALGEBRA (NIL T) |category| NIL 96025) (|Algebra&| 94543 94618 94834 "ALGEBRA-" 94839 NIL ALGEBRA- (NIL T T) |domain| NIL NIL) (|AssociationListAggregate| 70289 91056 91176 "ALAGG" 91399 NIL ALAGG (NIL T T) |category| |AssociationList| 91625) (|ArcHyperbolicFunctionCategory| 69449 69574 69662 "AHYP" 70103 T AHYP (NIL) |category| NIL NIL) (|Aggregate| 67687 68056 68104 "AGG" 68958 T AGG (NIL) |category| NIL 69431) (|Aggregate&| 66746 66993 67365 "AGG-" 67370 NIL AGG- (NIL T) |domain| NIL NIL) (|AffineSpaceCategory| 62636 63427 63510 "AFSPCAT" 65807 NIL AFSPCAT (NIL T) |category| NIL 66632) (|AlgebraicFunction| 58425 59087 59831 "AF" 62018 NIL AF (NIL T T) |package| NIL NIL) (|AffineSpace| 57480 58279 58390 "AFFSP" 58395 NIL AFFSP (NIL NIL T) |domain| NIL NIL) (|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| 56013 57190 57405 "AFFPLPS" 57410 NIL AFFPLPS (NIL T) |domain| NIL NIL) (|AffinePlane| 55078 55895 55978 "AFFPL" 55983 NIL AFFPL (NIL T) |domain| NIL NIL) (|AffineAlgebraicSetComputeWithResultant| 48512 49389 50647 "AFALGRES" 54122 NIL AFALGRES (NIL T NIL T T T) |package| NIL NIL) (|AffineAlgebraicSetComputeWithGroebnerBasis| 45978 46239 46844 "AFALGGRO" 48217 NIL AFALGGRO (NIL T NIL T T T) |package| NIL NIL) (|PlaneAlgebraicCurvePlot| 44687 45081 45400 "ACPLOT" 45721 T ACPLOT (NIL) |domain| NIL NIL) (|AlgebraicallyClosedFunctionSpace| 28628 39906 40048 "ACFS" 41463 NIL ACFS (NIL T) |category| |Expression| 41846) (|AlgebraicallyClosedFunctionSpace&| 25328 26092 27446 "ACFS-" 27451 NIL ACFS- (NIL T T) |domain| NIL NIL) (|AlgebraicallyClosedField| 18951 21835 21913 "ACF" 23646 T ACF (NIL) |category| NIL 24442) (|AlgebraicallyClosedField&| 16600 17188 18117 "ACF-" 18122 NIL ACF- (NIL T) |domain| NIL NIL) (|AbelianSemiGroup| 15981 16189 16251 "ABELSG" 16410 T ABELSG (NIL) |category| NIL 16518) (|AbelianSemiGroup&| 15728 15766 15909 "ABELSG-" 15914 NIL ABELSG- (NIL T) |domain| NIL NIL) (|AbelianMonoid| 14733 15060 15116 "ABELMON" 15417 T ABELMON (NIL) |category| NIL 15619) (|AbelianMonoid&| 14172 14295 14545 "ABELMON-" 14550 NIL ABELMON- (NIL T) |domain| NIL NIL) (|AbelianGroup| 13194 13622 13676 "ABELGRP" 13869 T ABELGRP (NIL) |category| NIL 14003) (|AbelianGroup&| 12401 12575 12914 "ABELGRP-" 12919 NIL ABELGRP- (NIL T) |domain| NIL NIL) (|OneDimensionalArrayAggregate| 6156 11366 11466 "A1AGG" 11471 NIL A1AGG (NIL T) |category| NIL 11565) (|OneDimensionalArrayAggregate&| 30 1630 3956 "A1AGG-" 3961 NIL A1AGG- (NIL T T) |domain| NIL NIL)) 
\ No newline at end of file
diff --git a/src/share/algebra/operation.daase b/src/share/algebra/operation.daase
index 344e0bb..55ef0c7 100644
--- a/src/share/algebra/operation.daase
+++ b/src/share/algebra/operation.daase
@@ -1,3323 +1,3337 @@
 
-(1571990 . 3618799568)       
-(((*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6))))) 
+(1577508 . 3619047074)       
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Union| (|Boolean|) "failed")) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *2 (|Record| (|:| |cycle?| (|Boolean|)) (|:| |prefix| (|NonNegativeInteger|)) (|:| |period| (|NonNegativeInteger|)))) (|isDomain| *1 (|Stream| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *3 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DrawOption|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|ErrorFunctions|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|ErrorFunctions|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|ErrorFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|String|))) (|isDomain| *3 (|String|)) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|ErrorFunctions|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|List| (|Point| *3)))))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|InputForm|))))) 
-(((*1 *1) (|isDomain| *1 (|Void|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|))))) 
-(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Kernel| *7)) (|ofCategory| *7 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| *2) (|RetractableTo| *5) (|PartialDifferentialRing| *5) (|CombinatorialOpsCategory|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RecurrenceOperator| *6 *7))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|LazardSetSolvingPackage| *3 *4 *5 *6 *7 *2)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *2 (|SquareFreeRegularTriangularSetCategory| *3 *4 *5 *6))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|isDomain| *1 (|AlgebraicManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *4 (|Kernel| $)))))))))) 
-(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *1 *3 *3 *4 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *3 *4 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *5 *7)) (|isDomain| *4 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *2 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *4 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *1 *1 *2 *1) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|UniversalSegment| (|Integer|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *2 *3 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|StochasticDifferential| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ExtAlgBasis|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Cell| *3)) (|ofCategory| *3 (|RealClosedField|))))) 
+(((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Float|)) (|isDomain| *1 (|RoutinesTable|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *1 (|BinarySearchTree| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|FiniteLinearAggregate| *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *6)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *6 *7 *8 *3)) (|ofCategory| *3 (|MatrixCategory| *6 *7 *8)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|List| (|PositiveInteger|))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|FiniteLinearAggregate| *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *6)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *6 *7 *8 *3)) (|ofCategory| *3 (|MatrixCategory| *6 *7 *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathServerPackage|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
+(((*1 *2 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| *4)) (|ofCategory| *4 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|PureAlgebraicLODE| *5 *6 *7 *4))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Mapping| *4 (|Integer|))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Any|)) (|isDomain| *1 (|AnyFunctions1| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| *2)) (|ofType| *4 (|List| *2)) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| *5)) (|ofCategory| *5 (|FortranMachineTypeCategory|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *5 (|FiniteAlgebraicExtensionField| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|NormRetractPackage| *4 *5 *6 *3 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofType| *7 (|PositiveInteger|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|RetractableTo| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (|partial| OR (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|not| (|ofCategory| *3 (|Algebra| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|IntegerNumberSystem|))) (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|QuotientFieldCategory| (|Integer|)))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) ((*1 *1 *2) (|partial| OR (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *2 *3 *4 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *5 *6))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|RetractableTo| (|Integer|))) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|ComplexCategory&| *3 *4)) (|ofCategory| *3 (|ComplexCategory| *4)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|Ring|)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) ((*1 *2) (AND (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|))))) ((*1 *2 *3 *1) (AND (|isDomain| *2 (|Record| (|:| |less| (|BinarySearchTree| *3)) (|:| |greater| (|BinarySearchTree| *3)))) (|isDomain| *1 (|BinarySearchTree| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|DivisorCategory| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|IntegrationResult| *4)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedFunctionSpace| *3) (|TranscendentalFunctionCategory|))) (|ofCategory| *3 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|IntegrationResultToFunction| *3 *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|IntegrationResult| (|Fraction| (|Polynomial| *3)))) (|ofCategory| *3 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|IntegrationResultRFToFunction| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |normal| *3) (|:| |special| *3))) (|isDomain| *1 (|MonomialExtensionTools| *5 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Vector| (|Vector| *5))) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|CharacterClass|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|StringAggregate|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Character|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|StringAggregate|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|List| (|NewSparseUnivariatePolynomial| *3))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
 (((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Mapping| *4 (|Integer|) (|Integer|))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|OutputForm|)))) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SquareMatrix| *3 *4)) (|isDomain| *1 (|QuadraticForm| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *5))) (|ofCategory| *5 (|Ring|)) (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|XPolynomialsCat| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|OrderedFreeMonoid| *3)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|OrderedMonoid|)) (|isDomain| *1 (|XPolynomialRing| *3 *2)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *1 (|HeuGcd| *3))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|ofCategory| *2 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *3 *2)) (|ofCategory| *3 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *2 (|List| (|PrimitiveArray| (|DoubleFloat|)))) (|isDomain| *1 (|BlasLevelOne|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|)))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Vector| (|Union| (|GraphImage|) "undefined"))) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|)))) (|isDomain| *1 (|PointsOfFiniteOrderTools| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Expression| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|PartialDifferentialRing| *5)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *3 *6 *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Point| *3)))))) ((*1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|List| (|Point| *4)))) (|isDomain| *3 (|Boolean|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|Point| *3)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|List| (|List| *4)))) (|isDomain| *3 (|Boolean|)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|List| (|Point| *4)))) (|isDomain| *3 (|Boolean|)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|List| (|List| *5)))) (|isDomain| *3 (|List| (|SubSpaceComponentProperty|))) (|isDomain| *4 (|SubSpaceComponentProperty|)) (|ofCategory| *1 (|ThreeSpaceCategory| *5)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|List| (|Point| *5)))) (|isDomain| *3 (|List| (|SubSpaceComponentProperty|))) (|isDomain| *4 (|SubSpaceComponentProperty|)) (|ofCategory| *1 (|ThreeSpaceCategory| *5)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1) (|isDomain| *1 (|TwoDimensionalViewport|)))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |outval| (|Complex| *4)) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| (|Complex| *4))))))) (|isDomain| *1 (|NumericComplexEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Boolean|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ApplicationProgramInterface|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *4)) (|:| |coordinates| (|List| (|Polynomial| *4)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *4)) (|:| |coordinates| (|List| (|Polynomial| *4)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|)))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|PermutationCategory| *3))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 *2)) (|ofType| *6 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *8))) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *8)) (|:| |badPols| (|List| *8)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Matrix| *1)) (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|Vector| *1)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Matrix| *1)) (|ofCategory| *1 (|CharacteristicNonZero|)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Vector| *1))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) ((*1 *1 *2) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) ((*1 *1 *2 *2) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|)))))) 
 (((*1 *1) (|isDomain| *1 (|FortranType|)))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Character|))) (|isDomain| *1 (|CharacterClass|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|CharacterClass|))))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|)))))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4 *4 *3 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *3 *4 *4 *4 *3 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *3 *4)) (|isDomain| *1 (|PatternMatchListResult| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *5 (|ListAggregate| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *3 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *5)) *4 *3)))) ((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|isDomain| *1 (|PushVariables| *4 *5 *3 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|PushVariables| *4 *5 *6 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *6))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *6 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *3 *4 *2 *5 *6 *7 *8 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 (|OrderedVariableList| *4))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|FunctionSpaceComplexIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DefiniteIntegrationTools| *4 *5)) (|ofCategory| *5 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4)))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|CommonDenominator| *3 *4 *2)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|InnerCommonDenominator| *4 *5 *2 *3)) (|ofCategory| *3 (|FiniteLinearAggregate| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|MatrixCommonDenominator| *4 *5)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|UnivariatePolynomialCommonDenominator| *3 *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *2) (AND (|isDomain| *1 (|IntegerPrimesPackage| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LyndonWord| *3))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ComplexCategory&| *3 *4)) (|ofCategory| *3 (|ComplexCategory| *4)))) ((*1 *2) (AND (|ofType| *4 *2) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DirectProductCategory&| *3 *4 *5)) (|ofCategory| *3 (|DirectProductCategory| *4 *5)))) ((*1 *2) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FunctionSpace&| *3 *4)) (|ofCategory| *3 (|FunctionSpace| *4)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerNumberSystem&| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) ((*1 *2) (AND (|ofCategory| *1 (|NonAssociativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OctonionCategory&| *3 *4)) (|ofCategory| *3 (|OctonionCategory| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|QuotientFieldCategory&| *3 *4)) (|ofCategory| *3 (|QuotientFieldCategory| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|QuaternionCategory&| *3 *4)) (|ofCategory| *3 (|QuaternionCategory| *4)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealClosedField&| *3)) (|ofCategory| *3 (|RealClosedField|)))) ((*1 *2) (AND (|ofCategory| *1 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealNumberSystem&| *3)) (|ofCategory| *3 (|RealNumberSystem|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Polynomial| *6))) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *5 *4)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *5 *4 *6 *2)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)))))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *3 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *4 *5 *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *4))) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|LinearPolynomialEquationByFractions| *4))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|OutputForm|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *4 (|Permutation| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|IrrRepSymNatPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|IrrRepSymNatPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *4 (|List| (|Permutation| (|Integer|)))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|IrrRepSymNatPackage|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|d01AgentsPackage|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3 *3 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Mapping| (|List| *4) *4)) (|isDomain| *1 (|Bezier| *4)) (|isDomain| *3 (|List| *4))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Polynomial| (|Complex| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Polynomial| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *4)))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *5)))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Expression| (|Complex| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Expression| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) ((*1 *1 *2) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) ((*1 *1 *2 *2) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|RetractableTo| (|Fraction| *2)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|BoundIntegerRoots| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
-(((*1 *1) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraPackage| *3 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)))) ((*1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FramedAlgebra| *3 *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FractionalIdeal| *3 *4 *5 *6)) (|ofCategory| *6 (|Join| (|FramedAlgebra| *4 *5) (|RetractableTo| *4))))) ((*1 *2 *1) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FramedModule| *3 *4 *5 *6 *7)) (|ofCategory| *6 (|FramedAlgebra| *4 *5)) (|ofType| *7 *2))) ((*1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| (|Vector| *4))) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
-(((*1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *1 (|FourierSeries| *3 *2)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *2 (|Join| (|OrderedSet|) (|AbelianGroup|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|ExpressionTubePlot|)) (|isDomain| *3 (|DoubleFloat|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Any|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|StreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SubSpace| 3 (|DoubleFloat|))) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Export3D|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| (|Mapping| *4 (|List| *4)))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|List| (|Mapping| *4 (|List| *4)))) (|isDomain| *1 (|BasicOperatorFunctions1| *4)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2 *3 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2))))) ((*1 *2 *3) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2)))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *6))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|LinearlyExplicitRingOver| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|LinearDependence| *4 *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| *4))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *3) (AND (|has| *6 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *3) (AND (|has| *9 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *7 (|QuotientFieldCategory| *4)) (|ofCategory| *8 (|FiniteLinearAggregate| *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *7)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerMatrixQuotientFieldFunctions| *4 *5 *6 *3 *7 *8 *9 *10)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *10 (|MatrixCategory| *7 *8 *9)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| *7))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|ofCategory| *2 (|Ring|)) (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|OpenMathPackage|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FractionFreeFastGaussian| *3 *5)) (|ofCategory| *5 (|AbelianMonoidRing| *3 *4))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *4 (|Integer|))) (|isDomain| *5 (|Mapping| (|Stream| *4))) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *3 (|None|)) (|isDomain| *1 (|Any|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *1 *2 *2 *3 *1 *4) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|PseudoAlgebraicClosureOfRationalNumber|))) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Symbol|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfRationalNumber|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| (|Stream| *7))) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *5 (|IndexedExponents| *6) *6)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Mapping| (|Stream| *7) *7)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *5 *6 *7))))) 
+(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|))))) 
 (((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Void|))))) 
-(((*1 *1) (|isDomain| *1 (|Character|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *3 (|None|)) (|isDomain| *1 (|Any|))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4)))))) 
-(((*1 *1 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerBits|))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|d01WeightsPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|FreeModuleCat| *3 *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|MonoidRing| *3 *4))) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *6 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|SuchThat| (|List| (|Polynomial| *4)) (|List| (|Equation| (|Polynomial| *4))))) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Polynomial| *4))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|RadixUtilities|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *5) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *5 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
 (((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|OppositeMonogenicLinearOperator| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| (|PrimeField| *3)) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldNormalBasis| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldNormalBasisExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|Union| (|SparseUnivariatePolynomial| *3) *2)))) ((*1 *2) (AND (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldNormalBasisExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *7))) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *4 *5 *6 *7)))) ((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OrderedRing|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|SmithNormalForm| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *2 *4 *5 *3)) (|ofCategory| *3 (|MatrixCategory| *2 *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *2 *4 *5 *3)) (|ofCategory| *3 (|MatrixCategory| *2 *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *8))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
-(((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))))) 
-(((*1 *1) (|isDomain| *1 (|TheSymbolTable|)))) 
-(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|BasicStochasticDifferential|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|List| (|Matrix| *4))) (|isDomain| *2 (|Matrix| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage2| *4))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |gcd| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |gcd| *1) (|:| |coef1| *1) (|:| |coef2| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|BasicStochasticDifferential|))) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *1)))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) ((*1 *1 *1) (|ofCategory| *1 (|UniqueFactorizationDomain|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|UnivariatePolynomialSquareFree| *3 *2)) (|ofCategory| *2 (|Join| (|UnivariatePolynomialCategory| *3) (|IntegralDomain|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $)))))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|ofCategory| *4 (|Algebra| *3)) (|ofCategory| *4 (|Ring|)) (|isDomain| *3 (|Fraction| (|Integer|))) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|PureAlgebraicIntegration| *5 *3 *6)) (|ofCategory| *6 (|SetCategory|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| (|Complex| *4)))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| (|Complex| *4)))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| (|Complex| *4))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| (|Complex| *4))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Matrix| (|Expression| (|Integer|))))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|SortPackage| *4 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *4) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|SortPackage| *3 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *3) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|))))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))))))) (|isDomain| *1 (|ODEIntensityFunctionsTable|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatDE| *4 *2 *3 *5)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2))))) ((*1 *2 *3 *4) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatDE| *4 *2 *5 *3)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2)))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|Boolean|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *2 (|RealClosedField|)) (|isDomain| *1 (|SimpleCell| *2 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
 (((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *1) (|ofCategory| *1 (|AbelianMonoid|))) ((*1 *1) (|ofCategory| *1 (|Aggregate|))) ((*1 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1) (|ofCategory| *1 (|Monoid|))) ((*1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (|isDomain| *1 (|Symbol|)))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *2 *4 *5 *3)) (|ofCategory| *3 (|MatrixCategory| *2 *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|Matrix| *2)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *2)) (|isDomain| *1 (|IntegralBasisTools| *2 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *2 *5))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|GcdDomain|)) (|isDomain| *1 (|CylindricalAlgebraicDecompositionUtilities| *3 *4))))) 
-(((*1 *2 *2 *2 *3 *4) (AND (|isDomain| *3 (|Automorphism| *5)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *2)) (|ofCategory| *2 (|UnivariateSkewPolynomialCategory| *5))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4))))) 
-(((*1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternFunctions1| *4 *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Any|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *1 (|PrincipalIdealDomain|)) (|isDomain| *2 (|Record| (|:| |coef| (|List| *1)) (|:| |generator| *1))) (|isDomain| *3 (|List| *1))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 *2) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|RationalFunction| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Matrix| (|PrimeField| *3))) (|isDomain| *1 (|FiniteFieldNormalBasis| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|FiniteFieldNormalBasisExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|Union| (|SparseUnivariatePolynomial| *3) (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|))))))))) ((*1 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|FiniteFieldNormalBasisExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|FlexibleArray| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofType| *4 *2)))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|OrderedVariableList| *5))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|List| (|List| (|DistributedMultivariatePolynomial| *5 *6)))) (|isDomain| *1 (|GroebnerSolve| *5 *6 *7)) (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|ofCategory| *7 (|GcdDomain|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RationalRetractions| *3)) (|ofCategory| *3 (|RetractableTo| *2))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Cell| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|RealClosedField|)) (|isDomain| *2 (|List| (|Cell| *5))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *5))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
-(((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|Vector| *5)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|SingleInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *5))))) 
-(((*1 *1 *2 *2 *2 *2 *2 *3 *4) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *4 (|Union| "left" "center" "right" "vertical" "horizontal")) (|ofCategory| *1 (|BlowUpMethodCategory|))))) 
-(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
-(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|RightOpenIntervalRootCharacterization| (|RealClosure| *3) (|SparseUnivariatePolynomial| (|RealClosure| *3)))) (|isDomain| *1 (|RealClosure| *3)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|) (|RealConstant|)))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|)))) (|isDomain| *1 (|d02AgentsPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *4 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|Matrix| *3))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Matrix| *3))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|ListToMap| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *2)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *2)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| *5)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Mapping| *5 *6)) (|isDomain| *1 (|ListToMap| *6 *5)))) ((*1 *2 *3 *4 *5 *2) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *2)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *2)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *6)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *2)) (|isDomain| *6 (|Mapping| *2 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *2)))) ((*1 *2 *1 *1 *3) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *3 (|Character|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|OctonionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|QuaternionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *3) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RationalRetractions| *3)) (|ofCategory| *3 (|RetractableTo| *2))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *5 *4 *6 *2)) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)))))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *3))))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)))) ((*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|))))) 
-(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|LaplaceTransform| *4 *2)) (|ofCategory| *2 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |det| *8) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|NumericRealEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *1) (|isDomain| *1 (|Color|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Matrix| (|Polynomial| *4))) (|isDomain| *1 (|RepresentationPackage1| *4)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |mval| (|Matrix| *4)) (|:| |invmval| (|Matrix| *4)) (|:| |genIdeal| (|PolynomialIdeals| *4 *5 *6 *7)))) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Factored| *2)) (|ofCategory| *2 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *1 (|MultivariateSquareFree| *5 *6 *7 *2)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|EuclideanDomain|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| (|LyndonWord| *5))) (|isDomain| *1 (|LyndonWord| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (|Integer|))))) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|Factored| *2)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *4) (|:| |pow| (|Integer|))))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|Factored| *4)) (|isDomain| *1 (|GaloisGroupFactorizer| *4))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|NumberFormats|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *7) (|:| |polj| *7))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1) (|partial| |ofCategory| *1 (|MonadWithUnit|)))) 
 (((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|Integer|))) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|BasicOperatorFunctions1| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (|isDomain| *1 (|IntegrationFunctionsTable|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|KeyedDictionary| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (|isDomain| *1 (|ODEIntensityFunctionsTable|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ODEIntensityFunctionsTable|))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Segment| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *1 *1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3))))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|FunctionSpace| *4)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FunctionSpaceUnivariatePolynomialFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |ans| (|Fraction| *5)) (|:| |nosol| (|Boolean|)))) (|isDomain| *1 (|TranscendentalRischDE| *4 *5)) (|isDomain| *3 (|Fraction| *5))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| *4)) (|SuchThat| (|Symbol|) (|Polynomial| *4)))) (|:| |geneigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| *4)))))))) (|isDomain| *1 (|EigenPackage| *4)) (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4))))))) 
+(((*1 *2 *2 *2 *3 *4) (AND (|isDomain| *3 (|Automorphism| *5)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *2)) (|ofCategory| *2 (|UnivariateSkewPolynomialCategory| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4))))) 
+(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *1 (|PlacesCategory| *4 *5)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Void|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|CharacteristicZero|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |func| *3) (|:| |kers| (|List| (|Kernel| *3))) (|:| |vals| (|List| *3)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 *2) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|RationalFunction| *4))))) 
+(((*1 *2 *3 *3 *3 *4 *5) (AND (|isDomain| *5 (|List| (|List| (|DoubleFloat|)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|List| (|Point| *4))) (|isDomain| *1 (|TubePlotTools|)) (|isDomain| *3 (|Point| *4))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OpenMathConnection|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathServerPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *2 *3 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *4)) (|ofCategory| *4 (|AbelianMonoidRing| *2 *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AlgebraicFunction| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CombinatorialFunction| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ElementaryFunction| *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpressionSpace&| *4)) (|ofCategory| *4 (|ExpressionSpace|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionSpace&| *4 *5)) (|ofCategory| *4 (|FunctionSpace| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LiouvillianFunction| *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *3 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *6)))) (|isDomain| *4 (|Reference| (|OrderedCompletion| (|Integer|)))) (|isDomain| *5 (|Symbol|)) (|isDomain| *7 (|Fraction| (|Integer|))) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|FileName|)) (|isDomain| *1 (|FortranTemplate|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|FileName|)) (|isDomain| *1 (|FortranTemplate|))))) 
-(((*1 *2 *3 *4 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *1 (|BlasLevelOne|)) (|isDomain| *3 (|DoubleFloat|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|Polynomial| *4)))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *2)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *2)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)))) ((*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *2))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|PermutationCategory| *3))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
+(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1 *3 *4 *4 *5) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1 *3 *4 *4 *5) (AND (|isDomain| *3 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |eq| *5)))) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *5 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *5)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *10)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *5 (|List| *9)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *4 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *6)) (|ofCategory| *11 (|PlacesCategory| *6 *10)) (|ofCategory| *12 (|DivisorCategory| *11)) (|ofCategory| *13 (|InfinitlyClosePointCategory| *6 *7 *4 *8 *9 *10 *11 *12 *15)) (|ofCategory| *15 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IntersectionDivisorPackage| *6 *7 *4 *8 *9 *10 *11 *12 *13 *14 *15)) (|ofCategory| *14 (|DesingTreeCategory| *13)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|List| (|Places| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *5)))) (|isDomain| *1 (|TwoFactorize| *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *5)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| *1)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *1 *1 *1) (|partial| AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|TemplateUtilities|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DoubleFloat|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Kernel| *4)) (|isDomain| *1 (|KernelFunctions2| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| *3) (|DirectProduct| *4 (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| *3 (|Fraction| (|Integer|))))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|NonNegativeInteger|)) (|isDomain| *1 (|QuasiAlgebraicSet2| *3 *4))))) 
 (((*1 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|Integer|))) (|isDomain| *1 (|Infinity|)))) ((*1 *1) (AND (|isDomain| *1 (|OnePointCompletion| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|)))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Float|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *2 *2)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|DoubleResultantPackage| *5 *2 *6 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *5 *2 *6))))) 
 (((*1 *1 *2 *3) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *1 (|XFreeAlgebra| *4 *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3 *4 *5) (AND (|ofCategory| *6 (|UnivariatePolynomialCategory| *9)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|EuclideanDomain|)) (|ofCategory| *10 (|PolynomialCategory| *9 *7 *8)) (|isDomain| *2 (|Record| (|:| |deter| (|List| (|SparseUnivariatePolynomial| *10))) (|:| |dterm| (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| *10))))) (|:| |nfacts| (|List| *6)) (|:| |nlead| (|List| *10)))) (|isDomain| *1 (|NPCoef| *6 *7 *8 *9 *10)) (|isDomain| *3 (|SparseUnivariatePolynomial| *10)) (|isDomain| *4 (|List| *6)) (|isDomain| *5 (|List| *10))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SymbolTable|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|FortranOutputStackPackage|))))) 
-(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Vector| (|List| *3))) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|GenExEuclid| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|InputForm|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *2 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *2 *2 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Matrix| (|DoubleFloat|))) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *1) (|ofCategory| *1 (|FiniteFieldCategory|)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |cd| (|String|)) (|:| |name| (|String|)))) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| (|WuWenTsunTriangularSet| *4 *5 *6 *7))) (|isDomain| *1 (|WuWenTsunTriangularSet| *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *9)) (|isDomain| *4 (|Mapping| (|Boolean|) *9 *9)) (|isDomain| *5 (|Mapping| *9 *9 *9)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|List| (|WuWenTsunTriangularSet| *6 *7 *8 *9))) (|isDomain| *1 (|WuWenTsunTriangularSet| *6 *7 *8 *9))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|PlacesCategory| *5 *8)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *5 *6 *4 *7 *3 *8 *2)) (|ofCategory| *4 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *5))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DecimalExpansion|))))) 
 (((*1 *2 *3 *1) (AND (|isDomain| *3 (|XRecursivePolynomial| *4 *2)) (|ofCategory| *1 (|FreeLieAlgebra| *4 *2)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *2)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|OrderedFreeMonoid| *4)) (|ofCategory| *1 (|XFreeAlgebra| *4 *2)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *3 (|OrderedMonoid|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *2 *1) (AND (|isDomain| *2 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *5)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *7)) (|isDomain| *1 (|BlowUpPackage| *5 *6 *2 *7 *4)) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *4 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|U32Vector|))) (|isDomain| *1 (|U32VectorPolynomialOperations|)) (|isDomain| *3 (|U32Vector|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OrdinaryWeightedPolynomials| *4 *5 *6 *7)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| *3)) (|ofType| *7 *3))) ((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofType| *8 (|List| *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|WeightedPolynomials| *4 *5 *6 *7 *8 *9 *10)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofType| *9 (|List| *3)) (|ofType| *10 *3)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *7) (|:| |polj| *7))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ToolsForSign| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Table| (|PositiveInteger|) (|NonNegativeInteger|)))))) 
 (((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricSpaceCurve| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricSpaceCurve| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *5)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|ParametricSurface| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|ParametricSurface| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctions| *5))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |resultant| *3) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|OpenMathPackage|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SymbolTable|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |%expansion| (|ExponentialExpansion| *5 *3 *6 *7)) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|)))))) (|isDomain| *1 (|FunctionSpaceToExponentialExpansion| *5 *3 *6 *7)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofType| *6 (|Symbol|)) (|ofType| *7 *3)))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|InputForm|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *2 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *2 *2 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|MakeFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *10 (|PlacesCategory| *5 *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *5 *6 *3 *7 *8 *9 *10 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *10)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *3 *7 *8 *9 *10 *2 *11 *4 *12)) (|ofCategory| *4 (|DesingTreeCategory| *11))))) 
 (((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricPlaneCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricSpaceCurve| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|ParametricSurface| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Equation| *7)) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForAlgebraicCurves| *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricPlaneCurve| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricPlaneCurve| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|ParametricSpaceCurve| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|ParametricSpaceCurve| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *5)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *3)) (|ofCategory| *3 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|ParametricSurface| *6)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|List| (|DrawOption|))) (|ofCategory| *6 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *6)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|ParametricSurface| *5)) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|ofCategory| *5 (|Join| (|ConvertibleTo| (|InputForm|)) (|SetCategory|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctions| *5)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) ((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|)))) ((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|TopLevelDrawFunctionsForPoints|))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *9)) (|isDomain| *6 (|List| (|NonNegativeInteger|))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|FiniteAbelianMonoidRing| *7 (|NonNegativeInteger|))) (|ofCategory| *9 (|FiniteAbelianMonoidRing| (|Fraction| *7) (|NonNegativeInteger|))) (|isDomain| *2 (|Matrix| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|FractionFreeFastGaussianFractions| *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *9)) (|isDomain| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|FiniteAbelianMonoidRing| *7 *6)) (|ofCategory| *9 (|FiniteAbelianMonoidRing| (|Fraction| *7) *6)) (|isDomain| *2 (|Stream| (|Matrix| (|SparseUnivariatePolynomial| *7)))) (|isDomain| *1 (|FractionFreeFastGaussianFractions| *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *8)) (|isDomain| *6 (|List| (|NonNegativeInteger|))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|AbelianMonoidRing| *7 (|NonNegativeInteger|))) (|isDomain| *2 (|Matrix| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|FractionFreeFastGaussian| *7 *8)))) ((*1 *2 *3 *4 *5 *6 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *8)) (|isDomain| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|AbelianMonoidRing| *7 *6)) (|isDomain| *2 (|Stream| (|Matrix| (|SparseUnivariatePolynomial| *7)))) (|isDomain| *1 (|FractionFreeFastGaussian| *7 *8))))) 
-(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|CliffordAlgebra| *2 *3 *4)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|QuadraticForm| *2 *3)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *2 *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *3 *3 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1) (|partial| AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1) (|partial| |ofCategory| *1 (|MonadWithUnit|))) ((*1 *1 *1) (|partial| |ofCategory| *1 (|Monoid|))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *3))) (|isDomain| *1 (|NormalizationPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *2 *1) (|partial| AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2) (|partial| AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Matrix| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| (|Polynomial| *4)))) (|isDomain| *1 (|CoerceVectorMatrixPackage| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DrawOption|))))) 
 (((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|Kernel| *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|SparseUnivariatePolynomial| (|Polynomial| *4)) (|Polynomial| *4))) (|isDomain| *1 (|WeierstrassPreparation| *4)) (|ofCategory| *4 (|Field|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerRetractions| *3)) (|ofCategory| *3 (|RetractableTo| *2))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|List| (|Record| (|:| |func| *2) (|:| |pole| (|Boolean|))))) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *4 *2))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|HeuGcd| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|GcdDomain|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathConnection|))))) 
+(((*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *13))) (|isDomain| *3 (|SparseUnivariatePolynomial| *13)) (|isDomain| *4 (|List| *12)) (|isDomain| *5 (|List| *10)) (|isDomain| *6 (|List| *13)) (|isDomain| *7 (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| *13))))) (|isDomain| *8 (|List| (|NonNegativeInteger|))) (|isDomain| *9 (|Vector| (|List| (|SparseUnivariatePolynomial| *10)))) (|ofCategory| *12 (|OrderedSet|)) (|ofCategory| *10 (|EuclideanDomain|)) (|ofCategory| *13 (|PolynomialCategory| *10 *11 *12)) (|ofCategory| *11 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|MultivariateLifting| *11 *12 *10 *13))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *3)))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
+(((*1 *2) (|partial| AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Record| (|:| |particular| *1) (|:| |basis| (|List| *1)))) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)))) ((*1 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |particular| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|:| |basis| (|List| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6))))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|QuotientFieldCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|FractionalIdeal| *2 *3 *4 *5)) (|ofCategory| *5 (|Join| (|FramedAlgebra| *3 *4) (|RetractableTo| *3))))) ((*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|SparseMultivariatePolynomial| *3 (|Kernel| *1))) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *1) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)) (|isDomain| *1 (|LocalAlgebra| *3 *4 *2)) (|ofCategory| *3 (|Algebra| *4)))) ((*1 *2 *1) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)) (|isDomain| *1 (|Localize| *3 *4 *2)) (|ofCategory| *3 (|Module| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Record| (|:| |num| (|Vector| *4)) (|:| |den| *4)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| *7) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| *7))))) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Vector| *1)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Vector| *1)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfClsPt| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfClsPt| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfinitlyClosePoint| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|isDomain| *1 (|InfinitlyClosePoint| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| *3)) (|ofType| *3 (|PseudoAlgebraicClosureOfRationalNumber|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfFiniteField| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfRationalNumber|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|))))) 
+(((*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|InternalRationalUnivariateRepresentationPackage| *5 *6 *7 *8 *3)) (|ofCategory| *3 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|RationalUnivariateRepresentationPackage| *5 *6)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *4)) (|:| |coordinates| (|List| (|Polynomial| *4)))))) (|isDomain| *1 (|RationalUnivariateRepresentationPackage| *4 *5)) (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofType| *5 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|RationalUnivariateRepresentationPackage| *5 *6)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|)))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4))))))) (|isDomain| *3 (|List| *7)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *4)) (|ofCategory| *4 (|AbelianMonoidRing| *2 *3))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FractionalIdeal| *3 *4 *5 *6)) (|ofCategory| *6 (|Join| (|FramedAlgebra| *4 *5) (|RetractableTo| *4))))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|SparseMultivariatePolynomial| *3 (|Kernel| *1))) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|Algebra| *3)) (|isDomain| *1 (|LocalAlgebra| *2 *3 *4)) (|ofCategory| *4 (|SubsetCategory| (|Monoid|) *3)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|Module| *3)) (|isDomain| *1 (|Localize| *2 *3 *4)) (|ofCategory| *4 (|SubsetCategory| (|Monoid|) *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Polynomial| *4))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|PAdicIntegerCategory| *2)))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
-(((*1 *1) (|isDomain| *1 (|Color|)))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BalancedBinaryTree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ComplexDoubleFloatMatrix|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ComplexDoubleFloatVector|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloatMatrix|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloatVector|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U16Matrix|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U32Matrix|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U8Matrix|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *2 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FunctionCalled| *3)) (|ofType| *3 *2))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RuleCalled| *3)) (|ofType| *3 *2))) ((*1 *1 *1) (|isDomain| *1 (|Symbol|)))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *3 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *1)))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|isDomain| *1 (|ExponentialOfUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Join| (|Field|) (|OrderedSet|))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|ModuleMonomial| *3 *2 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofType| *4 (|Mapping| (|Boolean|) (|Record| (|:| |index| *3) (|:| |exponent| *2)) (|Record| (|:| |index| *3) (|:| |exponent| *2))))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|ContinuedFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (|ofCategory| *1 (|PAdicIntegerCategory| *2))) ((*1 *1 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|NonAssociativeRng|)))) 
+(((*1 *2 *3 *1 *4) (AND (|isDomain| *3 (|SplittingNode| *5 *6)) (|isDomain| *4 (|Mapping| (|Boolean|) *6 *6)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *6 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingTree| *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1 *1 *2) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|EuclideanDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|GraphImage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
 (((*1 *1 *2 *2) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *4) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *6) (|:| |polj| *6)))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *6))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|OutputForm|))))) 
+(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *2 *7 *8 *9 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *2 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|NonCommutativeOperatorDivision| *3 *4)) (|ofCategory| *3 (|MonogenicLinearOperator| *4)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|Void|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *3))))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3)))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| *7)) (|isDomain| *5 (|List| (|List| *8))) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|isDomain| *2 (|Record| (|:| |unitPart| *9) (|:| |suPart| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *9)) (|:| |exponent| (|Integer|))))))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9)) (|isDomain| *3 (|SparseUnivariatePolynomial| *9))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Mapping| *6 (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| *6)))) (|isDomain| *5 (|List| (|NonNegativeInteger|))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|Matrix| (|SparseUnivariatePolynomial| *6))) (|isDomain| *1 (|FractionFreeFastGaussian| *6 *7)) (|ofCategory| *7 (|AbelianMonoidRing| *6 (|NonNegativeInteger|)))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Record| (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (|ofCategory| *1 (|FunctionFieldCategory| *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FiniteDivisor| *3 *4 *5 *6)) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *2 *3 *4 *5 *5 *4 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|LinearSystemFromPowerSeriesPackage| *5 *3)) (|ofCategory| *3 (|LocalPowerSeriesCategory| *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|MathMLFormat|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|GraphImage|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *1 *1) (|isDomain| *1 (|TwoDimensionalViewport|)))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *6)) (|:| |tower| *7)))) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *6)) (|:| |tower| *7)))) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Factored| *2)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|PartialFraction| *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|PartialFractionPackage| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Factored| (|Polynomial| *6))) (|isDomain| *5 (|Symbol|)) (|isDomain| *3 (|Polynomial| *6)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|PartialFractionPackage| *6))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
 (((*1 *1 *1) (|isDomain| *1 (|Boolean|)))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Cell| *3)) (|ofCategory| *3 (|RealClosedField|)))) ((*1 *2) (AND (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|CardinalNumber|)) (|isDomain| *1 (|DirectProductCategory&| *3 *4 *5)) (|ofCategory| *3 (|DirectProductCategory| *4 *5)))) ((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|CardinalNumber|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 *2) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PointCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2) (AND (|ofCategory| *1 (|VectorSpace| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|CardinalNumber|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *1)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Stream| *3))) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|))))) 
-(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Mapping| (|InputForm|) (|List| (|InputForm|)))) (|isDomain| *1 (|BasicOperator|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|InputForm|) (|List| (|InputForm|)))) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *3 (|Matrix| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|ComplexRootPackage| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| (|Integer|)))) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OrderedVariableList| *3)) (|ofType| *3 (|List| *2)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|QueryEquation|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|SegmentBinding| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Symbol|)))) ((*1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Variable| *3)) (|ofType| *3 *2)))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|isDomain| *2 (|Record| (|:| |pol| (|SparseUnivariatePolynomial| *9)) (|:| |polval| (|SparseUnivariatePolynomial| *8)))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9)) (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|SparseUnivariatePolynomial| *8))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| *2)) (|:| |logand| (|SparseUnivariatePolynomial| *2))))) (|isDomain| *4 (|List| (|Record| (|:| |integrand| *2) (|:| |intvar| *2)))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|IntegrationResult| *2))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Mapping| (|InputForm|) (|List| (|InputForm|)))) (|isDomain| *1 (|BasicOperator|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|InputForm|) (|List| (|InputForm|)))) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Complex| (|Integer|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaussianFactorizationPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerPrimesPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UniqueFactorizationDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |poly| *3) (|:| |mult| *5))) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *3))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinesOpPack| *4))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|ElementaryFunctionCategory|))) ((*1 *2 *3) (AND (|isDomain| *3 (|Factored| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Record| (|:| |coef| (|NonNegativeInteger|)) (|:| |logand| *4)))) (|isDomain| *1 (|FactoredFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|Ring|) (|Module| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|XExponentialPackage| *4 *5 *2)) (|ofCategory| *2 (|XPolynomialsCat| *5 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *4 (|Module| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|OrderedCompletion| *3))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|OrderedCompletion| *3) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| *3) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| *3) "failed"))) "failed")) (|isDomain| *1 (|PowerSeriesLimitPackage| *5 *3)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|String|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|OrderedCompletion| *3)) (|isDomain| *1 (|PowerSeriesLimitPackage| *6 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|OrderedCompletion| (|Polynomial| *5)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))) "failed"))) "failed")) (|isDomain| *1 (|RationalFunctionLimitPackage| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Union| (|OrderedCompletion| *3) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| *3) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| *3) "failed"))) "failed")) (|isDomain| *1 (|RationalFunctionLimitPackage| *5)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Equation| (|Fraction| (|Polynomial| *6)))) (|isDomain| *5 (|String|)) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|OrderedCompletion| *3)) (|isDomain| *1 (|RationalFunctionLimitPackage| *6))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Complex| *3)))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranTemplate|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
 (((*1 *1 *2 *2 *1) (AND (|isDomain| *1 (|ListMultiDictionary| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|List| (|Integer|)))) (|isDomain| *1 (|Partition|)) (|isDomain| *3 (|List| (|Integer|)))))) 
-(((*1 *2 *2 *1) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|TheSymbolTable|)) (|isDomain| *3 (|Symbol|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldFunctions| *4))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|Kernel| *4))) (|ofCategory| *4 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *3 *4)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|PatternMatchResult| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2) (AND (|ofType| *4 *2) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DirectProductCategory&| *3 *4 *5)) (|ofCategory| *3 (|DirectProductCategory| *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2) (AND (|ofCategory| *1 (|Finite|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteSetAggregate&| *3 *4)) (|ofCategory| *3 (|FiniteSetAggregate| *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MonogenicAlgebra&| *3 *4 *5)) (|ofCategory| *3 (|MonogenicAlgebra| *4 *5)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|OrderedRing|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *5 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *4 *1) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Record| (|:| |ans| *6) (|:| |right| *6) (|:| |sol?| (|Boolean|))) (|Integer|) *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Record| (|:| |answer| (|IntegrationResult| (|Fraction| *7))) (|:| |a0| *6))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| *4))))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| *3))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Vector| (|Matrix| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|StructuralConstantsPackage| *5)) (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| *5)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Vector| (|Matrix| (|Polynomial| *5)))) (|isDomain| *1 (|StructuralConstantsPackage| *5)) (|isDomain| *4 (|Matrix| (|Polynomial| *5))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Matrix| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Vector| (|Matrix| *4))) (|isDomain| *1 (|StructuralConstantsPackage| *4))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9))))) 
-(((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1 *2 *2) (|partial| AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 *2) (|ofType| *4 *2)))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|OpenMathDevice|)) (|isDomain| *1 (|OpenMathConnection|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Union| (|Boolean|) "failed")) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *1 (|BinarySearchTree| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|)))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Mapping| *4 (|Integer|))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|List| (|NewSparseUnivariatePolynomial| *3))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
-(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *6 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *3 *4 *2 *5 *6 *7 *8 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 (|OrderedVariableList| *4))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *2 *3 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *2) (AND (|isDomain| *1 (|IntegerPrimesPackage| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Polynomial| *6))) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *5 *4)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *5 *4 *6 *2)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)))))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *3 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *4 *5 *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|OutputForm|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
-(((*1 *2 *1 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *2 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *2 *1) (AND (|isDomain| *2 "right") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2 *1) (AND (|isDomain| *2 "left") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *2 (|Any|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|Library|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 (|UniversalSegment| (|Integer|))) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 "value") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *2) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|ofCategory| *1 (|TableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 "last") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2 *1) (AND (|isDomain| *2 "rest") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 "first") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *4 (|Integer|))) (|isDomain| *5 (|Mapping| (|Stream| *4))) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4))))) 
-(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *2 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "right") (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "left") (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 (|Integer|)) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1 *3 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *2)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|DataList| (|String|))) (|isDomain| *1 (|Database| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ *3)) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|QueryEquation|)) (|isDomain| *1 (|Database| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 "count") (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DataList| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "sort") (|isDomain| *1 (|DataList| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "unique") (|isDomain| *1 (|DataList| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|Eltable| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *3 *2 *4 *5 *6 *7)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *2 *2 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *2 "failed") *2 *2 *4)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *2 *1 *1 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *1 *2 *1 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *1 *2 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *2 *1 *2 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *2 *3 *4)) (|ofCategory| *2 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|IndexCard|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|Library|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|UniversalSegment| (|Integer|))) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| (|Pattern| *4))) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|PermutationCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Permutation| *4)) (|isDomain| *1 (|PermutationGroup| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|PlacesCategory| *2 *4)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|DirectProduct| *4 *2)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|QuadraticForm| *4 *2)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 "value") (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *2 *6 *7)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *5 *2)) (|ofCategory| *7 (|DirectProductCategory| *4 *2)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *2 *6 *7)) (|ofCategory| *6 (|DirectProductCategory| *5 *2)) (|ofCategory| *7 (|DirectProductCategory| *4 *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|RewriteRule| *4 *5 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))))) ((*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|Ruleset| *4 *5 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|StringAggregate|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|Fraction| *1)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Fraction| *1)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 "last") (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "rest") (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 "first") (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|List| (|Matrix| *4))) (|isDomain| *2 (|Matrix| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage2| *4))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
-(((*1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|NumberFormats|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|Integer|))) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|Multiset| *4)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|FunctionSpace| *4)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FunctionSpaceUnivariatePolynomialFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|PermutationCategory| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|ListAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|Symbol|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *10)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *5 (|List| *9)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *4 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *6)) (|ofCategory| *11 (|PlacesCategory| *6 *10)) (|ofCategory| *12 (|DivisorCategory| *11)) (|ofCategory| *13 (|InfinitlyClosePointCategory| *6 *7 *4 *8 *9 *10 *11 *12 *15)) (|ofCategory| *15 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IntersectionDivisorPackage| *6 *7 *4 *8 *9 *10 *11 *12 *13 *14 *15)) (|ofCategory| *14 (|DesingTreeCategory| *13)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|List| (|Places| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|TemplateUtilities|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |cd| (|String|)) (|:| |name| (|String|)))) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|U32Vector|))) (|isDomain| *1 (|U32VectorPolynomialOperations|)) (|isDomain| *3 (|U32Vector|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *3 *4 *2 *5 *6 *7 *8 *9 *10) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *13))) (|isDomain| *3 (|SparseUnivariatePolynomial| *13)) (|isDomain| *4 (|List| *12)) (|isDomain| *5 (|List| *10)) (|isDomain| *6 (|List| *13)) (|isDomain| *7 (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| *13))))) (|isDomain| *8 (|List| (|NonNegativeInteger|))) (|isDomain| *9 (|Vector| (|List| (|SparseUnivariatePolynomial| *10)))) (|ofCategory| *12 (|OrderedSet|)) (|ofCategory| *10 (|EuclideanDomain|)) (|ofCategory| *13 (|PolynomialCategory| *10 *11 *12)) (|ofCategory| *11 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|MultivariateLifting| *11 *12 *10 *13))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|RepeatedDoubling| *2)) (|ofCategory| *2 (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE + ($ $ $)))))))) 
-(((*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ComplexDoubleFloatMatrix|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ComplexDoubleFloatVector|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloatMatrix|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloatVector|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U16Matrix|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U32Matrix|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U8Matrix|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *1 *1) (AND (|isDomain| *1 (|DeRhamComplex| *2 *3)) (|ofCategory| *2 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *1 *1) (AND (|isDomain| *1 (|Divisor| *2)) (|ofCategory| *2 (|SetCategoryWithDegree|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofType| *2 (|List| (|Symbol|))) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *2) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *4) (|:| |exponent| *5)) (|Record| (|:| |index| *4) (|:| |exponent| *5)))) (|isDomain| *1 (|GeneralModulePolynomial| *2 *3 *4 *5 *6 *7)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *3 *5 (|OrderedVariableList| *2))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|Monoid|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|))))) 
-(((*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| *7)) (|isDomain| *5 (|List| (|List| *8))) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|isDomain| *2 (|Record| (|:| |unitPart| *9) (|:| |suPart| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *9)) (|:| |exponent| (|Integer|))))))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9)) (|isDomain| *3 (|SparseUnivariatePolynomial| *9))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Complex| (|Integer|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaussianFactorizationPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerPrimesPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UniqueFactorizationDomain|)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *3 *2 *5)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *3)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *3))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Fraction| *5)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *5 *2 *6)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *3))))) 
-(((*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|String|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G)))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *9 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|NormalizationPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PolynomialInterpolationAlgorithms| *4 *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2) (AND (|ofType| *4 *2) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DirectProductCategory&| *3 *4 *5)) (|ofCategory| *3 (|DirectProductCategory| *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2) (AND (|ofCategory| *1 (|Finite|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteSetAggregate&| *3 *4)) (|ofCategory| *3 (|FiniteSetAggregate| *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MonogenicAlgebra&| *3 *4 *5)) (|ofCategory| *3 (|MonogenicAlgebra| *4 *5)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *1 (|FortranType|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|Aggregate|))) ((*1 *1 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (|isDomain| *1 (|BasicOperator|))) ((*1 *1 *1) (|isDomain| *1 (|SubSpaceComponentProperty|))) ((*1 *1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Expression| *3)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *4) (|:| |exponent| *5)) (|Record| (|:| |index| *4) (|:| |exponent| *5)))) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|GeneralModulePolynomial| *3 *2 *4 *5 *6 *7)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *2 *5 (|OrderedVariableList| *3))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *2 *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|Monoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *2 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| *4) (|:| |degree| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *4))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|isDomain| *2 (|Record| (|:| |particular| *4) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|ConstantLODE| *6 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|Kernel| *4))) (|ofCategory| *4 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *3 *4)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|PatternMatchResult| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
 (((*1 *2 *3 *3 *4 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Fraction| *6)) (|isDomain| *1 (|PadeApproximants| *5 *4 *6)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *5)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3 *3 *4 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|UnivariateTaylorSeries| *5 *6 *7)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|Symbol|)) (|ofType| *7 *5) (|isDomain| *2 (|Fraction| (|UnivariatePolynomial| *6 *5))) (|isDomain| *1 (|PadeApproximantPackage| *5 *6 *7)))) ((*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|UnivariateTaylorSeries| *5 *6 *7)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|Symbol|)) (|ofType| *7 *5) (|isDomain| *2 (|Fraction| (|UnivariatePolynomial| *6 *5))) (|isDomain| *1 (|PadeApproximantPackage| *5 *6 *7))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|String|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G)))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *9 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp31| PEDERV)))) (|isDomain| *10 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|PartialDifferentialRing| *5)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|Product| *2 *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *2 *5 *6) (AND (|isDomain| *5 (|Record| (|:| |done| (|List| *11)) (|:| |todo| (|List| (|Record| (|:| |val| *3) (|:| |tower| *11)))))) (|isDomain| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *10)) (|:| |tower| *11)))) (|isDomain| *3 (|List| *10)) (|isDomain| *4 (|List| *11)) (|ofCategory| *10 (|RecursivePolynomialCategory| *7 *8 *9)) (|ofCategory| *11 (|RegularTriangularSetCategory| *7 *8 *9 *10)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *7 *8 *9 *10 *11)))) ((*1 *2 *3 *4 *2 *5 *6) (AND (|isDomain| *5 (|Record| (|:| |done| (|List| *11)) (|:| |todo| (|List| (|Record| (|:| |val| *3) (|:| |tower| *11)))))) (|isDomain| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *10)) (|:| |tower| *11)))) (|isDomain| *3 (|List| *10)) (|isDomain| *4 (|List| *11)) (|ofCategory| *10 (|RecursivePolynomialCategory| *7 *8 *9)) (|ofCategory| *11 (|SquareFreeRegularTriangularSetCategory| *7 *8 *9 *10)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *7 *8 *9 *10 *11))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Result|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *1 (|PlacesCategory| *4 *5)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Void|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|FiniteFieldFunctions| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateSort| *4 *2)) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|))))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Boolean|)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *7 *8 *9)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *7 *8 *9 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Boolean|)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *7 *8 *9)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *7 *8 *9 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
 (((*1 *2 *3 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Mapping| (|List| *4) *4)) (|isDomain| *1 (|Bezier| *4)) (|isDomain| *3 (|List| *4))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Stream| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *7 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *6)) (|Record| (|:| |index| *5) (|:| |exponent| *6)))) (|isDomain| *2 (|ModuleMonomial| *5 *6 *7)) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *5 *6 *7 *8)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *3))))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Monoid|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|MonoidRing| *3 *2)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Kernel| *5))) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Kernel| *5)) (|isDomain| *1 (|IntegrationTools| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Float|)) (|isDomain| *1 (|RoutinesTable|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *2 *3 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Polynomial| *4))))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Polynomial| *3))))) ((*1 *2) (AND (|isDomain| *2 (|List| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|GenericNonAssociativeAlgebra| *4 *5 *6 *7))) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *4 *5 *6 *7)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *5 (|PositiveInteger|)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|Vector| (|Matrix| *4)))))) 
+(((*1 *2) (|partial| AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *2 *5)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *2 *5)))) ((*1 *2) (|partial| AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *2 *4)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|))))) 
 (((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Multiset| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|StringAggregate|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
 (((*1 *2 *3 *3 *2 *4) (AND (|isDomain| *3 (|Matrix| *2)) (|isDomain| *4 (|Integer|)) (|ofCategory| *2 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *2)) (|isDomain| *1 (|IntegralBasisTools| *2 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *2 *5))))) 
+(((*1 *2 *3 *4 *3 *4 *3 *5 *5) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|List| (|PrimitiveArray| *5))) (|isDomain| *1 (|BlasLevelOne|)) (|isDomain| *4 (|PrimitiveArray| *5))))) 
+(((*1 *2 *1 *2 *3) (|partial| AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|RoutinesTable|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|SymbolTable|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|RetractableTo| (|Integer|))) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $)))))))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|SetAggregate| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|List| (|List| *3))))) ((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlane| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *5 *6 *3 *7 *8)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5))))) 
+(((*1 *2 *1 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *2 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *2 *1) (AND (|isDomain| *2 "right") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2 *1) (AND (|isDomain| *2 "left") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *2 (|Any|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|Library|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 (|UniversalSegment| (|Integer|))) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 "value") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *2) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|ofCategory| *1 (|TableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 "last") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2 *1) (AND (|isDomain| *2 "rest") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *3 "first") (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *1 *1) (|isDomain| *1 (|Float|))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|NormalizationPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|CyclotomicPolynomialPackage|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|NumberTheoreticPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *3 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *3))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *2 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "right") (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "left") (|ofCategory| *1 (|BinaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 (|Integer|)) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1 *3 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *4 *5 *2)) (|ofType| *4 *3) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *2)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|DataList| (|String|))) (|isDomain| *1 (|Database| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ *3)) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|QueryEquation|)) (|isDomain| *1 (|Database| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 "count") (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DataList| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "sort") (|isDomain| *1 (|DataList| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "unique") (|isDomain| *1 (|DataList| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|Eltable| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *2) (AND (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *3 *2 *4 *5 *6 *7)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *2 *2 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *2 "failed") *2 *2 *4)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *2 *1 *1 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *1 *2 *1 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *1 *2 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *2 *1 *2 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *2 *3 *4)) (|ofCategory| *2 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|IndexCard|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|Library|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|UniversalSegment| (|Integer|))) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| (|Pattern| *4))) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|PermutationCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Permutation| *4)) (|isDomain| *1 (|PermutationGroup| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|PlacesCategory| *2 *4)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|DirectProduct| *4 *2)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|QuadraticForm| *4 *2)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 "value") (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *2 *6 *7)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *5 *2)) (|ofCategory| *7 (|DirectProductCategory| *4 *2)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *2 *6 *7)) (|ofCategory| *6 (|DirectProductCategory| *5 *2)) (|ofCategory| *7 (|DirectProductCategory| *4 *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|RewriteRule| *4 *5 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))))) ((*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|Ruleset| *4 *5 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))))) ((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|SparseEchelonMatrix| *4 *2)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|StringAggregate|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|Fraction| *1)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Fraction| *1)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 "last") (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 "rest") (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 "first") (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *1 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *2 *3 *4))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|GuessFiniteFunctions| *3)) (|ofCategory| *3 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|))))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *3) (|Finite|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Stream| (|Polynomial| *4)) (|Stream| (|Polynomial| *4)))) (|isDomain| *1 (|WeierstrassPreparation| *4)) (|ofCategory| *4 (|Field|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|)))) ((*1 *2 *3 *4 *4 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|ListAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|Symbol|))))) 
+(((*1 *1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|Multiset| *4)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4))))) 
 (((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5))))) 
-(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp77| FCNF)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp78| FCNG)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|FactoredFunctionUtilities| *3))))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
 (((*1 *1 *1 *2) (AND (|ofCategory| *1 (|FieldOfPrimeCharacteristic|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1) (|ofCategory| *1 (|FieldOfPrimeCharacteristic|)))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|MyExpression| *3 *4)) (|ofType| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|RealNumberSystem|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|RealNumberSystem|)))) ((*1 *1 *1) (|ofCategory| *1 (|OrderedRing|))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|RealNumberSystem|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *2 (|FunctionSpace| *3)) (|isDomain| *1 (|AlgebraicFunction| *3 *2)) (|ofCategory| *3 (|RetractableTo| *4)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerRetractions| *3)) (|ofCategory| *3 (|RetractableTo| (|Integer|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|RepeatedDoubling| *2)) (|ofCategory| *2 (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE + ($ $ $)))))))) 
 (((*1 *2 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomIntegerDistributions|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *6 *5)) (|isDomain| *4 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *5)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|DistributedMultivariatePolynomial| *6 (|PseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *2 *6 *7 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *6)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5)))) ((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *4 *2 *5 *6 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|DirectProductCategory| *3 *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|Type|)))) ((*1 *1 *2) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *2) (|:| |exponent| *5)) (|Record| (|:| |index| *2) (|:| |exponent| *5)))) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *2 *5 *6 *7)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 (|OrderedVariableList| *3))))) ((*1 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|List| (|List| *3))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|List| (|List| *5))))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|Tableau| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *1 *1) (AND (|isDomain| *1 (|DeRhamComplex| *2 *3)) (|ofCategory| *2 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *1 *1) (AND (|isDomain| *1 (|Divisor| *2)) (|ofCategory| *2 (|SetCategoryWithDegree|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofType| *2 (|List| (|Symbol|))) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *2) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *4) (|:| |exponent| *5)) (|Record| (|:| |index| *4) (|:| |exponent| *5)))) (|isDomain| *1 (|GeneralModulePolynomial| *2 *3 *4 *5 *6 *7)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *3 *5 (|OrderedVariableList| *2))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|Monoid|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *2 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *2 (|DirectProductCategory| *3 *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|List| *8))) (|isDomain| *3 (|List| *8)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8))))) 
+(((*1 *1 *2 *3 *3 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RepresentationPackage2| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Matrix| *4))) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RepresentationPackage2| *4))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|)))) ((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL)))) (|isDomain| *8 (|FileName|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *5 *3 *4 *6 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|Aggregate|))) ((*1 *1 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (|isDomain| *1 (|BasicOperator|))) ((*1 *1 *1) (|isDomain| *1 (|SubSpaceComponentProperty|))) ((*1 *1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|SparseEchelonMatrix| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Expression| *3)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *4) (|:| |exponent| *5)) (|Record| (|:| |index| *4) (|:| |exponent| *5)))) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|GeneralModulePolynomial| *3 *2 *4 *5 *6 *7)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *2 *5 (|OrderedVariableList| *3))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *2 *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|Monoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *2 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |gen| *3) (|:| |exp| (|Integer|)))) (|isDomain| *1 (|Divisor| *3)) (|ofCategory| *3 (|SetCategoryWithDegree|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *4 *4 *3 *3 *5 *3 *4 *6 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
 (((*1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|DictionaryOperations| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|d03AgentsPackage|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *1 (|List| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Stream| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *7 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *6)) (|Record| (|:| |index| *5) (|:| |exponent| *6)))) (|isDomain| *2 (|ModuleMonomial| *5 *6 *7)) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *5 *6 *7 *8)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *3))))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Monoid|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|MonoidRing| *3 *2)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *3 *4 *4 *3 *5 *3 *6 *4 *7 *8 *9) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|String|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G)))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *9 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|FunctionSpaceComplexIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|IntegrationResult| (|Fraction| (|Polynomial| *5)))) (|isDomain| *1 (|RationalFunctionIntegration| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5)))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *3))))) 
-(((*1 *2 *3 *4 *2) (AND (|isDomain| *4 (|Mapping| *2 *2)) (|ofCategory| *2 (|LeftModule| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|ApplyUnivariateSkewPolynomial| *5 *2 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *2 *1 *2 *2) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *3 *2 *2 *4 *5) (AND (|isDomain| *4 (|Automorphism| *2)) (|isDomain| *5 (|Mapping| *2 *2)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *2 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *2))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|DivisionRing|))) ((*1 *1 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *2 *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *3 *3 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (OR (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Type|))) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Group|)) (|ofCategory| *2 (|Type|))))) ((*1 *1 *1) (|ofCategory| *1 (|Group|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *1) (|isDomain| *1 (|CharacterClass|)))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|SetAggregate| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
 (((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *3 *6 *3 *4 *7 *8 *9 *10) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|String|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp9| G)))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *9 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp31| PEDERV)))) (|isDomain| *10 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp8| OUTPUT)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Kernel| *6))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Kernel| *6)) (|ofCategory| *6 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *5 *6))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| (|Symbol|))) (|isDomain| *3 (|Vector| (|GenericNonAssociativeAlgebra| *4 *5 *6 *7))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *4 *5 *6 *7)) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *5 (|PositiveInteger|)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|Vector| (|Matrix| *4))))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|GenericNonAssociativeAlgebra| *4 *5 *6 *7))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *4 *5 *6 *7)) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *5 (|PositiveInteger|)) (|ofType| *6 (|List| *2)) (|ofType| *7 (|Vector| (|Matrix| *4))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Symbol|))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| *2)) (|ofType| *6 (|Vector| (|Matrix| *3))))) ((*1 *1) (AND (|isDomain| *1 (|GenericNonAssociativeAlgebra| *2 *3 *4 *5)) (|ofCategory| *2 (|CommutativeRing|)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|Vector| (|Matrix| *2)))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|MyExpression| *3 *4)) (|ofType| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|FortranType|)) (|isDomain| *1 (|SymbolTable|))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|CharacterClass|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Character|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *3 *3 *4 *5 *5 *5 *4 *4 *4 *3 *4 *4 *6) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp7| FCN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *2 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (|partial| AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OrderedCompletion| (|Float|))) (|isDomain| *2 (|OrderedCompletion| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3 *4 *2) (AND (|isDomain| *4 (|Mapping| *2 *2)) (|ofCategory| *2 (|LeftModule| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|ApplyUnivariateSkewPolynomial| *5 *2 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *2 *1 *2 *2) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *3 *2 *2 *4 *5) (AND (|isDomain| *4 (|Automorphism| *2)) (|isDomain| *5 (|Mapping| *2 *2)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *2 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *2))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|DivisionRing|))) ((*1 *1 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *2 *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *3 *3 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (OR (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Type|))) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Group|)) (|ofCategory| *2 (|Type|))))) ((*1 *1 *1) (|ofCategory| *1 (|Group|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Field|))))) 
 (((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp41| FCN JACOBF JACEPS)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp42| G JACOBG JACGEP)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *3 (|DivisorCategory| *10)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *3 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Record| (|:| |num| (|List| *6)) (|:| |den| *6))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|Fraction| (|DistributedMultivariatePolynomial| *6 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| *5 *4))) (|:| |den| (|DistributedMultivariatePolynomial| *5 *4)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Fraction| (|DistributedMultivariatePolynomial| *6 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Divisor| (|Places| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| *5 *4))) (|:| |den| (|DistributedMultivariatePolynomial| *5 *4)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *5 *5 *5 *5 *4 *4 *6 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp77| FCNF)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp78| FCNG)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4 *4 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|Record| (|:| |lcmfij| *6) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *4) (|:| |polj| *4))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *4))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Record| (|:| |max| (|Union| (|Integer|) "failed")) (|:| |ord| (|Union| (|Integer|) "failed")) (|:| |ker| (|Kernel| *5)))) (|isDomain| *1 (|RecurrenceOperator| *6 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|OrderedRing|)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|)))) ((*1 *2 *3 *4 *4 *5 *4 *4 *5 *5 *3 *4 *4 *6 *7 *8 *8) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp10| COEFFN)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp80| BDYVAL)))) (|isDomain| *8 (|FileName|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *1 (|ParametricPlaneCurve| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|ParametricSpaceCurve| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 (|Symbol|))) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) (|Symbol|) *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|ofType| *9 (|Mapping| *6 *4)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| HPSPEC (|List| (|GuessOption|)))) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 (|Symbol|))))) 
+(((*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|SegmentBinding| (|Polynomial| (|Integer|)))) (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|SegmentBinding| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PlottablePlaneCurveCategory|)) (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|)))))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *3 *3 *3 *3 *5 *5 *4 *3 *6 *7) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp41| FCN JACOBF JACEPS)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp42| G JACOBG JACGEP)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOrdinaryDifferentialEquationsPackage|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|CharacterClass|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Character|))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *5 (|PatternMatchable| (|Integer|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |special| *3) (|:| |integrand| *3))) (|isDomain| *1 (|PatternMatchIntegration| *5 *3)) (|ofCategory| *3 (|LiouvillianFunctionCategory|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *2 *3 *4 *4) (|partial| AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|OrderedCompletion| *2)) (|ofCategory| *2 (|SpecialFunctionCategory|)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *5 (|PatternMatchable| (|Integer|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|PatternMatchIntegration| *5 *2))))) 
+(((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|PartialDifferentialRing| *6)) (|isDomain| *2 (|Matrix| *7)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *6 *7 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *7)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *6) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *2 (|List| *5))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|))))) 
+(((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| *2)))) (|isDomain| *4 (|Kernel| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|GenusZeroIntegration| *5 *2 *6)) (|ofCategory| *6 (|SetCategory|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|SparseUnivariatePolynomial| *2))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *5 *4 *6 *7 *2)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *5))))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Fraction| (|Polynomial| *5))) (|isDomain| *1 (|RationalFunction| *5)) (|ofCategory| *5 (|IntegralDomain|))))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PrimitiveArray| (|Float|))) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *2 (|List| *5))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |ir| (|IntegrationResult| (|Fraction| *6))) (|:| |specpart| (|Fraction| *6)) (|:| |polypart| *6))) (|isDomain| *1 (|TranscendentalIntegration| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Polynomial| *3))) (|ofCategory| *3 (|GcdDomain|)) (|isDomain| *1 (|FGLMIfCanPackage| *3 *4)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|String|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerPackage| *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|String|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerPackage| *4 *5 *6 *7)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *3 *5 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|InterfaceGroebnerPackage| *3 *4 *5 *6 *7)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|NewSparseMultivariatePolynomial| *3 (|OrderedVariableList| *4)))) (|ofCategory| *3 (|GcdDomain|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|LexTriangularPackage| *3 *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Palette|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3))))) 
+(((*1 *1 *2 *3) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|isDomain| *1 (|CliffordAlgebra| *4 *2 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *2 (|Field|)) (|ofType| *5 (|QuadraticForm| *4 *2)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|ModuleMonomial| *5 *6 *7)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofType| *7 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *6)) (|Record| (|:| |index| *5) (|:| |exponent| *6)))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|GeneralModulePolynomial| *4 *2 *5 *6 *7 *8)) (|ofCategory| *8 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *4))))) ((*1 *1 *2 *3) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|Monoid|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *5)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *6)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *6)) (|isDomain| *3 (|List| *5)) (|ofCategory| *1 (|PowerSeriesCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|ofCategory| *6 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|ofCategory| *1 (|PowerSeriesCategory| *4 *3 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|PolynomialDecomposition| *2 *4)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|RealClosedField|))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *3 *5)) (|ofCategory| *4 (|Type|)) (|ofCategory| *3 (|FiniteLinearAggregate| *4)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)))) ((*1 *2 *1 *3 *4 *5) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|List| *6)) (|isDomain| *5 (|List| *7)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|Ring|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SparseEchelonMatrix| *6 *7)))) ((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Record| (|:| |Indices| (|List| *5)) (|:| |Entries| (|List| *6)))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SparseEchelonMatrix| *5 *6))))) 
+(((*1 *1 *1) (AND (|ofCategory| *2 (|CharacteristicZero|)) (|ofCategory| *2 (|EuclideanDomain|)) (|ofCategory| *2 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|AlgebraicNumber|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|SimplifyAlgebraicNumberConvertPackage|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *5 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *3) (|:| |radicand| *6))) (|isDomain| *1 (|ChangeOfVariable| *5 *6 *7)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| *4)))) (|isDomain| *1 (|PatternMatchResult| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *6 *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *5 *4)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6))))) 
+(((*1 *2 *1 *3 *3) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Void|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|CliffordAlgebra| *3 *4 *5)) (|ofType| *3 *2) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|QuadraticForm| *3 *4))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|Type|)) (|ofCategory| *1 (|DirectProductCategory| *3 *4))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|BinaryTournament| *3))))) 
 (((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| (|Integer|))) (|isDomain| *2 (|Vector| (|Fraction| (|Integer|)))) (|isDomain| *1 (|IntegerLinearDependence| *4))))) 
+(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|Complex| *5)))) (|isDomain| *1 (|FloatingComplexPackage| *5)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *3 *3 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|XPolynomialRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedMonoid|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|)))))))))) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|))))) 
 (((*1 *2 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Float|))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|AlgebraicNumber|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgebraicMultFact| *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|AlgebraicNumber|) *6 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|AlgebraicNumber|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| (|AlgebraicNumber|) *6 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|AlgebraicMultFact| *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|Complex| (|Integer|)))) (|isDomain| *1 (|GaussianFactorizationPackage|)) (|isDomain| *3 (|Complex| (|Integer|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GeneralizedMultivariateFactorize| *4 *5 *6 *7 *3)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *3 (|PolynomialCategory| *7 *5 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|GenUFactorize| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *7 (|Join| (|Field|) (|CharacteristicZero|) (|MonogenicAlgebra| *5 *6))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|InnerAlgFactor| *5 *6 *7 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| (|SparseUnivariatePolynomial| *7)) (|SparseUnivariatePolynomial| *7))) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|InnerMultFact| *5 *6 *7 *3)) (|ofCategory| *3 (|PolynomialCategory| *7 *6 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| (|SparseUnivariatePolynomial| *7)) (|SparseUnivariatePolynomial| *7))) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|PolynomialCategory| *7 *6 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *8))) (|isDomain| *1 (|InnerMultFact| *5 *6 *7 *8)) (|isDomain| *3 (|SparseUnivariatePolynomial| *8)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|IntegerFactorizationPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6)))) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorFactorizer| *5 *6)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5)))) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorFactorizer| *4 *5)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5))))) ((*1 *2 *3) (AND (|isDomain| *3 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|LyndonWord| *4))) (|isDomain| *1 (|LyndonWord| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultFiniteFactorize| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|FiniteFieldCategory|)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|MultFiniteFactorize| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MPolyCatPolyFactorizer| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Polynomial| *6) *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MRationalFactorize| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Fraction| *6) *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateFactorize| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|MultivariateFactorize| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|RationalFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|RationalFunctionFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Polynomial| (|Integer|))))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|MonogenicAlgebra| (|Fraction| (|Integer|)) *4))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|SimpleAlgebraicExtensionAlgFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|MonogenicAlgebra| (|Fraction| (|Polynomial| (|Integer|))) *4))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|SAERationalFunctionAlgFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Fraction| *7)))) (|isDomain| *1 (|SupFractionFactorizer| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| *7))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|UniqueFactorizationDomain|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|UnivariateFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
 (((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MyUnivariatePolynomial| *4 *3)) (|ofType| *4 (|Symbol|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *1 (|PolynomialRing| *3 *2)) (|ofCategory| *2 (|CancellationAbelianMonoid|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Partition|)) (|ofCategory| *2 (|CancellationAbelianMonoid|)) (|isDomain| *1 (|SymmetricPolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|UnivariatePolynomial| *4 *3)) (|ofType| *4 (|Symbol|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|LexTriangularPackage| *5 *6))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|EuclideanGroebnerBasisPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|String|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|EuclideanGroebnerBasisPackage| *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|String|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|EuclideanGroebnerBasisPackage| *4 *5 *6 *7))))) 
+(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Monoid|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Kernel| *1)) (|ofCategory| *1 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *1))))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|isDomain| *5 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Variable| *5)) (|ofType| *5 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|UnivariatePolynomial| *5 (|Polynomial| *6))) (|isDomain| *1 (|PolynomialToUnivariatePolynomial| *5 *6)) (|isDomain| *3 (|Polynomial| *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) ((*1 *2 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *5 *4 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *5 *4 *6 *7 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|RationalFunction| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5)))))) 
 (((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Permutation| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PermutationGroup| *4)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SetOfMIntegersInOneToN| *4 *5)) (|ofType| *4 *3) (|ofType| *5 *3))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Algebra| *2)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Kernel| *1))) (|ofCategory| *1 (|ExpressionSpace|))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|Record| (|:| |Hermite| *3) (|:| |eqMat| *3))) (|isDomain| *1 (|SmithNormalForm| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6))))) 
-(((*1 *2 *3 *3 *4 *3 *4 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FunctionSpaceReduce| *3 *4)) (|ofCategory| *4 (|FunctionSpace| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceToExponentialExpansion| *3 *2 *4 *5)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *2))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3) (CATEGORY |domain| (SIGNATURE |coerce| ($ *4))))) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *5 (|Join| (|UnivariatePowerSeriesCategory| *2 *4) (|Field|) (|TranscendentalFunctionCategory|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $)) (SIGNATURE |integrate| ($ $))))) (|isDomain| *1 (|FunctionSpaceToUnivariatePowerSeries| *3 *2 *4 *5 *6 *7)) (|ofCategory| *6 (|PartialTranscendentalFunctions| *5)) (|ofType| *7 (|Symbol|))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *3)) (|ofCategory| *3 (|ConvertibleTo| (|Float|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *3)) (|ofCategory| *3 (|ConvertibleTo| (|Float|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Complex| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Complex| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|Complex| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *4)))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *5)))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|Complex| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *8))) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *8)) (|:| |badPols| (|List| *8)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8))))) 
 (((*1 *2 *3 *1) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Integer|)) (|isDomain| *1 (|GaloisGroupUtilities| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| (|Kernel| *1)) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *4)))) ((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| (|Kernel| *1)) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *4)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|SemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| (|Kernel| *1)) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |val| (|Pattern| *3)) (|:| |exponent| (|NonNegativeInteger|)))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| *5) (|:| |exponent| (|NonNegativeInteger|)))))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Record| (|:| |var| *5) (|:| |exponent| (|Integer|)))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *1 *2 *3 *3 *4 *4) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Segment| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PlaneAlgebraicCurvePlot|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *4 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))))) ((*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *4 (|Fraction| (|Integer|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Fraction| (|Integer|))) (|isDomain| *2 (|List| (|Record| (|:| |left| *5) (|:| |right| *5)))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *4 (|Record| (|:| |left| *5) (|:| |right| *5))))) ((*1 *2 *3) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) ((*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|isDomain| *4 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *2 (|List| (|Record| (|:| |left| *4) (|:| |right| *4)))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Fraction| (|Integer|))) (|isDomain| *2 (|List| (|Record| (|:| |left| *5) (|:| |right| *5)))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|isDomain| *4 (|Record| (|:| |left| *5) (|:| |right| *5)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| *2)))) (|isDomain| *4 (|Kernel| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|GenusZeroIntegration| *5 *2 *6)) (|ofCategory| *6 (|SetCategory|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|SparseUnivariatePolynomial| *2))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *5 *4 *6 *7 *2)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *5))))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Fraction| (|Polynomial| *5))) (|isDomain| *1 (|RationalFunction| *5)) (|ofCategory| *5 (|IntegralDomain|))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3)))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *5 "failed") *7)) (|isDomain| *4 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *2 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Vector| *4))) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Vector| *3)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *3 *3) (AND (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *6 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|BezoutMatrix| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|MatrixCategory| *2 *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Union| (|BasicStochasticDifferential|) (|Integer|))) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
 (((*1 *1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Point| *5)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *3 *3 *4 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|ContinuedFraction| *6)) (|isDomain| *1 (|PadeApproximants| *5 *4 *6)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *5)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|ODETools| *4 *5)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|ODETools| *5 *6)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2) (AND (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|RadicalCategory|)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2 *3 *4 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Integer|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *6 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| *2) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|)))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|BalancedPAdicRational| *3)) (|ofType| *3 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|BalancedPAdicRational| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PAdicRational| *3)) (|ofType| *3 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|PAdicRational| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofType| *3 *2) (|isDomain| *1 (|PAdicRationalConstructor| *3 *4)) (|ofCategory| *4 (|PAdicIntegerCategory| *3)))) ((*1 *1 *1) (AND (|ofType| *2 (|Integer|)) (|isDomain| *1 (|PAdicRationalConstructor| *2 *3)) (|ofCategory| *3 (|PAdicIntegerCategory| *2)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|UnivariateTaylorSeriesCategory| *2))))) 
 (((*1 *1 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MultiDictionary| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|CRApackage| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|List| (|List| *4))) (|isDomain| *2 (|List| *4)) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *1 (|CRApackage| *4)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| (|Record| (|:| |basis| (|Matrix| *7)) (|:| |basisDen| *7) (|:| |basisInv| (|Matrix| *7))))) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *7)) (|:| |basisDen| *7) (|:| |basisInv| (|Matrix| *7)))) (|isDomain| *1 (|ChineseRemainderToolsForIntegralBases| *6 *7 *8)))) ((*1 *2 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|BasicFunctions|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|OrderedCompletion| (|Integer|))) (|isDomain| *1 (|Infinity|)))) ((*1 *1) (AND (|isDomain| *1 (|OrderedCompletion| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|Record| (|:| |factor| *3) (|:| |degree| *4)))) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathPackage|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|InputForm|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1) (|isDomain| *1 (|FortranCode|)))) 
+(((*1 *2) (AND (|isDomain| *2 (|OrderedCompletion| (|Integer|))) (|isDomain| *1 (|Infinity|)))) ((*1 *1) (AND (|isDomain| *1 (|OrderedCompletion| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Matrix| *3))))) 
+(((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|List| (|List| (|List| *5)))) (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *5))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *12 (|DivisorCategory| *11)) (|ofCategory| *13 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *12 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *7 *8 *9 *10 *11 *12 *13 *3 *14)) (|ofCategory| *3 (|DesingTreeCategory| *13))))) 
 (((*1 *2 *3 *4 *4 *4 *4) (AND (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| *4)))) (|:| |xValues| (|Segment| *4)) (|:| |yValues| (|Segment| *4)))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)) (|isDomain| *3 (|List| (|List| (|Point| *4))))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|CliffordAlgebra| *3 *4 *5)) (|ofType| *3 *2) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|QuadraticForm| *3 *4))))) 
-(((*1 *1 *2 *3) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|isDomain| *1 (|CliffordAlgebra| *4 *2 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *2 (|Field|)) (|ofType| *5 (|QuadraticForm| *4 *2)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|ModuleMonomial| *5 *6 *7)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofType| *7 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *6)) (|Record| (|:| |index| *5) (|:| |exponent| *6)))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|GeneralModulePolynomial| *4 *2 *5 *6 *7 *8)) (|ofCategory| *8 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *4))))) ((*1 *1 *2 *3) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|Monoid|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *5)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *6)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *6)) (|isDomain| *3 (|List| *5)) (|ofCategory| *1 (|PowerSeriesCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|ofCategory| *6 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|ofCategory| *1 (|PowerSeriesCategory| *4 *3 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Mapping| (|List| *4) *4)) (|isDomain| *1 (|Bezier| *4)) (|isDomain| *3 (|List| *4))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *1 (|Expression| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1))))) 
+(((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|DrawOption|))))) 
 (((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|Vector| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Vector| (|Integer|))) (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |radval| (|Expression| (|Integer|))) (|:| |radmult| (|Integer|)) (|:| |radvect| (|List| (|Matrix| (|Expression| (|Integer|)))))))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|Polynomial| *4))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|Polynomial| *4)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (AND (|isDomain| *3 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LyndonWord| *4))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|DrawOption|))) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|List| (|List| *4)))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| (|List| *4)))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|MergeThing| *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
 (((*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|List| *4))))) 
+(((*1 *2 *3 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Union| *3 (|List| *1))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *4 (|LeftModule| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *3 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Operator| *3))))) 
+(((*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *5 *6))) (|isDomain| *4 (|OrderedVariableList| *5)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *5 *6)) (|isDomain| *1 (|LinGroebnerPackage| *5 *6)) (|ofCategory| *6 (|GcdDomain|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *5 *6))) (|isDomain| *4 (|OrderedVariableList| *5)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *5 *6)) (|isDomain| *1 (|LinGroebnerPackage| *5 *6)) (|ofCategory| *6 (|GcdDomain|))))) 
+(((*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2) (|partial| AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Record| (|:| |particular| *1) (|:| |basis| (|List| *1)))) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)))) ((*1 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |particular| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|:| |basis| (|List| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6))))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|AbelianSemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
 (((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Union| (|Fraction| (|Polynomial| *6)) (|SuchThat| (|Symbol|) (|Polynomial| *6)))) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|List| (|Matrix| (|Fraction| (|Polynomial| *6))))) (|isDomain| *1 (|EigenPackage| *6)) (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| *6)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| *5)) (|SuchThat| (|Symbol|) (|Polynomial| *5)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| *4)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| (|Matrix| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|EigenPackage| *5)) (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| *5))))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| *4)))) (|isDomain| *1 (|PatternMatchResult| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|d03AgentsPackage|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|isDomain| *2 (|Record| (|:| |id| (|FractionalIdeal| *4 (|Fraction| *4) *5 *6)) (|:| |principalPart| *6))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |poly| *6) (|:| |normal| (|Fraction| *6)) (|:| |special| (|Fraction| *6)))) (|isDomain| *1 (|MonomialExtensionTools| *5 *6)) (|isDomain| *3 (|Fraction| *6)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialDecomposition| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4 *4) (|partial| AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |left| *3) (|:| |right| *3))) (|isDomain| *1 (|PolynomialDecomposition| *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3 *2 *4 *4) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *2 *4 *4 *4 *4 *4) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Matrix| (|Expression| (|Integer|))))) (|isDomain| *1 (|RadicalEigenPackage|)) (|isDomain| *3 (|Expression| (|Integer|)))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateSort| *4 *2)) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|))))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Any|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|SymbolTable|))))) 
-(((*1 *2 *3 *3 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PointsOfFiniteOrderTools| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Fraction| *3)))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|SymmetricFunctions| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|SymmetricFunctions| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| (|Vector| (|Integer|)))) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|GrayCode|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *6))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|RetractableTo| *5))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *6)))))) (|isDomain| *1 (|RetractSolvePackage| *5 *6))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
 (((*1 *1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *1) (AND (|ofCategory| *1 (|GradedAlgebra| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *1) (|ofCategory| *1 (|MonadWithUnit|))) ((*1 *1) (|ofCategory| *1 (|Monoid|))) ((*1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|ConvertibleTo| (|Pattern| *3))) (|ofCategory| *3 (|PatternMatchable| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|ConvertibleTo| (|Pattern| *3))) (|ofCategory| *2 (|PatternMatchable| *3)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
 (((*1 *2 *3 *2 *2) (AND (|isDomain| *2 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|isDomain| *3 (|OrderedVariableList| *4)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *2 *3 *4 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3))))) 
+(((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *2 *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|SquareMatrix| *2 *3)) (|ofType| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Ring|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1 *1) (|partial| AND (|ofCategory| *1 (|FieldOfPrimeCharacteristic|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|Type|)) (|ofCategory| *1 (|DirectProductCategory| *3 *4))))) 
-(((*1 *2 *3 *4 *4 *3 *5 *3 *3 *4 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp4| FUNCTN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|List| (|Union| (|Fraction| (|Polynomial| *4)) (|SuchThat| (|Symbol|) (|Polynomial| *4))))) (|isDomain| *1 (|EigenPackage| *4))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DirichletRing| *4)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|None|)) (|isDomain| *1 (|BasicOperator|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *2 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (|isDomain| *1 (|IntegrationFunctionsTable|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|List| *4))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| *8) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| *8))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)) (|isDomain| *4 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2))))) 
+(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *3 (|IntegralDomain|))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *4 *3) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |ratpart| (|Fraction| (|Polynomial| *5))) (|:| |coeff| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|RationalFunctionIntegration| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) ((*1 *1) (|ofCategory| *1 (|Finite|))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) ((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *1 *1) (|isDomain| *1 (|Integer|))) ((*1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) ((*1 *2 *1) (AND (|isDomain| *2 (|Permutation| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Permutation| *4)) (|isDomain| *1 (|PermutationGroup| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *3)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Mapping| (|Stream| *4) (|Stream| *4))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *6 *4 *7)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *6))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|RegularChain| *4 *5))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3)))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *5 *6 *4)) (|ofCategory| *6 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *5 *6 *4)) (|ofCategory| *6 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *6)) (|ofCategory| *6 (|MatrixCategory| *3 *4 *5)))) ((*1 *2 *3 *3) (AND (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|ModularHermitianRowReduction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *3 *4 *4 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|Record| (|:| |lcmfij| *6) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *4) (|:| |polj| *4))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *4))))) 
 (((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|FreeGroup| (|BasicOperator|))) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *4)) (|ofCategory| *4 (|LeftModule| *2)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|FreeGroup| (|BasicOperator|))) (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1) (|isDomain| *1 (|GraphImage|)))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Vector| (|Expression| (|Float|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3))))) 
 (((*1 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Set| (|Symbol|))) (|isDomain| *1 (|ApplicationProgramInterface|)) (|isDomain| *3 (|Symbol|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|PseudoAlgebraicClosureOfRationalNumber|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| *3)) (|ofType| *3 *2)))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2 *3 *4 *5 *6 *5 *3 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|)))) (|isDomain| *7 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|)))) ((*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|)))) (|isDomain| *7 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *5 *3 *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|PolynomialCategory| *5 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *6)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *1 (|PolynomialGcdPackage| *4 *5 *6 *2)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|))))) 
+(((*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *5)) (|isDomain| *1 (|BlowUpPackage| *5 *6 *3 *7 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *5 *7)) (|ofCategory| *4 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|TangentExpansions| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1) (|partial| |ofCategory| *1 (|MonadWithUnit|)))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|MathMLFormat|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
+(((*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *2)) (|Record| (|:| |index| *5) (|:| |exponent| *2)))) (|ofCategory| *2 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *5 *2 *6 *7)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *2 (|OrderedVariableList| *3)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |additions| (|Integer|)) (|:| |multiplications| (|Integer|)) (|:| |exponentiations| (|Integer|)) (|:| |functionCalls| (|Integer|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|InputForm|))) (|isDomain| *1 (|InputForm|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ApplicationProgramInterface|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Permutation| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|PermutationGroup| *4))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| (|Point| *4))) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *4)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|List| (|List| (|NonNegativeInteger|)))) (|isDomain| *1 (|BlowUpPackage| *4 *5 *6 *7 *8)) (|ofCategory| *6 (|FiniteAbelianMonoidRing| *4 *7)) (|ofCategory| *8 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerNumericEigenPackage| *5 *6 *4)) (|ofCategory| *6 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|AlgebraicNumber|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgebraicMultFact| *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|AlgebraicNumber|) *6 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|AlgebraicNumber|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| (|AlgebraicNumber|) *6 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|AlgebraicMultFact| *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|Complex| (|Integer|)))) (|isDomain| *1 (|GaussianFactorizationPackage|)) (|isDomain| *3 (|Complex| (|Integer|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GeneralizedMultivariateFactorize| *4 *5 *6 *7 *3)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *3 (|PolynomialCategory| *7 *5 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|GenUFactorize| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *7 (|Join| (|Field|) (|CharacteristicZero|) (|MonogenicAlgebra| *5 *6))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|InnerAlgFactor| *5 *6 *7 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| (|SparseUnivariatePolynomial| *7)) (|SparseUnivariatePolynomial| *7))) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|InnerMultFact| *5 *6 *7 *3)) (|ofCategory| *3 (|PolynomialCategory| *7 *6 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| (|SparseUnivariatePolynomial| *7)) (|SparseUnivariatePolynomial| *7))) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|PolynomialCategory| *7 *6 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *8))) (|isDomain| *1 (|InnerMultFact| *5 *6 *7 *8)) (|isDomain| *3 (|SparseUnivariatePolynomial| *8)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|IntegerFactorizationPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6)))) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorFactorizer| *5 *6)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5)))) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorFactorizer| *4 *5)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5))))) ((*1 *2 *3) (AND (|isDomain| *3 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|LyndonWord| *4))) (|isDomain| *1 (|LyndonWord| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultFiniteFactorize| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|FiniteFieldCategory|)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|MultFiniteFactorize| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MPolyCatPolyFactorizer| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Polynomial| *6) *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MRationalFactorize| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Fraction| *6) *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateFactorize| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|MultivariateFactorize| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|RationalFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|RationalFunctionFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Polynomial| (|Integer|))))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|MonogenicAlgebra| (|Fraction| (|Integer|)) *4))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|SimpleAlgebraicExtensionAlgFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|MonogenicAlgebra| (|Fraction| (|Polynomial| (|Integer|))) *4))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|SAERationalFunctionAlgFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Fraction| *7)))) (|isDomain| *1 (|SupFractionFactorizer| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| *7))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|UniqueFactorizationDomain|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|UnivariateFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldSquareFreeDecomposition| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (|isDomain| *1 (|IntegrationFunctionsTable|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3))))) 
 (((*1 *2 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|List| (|Integer|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *1 (|RewriteRule| *3 *4 *2)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))))) ((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|SuchThat| *3 *2)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|SmithNormalForm| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp35| FCN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagRootFindingPackage|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3)))) ((*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
+(((*1 *1) (|isDomain| *1 (|CharacterClass|)))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|)) (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| *4)))))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |coef| *3) (|:| |monom| *4)))) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Stream| (|Record| (|:| |k| *4) (|:| |c| *3))))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PrimitiveArray| (|Complex| (|Float|)))) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3 *4 *5 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPolynomialRootsPackage|))))) 
 (((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Record| (|:| |zeros| (|Stream| (|DoubleFloat|))) (|:| |ones| (|Stream| (|DoubleFloat|))) (|:| |singularities| (|Stream| (|DoubleFloat|))))) (|isDomain| *1 (|BasicFunctions|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Kernel| *1)) (|ofCategory| *1 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *1))))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|isDomain| *5 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Variable| *5)) (|ofType| *5 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|UnivariatePolynomial| *5 (|Polynomial| *6))) (|isDomain| *1 (|PolynomialToUnivariatePolynomial| *5 *6)) (|isDomain| *3 (|Polynomial| *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) ((*1 *2 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *5 *4 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $))))) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *4)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *5 *4 *6 *7 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|RationalFunction| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5)))))) 
-(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|Color|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *2 (|List| (|Fraction| (|Integer|)))) (|isDomain| *1 (|RealZeroPackage| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *12)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *12)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfClsPt| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealZeroPackage| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|AffineAlgebraicSetComputeWithGroebnerBasis| *5 *6 *3 *7 *8)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *5 *6 *3 *7 *8)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Kernel| *1))) (|ofCategory| *1 (|ExpressionSpace|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|PolynomialCategory| *3 *5 (|OrderedVariableList| *4))) (|ofCategory| *5 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *6 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *3 *4 *2 *5 *6 *7 *8 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GenExEuclid| *3 *5))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *4)) (|ofCategory| *4 (|AbelianMonoidRing| *2 *3))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *3)) (|ofCategory| *3 (|ConvertibleTo| (|Float|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *3)) (|ofCategory| *3 (|ConvertibleTo| (|Float|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Complex| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Complex| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|Complex| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *4)))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *5)))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|Complex| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatchResult| *4 *5)) (|ofCategory| *5 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternFunctions1| *5 *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternFunctions1| *5 *6))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateSort| *4 *2)) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|))))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Union| (|BasicStochasticDifferential|) (|Integer|))) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *3 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *3) (|:| |radicand| (|List| *3)))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *7 *3 *8)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*3 $)) (SIGNATURE |denom| (*3 $)) (SIGNATURE |coerce| ($ *3)))))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *3) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *6) (|:| |polj| *6)))) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|PolynomialCategory| *4 *3 *5)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *3 *5 *6))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Tree| *3))) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|RectangularMatrix| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|HomogeneousDistributedMultivariatePolynomial| *3 *4))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *1 (|LinGroebnerPackage| *3 *4))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2) (AND (|isDomain| *2 (|OrderedCompletion| (|Integer|))) (|isDomain| *1 (|Infinity|)))) ((*1 *1) (AND (|isDomain| *1 (|OrderedCompletion| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|PseudoAlgebraicClosureOfFiniteField| *4))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|ProjectivePlane| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
-(((*1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4))))) 
-(((*1 *1) (|isDomain| *1 (|FortranCode|)))) 
-(((*1 *2) (AND (|isDomain| *2 (|OrderedCompletion| (|Integer|))) (|isDomain| *1 (|Infinity|)))) ((*1 *1) (AND (|isDomain| *1 (|OrderedCompletion| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|OpenMathError|))))) 
-(((*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Matrix| *3))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceComplexIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|CharacteristicZero|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Expression| *5)) (|isDomain| *1 (|IntegrationResultRFToFunction| *5))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
-(((*1 *1 *1 *1) (|partial| |ofCategory| *1 (|CancellationAbelianMonoid|)))) 
-(((*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *1 (|OrdinaryDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Result|))))) 
-(((*1 *2 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *3) (AND (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|)))))) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5)) (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|)))))))) 
-(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
-(((*1 *2 *2 *2 *2 *3) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4 *5 *5 *5 *6 *4 *4 *4 *5 *4 *5 *7) (AND (|isDomain| *3 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *5 *3 *3 *3 *6 *4 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *1 *1) (|partial| |ofCategory| *1 (|CharacteristicNonZero|))) ((*1 *1 *1) (|ofCategory| *1 (|FiniteFieldCategory|))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|CharacteristicNonZero|)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|isDomain| *2 (|List| (|Vector| *5))) (|isDomain| *1 (|InterpolateFormsPackage| *5 *6 *7 *8 *9 *10 *11 *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *3 (|DivisorCategory| *11))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|GroebnerFactorizationPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|List| *8))) (|isDomain| *1 (|GroebnerFactorizationPackage| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *2 *3 *4 *5) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|Mapping| (|Boolean|) *9)) (|isDomain| *4 (|Mapping| (|Boolean|) *9 *9)) (|isDomain| *5 (|Mapping| *9 *9 *9)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *6 *7 *8 *9))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *2 *5)) (|ofCategory| *4 (|Type|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *6 *2 *7)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|DirectProductCategory| *4 *6)) (|ofCategory| *2 (|DirectProductCategory| *5 *6))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
-(((*1 *2 *3 *4 *5 *4 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *7 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|StreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *2 *3 *4 *5 *5 *5 *5 *6 *4 *4 *4 *4 *4 *5 *4 *5 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| (|Integer|))) (|isDomain| *2 (|Vector| (|Integer|))) (|isDomain| *1 (|IntegerLinearDependence| *4))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *2)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *2)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |ratpart| (|Fraction| *5)) (|:| |coeff| (|Fraction| *5)))) (|isDomain| *1 (|RationalIntegration| *4 *5)) (|isDomain| *3 (|Fraction| *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *1 *2 *3 *4) (AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *4 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *3) (|:| |exponent| *4)) (|Record| (|:| |index| *3) (|:| |exponent| *4)))) (|isDomain| *1 (|GeneralModulePolynomial| *5 *2 *3 *4 *6 *7)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *2 *4 (|OrderedVariableList| *5)))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|ApplyRules| *4 *5 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4))))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *3 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *1 *1) (|isDomain| *1 (|ThreeDimensionalViewport|)))) 
-(((*1 *2 *3) (AND (|ofCategory| *1 (|PartialDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *2 (|Result|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|CommonDenominator| *2 *4 *3)) (|ofCategory| *3 (|FiniteLinearAggregate| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|InnerCommonDenominator| *2 *4 *5 *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *3 (|FiniteLinearAggregate| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|MatrixCommonDenominator| *2 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|UnivariatePolynomialCommonDenominator| *2 *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeMonoid| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|ListMonoidOps| *4 *2 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofType| *5 *2))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *4 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *1 *1) (|isDomain| *1 (|Float|))) ((*1 *1) (|isDomain| *1 (|Float|)))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Stream| *3))) (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5))))) 
-(((*1 *2 *1 *1) (|partial| AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|AlgebraicFunction| *4 *5))))) 
-(((*1 *1) (AND (|ofCategory| *1 (|GradedAlgebra| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *1) (|ofCategory| *1 (|MonadWithUnit|))) ((*1 *1) (|ofCategory| *1 (|Monoid|))) ((*1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *3 *4 *4 *3 *4 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InternalRationalUnivariateRepresentationPackage| *5 *6 *7 *8 *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerRoots| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PermutationGroup| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *4 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoid|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
-(((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|DrawComplex|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|ContinuedFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|FlexibleArray| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofType| *4 (|Integer|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *4 *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Mapping| *5 *4)) (|isDomain| *1 (|MappingPackage2| *4 *5))))) 
-(((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *2 (|Join| (|FieldOfPrimeCharacteristic|) (CATEGORY |package| (SIGNATURE |coerce| (*2 *4)) (SIGNATURE |lookup| ((|PositiveInteger|) *2)) (SIGNATURE |basis| ((|Vector| *2) (|PositiveInteger|))) (SIGNATURE |Frobenius| (*2 *2))))) (|isDomain| *1 (|FiniteFieldPolynomialPackage2| *2 *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |a| *6) (|:| |b| (|Fraction| *6)) (|:| |c| (|Fraction| *6)) (|:| |t| *6))) (|isDomain| *1 (|TranscendentalRischDE| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
-(((*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) ((*1 *1) (|ofCategory| *1 (|Finite|))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) ((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *1 *1) (|isDomain| *1 (|Integer|))) ((*1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) ((*1 *2 *1) (AND (|isDomain| *2 (|Permutation| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Permutation| *4)) (|isDomain| *1 (|PermutationGroup| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Any|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AnyFunctions1| *4)) (|ofCategory| *4 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Expression| (|Integer|)))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
-(((*1 *2 *3 *4 *3) (|partial| AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |ratpart| (|Fraction| *6)) (|:| |coeff| (|Fraction| *6)))) (|isDomain| *1 (|TranscendentalIntegration| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *5 *6)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Record| (|:| |num| (|Matrix| *5)) (|:| |den| *5)))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|NumberFormats|))))) 
-(((*1 *2 *3 *4 *4 *5) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|List| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|PureAlgebraicIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|))))) 
-(((*1 *2 *1 *1 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1))) (|ofCategory| *1 (|EuclideanDomain|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1) (|:| |generator| *1))) (|ofCategory| *1 (|EuclideanDomain|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursiveAggregate| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|SubSpace| *3 *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *1 *2 *2 *2 *2 *2 *2 *2 *2) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Quaternion| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *1 (|Octonion| *3))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|RetractableTo| (|Integer|))) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $)))))))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|CommutativeRing|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DefiniteIntegrationTools| *4 *5)) (|ofCategory| *5 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4)))))) 
-(((*1 *2 *3 *4 *4 *4 *3 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|))))) 
-(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *4))) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|LinearPolynomialEquationByFractions| *4))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2) (AND (|isDomain| *2 (|List| (|BasicStochasticDifferential|))) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|InputForm|))) (|isDomain| *1 (|InputForm|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ApplicationProgramInterface|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|ofCategory| *4 (|Algebra| *3)) (|ofCategory| *4 (|Ring|)) (|isDomain| *3 (|Fraction| (|Integer|))) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|))))))) (|isDomain| *1 (|ODEIntensityFunctionsTable|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Factored| *2)) (|ofCategory| *2 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *1 (|MultivariateSquareFree| *5 *6 *7 *2)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|EuclideanDomain|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *7) (|:| |polj| *7))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|CharacteristicZero|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
-(((*1 *2 *2 *3 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *4)) (|ofCategory| *4 (|AbelianMonoidRing| *2 *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AlgebraicFunction| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CombinatorialFunction| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ElementaryFunction| *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpressionSpace&| *4)) (|ofCategory| *4 (|ExpressionSpace|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionSpace&| *4 *5)) (|ofCategory| *4 (|FunctionSpace| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LiouvillianFunction| *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (|isDomain| *1 (|IntegrationFunctionsTable|))))) 
-(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *5)))) (|isDomain| *1 (|TwoFactorize| *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *5)))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|QuasiAlgebraicSet| (|Fraction| (|Integer|)) (|OrderedVariableList| *3) (|DirectProduct| *4 (|NonNegativeInteger|)) (|DistributedMultivariatePolynomial| *3 (|Fraction| (|Integer|))))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|NonNegativeInteger|)) (|isDomain| *1 (|QuasiAlgebraicSet2| *3 *4))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp35| FCN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagRootFindingPackage|))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OrdinaryWeightedPolynomials| *4 *5 *6 *7)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| *3)) (|ofType| *7 *3))) ((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofType| *8 (|List| *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|WeightedPolynomials| *4 *5 *6 *7 *8 *9 *10)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofType| *9 (|List| *3)) (|ofType| *10 *3)))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SymbolTable|)) (|isDomain| *1 (|TheSymbolTable|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathConnection|))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *4)) (|ofCategory| *4 (|AbelianMonoidRing| *2 *3))))) 
-(((*1 *2 *3 *4 *5 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPolynomialRootsPackage|))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|ContinuedFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (|ofCategory| *1 (|PAdicIntegerCategory| *2))) ((*1 *1 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *3))))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Mapping| *6 (|NonNegativeInteger|) (|Vector| (|SparseUnivariatePolynomial| *6)))) (|isDomain| *5 (|List| (|NonNegativeInteger|))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|Matrix| (|SparseUnivariatePolynomial| *6))) (|isDomain| *1 (|FractionFreeFastGaussian| *6 *7)) (|ofCategory| *7 (|AbelianMonoidRing| *6 (|NonNegativeInteger|)))))) 
-(((*1 *2 *3 *4 *5 *5 *4 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|))))) 
-(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *3 (|Matrix| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (|isDomain| *1 (|d01AgentsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 (|List| *2))) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *5 *2))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Mapping| *5 *4)) (|isDomain| *1 (|MappingPackage2| *4 *5)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|PackageForPoly| *2 *3 *4 *5)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *2 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *2)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *3 (|OrderedMonoid|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|NormalizationPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Cell| *4)) (|ofCategory| *4 (|RealClosedField|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|RealClosedField|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SimpleCell| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |outval| *4) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| *4)))))) (|isDomain| *1 (|NumericRealEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
 (((*1 *2 *3 *4 *5 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPolynomialRootsPackage|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| *4) (|:| |degree| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|MachineFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|HexadecimalExpansion|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *2 *6 *7)) (|ofCategory| *6 (|DirectProductCategory| *5 *2)) (|ofCategory| *7 (|DirectProductCategory| *4 *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|UniqueFactorizationDomain|)) (|isDomain| *1 (|ChangeOfVariable| *2 *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
 (((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Kernel| *5))) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Kernel| *5)) (|isDomain| *1 (|IntegrationTools| *4 *5)) (|ofCategory| *5 (|FunctionSpace| *4))))) 
-(((*1 *2) (|partial| AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *2 *5)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *2 *5)))) ((*1 *2) (|partial| AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *2 *4)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *3 *4 *3 *4 *3 *5 *5) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|List| (|PrimitiveArray| *5))) (|isDomain| *1 (|BlasLevelOne|)) (|isDomain| *4 (|PrimitiveArray| *5))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlane| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Record| (|:| |start| *3) (|:| |factors| (|Factored| *3)))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|OpenMathEncoding|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |radicand| (|Fraction| *5)) (|:| |deg| (|NonNegativeInteger|)))) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *5)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |bas| (|GeneralTriangularSet| *4 *5 *6 *7)) (|:| |top| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|AssociationList| (|String|) (|None|))) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
 (((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|FactoredFunctionUtilities| *3))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|RealNumberSystem|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|RealNumberSystem|)))) ((*1 *1 *1) (|ofCategory| *1 (|OrderedRing|))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|RealNumberSystem|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *6 *5)) (|isDomain| *4 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *5)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|DistributedMultivariatePolynomial| *6 (|PseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *2 *6 *7 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *6)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5)))) ((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *4 *2 *5 *6 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *4))))) 
-(((*1 *1 *2 *3 *3 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4))))) 
+(((*1 *1 *2 *2) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3 (|Integer|))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Automorphism| *3)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Automorphism| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Automorphism| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|SquareMatrix| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|QuadraticForm| *3 *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5))))) 
 (((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ApplicationProgramInterface|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|FunctionSpaceComplexIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|IntegrationResult| (|Fraction| (|Polynomial| *5)))) (|isDomain| *1 (|RationalFunctionIntegration| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5)))))) 
-(((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Kernel| *6))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Kernel| *6)) (|ofCategory| *6 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *5 *6))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|))))) 
-(((*1 *2 *3 *4 *4 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|Record| (|:| |lcmfij| *6) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *4) (|:| |polj| *4))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *4))))) 
-(((*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|SegmentBinding| (|Polynomial| (|Integer|)))) (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|SegmentBinding| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PrimitiveArray| (|Float|))) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3))))) 
-(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|RealClosedField|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|BinaryTournament| *3))))) 
-(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MyUnivariatePolynomial| *4 *3)) (|ofType| *4 (|Symbol|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *1 (|PolynomialRing| *3 *2)) (|ofCategory| *2 (|CancellationAbelianMonoid|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Partition|)) (|ofCategory| *2 (|CancellationAbelianMonoid|)) (|isDomain| *1 (|SymmetricPolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|UnivariatePolynomial| *4 *3)) (|ofType| *4 (|Symbol|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SplittingTree| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *2 *3 *3 *4 *4) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Segment| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PlaneAlgebraicCurvePlot|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Vector| *4))) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Vector| *3)))))) 
-(((*1 *2 *3 *3 *4 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|ContinuedFraction| *6)) (|isDomain| *1 (|PadeApproximants| *5 *4 *6)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *5)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *2 *2 *3 *4 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Integer|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *6 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| *2) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|)))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|MergeThing| *3))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *5 *6))) (|isDomain| *4 (|OrderedVariableList| *5)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *5 *6)) (|isDomain| *1 (|LinGroebnerPackage| *5 *6)) (|ofCategory| *6 (|GcdDomain|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *5 *6))) (|isDomain| *4 (|OrderedVariableList| *5)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *5 *6)) (|isDomain| *1 (|LinGroebnerPackage| *5 *6)) (|ofCategory| *6 (|GcdDomain|))))) 
-(((*1 *2) (|partial| AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Record| (|:| |particular| *1) (|:| |basis| (|List| *1)))) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)))) ((*1 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |particular| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|:| |basis| (|List| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6))))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateSort| *4 *2)) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|))))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 *2) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ComplexCategory&| *3 *4)) (|ofCategory| *3 (|ComplexCategory| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|List| (|Union| (|Fraction| (|Polynomial| *4)) (|SuchThat| (|Symbol|) (|Polynomial| *4))))) (|isDomain| *1 (|EigenPackage| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *4 *3) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |ratpart| (|Fraction| (|Polynomial| *5))) (|:| |coeff| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|RationalFunctionIntegration| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Mapping| (|Stream| *4) (|Stream| *4))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *5))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *5 *6 *4)) (|ofCategory| *6 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *5 *6 *4)) (|ofCategory| *6 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Set| (|Symbol|))) (|isDomain| *1 (|ApplicationProgramInterface|)) (|isDomain| *3 (|Symbol|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *5)) (|isDomain| *1 (|BlowUpPackage| *5 *6 *3 *7 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *5 *7)) (|ofCategory| *4 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |additions| (|Integer|)) (|:| |multiplications| (|Integer|)) (|:| |exponentiations| (|Integer|)) (|:| |functionCalls| (|Integer|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *4)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|List| (|List| (|NonNegativeInteger|)))) (|isDomain| *1 (|BlowUpPackage| *4 *5 *6 *7 *8)) (|ofCategory| *6 (|FiniteAbelianMonoidRing| *4 *7)) (|ofCategory| *8 (|BlowUpMethodCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *1 (|RewriteRule| *3 *4 *2)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))))) ((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|SuchThat| *3 *2)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SortedCache| *3)) (|ofCategory| *3 (|CachableSet|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|FlexibleArray| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofType| *4 (|Integer|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|HexadecimalExpansion|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlane| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4))))) 
-(((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |bas| (|GeneralTriangularSet| *4 *5 *6 *7)) (|:| |top| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|Group|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|NonAssociativeRng|)))) 
-(((*1 *1 *2 *2) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LaurentPolynomial| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *4))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *1 (|AlgebraicIntegrate| *4 *5 *6 *7 *2)) (|ofCategory| *2 (|FunctionFieldCategory| *5 *6 *7))))) 
 (((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *3) (|:| |polj| *3)))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Partition|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|FractionFreeFastGaussian| *4 *5)) (|ofCategory| *5 (|AbelianMonoidRing| *4 *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DoubleFloat|))))) 
 (((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|NumberFormats|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|MonogenicLinearOperator| *3)) (|isDomain| *1 (|OppositeMonogenicLinearOperator| *2 *3)) (|ofCategory| *3 (|Ring|))))) 
 (((*1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|CycleIndicators|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BinaryExpansion|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|InputForm|))) (|isDomain| *1 (|InputForm|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BinaryExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DecimalExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|HexadecimalExpansion|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
-(((*1 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PatternMatchListResult| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|ListAggregate| *3)))) ((*1 *1) (AND (|isDomain| *1 (|PatternMatchResult| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *1 *1 *2) (|partial| AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|RepresentationPackage2| *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Void|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Color|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| (|Boolean|) *8 *8)) (|isDomain| *4 (|Mapping| *8 *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *5 *6 *7 *8))))) 
-(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|FramedAlgebra&| *3 *4 *5)) (|ofCategory| *3 (|FramedAlgebra| *4 *5)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Matrix| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |nullBranch| "null") (|:| |assignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |arrayIndex| (|List| (|Polynomial| (|Integer|)))) (|:| |rand| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |arrayAssignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |rand| (|OutputForm|)) (|:| |ints2Floats?| (|Boolean|)))) (|:| |conditionalBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |thenClause| (|FortranCode|)) (|:| |elseClause| (|FortranCode|)))) (|:| |returnBranch| (|Record| (|:| |empty?| (|Boolean|)) (|:| |value| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |blockBranch| (|List| (|FortranCode|))) (|:| |commentBranch| (|List| (|String|))) (|:| |callBranch| (|String|)) (|:| |forBranch| (|Record| (|:| |range| (|SegmentBinding| (|Polynomial| (|Integer|)))) (|:| |span| (|Polynomial| (|Integer|))) (|:| |body| (|FortranCode|)))) (|:| |labelBranch| (|SingleInteger|)) (|:| |loopBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |body| (|FortranCode|)))) (|:| |commonBranch| (|Record| (|:| |name| (|Symbol|)) (|:| |contents| (|List| (|Symbol|))))) (|:| |printBranch| (|List| (|OutputForm|))))) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *3 *4 *4 *3 *3 *5) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |mval| (|Matrix| *3)) (|:| |invmval| (|Matrix| *3)) (|:| |genIdeal| (|PolynomialIdeals| *3 *4 *5 *6)))) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Vector| *2)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *6 (|QuotientFieldCategory| *5)) (|ofCategory| *2 (|Join| (|FramedAlgebra| *6 *7) (|RetractableTo| *6))) (|isDomain| *1 (|FractionalIdeal| *5 *6 *7 *2)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *3 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *5)) *4 *3)))) ((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|isDomain| *1 (|PushVariables| *4 *5 *3 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|PushVariables| *4 *5 *6 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *6))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|List| (|Equation| *4))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|))))) 
+(((*1 *2 *3 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|AttributeButtons|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|AttributeButtons|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SplittingTree| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *1)) (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|Product| *3 *2)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Complex| (|Expression| *4))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Complex| *3)) (|isDomain| *1 (|TrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *1) (|isDomain| *1 (|ODEIntensityFunctionsTable|)))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *5)) (|ofCategory| *5 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorsOps| *5 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *1 (|Expression| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |ratpart| *6) (|:| |coeff| *6)) "failed") *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Union| (|Record| (|:| |answer| (|Fraction| *7)) (|:| |a0| *6)) (|Record| (|:| |ratpart| (|Fraction| *7)) (|:| |coeff| (|Fraction| *7))) "failed")) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedVariableOrdering|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedVariableOrdering|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OneDimensionalArray| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|OneDimensionalArray| *3))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6))))) 
+(((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1 *1 *2 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|isDomain| *3 (|List| (|OrderedVariableList| *4))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |const| *3) (|:| |nconst| *3))) (|isDomain| *1 (|PatternMatchIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *3 *4 *2 *3 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|BlasLevelOne|))))) 
 (((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Vector| *3)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *4)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FramedAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Vector| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Matrix| *5))) (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|StructuralConstantsPackage| *5))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Finite|))))) 
-(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|NonNegativeInteger|)))))) 
-(((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *1) (|partial| |ofCategory| *1 (|IntegralDomain|))) ((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *1) (|partial| |isDomain| *1 (|NonNegativeInteger|))) ((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *4)))) ((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *2 *5 *6)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *4 *2)) (|ofCategory| *6 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *2 *2) (|partial| AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PointsOfFiniteOrder| *4 *5 *6 *7 *8)))) ((*1 *2 *3) (AND (|isDomain| *3 (|FiniteDivisor| (|Fraction| (|Integer|)) *4 *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| (|Fraction| (|Integer|)) *4 *5)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PointsOfFiniteOrderRational| *4 *5 *6))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |gcd| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|None|)) (|isDomain| *1 (|Any|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Palette|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *10)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (|ofCategory| *3 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *2 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2) (AND (|isDomain| *2 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Divisor| (|Places| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|MultiDictionary| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |entry| *3) (|:| |count| (|NonNegativeInteger|)))))))) 
-(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Mapping| (|Boolean|) *9)) (|isDomain| *5 (|Mapping| (|Boolean|) *9 *9)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |bas| *1) (|:| |top| (|List| *9)))) (|isDomain| *3 (|List| *9)) (|ofCategory| *1 (|TriangularSetCategory| *6 *7 *8 *9)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| (|Boolean|) *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |bas| *1) (|:| |top| (|List| *8)))) (|isDomain| *3 (|List| *8)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *8))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|FiniteAbelianMonoidRing| *5 *7)) (|ofCategory| *7 (|DirectProductCategory| *8 (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *6 *7 *8 *4)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *5))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *6))))) 
-(((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|None|)) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7))))) (|ofCategory| *7 (|OrderedRing|)) (|ofCategory| *8 (|Join| (|UnivariatePowerSeriesCategory| *3 *7) (|Field|) (|TranscendentalFunctionCategory|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $)) (SIGNATURE |integrate| ($ $))))) (|isDomain| *2 (|Union| (|:| |%series| *8) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|)))))) (|isDomain| *1 (|FunctionSpaceToUnivariatePowerSeries| *6 *3 *7 *8 *9 *10)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PartialTranscendentalFunctions| *8)) (|ofType| *10 (|Symbol|))))) 
-(((*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixManipulation| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Matrix| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *5 *6)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *6 (|DirectProductCategory| *3 *4))))) 
-(((*1 *1 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Equation| *3))) (|isDomain| *1 (|Equation| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|d01WeightsPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|)))) 
-(((*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *3 (|Matrix| *11)) (|isDomain| *4 (|List| (|Fraction| (|Polynomial| *8)))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|String|)) (|ofCategory| *8 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *11 (|PolynomialCategory| *8 *10 *9)) (|ofCategory| *9 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *10 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |rgl| (|List| (|Record| (|:| |eqzro| (|List| *11)) (|:| |neqzro| (|List| *11)) (|:| |wcond| (|List| (|Polynomial| *8))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *8)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *8)))))))))) (|:| |rgsz| (|Integer|)))) (|isDomain| *1 (|ParametricLinearEquations| *8 *9 *10 *11)) (|isDomain| *7 (|Integer|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 *2) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ComplexCategory&| *3 *4)) (|ofCategory| *3 (|ComplexCategory| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |unit| *1) (|:| |canonical| *1) (|:| |associate| *1))) (|ofCategory| *1 (|IntegralDomain|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Stream| (|Stream| (|Polynomial| *5)))) (|isDomain| *1 (|WeierstrassPreparation| *5)) (|isDomain| *4 (|Stream| (|Polynomial| *5)))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |val| *1) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |val| (|Pattern| *3)) (|:| |exponent| (|Pattern| *3)))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Record| (|:| |val| *3) (|:| |exponent| (|Integer|)))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
+(((*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|SmithNormalForm| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
 (((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *4 *2)) (|ofCategory| *2 (|ElementaryFunctionCategory|)) (|ofCategory| *2 (|FunctionSpace| *4))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|DifferentialVariableCategory| *3)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5)) (|ofType| *4 (|List| (|Symbol|)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|Reference| (|OrderedCompletion| (|Integer|)))) (|isDomain| *3 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *4)))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *4))))) 
-(((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DisplayPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DisplayPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |mat| (|Matrix| (|Fraction| (|Polynomial| *4)))) (|:| |vec| (|List| (|Fraction| (|Polynomial| *4)))) (|:| |rank| (|NonNegativeInteger|)) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4))))))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *4)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *4)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Heap| *4)))) ((*1 *2 *3 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Queue| *4)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *4))))) 
-(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FourierComponent| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |llcmres| *1) (|:| |coeff1| *1) (|:| |coeff2| *1))) (|ofCategory| *1 (|LeftOreRing|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *2 *6)) (|isDomain| *4 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|MappingPackageInternalHacks3| *5 *6 *2))))) 
-(((*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| (|Record| (|:| |ratpart| *4) (|:| |coeff| *4)) "failed") *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|TranscendentalIntegration| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|OrderedVariableList| *5))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Record| (|:| |dpolys| (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|:| |coords| (|List| (|Integer|))))) (|isDomain| *1 (|GroebnerSolve| *5 *6 *7)) (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|ofCategory| *7 (|GcdDomain|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |resultant| *3) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|Mapping| (|IntegrationResult| *3) *3 (|Symbol|))) (|isDomain| *6 (|Mapping| (|Union| (|Record| (|:| |special| *3) (|:| |integrand| *3)) "failed") *3 (|Symbol|))) (|ofCategory| *3 (|ElementaryFunctionCategory|)) (|ofCategory| *3 (|LiouvillianFunctionCategory|)) (|ofCategory| *3 (|RetractableTo| *4)) (|ofCategory| *3 (|FunctionSpace| *7)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *7 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *7 (|PatternMatchable| (|Integer|))) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|IntegrationTools| *7 *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *2 *7 *8 *9 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|ProjectiveSpaceCategory| *3))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *3 (|List| (|Palette|))) (|isDomain| *1 (|GraphImage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|RealClosedField|)) (|isDomain| *2 (|List| (|SimpleCell| *5 *6))) (|isDomain| *1 (|SimpleCell| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|RealClosedField|)) (|isDomain| *2 (|List| (|SimpleCell| *5 *3))) (|isDomain| *1 (|SimpleCell| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|MathMLFormat|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Union| "left" "center" "right" "vertical" "horizontal"))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|isDomain| *1 (|IncrementingMaps| *3)) (|ofCategory| *3 (|Join| (|Monoid|) (|AbelianSemiGroup|)))))) 
-(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Set| (|NonNegativeInteger|))) (|isDomain| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *4 *5 *6 *3))))) 
-(((*1 *2 *2 *2 *3 *3 *4 *2 *5) (|partial| AND (|isDomain| *3 (|Kernel| *2)) (|isDomain| *4 (|Mapping| (|Union| *2 "failed") *2 *2 (|Symbol|))) (|isDomain| *5 (|SparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|GenusZeroIntegration| *6 *2 *7)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *2 *2 *3 *3 *4 *3 *2 *5) (|partial| AND (|isDomain| *3 (|Kernel| *2)) (|isDomain| *4 (|Mapping| (|Union| *2 "failed") *2 *2 (|Symbol|))) (|isDomain| *5 (|Fraction| (|SparseUnivariatePolynomial| *2))) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|GenusZeroIntegration| *6 *2 *7)) (|ofCategory| *7 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
-(((*1 *2 *3 *3 *3 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Record| (|:| |low| (|List| *3)) (|:| |high| (|List| *3)))) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *2 *3 *5)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2)))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *4)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PackageForPoly| *3 *4 *5 *6)) (|ofCategory| *4 (|FiniteAbelianMonoidRing| *3 *5))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |sinh| (|Stream| *4)) (|:| |cosh| (|Stream| *4)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *4)) (|isDomain| *3 (|Stream| *4))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| *7 *5 *6)) (|isDomain| *1 (|MakeBinaryCompiledFunction| *4 *5 *6 *7)) (|ofCategory| *4 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
-(((*1 *2 *3 *4 *5 *6) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *6 (|List| (|Kernel| *3))) (|isDomain| *5 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|ElementaryIntegration| *7 *3))))) 
-(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Record| (|:| |factors| (|List| *3)) (|:| |error| *5)))) (|isDomain| *1 (|ComplexRootFindingPackage| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *5))))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Record| (|:| |factors| (|List| *3)) (|:| |error| *4)))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|AffinePlane| *3)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|List| (|RewriteRule| *4 *5 *2))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|ApplyRules| *4 *5 *2)))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|List| (|RewriteRule| *5 *6 *2))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Join| (|Ring|) (|PatternMatchable| *5) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *5)))) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|PatternMatchable| *5) (|ConvertibleTo| (|Pattern| *5)))) (|isDomain| *1 (|ApplyRules| *5 *6 *2))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
 (((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|FreeAbelianMonoidCategory| *2 *4)) (|ofCategory| *4 (|CancellationAbelianMonoid|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|ListMonoidOps| *2 *4 *5)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SortedCache| *3)) (|ofCategory| *3 (|CachableSet|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MakeUnaryCompiledFunction| *4 *5 *6)) (|ofCategory| *4 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|))))) 
 (((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5 *4)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MappingPackage3| *5 *4 *6))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariateFormalPowerSeriesFunctions| *3))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3 *3 *4 *4 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3 *3 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Graphviz|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|EuclideanDomain|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9)) (|isDomain| *5 (|NonNegativeInteger|))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|SubSpaceComponentProperty|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *2 *3 *4 *2 *5) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| (|Pattern| *6))) (|isDomain| *5 (|Mapping| (|PatternMatchResult| *6 *8) *8 (|Pattern| *6) (|PatternMatchResult| *6 *8))) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *8 (|Join| (|Ring|) (|ConvertibleTo| (|Pattern| *6)) (|RetractableTo| *7))) (|isDomain| *2 (|PatternMatchResult| *6 *8)) (|ofCategory| *7 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|PatternMatchTools| *6 *7 *8))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedVariableOrdering|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|ofCategory| *3 (|CommutativeRing|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *4 *4 *5 *6) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|ViewportPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|ViewportPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|ViewportPackage|))))) 
+(((*1 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PatternMatchListResult| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|ListAggregate| *3)))) ((*1 *1) (AND (|isDomain| *1 (|PatternMatchResult| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *2 *4 *5) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *1 (|GeneralHenselPackage| *4 *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *3 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldSquareFreeDecomposition| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |nullBranch| "null") (|:| |assignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |arrayIndex| (|List| (|Polynomial| (|Integer|)))) (|:| |rand| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |arrayAssignmentBranch| (|Record| (|:| |var| (|Symbol|)) (|:| |rand| (|OutputForm|)) (|:| |ints2Floats?| (|Boolean|)))) (|:| |conditionalBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |thenClause| (|FortranCode|)) (|:| |elseClause| (|FortranCode|)))) (|:| |returnBranch| (|Record| (|:| |empty?| (|Boolean|)) (|:| |value| (|Record| (|:| |ints2Floats?| (|Boolean|)) (|:| |expr| (|OutputForm|)))))) (|:| |blockBranch| (|List| (|FortranCode|))) (|:| |commentBranch| (|List| (|String|))) (|:| |callBranch| (|String|)) (|:| |forBranch| (|Record| (|:| |range| (|SegmentBinding| (|Polynomial| (|Integer|)))) (|:| |span| (|Polynomial| (|Integer|))) (|:| |body| (|FortranCode|)))) (|:| |labelBranch| (|SingleInteger|)) (|:| |loopBranch| (|Record| (|:| |switch| (|Switch|)) (|:| |body| (|FortranCode|)))) (|:| |commonBranch| (|Record| (|:| |name| (|Symbol|)) (|:| |contents| (|List| (|Symbol|))))) (|:| |printBranch| (|List| (|OutputForm|))))) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *5 *6 *7 *8 *3)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *5 *6 *7 *8 *3))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
 (((*1 *2 *3 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|GcdDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *3 *3 *4 *5) (AND (|isDomain| *5 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| *4))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Union| (|:| |ans| (|Record| (|:| |ans| *3) (|:| |nosol| (|Boolean|)))) (|:| |eq| (|Record| (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (|isDomain| *1 (|TranscendentalRischDE| *6 *3))))) 
+(((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *1) (|partial| |ofCategory| *1 (|IntegralDomain|))) ((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *1) (|partial| |isDomain| *1 (|NonNegativeInteger|))) ((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *4)))) ((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *2 *5 *6)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *4 *2)) (|ofCategory| *6 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *2 *2) (|partial| AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|List| (|List| *4)))) (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *4))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Symbol|))))) 
 (((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FlexibleArray| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofType| *4 (|Integer|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Palette|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *4)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *4))))) 
 (((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Graphviz|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|BagAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3))))) 
 (((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
+(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|OpenMathConnection|)) (|isDomain| *4 (|Any|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathServerPackage|))))) 
 (((*1 *2 *2 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|GenExEuclid| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|GeneralHenselPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofType| *4 *3) (|ofType| *5 (|Mapping| *3 *3 (|NonNegativeInteger|))) (|isDomain| *1 (|InnerModularGcd| *3 *2 *4 *5)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|None|)) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|TubePlot| *2)) (|ofCategory| *2 (|PlottableSpaceCurveCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
 (((*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| *8))) (|isDomain| *1 (|PointsOfFiniteOrder| *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| (|Fraction| (|Integer|)) *4 *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| (|Fraction| (|Integer|)) *4 *5)) (|isDomain| *2 (|Record| (|:| |order| (|NonNegativeInteger|)) (|:| |function| *6))) (|isDomain| *1 (|PointsOfFiniteOrderRational| *4 *5 *6))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldCyclicGroup| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldCyclicGroupExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|SparseUnivariatePolynomial| *3)))) ((*1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldCyclicGroupExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|List| (|BasicOperator|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
 (((*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|Graphviz|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|CyclicStreamTools| *3 *2)) (|ofCategory| *2 (|LazyStreamAggregate| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|)))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |val| (|List| *8)) (|:| |towers| (|List| (|RegularTriangularSet| *5 *6 *7 *8))))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |val| (|List| *8)) (|:| |towers| (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|ofCategory| *8 (|UnivariatePolynomialCategory| (|Fraction| *7))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|AlgebraicIntegrate| *5 *6 *7 *8 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *6 *7 *8))))) 
 (((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1) (|:| |generator| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DrawComplex|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|PatternMatchable| *5)) (|isDomain| *2 (|PatternMatchListResult| *5 *6 (|List| *6))) (|isDomain| *1 (|PatternMatch| *5 *6 *4)) (|isDomain| *3 (|List| *6)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|List| (|Equation| *3))) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|ofCategory| *3 (|RetractableTo| (|Symbol|))) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *3)))) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|ofCategory| *3 (|Ring|)) (|not| (|ofCategory| *3 (|RetractableTo| (|Symbol|)))) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|not| (|ofCategory| *3 (|RetractableTo| (|Symbol|)))) (|not| (|ofCategory| *3 (|Ring|))) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5)))))) 
 (((*1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|)))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariatePolynomialMultiplicationPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Symbol|))))) 
 (((*1 *1 *1) (AND (|isDomain| *1 (|KeyedAccessFile| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1) (|isDomain| *1 (|Library|)))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Kernel| *5))) (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *4 *5))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
+(((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *4)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *4)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Heap| *4)))) ((*1 *2 *3 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Queue| *4)))) ((*1 *2 *3 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *4))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *1 (|IntegerFactorizationPackage| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
 (((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *2 *6)) (|isDomain| *4 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|MappingPackageInternalHacks3| *5 *6 *2))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|GraphImage|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4)))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|SegmentBinding| *1)) (|ofCategory| *1 (|CombinatorialOpsCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|CombinatorialOpsCategory|)) (|isDomain| *2 (|Symbol|))))) 
+(((*1 *2 *2 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
 (((*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|Graphviz|))))) 
+(((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Any|))))) 
 (((*1 *1 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *1 *1) (|partial| |ofCategory| *1 (|StepThrough|)))) 
+(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|SingleInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathConnection|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Union| "left" "center" "right" "vertical" "horizontal"))))) 
 (((*1 *1) (|isDomain| *1 (|OpenMathEncoding|)))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3 *2) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) ((*1 *2 *3 *2) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))))) 
+(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *2 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *2 (|DivisorCategory| *9)) (|ofCategory| *10 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Color|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *3 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |a| *6) (|:| |b| (|Fraction| *6)) (|:| |h| *6) (|:| |c1| (|Fraction| *6)) (|:| |c2| (|Fraction| *6)) (|:| |t| *6))) (|isDomain| *1 (|TranscendentalRischDESystem| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
 (((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|List| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|ElementaryIntegration| *6 *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |var| (|List| (|Symbol|))) (|:| |pred| (|Any|)))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| (|Integer|))))) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| (|NonNegativeInteger|))))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |factor| *3) (|:| |exponent| (|Integer|))))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| (|NonNegativeInteger|))))) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $))))))))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $))))))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *4 (|Kernel| $))))))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *4 *2)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Kernel| *2))) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *4 (|Kernel| $))))))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *4 *2))))) 
+(((*1 *2 *3 *4 *4 *5 *6 *7) (AND (|isDomain| *5 (|Symbol|)) (|isDomain| *6 (|Mapping| (|Union| (|Record| (|:| |mainpart| *4) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (|List| *4))) (|isDomain| *7 (|Mapping| (|Union| (|Record| (|:| |ratpart| *4) (|:| |coeff| *4)) "failed") *4 *4)) (|ofCategory| *4 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedField|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| *3) (|LinearlyExplicitRingOver| *3))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Record| (|:| |ans| *4) (|:| |right| *4) (|:| |sol?| (|Boolean|)))) (|isDomain| *1 (|ElementaryRischDE| *8 *4))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpressionToOpenMath| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpressionToOpenMath| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *4 (|Expression| *5)) (|ofCategory| *5 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ExpressionToOpenMath| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *4 (|Expression| *6)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ExpressionToOpenMath| *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *2 (|String|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *2 (|String|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *2 (|Void|)))) ((*1 *2 *3 *1 *4) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *4 (|Boolean|)) (|isDomain| *2 (|Void|))))) 
 (((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Graphviz|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *3 *6 *7 *8 *9 *2 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *4 (|List| *13)) (|isDomain| *5 (|List| *9)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *13 (|DesingTreeCategory| *12)) (|ofCategory| *6 (|Field|)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *6 *7 *3 *8 *9 *10 *11 *2 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *6)) (|ofCategory| *11 (|PlacesCategory| *6 *10)) (|ofCategory| *2 (|DivisorCategory| *11)) (|isDomain| *1 (|IntersectionDivisorPackage| *6 *7 *3 *8 *9 *10 *11 *2 *12 *13 *14)))) ((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *4)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Divisor| (|Places| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
 (((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *1 (|PartitionsAndPermutations|))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|isDomain| *3 (|List| (|OrderedVariableList| *4))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *1 (|GroebnerSolve| *4 *5 *6)) (|ofCategory| *6 (|GcdDomain|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| *4) (|:| |num| *4)))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|isDomain| *2 (|Result|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|Result|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|XPolynomialsCat| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *4 *5)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *4 *2))))) 
 (((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Segment| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
-(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|d03AgentsPackage|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|RetractableTo| *3)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2 *2) (AND (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *4 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *4 *2)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PrimitiveFunctionCategory|)) (|isDomain| *2 (|Symbol|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|SegmentBinding| *1)) (|ofCategory| *1 (|PrimitiveFunctionCategory|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *1 *1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2 *2 *2 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *4 *5 *3)) (|isDomain| *2 (|Record| (|:| |under| *1) (|:| |floor| *1) (|:| |upper| *1))) (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *3 *6))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|CombinatorialFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|List| (|Integer|)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|isDomain| *3 (|Integer|)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
-(((*1 *2 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5))))) 
-(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3 *3) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3))))) 
-(((*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *2 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)))) ((*1 *2 *1 *3 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedRing|)) (|isDomain| *1 (|ExpertSystemToolsPackage1| *3))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
-(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|GraphImage|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|d03AgentsPackage|)) (|isDomain| *3 (|Symbol|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|List| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| (|Symbol|)) (|:| |c| (|XPolynomial| *3))))) (|isDomain| *1 (|XPolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| *3) (|:| |c| (|XRecursivePolynomial| *3 *4))))) (|isDomain| *1 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|TaylorSeries| *5))) (|isDomain| *1 (|WeierstrassPreparation| *5)) (|isDomain| *4 (|TaylorSeries| *5))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *3 (|SplittingNode| *4 *5)) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingTree| *4 *5))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|NumberFormats|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *1 (|FiniteLinearAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Kernel| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Kernel| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PatternMatchable| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatch| *5 *6 *4)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5)))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |discriminant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TemplateUtilities|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|isDomain| *2 (|FractionalIdeal| *4 (|Fraction| *4) *5 *6)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *6)) (|ofCategory| *6 (|Join| (|FramedAlgebra| *4 *5) (|RetractableTo| *4))) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|FractionalIdeal| *3 *4 *5 *6)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6))))) 
-(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|RealClosedField|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|RationalFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|UnivariateFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *1 *2 *3 *1) (AND (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *3)) (|Record| (|:| |index| *5) (|:| |exponent| *3)))) (|isDomain| *1 (|GeneralModulePolynomial| *4 *2 *5 *3 *6 *7)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *2 *3 (|OrderedVariableList| *4)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|NewtonPolygon| *4 *3 *5 *6))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|isDomain| *4 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *5 (|Field|))))) 
-(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|CliffordAlgebra| *4 *2 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|QuadraticForm| *4 *2)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Expression| *3)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|CancellationAbelianMonoid|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *3 (|Monoid|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *5)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *6)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|BasicStochasticDifferential|)) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|PolynomialCategory| *4 (|IndexedExponents| *5) *5)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Polynomial| *4)) (|isDomain| *1 (|TaylorSeries| *4)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *2 (|List| (|Polynomial| *5))) (|isDomain| *1 (|FunctionFieldCategory&| *4 *5 *6 *7)) (|ofCategory| *4 (|FunctionFieldCategory| *5 *6 *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *5 *6)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| (|Polynomial| *4)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|PositiveInteger|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Union| (|SparseUnivariatePolynomial| *4) (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|))))))) (|isDomain| *1 (|FiniteFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1) (|isDomain| *1 (|Boolean|)))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Expression| *5))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Expression| *5)))) (|isDomain| *1 (|RadicalSolvePackage| *5))))) 
-(((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
-(((*1 *2 *2 *3 *3) (|partial| AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|InverseLaplaceTransform| *4 *2)) (|ofCategory| *2 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|SpecialFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *2)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranType|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|RoutinesTable|)) (|isDomain| *3 (|String|))))) 
-(((*1 *1) (|isDomain| *1 (|OpenMathEncoding|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Cell| *3)) (|ofCategory| *3 (|RealClosedField|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|RealClosedField|)) (|isDomain| *1 (|SimpleCell| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|NonAssociativeRng|)))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Record| (|:| |num| (|Vector| *4)) (|:| |den| *4)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Result|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *2 *1) (|partial| AND (|isDomain| *2 (|BasicStochasticDifferential|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *1 *1 *2 *2 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|GeneralPolynomialGcdPackage| *3 *4 *2 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2) (AND (|ofCategory| *2 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *1 *2 *1) (AND (|ofCategory| *1 (|AbelianGroup|)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|AbelianSemiGroup|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|Color|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|Color|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|DenavitHartenbergMatrix| *3)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|SemiGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|SemiGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *3) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|CancellationAbelianMonoid|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|FreeModule1| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *3) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *7 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *6)) (|Record| (|:| |index| *5) (|:| |exponent| *6)))) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *5 *6 *7 *2)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *3))))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *3)))) ((*1 *1 *1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|InnerTaylorSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|InnerTaylorSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|LeftModule| *2)) (|ofCategory| *2 (|Rng|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *6)) (|isDomain| *4 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Mapping| *7 *5)) (|isDomain| *1 (|MappingPackage3| *5 *6 *7)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| *4 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MappingPackage4| *3 *4)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *2 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|Monad|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *4 *5)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RightModule| *2)) (|ofCategory| *2 (|Rng|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SemiGroup|))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *2 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|DirectProductCategory| *3 *4)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *2 (|DirectProductCategory| *3 *4)))) ((*1 *1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *4 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 (|IndexedExponents| *4) *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|VectorCategory| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|AbelianGroup|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *2)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|PackageForPoly| *4 *5 *6 *7)) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *4 (|CommutativeRing|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|GraphImage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|NumericComplexEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|AbelianSemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| *1)))) (|ofCategory| *1 (|FunctionSpace| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| (|Integer|)))) (|isDomain| *1 (|CyclotomicPolynomialPackage|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Mapping| *2 (|NonNegativeInteger|) (|NonNegativeInteger|) *7)) (|isDomain| *4 (|Vector| *7)) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Vector| (|SparseUnivariatePolynomial| *2))) (|ofCategory| *7 (|AbelianMonoidRing| *2 *5)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *7))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|BagAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|BinarySearchTree| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|BinaryTournament| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) (|isDomain| *1 (|IntegrationFunctionsTable|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultiDictionary| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))))) (|isDomain| *1 (|ODEIntensityFunctionsTable|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|GcdDomain|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|GcdDomain|))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|HeuGcd| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *5 *3 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *1 (|PolynomialGcdPackage| *4 *5 *6 *2)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|PolynomialCategory| *5 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *6)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| *7))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *1 (|PolynomialGcdPackage| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)))) ((*1 *1 *1 *1) (|isDomain| *1 (|PositiveInteger|))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|PrimitiveArray| (|U32Vector|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *3))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Vector| *6)) (|isDomain| *4 (|Vector| (|Integer|))) (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6)) (|isDomain| *1 (|RandomDistributions| *6))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Union| (|Fraction| (|Polynomial| *5)) (|SuchThat| (|Symbol|) (|Polynomial| *5)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| (|Matrix| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|EigenPackage| *5)) (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| *5))))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Matrix| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CharacteristicPolynomialPackage| *2)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|CharacteristicPolynomialInMonogenicalAlgebra| *4 *2 *3)) (|ofCategory| *3 (|MonogenicAlgebra| *4 *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Polynomial| *5)) (|isDomain| *1 (|EigenPackage| *5)) (|ofCategory| *5 (|GcdDomain|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4)))) (|isDomain| *2 (|Polynomial| *4)) (|isDomain| *1 (|EigenPackage| *4)) (|ofCategory| *4 (|GcdDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Polynomial| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *1 (|NumericComplexEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Polynomial| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *1 (|NumericComplexEigenPackage| *5)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|NumericRealEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|NumericRealEigenPackage| *5)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|Partition|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Reference| (|OrderedCompletion| (|Integer|)))) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|IntegerFactorizationPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Character|))))) 
-(((*1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PrincipalIdealDomain|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Polynomial| *5)))) (|isDomain| *1 (|SystemSolvePackage| *5))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GuessOptionFunctions0|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *4 (|MonogenicAlgebra| *5 *7)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *6)) (|:| |vec| (|Vector| *5)))) (|isDomain| *1 (|ReduceLODE| *5 *6 *7 *4 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Boolean|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *3 *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *3 *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *3 (|FortranScalarType|)) (|isDomain| *2 (|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|))))))))) (|isDomain| *1 (|SymbolTable|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
-(((*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|SubSpaceComponentProperty|))))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| (|Fraction| *8)) "failed")) (|:| |basis| (|List| (|Vector| (|Fraction| *8)))))) (|isDomain| *1 (|LinearSystemPolynomialPackage| *5 *6 *7 *8))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *13)) (|ofCategory| *13 (|DesingTreeCategory| *12)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) *2)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14))))) 
-(((*1 *1) (|ofCategory| *1 (|FiniteFieldCategory|))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |primelt| *5) (|:| |poly| (|List| (|SparseUnivariatePolynomial| *5))) (|:| |prim| (|SparseUnivariatePolynomial| *5)))) (|isDomain| *1 (|FunctionSpacePrimitiveElement| *4 *5)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |primelt| *3) (|:| |pol1| (|SparseUnivariatePolynomial| *3)) (|:| |pol2| (|SparseUnivariatePolynomial| *3)) (|:| |prim| (|SparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|FunctionSpacePrimitiveElement| *4 *3)) (|ofCategory| *3 (|AlgebraicallyClosedField|)) (|ofCategory| *3 (|FunctionSpace| *4)))) ((*1 *2 *3 *4 *3 *4) (AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |coef1| (|Integer|)) (|:| |coef2| (|Integer|)) (|:| |prim| (|SparseUnivariatePolynomial| *5)))) (|isDomain| *1 (|PrimitiveElement| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| *5))) (|:| |prim| (|SparseUnivariatePolynomial| *5)))) (|isDomain| *1 (|PrimitiveElement| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Polynomial| *6))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| *6))) (|:| |prim| (|SparseUnivariatePolynomial| *6)))) (|isDomain| *1 (|PrimitiveElement| *6))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1 *2 *1 *1 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *1 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
-(((*1 *2 *3 *3 *4 *5 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *5 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *6 *7 *4)) (|ofCategory| *9 (|RegularTriangularSetCategory| *6 *7 *4 *8)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|Record| (|:| |val| *8) (|:| |tower| *9)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *6 *7 *4 *8 *9))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *4))) (|isDomain| *1 (|CommonDenominator| *4 *5 *3)) (|ofCategory| *3 (|FiniteLinearAggregate| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|isDomain| *2 (|Record| (|:| |num| *6) (|:| |den| *4))) (|isDomain| *1 (|InnerCommonDenominator| *4 *5 *6 *3)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |num| (|Matrix| *4)) (|:| |den| *4))) (|isDomain| *1 (|MatrixCommonDenominator| *4 *5)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Record| (|:| |eq| *7) (|:| |rh| (|List| (|Fraction| *6))))) (|isDomain| *1 (|PrimitiveRatDE| *5 *6 *7 *3)) (|isDomain| *4 (|List| (|Fraction| *6))) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *6))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *4))) (|isDomain| *1 (|UnivariatePolynomialCommonDenominator| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|ComplexCategory| *6)) (|ofCategory| (|Polynomial| *6) (|PatternMatchable| *5)) (|ofCategory| *6 (|Join| (|PatternMatchable| *5) (|CommutativeRing|))) (|isDomain| *1 (|ComplexPatternMatch| *5 *6 *3)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *2 (|PatternMatchResult| *4 *1)) (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *1 (|PatternMatchable| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *6)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Join| (|SetCategory|) (|RetractableTo| *3))) (|ofCategory| *3 (|PatternMatchable| *5)) (|isDomain| *1 (|PatternMatchPushDown| *5 *3 *6)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|ConvertibleTo| *4) (|PatternMatchable| *5) (|RetractableTo| (|Kernel| $)))) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|PatternMatchable| *5))) (|isDomain| *1 (|PatternMatchFunctionSpace| *5 *6 *3)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| (|Integer|) *3)) (|isDomain| *4 (|Pattern| (|Integer|))) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *1 (|PatternMatchIntegerNumberSystem| *3)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *6)) (|isDomain| *3 (|Kernel| *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|RetractableTo| (|Kernel| $)) (|ConvertibleTo| *4) (|PatternMatchable| *5))) (|isDomain| *4 (|Pattern| *5)) (|isDomain| *1 (|PatternMatchKernel| *5 *6)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchListResult| *5 *6 *3)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|PatternMatchable| *5)) (|ofCategory| *3 (|ListAggregate| *6)) (|isDomain| *1 (|PatternMatchListAggregate| *5 *6 *3)))) ((*1 *2 *3 *4 *2 *5) (AND (|isDomain| *5 (|Mapping| (|PatternMatchResult| *6 *3) *8 (|Pattern| *6) (|PatternMatchResult| *6 *3))) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|PatternMatchResult| *6 *3)) (|isDomain| *4 (|Pattern| *6)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *3 (|Join| (|PolynomialCategory| *9 *7 *8) (|ConvertibleTo| *4))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|Join| (|Ring|) (|OrderedSet|) (|PatternMatchable| *6))) (|isDomain| *1 (|PatternMatchPolynomialCategory| *6 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|Join| (|PolynomialCategory| *8 *6 *7) (|ConvertibleTo| *4))) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *7 (|PatternMatchable| *5)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|Join| (|Ring|) (|OrderedSet|) (|PatternMatchable| *5))) (|isDomain| *1 (|PatternMatchPolynomialCategory| *5 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|QuotientFieldCategory| *6)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|PatternMatchable| *5) (|ConvertibleTo| *4))) (|isDomain| *4 (|Pattern| *5)) (|isDomain| *1 (|PatternMatchQuotientFieldCategory| *5 *6 *3)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *1 (|PatternMatchSymbol| *5)))) ((*1 *2 *3 *4 *5 *2 *6) (AND (|isDomain| *4 (|List| (|Pattern| *7))) (|isDomain| *5 (|Mapping| *9 (|List| *9))) (|isDomain| *6 (|Mapping| (|PatternMatchResult| *7 *9) *9 (|Pattern| *7) (|PatternMatchResult| *7 *9))) (|ofCategory| *7 (|SetCategory|)) (|ofCategory| *9 (|Join| (|Ring|) (|ConvertibleTo| (|Pattern| *7)) (|RetractableTo| *8))) (|isDomain| *2 (|PatternMatchResult| *7 *9)) (|isDomain| *3 (|List| *9)) (|ofCategory| *8 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|PatternMatchTools| *7 *8 *9))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *6 (|Boolean|)) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *7))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| *3)) (|:| |f2| (|List| (|OrderedCompletion| *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|ElementaryFunctionDefiniteIntegration| *7 *3)) (|isDomain| *5 (|OrderedCompletion| *3))))) 
-(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|GraphImage|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|))))) 
 (((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Kernel| *5)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|RetractableTo| (|Integer|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|SparseUnivariatePolynomial| *5)) (|isDomain| *1 (|AlgebraicFunction| *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Kernel| *1)) (|ofCategory| *1 (|Ring|)) (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *1))))) 
-(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
-(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|)))) ((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE)))) (|isDomain| *8 (|FileName|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *4) (|partial| AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *3 *4) (|partial| AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *6 (|PolynomialCategory| *2 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *9)) (|ofCategory| *10 (|DivisorCategory| *4)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *2 *5 *6 *7 *8 *9 *4 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Integer|)) (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *6 *2)) (|ofCategory| *6 (|Type|)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|SegmentBinding| *1)) (|ofCategory| *1 (|CombinatorialOpsCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|CombinatorialOpsCategory|)) (|isDomain| *2 (|Symbol|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|GradedAlgebra| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|))))) 
-(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
-(((*1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |resultantReduit| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| "left" "center" "right" "vertical" "horizontal")) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|DirectProductCategory| *8 (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|NewtonPolygon| *6 *3 *7 *8)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *6 *7))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Fraction| *3))) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stream| *4))))) 
-(((*1 *2 *3 *4 *2 *2 *2 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *6 *2))))) 
-(((*1 *1 *1) (|isDomain| *1 (|Switch|))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|d02AgentsPackage|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|PartialDifferentialRing| *5)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *6 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *6)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|SymbolTable|))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|IntegerFactorizationPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|PolynomialSquareFree| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Fraction| *7)))) (|isDomain| *1 (|SupFractionFactorizer| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| *7))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|UniqueFactorizationDomain|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|UnivariatePolynomialSquareFree| *4 *3)) (|ofCategory| *3 (|Join| (|UnivariatePolynomialCategory| *4) (|IntegralDomain|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *4 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|)))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *1 (|PointCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *1 (|MappingPackageInternalHacks2| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|))))) 
-(((*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PlottablePlaneCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|)))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *1 (|MappingPackageInternalHacks2| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
-(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LyndonWord| *3))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|List| (|Integer|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|List| (|Integer|)))))) 
-(((*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|))))) 
-(((*1 *2 *3 *4 *5 *3 *6 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Complex| (|DoubleFloat|))) (|isDomain| *6 (|String|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|OpenMathEncoding|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|DesingTreeCategory| *3)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|DesingTreeCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|DesingTreeCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|Tree| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Tree| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|Tree| *2))) (|isDomain| *1 (|Tree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Boolean|) (|BasicOperator|) (|BasicOperator|))) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1 *4) (AND (|isDomain| *4 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *3)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|IntegralDomain|)))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Matrix| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|EuclideanModularRing| *3 *4 *2 *5 *6 *7)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofType| *5 (|Mapping| *4 *4 *2)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2)) (|ofType| *7 (|Mapping| (|Union| *4 "failed") *4 *4 *2)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|ModularField| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|Mapping| *3 *3 *2)) (|ofType| *5 (|Mapping| (|Union| *2 "failed") *2 *2)) (|ofType| *6 (|Mapping| (|Union| *3 "failed") *3 *3 *2)))) ((*1 *2) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|ModularRing| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|Mapping| *3 *3 *2)) (|ofType| *5 (|Mapping| (|Union| *2 "failed") *2 *2)) (|ofType| *6 (|Mapping| (|Union| *3 "failed") *3 *3 *2)))) ((*1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RandomNumberSource|))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|IndexedBits| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
-(((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|))))) 
-(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
-(((*1 *2 *2 *2 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|Kernel| *2)) (|isDomain| *4 (|Mapping| (|Union| *2 "failed") *2 *2 (|Symbol|))) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|PureAlgebraicIntegration| *5 *2 *6)) (|ofCategory| *6 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|))) ((*1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|)))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Integer|)))) (|isDomain| *1 (|CyclotomicPolynomialPackage|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *3 *4 *4 *5 *4 *4 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *1 (|SplittingNode| *3 *2)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *12)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfClsPt| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *2 (|Complex| *5)) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *5 *3)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *3 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1) (|isDomain| *1 (|SubSpaceComponentProperty|))) ((*1 *1 *2 *2 *2) (AND (|isDomain| *2 (|String|)) (|ofCategory| *1 (|FileNameCategory|)))) ((*1 *1) (|isDomain| *1 (|ScriptFormulaFormat|))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PatternMatchListResult| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|ListAggregate| *3)))) ((*1 *1) (AND (|isDomain| *1 (|PatternMatchResult| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1) (|isDomain| *1 (|Symbol|))) ((*1 *1) (|isDomain| *1 (|Symbol|))) ((*1 *1) (|isDomain| *1 (|TexFormat|)))) 
-(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| *4))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *1 (|DrawOptionFunctions1| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *3 *2) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4 *5) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4 *5 *6) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Factored| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *5 *2)) (|ofCategory| *5 (|Ring|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|DifferentialVariableCategory| *3)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Union| "nil" "sqfr" "irred" "prime")) (|isDomain| *1 (|Factored| *4)) (|ofCategory| *4 (|IntegralDomain|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Permutation| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|RepresentationPackage1| *5)) (|ofCategory| *5 (|Ring|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|RepresentationPackage1| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Permutation| (|Integer|)))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|Matrix| *4))) (|isDomain| *1 (|RepresentationPackage1| *5)) (|ofCategory| *5 (|Ring|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Integer|)))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|RepresentationPackage1| *4)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7))))) (|ofCategory| *7 (|OrderedRing|)) (|ofCategory| *8 (|Join| (|UnivariatePowerSeriesCategory| *3 *7) (|Field|) (|TranscendentalFunctionCategory|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $)) (SIGNATURE |integrate| ($ $))))) (|isDomain| *2 (|Union| (|:| |%series| *8) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|)))))) (|isDomain| *1 (|FunctionSpaceToUnivariatePowerSeries| *6 *3 *7 *8 *9 *10)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PartialTranscendentalFunctions| *8)) (|ofType| *10 (|Symbol|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|ExpressionSpace|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Kernel| *1))) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Equation| *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Equation| *1)) (|ofCategory| *1 (|ExpressionSpace|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|Vector| (|MachineFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *2 (|FiniteFieldCategory|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModMonic| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *4 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *9 (|PlacesCategory| *5 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DesingTreeCategory| *11)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *4 *7 *3 *8 *9 *10 *11 *2 *12)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *5 *6 *4 *7 *3 *8 *9 *10 *12))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (|Integer|)))) (|ofCategory| *4 (|Join| (|UnivariatePolynomialCategory| *3) (|IntegralDomain|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $))))) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|UnivariatePolynomialSquareFree| *3 *4))))) 
-(((*1 *2 *2 *2 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *4))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *7 (|QuotientFieldCategory| *4)) (|ofCategory| *2 (|MatrixCategory| *7 *8 *9)) (|isDomain| *1 (|InnerMatrixQuotientFieldFunctions| *4 *5 *6 *3 *7 *8 *9 *2)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *7)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *1 *1) (|partial| AND (|isDomain| *1 (|Matrix| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|SquareMatrixCategory| *2 *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *2 *3)) (|ofCategory| *5 (|DirectProductCategory| *2 *3)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *3))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Multiset| *3)))) ((*1 *1 *2) (AND (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|List| *3)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |ans| (|Fraction| *5)) (|:| |nosol| (|Boolean|)))) (|isDomain| *1 (|TranscendentalRischDE| *4 *5)) (|isDomain| *3 (|Fraction| *5))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
-(((*1 *2 *3 *2 *3) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *2 *4 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *2 *3 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *2 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|SymbolTable|)))) ((*1 *2 *3 *2 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *1 (|SymbolTable|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Float|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| (|WuWenTsunTriangularSet| *4 *5 *6 *7))) (|isDomain| *1 (|WuWenTsunTriangularSet| *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *9)) (|isDomain| *4 (|Mapping| (|Boolean|) *9 *9)) (|isDomain| *5 (|Mapping| *9 *9 *9)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|List| (|WuWenTsunTriangularSet| *6 *7 *8 *9))) (|isDomain| *1 (|WuWenTsunTriangularSet| *6 *7 *8 *9))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |%expansion| (|ExponentialExpansion| *5 *3 *6 *7)) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|)))))) (|isDomain| *1 (|FunctionSpaceToExponentialExpansion| *5 *3 *6 *7)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofType| *6 (|Symbol|)) (|ofType| *7 *3)))) 
-(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *3)))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|InternalRationalUnivariateRepresentationPackage| *5 *6 *7 *8 *3)) (|ofCategory| *3 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|RationalUnivariateRepresentationPackage| *5 *6)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *4)) (|:| |coordinates| (|List| (|Polynomial| *4)))))) (|isDomain| *1 (|RationalUnivariateRepresentationPackage| *4 *5)) (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofType| *5 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|RationalUnivariateRepresentationPackage| *5 *6)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|)))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
-(((*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *2 *2) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|UniversalSegment| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|EuclideanDomain|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|NonCommutativeOperatorDivision| *3 *4)) (|ofCategory| *3 (|MonogenicLinearOperator| *4)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Tableau| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|ComplexRootPackage| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| (|Integer|)))) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4))))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |poly| *3) (|:| |mult| *5))) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *3))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PolynomialInterpolationAlgorithms| *4 *2))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|e04AgentsPackage|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|isDomain| *2 (|Record| (|:| |particular| *4) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|ConstantLODE| *6 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|Product| *2 *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Result|))))) 
-(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Boolean|)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *7 *8 *9)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *7 *8 *9 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Boolean|)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *7 *8 *9)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *7 *8 *9 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *7 *8 *9 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|Logic|))) ((*1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|StringAggregate|)))) 
-(((*1 *2 *3 *4 *3 *4 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *2 *1 *2 *3) (|partial| AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|RoutinesTable|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *3 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *3 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|GuessFiniteFunctions| *3)) (|ofCategory| *3 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|))))))) 
-(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|)))) ((*1 *2 *3 *4 *4 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|Float|))) (|isDomain| *5 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GnuDraw|))))) 
-(((*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *2 (|FunctionSpace| *3)) (|isDomain| *1 (|AlgebraicFunction| *3 *2)) (|ofCategory| *3 (|RetractableTo| *4)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|DirectProductCategory| *3 *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|Type|)))) ((*1 *1 *2) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *2) (|:| |exponent| *5)) (|Record| (|:| |index| *2) (|:| |exponent| *5)))) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *2 *5 *6 *7)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 (|OrderedVariableList| *3))))) ((*1 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|d03AgentsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (|partial| AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
-(((*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *1 *2 *2) (AND (|isDomain| *1 (|ParametricPlaneCurve| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|ParametricSpaceCurve| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Polynomial| *3))) (|ofCategory| *3 (|GcdDomain|)) (|isDomain| *1 (|FGLMIfCanPackage| *3 *4)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|String|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerPackage| *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|String|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerPackage| *4 *5 *6 *7)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *3 *5 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|InterfaceGroebnerPackage| *3 *4 *5 *6 *7)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|NewSparseMultivariatePolynomial| *3 (|OrderedVariableList| *4)))) (|ofCategory| *3 (|GcdDomain|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|LexTriangularPackage| *3 *4))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *5 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *3) (|:| |radicand| *6))) (|isDomain| *1 (|ChangeOfVariable| *5 *6 *7)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3))))) 
-(((*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|Complex| *5)))) (|isDomain| *1 (|FloatingComplexPackage| *5)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|)))))))))) (|isDomain| *1 (|SymbolTable|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|EuclideanGroebnerBasisPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|String|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|EuclideanGroebnerBasisPackage| *4 *5 *6 *7)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|String|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|EuclideanGroebnerBasisPackage| *4 *5 *6 *7))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Algebra| *2)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
-(((*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| APROD)))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp34| MSOLVE)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
-(((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| (|Kernel| *1)) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *4)))) ((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| (|Kernel| *1)) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *4)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|SemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| (|Kernel| *1)) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |val| (|Pattern| *3)) (|:| |exponent| (|NonNegativeInteger|)))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |var| *5) (|:| |exponent| (|NonNegativeInteger|)))))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Record| (|:| |var| *5) (|:| |exponent| (|Integer|)))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|BasicFunctions|))))) 
-(((*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|List| (|List| (|List| *5)))) (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *5))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|List| (|List| *4)))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| (|List| *4)))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp30| APROD)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
-(((*1 *2 *3 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Union| *3 (|List| *1))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|AbelianSemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|TopLevelDrawFunctionsForCompiledFunctions|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|SymmetricFunctions| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|SymmetricFunctions| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|CartesianTensor| *5 *6 *7)) (|ofType| *5 (|Integer|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|CommutativeRing|)) (|ofCategory| *8 (|CommutativeRing|)) (|isDomain| *2 (|CartesianTensor| *5 *6 *8)) (|isDomain| *1 (|CartesianTensorFunctions2| *5 *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *9)) (|ofCategory| *9 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *2 (|PolynomialCategory| *9 *7 *5)) (|isDomain| *1 (|MPolyCatFunctions2| *5 *6 *7 *8 *9 *4 *2)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *8 *6 *5))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
-(((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *2 *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|SquareMatrix| *2 *3)) (|ofType| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
-(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *3 (|IntegralDomain|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3 *4 *4 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|Record| (|:| |lcmfij| *6) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *4) (|:| |polj| *4))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *4))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *3 (|FreeGroup| (|BasicOperator|))) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *4)) (|ofCategory| *4 (|LeftModule| *2)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|FreeGroup| (|BasicOperator|))) (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3))))) 
-(((*1 *2 *3 *4 *5 *6 *5 *3 *7) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|)))) (|isDomain| *7 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|)))) ((*1 *2 *3 *4 *5 *6 *5 *3 *7 *3 *3 *3 *3 *3 *3 *3) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Record| (|:| |try| (|Float|)) (|:| |did| (|Float|)) (|:| |next| (|Float|)))) (|isDomain| *7 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| (|Point| *4))) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *6) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *6)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *7) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| *8) (|:| |order| (|NonNegativeInteger|)))) (|List| *6) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Field|)) (|ofType| *11 (|Mapping| *8 *6)) (|ofCategory| *9 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *10 (|Mapping| *6 *9)) (|isDomain| *2 (|List| (|Record| (|:| |function| *8) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *6 *7 *8 *9 *10 *11)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *9) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| *9) (|:| |order| (|NonNegativeInteger|)))) (|List| *7) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|Field|)) (|ofType| *12 (|Mapping| *9 *7)) (|ofCategory| *10 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *11 (|Mapping| *7 *10)) (|isDomain| *2 (|List| (|Record| (|:| |function| *9) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *7 *8 *9 *10 *11 *12)) (|ofCategory| *8 (|GcdDomain|)) (|ofCategory| *9 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *10) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *6 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *6 (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *6 (|Integer|))))) (|ofType| *6 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *6 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *6)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *7 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *7 (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *7 (|Integer|))))) (|ofType| *7 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *7 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *7))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Cell| *4)) (|ofCategory| *4 (|RealClosedField|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|RealClosedField|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SimpleCell| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *2 *6 *7)) (|ofCategory| *6 (|DirectProductCategory| *5 *2)) (|ofCategory| *7 (|DirectProductCategory| *4 *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|SquareMatrix| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|QuadraticForm| *3 *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Partition|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 *5))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *3 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *5)) *4 *3)))) ((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|isDomain| *1 (|PushVariables| *4 *5 *3 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|PushVariables| *4 *5 *6 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *6))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|FractionalIdeal| *3 *4 *5 *6)) (|ofCategory| *6 (|RetractableTo| *4)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|FramedAlgebra| *4 *5)) (|ofType| *7 (|Vector| *6)) (|isDomain| *1 (|FramedModule| *3 *4 *5 *6 *7)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *6)) (|ofCategory| *6 (|FramedAlgebra| *4 *5)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|FramedModule| *3 *4 *5 *6 *7)) (|ofType| *7 *2)))) 
-(((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *1)) (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3))))) 
-(((*1 *1) (|isDomain| *1 (|ODEIntensityFunctionsTable|)))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|)))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|e04AgentsPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |const| *3) (|:| |nconst| *3))) (|isDomain| *1 (|PatternMatchIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|SubSpace| 3 *3)))) ((*1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |val| *1) (|:| |exponent| (|Integer|)))) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |val| (|Pattern| *3)) (|:| |exponent| (|Pattern| *3)))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Record| (|:| |val| *3) (|:| |exponent| (|Integer|)))) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *2 *2 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *2 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|EuclideanDomain|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9)) (|isDomain| *5 (|NonNegativeInteger|))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
-(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|ofCategory| *3 (|CommutativeRing|))))) 
-(((*1 *2 *3 *2 *4 *5) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *1 (|GeneralHenselPackage| *4 *3))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *1 (|PolyGroebner| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|UniversalSegment| (|Integer|))) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))))) ((*1 *2) (|partial| AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *2 *5)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *2 *5)))) ((*1 *2) (|partial| AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *2 *4)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Table| (|StochasticDifferential| *3) (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|DoubleFloat|)))) (|isDomain| *1 (|Plot3D|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|NonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *2 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *2 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *5 *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *5 *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|))))) 
-(((*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *2 *3 *4)) (|ofCategory| *2 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|GcdDomain|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *2 *2 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|SubResultantPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|BasicType|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| (|Boolean|) *8 *8)) (|isDomain| *4 (|Mapping| *8 *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (|isDomain| *1 (|IntegrationFunctionsTable|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| (|List| *7) *7 (|SparseUnivariatePolynomial| *7))) (|isDomain| *5 (|Mapping| (|Factored| *7) *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |frac| (|Fraction| *7)) (|:| |eq| *3)))) (|isDomain| *1 (|PrimitiveRatRicDE| *6 *7 *3 *8)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *7)) (|ofCategory| *8 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *7))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |frac| (|Fraction| *6)) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6)))))) (|isDomain| *1 (|RationalRicDE| *5 *6)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6)))))) 
-(((*1 *1 *1) (AND (|ofCategory| *2 (|EuclideanDomain|)) (|ofCategory| *3 (|QuotientFieldCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|FractionalIdeal| *2 *3 *4 *5)) (|ofCategory| *5 (|Join| (|FramedAlgebra| *3 *4) (|RetractableTo| *3)))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ExtAlgBasis|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *8)) (|isDomain| *4 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *7 *5 *6)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|Ring|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|FactoringUtilities| *5 *6 *7 *8)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|GradedModule| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|AbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|LaurentPolynomial| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 *2)) (|ofType| *7 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *5 *3 *6 *7)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *5 *6)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *3 *2 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SetCategoryWithDegree|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XPolynomialsCat| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
-(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| (|List| *6))) (|isDomain| *1 (|GenExEuclid| *4 *6)) (|isDomain| *5 (|List| *6))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d01AgentsPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|Logic|))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|RealNumberSystem|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|isDomain| *2 (|Record| (|:| |r| *3) (|:| |phi| *3)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |f1| (|List| *4)) (|:| |f2| (|List| (|List| (|List| *4)))) (|:| |f3| (|List| (|List| *4))) (|:| |f4| (|List| (|List| (|List| *4)))))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| (|List| (|List| *4))))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |cont| *5) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|DistinctDegreeFactorize| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
-(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|Logic|))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Polynomial| *5)) (|isDomain| *1 (|PolToPol| *4 *5))))) 
-(((*1 *2 *3 *4 *5 *6) (|partial| AND (|isDomain| *4 (|Mapping| *8 *8)) (|isDomain| *5 (|Mapping| (|Record| (|:| |ans| *7) (|:| |right| *7) (|:| |sol?| (|Boolean|))) (|Integer|) *7)) (|isDomain| *6 (|List| (|Fraction| *8))) (|ofCategory| *7 (|Field|)) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7)) (|isDomain| *3 (|Fraction| *8)) (|isDomain| *2 (|Record| (|:| |answer| (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (|isDomain| *1 (|TranscendentalIntegration| *7 *8))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| (|Vector| (|Integer|)))) (|isDomain| *1 (|GrayCode|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *1 *1 *3) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *3 (|Character|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Set| (|Symbol|))) (|isDomain| *1 (|ApplicationProgramInterface|)) (|isDomain| *3 (|Symbol|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UTSodetools| *4 *5 *6 *2)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Any|)) (|isDomain| *1 (|AnyFunctions1| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| *2)) (|ofType| *4 (|List| *2)) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| *5)) (|ofCategory| *5 (|FortranMachineTypeCategory|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Matrix| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Expression| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Vector| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *5 (|FiniteAlgebraicExtensionField| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|NormRetractPackage| *4 *5 *6 *3 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofType| *7 (|PositiveInteger|)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|RetractableTo| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (|partial| OR (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|not| (|ofCategory| *3 (|Algebra| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|IntegerNumberSystem|))) (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|QuotientFieldCategory| (|Integer|)))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) ((*1 *1 *2) (|partial| OR (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (AND (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Complex| *3)))))) 
-(((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|EuclideanDomain|))) ((*1 *1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|NonLinearSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|NonLinearSolvePackage| *4)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *7)) (|isDomain| *5 (|Mapping| (|Record| (|:| |particular| (|Union| *6 "failed")) (|:| |basis| (|List| *6))) *7 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| *6) "failed")) (|:| |basis| (|List| (|Vector| *6))))) (|isDomain| *1 (|SystemODESolver| *6 *7)) (|isDomain| *4 (|Vector| *6))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|BasicStochasticDifferential|))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |discriminant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerRoots| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
-(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|EuclideanDomain|))) ((*1 *1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| *3)) (|:| |logand| (|SparseUnivariatePolynomial| *3))))) (|isDomain| *1 (|IntegrationResult| *3)) (|ofCategory| *3 (|Field|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *3)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|DrawComplex|))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|PrecomputedAssociatedEquations| *5 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|LinGroebnerPackage| *5 *6))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| "skip" "MonteCarlo" "deterministic")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| "skip" "MonteCarlo" "deterministic")) (|isDomain| *1 (|GuessOption|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *6)) (|:| |exponent| (|Integer|))))) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|Comparable|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *5 (|PatternMatchable| (|Integer|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |special| *3) (|:| |integrand| *3))) (|isDomain| *1 (|PatternMatchIntegration| *5 *3)) (|ofCategory| *3 (|LiouvillianFunctionCategory|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
-(((*1 *2 *3 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|EuclideanDomain|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Mapping| (|Void|) (|SExpression|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AxiomServer|))))) 
-(((*1 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3))))) 
-(((*1 *2 *3 *4 *5 *5 *2) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|Polynomial| *6)) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|OrderedCompletion| *7)) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *7 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *6))) (|isDomain| *1 (|DefiniteIntegrationTools| *6 *7)))) ((*1 *2 *3 *4 *4 *2) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|SparseUnivariatePolynomial| *6)) (|isDomain| *4 (|OrderedCompletion| *6)) (|ofCategory| *6 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|DefiniteIntegrationTools| *5 *6))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Expression| (|Fraction| (|Integer|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|StringAggregate|)))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Complex| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|isDomain| *1 (|d01AgentsPackage|))))) 
-(((*1 *1) (|ofCategory| *1 (|AbelianMonoid|))) ((*1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3)) (|isDomain| *1 (|MappingPackage1| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|FunctionSpace| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|isDomain| *1 (|FunctionSpaceUnivariatePolynomialFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *2)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *2 (|FunctionSpace| *5)) (|isDomain| *1 (|AlgebraicFunction| *5 *2)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *2 *3) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *1 *2 *3 *4) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|OutputForm|)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *1 *2 *3) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|LiePolynomial| *4 *5))) (|isDomain| *1 (|LieExponentials| *4 *5 *6)) (|ofCategory| *5 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *6 (|PositiveInteger|))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *3 *2 *4 *5)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *3 *4))))) 
-(((*1 *1 *2 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
-(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |points| (|NonNegativeInteger|)) (|:| |curves| (|NonNegativeInteger|)) (|:| |polygons| (|NonNegativeInteger|)) (|:| |constructs| (|NonNegativeInteger|))))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|AxiomServer|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Database| (|IndexCard|))) (|isDomain| *1 (|OperationsQuery|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|isDomain| *1 (|e04AgentsPackage|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|FreeAbelianMonoidCategory| *4 *2)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|CancellationAbelianMonoid|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *1 (|HeuGcd| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Polynomial| *5)) (|isDomain| *1 (|PolToPol| *4 *5))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|OutputForm|) (|OutputForm|))) (|isDomain| *1 (|BasicOperator|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|OutputForm|) (|List| (|OutputForm|)))) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Mapping| (|OutputForm|) (|List| (|OutputForm|)))) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Database| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| (*2 $)) (SIGNATURE |fullDisplay| (*2 $))))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IndexCard|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|MathMLFormat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TexFormat|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TexFormat|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1) (|isDomain| *1 (|Character|)))) 
-(((*1 *1 *1 *1) (|partial| AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *6)))) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|DictionaryOperations| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|DictionaryOperations| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *3 *1) (|partial| AND (|ofCategory| *1 (|KeyedDictionary| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|Multiset| *4)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|PlacesCategory| *5 *8)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *5 *6 *4 *7 *3 *8 *2)) (|ofCategory| *4 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *5))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ToolsForSign| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2) (|partial| AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Record| (|:| |particular| *1) (|:| |basis| (|List| *1)))) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)))) ((*1 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |particular| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|:| |basis| (|List| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6))))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4))))))) (|isDomain| *3 (|List| *7)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3 *1 *4) (AND (|isDomain| *3 (|SplittingNode| *5 *6)) (|isDomain| *4 (|Mapping| (|Boolean|) *6 *6)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *6 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingTree| *5 *6))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|GraphImage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|Void|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|List| (|Float|))) (|isDomain| *5 (|List| (|OrderedCompletion| (|Float|)))) (|isDomain| *6 (|List| (|Expression| (|Float|)))) (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *5 (|List| (|OrderedCompletion| (|Float|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Expression| (|Float|)))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
-(((*1 *1 *1) (|isDomain| *1 (|AlgebraicNumber|))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|OneDimensionalArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|OneDimensionalArrayFunctions2| *5 *2)))) ((*1 *2 *3 *1 *2 *2) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|ofCategory| *2 (|SetCategory|)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3 *1 *2) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |pol| (|SparseUnivariatePolynomial| *4)) (|:| |deg| (|PositiveInteger|)))) (|isDomain| *1 (|DegreeReductionPackage| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|))))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *6 *2)) (|isDomain| *4 (|DirectProduct| *5 *6)) (|ofType| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|DirectProductFunctions2| *5 *6 *2)))) ((*1 *1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *4 *2 *3 *5 *6 *7)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *2 *2 *3)) (|ofType| *6 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *7 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Expression| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|ofCategory| *5 (|FunctionFieldCategory| *2 *3 *4)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateFunctions2| *5 *4 *2 *6)) (|ofCategory| *4 (|FiniteLinearAggregate| *5)) (|ofCategory| *6 (|FiniteLinearAggregate| *2)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|FiniteSetAggregateFunctions2| *5 *4 *2 *6)) (|ofCategory| *4 (|FiniteSetAggregate| *5)) (|ofCategory| *6 (|FiniteSetAggregate| *2)))) ((*1 *1 *1) (|isDomain| *1 (|InnerAlgebraicNumber|))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListFunctions2| *5 *2)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|ofCategory| *8 (|FiniteLinearAggregate| *2)) (|ofCategory| *9 (|FiniteLinearAggregate| *2)) (|isDomain| *1 (|MatrixCategoryFunctions2| *5 *6 *7 *4 *2 *8 *9 *10)) (|ofCategory| *4 (|MatrixCategory| *5 *6 *7)) (|ofCategory| *10 (|MatrixCategory| *2 *8 *9)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|ModularField| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|MonogenicAlgebra| *3 *4)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|PlacesCategory| *4 *5)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Divisor| *1)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|PrimitiveArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|PrimitiveArrayFunctions2| *5 *2)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|ResidueRing| *3 *4 *5 *2 *6)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)) (|ofType| *6 (|List| *2)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *7 *2)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *2 (|Ring|)) (|ofType| *5 (|NonNegativeInteger|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *8 (|DirectProductCategory| *6 *7)) (|ofCategory| *9 (|DirectProductCategory| *5 *7)) (|ofCategory| *10 (|DirectProductCategory| *6 *2)) (|ofCategory| *11 (|DirectProductCategory| *5 *2)) (|isDomain| *1 (|RectangularMatrixCategoryFunctions2| *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (|ofCategory| *4 (|RectangularMatrixCategory| *5 *6 *7 *8 *9)) (|ofCategory| *12 (|RectangularMatrixCategory| *5 *6 *2 *10 *11)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|Stream| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|StreamFunctions2| *5 *2)))) ((*1 *2 *2 *1 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|isDomain| *4 (|Mapping| (|Boolean|) *2 *2)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *2)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *5 *6 *7)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|VectorFunctions2| *5 *2))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinesOpPack| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Kernel| *6)) (|ofCategory| *6 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| *6)))) (|isDomain| *1 (|GenusZeroIntegration| *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| AND (|isDomain| *4 (|SparseUnivariatePolynomial| *11)) (|isDomain| *6 (|List| *10)) (|isDomain| *7 (|List| (|NonNegativeInteger|))) (|isDomain| *8 (|List| *11)) (|ofCategory| *10 (|OrderedSet|)) (|ofCategory| *11 (|EuclideanDomain|)) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|PolynomialCategory| *11 *9 *10)) (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|MultivariateSquareFree| *9 *10 *11 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|ResidueRing| *3 *4 *5 *2 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofType| *6 (|List| *2))))) 
-(((*1 *2 *3 *4 *2 *5 *6) (AND (|isDomain| *5 (|Record| (|:| |done| (|List| *11)) (|:| |todo| (|List| (|Record| (|:| |val| *3) (|:| |tower| *11)))))) (|isDomain| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *10)) (|:| |tower| *11)))) (|isDomain| *3 (|List| *10)) (|isDomain| *4 (|List| *11)) (|ofCategory| *10 (|RecursivePolynomialCategory| *7 *8 *9)) (|ofCategory| *11 (|RegularTriangularSetCategory| *7 *8 *9 *10)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *7 *8 *9 *10 *11)))) ((*1 *2 *3 *4 *2 *5 *6) (AND (|isDomain| *5 (|Record| (|:| |done| (|List| *11)) (|:| |todo| (|List| (|Record| (|:| |val| *3) (|:| |tower| *11)))))) (|isDomain| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *10)) (|:| |tower| *11)))) (|isDomain| *3 (|List| *10)) (|isDomain| *4 (|List| *11)) (|ofCategory| *10 (|RecursivePolynomialCategory| *7 *8 *9)) (|ofCategory| *11 (|SquareFreeRegularTriangularSetCategory| *7 *8 *9 *10)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|OrderedSet|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *7 *8 *9 *10 *11))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *1 (|PlacesCategory| *4 *5)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Void|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|CombinatorialFunctionCategory|))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Float|)) (|isDomain| *1 (|RoutinesTable|))))) 
-(((*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|SymbolTable|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|List| (|List| *3))))) ((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlane| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *5 *6 *3 *7 *8)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|CyclotomicPolynomialPackage|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|NumberTheoreticPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *3) (|Finite|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerRetractions| *3)) (|ofCategory| *3 (|RetractableTo| (|Integer|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|List| (|List| *3))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|List| (|List| *5))))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|Tableau| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|DictionaryOperations| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *1) (|isDomain| *1 (|CharacterClass|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|SquareMatrix| *4 *2)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *2 (|Join| (|Ring|) (CATEGORY |package| (ATTRIBUTE (|commutative| "*"))))) (|isDomain| *1 (|Permanent| *4 *2))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| (|Symbol|))) (|isDomain| *3 (|Vector| (|GenericNonAssociativeAlgebra| *4 *5 *6 *7))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *4 *5 *6 *7)) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *5 (|PositiveInteger|)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|Vector| (|Matrix| *4))))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|GenericNonAssociativeAlgebra| *4 *5 *6 *7))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *4 *5 *6 *7)) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *5 (|PositiveInteger|)) (|ofType| *6 (|List| *2)) (|ofType| *7 (|Vector| (|Matrix| *4))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|GenericNonAssociativeAlgebra| *3 *4 *5 *6))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Symbol|))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| *2)) (|ofType| *6 (|Vector| (|Matrix| *3))))) ((*1 *1) (AND (|isDomain| *1 (|GenericNonAssociativeAlgebra| *2 *3 *4 *5)) (|ofCategory| *2 (|CommutativeRing|)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|Vector| (|Matrix| *2)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|OrderedCompletion| (|Float|))) (|isDomain| *2 (|OrderedCompletion| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingNode| *3 *2)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|PartialDifferentialRing| *6)) (|isDomain| *2 (|Matrix| *7)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *6 *7 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *7)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *6) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Palette|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *2 (|CharacteristicZero|)) (|ofCategory| *2 (|EuclideanDomain|)) (|ofCategory| *2 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|AlgebraicNumber|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|SimplifyAlgebraicNumberConvertPackage|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IndexedString| *3)) (|ofType| *3 *2))) ((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SetCategory|)) (|isDomain| *2 (|SingleInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FunctionSpaceReduce| *3 *4)) (|ofCategory| *4 (|FunctionSpace| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|CRApackage| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|List| (|List| *4))) (|isDomain| *2 (|List| *4)) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *1 (|CRApackage| *4)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| (|Record| (|:| |basis| (|Matrix| *7)) (|:| |basisDen| *7) (|:| |basisInv| (|Matrix| *7))))) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *7)) (|:| |basisDen| *7) (|:| |basisInv| (|Matrix| *7)))) (|isDomain| *1 (|ChineseRemainderToolsForIntegralBases| *6 *7 *8)))) ((*1 *2 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathPackage|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *12 (|DivisorCategory| *11)) (|ofCategory| *13 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *12 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *7 *8 *9 *10 *11 *12 *13 *3 *14)) (|ofCategory| *3 (|DesingTreeCategory| *13))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *1 (|Expression| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LyndonWord| *4))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *4 (|LeftModule| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *3 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Operator| *3))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|d03AgentsPackage|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|None|)) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *6)) (|ofCategory| *6 (|MatrixCategory| *3 *4 *5)))) ((*1 *2 *3 *3) (AND (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|ModularHermitianRowReduction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
-(((*1 *1) (|isDomain| *1 (|GraphImage|)))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *5 *3 *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|PolynomialCategory| *5 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *6)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *1 (|PolynomialGcdPackage| *4 *5 *6 *2)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|))))) 
-(((*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *2)) (|Record| (|:| |index| *5) (|:| |exponent| *2)))) (|ofCategory| *2 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *5 *2 *6 *7)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *2 (|OrderedVariableList| *3)))))) 
-(((*1 *2 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldSquareFreeDecomposition| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *1) (|isDomain| *1 (|CharacterClass|)))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|)) (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| *4)))))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |coef| *3) (|:| |monom| *4)))) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Stream| (|Record| (|:| |k| *4) (|:| |c| *3))))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |outval| *4) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| *4)))))) (|isDomain| *1 (|NumericRealEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *2 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|UniqueFactorizationDomain|)) (|isDomain| *1 (|ChangeOfVariable| *2 *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
-(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Fraction| *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|CycleIndicators|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|d02AgentsPackage|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Equation| *3))) (|ofCategory| *3 (|Evalable| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Equation| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Evalable| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|Equation| *2)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *1 *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *1 (|List| *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|BasicOperator|))) (|isDomain| *3 (|List| (|Mapping| *1 (|List| *1)))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|BasicOperator|))) (|isDomain| *3 (|List| (|Mapping| *1 *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Mapping| *1 *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Mapping| *1 (|List| *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Mapping| *1 (|List| *1)))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Mapping| *1 *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Equation| *3))) (|ofCategory| *1 (|Evalable| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Equation| *3)) (|ofCategory| *1 (|Evalable| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 (|Integer|))) (|isDomain| *4 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|EvaluateCycleIndicators| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|FreeLieAlgebra| *4 *5)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1 *1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Mapping| *1 *1)) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Mapping| *1 (|List| *1))) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|isDomain| *4 (|List| (|Mapping| *1 (|List| *1)))) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|isDomain| *4 (|List| (|Mapping| *1 *1))) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|BasicOperator|))) (|isDomain| *3 (|List| *1)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1 *2 *1 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *2 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *4) (AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *3 *4) (AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *6 (|PolynomialCategory| *2 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *9)) (|ofCategory| *10 (|DivisorCategory| *4)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *2 *5 *6 *7 *8 *9 *4 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *1 *1 *2 *3) (AND (|ofCategory| *1 (|InnerEvalable| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| *5)) (|ofCategory| *1 (|InnerEvalable| *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Type|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|OnePointCompletion| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|MoebiusTransform| *3)))) ((*1 *2 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|PermutationCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PolynomialPackageForCurve| *2 *3 *5 *6 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *2 *5)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *2)))) ((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *4)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *2 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *4)))) (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|has| *3 (SIGNATURE ** (*3 *3 *4))) (|isDomain| *2 (|Stream| *3))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|OpenMathEncoding|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|FractionFreeFastGaussian| *4 *5)) (|ofCategory| *5 (|AbelianMonoidRing| *4 *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|NumberFormats|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|List| (|Equation| *4))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|Product| *3 *2)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *5)) (|ofCategory| *5 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
-(((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |ratpart| *6) (|:| |coeff| *6)) "failed") *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Union| (|Record| (|:| |answer| (|Fraction| *7)) (|:| |a0| *6)) (|Record| (|:| |ratpart| (|Fraction| *7)) (|:| |coeff| (|Fraction| *7))) "failed")) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |unit| *1) (|:| |canonical| *1) (|:| |associate| *1))) (|ofCategory| *1 (|IntegralDomain|))))) 
-(((*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
-(((*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
-(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariateFormalPowerSeriesFunctions| *3))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|SubSpaceComponentProperty|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
-(((*1 *2 *3 *3 *3 *4 *5) (AND (|isDomain| *5 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| *4))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Union| (|:| |ans| (|Record| (|:| |ans| *3) (|:| |nosol| (|Boolean|)))) (|:| |eq| (|Record| (|:| |b| *3) (|:| |c| *3) (|:| |m| *4) (|:| |alpha| *3) (|:| |beta| *3))))) (|isDomain| *1 (|TranscendentalRischDE| *6 *3))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FlexibleArray| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofType| *4 (|Integer|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|))))) 
-(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) ((*1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|))))) 
-(((*1 *2 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|List| (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *2 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FunctionCalled| *3)) (|ofType| *3 *2))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RuleCalled| *3)) (|ofType| *3 *2))) ((*1 *1 *1) (|isDomain| *1 (|Symbol|)))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |normal| (|Factored| *3)) (|:| |special| (|Factored| *3)))) (|isDomain| *1 (|MonomialExtensionTools| *5 *3))))) 
-(((*1 *2 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *3)))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Integer|)) (|ofCategory| *6 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|LinearSystemFromPowerSeriesPackage| *5 *6))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1 *1) (|partial| AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *2 *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *3 *3 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *3 "failed") *3 *3 *4)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|ModularField| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *2 (|Record| (|:| |answer| *3) (|:| |logpart| *3))) (|isDomain| *1 (|AlgebraicHermiteIntegration| *5 *6 *7 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |answer| (|Fraction| *6)) (|:| |logpart| (|Fraction| *6)) (|:| |specpart| (|Fraction| *6)) (|:| |polypart| *6))) (|isDomain| *1 (|TranscendentalHermiteIntegration| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|Boolean|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|AbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *1 *2 *1 *1 *3) (AND (|isDomain| *2 (|Mapping| *3 *3 *3)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| *3 *3 *3)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OneDimensionalArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|OneDimensionalArray| *6)) (|isDomain| *1 (|OneDimensionalArrayFunctions2| *5 *6)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *8 *7)) (|isDomain| *4 (|CartesianTensor| *5 *6 *7)) (|ofType| *5 (|Integer|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|CommutativeRing|)) (|ofCategory| *8 (|CommutativeRing|)) (|isDomain| *2 (|CartesianTensor| *5 *6 *8)) (|isDomain| *1 (|CartesianTensorFunctions2| *5 *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Complex| *5)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|CommutativeRing|)) (|isDomain| *2 (|Complex| *6)) (|isDomain| *1 (|ComplexFunctions2| *5 *6)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Expression| *3) (|Expression| *3))) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *6)) (|isDomain| *4 (|DirectProduct| *5 *6)) (|ofType| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|isDomain| *2 (|DirectProduct| *5 *7)) (|isDomain| *1 (|DirectProductFunctions2| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Equation| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Equation| *6)) (|isDomain| *1 (|EquationFunctions2| *5 *6)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Equation| *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *2 *6)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Kernel| *6)) (|ofCategory| *6 (|ExpressionSpace|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ExpressionSpaceFunctions1| *6 *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *5)) (|isDomain| *4 (|Kernel| *5)) (|ofCategory| *5 (|ExpressionSpace|)) (|ofCategory| *2 (|ExpressionSpace|)) (|isDomain| *1 (|ExpressionSpaceFunctions2| *5 *2)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *1 *1)) (|isDomain| *3 (|Kernel| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Matrix| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|ExpertSystemToolsPackage2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Expression| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Expression| *6)) (|isDomain| *1 (|ExpressionFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *6)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *7 *5)) (|isDomain| *1 (|FiniteAbelianMonoidRingFunctions2| *5 *6 *4 *7 *2)) (|ofCategory| *4 (|FiniteAbelianMonoidRing| *6 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *9 *5)) (|isDomain| *4 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *9 (|Field|)) (|ofCategory| *10 (|UnivariatePolynomialCategory| *9)) (|ofCategory| *11 (|UnivariatePolynomialCategory| (|Fraction| *10))) (|isDomain| *2 (|FiniteDivisor| *9 *10 *11 *12)) (|isDomain| *1 (|FiniteDivisorFunctions2| *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *12 (|FunctionFieldCategory| *9 *10 *11)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|FullyEvalableOver| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *8 *5)) (|ofCategory| *5 (|UniqueFactorizationDomain|)) (|ofCategory| *8 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *9 (|UnivariatePolynomialCategory| *8)) (|ofCategory| *2 (|FunctionFieldCategory| *8 *9 *10)) (|isDomain| *1 (|FunctionFieldCategoryFunctions2| *5 *6 *7 *4 *8 *9 *10 *2)) (|ofCategory| *4 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *10 (|UnivariatePolynomialCategory| (|Fraction| *9))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *2 (|FiniteLinearAggregate| *6)) (|isDomain| *1 (|FiniteLinearAggregateFunctions2| *5 *4 *6 *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Factored| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *6)) (|isDomain| *1 (|FactoredFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Fraction| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| *6)) (|isDomain| *1 (|FractionFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *9 *5)) (|isDomain| *4 (|FractionalIdeal| *5 *6 *7 *8)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *6 (|QuotientFieldCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *8 (|Join| (|FramedAlgebra| *6 *7) (|RetractableTo| *6))) (|ofCategory| *9 (|EuclideanDomain|)) (|ofCategory| *10 (|QuotientFieldCategory| *9)) (|ofCategory| *11 (|UnivariatePolynomialCategory| *10)) (|isDomain| *2 (|FractionalIdeal| *9 *10 *11 *12)) (|isDomain| *1 (|FractionalIdealFunctions2| *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *12 (|Join| (|FramedAlgebra| *10 *11) (|RetractableTo| *10))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|CommutativeRing|)) (|ofCategory| *2 (|FramedNonAssociativeAlgebra| *6)) (|isDomain| *1 (|FramedNonAssociativeAlgebraFunctions2| *4 *5 *2 *6)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|Factored| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|Join| (|Ring|) (|OrderedSet|))) (|ofCategory| *6 (|Join| (|Ring|) (|OrderedSet|))) (|ofCategory| *2 (|FunctionSpace| *6)) (|isDomain| *1 (|FunctionSpaceFunctions2| *5 *4 *6 *2)) (|ofCategory| *4 (|FunctionSpace| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|FiniteSetAggregate| *6)) (|isDomain| *1 (|FiniteSetAggregateFunctions2| *5 *4 *6 *2)) (|ofCategory| *4 (|FiniteSetAggregate| *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|IndexedDirectProductCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|IntegrationResult| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|IntegrationResult| *6)) (|isDomain| *1 (|IntegrationResultFunctions2| *5 *6)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Union| (|Record| (|:| |ratpart| *5) (|:| |coeff| *5)) "failed")) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| |ratpart| *6) (|:| |coeff| *6))) (|isDomain| *1 (|IntegrationResultFunctions2| *5 *6)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| *2 *5)) (|isDomain| *4 (|Union| *5 "failed")) (|ofCategory| *5 (|Field|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|IntegrationResultFunctions2| *5 *2)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Union| (|Record| (|:| |mainpart| *5) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *5) (|:| |logand| *5))))) "failed")) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| |mainpart| *6) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *6) (|:| |logand| *6)))))) (|isDomain| *1 (|IntegrationResultFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|InfiniteTuple| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|InfiniteTuple| *6)) (|isDomain| *1 (|InfiniteTupleFunctions2| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|InfiniteTuple| *6)) (|isDomain| *5 (|InfiniteTuple| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|InfiniteTuple| *8)) (|isDomain| *1 (|InfiniteTupleFunctions3| *6 *7 *8)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|Stream| *6)) (|isDomain| *5 (|InfiniteTuple| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|Stream| *8)) (|isDomain| *1 (|InfiniteTupleFunctions3| *6 *7 *8)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|InfiniteTuple| *6)) (|isDomain| *5 (|Stream| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|Stream| *8)) (|isDomain| *1 (|InfiniteTupleFunctions3| *6 *7 *8)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|InfiniteTuple| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|ListFunctions2| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|List| *6)) (|isDomain| *5 (|List| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ListFunctions3| *6 *7 *8)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| *3 *3 *3)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *8 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|ofCategory| *2 (|MatrixCategory| *8 *9 *10)) (|isDomain| *1 (|MatrixCategoryFunctions2| *5 *6 *7 *4 *8 *9 *10 *2)) (|ofCategory| *4 (|MatrixCategory| *5 *6 *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *8)) (|ofCategory| *10 (|FiniteLinearAggregate| *8)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *8 "failed") *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|ofCategory| *2 (|MatrixCategory| *8 *9 *10)) (|isDomain| *1 (|MatrixCategoryFunctions2| *5 *6 *7 *4 *8 *9 *10 *2)) (|ofCategory| *4 (|MatrixCategory| *5 *6 *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *8)) (|ofCategory| *10 (|FiniteLinearAggregate| *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Fraction| *8))) (|isDomain| *1 (|MultipleMap| *5 *6 *4 *7 *8 *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *9 *8)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *9 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|PolynomialCategory| *9 *7 *5)) (|isDomain| *1 (|MPolyCatFunctions2| *5 *6 *7 *8 *9 *4 *2)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *8 *6 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|Ring|)) (|ofCategory| *2 (|PolynomialCategory| *9 *8 *6)) (|isDomain| *1 (|MPolyCatFunctions3| *5 *6 *7 *8 *9 *4 *2)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *9 *7 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|MonoidRing| *5 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|Monoid|)) (|isDomain| *2 (|MonoidRing| *6 *7)) (|isDomain| *1 (|MonoidRingFunctions2| *5 *6 *7)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|NewSparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|NewSparseUnivariatePolynomial| *6)) (|isDomain| *1 (|NewSparseUnivariatePolynomialFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|CommutativeRing|)) (|ofCategory| *2 (|OctonionCategory| *6)) (|isDomain| *1 (|OctonionCategoryFunctions2| *4 *5 *2 *6)) (|ofCategory| *4 (|OctonionCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OnePointCompletion| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|OnePointCompletion| *6)) (|isDomain| *1 (|OnePointCompletionFunctions2| *5 *6)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|OnePointCompletion| *6)) (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OnePointCompletion| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *1 (|OnePointCompletionFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OrderedCompletion| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|OrderedCompletion| *6)) (|isDomain| *1 (|OrderedCompletionFunctions2| *5 *6)))) ((*1 *2 *3 *4 *2 *2) (AND (|isDomain| *2 (|OrderedCompletion| *6)) (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OrderedCompletion| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *1 (|OrderedCompletionFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|ParametricPlaneCurve| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|ParametricPlaneCurve| *6)) (|isDomain| *1 (|ParametricPlaneCurveFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|ParametricSpaceCurve| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|ParametricSpaceCurve| *6)) (|isDomain| *1 (|ParametricSpaceCurveFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|ParametricSurface| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|ParametricSurface| *6)) (|isDomain| *1 (|ParametricSurfaceFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *6)) (|isDomain| *4 (|PatternMatchResult| *5 *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *5 *7)) (|isDomain| *1 (|PatternMatchResultFunctions2| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Pattern| *6)) (|isDomain| *1 (|PatternFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Polynomial| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|Polynomial| *6)) (|isDomain| *1 (|PolynomialFunctions2| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *2 *7)) (|isDomain| *4 (|Mapping| *2 *8)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE + ($ $ $)) (SIGNATURE * ($ $ $)) (SIGNATURE ** ($ $ (|NonNegativeInteger|)))))) (|isDomain| *1 (|PolynomialCategoryLifting| *6 *7 *8 *5 *2)) (|ofCategory| *5 (|PolynomialCategory| *8 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|PrimitiveArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|PrimitiveArray| *6)) (|isDomain| *1 (|PrimitiveArrayFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|Point| *6)) (|isDomain| *1 (|PointFunctions2| *5 *6)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| *2 (|Polynomial| *4))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *6)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|isDomain| *1 (|PushVariables| *4 *5 *6 *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *2 (|QuotientFieldCategory| *6)) (|isDomain| *1 (|QuotientFieldCategoryFunctions2| *5 *6 *4 *2)) (|ofCategory| *4 (|QuotientFieldCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|CommutativeRing|)) (|ofCategory| *2 (|QuaternionCategory| *6)) (|isDomain| *1 (|QuaternionCategoryFunctions2| *4 *5 *2 *6)) (|ofCategory| *4 (|QuaternionCategory| *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| *5 *5 *5)) (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *5 *5)) (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *10 *7)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *10 (|Ring|)) (|ofType| *5 (|NonNegativeInteger|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *8 (|DirectProductCategory| *6 *7)) (|ofCategory| *9 (|DirectProductCategory| *5 *7)) (|ofCategory| *2 (|RectangularMatrixCategory| *5 *6 *10 *11 *12)) (|isDomain| *1 (|RectangularMatrixCategoryFunctions2| *5 *6 *7 *8 *9 *4 *10 *11 *12 *2)) (|ofCategory| *4 (|RectangularMatrixCategory| *5 *6 *7 *8 *9)) (|ofCategory| *11 (|DirectProductCategory| *6 *10)) (|ofCategory| *12 (|DirectProductCategory| *5 *10)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Segment| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Segment| *6)) (|isDomain| *1 (|SegmentFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Segment| *5)) (|ofCategory| *5 (|OrderedRing|)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|SegmentFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|SegmentBinding| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|SegmentBinding| *6)) (|isDomain| *1 (|SegmentBindingFunctions2| *5 *6)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *1 (|SegmentExpansionCategory| *4 *2)) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *2 (|StreamAggregate| *4)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Stream| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Stream| *6)) (|isDomain| *1 (|StreamFunctions2| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|Stream| *6)) (|isDomain| *5 (|Stream| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|Stream| *8)) (|isDomain| *1 (|StreamFunctions3| *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|isDomain| *1 (|SparseUnivariatePolynomialFunctions2| *5 *6)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| *4 *4 *4)) (|ofCategory| *1 (|TableAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|UnivariateLaurentSeries| *5 *7 *9)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofType| *7 (|Symbol|)) (|ofType| *9 *5) (|ofType| *10 *6) (|isDomain| *2 (|UnivariateLaurentSeries| *6 *8 *10)) (|isDomain| *1 (|UnivariateLaurentSeriesFunctions2| *5 *6 *7 *8 *9 *10)) (|ofType| *8 (|Symbol|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|UniversalSegment| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|UniversalSegment| *6)) (|isDomain| *1 (|UniversalSegmentFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|UniversalSegment| *5)) (|ofCategory| *5 (|OrderedRing|)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Stream| *6)) (|isDomain| *1 (|UniversalSegmentFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *8 *6)) (|isDomain| *4 (|UnivariatePolynomial| *5 *6)) (|ofType| *5 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *8 (|Ring|)) (|isDomain| *2 (|UnivariatePolynomial| *7 *8)) (|isDomain| *1 (|UnivariatePolynomialFunctions2| *5 *6 *7 *8)) (|ofType| *7 (|Symbol|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *6)) (|isDomain| *1 (|UnivariatePolynomialCategoryFunctions2| *5 *4 *6 *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|UnivariatePuiseuxSeries| *5 *7 *9)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofType| *7 (|Symbol|)) (|ofType| *9 *5) (|ofType| *10 *6) (|isDomain| *2 (|UnivariatePuiseuxSeries| *6 *8 *10)) (|isDomain| *1 (|UnivariatePuiseuxSeriesFunctions2| *5 *6 *7 *8 *9 *10)) (|ofType| *8 (|Symbol|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *6)) (|isDomain| *1 (|UnivariateTaylorSeriesFunctions2| *5 *6 *4 *2)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|VectorFunctions2| *5 *6)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *6 "failed") *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|VectorFunctions2| *5 *6)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|XPolynomialRing| *3 *4)) (|ofCategory| *4 (|OrderedMonoid|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |gcd| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |gcd| *1) (|:| |coef1| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagRootFindingPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *3))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |gcd| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *1 *2 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|QueryEquation|)))) ((*1 *2 *3 *1) (|partial| AND (|isDomain| *2 (|Equation| (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1 *3) (|partial| AND (|isDomain| *2 (|Equation| (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Segment| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|SegmentBinding| *4))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *3 *4 *5 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp6| FCN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagRootFindingPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|ExponentialOfUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Join| (|Field|) (|OrderedSet|))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|CommuteUnivariatePolynomialCategory| *3 *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|SplittingNode| *4 *5))) (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *4 *5)))) ((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|SplittingNode| *3 *4))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|Record| (|:| |solns| (|List| *5)) (|:| |maps| (|List| (|Record| (|:| |arg| *5) (|:| |res| *5)))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|List| *4)))) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|InfClsPt| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|InfinitlyClosePoint| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *3 (|Integer|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|))))) 
-(((*1 *1 *1 *2 *1) (AND (|isDomain| *1 (|BinaryTree| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|BinaryTree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *3 *4 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *3 (|DivisorCategory| *11)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *3 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Record| (|:| |ord| (|Integer|)) (|:| |num| *7) (|:| |den| *7) (|:| |upTo| (|Integer|)))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (|isDomain| *4 (|Integer|)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |ord| (|Integer|)) (|:| |num| (|DistributedMultivariatePolynomial| *6 *5)) (|:| |den| (|DistributedMultivariatePolynomial| *6 *5)) (|:| |upTo| (|Integer|)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|isDomain| *4 (|Integer|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |ord| (|Integer|)) (|:| |num| (|DistributedMultivariatePolynomial| *6 *5)) (|:| |den| (|DistributedMultivariatePolynomial| *6 *5)) (|:| |upTo| (|Integer|)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|isDomain| *4 (|Integer|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|TubePlot| *3)) (|isDomain| *1 (|NumericTubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|Boolean|)) (|isDomain| *1 (|TubePlot| *2)) (|ofCategory| *2 (|PlottableSpaceCurveCategory|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Table| (|StochasticDifferential| *3) (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *2)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *2 (|BlowUpMethodCategory|))))) 
-(((*1 *1) (|ofCategory| *1 (|Aggregate|))) ((*1 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1) (AND (|ofCategory| *2 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3)))) ((*1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (|isDomain| *1 (|TheSymbolTable|))) ((*1 *1) (|isDomain| *1 (|SymbolTable|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|OpenMathDevice|)) (|isDomain| *1 (|OpenMathConnection|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|RadicalSolvePackage| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|RadicalSolvePackage| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *4))))) (|isDomain| *1 (|RadicalSolvePackage| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *4))))) (|isDomain| *1 (|RadicalSolvePackage| *4))))) 
-(((*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) *3)) (|isDomain| *1 (|BlowUpPackage| *5 *6 *7 *8 *4)) (|ofCategory| *7 (|FiniteAbelianMonoidRing| *5 *8)) (|ofCategory| *4 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|MakeFloatCompiledFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|MakeFloatCompiledFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|RecurrenceOperator| *4 *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *4) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Symbol|)) (|PartialDifferentialRing| (|Symbol|)) (|CombinatorialOpsCategory|)))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|OneDimensionalArray| (|List| (|LyndonWord| *5)))) (|isDomain| *1 (|LyndonWord| *5))))) 
-(((*1 *2 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *2 *3 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *3 *3 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *1) (|isDomain| *1 (|Boolean|)))) 
-(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|List| (|Fraction| (|Polynomial| *6)))) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|RationalFunctionIntegration| *6))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (|Integer|))))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *3))) (|isDomain| *1 (|ChineseRemainderToolsForIntegralBases| *3 *5 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *1 (|FileCategory| *2 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|FileCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Stream| *2)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|ContinuedFraction| *2))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *7)) (|:| |neqzro| (|List| *7)) (|:| |wcond| (|List| (|Polynomial| *4))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Stream| *3))))) 
-(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|CachableSet|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|))))) 
-(((*1 *2 *3 *3 *3) (|partial| AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Fraction| *5))) (|isDomain| *1 (|TranscendentalRischDESystem| *4 *5)) (|isDomain| *3 (|Fraction| *5))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Character|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Character|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|BezoutMatrix| *4 *3 *2 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloat|)))) ((*1 *1 *1 *1) (OR (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Type|))) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Group|)) (|ofCategory| *2 (|Type|))))) ((*1 *1 *1 *1) (|ofCategory| *1 (|Field|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Float|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| *3 (|Kernel| *1))) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|Group|))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *3)))) ((*1 *1 *1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|LocalAlgebra| *2 *4 *3)) (|ofCategory| *2 (|Algebra| *4)) (|ofCategory| *3 (|SubsetCategory| (|Monoid|) *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|LocalAlgebra| *3 *4 *2)) (|ofCategory| *3 (|Algebra| *4)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|LieAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|Localize| *2 *4 *3)) (|ofCategory| *2 (|Module| *4)) (|ofCategory| *3 (|SubsetCategory| (|Monoid|) *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|Localize| *3 *4 *2)) (|ofCategory| *3 (|Module| *4)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| (|Expression| (|Integer|)) *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|MappingPackage4| *3 *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|OrdinaryWeightedPolynomials| *2 *3 *4 *5)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *2) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *2 *5 *6)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *4 *2)) (|ofCategory| *6 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Expression| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|StochasticDifferential| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|VectorSpace| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *1) (|partial| AND (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofType| *6 (|List| *3)) (|isDomain| *1 (|WeightedPolynomials| *2 *3 *4 *5 *6 *7 *8)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3)) (|ofType| *7 (|List| (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Permutation| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|PermutationGroup| *4))))) 
-(((*1 *1 *1 *2 *1) (AND (|ofCategory| *1 (|BinaryTreeCategory| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UTSodetools| *4 *3 *5 *2)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *3))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|AbelianGroup|))) ((*1 *1 *1) (|ofCategory| *1 (|AbelianGroup|))) ((*1 *1 *1 *1) (|partial| |isDomain| *1 (|CardinalNumber|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Database| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| *4 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MappingPackage4| *3 *4)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *2 *1) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|AbelianGroup|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|AbelianGroup|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|SubSpace| 3 *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|String|)) (|ofCategory| *1 (|FileCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5)) (|ofType| *4 (|List| (|Symbol|)))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|AbelianSemiGroup|))) ((*1 *1 *1 *1) (|isDomain| *1 (|Color|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Database| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianSemiGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianSemiGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|CancellationAbelianMonoid|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *1 *1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| *4 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MappingPackage4| *3 *4)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *2 *1) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|AbelianSemiGroup|))))) 
-(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|FileCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *1 *1) (AND (|isDomain| *1 (|DeRhamComplex| *2 *3)) (|ofCategory| *2 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *3 (|List| (|Symbol|)))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|Polynomial| *4)))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4))))) 
-(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|NonNegativeInteger|)))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|List| *2)) (|isDomain| *1 (|BasicOperatorFunctions1| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *4 (|List| *4))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Mapping| *4 (|List| *4))) (|isDomain| *1 (|BasicOperatorFunctions1| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *4 (|LeftModule| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *3 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Operator| *3))))) 
-(((*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) *4)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *3 (|DivisorCategory| *11)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *3 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *4 *5 *2) (AND (|isDomain| *2 (|List| *5)) (|ofCategory| *5 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) *4)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *6)) (|ofCategory| *11 (|PlacesCategory| *6 *10)) (|isDomain| *1 (|InterpolateFormsPackage| *6 *7 *5 *8 *9 *10 *11 *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *3 (|DivisorCategory| *11)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *6 *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *6 *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FlexibleArray| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofType| *4 (|Integer|))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPartialDifferentialEquationsPackage|))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|String|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp73| PDEF)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp74| BNDY)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPartialDifferentialEquationsPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *2) (|:| |exponent| *5)) (|Record| (|:| |index| *2) (|:| |exponent| *5)))) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *2 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 (|OrderedVariableList| *3)))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Kernel| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *4 *2))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|SquareMatrix| *3 *4)) (|ofType| *3 (|NonNegativeInteger|))))) 
-(((*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|ThreeDimensionalMatrix| (|DoubleFloat|))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPartialDifferentialEquationsPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|Group|))) ((*1 *1 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *1) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|PartitionsAndPermutations|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *1) (|isDomain| *1 (|Partition|))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *14)) (|ofCategory| *14 (|DesingTreeCategory| *13)) (|ofCategory| *13 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *12 *15)) (|ofCategory| *15 (|BlowUpMethodCategory|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *12 (|DivisorCategory| *11)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *7 *8 *9 *10 *11 *12 *13 *14 *15))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|PlaneAlgebraicCurvePlot|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Factored| *4) *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *4)) (|isDomain| *1 (|FactoredFunctionUtilities| *4)))) ((*1 *1 *1) (|isDomain| *1 (|Plot3D|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *1) (|isDomain| *1 (|Plot|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *2 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) ((*1 *1 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|PermutationCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|IntegerPrimesPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
-(((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *6 (|Finite|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *6)))) (|isDomain| *1 (|RepresentationPackage2| *6)) (|isDomain| *3 (|List| (|Matrix| *6))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *4)))) (|isDomain| *1 (|RepresentationPackage2| *4)) (|isDomain| *3 (|List| (|Matrix| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Finite|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Finite|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Boolean|) (|BasicOperator|) (|BasicOperator|))) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|CyclicStreamTools| *4 *3)) (|ofCategory| *3 (|LazyStreamAggregate| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|Polynomial| *4)))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *1 *1 *3) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|BasicType|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Reference| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|Commutator|))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Commutator|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot3D|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| *3) (|:| |entry| *4)))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *1 (|TableAggregate| *3 *4)))) ((*1 *1) (AND (|ofCategory| *1 (|TableAggregate| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Point| *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|))))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *5 *2 *6 *7)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *1 *3 *4 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *2 (|Record| (|:| |k| (|Integer|)) (|:| |c| *4))) (|isDomain| *1 (|NeitherSparseOrDensePowerSeries| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Kernel| *5))) (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *4 *5))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |rnum| *4) (|:| |polnum| *3) (|:| |den| *4)))))) 
-(((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|SingleInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathConnection|))))) 
-(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *2 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *2 (|DivisorCategory| *9)) (|ofCategory| *10 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *2 *3 *4 *4 *5 *6 *7) (AND (|isDomain| *5 (|Symbol|)) (|isDomain| *6 (|Mapping| (|Union| (|Record| (|:| |mainpart| *4) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (|List| *4))) (|isDomain| *7 (|Mapping| (|Union| (|Record| (|:| |ratpart| *4) (|:| |coeff| *4)) "failed") *4 *4)) (|ofCategory| *4 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedField|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| *3) (|LinearlyExplicitRingOver| *3))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Record| (|:| |ans| *4) (|:| |right| *4) (|:| |sol?| (|Boolean|)))) (|isDomain| *1 (|ElementaryRischDE| *8 *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpressionToOpenMath| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpressionToOpenMath| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *4 (|Expression| *5)) (|ofCategory| *5 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ExpressionToOpenMath| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *4 (|Expression| *6)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|Join| (|OpenMath|) (|OrderedSet|) (|Ring|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ExpressionToOpenMath| *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *2 (|String|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *2 (|String|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *2 (|Void|)))) ((*1 *2 *3 *1 *4) (AND (|ofCategory| *1 (|OpenMath|)) (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *4 (|Boolean|)) (|isDomain| *2 (|Void|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *1 (|PartitionsAndPermutations|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|isDomain| *2 (|Result|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|Result|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *4 *5)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|TriangularMatrixOperations| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *3 *2 *4 *5)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *3 *4)))) ((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *4 *2 *5 *6 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *2 *6 *7 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *6)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|GcdDomain|)) (|isDomain| *1 (|CylindricalAlgebraicDecompositionUtilities| *3 *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *6)) (|ofCategory| *6 (|Join| (|SetCategory|) (|RetractableTo| *5))) (|ofCategory| *5 (|PatternMatchable| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| (|Boolean|) *5)) (|isDomain| *1 (|PatternMatchPushDown| *4 *5 *6))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|UniversalSegment| (|Integer|))) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *3) (|partial| AND (|ofCategory| *5 (|RetractableTo| (|AlgebraicNumber|))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|FunctionSpace| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|isDomain| *1 (|FunctionSpaceUnivariatePolynomialFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Equation| (|OnePointCompletion| *3))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|OnePointCompletion| *3)) (|isDomain| *1 (|PowerSeriesLimitPackage| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|OnePointCompletion| (|Polynomial| *5)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|OnePointCompletion| (|Fraction| (|Polynomial| *5)))) (|isDomain| *1 (|RationalFunctionLimitPackage| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|OnePointCompletion| *3)) (|isDomain| *1 (|RationalFunctionLimitPackage| *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|InnerModularGcd| *4 *2 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofType| *5 *4) (|ofType| *6 (|Mapping| *4 *4 (|NonNegativeInteger|)))))) 
-(((*1 *1 *2 *3 *3 *4 *5) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *3 (|List| (|Palette|))) (|isDomain| *4 (|List| (|PositiveInteger|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *2 *3 *3 *4) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *3 (|List| (|Palette|))) (|isDomain| *4 (|List| (|PositiveInteger|))) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *1) (|isDomain| *1 (|GraphImage|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegrationResult| *3)) (|ofCategory| *3 (|Field|))))) 
-(((*1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *4 *6) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|Integer|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|)))) ((*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|Integer|)) (|isDomain| *7 (|String|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Integer|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Integer|)) (|isDomain| *8 (|String|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |prime| (|Integer|)) (|:| |factors| (|List| *3)))) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|OpenMathErrorKind|)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *1 (|OpenMathError|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Cell| *5)) (|ofCategory| *5 (|RealClosedField|)) (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *5))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 |RationalNumber|) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|isDomain| *1 (|MappingPackage1| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|List| *5) (|List| *5))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|MappingPackage1| *5)) (|ofCategory| *5 (|SetCategory|))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Integer|) (|Integer|))) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpertSystemContinuityPackage1| *4 *5)) (|ofType| *4 *3) (|ofType| *5 *3))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5))))) 
-(((*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
-(((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *4) (|:| |ineq| (|List| *9)))) (|isDomain| *1 (|QuasiComponentPackage| *6 *7 *8 *9 *4)) (|isDomain| *3 (|List| *9)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *9)))) ((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *4) (|:| |ineq| (|List| *9)))) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *6 *7 *8 *9 *4)) (|isDomain| *3 (|List| *9)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *9))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|))) ((*1 *1 *1 *2 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
-(((*1 *2 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|PolynomialDecomposition| *2 *3)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *5 (|FiniteAlgebraicExtensionField| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|NormRetractPackage| *4 *5 *6 *3 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofType| *7 (|PositiveInteger|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Vector| *4))) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|RepresentationPackage2| *4))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *1 (|Product| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1) (|:| |generator| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|RepeatedSquaring| *2)) (|ofCategory| *2 (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE * ($ $ $)))))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|SubSpaceComponentProperty|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|DoubleFloat|))) (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| (|Integer|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerLinearDependence| *4))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *1 (|NormalizationPackage| *4 *5 *6 *2 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *2))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| *1) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| *1) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Record| (|:| |close| (|List| *6)) (|:| |open| (|List| *6))))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FGLMIfCanPackage| *4 *5)) (|ofType| *5 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *5)))) (|ofCategory| *4 (|GcdDomain|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LexTriangularPackage| *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|InternalPrintPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *1)) (|isDomain| *4 (|Vector| *1)) (|ofCategory| *1 (|LinearlyExplicitRingOver| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *5)) (|:| |vec| (|Vector| *5)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *1)) (|ofCategory| *1 (|LinearlyExplicitRingOver| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Matrix| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranTemplate|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|HeuGcd| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *3 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Mapping| *5 *5)) (|isDomain| *1 (|ODEIntegration| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)) (|ofCategory| *3 (|FiniteFieldCategory|))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|OutputForm|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Fraction| *3))) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|RealClosedField|)) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|SimpleCell| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| *7 *5 *6)) (|isDomain| *1 (|MakeBinaryCompiledFunction| *3 *5 *6 *7)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MakeUnaryCompiledFunction| *3 *5 *6)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6))))) 
-(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3 *3 *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *3)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|isDomain| *1 (|BalancedBinaryTree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|Record| (|:| |adjMat| *3) (|:| |detMat| *4))) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *3)) (|ofCategory| *3 (|LeftModule| *2)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *3)) (|ofCategory| *3 (|LeftModule| *2)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |constant| *5) (|:| |eq| *3)))) (|isDomain| *1 (|PrimitiveRatRicDE| *5 *6 *3 *7)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *6)))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|List| *6))) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *3 *4 *5 *6))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |base| *3) (|:| |exponent| (|NonNegativeInteger|)))) (|isDomain| *1 (|IntegerRoots| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
-(((*1 *2 *2 *2 *3 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|FortranPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| AND (|isDomain| *5 (|Symbol|)) (|isDomain| *6 (|Mapping| (|Union| (|Record| (|:| |mainpart| *4) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (|List| *4))) (|isDomain| *7 (|Mapping| (|Union| (|Record| (|:| |ratpart| *4) (|:| |coeff| *4)) "failed") *4 *4)) (|ofCategory| *4 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedField|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| *3) (|LinearlyExplicitRingOver| *3))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|ElementaryRischDESystem| *8 *4))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|Finite|)))) ((*1 *2) (AND (|isDomain| *2 (|Vector| (|SetOfMIntegersInOneToN| *3 *4))) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerBits|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|RetractableTo| (|Integer|))) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $)))))))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|ComplexCategory| *4)) (|ofCategory| *4 (|IntegerNumberSystem|)) (|isDomain| *1 (|ComplexIntegerSolveLinearPolynomialEquation| *4 *5)))) ((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldSolveLinearPolynomialEquation| *4 *5 *3)))) ((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| (|Integer|)))) (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|IntegerSolveLinearPolynomialEquation|)))) ((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|InputForm|)) (|isDomain| *1 (|InputFormFunctions1| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Any|)) (|isDomain| *1 (|InputForm|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|InnerModularGcd| *4 *2 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofType| *5 *4) (|ofType| *6 (|Mapping| *4 *4 (|NonNegativeInteger|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Kernel| *1))) (|ofCategory| *1 (|ExpressionSpace|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|RightOpenIntervalRootCharacterization| (|RealClosure| *4) (|SparseUnivariatePolynomial| (|RealClosure| *4)))) (|isDomain| *3 (|OutputForm|)) (|isDomain| *1 (|RealClosure| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|) (|RealConstant|)))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|isDomain| *2 (|Record| (|:| |sysok| (|Boolean|)) (|:| |z0| (|List| *7)) (|:| |n0| (|List| *7)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GenExEuclid| *5 *3))))) 
-(((*1 *2 *3 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|HallBasis|))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Fraction| (|Integer|))))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
-(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
-(((*1 *2 *3 *4 *3) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|ElementaryIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
-(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
-(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|List| (|Fraction| *7))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *3 (|Fraction| *7)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
-(((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |left| *3) (|:| |right| *3))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|ReductionOfOrder| *3 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |eq| *3) (|:| |op| (|List| *5)))) (|isDomain| *1 (|ReductionOfOrder| *5 *3)) (|isDomain| *4 (|List| *5)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|DeRhamComplex| *2 *3)) (|ofCategory| *2 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *3 (|List| (|Symbol|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) ((*1 *1 *1 *1) (|ofCategory| *1 (|OrderedAbelianMonoidSup|)))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *5 (|Kernel| *4)) (|isDomain| *6 (|Symbol|)) (|ofCategory| *4 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|PureAlgebraicIntegration| *7 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Equation| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |varOrder| (|List| (|Symbol|))) (|:| |inhom| (|Union| (|List| (|Vector| (|NonNegativeInteger|))) "failed")) (|:| |hom| (|List| (|Vector| (|NonNegativeInteger|)))))) (|isDomain| *1 (|DiophantineSolutionPackage|))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *5 *4)) (|ofCategory| *5 (|Type|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 |SortedExponentVector|)))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|PrimitiveArray| (|ModMonic| *3 *4))) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1) (|isDomain| *1 (|Float|))) ((*1 *1) (|isDomain| *1 (|Float|)))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|HomogeneousDistributedMultivariatePolynomial| *5 *6))) (|isDomain| *3 (|HomogeneousDistributedMultivariatePolynomial| *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|LinGroebnerPackage| *5 *6))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|GaussianFactorizationPackage|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
-(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| *4)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Fraction| (|Polynomial| *4)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealClosure| *3)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|) (|RealConstant|))))) ((*1 *2 *3 *1 *2) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *3 *1 *2) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *2 *3)) (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Point| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *11))) (|isDomain| *3 (|SparseUnivariatePolynomial| *11)) (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|List| *8)) (|isDomain| *6 (|List| (|NonNegativeInteger|))) (|isDomain| *7 (|Vector| (|List| (|SparseUnivariatePolynomial| *8)))) (|ofCategory| *10 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *11 (|PolynomialCategory| *8 *9 *10)) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|MultivariateLifting| *9 *10 *8 *11))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *1 *2 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
-(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranTemplate|))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *2 (|Record| (|:| |%term| (|Record| (|:| |%coef| (|UnivariatePuiseuxSeries| *4 *5 *6)) (|:| |%expon| (|ExponentialOfUnivariatePuiseuxSeries| *4 *5 *6)) (|:| |%expTerms| (|List| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| *4)))))) (|:| |%type| (|String|)))) (|isDomain| *1 (|UnivariatePuiseuxSeriesWithExponentialSingularity| *3 *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4)))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|PriorityQueueAggregate| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *1) (|isDomain| *1 (|OpenMathEncoding|)))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1) (|isDomain| *1 (|FortranCode|)))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|MonogenicAlgebra| *3 *4)) (|isDomain| *1 (|InfiniteProductFiniteField| *3 *4 *5 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *1 (|InfiniteProductPrimeField| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *5 *3 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *6 (|Join| (|FloatingPointSystem|) (|RetractableTo| *5) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|)))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|)))) ((*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|))))) 
-(((*1 *2 *3 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|IndexedAggregate| *4 *3)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|ElementaryIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Factored| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *5) (|:| |radicand| (|List| *5)))) (|isDomain| *1 (|FactoredFunctions| *5)) (|isDomain| *4 (|NonNegativeInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RadicalCategory|)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *8 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *9) (|:| |radicand| *9))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *7 *8 *9)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *9 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*8 $)) (SIGNATURE |denom| (*8 $)) (SIGNATURE |coerce| ($ *8)))))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4)))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|Union| "prime" "polynomial" "normal" "cyclic"))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Kernel| *2))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|Join| (|FunctionSpace| (|Complex| *5)) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *5 *6 *2)) (|ofCategory| *6 (|Join| (|FunctionSpace| *5) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Stream| (|Polynomial| *4)) (|Stream| (|Polynomial| *4)))) (|isDomain| *1 (|WeierstrassPreparation| *4)) (|ofCategory| *4 (|Field|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Symbol|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|FunctionSpaceReduce| *4 *3)) (|ofCategory| *3 (|FunctionSpace| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|FunctionSpace| *5)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceReduce| *5 *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|UTSodetools| *5 *2 *6 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *3 (|UnivariateTaylorSeriesCategory| *5))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *7)) (|:| |neqzro| (|List| *7)) (|:| |wcond| (|List| (|Polynomial| *4))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *9)) (|:| |neqzro| (|List| *9)) (|:| |wcond| (|List| (|Polynomial| *6))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *6)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *6)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)) (|isDomain| *4 (|List| *9)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *9)) (|:| |neqzro| (|List| *9)) (|:| |wcond| (|List| (|Polynomial| *6))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *6)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *6)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|List| *9)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|String|)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Matrix| *10)) (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|String|)) (|ofCategory| *10 (|PolynomialCategory| *7 *9 *8)) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *8 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Matrix| *10)) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|String|)) (|ofCategory| *10 (|PolynomialCategory| *7 *9 *8)) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *8 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|AffinePlane| *3))))) 
-(((*1 *2) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|RootsFindingPackage| *3)) (|ofCategory| *3 (|Field|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|Bits|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)))) ((*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|))))) 
-(((*1 *1) (|isDomain| *1 (|Character|))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Expression| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|StochasticDifferential| *4)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|StochasticDifferential| *4))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *2 *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *5 *6 *3 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| *3)))) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Cell| *3)) (|ofCategory| *3 (|RealClosedField|))))) 
-(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|FiniteLinearAggregate| *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *6)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *6 *7 *8 *3)) (|ofCategory| *3 (|MatrixCategory| *6 *7 *8)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|List| (|PositiveInteger|))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|FiniteLinearAggregate| *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *6)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *6 *7 *8 *3)) (|ofCategory| *3 (|MatrixCategory| *6 *7 *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7))))) 
-(((*1 *2 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *2 *3 *4 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *5 *6))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Matrix| *1)) (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|Vector| *1)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Matrix| *1)) (|ofCategory| *1 (|CharacteristicNonZero|)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Vector| *1))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *3 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *5)) *4 *3)))) ((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|isDomain| *1 (|PushVariables| *4 *5 *3 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|PushVariables| *4 *5 *6 *2)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *6))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|CommonDenominator| *3 *4 *2)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|InnerCommonDenominator| *4 *5 *2 *3)) (|ofCategory| *3 (|FiniteLinearAggregate| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|MatrixCommonDenominator| *4 *5)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|UnivariatePolynomialCommonDenominator| *3 *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ComplexCategory&| *3 *4)) (|ofCategory| *3 (|ComplexCategory| *4)))) ((*1 *2) (AND (|ofType| *4 *2) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DirectProductCategory&| *3 *4 *5)) (|ofCategory| *3 (|DirectProductCategory| *4 *5)))) ((*1 *2) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FunctionSpace&| *3 *4)) (|ofCategory| *3 (|FunctionSpace| *4)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerNumberSystem&| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) ((*1 *2) (AND (|ofCategory| *1 (|NonAssociativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OctonionCategory&| *3 *4)) (|ofCategory| *3 (|OctonionCategory| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|QuotientFieldCategory&| *3 *4)) (|ofCategory| *3 (|QuotientFieldCategory| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|QuaternionCategory&| *3 *4)) (|ofCategory| *3 (|QuaternionCategory| *4)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealClosedField&| *3)) (|ofCategory| *3 (|RealClosedField|)))) ((*1 *2) (AND (|ofCategory| *1 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealNumberSystem&| *3)) (|ofCategory| *3 (|RealNumberSystem|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Stream| *4) (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|ParadoxicalCombinatorsForStreams| *4)) (|ofCategory| *4 (|Type|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|List| (|Stream| *5)) (|List| (|Stream| *5)))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|Stream| *5))) (|isDomain| *1 (|ParadoxicalCombinatorsForStreams| *5)) (|ofCategory| *5 (|Type|))))) 
-(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|d01AgentsPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FractionFreeFastGaussian| *3 *5)) (|ofCategory| *5 (|AbelianMonoidRing| *3 *4))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *1 *2 *2 *3 *1 *4) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|PseudoAlgebraicClosureOfRationalNumber|))) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Symbol|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfRationalNumber|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| (|Complex| *4)))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|))))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| (|Complex| *4)))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| (|Integer|))))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| (|Complex| *4))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| (|Complex| (|Integer|)))))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| (|Complex| *4))))) (|isDomain| *1 (|FloatingComplexPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| *2) (|:| |xpnt| (|Integer|))))) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|Factored| *2)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *4) (|:| |pow| (|Integer|))))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|Factored| *4)) (|isDomain| *1 (|GaloisGroupFactorizer| *4))))) 
-(((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1) (|partial| |ofCategory| *1 (|MonadWithUnit|)))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ODEIntensityFunctionsTable|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4))))) 
-(((*1 *2 *3 *3 *3 *4 *5) (AND (|isDomain| *5 (|List| (|List| (|DoubleFloat|)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|List| (|Point| *4))) (|isDomain| *1 (|TubePlotTools|)) (|isDomain| *3 (|Point| *4))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *2)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *2)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *2))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |eq| *5)))) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *5 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *5)))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| *1)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *1 *1 *1) (|partial| AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
-(((*1 *1) (|ofCategory| *1 (|FiniteFieldCategory|)))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |coef| (|Fraction| *5)) (|:| |poly| *3))) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *5)))))) 
-(((*1 *2 *2 *1 *3 *4) (AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| *8 *8 *8)) (|isDomain| *4 (|Mapping| (|Boolean|) *8 *8)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7))))) 
-(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
-(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|List| (|List| (|Union| (|:| |array| *6) (|:| |scalar| *3))))) (|isDomain| *4 (|List| (|Union| (|:| |array| (|List| *3)) (|:| |scalar| (|Symbol|))))) (|isDomain| *6 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranPackage|)))) ((*1 *2 *3 *4 *5 *6 *3) (AND (|isDomain| *5 (|List| (|List| (|Union| (|:| |array| *6) (|:| |scalar| *3))))) (|isDomain| *4 (|List| (|Union| (|:| |array| (|List| *3)) (|:| |scalar| (|Symbol|))))) (|isDomain| *6 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranPackage|)))) ((*1 *2 *3 *4 *5 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|TheSymbolTable|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranPackage|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|)))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|Record| (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (|isDomain| *1 (|SmithNormalForm| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6))))) 
-(((*1 *2 *1) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|SimpleCell| *3 *2)) (|ofCategory| *3 (|RealClosedField|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|PatternMatchResult| *4 *5)) (|isDomain| *3 (|PatternMatchResult| *4 *6)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|ListAggregate| *5)) (|isDomain| *1 (|PatternMatchListResult| *4 *5 *6))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TextFile|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|CyclicStreamTools| *3 *2)) (|ofCategory| *2 (|LazyStreamAggregate| *3))))) 
-(((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|FortranScalarType|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|SimpleFortranProgram| *5 *4)) (|ofCategory| *4 (|FunctionSpace| *5))))) 
-(((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|BagAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputPackage|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Stream| *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *4 (|Type|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|PatternFunctions1| *4 *5)) (|ofCategory| *5 (|Type|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3) (AND (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Record| (|:| |glbase| (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|:| |glval| (|List| (|Integer|))))) (|isDomain| *1 (|LinGroebnerPackage| *4 *5)) (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *4 *5)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| *5)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| *5) (|:| |degree| (|Integer|))))) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *5))))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |polyPart| (|LaurentPolynomial| *4 *5)) (|:| |fracPart| (|Fraction| *5)))) (|isDomain| *1 (|LaurentPolynomial| *4 *5)) (|isDomain| *3 (|Fraction| *5)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|SubSpace| *3 *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |primePart| *1) (|:| |commonPart| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|Tree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|DisplayPackage|)) (|isDomain| *3 (|String|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|DisplayPackage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
-(((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 (|NonNegativeInteger|) *2)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|MappingPackageInternalHacks1| *2)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Mapping| *3 (|NonNegativeInteger|) *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|MappingPackage1| *3))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|BasicOperatorFunctions1| *2))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|Mapping| (|SparseUnivariatePolynomial| *3) (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|AlgebraicIntegration| *6 *3))))) 
-(((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|MappingPackageInternalHacks1| *2))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|InputForm|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|InputForm|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Matrix| *4))) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| *4) (|:| |degree| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|Multiset| (|NonNegativeInteger|))) (|isDomain| *1 (|GaloisGroupFactorizer| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Factored| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Multiset| (|NonNegativeInteger|))) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *4 *5))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Vector| (|Matrix| *4))) (|isDomain| *1 (|AssociatedEquations| *4 *5)) (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12))))) 
-(((*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *1) (|isDomain| *1 (|OpenMathEncoding|)))) 
-(((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *3 (|String|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *4 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NormalizationPackage| *6 *7 *8 *4 *5)) (|ofCategory| *5 (|RegularTriangularSetCategory| *6 *7 *8 *4))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *1)))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4)))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|Places| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
-(((*1 *2 *3 *4 *5 *4 *4 *4) (AND (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *3 (|List| *6)) (|isDomain| *5 (|List| *3)) (|isDomain| *2 (|Record| (|:| |f1| *3) (|:| |f2| (|List| *5)) (|:| |f3| *5) (|:| |f4| (|List| *5)))) (|isDomain| *1 (|TableauxBumpers| *6)) (|isDomain| *4 (|List| *5))))) 
-(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *2 (|OrderedCompletion| *4)) (|isDomain| *1 (|ExponentialExpansion| *3 *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4))) ((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *2 (|OrderedCompletion| *4)) (|isDomain| *1 (|UnivariatePuiseuxSeriesWithExponentialSingularity| *3 *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|List| (|List| (|DoubleFloat|)))) (|isDomain| *1 (|TubePlotTools|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Database| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| (*2 $)) (SIGNATURE |fullDisplay| (*2 $))))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Database| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| (*2 $)) (SIGNATURE |fullDisplay| (*2 $))))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IndexCard|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ToolsForSign| *4)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|))))) (|isDomain| *1 (|Symbol|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|OutputForm|)))) (|isDomain| *1 (|Symbol|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderingFunctions| *4 *5)) (|ofType| *4 (|NonNegativeInteger|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricPlaneCurve| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricSpaceCurve| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricSurface| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|IntegrationResult| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|IntegrationResultToFunction| *4 *2)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|IntegrationResult| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|IntegrationResultRFToFunction| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3 *4)) (|isDomain| *1 (|MappingPackage2| *4 *3)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *3 *4 *5 *6 *7 *6) (|partial| AND (|isDomain| *5 (|Record| (|:| |contp| *3) (|:| |factors| (|List| (|Record| (|:| |irr| *10) (|:| |pow| (|Integer|))))))) (|isDomain| *6 (|List| *3)) (|isDomain| *7 (|List| *8)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *10 (|PolynomialCategory| *3 *9 *8)) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |polfac| (|List| *10)) (|:| |correct| *3) (|:| |corrfact| (|List| (|SparseUnivariatePolynomial| *3))))) (|isDomain| *1 (|LeadingCoefDetermination| *8 *9 *3 *10)) (|isDomain| *4 (|List| (|SparseUnivariatePolynomial| *3)))))) 
-(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|LiePolynomial| *3 *4)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| *7) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| *7))))) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathConnection|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 |RationalNumber|) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *2)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *2 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FloatingPointSystem&| *3)) (|ofCategory| *3 (|FloatingPointSystem|)))) ((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FloatingPointSystem&| *3)) (|ofCategory| *3 (|FloatingPointSystem|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)))) ((*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Stream| (|Integer|)))))) 
 (((*1 *2 *2 *3) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|TriangularMatrixOperations| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|List| *8))) (|isDomain| *3 (|List| *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8))))) 
-(((*1 *1 *2 *2 *2 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|Any|))))) 
-(((*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|Palette|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursiveAggregate| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|FiniteDivisor| *4 *5 *6 *7)) (|ofCategory| *4 (|Join| (|Finite|) (|Field|))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|ofCategory| *7 (|FunctionFieldCategory| *4 *5 *6)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FindOrderFinite| *4 *5 *6 *7)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FieldOfPrimeCharacteristic|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|LaurentPolynomial| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PointsOfFiniteOrder| *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| (|Fraction| (|Integer|)) *4 *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| (|Fraction| (|Integer|)) *4 *5)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PointsOfFiniteOrderRational| *4 *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|FiniteDivisor| *6 *7 *4 *8)) (|isDomain| *5 (|Mapping| *9 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *7))) (|ofCategory| *8 (|FunctionFieldCategory| *6 *7 *4)) (|ofCategory| *9 (|Join| (|Finite|) (|Field|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ReducedDivisor| *6 *7 *4 *8 *9)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PrintPackage|))))) 
-(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|U32Vector|)) (|isDomain| *5 (|Integer|)) (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *3 *6)) (|ofCategory| *3 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Void|))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|HallBasis|))))) 
-(((*1 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|ComplexCategory&| *3 *2)) (|ofCategory| *3 (|ComplexCategory| *2)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|FramedAlgebra&| *3 *2 *4)) (|ofCategory| *3 (|FramedAlgebra| *2 *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|NumberFieldIntegralBasis| *3 *4)) (|ofCategory| *4 (|FramedAlgebra| *2 *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|AssociationList| (|String|) (|None|))) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|IrrRepSymNatPackage|))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|Integer|))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|Integer|))) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|Integer|))) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *2 *3 *3 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *3 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *3 *5))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| *4))) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *4 (|PolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (|isDomain| *1 (|GroebnerInternalPackage| *6 *7 *8 *4))))) 
-(((*1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FiniteDivisor| *3 *4 *5 *6)) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5))))) 
-(((*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *3 (|List| (|Kernel| *2))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *5 *2))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineInteger|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineInteger|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OrdSetInts|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|QueryEquation|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
-(((*1 *1) (|isDomain| *1 (|Color|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|InputForm|)) (|isDomain| *1 (|InputFormFunctions1| *4)) (|ofCategory| *4 (|Type|))))) 
-(((*1 *1 *2) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|List| (|Fraction| *6))) (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|RationalIntegration| *5 *6))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|SimpleCell| *3 (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|RealClosedField|)) (|isDomain| *1 (|Cell| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|SimpleCell| *3 (|SparseUnivariatePolynomial| *3)))) (|ofCategory| *3 (|RealClosedField|)) (|isDomain| *1 (|Cell| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *2 *1) (AND (|isDomain| *2 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| *3)))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *3))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|CharacterClass|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Character|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *2 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|UnivariatePolynomialMultiplicationPackage| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2) (AND (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *3) (|Finite|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *4 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| *3))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|MonogenicAlgebra| *4 *5)) (|isDomain| *1 (|InfiniteProductFiniteField| *4 *5 *6 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *6)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| *3))) (|isDomain| *1 (|InfiniteProductPrimeField| *4 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *4))))) 
-(((*1 *1 *2 *3 *1 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6))))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *3))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|))))) 
-(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|EuclideanDomain|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)) (|isDomain| *3 (|DoubleFloat|))))) 
-(((*1 *1) (|isDomain| *1 (|CharacterClass|)))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *1 (|RewriteRule| *3 *4 *2)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))))) ((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|SuchThat| *2 *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Record| (|:| |k| *4) (|:| |c| *3)))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |close| *1) (|:| |open| (|List| *7))))) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *2 *2 *2 *3) (AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *2 *3)) (|ofCategory| *2 (|Type|)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *5 (|PolynomialFactorizationExplicit|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *8))) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *5 *6 *7 *8)) (|isDomain| *4 (|SparseUnivariatePolynomial| *8)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)) (|isDomain| *1 (|IntegerCombinatoricFunctions| *2))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *8)) (|:| |badPols| (|List| *8)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|UnivariatePolynomial| *5 *4))) (|isDomain| *1 (|SturmHabichtPackage| *4 *5)) (|isDomain| *3 (|UnivariatePolynomial| *5 *4))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monad|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Monoid|)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| *3))) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| *3)) (|:| |f2| (|List| (|OrderedCompletion| *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|ElementaryFunctionDefiniteIntegration| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| *3))) (|isDomain| *5 (|String|)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *6))) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| *3)) (|:| |f2| (|List| (|OrderedCompletion| *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|ElementaryFunctionDefiniteIntegration| *6 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Expression| *5)))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *5))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Expression| *6)))) (|isDomain| *5 (|String|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *6))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *5))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| *6))))) (|isDomain| *5 (|String|)) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *6))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| *3 (|List| *3))) (|isDomain| *1 (|FunctionSpaceIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Float|)) (|isDomain| *6 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalIntegrationProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *5 (|Float|)) (|isDomain| *6 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|String|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Symbol|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|IntegrationResult| (|Fraction| *5))) (|isDomain| *1 (|RationalIntegration| *4 *5)) (|isDomain| *3 (|Fraction| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|CharacteristicZero|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|Expression| *5) (|List| (|Expression| *5)))) (|isDomain| *1 (|IntegrationResultRFToFunction| *5)))) ((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Polynomial| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *2 *4)) (|ofCategory| *4 (|PolynomialCategory| *3 (|IndexedExponents| *2) *2)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TaylorSeries| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| (QUOTE |x|))) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (OR (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|ofCategory| *3 (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|ofCategory| *3 (|PrimitiveFunctionCategory|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|has| *3 (SIGNATURE |variables| ((|List| *2) *3))) (|has| *3 (SIGNATURE |integrate| (*3 *3 *2))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (OR (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|ofCategory| *3 (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|ofCategory| *3 (|PrimitiveFunctionCategory|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|has| *3 (SIGNATURE |variables| ((|List| *2) *3))) (|has| *3 (SIGNATURE |integrate| (*3 *3 *2))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (OR (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|ofCategory| *3 (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|ofCategory| *3 (|PrimitiveFunctionCategory|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|has| *3 (SIGNATURE |variables| ((|List| *2) *3))) (|has| *3 (SIGNATURE |integrate| (*3 *3 *2))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *7))) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *6 *4)) (|ofCategory| *5 (|PolynomialFactorizationExplicit|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *5 *6 *4 *7))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|DoubleFloat|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|Fraction| (|Factored| (|Polynomial| *4)))) (|isDomain| *1 (|RationalFunctionFactorizer| *4))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |gcd| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SetCategory|)) (|isDomain| *2 (|String|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |minor| (|List| (|PositiveInteger|))) (|:| |eq| *3) (|:| |minors| (|List| (|List| (|PositiveInteger|)))) (|:| |ops| (|List| *3)))) (|isDomain| *1 (|AssociatedEquations| *5 *3)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
-(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |basis| (|Matrix| *6)) (|:| |basisDen| *6) (|:| |basisInv| (|Matrix| *6))))) (|isDomain| *1 (|ChineseRemainderToolsForIntegralBases| *5 *6 *7)) (|isDomain| *3 (|Record| (|:| |basis| (|Matrix| *6)) (|:| |basisDen| *6) (|:| |basisInv| (|Matrix| *6)))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *7 (|List| *7))) (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|NumberTheoreticPolynomialFunctions| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *3 *1) (|partial| AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *2))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|FileCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1) (|isDomain| *1 (|Library|)))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DrawComplex|))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *5 *5 *6 *7 *8 *8 *3) (AND (|isDomain| *6 (|List| (|Boolean|))) (|isDomain| *7 (|Matrix| (|DoubleFloat|))) (|isDomain| *8 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
-(((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined")) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *5)) (|:| |vec| (|Vector| (|List| (|PositiveInteger|)))))) (|isDomain| *1 (|AssociatedEquations| *5 *3)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RomanNumeral|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RomanNumeral|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Mapping| (|List| *4) *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|StreamTensor| *4))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 *2)) (|ofType| *6 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *5 *6 *5 *4 *7 *3) (AND (|isDomain| *4 (|Matrix| (|Integer|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *7 (|Matrix| (|DoubleFloat|))) (|isDomain| *3 (|Integer|)) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|))) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|TangentExpansions| *2)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *5 *6 *6 *7 *7 *3) (AND (|isDomain| *4 (|List| (|Boolean|))) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Matrix| (|Integer|))) (|isDomain| *7 (|DoubleFloat|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|Record| (|:| |height| (|Integer|)) (|:| |base| (|Integer|)) (|:| |quotient| (|Integer|)) (|:| |reste| (|Integer|)) (|:| |type| (|Union| "left" "center" "right" "vertical" "horizontal")))) (|isDomain| *1 (|NewtonPolygon| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |height| (|Integer|)) (|:| |base| (|Integer|)) (|:| |quotient| (|Integer|)) (|:| |reste| (|Integer|)) (|:| |type| (|Union| "left" "center" "right" "vertical" "horizontal")))) (|isDomain| *1 (|NewtonPolygon| *4 *5 *6 *7))))) 
-(((*1 *2 *3 *1) (|partial| AND (|ofCategory| *1 (|KeyedDictionary| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|DataList| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *5 *2)) (|ofCategory| *4 (|Type|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *6 *7 *2)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|DirectProductCategory| *5 *6)) (|ofCategory| *2 (|DirectProductCategory| *4 *6))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Vector| *5))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|RepresentationPackage2| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Finite|)) (|ofCategory| *5 (|Ring|))))) 
-(((*1 *2 *3 *4 *3 *5 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerPackage| *4 *5 *6 *2)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Automorphism| *6)) (|isDomain| *5 (|Mapping| *6 *6)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| R (|Matrix| *6)) (|:| A (|Matrix| *6)) (|:| |Ainv| (|Matrix| *6)))) (|isDomain| *1 (|PseudoLinearNormalForm| *6)) (|isDomain| *3 (|Matrix| *6))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|isDomain| *1 (|TangentExpansions| *3)) (|ofCategory| *3 (|Field|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|MonogenicAlgebra| *3 *4)) (|isDomain| *1 (|InfiniteProductFiniteField| *3 *4 *5 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *1 (|InfiniteProductPrimeField| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *3))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1) (|ofCategory| *1 (|StepThrough|)))) 
-(((*1 *2 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| *4)))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|FourierComponent| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|isDomain| *1 (|PackageForPoly| *4 *3 *2 *5)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *2)) (|ofType| *5 (|NonNegativeInteger|))))) 
-(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *6 (|Field|)) (|isDomain| *4 (|TaylorSeries| *6)) (|isDomain| *2 (|Mapping| (|Stream| *4) (|Stream| *4))) (|isDomain| *1 (|WeierstrassPreparation| *6)) (|isDomain| *5 (|Stream| *4))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *6 *6)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *4 (|List| *6)) (|isDomain| *2 (|Record| (|:| |fs| (|Boolean|)) (|:| |sd| *4) (|:| |td| (|List| *4)))) (|isDomain| *1 (|TableauxBumpers| *6)) (|isDomain| *5 (|List| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 (|List| *5))) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Mapping| (|Stream| *4) (|List| (|Stream| *4)))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *5))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|PolynomialIdeals| *3 *4 *5 *6))) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *1 *2 *3 *3 *3 *4) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|ofCategory| *1 (|FiniteDivisorCategory| *4 *3 *5 *2)) (|ofCategory| *2 (|FunctionFieldCategory| *4 *3 *5)))) ((*1 *1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *1 (|FiniteDivisorCategory| *2 *4 *5 *6)) (|ofCategory| *6 (|FunctionFieldCategory| *2 *4 *5)))) ((*1 *1 *2 *2) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|ofCategory| *1 (|FiniteDivisorCategory| *2 *3 *4 *5)) (|ofCategory| *5 (|FunctionFieldCategory| *2 *3 *4)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *2)) (|ofCategory| *2 (|FunctionFieldCategory| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FractionalIdeal| *4 (|Fraction| *4) *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|DisplayPackage|))))) 
-(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Partition|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))) (|isDomain| *1 (|ODEIntensityFunctionsTable|))))) 
-(((*1 *1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|BasicStochasticDifferential|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *5 *3)) (|ofCategory| *4 (|Type|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|Monoid|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Record| (|:| |center| *5) (|:| |equation| *5)))) (|isDomain| *1 (|PrimitiveRatDE| *4 *5 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |center| *4) (|:| |equation| *4)))) (|isDomain| *1 (|PrimitiveRatDE| *5 *4 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Record| (|:| |center| *5) (|:| |equation| *5)))) (|isDomain| *1 (|PrimitiveRatDE| *4 *5 *6 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |center| *4) (|:| |equation| *4)))) (|isDomain| *1 (|PrimitiveRatDE| *5 *4 *6 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *4)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *2 (|List| (|Segment| (|DoubleFloat|)))) (|isDomain| *1 (|PlotTools|))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
-(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|Cell| *2)) (|ofCategory| *2 (|RealClosedField|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|MoreSystemCommands|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|ParametricSurface| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *4 *4 *3 *4 *5 *4 *4 *3 *3 *3 *3 *6 *3 *7) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNumericEigenPackage| *4 *5 *6)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UniversalSegment| *3)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp50| LSFUN1)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Segment| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Fraction| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|PrimitiveRatDE| *5 *2 *3 *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|PrimitiveRatDE| *5 *2 *3 *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ElementaryFunction| *4 *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *4) (|RadicalCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *3 *3 *4 *5 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *5 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *6 *7 *4)) (|ofCategory| *9 (|RegularTriangularSetCategory| *6 *7 *4 *8)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|Record| (|:| |val| *8) (|:| |tower| *9)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *6 *7 *4 *8 *9))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *3 (|Vector| *1)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *1 (|MonogenicAlgebra| *5 *6)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Matrix| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *3 (|PartialDifferentialRing| *6)) (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *6 *3 *7 *4)) (|ofCategory| *7 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *6) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|d03AgentsPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *3 *2 *4 *5)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *3 *4)))) ((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *4 *2 *5 *6 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *2 *6 *7 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *6)) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PermutationGroup| *3))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *3))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
 (((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monad|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|RetractableTo| *3)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2 *2) (AND (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *4 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *4 *2)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PrimitiveFunctionCategory|)) (|isDomain| *2 (|Symbol|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|SegmentBinding| *1)) (|ofCategory| *1 (|PrimitiveFunctionCategory|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Matrix| *6))) (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|RepresentationPackage2| *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *6 (|Ring|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Matrix| *4))) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|RepresentationPackage2| *4)) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|RepresentationPackage2| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *4 *5 *3)) (|isDomain| *2 (|Record| (|:| |under| *1) (|:| |floor| *1) (|:| |upper| *1))) (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *3 *6))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|GcdDomain|)) (|isDomain| *1 (|CylindricalAlgebraicDecompositionUtilities| *3 *4))))) 
 (((*1 *2 *1 *3 *3 *4) (AND (|isDomain| *3 (|Mapping| (|OutputForm|) (|OutputForm|) (|OutputForm|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|ListMonoidOps| *5 *6 *7)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|AbelianMonoid|)) (|ofType| *7 *6))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|SparseUnivariateSkewPolynomial| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Automorphism| *3)) (|ofType| *5 (|Mapping| *3 *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp19| LSFUN2)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *2 *3 *4 *5 *6 *7 *7 *8) (AND (|isDomain| *3 (|Record| (|:| |det| *12) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) (|isDomain| *4 (|Matrix| *12)) (|isDomain| *5 (|List| (|Fraction| (|Polynomial| *9)))) (|isDomain| *6 (|List| (|List| *12))) (|isDomain| *7 (|NonNegativeInteger|)) (|isDomain| *8 (|Integer|)) (|ofCategory| *9 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *12 (|PolynomialCategory| *9 *11 *10)) (|ofCategory| *10 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *11 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |eqzro| (|List| *12)) (|:| |neqzro| (|List| *12)) (|:| |wcond| (|List| (|Polynomial| *9))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *9)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *9))))))))) (|isDomain| *1 (|ParametricLinearEquations| *9 *10 *11 *12))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *6)) (|ofCategory| *6 (|Join| (|SetCategory|) (|RetractableTo| *5))) (|ofCategory| *5 (|PatternMatchable| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| (|Boolean|) *5)) (|isDomain| *1 (|PatternMatchPushDown| *4 *5 *6))))) 
 (((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *1 *1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *3) (|Finite|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (|partial| AND (|ofCategory| *5 (|RetractableTo| (|AlgebraicNumber|))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|FunctionSpace| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|isDomain| *1 (|FunctionSpaceUnivariatePolynomialFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
 (((*1 *2) (AND (|isDomain| *2 (|Stack| (|String|))) (|isDomain| *1 (|FortranOutputStackPackage|))))) 
+(((*1 *2 *2 *2 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *5 *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Mapping| *5)) (|isDomain| *1 (|MappingPackage2| *4 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
 (((*1 *2 *2 *3) (|partial| AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *2 *3)) (|ofCategory| *2 (|Type|)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Equation| (|OnePointCompletion| *3))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|OnePointCompletion| *3)) (|isDomain| *1 (|PowerSeriesLimitPackage| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|OnePointCompletion| (|Polynomial| *5)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|OnePointCompletion| (|Fraction| (|Polynomial| *5)))) (|isDomain| *1 (|RationalFunctionLimitPackage| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|OnePointCompletion| *3)) (|isDomain| *1 (|RationalFunctionLimitPackage| *5))))) 
 (((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *3 *5) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp24| FUNCT1)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|EuclideanGroebnerBasisPackage| *4 *5 *6 *2))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|CombinatorialFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|InnerModularGcd| *4 *2 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofType| *5 *4) (|ofType| *6 (|Mapping| *4 *4 (|NonNegativeInteger|)))))) 
 (((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *2))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|SparseEchelonMatrix| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|List| (|Integer|)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|isDomain| *3 (|Integer|)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
+(((*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|))))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3 *4 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *1 *2 *3 *3 *4 *5) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *3 (|List| (|Palette|))) (|isDomain| *4 (|List| (|PositiveInteger|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *2 *3 *3 *4) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *3 (|List| (|Palette|))) (|isDomain| *4 (|List| (|PositiveInteger|))) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *1) (|isDomain| *1 (|GraphImage|)))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)) (|isDomain| *3 (|List| (|Point| (|DoubleFloat|)))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)) (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|DisplayPackage|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *1 (|DisplayPackage|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Segment| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegrationResult| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *1) (|isDomain| *1 (|Boolean|)))) 
 (((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ThreeSpaceCategory| *3))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Record| (|:| |high| (|List| (|Symbol|))) (|:| |low| (|List| (|Symbol|))))) (|isDomain| *1 (|UserDefinedVariableOrdering|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7))))) 
+(((*1 *2 *3 *1) (|partial| AND (|isDomain| *3 (|Mapping| (|Boolean|) *2)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *4 *6) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|Integer|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|)))) ((*1 *2 *3 *3 *3 *4 *5 *4 *6 *7) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|Integer|)) (|isDomain| *7 (|String|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Integer|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|)))) ((*1 *2 *3 *3 *3 *4 *5 *6 *7 *8) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Integer|)) (|isDomain| *8 (|String|)) (|isDomain| *2 (|TubePlot| (|Plot3D|))) (|isDomain| *1 (|ExpressionTubePlot|))))) 
 (((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *6 *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *4 *5)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6)) (|ofCategory| *5 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *1 *2 *1) (AND (|ofCategory| *1 (|AbelianGroup|)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|AbelianSemiGroup|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|Color|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|Color|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|DenavitHartenbergMatrix| *3)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|SemiGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|SemiGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *3) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|CancellationAbelianMonoid|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|FreeModule1| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *3) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *7 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *6)) (|Record| (|:| |index| *5) (|:| |exponent| *6)))) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *5 *6 *7 *2)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *3))))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *3)))) ((*1 *1 *1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|InnerTaylorSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|InnerTaylorSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|LeftModule| *2)) (|ofCategory| *2 (|Rng|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *6)) (|isDomain| *4 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Mapping| *7 *5)) (|isDomain| *1 (|MappingPackage3| *5 *6 *7)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| *4 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MappingPackage4| *3 *4)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *2 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|Monad|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *4 *5)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RightModule| *2)) (|ofCategory| *2 (|Rng|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Matrix| (|Fraction| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Matrix| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SemiGroup|))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *2 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|DirectProductCategory| *3 *4)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *2 (|DirectProductCategory| *3 *4)))) ((*1 *1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *4 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 (|IndexedExponents| *4) *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Monoid|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|VectorCategory| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|AbelianGroup|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *2)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|GcdDomain|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|GcdDomain|))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|HeuGcd| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *5 *3 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *1 (|PolynomialGcdPackage| *4 *5 *6 *2)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|PolynomialCategory| *5 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *1 (|PolynomialGcdPackage| *3 *4 *5 *6)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| *7))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *1 (|PolynomialGcdPackage| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)))) ((*1 *1 *1 *1) (|isDomain| *1 (|PositiveInteger|))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|PrimitiveArray| (|U32Vector|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
+(((*1 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|Partition|))))) 
 (((*1 *2 *1 *1) (AND (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Vector| *4))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *4 *5 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|List| (|Point| *3)))))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |prime| (|Integer|)) (|:| |factors| (|List| *3)))) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Boolean|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|Any|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3 *3) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|))))) 
 (((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|InputForm|))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|PrimitiveArray| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4))))) 
+(((*1 *2 *1 *3 *3 *2) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *4 *5)) (|ofCategory| *2 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)))) ((*1 *2 *1 *3 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|EltableAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|OpenMathErrorKind|)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *1 (|OpenMathError|))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *3 *3 *3 *4 *5 *5 *5 *5 *5 *5 *6 *6 *6 *3 *3 *5 *7 *3 *8) (AND (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Boolean|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp20| QPHESS)))) (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedRing|)) (|isDomain| *1 (|ExpertSystemToolsPackage1| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|OpenMathPackage|)) (|isDomain| *3 (|String|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Cell| *5)) (|ofCategory| *5 (|RealClosedField|)) (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *5))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Kernel| *7)) (|ofCategory| *7 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| *2) (|RetractableTo| *5) (|PartialDifferentialRing| *5) (|CombinatorialOpsCategory|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RecurrenceOperator| *6 *7))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Boolean|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *3 *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *3 *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Mapping| *6 (|List| *6))) (|isDomain| *1 (|UTSodetools| *4 *5 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| *4))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |answer| *3) (|:| |polypart| *3))) (|isDomain| *1 (|TranscendentalIntegration| *5 *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|LazardSetSolvingPackage| *3 *4 *5 *6 *7 *2)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *2 (|SquareFreeRegularTriangularSetCategory| *3 *4 *5 *6))))) 
+(((*1 *2 *3 *4 *3 *4 *4 *4 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|GraphImage|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 |RationalNumber|) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|SegmentBinding| *1)) (|ofCategory| *1 (|CombinatorialOpsCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|CombinatorialOpsCategory|)) (|isDomain| *2 (|Symbol|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|GradedAlgebra| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|))))) 
 (((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|CRApackage| *3))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1 *2 *1 *1 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *1 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *3 *3 *4 *4 *3 *3 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|isDomain| *1 (|AlgebraicManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *4 (|Kernel| $)))))))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|d03AgentsPackage|)) (|isDomain| *3 (|Symbol|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|List| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|isDomain| *1 (|MappingPackage1| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|List| *5) (|List| *5))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|MappingPackage1| *5)) (|ofCategory| *5 (|SetCategory|))))) 
 (((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *3))))) 
+(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|GraphImage|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *3 *6 *6 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| (|Symbol|)) (|:| |c| (|XPolynomial| *3))))) (|isDomain| *1 (|XPolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| *3) (|:| |c| (|XRecursivePolynomial| *3 *4))))) (|isDomain| *1 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Integer|) (|Integer|))) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|NonNegativeInteger|) (|NonNegativeInteger|))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
 (((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef| *4) (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |coef| *3) (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *1 *3 *3 *4 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *3 *4 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|)))) ((*1 *2 *3 *3 *4 *3 *3 *3 *3 *3 *3 *3 *5 *3 *6 *7 *8) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp27| DOT)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| IMAGE)))) (|isDomain| *8 (|FileName|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|TaylorSeries| *5))) (|isDomain| *1 (|WeierstrassPreparation| *5)) (|isDomain| *4 (|TaylorSeries| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpertSystemContinuityPackage1| *4 *5)) (|ofType| *4 *3) (|ofType| *5 *3))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
 (((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|SplittingNode| *4 *5)) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingTree| *4 *5))))) 
+(((*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|Switch|))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|RationalLODE| *4 *2)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *2 (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|RationalLODE| *4 *2)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|)))))))) 
-(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *3 *3 *5 *6 *3 *6 *6 *5 *6 *6 *6 *6 *5 *3 *3 *3 *3 *3 *6 *6 *6 *3 *3 *3 *3 *3 *7 *4 *4 *4 *4 *3 *8 *9) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp55| CONFUN)))) (|isDomain| *9 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *5 *7)) (|isDomain| *4 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *2 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *4 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *3 *4 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|NumberFormats|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *1 (|MappingPackageInternalHacks2| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|FunctionSpace| *4)) (|isDomain| *2 (|Union| (|:| |overq| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|:| |overan| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|:| |failed| (|Boolean|)))) (|isDomain| *1 (|FunctionSpaceUnivariatePolynomialFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|))))) 
+(((*1 *1 *1 *2 *1) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|UniversalSegment| (|Integer|)))))) 
+(((*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *1 (|FiniteLinearAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *1 (|MappingPackageInternalHacks2| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|DesingTreeCategory| *3)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|DesingTreeCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|DesingTreeCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|Tree| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Tree| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|List| (|Tree| *2))) (|isDomain| *1 (|Tree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *4) (|:| |ineq| (|List| *9)))) (|isDomain| *1 (|QuasiComponentPackage| *6 *7 *8 *9 *4)) (|isDomain| *3 (|List| *9)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *9)))) ((*1 *2 *3 *4 *3 *5 *5 *5 *5 *5) (|partial| AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *4) (|:| |ineq| (|List| *9)))) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *6 *7 *8 *9 *4)) (|isDomain| *3 (|List| *9)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *9))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $)))))))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|GcdDomain|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|GcdDomain|))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|PrimitiveArray| (|U32Vector|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|))))) 
+(((*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|))) ((*1 *1 *1 *2 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|))))) 
 (((*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4 *5 *3 *6 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Complex| (|DoubleFloat|))) (|isDomain| *6 (|String|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Record| (|:| |Indices| (|List| *4)) (|:| |Entries| (|List| *5)))) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SparseEchelonMatrix| *4 *5))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Kernel| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Kernel| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PatternMatchable| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatch| *5 *6 *4)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
 (((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|Any|)) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|SortedCache| *3)) (|ofCategory| *3 (|CachableSet|))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *3 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *2 *3 *2 *3 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Record| (|:| |Indices| (|List| *4)) (|:| |Entries| (|List| *5)))) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SparseEchelonMatrix| *4 *5))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|PolynomialDecomposition| *2 *3)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *3))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SparseEchelonMatrix| *4 *5)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |discriminant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *5 (|FiniteAlgebraicExtensionField| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|NormRetractPackage| *4 *5 *6 *3 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofType| *7 (|PositiveInteger|))))) 
 (((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| *5))) (|isDomain| *1 (|FloatingRealPackage| *5)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|StochasticDifferential| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *6 *4 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Matrix| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TemplateUtilities|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Vector| *4))) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|RepresentationPackage2| *4))))) 
 (((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|))))) 
+(((*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|IndexedBits| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|isDomain| *2 (|FractionalIdeal| *4 (|Fraction| *4) *5 *6)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *6)) (|ofCategory| *6 (|Join| (|FramedAlgebra| *4 *5) (|RetractableTo| *4))) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|FractionalIdeal| *3 *4 *5 *6)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *1 (|Product| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ExtAlgBasis|))))) 
+(((*1 *2 *3 *4 *4 *5 *4 *4 *5) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLapack|))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|RealClosedField|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1) (|:| |generator| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *4 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|NormRetractPackage| *3 *4 *5 *2 *6)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|ofType| *6 (|PositiveInteger|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ExtensionField| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Finite|))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|XPolynomialsCat| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|OrderedFreeMonoid| *3)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|OrderedMonoid|)) (|isDomain| *1 (|XPolynomialRing| *3 *2)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1) (|isDomain| *1 (|SubSpaceComponentProperty|))) ((*1 *1 *2 *2 *2) (AND (|isDomain| *2 (|String|)) (|ofCategory| *1 (|FileNameCategory|)))) ((*1 *1) (|isDomain| *1 (|ScriptFormulaFormat|))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PatternMatchListResult| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|ListAggregate| *3)))) ((*1 *1) (AND (|isDomain| *1 (|PatternMatchResult| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|SparseEchelonMatrix| *4 *5)) (|ofCategory| *5 (|Ring|)))) ((*1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1) (|isDomain| *1 (|Symbol|))) ((*1 *1) (|isDomain| *1 (|Symbol|))) ((*1 *1) (|isDomain| *1 (|TexFormat|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|RepeatedSquaring| *2)) (|ofCategory| *2 (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE * ($ $ $)))))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Multiset| *3)))) ((*1 *1 *2) (AND (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|))))) 
 (((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Record| (|:| |ans| *6) (|:| |right| *6) (|:| |sol?| (|Boolean|))) (|Integer|) *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Union| (|Record| (|:| |answer| (|Fraction| *7)) (|:| |a0| *6)) (|Record| (|:| |ratpart| (|Fraction| *7)) (|:| |coeff| (|Fraction| *7))) "failed")) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *1 (|HeuGcd| *3))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *1 (|DrawOptionFunctions1| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|RationalFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|UnivariateFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|DifferentialVariableCategory| *3)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|SubSpaceComponentProperty|)))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| *2))) (|isDomain| *2 (|Pattern| *3)) (|isDomain| *1 (|RewriteRule| *3 *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| *2)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|ofCategory| *2 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *3 *2)) (|ofCategory| *3 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|List| *3)) (|ofCategory| *3 (|Type|))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *10)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (|ofCategory| *3 (|DesingTreeCategory| *11))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *2 (|List| (|PrimitiveArray| (|DoubleFloat|)))) (|isDomain| *1 (|BlasLevelOne|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|)))))) 
+(((*1 *1 *2 *3 *1) (AND (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *5) (|:| |exponent| *3)) (|Record| (|:| |index| *5) (|:| |exponent| *3)))) (|isDomain| *1 (|GeneralModulePolynomial| *4 *2 *5 *3 *6 *7)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *2 *3 (|OrderedVariableList| *4)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|DoubleFloat|))) (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
 (((*1 *2 *3 *4 *5 *6 *7 *8 *9) (|partial| AND (|isDomain| *4 (|List| *11)) (|isDomain| *5 (|List| (|SparseUnivariatePolynomial| *9))) (|isDomain| *6 (|List| *9)) (|isDomain| *7 (|List| *12)) (|isDomain| *8 (|List| (|NonNegativeInteger|))) (|ofCategory| *11 (|OrderedSet|)) (|ofCategory| *9 (|EuclideanDomain|)) (|ofCategory| *12 (|PolynomialCategory| *9 *10 *11)) (|ofCategory| *10 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *12))) (|isDomain| *1 (|MultivariateLifting| *10 *11 *9 *12)) (|isDomain| *3 (|SparseUnivariatePolynomial| *12))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *3 *2 *3) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *2 *4 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *2 *3 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *2 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|SymbolTable|)))) ((*1 *2 *3 *2 *1) (AND (|isDomain| *2 (|FortranType|)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2))))) 
 (((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Vector| (|Union| (|GraphImage|) "undefined"))) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|NewtonPolygon| *4 *3 *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| (|Integer|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerLinearDependence| *4))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Tableau| *3))))) 
 (((*1 *2 *1) (AND (|isDomain| *1 (|ContinuedFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RealNumberSystem|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |den| (|Integer|)) (|:| |gcdnum| (|Integer|)))) (|isDomain| *1 (|PointsOfFiniteOrderTools| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *2 *3 *4 *3 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
 (((*1 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|not| (|has| *1 (ATTRIBUTE |arbitraryPrecision|))) (|not| (|has| *1 (ATTRIBUTE |arbitraryExponent|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|OrderedSet|))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PriorityQueueAggregate| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Expression| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|isDomain| *4 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *5 (|Field|))))) 
+(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
 (((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *2 *2) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|UniversalSegment| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|CliffordAlgebra| *4 *2 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|QuadraticForm| *4 *2)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Expression| *3)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|CancellationAbelianMonoid|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|FreeModuleCat| *2 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MonogenicLinearOperator| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|MonoidRing| *2 *3)) (|ofCategory| *3 (|Monoid|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *5)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *6)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|BasicStochasticDifferential|)) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|PolynomialCategory| *4 (|IndexedExponents| *5) *5)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *4 *5 *2)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Polynomial| *4)) (|isDomain| *1 (|TaylorSeries| *4)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *1 (|NormalizationPackage| *4 *5 *6 *2 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *2))))) 
 (((*1 *2 *3 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *4)) (|:| |coordinates| (|List| (|Polynomial| *4)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *5)) (|:| |coordinates| (|List| (|Polynomial| *5)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|isDomain| *3 (|List| (|Polynomial| *5))) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|Record| (|:| |complexRoots| (|SparseUnivariatePolynomial| *4)) (|:| |coordinates| (|List| (|Polynomial| *4)))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *2 (|List| (|Polynomial| *5))) (|isDomain| *1 (|FunctionFieldCategory&| *4 *5 *6 *7)) (|ofCategory| *4 (|FunctionFieldCategory| *5 *6 *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *5 *6)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| (|Polynomial| *4)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
 (((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|PermutationCategory| *3))))) 
+(((*1 *2 *3 *4 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|Logic|))) ((*1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
 (((*1 *2 *1 *1 *3 *4) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|isDomain| *4 (|Mapping| (|Boolean|) *6 *6)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *6 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *5 *6))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *4 *3 *4 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *1 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| *1) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| *1) (|:| |gap| (|NonNegativeInteger|)) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Fraction| (|Polynomial| *4)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3))))) 
+(((*1 *2 *3 *4 *3 *5 *5 *3 *5 *4) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|PositiveInteger|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Record| (|:| |close| (|List| *6)) (|:| |open| (|List| *6))))))) 
 (((*1 *2 *3 *2) (AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *4 *2)) (|ofCategory| *2 (|LeftModule| *4)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Union| (|SparseUnivariatePolynomial| *4) (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|))))))) (|isDomain| *1 (|FiniteFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FGLMIfCanPackage| *4 *5)) (|ofType| *5 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *5)))) (|ofCategory| *4 (|GcdDomain|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LexTriangularPackage| *4 *5))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|ofCategory| *8 (|UnivariatePolynomialCategory| (|Fraction| *7))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|AlgebraicIntegrate| *5 *6 *7 *8 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *6 *7 *8))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 *2)) (|ofType| *6 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *3 *3 *4 *3 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
 (((*1 *2 *1 *3) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *8))) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *8)) (|:| |badPols| (|List| *8)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8))))) 
+(((*1 *2 *3 *3 *4 *3 *5 *3 *5 *4 *5 *5 *4 *4 *5 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Expression| *5))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Expression| *5)))) (|isDomain| *1 (|RadicalSolvePackage| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|InternalPrintPackage|))))) 
 (((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
+(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
+(((*1 *2 *3 *4 *5 *6 *3 *3 *3 *3 *6 *3 *7 *8) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp28| APROD)))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp34| MSOLVE)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *1)) (|isDomain| *4 (|Vector| *1)) (|ofCategory| *1 (|LinearlyExplicitRingOver| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *5)) (|:| |vec| (|Vector| *5)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *1)) (|ofCategory| *1 (|LinearlyExplicitRingOver| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Matrix| *4))))) 
 (((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|RealClosedField|)) (|isDomain| *1 (|SimpleCell| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4 *3 *4 *5 *3 *4 *3 *3 *3 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranTemplate|))))) 
 (((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *3 *4 *4 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Character|))) (|isDomain| *1 (|CharacterClass|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|CharacterClass|))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4 *3 *3 *3 *3 *5 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp30| APROD)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagLinearEquationSolvingPackage|))))) 
+(((*1 *2 *2 *3 *3) (|partial| AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|InverseLaplaceTransform| *4 *2)) (|ofCategory| *2 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|SpecialFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4)))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Vector| (|NonNegativeInteger|))) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *6) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *6)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *7) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| *8) (|:| |order| (|NonNegativeInteger|)))) (|List| *6) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|Field|)) (|ofType| *11 (|Mapping| *8 *6)) (|ofCategory| *9 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *10 (|Mapping| *6 *9)) (|isDomain| *2 (|List| (|Record| (|:| |function| *8) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *6 *7 *8 *9 *10 *11)) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *8 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *9) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| *9) (|:| |order| (|NonNegativeInteger|)))) (|List| *7) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|Field|)) (|ofType| *12 (|Mapping| *9 *7)) (|ofCategory| *10 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *11 (|Mapping| *7 *10)) (|isDomain| *2 (|List| (|Record| (|:| |function| *9) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *7 *8 *9 *10 *11 *12)) (|ofCategory| *8 (|GcdDomain|)) (|ofCategory| *9 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *10) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *6 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *6 (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *6 (|Integer|))))) (|ofType| *6 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *6 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *6)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|List| (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *7 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *7 (|Integer|)))) (|List| (|GuessOption|))))) (|isDomain| *5 (|List| (|Symbol|))) (|isDomain| *6 (|List| (|GuessOption|))) (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *7 (|Integer|))))) (|ofType| *7 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *7 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *7))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |factor| (|Integer|)) (|:| |exponent| (|Integer|)))))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|CartesianTensor| *5 *6 *7)) (|ofType| *5 (|Integer|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|CommutativeRing|)) (|ofCategory| *8 (|CommutativeRing|)) (|isDomain| *2 (|CartesianTensor| *5 *6 *8)) (|isDomain| *1 (|CartesianTensorFunctions2| *5 *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *9)) (|ofCategory| *9 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *2 (|PolynomialCategory| *9 *7 *5)) (|isDomain| *1 (|MPolyCatFunctions2| *5 *6 *7 *8 *9 *4 *2)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *8 *6 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *2)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|HeuGcd| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2))))) 
 (((*1 *2 *1 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranType|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *3 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|FractionalIdeal| *3 *4 *5 *6)) (|ofCategory| *6 (|RetractableTo| *4)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|FramedAlgebra| *4 *5)) (|ofType| *7 (|Vector| *6)) (|isDomain| *1 (|FramedModule| *3 *4 *5 *6 *7)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *6)) (|ofCategory| *6 (|FramedAlgebra| *4 *5)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|FramedModule| *3 *4 *5 *6 *7)) (|ofType| *7 *2)))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *2 (|List| (|RewriteRule| *3 *4 *5))) (|isDomain| *1 (|Ruleset| *3 *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3))))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Mapping| *5 *5)) (|isDomain| *1 (|ODEIntegration| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|)))))) 
 (((*1 *2 *1 *3) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|DictionaryOperations| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|DictionaryOperations| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|RoutinesTable|)) (|isDomain| *3 (|String|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|SubSpace| 3 *3)))) ((*1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)) (|ofCategory| *3 (|FiniteFieldCategory|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| *2))) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4))))) 
-(((*1 *2 *3 *4 *4 *5 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1) (|isDomain| *1 (|OpenMathEncoding|)))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|OutputForm|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *2 *2 *2 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *2 *2 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *2 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Mapping| (|DoubleFloat|) (|DoubleFloat|)))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *4 *5))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *3))))) 
 (((*1 *2 *3 *4 *2 *2 *2 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *6 *2))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Cell| *3)) (|ofCategory| *3 (|RealClosedField|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|RealClosedField|)) (|isDomain| *1 (|SimpleCell| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Fraction| *3))) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| *4)))) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|NonAssociativeRng|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Record| (|:| |num| (|Vector| *4)) (|:| |den| *4)))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Color|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Result|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|RealClosedField|)) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|SimpleCell| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
 (((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *3 *4 *5 *3 *3 *4 *4 *4 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| *7 *5 *6)) (|isDomain| *1 (|MakeBinaryCompiledFunction| *3 *5 *6 *7)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MakeUnaryCompiledFunction| *3 *5 *6)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|))))) 
 (((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|ofCategory| *2 (|FunctionSpace| *5)) (|isDomain| *1 (|ExpressionSolve| *5 *2 *6 *7)) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *7 (|UnivariateTaylorSeriesCategory| (|SparseUnivariatePolynomialExpressions| *2)))))) 
+(((*1 *2 *3 *4 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *1 *2 *1) (|partial| AND (|isDomain| *2 (|BasicStochasticDifferential|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
 (((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|ODETools| *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(((*1 *2 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *1 *1 *2 *2 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3 *3 *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *3)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|isDomain| *1 (|BalancedBinaryTree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3))))) 
 (((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|CRApackage| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|GeneralPolynomialGcdPackage| *3 *4 *2 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2) (AND (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2) (AND (|ofCategory| *2 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|Record| (|:| |adjMat| *3) (|:| |detMat| *4))) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *3)) (|ofCategory| *3 (|LeftModule| *2)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *3)) (|ofCategory| *3 (|LeftModule| *2)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
 (((*1 *2 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|BinaryFile|))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|PackageForPoly| *4 *5 *6 *7)) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |constant| *5) (|:| |eq| *3)))) (|isDomain| *1 (|PrimitiveRatRicDE| *5 *6 *3 *7)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *6)))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Polynomial| *3))))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
 (((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)) (|ofCategory| *3 (|FiniteFieldCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *4 (|CommutativeRing|))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
 (((*1 *2 *2) (AND (|isDomain| *1 (|IntegerPrimesPackage| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|LaplaceTransform| *4 *2)) (|ofCategory| *2 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4)))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *4 *4 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| G)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagIntegrationPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|GraphImage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|List| *6))) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *3 *4 *5 *6))))) 
 (((*1 *1 *2) (|partial| AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| (|Boolean|) *8 *8)) (|isDomain| *4 (|Mapping| *8 *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *5 *6 *7 *8))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |det| *8) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1 *1 *3) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *3 (|Character|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Record| (|:| |base| *3) (|:| |exponent| (|NonNegativeInteger|)))) (|isDomain| *1 (|IntegerRoots| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *5 *5 *5 *3 *5 *5 *3 *6 *3 *3 *3) (AND (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *2 *2 *3 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
 (((*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Record| (|:| |zeros| (|Stream| (|DoubleFloat|))) (|:| |ones| (|Stream| (|DoubleFloat|))) (|:| |singularities| (|Stream| (|DoubleFloat|))))) (|isDomain| *1 (|BasicFunctions|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|NumericRealEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
 (((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|SingleInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|Color|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Complex| *4))) (|isDomain| *1 (|NumericComplexEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|FortranPackage|))))) 
 (((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|FreeGroup| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|FreeMonoid| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4)))) 
-(((*1 *2 *1 *3 *3 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *2 (|List| (|Fraction| (|Integer|)))) (|isDomain| *1 (|RealZeroPackage| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1) (|isDomain| *1 (|Color|)))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|AbelianSemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| (|Integer|)) (|:| |var| (|Kernel| *1)))) (|ofCategory| *1 (|FunctionSpace| *3))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *1 *3 *3 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *3 *4 *5) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SparseEchelonMatrix| *4 *5)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *12)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *12)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfClsPt| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Matrix| (|Polynomial| *4))) (|isDomain| *1 (|RepresentationPackage1| *4)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| (|Integer|)))) (|isDomain| *1 (|CyclotomicPolynomialPackage|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *6 *7) (|partial| AND (|isDomain| *5 (|Symbol|)) (|isDomain| *6 (|Mapping| (|Union| (|Record| (|:| |mainpart| *4) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *4) (|:| |logand| *4))))) "failed") *4 (|List| *4))) (|isDomain| *7 (|Mapping| (|Union| (|Record| (|:| |ratpart| *4) (|:| |coeff| *4)) "failed") *4 *4)) (|ofCategory| *4 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedField|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| *3) (|LinearlyExplicitRingOver| *3))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|ElementaryRischDESystem| *8 *4))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealZeroPackage| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |mval| (|Matrix| *4)) (|:| |invmval| (|Matrix| *4)) (|:| |genIdeal| (|PolynomialIdeals| *4 *5 *6 *7)))) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Mapping| *2 (|NonNegativeInteger|) (|NonNegativeInteger|) *7)) (|isDomain| *4 (|Vector| *7)) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Vector| (|SparseUnivariatePolynomial| *2))) (|ofCategory| *7 (|AbelianMonoidRing| *2 *5)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *7))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
 (((*1 *1) (|isDomain| *1 (|CharacterClass|))) ((*1 *1 *1) (|isDomain| *1 (|Character|))) ((*1 *1 *1) (|ofCategory| *1 (|StringAggregate|)))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|Integer|))) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Complex| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|BagAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|BinarySearchTree| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|BinaryTournament| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))))) (|isDomain| *1 (|IntegrationFunctionsTable|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultiDictionary| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |key| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))))) (|isDomain| *1 (|ODEIntensityFunctionsTable|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|AffineAlgebraicSetComputeWithGroebnerBasis| *5 *6 *3 *7 *8)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *5 *6 *3 *7 *8)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5))))) 
+(((*1 *1) (|ofCategory| *1 (|AbelianMonoid|))) ((*1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
 (((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|Finite|)))) ((*1 *2) (AND (|isDomain| *2 (|Vector| (|SetOfMIntegersInOneToN| *3 *4))) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|))))) 
 (((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|PolynomialCategory| *3 *5 (|OrderedVariableList| *4))) (|ofCategory| *5 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *6 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *3 *4 *2 *5 *6 *7 *8 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *2 *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *3)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerBits|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GenExEuclid| *3 *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|BasicOperatorFunctions1| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|RetractableTo| (|Integer|))) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $)))))))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *1 (|FractionFreeFastGaussian| *2 *4)) (|ofCategory| *4 (|AbelianMonoidRing| *2 *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|OutputForm|) (|OutputForm|))) (|isDomain| *1 (|BasicOperator|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|OutputForm|) (|List| (|OutputForm|)))) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Mapping| (|OutputForm|) (|List| (|OutputForm|)))) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Database| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| (*2 $)) (SIGNATURE |fullDisplay| (*2 $))))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IndexCard|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|MathMLFormat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TexFormat|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TexFormat|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Union| (|Boolean|) (|List| *1))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *2 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *2 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|UnivariateFactorize| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatchResult| *4 *5)) (|ofCategory| *5 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternFunctions1| *5 *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternFunctions1| *5 *6))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|FileName|)) (|isDomain| *1 (|FortranTemplate|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|FileName|)) (|isDomain| *1 (|FortranTemplate|))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|ComplexCategory| *4)) (|ofCategory| *4 (|IntegerNumberSystem|)) (|isDomain| *1 (|ComplexIntegerSolveLinearPolynomialEquation| *4 *5)))) ((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldSolveLinearPolynomialEquation| *4 *5 *3)))) ((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| (|Integer|)))) (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|IntegerSolveLinearPolynomialEquation|)))) ((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|CombinatorialFunctionCategory|))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
 (((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|AlgebraicNumber|))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|OneDimensionalArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|OneDimensionalArrayFunctions2| *5 *2)))) ((*1 *2 *3 *1 *2 *2) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|ofCategory| *2 (|SetCategory|)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3 *1 *2) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |pol| (|SparseUnivariatePolynomial| *4)) (|:| |deg| (|PositiveInteger|)))) (|isDomain| *1 (|DegreeReductionPackage| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|))))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *6 *2)) (|isDomain| *4 (|DirectProduct| *5 *6)) (|ofType| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|DirectProductFunctions2| *5 *6 *2)))) ((*1 *1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *4 *2 *3 *5 *6 *7)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *2 *2 *3)) (|ofType| *6 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *7 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Expression| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|ofCategory| *5 (|FunctionFieldCategory| *2 *3 *4)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateFunctions2| *5 *4 *2 *6)) (|ofCategory| *4 (|FiniteLinearAggregate| *5)) (|ofCategory| *6 (|FiniteLinearAggregate| *2)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|FiniteSetAggregateFunctions2| *5 *4 *2 *6)) (|ofCategory| *4 (|FiniteSetAggregate| *5)) (|ofCategory| *6 (|FiniteSetAggregate| *2)))) ((*1 *1 *1) (|isDomain| *1 (|InnerAlgebraicNumber|))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListFunctions2| *5 *2)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|ofCategory| *8 (|FiniteLinearAggregate| *2)) (|ofCategory| *9 (|FiniteLinearAggregate| *2)) (|isDomain| *1 (|MatrixCategoryFunctions2| *5 *6 *7 *4 *2 *8 *9 *10)) (|ofCategory| *4 (|MatrixCategory| *5 *6 *7)) (|ofCategory| *10 (|MatrixCategory| *2 *8 *9)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|ModularField| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Fraction| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|MonogenicAlgebra| *3 *4)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|PlacesCategory| *4 *5)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Divisor| *1)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|PrimitiveArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|PrimitiveArrayFunctions2| *5 *2)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|ResidueRing| *3 *4 *5 *2 *6)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)) (|ofType| *6 (|List| *2)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *7 *2)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *2 (|Ring|)) (|ofType| *5 (|NonNegativeInteger|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *8 (|DirectProductCategory| *6 *7)) (|ofCategory| *9 (|DirectProductCategory| *5 *7)) (|ofCategory| *10 (|DirectProductCategory| *6 *2)) (|ofCategory| *11 (|DirectProductCategory| *5 *2)) (|isDomain| *1 (|RectangularMatrixCategoryFunctions2| *5 *6 *7 *8 *9 *4 *2 *10 *11 *12)) (|ofCategory| *4 (|RectangularMatrixCategory| *5 *6 *7 *8 *9)) (|ofCategory| *12 (|RectangularMatrixCategory| *5 *6 *2 *10 *11)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|Stream| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|StreamFunctions2| *5 *2)))) ((*1 *2 *2 *1 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|isDomain| *4 (|Mapping| (|Boolean|) *2 *2)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *2)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *5 *6 *7)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *5 *2)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|VectorFunctions2| *5 *2))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateSort| *4 *2)) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|))))))) 
+(((*1 *2 *3 *4 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Kernel| *6)) (|ofCategory| *6 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|SparseUnivariatePolynomial| *6)))) (|isDomain| *1 (|GenusZeroIntegration| *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3 *4 *4 *5 *6 *7 *8) (|partial| AND (|isDomain| *4 (|SparseUnivariatePolynomial| *11)) (|isDomain| *6 (|List| *10)) (|isDomain| *7 (|List| (|NonNegativeInteger|))) (|isDomain| *8 (|List| *11)) (|ofCategory| *10 (|OrderedSet|)) (|ofCategory| *11 (|EuclideanDomain|)) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|PolynomialCategory| *11 *9 *10)) (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|MultivariateSquareFree| *9 *10 *11 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|ResidueRing| *3 *4 *5 *2 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofType| *6 (|List| *2))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *3))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |integrand| *3) (|:| |intvar| *3)))) (|isDomain| *1 (|IntegrationResult| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *1 (|BlasLevelOne|)) (|isDomain| *3 (|DoubleFloat|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|List| (|Float|))) (|isDomain| *5 (|List| (|OrderedCompletion| (|Float|)))) (|isDomain| *6 (|List| (|Expression| (|Float|)))) (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *5 (|List| (|OrderedCompletion| (|Float|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Expression| (|Float|)))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
 (((*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Vector| *6)) (|isDomain| *4 (|Vector| (|Integer|))) (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6)) (|isDomain| *1 (|RandomDistributions| *6))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|Polynomial| *4)))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SquareMatrix| *4 *2)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *2 (|Join| (|Ring|) (CATEGORY |package| (ATTRIBUTE (|commutative| "*"))))) (|isDomain| *1 (|Permanent| *4 *2))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
 (((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IntegrationFunctionsTable|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Union| (|Fraction| (|Polynomial| *5)) (|SuchThat| (|Symbol|) (|Polynomial| *5)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|List| (|Matrix| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|EigenPackage| *5)) (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| *5))))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *3 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *3) (|:| |radicand| (|List| *3)))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *7 *3 *8)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*3 $)) (SIGNATURE |denom| (*3 $)) (SIGNATURE |coerce| ($ *3)))))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| (|Kernel| *6))) (|isDomain| *1 (|IntegrationTools| *5 *6))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *3) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *6) (|:| |polj| *6)))) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|PolynomialCategory| *4 *3 *5)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *3 *5 *6))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Matrix| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|CharacteristicPolynomialPackage| *2)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|CharacteristicPolynomialInMonogenicalAlgebra| *4 *2 *3)) (|ofCategory| *3 (|MonogenicAlgebra| *4 *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Polynomial| *5)) (|isDomain| *1 (|EigenPackage| *5)) (|ofCategory| *5 (|GcdDomain|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4)))) (|isDomain| *2 (|Polynomial| *4)) (|isDomain| *1 (|EigenPackage| *4)) (|ofCategory| *4 (|GcdDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Polynomial| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *1 (|NumericComplexEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Polynomial| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *1 (|NumericComplexEigenPackage| *5)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|NumericRealEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Integer|)))) (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|NumericRealEigenPackage| *5)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IndexedString| *3)) (|ofType| *3 *2))) ((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SetCategory|)) (|isDomain| *2 (|SingleInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
 (((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *3))) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|ProjectivePlane| *3))) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Reference| (|OrderedCompletion| (|Integer|)))) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingNode| *3 *2)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|InnerModularGcd| *4 *2 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofType| *5 *4) (|ofType| *6 (|Mapping| *4 *4 (|NonNegativeInteger|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|Type|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Kernel| *1))) (|ofCategory| *1 (|ExpressionSpace|))))) 
 (((*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariatePolynomialDivisionPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|IntegerFactorizationPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
 (((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|FortranOutputStackPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|XDistributedPolynomial| (|Symbol|) *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|XPolynomial| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|XRecursivePolynomial| *3 *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Tree| *3))) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *5 *6 *5) (AND (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|String|)) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSpecialFunctionsPackage|))))) 
+(((*1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PrincipalIdealDomain|))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Vector| (|List| *3))) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|GenExEuclid| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|RightOpenIntervalRootCharacterization| (|RealClosure| *4) (|SparseUnivariatePolynomial| (|RealClosure| *4)))) (|isDomain| *3 (|OutputForm|)) (|isDomain| *1 (|RealClosure| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|) (|RealConstant|)))))) 
 (((*1 *1 *2 *3) (AND (|isDomain| *1 (|FourierSeries| *3 *2)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *2 (|Join| (|OrderedSet|) (|AbelianGroup|)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|RectangularMatrix| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Polynomial| *5)))) (|isDomain| *1 (|SystemSolvePackage| *5))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Matrix| (|DoubleFloat|))) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|isDomain| *2 (|Record| (|:| |sysok| (|Boolean|)) (|:| |z0| (|List| *7)) (|:| |n0| (|List| *7)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|HomogeneousDistributedMultivariatePolynomial| *3 *4))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *1 (|LinGroebnerPackage| *3 *4))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|CardinalNumber|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|EuclideanDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GenExEuclid| *5 *3))))) 
 (((*1 *2 *3 *2) (|partial| AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinearSystemMatrixPackage1| *4)))) ((*1 *2 *3 *2) (|partial| AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *1 (|LinearSystemMatrixPackage| *4 *5 *2 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *2)))) ((*1 *2 *3 *2 *4 *5) (|partial| AND (|isDomain| *4 (|List| *2)) (|isDomain| *5 (|Mapping| *2 *2)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|ODETools| *2 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)))) ((*1 *2 *3) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *2 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *3 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|HallBasis|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|isDomain| *2 (|List| (|Vector| *5))) (|isDomain| *1 (|InterpolateFormsPackage| *5 *6 *7 *8 *9 *10 *11 *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *3 (|DivisorCategory| *11))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Fraction| *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|CycleIndicators|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|d02AgentsPackage|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Equation| *3))) (|ofCategory| *3 (|Evalable| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Equation| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Evalable| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|Equation| *2)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *1 *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *1 (|List| *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|BasicOperator|))) (|isDomain| *3 (|List| (|Mapping| *1 (|List| *1)))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|BasicOperator|))) (|isDomain| *3 (|List| (|Mapping| *1 *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Mapping| *1 *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Mapping| *1 (|List| *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Mapping| *1 (|List| *1)))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|Mapping| *1 *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Equation| *3))) (|ofCategory| *1 (|Evalable| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Equation| *3)) (|ofCategory| *1 (|Evalable| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 (|Integer|))) (|isDomain| *4 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|EvaluateCycleIndicators| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|FreeLieAlgebra| *4 *5)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1 *1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Mapping| *1 *1)) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Mapping| *1 (|List| *1))) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|isDomain| *4 (|List| (|Mapping| *1 (|List| *1)))) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|isDomain| *4 (|List| (|Mapping| *1 *1))) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|BasicOperator|))) (|isDomain| *3 (|List| *1)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1 *2 *1 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *2 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *4) (AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *3 *4) (AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *6 (|PolynomialCategory| *2 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *9)) (|ofCategory| *10 (|DivisorCategory| *4)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *2 *5 *6 *7 *8 *9 *4 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *1 *1 *2 *3) (AND (|ofCategory| *1 (|InnerEvalable| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| *5)) (|ofCategory| *1 (|InnerEvalable| *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Type|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|OnePointCompletion| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|MoebiusTransform| *3)))) ((*1 *2 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|PermutationCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PolynomialPackageForCurve| *2 *3 *5 *6 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *2 *5)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *2)))) ((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *4)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *2 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *4)))) (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|RationalFunction| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|has| *3 (SIGNATURE ** (*3 *3 *4))) (|isDomain| *2 (|Stream| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|PseudoAlgebraicClosureOfFiniteField| *4))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|ProjectivePlane| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GuessOptionFunctions0|))))) 
 (((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *1 *1 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|PriorityQueueAggregate| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|SubSpace| *3 *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *4 (|MonogenicAlgebra| *5 *7)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *6)) (|:| |vec| (|Vector| *5)))) (|isDomain| *1 (|ReduceLODE| *5 *6 *7 *4 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *5)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *7)) (|isDomain| *1 (|BlowUpPackage| *5 *6 *2 *7 *4)) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *4 (|BlowUpMethodCategory|))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|Mapping| *6 (|List| *6)))) (|ofCategory| *5 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| *5)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *5 *6))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
+(((*1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|isDomain| *1 (|TwoFactorize| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|OpenMathError|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|FortranScalarType|)) (|isDomain| *2 (|List| (|Union| (|:| |name| (|Symbol|)) (|:| |bounds| (|List| (|Union| (|:| S (|Symbol|)) (|:| P (|Polynomial| (|Integer|))))))))) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *2 *3 *3 *4 *5 *5 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
 (((*1 *1 *1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *3 (|IntegralDomain|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |resultant| *3) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceComplexIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|CharacteristicZero|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Expression| *5)) (|isDomain| *1 (|IntegrationResultRFToFunction| *5))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|BinarySearchTree| *3))))) 
 (((*1 *1) (|isDomain| *1 (|IntegrationFunctionsTable|)))) 
+(((*1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|isDomain| *1 (|TwoFactorize| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|StackAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagSeriesSummationPackage|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
+(((*1 *1 *1 *1) (|partial| |ofCategory| *1 (|CancellationAbelianMonoid|)))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |coef| (|Fraction| *5)) (|:| |poly| *3))) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *5)))))) 
 (((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|SemiGroup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
+(((*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|AbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *1 *2 *1 *1 *3) (AND (|isDomain| *2 (|Mapping| *3 *3 *3)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| *3 *3 *3)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OneDimensionalArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|OneDimensionalArray| *6)) (|isDomain| *1 (|OneDimensionalArrayFunctions2| *5 *6)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *8 *7)) (|isDomain| *4 (|CartesianTensor| *5 *6 *7)) (|ofType| *5 (|Integer|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|CommutativeRing|)) (|ofCategory| *8 (|CommutativeRing|)) (|isDomain| *2 (|CartesianTensor| *5 *6 *8)) (|isDomain| *1 (|CartesianTensorFunctions2| *5 *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Complex| *5)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|CommutativeRing|)) (|isDomain| *2 (|Complex| *6)) (|isDomain| *1 (|ComplexFunctions2| *5 *6)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Expression| *3) (|Expression| *3))) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *6)) (|isDomain| *4 (|DirectProduct| *5 *6)) (|ofType| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|isDomain| *2 (|DirectProduct| *5 *7)) (|isDomain| *1 (|DirectProductFunctions2| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Equation| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Equation| *6)) (|isDomain| *1 (|EquationFunctions2| *5 *6)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Equation| *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *2 *6)) (|isDomain| *4 (|String|)) (|isDomain| *5 (|Kernel| *6)) (|ofCategory| *6 (|ExpressionSpace|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ExpressionSpaceFunctions1| *6 *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *5)) (|isDomain| *4 (|Kernel| *5)) (|ofCategory| *5 (|ExpressionSpace|)) (|ofCategory| *2 (|ExpressionSpace|)) (|isDomain| *1 (|ExpressionSpaceFunctions2| *5 *2)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *1 *1)) (|isDomain| *3 (|Kernel| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Matrix| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|ExpertSystemToolsPackage2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Expression| *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Expression| *6)) (|isDomain| *1 (|ExpressionFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *6)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *7 *5)) (|isDomain| *1 (|FiniteAbelianMonoidRingFunctions2| *5 *6 *4 *7 *2)) (|ofCategory| *4 (|FiniteAbelianMonoidRing| *6 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *9 *5)) (|isDomain| *4 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *9 (|Field|)) (|ofCategory| *10 (|UnivariatePolynomialCategory| *9)) (|ofCategory| *11 (|UnivariatePolynomialCategory| (|Fraction| *10))) (|isDomain| *2 (|FiniteDivisor| *9 *10 *11 *12)) (|isDomain| *1 (|FiniteDivisorFunctions2| *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *12 (|FunctionFieldCategory| *9 *10 *11)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|FullyEvalableOver| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *8 *5)) (|ofCategory| *5 (|UniqueFactorizationDomain|)) (|ofCategory| *8 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *9 (|UnivariatePolynomialCategory| *8)) (|ofCategory| *2 (|FunctionFieldCategory| *8 *9 *10)) (|isDomain| *1 (|FunctionFieldCategoryFunctions2| *5 *6 *7 *4 *8 *9 *10 *2)) (|ofCategory| *4 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *10 (|UnivariatePolynomialCategory| (|Fraction| *9))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *2 (|FiniteLinearAggregate| *6)) (|isDomain| *1 (|FiniteLinearAggregateFunctions2| *5 *4 *6 *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Factored| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *6)) (|isDomain| *1 (|FactoredFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Fraction| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| *6)) (|isDomain| *1 (|FractionFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *9 *5)) (|isDomain| *4 (|FractionalIdeal| *5 *6 *7 *8)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *6 (|QuotientFieldCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *8 (|Join| (|FramedAlgebra| *6 *7) (|RetractableTo| *6))) (|ofCategory| *9 (|EuclideanDomain|)) (|ofCategory| *10 (|QuotientFieldCategory| *9)) (|ofCategory| *11 (|UnivariatePolynomialCategory| *10)) (|isDomain| *2 (|FractionalIdeal| *9 *10 *11 *12)) (|isDomain| *1 (|FractionalIdealFunctions2| *5 *6 *7 *8 *9 *10 *11 *12)) (|ofCategory| *12 (|Join| (|FramedAlgebra| *10 *11) (|RetractableTo| *10))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|CommutativeRing|)) (|ofCategory| *2 (|FramedNonAssociativeAlgebra| *6)) (|isDomain| *1 (|FramedNonAssociativeAlgebraFunctions2| *4 *5 *2 *6)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|Factored| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|Join| (|Ring|) (|OrderedSet|))) (|ofCategory| *6 (|Join| (|Ring|) (|OrderedSet|))) (|ofCategory| *2 (|FunctionSpace| *6)) (|isDomain| *1 (|FunctionSpaceFunctions2| *5 *4 *6 *2)) (|ofCategory| *4 (|FunctionSpace| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|FiniteSetAggregate| *6)) (|isDomain| *1 (|FiniteSetAggregateFunctions2| *5 *4 *6 *2)) (|ofCategory| *4 (|FiniteSetAggregate| *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|IndexedDirectProductCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|IntegrationResult| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|IntegrationResult| *6)) (|isDomain| *1 (|IntegrationResultFunctions2| *5 *6)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Union| (|Record| (|:| |ratpart| *5) (|:| |coeff| *5)) "failed")) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| |ratpart| *6) (|:| |coeff| *6))) (|isDomain| *1 (|IntegrationResultFunctions2| *5 *6)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| *2 *5)) (|isDomain| *4 (|Union| *5 "failed")) (|ofCategory| *5 (|Field|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|IntegrationResultFunctions2| *5 *2)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Union| (|Record| (|:| |mainpart| *5) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *5) (|:| |logand| *5))))) "failed")) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| |mainpart| *6) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *6) (|:| |logand| *6)))))) (|isDomain| *1 (|IntegrationResultFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|InfiniteTuple| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|InfiniteTuple| *6)) (|isDomain| *1 (|InfiniteTupleFunctions2| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|InfiniteTuple| *6)) (|isDomain| *5 (|InfiniteTuple| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|InfiniteTuple| *8)) (|isDomain| *1 (|InfiniteTupleFunctions3| *6 *7 *8)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|Stream| *6)) (|isDomain| *5 (|InfiniteTuple| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|Stream| *8)) (|isDomain| *1 (|InfiniteTupleFunctions3| *6 *7 *8)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|InfiniteTuple| *6)) (|isDomain| *5 (|Stream| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|Stream| *8)) (|isDomain| *1 (|InfiniteTupleFunctions3| *6 *7 *8)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|InfiniteTuple| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|ListFunctions2| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|List| *6)) (|isDomain| *5 (|List| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ListFunctions3| *6 *7 *8)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| *3 *3 *3)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *8 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|ofCategory| *2 (|MatrixCategory| *8 *9 *10)) (|isDomain| *1 (|MatrixCategoryFunctions2| *5 *6 *7 *4 *8 *9 *10 *2)) (|ofCategory| *4 (|MatrixCategory| *5 *6 *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *8)) (|ofCategory| *10 (|FiniteLinearAggregate| *8)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *8 "failed") *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|ofCategory| *2 (|MatrixCategory| *8 *9 *10)) (|isDomain| *1 (|MatrixCategoryFunctions2| *5 *6 *7 *4 *8 *9 *10 *2)) (|ofCategory| *4 (|MatrixCategory| *5 *6 *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *8)) (|ofCategory| *10 (|FiniteLinearAggregate| *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Fraction| *8))) (|isDomain| *1 (|MultipleMap| *5 *6 *4 *7 *8 *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *9 *8)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *9 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|PolynomialCategory| *9 *7 *5)) (|isDomain| *1 (|MPolyCatFunctions2| *5 *6 *7 *8 *9 *4 *2)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *8 *6 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|Ring|)) (|ofCategory| *2 (|PolynomialCategory| *9 *8 *6)) (|isDomain| *1 (|MPolyCatFunctions3| *5 *6 *7 *8 *9 *4 *2)) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|PolynomialCategory| *9 *7 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|MonoidRing| *5 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|Monoid|)) (|isDomain| *2 (|MonoidRing| *6 *7)) (|isDomain| *1 (|MonoidRingFunctions2| *5 *6 *7)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|NewSparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|NewSparseUnivariatePolynomial| *6)) (|isDomain| *1 (|NewSparseUnivariatePolynomialFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|CommutativeRing|)) (|ofCategory| *2 (|OctonionCategory| *6)) (|isDomain| *1 (|OctonionCategoryFunctions2| *4 *5 *2 *6)) (|ofCategory| *4 (|OctonionCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OnePointCompletion| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|OnePointCompletion| *6)) (|isDomain| *1 (|OnePointCompletionFunctions2| *5 *6)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|OnePointCompletion| *6)) (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OnePointCompletion| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *1 (|OnePointCompletionFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OrderedCompletion| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|OrderedCompletion| *6)) (|isDomain| *1 (|OrderedCompletionFunctions2| *5 *6)))) ((*1 *2 *3 *4 *2 *2) (AND (|isDomain| *2 (|OrderedCompletion| *6)) (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|OrderedCompletion| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *1 (|OrderedCompletionFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|ParametricPlaneCurve| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|ParametricPlaneCurve| *6)) (|isDomain| *1 (|ParametricPlaneCurveFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|ParametricSpaceCurve| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|ParametricSpaceCurve| *6)) (|isDomain| *1 (|ParametricSpaceCurveFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|ParametricSurface| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|ParametricSurface| *6)) (|isDomain| *1 (|ParametricSurfaceFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *7 *6)) (|isDomain| *4 (|PatternMatchResult| *5 *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *5 *7)) (|isDomain| *1 (|PatternMatchResultFunctions2| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Pattern| *6)) (|isDomain| *1 (|PatternFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Polynomial| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|Polynomial| *6)) (|isDomain| *1 (|PolynomialFunctions2| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *2 *7)) (|isDomain| *4 (|Mapping| *2 *8)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|Join| (|SetCategory|) (CATEGORY |domain| (SIGNATURE + ($ $ $)) (SIGNATURE * ($ $ $)) (SIGNATURE ** ($ $ (|NonNegativeInteger|)))))) (|isDomain| *1 (|PolynomialCategoryLifting| *6 *7 *8 *5 *2)) (|ofCategory| *5 (|PolynomialCategory| *8 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|PrimitiveArray| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|PrimitiveArray| *6)) (|isDomain| *1 (|PrimitiveArrayFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|Point| *6)) (|isDomain| *1 (|PointFunctions2| *5 *6)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| *2 (|Polynomial| *4))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|PolynomialCategory| (|Polynomial| *4) *5 *6)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)) (SIGNATURE |variable| ((|Union| $ "failed") (|Symbol|)))))) (|isDomain| *1 (|PushVariables| *4 *5 *6 *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *2 (|QuotientFieldCategory| *6)) (|isDomain| *1 (|QuotientFieldCategoryFunctions2| *5 *6 *4 *2)) (|ofCategory| *4 (|QuotientFieldCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *6 (|CommutativeRing|)) (|ofCategory| *2 (|QuaternionCategory| *6)) (|isDomain| *1 (|QuaternionCategoryFunctions2| *4 *5 *2 *6)) (|ofCategory| *4 (|QuaternionCategory| *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| *5 *5 *5)) (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *5 *5)) (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *10 *7)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *10 (|Ring|)) (|ofType| *5 (|NonNegativeInteger|)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *8 (|DirectProductCategory| *6 *7)) (|ofCategory| *9 (|DirectProductCategory| *5 *7)) (|ofCategory| *2 (|RectangularMatrixCategory| *5 *6 *10 *11 *12)) (|isDomain| *1 (|RectangularMatrixCategoryFunctions2| *5 *6 *7 *8 *9 *4 *10 *11 *12 *2)) (|ofCategory| *4 (|RectangularMatrixCategory| *5 *6 *7 *8 *9)) (|ofCategory| *11 (|DirectProductCategory| *6 *10)) (|ofCategory| *12 (|DirectProductCategory| *5 *10)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Segment| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Segment| *6)) (|isDomain| *1 (|SegmentFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Segment| *5)) (|ofCategory| *5 (|OrderedRing|)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|SegmentFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|SegmentBinding| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|SegmentBinding| *6)) (|isDomain| *1 (|SegmentBindingFunctions2| *5 *6)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *1 (|SegmentExpansionCategory| *4 *2)) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *2 (|StreamAggregate| *4)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Stream| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Stream| *6)) (|isDomain| *1 (|StreamFunctions2| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *8 *6 *7)) (|isDomain| *4 (|Stream| *6)) (|isDomain| *5 (|Stream| *7)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *8 (|Type|)) (|isDomain| *2 (|Stream| *8)) (|isDomain| *1 (|StreamFunctions3| *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|isDomain| *1 (|SparseUnivariatePolynomialFunctions2| *5 *6)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| *4 *4 *4)) (|ofCategory| *1 (|TableAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|UnivariateLaurentSeries| *5 *7 *9)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofType| *7 (|Symbol|)) (|ofType| *9 *5) (|ofType| *10 *6) (|isDomain| *2 (|UnivariateLaurentSeries| *6 *8 *10)) (|isDomain| *1 (|UnivariateLaurentSeriesFunctions2| *5 *6 *7 *8 *9 *10)) (|ofType| *8 (|Symbol|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|UniversalSegment| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|UniversalSegment| *6)) (|isDomain| *1 (|UniversalSegmentFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|UniversalSegment| *5)) (|ofCategory| *5 (|OrderedRing|)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Stream| *6)) (|isDomain| *1 (|UniversalSegmentFunctions2| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *8 *6)) (|isDomain| *4 (|UnivariatePolynomial| *5 *6)) (|ofType| *5 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *8 (|Ring|)) (|isDomain| *2 (|UnivariatePolynomial| *7 *8)) (|isDomain| *1 (|UnivariatePolynomialFunctions2| *5 *6 *7 *8)) (|ofType| *7 (|Symbol|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *6)) (|isDomain| *1 (|UnivariatePolynomialCategoryFunctions2| *5 *4 *6 *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|UnivariatePuiseuxSeries| *5 *7 *9)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofType| *7 (|Symbol|)) (|ofType| *9 *5) (|ofType| *10 *6) (|isDomain| *2 (|UnivariatePuiseuxSeries| *6 *8 *10)) (|isDomain| *1 (|UnivariatePuiseuxSeriesFunctions2| *5 *6 *7 *8 *9 *10)) (|ofType| *8 (|Symbol|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *6)) (|isDomain| *1 (|UnivariateTaylorSeriesFunctions2| *5 *6 *4 *2)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|VectorFunctions2| *5 *6)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *6 "failed") *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|VectorFunctions2| *5 *6)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|XPolynomialRing| *3 *4)) (|ofCategory| *4 (|OrderedMonoid|))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *5) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp1| F)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagRootFindingPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Switch|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *2 *1 *3 *4) (AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| *8 *8 *8)) (|isDomain| *4 (|Mapping| (|Boolean|) *8 *8)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|OutputForm|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|QueryEquation|)))) ((*1 *2 *3 *1) (|partial| AND (|isDomain| *2 (|Equation| (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1 *3) (|partial| AND (|isDomain| *2 (|Equation| (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Segment| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|SegmentBinding| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|SubSpaceComponentProperty|))))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3 *4 *5 *3 *6) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp6| FCN)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagRootFindingPackage|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *9)) (|isDomain| *6 (|List| (|NonNegativeInteger|))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|FiniteAbelianMonoidRing| *7 (|NonNegativeInteger|))) (|ofCategory| *9 (|FiniteAbelianMonoidRing| (|Fraction| *7) (|NonNegativeInteger|))) (|isDomain| *2 (|Matrix| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|FractionFreeFastGaussianFractions| *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *9)) (|isDomain| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|FiniteAbelianMonoidRing| *7 *6)) (|ofCategory| *9 (|FiniteAbelianMonoidRing| (|Fraction| *7) *6)) (|isDomain| *2 (|Stream| (|Matrix| (|SparseUnivariatePolynomial| *7)))) (|isDomain| *1 (|FractionFreeFastGaussianFractions| *7 *8 *9)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *8)) (|isDomain| *6 (|List| (|NonNegativeInteger|))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|AbelianMonoidRing| *7 (|NonNegativeInteger|))) (|isDomain| *2 (|Matrix| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|FractionFreeFastGaussian| *7 *8)))) ((*1 *2 *3 *4 *5 *6 *6) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|Mapping| *7 (|NonNegativeInteger|) (|NonNegativeInteger|) *8)) (|isDomain| *5 (|Vector| *8)) (|isDomain| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|ofCategory| *8 (|AbelianMonoidRing| *7 *6)) (|isDomain| *2 (|Stream| (|Matrix| (|SparseUnivariatePolynomial| *7)))) (|isDomain| *1 (|FractionFreeFastGaussian| *7 *8))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|CliffordAlgebra| *2 *3 *4)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|QuadraticForm| *2 *3)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *2 *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *3 *3 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *3 "failed") *3 *3 *4)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1) (|partial| AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1) (|partial| |ofCategory| *1 (|MonadWithUnit|))) ((*1 *1 *1) (|partial| |ofCategory| *1 (|Monoid|))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *3))) (|isDomain| *1 (|NormalizationPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *2 *1) (|partial| AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2) (|partial| AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|OrdinaryDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Result|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| (|Fraction| *8)) "failed")) (|:| |basis| (|List| (|Vector| (|Fraction| *8)))))) (|isDomain| *1 (|LinearSystemPolynomialPackage| *5 *6 *7 *8))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|List| (|List| (|Union| (|:| |array| *6) (|:| |scalar| *3))))) (|isDomain| *4 (|List| (|Union| (|:| |array| (|List| *3)) (|:| |scalar| (|Symbol|))))) (|isDomain| *6 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranPackage|)))) ((*1 *2 *3 *4 *5 *6 *3) (AND (|isDomain| *5 (|List| (|List| (|Union| (|:| |array| *6) (|:| |scalar| *3))))) (|isDomain| *4 (|List| (|Union| (|:| |array| (|List| *3)) (|:| |scalar| (|Symbol|))))) (|isDomain| *6 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranPackage|)))) ((*1 *2 *3 *4 *5 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|TheSymbolTable|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranPackage|))))) 
 (((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|)))))) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5)) (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|)))))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Matrix| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| (|Polynomial| *4)))) (|isDomain| *1 (|CoerceVectorMatrixPackage| *4))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *13)) (|ofCategory| *13 (|DesingTreeCategory| *12)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) *2)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
 (((*1 *2 *3 *1) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |zeros| (|List| *4)) (|:| |extDegree| (|Integer|)))) (|isDomain| *1 (|RootsFindingPackage| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|SparseUnivariatePolynomial| (|Polynomial| *4)) (|Polynomial| *4))) (|isDomain| *1 (|WeierstrassPreparation| *4)) (|ofCategory| *4 (|Field|))))) 
+(((*1 *2 *3 *4 *3 *5) (AND (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *9 (|LocalPowerSeriesCategory| *6)) (|isDomain| *2 (|Record| (|:| |fnc| *3) (|:| |crv| *3) (|:| |chart| (|List| (|Integer|))))) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *6 *7 *3 *8 *4 *9 *10)) (|isDomain| *5 (|Integer|)) (|ofCategory| *3 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *4 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *10 (|PlacesCategory| *6 *9))))) 
+(((*1 *1) (|ofCategory| *1 (|FiniteFieldCategory|))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |primelt| *5) (|:| |poly| (|List| (|SparseUnivariatePolynomial| *5))) (|:| |prim| (|SparseUnivariatePolynomial| *5)))) (|isDomain| *1 (|FunctionSpacePrimitiveElement| *4 *5)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |primelt| *3) (|:| |pol1| (|SparseUnivariatePolynomial| *3)) (|:| |pol2| (|SparseUnivariatePolynomial| *3)) (|:| |prim| (|SparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|FunctionSpacePrimitiveElement| *4 *3)) (|ofCategory| *3 (|AlgebraicallyClosedField|)) (|ofCategory| *3 (|FunctionSpace| *4)))) ((*1 *2 *3 *4 *3 *4) (AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |coef1| (|Integer|)) (|:| |coef2| (|Integer|)) (|:| |prim| (|SparseUnivariatePolynomial| *5)))) (|isDomain| *1 (|PrimitiveElement| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| *5))) (|:| |prim| (|SparseUnivariatePolynomial| *5)))) (|isDomain| *1 (|PrimitiveElement| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Polynomial| *6))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |coef| (|List| (|Integer|))) (|:| |poly| (|List| (|SparseUnivariatePolynomial| *6))) (|:| |prim| (|SparseUnivariatePolynomial| *6)))) (|isDomain| *1 (|PrimitiveElement| *6))))) 
+(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *2 *2 *2 *3) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|PositiveInteger|) (|Boolean|))) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|Cell| *3)) (|ofCategory| *3 (|RealClosedField|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|OutputForm|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|))))) 
-(((*1 *1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|CharacterClass|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Character|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |resultant| *3) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *3 *1 *4 *4 *4 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *3))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *1 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *2 *3 *1 *4 *4 *4 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *3))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *4 (|RetractableTo| (|Integer|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *1 *1 *1) (|isDomain| *1 (|CardinalNumber|))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DivisionRing|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Algebra| *3)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *4 *5 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *4 *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Algebra| *3)) (|ofCategory| *5 (|UnivariateLaurentSeriesCategory| *4)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *4 *5 *2 *6)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *4 *5)) (|ofCategory| *6 (|PartialTranscendentalFunctions| *5)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|ElementaryFunctionCategory|))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|Float|))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|SemiGroup|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Group|)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InputForm|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InputForm|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|MappingPackage1| *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *3 *4)) (|ofCategory| *4 (|LeftModule| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *4 *5)) (|ofCategory| *5 (|LeftModule| *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monad|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Operator| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Operator| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RadicalCategory|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|SemiGroup|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *6 (|DirectProductCategory| *3 *4)) (|ofCategory| *4 (|Field|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |gcd| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |gcd| *1) (|:| |coef2| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *4 (|Mapping| (|Union| (|Integer|) "failed") *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerPolySign| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3 *4 *2 *5) (|partial| AND (|isDomain| *5 (|Mapping| (|Union| (|Integer|) "failed") *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerPolySign| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Mapping| (|Union| (|Integer|) "failed") *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerPolySign| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2) (AND (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) ((*1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|DequeueAggregate| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|KeyedDictionary| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
 (((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|PartialDifferentialRing| *4)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *4 *2 *5 *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *3 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *2 *3 *4 *5 *6 *7 *8 *9 *10)) (|ofCategory| *4 (|PolynomialCategory| *2 *5 (|OrderedVariableList| *3))) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofCategory| *6 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *8 (|PlacesCategory| *2 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|PolynomialCategory| *5 *4 *2)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *2 *5 *6 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *6)) (SIGNATURE |numer| (*6 $)) (SIGNATURE |denom| (*6 $))))))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RationalFunction| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|OrderedFreeMonoid| *3)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|OrderedMonoid|)) (|isDomain| *1 (|XPolynomialRing| *3 *2)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *2 *6)) (|ofCategory| *6 (|PolynomialCategory| *2 *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|e04AgentsPackage|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerRetractions| *3)) (|ofCategory| *3 (|RetractableTo| *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *3 *4 *5 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *5 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *6 *7 *4)) (|ofCategory| *9 (|RegularTriangularSetCategory| *6 *7 *4 *8)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|Record| (|:| |val| *8) (|:| |tower| *9)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *6 *7 *4 *8 *9))))) 
+(((*1 *1) (|isDomain| *1 (|Boolean|)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|List| (|Record| (|:| |func| *2) (|:| |pole| (|Boolean|))))) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *4 *2))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *4))) (|isDomain| *1 (|CommonDenominator| *4 *5 *3)) (|ofCategory| *3 (|FiniteLinearAggregate| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|isDomain| *2 (|Record| (|:| |num| *6) (|:| |den| *4))) (|isDomain| *1 (|InnerCommonDenominator| *4 *5 *6 *3)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |num| (|Matrix| *4)) (|:| |den| *4))) (|isDomain| *1 (|MatrixCommonDenominator| *4 *5)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Record| (|:| |eq| *7) (|:| |rh| (|List| (|Fraction| *6))))) (|isDomain| *1 (|PrimitiveRatDE| *5 *6 *7 *3)) (|isDomain| *4 (|List| (|Fraction| *6))) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *6))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|QuotientFieldCategory| *4)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *4))) (|isDomain| *1 (|UnivariatePolynomialCommonDenominator| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|Record| (|:| |Smith| *3) (|:| |leftEqMat| *3) (|:| |rightEqMat| *3))) (|isDomain| *1 (|SmithNormalForm| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Record| (|:| |num| (|Vector| *4)) (|:| |den| *4)))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|ComplexCategory| *6)) (|ofCategory| (|Polynomial| *6) (|PatternMatchable| *5)) (|ofCategory| *6 (|Join| (|PatternMatchable| *5) (|CommutativeRing|))) (|isDomain| *1 (|ComplexPatternMatch| *5 *6 *3)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *2 (|PatternMatchResult| *4 *1)) (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *1 (|PatternMatchable| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *6)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Join| (|SetCategory|) (|RetractableTo| *3))) (|ofCategory| *3 (|PatternMatchable| *5)) (|isDomain| *1 (|PatternMatchPushDown| *5 *3 *6)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|ConvertibleTo| *4) (|PatternMatchable| *5) (|RetractableTo| (|Kernel| $)))) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|PatternMatchable| *5))) (|isDomain| *1 (|PatternMatchFunctionSpace| *5 *6 *3)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| (|Integer|) *3)) (|isDomain| *4 (|Pattern| (|Integer|))) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *1 (|PatternMatchIntegerNumberSystem| *3)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *6)) (|isDomain| *3 (|Kernel| *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|RetractableTo| (|Kernel| $)) (|ConvertibleTo| *4) (|PatternMatchable| *5))) (|isDomain| *4 (|Pattern| *5)) (|isDomain| *1 (|PatternMatchKernel| *5 *6)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchListResult| *5 *6 *3)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|PatternMatchable| *5)) (|ofCategory| *3 (|ListAggregate| *6)) (|isDomain| *1 (|PatternMatchListAggregate| *5 *6 *3)))) ((*1 *2 *3 *4 *2 *5) (AND (|isDomain| *5 (|Mapping| (|PatternMatchResult| *6 *3) *8 (|Pattern| *6) (|PatternMatchResult| *6 *3))) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|PatternMatchResult| *6 *3)) (|isDomain| *4 (|Pattern| *6)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *3 (|Join| (|PolynomialCategory| *9 *7 *8) (|ConvertibleTo| *4))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *9 (|Join| (|Ring|) (|OrderedSet|) (|PatternMatchable| *6))) (|isDomain| *1 (|PatternMatchPolynomialCategory| *6 *7 *8 *9 *3)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|Join| (|PolynomialCategory| *8 *6 *7) (|ConvertibleTo| *4))) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *7 (|PatternMatchable| *5)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|Join| (|Ring|) (|OrderedSet|) (|PatternMatchable| *5))) (|isDomain| *1 (|PatternMatchPolynomialCategory| *5 *6 *7 *8 *3)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|QuotientFieldCategory| *6)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|PatternMatchable| *5) (|ConvertibleTo| *4))) (|isDomain| *4 (|Pattern| *5)) (|isDomain| *1 (|PatternMatchQuotientFieldCategory| *5 *6 *3)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|PatternMatchResult| *5 (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Pattern| *5)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *1 (|PatternMatchSymbol| *5)))) ((*1 *2 *3 *4 *5 *2 *6) (AND (|isDomain| *4 (|List| (|Pattern| *7))) (|isDomain| *5 (|Mapping| *9 (|List| *9))) (|isDomain| *6 (|Mapping| (|PatternMatchResult| *7 *9) *9 (|Pattern| *7) (|PatternMatchResult| *7 *9))) (|ofCategory| *7 (|SetCategory|)) (|ofCategory| *9 (|Join| (|Ring|) (|ConvertibleTo| (|Pattern| *7)) (|RetractableTo| *8))) (|isDomain| *2 (|PatternMatchResult| *7 *9)) (|isDomain| *3 (|List| *9)) (|ofCategory| *8 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|PatternMatchTools| *7 *8 *9))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|SimpleCell| *3 *2)) (|ofCategory| *3 (|RealClosedField|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| *7) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| *7))))) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *6 (|Boolean|)) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *7))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| *3)) (|:| |f2| (|List| (|OrderedCompletion| *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|ElementaryFunctionDefiniteIntegration| *7 *3)) (|isDomain| *5 (|OrderedCompletion| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Character|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|AbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DoubleFloat|)))) ((*1 *1 *1 *1) (OR (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Type|))) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Group|)) (|ofCategory| *2 (|Type|))))) ((*1 *1 *1 *1) (|ofCategory| *1 (|Field|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Float|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| *3 (|Kernel| *1))) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|Group|))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *3)))) ((*1 *1 *1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|LocalAlgebra| *2 *4 *3)) (|ofCategory| *2 (|Algebra| *4)) (|ofCategory| *3 (|SubsetCategory| (|Monoid|) *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|LocalAlgebra| *3 *4 *2)) (|ofCategory| *3 (|Algebra| *4)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|LieAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2 *3) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|Localize| *2 *4 *3)) (|ofCategory| *2 (|Module| *4)) (|ofCategory| *3 (|SubsetCategory| (|Monoid|) *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|Localize| *3 *4 *2)) (|ofCategory| *3 (|Module| *4)) (|ofCategory| *2 (|SubsetCategory| (|Monoid|) *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| (|Expression| (|Integer|)) *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|MappingPackage4| *3 *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|OrdinaryWeightedPolynomials| *2 *3 *4 *5)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *2) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *2 *5 *6)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *4 *2)) (|ofCategory| *6 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Expression| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|StochasticDifferential| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|VectorSpace| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *1) (|partial| AND (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofType| *6 (|List| *3)) (|isDomain| *1 (|WeightedPolynomials| *2 *3 *4 *5 *6 *7 *8)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3)) (|ofType| *7 (|List| (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Vector| *1)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Vector| *1)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|AffineSpaceCategory| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RationalRetractions| *3)) (|ofCategory| *3 (|RetractableTo| (|Fraction| (|Integer|))))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *9 (|LocalPowerSeriesCategory| *6)) (|isDomain| *2 (|List| *9)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *6 *7 *4 *8 *3 *9 *10)) (|ofCategory| *4 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *10 (|PlacesCategory| *6 *9))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|Field|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| *5 *4)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| (QUOTE |x|) *4)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| *5 *4)) (|isDomain| *1 (|UnivariateTaylorSeries| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| *5 *4)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Symbol|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BalancedPAdicRational| *4)) (|ofType| *4 *3) (|isDomain| *3 (|Integer|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|PAdicRational| *4)) (|ofType| *4 *3) (|isDomain| *3 (|Integer|)))) ((*1 *2 *1 *3) (AND (|ofType| *4 *3) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|PAdicRationalConstructor| *4 *5)) (|isDomain| *3 (|Integer|)) (|ofCategory| *5 (|PAdicIntegerCategory| *4)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *3 *1 *2) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *2 *3)) (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|has| *2 (SIGNATURE ** (*2 *2 *3))) (|has| *2 (SIGNATURE |coerce| (*2 (|Symbol|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot3D|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |zeros| (|List| *4)) (|:| |extDegree| (|Integer|)))) (|isDomain| *1 (|RootsFindingPackage| *4))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *3 (|PlacesCategory| *4 *8)) (|ofCategory| *9 (|DivisorCategory| *3)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *2 *8 *3 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|ProjectiveSpaceCategory| *4)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *2 *8 *3 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *2 (|ProjectiveSpaceCategory| *4)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *4 *5 *6 *7 *2 *8 *3)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *3 (|PlacesCategory| *4 *8)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Places| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|ProjectivePlane| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|EuclideanDomain|)))) ((*1 *2 *1 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |lm| (|FreeMonoid| *3)) (|:| |rm| (|FreeMonoid| *3)))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |quotient| (|NonNegativeInteger|)) (|:| |remainder| (|NonNegativeInteger|)))) (|isDomain| *1 (|NonNegativeInteger|)))) ((*1 *2 *1 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |lm| (|Union| (|OrderedFreeMonoid| *3) "failed")) (|:| |rm| (|Union| (|OrderedFreeMonoid| *3) "failed")))) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PlottablePlaneCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Fraction| (|Integer|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 (|Integer|))) (|isDomain| *4 (|Equation| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *7 (|Integer|))) (|isDomain| *4 (|Equation| *7)) (|isDomain| *5 (|UniversalSegment| (|Integer|))) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Mapping| *8 (|Fraction| (|Integer|)))) (|isDomain| *4 (|Equation| *8)) (|isDomain| *5 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *6 (|Fraction| (|Integer|))) (|ofCategory| *8 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *7 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *8 *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|InnerTaylorSeries| *3)))) ((*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| *4)))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| *3)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3))))) 
-(((*1 *2 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 *3)) (|ofType| *7 *3) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|PackageForPoly| *4 *5 *6 *7)) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6))))) 
-(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |op| (|BasicOperator|)) (|:| |arg| (|List| (|Pattern| *3))))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|List| (|Pattern| *4))) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|BalancedFactorisation| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|BalancedFactorisation| *5 *3))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *8 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *3) (|:| |radicand| *3))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *7 *8 *3)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*8 $)) (SIGNATURE |denom| (*8 $)) (SIGNATURE |coerce| ($ *8)))))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Union| (|List| *6) "failed") (|Integer|) *6 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Record| (|:| |answer| (|IntegrationResult| (|Fraction| *7))) (|:| |a0| *6))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Partition|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1) (|isDomain| *1 (|CharacterClass|)))) 
-(((*1 *2 *3 *4 *2 *3 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| (|Stream| *4))) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *4 *5)) (|isDomain| *3 (|Stream| *4)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OrderedRing|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderingFunctions| *4 *5)) (|ofType| *4 (|NonNegativeInteger|))))) 
-(((*1 *2 *2 *2) (|partial| AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|NPCoef| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|InputForm|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathServerPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| *4)) (|ofCategory| *4 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|PureAlgebraicLODE| *5 *6 *7 *4))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|RetractableTo| (|Integer|))) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|ComplexCategory&| *3 *4)) (|ofCategory| *3 (|ComplexCategory| *4)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|Ring|)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) ((*1 *2) (AND (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|PartialDifferentialRing| *5)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *3 *6 *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
-(((*1 *1) (|isDomain| *1 (|TwoDimensionalViewport|)))) 
-(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|))))) 
-(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *4 (|Permutation| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|IrrRepSymNatPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|IrrRepSymNatPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *4 (|List| (|Permutation| (|Integer|)))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|IrrRepSymNatPackage|))))) 
-(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *3))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| (|Stream| *7))) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *5 (|IndexedExponents| *6) *6)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Mapping| (|Stream| *7) *7)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *5 *6 *7))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|RadixUtilities|))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |gcd| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |gcd| *1) (|:| |coef1| *1) (|:| |coef2| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *1)))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) ((*1 *1 *1) (|ofCategory| *1 (|UniqueFactorizationDomain|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|UnivariatePolynomialSquareFree| *3 *2)) (|ofCategory| *2 (|Join| (|UnivariatePolynomialCategory| *3) (|IntegralDomain|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $)))))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|SortPackage| *4 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *4) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|SortPackage| *3 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *3) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|))))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|AbelianGroup|))) ((*1 *1 *1) (|ofCategory| *1 (|AbelianGroup|))) ((*1 *1 *1 *1) (|partial| |isDomain| *1 (|CardinalNumber|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Database| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| *4 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MappingPackage4| *3 *4)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *2 *1) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|AbelianGroup|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|AbelianGroup|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|PatternMatchResult| *4 *5)) (|isDomain| *3 (|PatternMatchResult| *4 *6)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|ListAggregate| *5)) (|isDomain| *1 (|PatternMatchListResult| *4 *5 *6))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfClsPt| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfClsPt| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InfinitlyClosePoint| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|isDomain| *1 (|InfinitlyClosePoint| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumber| *3)) (|ofType| *3 (|PseudoAlgebraicClosureOfRationalNumber|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfFiniteField| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)) (|isDomain| *2 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|PseudoAlgebraicClosureOfRationalNumber|))))) 
+(((*1 *1 *1) (|partial| |ofCategory| *1 (|CharacteristicNonZero|))) ((*1 *1 *1) (|ofCategory| *1 (|FiniteFieldCategory|))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|CharacteristicNonZero|)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|AbelianSemiGroup|))) ((*1 *1 *1 *1) (|isDomain| *1 (|Color|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Database| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianSemiGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianSemiGroup|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|CancellationAbelianMonoid|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|GradedModule| *2 *3)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *1 *1 *1) (|isDomain| *1 (|InputForm|))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Mapping| *4 *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MappingPackage4| *3 *4)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *2 *1) (AND (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Divisor| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|AbelianSemiGroup|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TextFile|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|isDomain| *2 (|List| (|Vector| *5))) (|isDomain| *1 (|InterpolateFormsPackage| *5 *6 *7 *8 *9 *10 *11 *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *3 (|DivisorCategory| *11))))) 
 (((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *3))))) 
-(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Segment| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *1 *1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |func| *3) (|:| |kers| (|List| (|Kernel| *3))) (|:| |vals| (|List| *3)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DoubleFloat|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Kernel| *4)) (|isDomain| *1 (|KernelFunctions2| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DecimalExpansion|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Table| (|PositiveInteger|) (|NonNegativeInteger|)))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *10 (|PlacesCategory| *5 *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *5 *6 *3 *7 *8 *9 *10 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *10)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *3 *7 *8 *9 *10 *2 *11 *4 *12)) (|ofCategory| *4 (|DesingTreeCategory| *11))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Polynomial| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Polynomial| *4)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Polynomial| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Polynomial| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|HeuGcd| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|GcdDomain|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1) (AND (|isDomain| *1 (|DirichletRing| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|isDomain| *1 (|ExponentialOfUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Join| (|Field|) (|OrderedSet|))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|ModuleMonomial| *3 *2 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofType| *4 (|Mapping| (|Boolean|) (|Record| (|:| |index| *3) (|:| |exponent| *2)) (|Record| (|:| |index| *3) (|:| |exponent| *2))))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1 *1 *2) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *2 *7 *8 *9 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *2 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Record| (|:| |num| *1) (|:| |den| *5) (|:| |derivden| *5) (|:| |gd| *5))) (|ofCategory| *1 (|FunctionFieldCategory| *4 *5 *6))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
-(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|BasicOperator|))))) 
 (((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Polynomial| *4))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|GroebnerFactorizationPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|List| *8))) (|isDomain| *1 (|GroebnerFactorizationPackage| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Kernel| *5)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|RetractableTo| (|Integer|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|SparseUnivariatePolynomial| *5)) (|isDomain| *1 (|AlgebraicFunction| *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Kernel| *1)) (|ofCategory| *1 (|Ring|)) (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *1))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|CyclicStreamTools| *3 *2)) (|ofCategory| *2 (|LazyStreamAggregate| *3))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Vector| (|Record| (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)) (|:| |points| (|Integer|)) (|:| |connect| (|Integer|)) (|:| |spline| (|Integer|)) (|:| |axes| (|Integer|)) (|:| |axesColor| (|Palette|)) (|:| |units| (|Integer|)) (|:| |unitsColor| (|Palette|)) (|:| |showing| (|Integer|))))) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SetOfMIntegersInOneToN| *4 *5)) (|ofType| *4 *3) (|ofType| *5 *3)))) 
+(((*1 *1 *1) (|ofCategory| *1 (|PAdicIntegerCategory| *2)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *5 *5 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPartialDifferentialEquationsPackage|))))) 
+(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *10 (|RegularTriangularSetCategory| *6 *7 *8 *9)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *10) (|:| |ineq| (|List| *9))))) (|isDomain| *1 (|QuasiComponentPackage| *6 *7 *8 *9 *10)) (|isDomain| *3 (|List| *9)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *10 (|RegularTriangularSetCategory| *6 *7 *8 *9)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |eq| (|List| *9)) (|:| |tower| *10) (|:| |ineq| (|List| *9))))) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *6 *7 *8 *9 *10)) (|isDomain| *3 (|List| *9))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
+(((*1 *2 *2 *3 *4 *5) (AND (|isDomain| *2 (|List| *9)) (|isDomain| *3 (|Mapping| (|Boolean|) *9)) (|isDomain| *4 (|Mapping| (|Boolean|) *9 *9)) (|isDomain| *5 (|Mapping| *9 *9 *9)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *6 *7 *8 *9))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *5 *4 *6 *7) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|String|)) (|isDomain| *6 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp73| PDEF)))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp74| BNDY)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPartialDifferentialEquationsPackage|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|BagAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Fraction| (|Integer|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Mapping| *8 (|Fraction| (|Integer|)))) (|isDomain| *4 (|Equation| *8)) (|isDomain| *5 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *6 (|Fraction| (|Integer|))) (|ofCategory| *8 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *7 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *8 *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *4 *3)) (|ofCategory| *3 (|UnivariateLaurentSeriesCategory| *4))))) 
+(((*1 *1) (|isDomain| *1 (|Color|)))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *2 *5)) (|ofCategory| *4 (|Type|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *6 *2 *7)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|DirectProductCategory| *4 *6)) (|ofCategory| *2 (|DirectProductCategory| *5 *6)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Record| (|:| |Indices| (|List| *4)) (|:| |Entries| (|List| *5)))) (|isDomain| *1 (|SparseEchelonMatrix| *4 *5)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *2 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *3 *4 *4 *5 *5 *3 *4 *4 *4 *6 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|ThreeDimensionalMatrix| (|DoubleFloat|))) (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagPartialDifferentialEquationsPackage|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Point| *4)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BalancedBinaryTree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *2 *3 *4) (|partial| AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *3 *4) (|partial| AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *2 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *8)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *2 *5 *3 *6 *7 *8 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *3 *6 *7 *8 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *6 (|PolynomialCategory| *2 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *4 (|PlacesCategory| *2 *9)) (|ofCategory| *10 (|DivisorCategory| *4)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *2 *5 *6 *7 *8 *9 *4 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *2 *5 *6 *7 *8 *9 *4 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|FiniteFieldCategory|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *2)) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|DistributedMultivariatePolynomial| *5 *2))) (|isDomain| *4 (|Places| *2)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *2 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|PermutationCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|HeuGcd| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Integer|)) (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *6 *2)) (|ofCategory| *6 (|Type|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| *3) (|:| |entry| *4)))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *1 (|TableAggregate| *3 *4)))) ((*1 *1) (AND (|ofCategory| *1 (|TableAggregate| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
 (((*1 *1 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|))))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *5 *2 *6 *7)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *1 *3 *4 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|StreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |resultantReduit| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1 *1 *3) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|BasicType|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *2) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Reference| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOption|))))) 
 (((*1 *2) (AND (|isDomain| *2 (|Table| (|Symbol|) (|BasicStochasticDifferential|))) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *7 (|PolynomialCategory| *3 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *8) (|:| |radicand| *8))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *3 *7 *8)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)) (SIGNATURE |coerce| ($ *7)))))))) 
+(((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Union| "left" "center" "right" "vertical" "horizontal")) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|DirectProductCategory| *8 (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)) (|isDomain| *2 (|List| (|List| *3))) (|isDomain| *1 (|NewtonPolygon| *6 *3 *7 *8)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *6 *7))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Tableau| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| *4))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *4) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *6) (|:| |polj| *6)))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| (|Integer|))) (|isDomain| *2 (|Vector| (|Integer|))) (|isDomain| *1 (|IntegerLinearDependence| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Fraction| *3))) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *3))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stream| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|PatternFunctions1| *4 *5)) (|ofCategory| *5 (|Type|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|MonogenicAlgebra| *3 *4)) (|isDomain| *1 (|InfiniteProductFiniteField| *3 *4 *5 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *1 (|InfiniteProductPrimeField| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *2)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *2)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3 *4 *2 *2 *2 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *6 *2))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| *4) (|LinearlyExplicitRingOver| *4))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| *5) (|LinearlyExplicitRingOver| *5))) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *7 (|Integer|))) (|isDomain| *4 (|Equation| *7)) (|isDomain| *5 (|UniversalSegment| (|Integer|))) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *4 *3)) (|ofCategory| *3 (|UnivariateTaylorSeriesCategory| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *7)) (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|d02AgentsPackage|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|PartialDifferentialRing| *5)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *6 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *6)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|UniversalSegment| (|Integer|))) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *3) (AND (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Record| (|:| |glbase| (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|:| |glval| (|List| (|Integer|))))) (|isDomain| *1 (|LinGroebnerPackage| *4 *5)) (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *4 *5)))))) 
 (((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|LinearSystemFromPowerSeriesPackage| *5 *3)) (|ofCategory| *3 (|LocalPowerSeriesCategory| *5))))) 
+(((*1 *2 *3 *3) (|partial| AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |ratpart| (|Fraction| *5)) (|:| |coeff| (|Fraction| *5)))) (|isDomain| *1 (|RationalIntegration| *4 *5)) (|isDomain| *3 (|Fraction| *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| *5)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| *5) (|:| |degree| (|Integer|))))) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *5))))) 
 (((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |coef| *3) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| (|NewSparseUnivariatePolynomial| *3)) (|:| |remainder| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| *1) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |coef| *1) (|:| |gap| (|NonNegativeInteger|)) (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|MathMLFormat|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 (|Symbol|))) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) (|Symbol|) *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 *3)) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) *3 *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 HPSPEC) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 (|Symbol|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| HPSPEC (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Polynomial| *6))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *6 *7 *5)) (|ofCategory| *7 (|Field|)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
+(((*1 *1 *2 *3 *4) (AND (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *4 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *3) (|:| |exponent| *4)) (|Record| (|:| |index| *3) (|:| |exponent| *4)))) (|isDomain| *1 (|GeneralModulePolynomial| *5 *2 *3 *4 *6 *7)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *2 *4 (|OrderedVariableList| *5)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|IntegerFactorizationPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|PolynomialSquareFree| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Fraction| *7)))) (|isDomain| *1 (|SupFractionFactorizer| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| (|Fraction| *7))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|UniqueFactorizationDomain|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|UnivariatePolynomialSquareFree| *4 *3)) (|ofCategory| *3 (|Join| (|UnivariatePolynomialCategory| *4) (|IntegralDomain|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *4 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |polyPart| (|LaurentPolynomial| *4 *5)) (|:| |fracPart| (|Fraction| *5)))) (|isDomain| *1 (|LaurentPolynomial| *4 *5)) (|isDomain| *3 (|Fraction| *5)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|SubSpace| *3 *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |primePart| *1) (|:| |commonPart| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
 (((*1 *2 *2 *1) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NumericalIntegrationProblem|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|)))) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalIntegrationProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|)))) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|)))))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|)))))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|OrdinaryDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)))))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|PartialDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|GraphImage|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *1 *1) (|isDomain| *1 (|TwoDimensionalViewport|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|RewriteRule| *3 *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3))))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *1 (|PointCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|ApplyRules| *4 *5 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4))))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *2 (|Ring|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *2 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *9))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *6)) (|:| |tower| *7)))) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *6)) (|:| |tower| *7)))) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *3 (|String|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *1 *1) (|isDomain| *1 (|ThreeDimensionalViewport|)))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *3 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *3 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|CombinatorialOpsCategory|)) (|isDomain| *2 (|Symbol|)))) ((*1 *1 *1) (|ofCategory| *1 (|CombinatorialOpsCategory|)))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|Tree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
 (((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RoutinesTable|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 (|Integer|))) (|isDomain| *4 (|Equation| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *7 (|Integer|))) (|isDomain| *4 (|Equation| *7)) (|isDomain| *5 (|UniversalSegment| (|NonNegativeInteger|))) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|NonNegativeInteger|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Record| (|:| |val| (|List| *7)) (|:| |tower| *8))) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Record| (|:| |val| (|List| *7)) (|:| |tower| *8))) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|PartialDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *2 (|Result|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *2))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Factored| *2)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|PartialFraction| *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|PartialFractionPackage| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Factored| (|Polynomial| *6))) (|isDomain| *5 (|Symbol|)) (|isDomain| *3 (|Polynomial| *6)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|PartialFractionPackage| *6))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|CharacteristicZero|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|CommonDenominator| *2 *4 *3)) (|ofCategory| *3 (|FiniteLinearAggregate| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|InnerCommonDenominator| *2 *4 *5 *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *3 (|FiniteLinearAggregate| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|MatrixCommonDenominator| *2 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|UnivariatePolynomialCommonDenominator| *2 *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|PrimitiveArray| (|ModMonic| *3 *4))) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *3 *4 *5) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *5 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeMonoid| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|ListMonoidOps| *4 *2 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofType| *5 *2))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OrderedFreeMonoid| *4)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PlottablePlaneCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|)))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|BezoutMatrix| *4 *3 *2 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4))))) 
+(((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 (|NonNegativeInteger|) *2)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|MappingPackageInternalHacks1| *2)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Mapping| *3 (|NonNegativeInteger|) *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|MappingPackage1| *3))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)) (|isDomain| *4 (|DoubleFloat|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|AffineSpaceCategory| *4)) (|ofCategory| *4 (|Field|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *4 (|Field|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *1 *1) (|isDomain| *1 (|Float|))) ((*1 *1) (|isDomain| *1 (|Float|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|BasicOperatorFunctions1| *2))))) 
 (((*1 *2 *3 *3) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |func| *3) (|:| |poly| *3) (|:| |c1| (|Fraction| *5)) (|:| |c2| (|Fraction| *5)) (|:| |deg| (|NonNegativeInteger|)))) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *5)))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|PolynomialComposition| *2 *3)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Stream| *3))) (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LyndonWord| *3))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
 (((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Cell| *3)) (|ofCategory| *3 (|RealClosedField|)))) ((*1 *2) (AND (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|CardinalNumber|)) (|isDomain| *1 (|DirectProductCategory&| *3 *4 *5)) (|ofCategory| *3 (|DirectProductCategory| *4 *5)))) ((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|CardinalNumber|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 *2) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PointCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2) (AND (|ofCategory| *1 (|VectorSpace| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|CardinalNumber|))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|List| (|Integer|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|List| (|Integer|)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| *2)) (|isDomain| *4 (|Mapping| *2 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|MonomialExtensionTools| *5 *2)) (|ofCategory| *5 (|Field|))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
 (((*1 *2 *1 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *1)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Stream| *3))) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAssertions| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PatternMatchAssertions|))))) 
+(((*1 *2 *1 *1) (|partial| AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Union| "nil" "sqfr" "irred" "prime")) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|Mapping| (|SparseUnivariatePolynomial| *3) (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|AlgebraicIntegration| *6 *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|InputForm|)) (|isDomain| *1 (|InputFormFunctions1| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Any|)) (|isDomain| *1 (|InputForm|))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Vector| (|Vector| *5))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *4 (|Vector| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *1 *2 *3 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3 *4 *2) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|MappingPackageInternalHacks1| *2))))) 
 (((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Palette|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| (|Boolean|) *5)) (|isDomain| *1 (|PatternFunctions1| *4 *5)) (|ofCategory| *5 (|Type|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Matrix| (|Expression| (|Integer|))))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|isDomain| *2 (|Record| (|:| |pol| (|SparseUnivariatePolynomial| *9)) (|:| |polval| (|SparseUnivariatePolynomial| *8)))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9)) (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|SparseUnivariatePolynomial| *8))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|AlgebraicFunction| *4 *5))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Matrix| *4))) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
 (((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6))))) (|isDomain| *1 (|LexTriangularPackage| *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *5 "failed") *8)) (|isDomain| *4 (|Matrix| (|SparseUnivariatePolynomial| *8))) (|ofCategory| *5 (|Ring|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *6 *7 *8)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| *4) (|:| |degree| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|Multiset| (|NonNegativeInteger|))) (|isDomain| *1 (|GaloisGroupFactorizer| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Factored| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Multiset| (|NonNegativeInteger|))) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *4 *5))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *6)) (|:| |exponent| (|Integer|))))) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Matrix| *3))) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Vector| (|Matrix| *4))) (|isDomain| *1 (|AssociatedEquations| *4 *5)) (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
 (((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InternalRationalUnivariateRepresentationPackage| *5 *6 *7 *8 *3))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|OpenMathEncoding|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1) (|isDomain| *1 (|FortranCode|)))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12))))) 
 (((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerRoots| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
+(((*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| *2)) (|:| |logand| (|SparseUnivariatePolynomial| *2))))) (|isDomain| *4 (|List| (|Record| (|:| |integrand| *2) (|:| |intvar| *2)))) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|IntegrationResult| *2))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
 (((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AlgebraicFunctionField| *4 *5 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|ofType| *7 *6)))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|OrderedCompletion| *3))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|OrderedCompletion| *3) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| *3) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| *3) "failed"))) "failed")) (|isDomain| *1 (|PowerSeriesLimitPackage| *5 *3)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|String|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|OrderedCompletion| *3)) (|isDomain| *1 (|PowerSeriesLimitPackage| *6 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|OrderedCompletion| (|Polynomial| *5)))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))) "failed"))) "failed")) (|isDomain| *1 (|RationalFunctionLimitPackage| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Union| (|OrderedCompletion| *3) (|Record| (|:| |leftHandLimit| (|Union| (|OrderedCompletion| *3) "failed")) (|:| |rightHandLimit| (|Union| (|OrderedCompletion| *3) "failed"))) "failed")) (|isDomain| *1 (|RationalFunctionLimitPackage| *5)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Equation| (|Fraction| (|Polynomial| *6)))) (|isDomain| *5 (|String|)) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|OrderedCompletion| *3)) (|isDomain| *1 (|RationalFunctionLimitPackage| *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PermutationGroup| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *2 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *1) (|isDomain| *1 (|OpenMathEncoding|)))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *5 (|Finite|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|FractionFreeFastGaussian| *5 *6)) (|ofCategory| *6 (|AbelianMonoidRing| *5 *4)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|FractionFreeFastGaussian| *5 *6)) (|ofCategory| *6 (|AbelianMonoidRing| *5 *4)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|UnivariatePolynomial| *4 *5)) (|isDomain| *3 (|List| *5)) (|ofType| *4 (|Symbol|)) (|ofCategory| *5 (|Field|)) (|isDomain| *1 (|PolynomialInterpolation| *4 *5)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *5)) (|isDomain| *1 (|PolynomialInterpolation| *4 *5)) (|ofType| *4 (|Symbol|)))) ((*1 *2 *3 *3 *4 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Fraction| (|Polynomial| *6))) (|isDomain| *1 (|RationalInterpolation| *5 *6)) (|ofType| *5 (|Symbol|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoid|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *3 (|String|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *4 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NormalizationPackage| *6 *7 *8 *4 *5)) (|ofCategory| *5 (|RegularTriangularSetCategory| *6 *7 *8 *4))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|LaurentPolynomial| *4 *5)) (|isDomain| *3 (|Mapping| (|Record| (|:| |ans| *4) (|:| |right| *4) (|:| |sol?| (|Boolean|))) (|Integer|) *4)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|TranscendentalIntegration| *4 *5))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *1)))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
 (((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|DrawComplex|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Complex| *3)))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4)))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|Record| (|:| |gblist| (|List| (|DistributedMultivariatePolynomial| *4 *5))) (|:| |gvlist| (|List| (|Integer|))))) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
+(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|ContinuedFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|Places| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|PackageForPoly| *2 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *2 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|Fraction| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|RationalIntegration| *3 *4))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|Bits|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)))) ((*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Boolean|) (|BasicOperator|) (|BasicOperator|))) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *2 *3 *4 *5 *4 *4 *4) (AND (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *3 (|List| *6)) (|isDomain| *5 (|List| *3)) (|isDomain| *2 (|Record| (|:| |f1| *3) (|:| |f2| (|List| *5)) (|:| |f3| *5) (|:| |f4| (|List| *5)))) (|isDomain| *1 (|TableauxBumpers| *6)) (|isDomain| *4 (|List| *5))))) 
 (((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *3 *2 *4 *5)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *3 *4))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|PartialDifferentialRing| *5)) (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *3 *6 *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *4 *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Mapping| *5 *4)) (|isDomain| *1 (|MappingPackage2| *4 *5))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1 *4) (AND (|isDomain| *4 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *3)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranTemplate|))))) 
+(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
 (((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *2)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|))))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathPackage|))))) 
+(((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|IntegralDomain|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Stream| *4) (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|ParadoxicalCombinatorsForStreams| *4)) (|ofCategory| *4 (|Type|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|List| (|Stream| *5)) (|List| (|Stream| *5)))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|Stream| *5))) (|isDomain| *1 (|ParadoxicalCombinatorsForStreams| *5)) (|ofCategory| *5 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|ExtAlgBasis|))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *2 (|OrderedCompletion| *4)) (|isDomain| *1 (|ExponentialExpansion| *3 *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4))) ((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *2 (|OrderedCompletion| *4)) (|isDomain| *1 (|UnivariatePuiseuxSeriesWithExponentialSingularity| *3 *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4)))) 
 (((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|List| (|Integer|)))) (|isDomain| *1 (|Partition|)) (|isDomain| *3 (|List| (|Integer|)))))) 
+(((*1 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *2 (|Join| (|FieldOfPrimeCharacteristic|) (CATEGORY |package| (SIGNATURE |coerce| (*2 *4)) (SIGNATURE |lookup| ((|PositiveInteger|) *2)) (SIGNATURE |basis| ((|Vector| *2) (|PositiveInteger|))) (SIGNATURE |Frobenius| (*2 *2))))) (|isDomain| *1 (|FiniteFieldPolynomialPackage2| *2 *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|AffineSpaceCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|List| (|List| (|DoubleFloat|)))) (|isDomain| *1 (|TubePlotTools|))))) 
 (((*1 *2 *3 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|RationalFunctionIntegration| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Matrix| *3))) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|XPolynomialRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedMonoid|))))) 
-(((*1 *2 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *3 *4 *3 *3) (AND (|isDomain| *3 (|Equation| *6)) (|isDomain| *4 (|BasicOperator|)) (|ofCategory| *6 (|FunctionSpace| *5)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *5 *6)))) ((*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|Equation| *7)) (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|List| *7)) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *7)))) ((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *3 (|List| (|Equation| *7))) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Equation| *7)) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| (|Equation| *8))) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Equation| *8)) (|isDomain| *6 (|List| *8)) (|ofCategory| *8 (|FunctionSpace| *7)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *7 *8)))) ((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Equation| *7)) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *6 (|List| (|Equation| *8))) (|ofCategory| *8 (|FunctionSpace| *7)) (|isDomain| *5 (|Equation| *8)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *7 *8)))) ((*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|Equation| *5)) (|isDomain| *4 (|BasicOperator|)) (|ofCategory| *5 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *5)))) ((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *3)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|List| *3)) (|ofCategory| *3 (|FunctionSpace| *7)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *7 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Symbol|)) (|isDomain| *6 (|List| *3)) (|ofCategory| *3 (|FunctionSpace| *7)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ExpressionSolve| *7 *3 *2 *8)) (|ofCategory| *8 (|UnivariateTaylorSeriesCategory| (|SparseUnivariatePolynomialExpressions| *3))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *6)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| (|SparseUnivariatePolynomialExpressions| *5))) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)) (|isDomain| *1 (|TaylorSolve| *5 *2 *6))))) 
+(((*1 *2 *3 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |a| *6) (|:| |b| (|Fraction| *6)) (|:| |c| (|Fraction| *6)) (|:| |t| *6))) (|isDomain| *1 (|TranscendentalRischDE| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|TheSymbolTable|)) (|isDomain| *3 (|Symbol|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|NumberFormats|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Database| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| (*2 $)) (SIGNATURE |fullDisplay| (*2 $))))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Database| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| (*2 $)) (SIGNATURE |fullDisplay| (*2 $))))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|IndexCard|))))) 
 (((*1 *2 *3 *3 *3 *4 *5 *6) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|FunctionFieldIntegralBasis| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|NumberFieldIntegralBasis| *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|PAdicWildFunctionFieldIntegralBasis| *4 *3 *5 *6)) (|ofCategory| *6 (|MonogenicAlgebra| *3 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|WildFunctionFieldIntegralBasis| *4 *3 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *3 *5))))) 
+(((*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateSquareFree| *5 *4 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldFunctions| *4))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ToolsForSign| *4)) (|ofCategory| *4 (|Ring|))))) 
 (((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|OrderedRing|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *5 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)) (|ofCategory| *3 (|FiniteFieldCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|EuclideanModularRing| *3 *4 *2 *5 *6 *7)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofType| *5 (|Mapping| *4 *4 *2)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2)) (|ofType| *7 (|Mapping| (|Union| *4 "failed") *4 *4 *2)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|ModularField| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|Mapping| *3 *3 *2)) (|ofType| *5 (|Mapping| (|Union| *2 "failed") *2 *2)) (|ofType| *6 (|Mapping| (|Union| *3 "failed") *3 *3 *2)))) ((*1 *2) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|AbelianMonoid|)) (|isDomain| *1 (|ModularRing| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|Mapping| *3 *3 *2)) (|ofType| *5 (|Mapping| (|Union| *2 "failed") *2 *2)) (|ofType| *6 (|Mapping| (|Union| *3 "failed") *3 *3 *2)))) ((*1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderingFunctions| *4 *5)) (|ofType| *4 (|NonNegativeInteger|))))) 
+(((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|FortranScalarType|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|SimpleFortranProgram| *5 *4)) (|ofCategory| *4 (|FunctionSpace| *5))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *2)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|))))))) 
-(((*1 *2 *3 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *7 (|QuotientFieldCategory| *4)) (|ofCategory| *2 (|MatrixCategory| *7 *8 *9)) (|isDomain| *1 (|InnerMatrixQuotientFieldFunctions| *4 *5 *6 *3 *7 *8 *9 *2)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *7)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *2 *3 *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *6 (|DirectProductCategory| *2 *4)) (|ofCategory| *4 (|EuclideanDomain|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|LyndonWord| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *4 *1) (AND (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|Float|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|Complex| (|Float|))))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|Integer|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|Complex| (|Float|))))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|Integer|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|MachineComplex|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|MachineFloat|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|MachineInteger|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|MachineComplex|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|MachineFloat|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|MachineInteger|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputPackage|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Stream| *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *4 (|Type|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *5 *4)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *5 *4 *6 *2)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *6 (|IntegralDomain|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricPlaneCurve| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricSpaceCurve| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricSurface| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *7 (|QuotientFieldCategory| *4)) (|ofCategory| *2 (|MatrixCategory| *7 *8 *9)) (|isDomain| *1 (|InnerMatrixQuotientFieldFunctions| *4 *5 *6 *3 *7 *8 *9 *2)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *7)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *2 *3 *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *6 (|DirectProductCategory| *2 *4)) (|ofCategory| *4 (|EuclideanDomain|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |Ech| (|SparseEchelonMatrix| *3 *4)) (|:| |Lt| (|Matrix| *4)) (|:| |Pivots| (|List| *4)) (|:| |Rank| (|NonNegativeInteger|)))) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|IntegrationResult| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|IntegrationResultToFunction| *4 *2)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|IntegrationResult| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|IntegrationResultRFToFunction| *4))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Record| (|:| |ans| *6) (|:| |right| *6) (|:| |sol?| (|Boolean|))) (|Integer|) *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Record| (|:| |answer| (|IntegrationResult| (|Fraction| *7))) (|:| |a0| *6))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Any|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AnyFunctions1| *4)) (|ofCategory| *4 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|NewtonInterpolation| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RandomNumberSource|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|DisplayPackage|)) (|isDomain| *3 (|String|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|DisplayPackage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Kernel| *1)) (|ofCategory| *1 (|ExpressionSpace|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
 (((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *5 (|List| (|Symbol|))) (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *2 *6)) (|ofCategory| *6 (|Type|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Join| (|Field|) (|OrderedSet|))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3) (|isDomain| *1 (|ExponentialOfUnivariatePuiseuxSeries| *3 *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)) (|isDomain| *3 (|Float|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| *4))))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| *3))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Vector| (|Matrix| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|StructuralConstantsPackage| *5)) (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| *5)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Vector| (|Matrix| (|Polynomial| *5)))) (|isDomain| *1 (|StructuralConstantsPackage| *5)) (|isDomain| *4 (|Matrix| (|Polynomial| *5))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Matrix| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Vector| (|Matrix| *4))) (|isDomain| *1 (|StructuralConstantsPackage| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|InputForm|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|InputForm|))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|)))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3 *4)) (|isDomain| *1 (|MappingPackage2| *4 *3)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
 (((*1 *2 *2) (|partial| AND (|isDomain| *2 (|List| (|Polynomial| *3))) (|ofCategory| *3 (|GcdDomain|)) (|isDomain| *1 (|FGLMIfCanPackage| *3 *4)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *2) (|partial| AND (|isDomain| *2 (|List| (|NewSparseMultivariatePolynomial| *3 (|OrderedVariableList| *4)))) (|ofCategory| *3 (|GcdDomain|)) (|ofType| *4 (|List| (|Symbol|))) (|isDomain| *1 (|LexTriangularPackage| *3 *4))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|Boolean|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Expression| (|Integer|)))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Union| (|:| I (|Expression| (|Integer|))) (|:| F (|Expression| (|Float|))) (|:| CF (|Expression| (|Complex| (|Float|)))) (|:| |switch| (|Switch|)))) (|isDomain| *1 (|Switch|))))) 
 (((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|Mapping| (|List| *2) *2 *2 *2)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *2)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|Mapping| *2 *2 *2)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|BalancedBinaryTree| *2))))) 
-(((*1 *2 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
+(((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *2 *2 *3 *4) (AND (|isDomain| *2 (|Matrix| *5)) (|isDomain| *3 (|Automorphism| *5)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *1 (|PseudoLinearNormalForm| *5))))) 
+(((*1 *2 *3 *4 *3) (|partial| AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |ratpart| (|Fraction| *6)) (|:| |coeff| (|Fraction| *6)))) (|isDomain| *1 (|TranscendentalIntegration| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
+(((*1 *2 *2 *2 *2 *3 *3 *4) (|partial| AND (|isDomain| *3 (|Kernel| *2)) (|isDomain| *4 (|Mapping| (|Union| *2 "failed") *2 *2 (|Symbol|))) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|PureAlgebraicIntegration| *5 *2 *6)) (|ofCategory| *6 (|SetCategory|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|GroebnerFactorizationPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|List| *8))) (|isDomain| *1 (|GroebnerFactorizationPackage| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|GroebnerFactorizationPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|List| *8))) (|isDomain| *1 (|GroebnerFactorizationPackage| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8))))) 
+(((*1 *2 *3 *4 *5 *6 *7 *6) (|partial| AND (|isDomain| *5 (|Record| (|:| |contp| *3) (|:| |factors| (|List| (|Record| (|:| |irr| *10) (|:| |pow| (|Integer|))))))) (|isDomain| *6 (|List| *3)) (|isDomain| *7 (|List| *8)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *10 (|PolynomialCategory| *3 *9 *8)) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |polfac| (|List| *10)) (|:| |correct| *3) (|:| |corrfact| (|List| (|SparseUnivariatePolynomial| *3))))) (|isDomain| *1 (|LeadingCoefDetermination| *8 *9 *3 *10)) (|isDomain| *4 (|List| (|SparseUnivariatePolynomial| *3)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|))))) (|isDomain| *1 (|Symbol|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|OutputForm|)))) (|isDomain| *1 (|Symbol|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|LinearlyExplicitRingOver| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LinearDependence| *4 *5))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *2)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *5 *6)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Record| (|:| |num| (|Matrix| *5)) (|:| |den| *5)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| *4)) (|SuchThat| (|Symbol|) (|Polynomial| *4)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| *4)))))))) (|isDomain| *1 (|EigenPackage| *4)) (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4))))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|Any|))))) 
+(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|LiePolynomial| *3 *4)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *5))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|))) ((*1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| *7) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| *7))))) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
 (((*1 *2 *3 *4 *4 *5 *3 *6) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|List| *3)) (|isDomain| *6 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|GenusZeroIntegration| *7 *3 *8)) (|ofCategory| *8 (|SetCategory|)))) ((*1 *2 *3 *4 *4 *5 *4 *3 *6) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|List| *3)) (|isDomain| *6 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|GenusZeroIntegration| *7 *3 *8)) (|ofCategory| *8 (|SetCategory|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|LyndonWord| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *5 *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| *9)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *9 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *8 *9))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Expression| (|Float|)))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorsOps| *4 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Integer|)))) (|isDomain| *1 (|CyclotomicPolynomialPackage|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
 (((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *6)) (|isDomain| *5 (|Mapping| (|Factored| (|SparseUnivariatePolynomial| *6)) (|SparseUnivariatePolynomial| *6))) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| |outval| *7) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| *7)))))) (|isDomain| *1 (|InnerNumericEigenPackage| *6 *7 *4)) (|ofCategory| *7 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| A (|Matrix| *5)) (|:| |eqs| (|List| (|Record| (|:| C (|Matrix| *5)) (|:| |g| (|Vector| *5)) (|:| |eq| *6) (|:| |rh| *5)))))) (|isDomain| *1 (|SystemODESolver| *5 *6)) (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *6)) (|:| |vec| (|Vector| *5)))) (|isDomain| *1 (|SystemODESolver| *5 *6)) (|isDomain| *3 (|Matrix| *6)) (|isDomain| *4 (|Vector| *5))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|PointCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PrintPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|NumberFormats|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathConnection|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|AssociationList| (|String|) (|None|))) (|isDomain| *1 (|BasicOperator|))))) 
 (((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DoubleFloat|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DoubleFloat|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Float|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Float|))))) 
+(((*1 *1 *1 *2 *2) (|partial| AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 *2) (|ofType| *4 *2)))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|OpenMathEncoding|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *1 (|SplittingNode| *3 *2)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *3 *4 *4 *5) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|List| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|PureAlgebraicIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 |RationalNumber|) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|FractionFreeFastGaussian| *4 *5)) (|ofCategory| *5 (|AbelianMonoidRing| *4 *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OpenMathDevice|)) (|isDomain| *1 (|OpenMathConnection|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerBits|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OrdSetInts|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|QueryEquation|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *1 *1 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1))) (|ofCategory| *1 (|EuclideanDomain|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |coef1| *1) (|:| |coef2| *1) (|:| |generator| *1))) (|ofCategory| *1 (|EuclideanDomain|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *2)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *2 (|BlowUpMethodCategory|))))) 
 (((*1 *1 *1 *1) (AND (|ofCategory| *1 (|FreeAbelianMonoidCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|CancellationAbelianMonoid|)) (|ofCategory| *3 (|OrderedAbelianMonoid|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursiveAggregate| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|SubSpace| *3 *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *12)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|List| (|DesingTree| (|InfClsPt| *3 *4 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
 (((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|))))) 
+(((*1 *1 *2 *2 *2 *2 *2 *2 *2 *2) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Quaternion| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *1 (|Octonion| *3))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|Integer|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *2 (|Complex| *5)) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *5 *3)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *3 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|CharacterClass|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Character|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)))) ((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| *5 *5)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5))))) 
 (((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *2 (|Fraction| (|Integer|)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|TriangularMatrixOperations| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
 (((*1 *2) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|TopLevelThreeSpace|))))) 
+(((*1 *2 *3) (|partial| AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *2)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|String|)) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
 (((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2 *3 *4 *2 *2 *5) (|partial| AND (|isDomain| *2 (|OrderedCompletion| *4)) (|isDomain| *3 (|Kernel| *4)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *4 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|DefiniteIntegrationTools| *6 *4))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|RetractableTo| (|Integer|))) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $)))))))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)) (|isDomain| *2 (|List| *1)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|CommutativeRing|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|List| *8))) (|isDomain| *3 (|List| *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *3 *2) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4 *5) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4 *5 *6) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|List| (|NonNegativeInteger|))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Factored| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *5 *2)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *1 *2 *2 *2 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|))))) 
 (((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |lm| (|FreeMonoid| *3)) (|:| |mm| (|FreeMonoid| *3)) (|:| |rm| (|FreeMonoid| *3)))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |lm| (|OrderedFreeMonoid| *3)) (|:| |mm| (|OrderedFreeMonoid| *3)) (|:| |rm| (|OrderedFreeMonoid| *3)))) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|GcdDomain|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|PolynomialCategory| *5 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|GeneralPolynomialGcdPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Union| "nil" "sqfr" "irred" "prime")) (|isDomain| *1 (|Factored| *4)) (|ofCategory| *4 (|IntegralDomain|))))) 
+(((*1 *2 *1 *3 *4 *4 *4 *4 *5 *5 *5 *5 *6 *5 *6 *5) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *5 (|Integer|)) (|isDomain| *6 (|Palette|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
 (((*1 *2 *1) (|partial| AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|BinaryFile|)))) ((*1 *2 *1) (|partial| AND (|isDomain| *1 (|File| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Permutation| (|Integer|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|RepresentationPackage1| *5)) (|ofCategory| *5 (|Ring|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|RepresentationPackage1| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Permutation| (|Integer|)))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|Matrix| *4))) (|isDomain| *1 (|RepresentationPackage1| *5)) (|ofCategory| *5 (|Ring|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Integer|)))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|RepresentationPackage1| *4)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursiveAggregate| *3))))) 
 (((*1 *2 *3 *4 *5 *6) (AND (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *9 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|isDomain| *2 (|Record| (|:| |mult| (|NonNegativeInteger|)) (|:| |subMult| (|NonNegativeInteger|)) (|:| |blUpRec| (|List| (|Record| (|:| |recTransStr| (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *6)) (|:| |recPoint| (|AffinePlane| *6)) (|:| |recChart| *5) (|:| |definingExtension| *6)))))) (|isDomain| *1 (|BlowUpPackage| *6 *7 *8 *9 *5)) (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *6)) (|isDomain| *4 (|AffinePlane| *6)) (|ofCategory| *8 (|FiniteAbelianMonoidRing| *6 *9)) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *4 (|String|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7))))) (|ofCategory| *7 (|OrderedRing|)) (|ofCategory| *8 (|Join| (|UnivariatePowerSeriesCategory| *3 *7) (|Field|) (|TranscendentalFunctionCategory|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $)) (SIGNATURE |integrate| ($ $))))) (|isDomain| *2 (|Union| (|:| |%series| *8) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|)))))) (|isDomain| *1 (|FunctionSpaceToUnivariatePowerSeries| *6 *3 *7 *8 *9 *10)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PartialTranscendentalFunctions| *8)) (|ofType| *10 (|Symbol|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|FiniteDivisor| *4 *5 *6 *7)) (|ofCategory| *4 (|Join| (|Finite|) (|Field|))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|ofCategory| *7 (|FunctionFieldCategory| *4 *5 *6)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FindOrderFinite| *4 *5 *6 *7)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FieldOfPrimeCharacteristic|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|LaurentPolynomial| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1 *3 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PointsOfFiniteOrder| *4 *5 *6 *7 *8)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|FiniteDivisor| (|Fraction| (|Integer|)) *4 *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| (|Fraction| (|Integer|)) *4 *5)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PointsOfFiniteOrderRational| *4 *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|FiniteDivisor| *6 *7 *4 *8)) (|isDomain| *5 (|Mapping| *9 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *7))) (|ofCategory| *8 (|FunctionFieldCategory| *6 *7 *4)) (|ofCategory| *9 (|Join| (|Finite|) (|Field|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ReducedDivisor| *6 *7 *4 *8 *9)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| *5))) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6)) (|ofCategory| *6 (|DirectProductCategory| *7 *2)) (|ofType| *7 *2) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|NewtonPolygon| *4 *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| *7 *2)) (|ofType| *7 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *3 *6 *7 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *5 *6)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|DirectProductCategory| *8 *2)) (|ofType| *8 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PolynomialPackageForCurve| *6 *3 *7 *8 *4)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *6 *7)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *6))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| *4))))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| (|Integer|)))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| *4))))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *4)))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *4)))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|isDomain| *2 (|Record| (|:| |particular| *4) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|ElementaryFunctionLODESolver| *6 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)))) ((*1 *2 *3 *2 *4 *2 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ElementaryFunctionLODESolver| *6 *2 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|Vector| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|Vector| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5)))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|List| (|Vector| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5)))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|List| (|Vector| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *7 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|List| (|Record| (|:| |particular| (|Union| *7 "failed")) (|:| |basis| (|List| *7))))) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *7 *3)) (|isDomain| *4 (|List| *7)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|NonLinearSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|NonLinearSolvePackage| *4)))) ((*1 *2 *2 *2 *3 *4) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|NonLinearFirstOrderODESolver| *5 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *5) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|Matrix| *7)) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *7)) (|:| |basis| (|List| (|Vector| *7))))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)) (|isDomain| *4 (|Vector| *7)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Matrix| *6)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedFunctionSpace| *5) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Vector| *6))) (|isDomain| *1 (|ElementaryFunctionODESolver| *5 *6)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|List| (|Equation| *7))) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *7)) (|:| |basis| (|List| (|Vector| *7))))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *7)) (|:| |basis| (|List| (|Vector| *7))))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Equation| *7)) (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Union| (|Record| (|:| |particular| *7) (|:| |basis| (|List| *7))) *7 "failed")) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Union| (|Record| (|:| |particular| *3) (|:| |basis| (|List| *3))) *3 "failed")) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))))) ((*1 *2 *3 *4 *3 *5) (|partial| AND (|isDomain| *3 (|Equation| *2)) (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *2)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))))) ((*1 *2 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Equation| *2)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *2)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *4 (|Float|)) (|isDomain| *5 (|List| *4)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *4) (AND (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *4 (|Float|)) (|isDomain| *5 (|List| *4)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *6 *4) (AND (|isDomain| *3 (|Vector| (|Expression| *4))) (|isDomain| *5 (|List| (|Float|))) (|isDomain| *6 (|Expression| (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *5 *4) (AND (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *4 (|Float|)) (|isDomain| *5 (|List| *4)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4) (AND (|isDomain| *3 (|Vector| (|Expression| *4))) (|isDomain| *5 (|List| (|Float|))) (|isDomain| *6 (|Expression| (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (AND (|isDomain| *3 (|Vector| (|Expression| *4))) (|isDomain| *5 (|List| (|Float|))) (|isDomain| *6 (|Expression| (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |particular| *6) (|:| |basis| (|List| *6))) "failed") *7 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *6)) (|:| |basis| (|Matrix| *6)))) (|isDomain| *1 (|SystemODESolver| *6 *7)) (|isDomain| *3 (|Matrix| *6)) (|isDomain| *4 (|Vector| *6)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *6 (|List| (|List| (|Expression| *3)))) (|isDomain| *7 (|String|)) (|isDomain| *8 (|DoubleFloat|)) (|isDomain| *5 (|List| (|Expression| (|Float|)))) (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *6 (|List| (|List| (|Expression| *3)))) (|isDomain| *7 (|String|)) (|isDomain| *5 (|List| (|Expression| (|Float|)))) (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|RealSolvePackage|)) (|isDomain| *4 (|Float|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|RealSolvePackage|)) (|isDomain| *4 (|Float|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|TransSolvePackage| *4)) (|isDomain| *3 (|Expression| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|TransSolvePackage| *4)) (|isDomain| *3 (|Equation| (|Expression| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|TransSolvePackage| *5)) (|isDomain| *3 (|Equation| (|Expression| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|TransSolvePackage| *5)) (|isDomain| *3 (|Expression| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|TransSolvePackage| *5)) (|isDomain| *3 (|List| (|Equation| (|Expression| *5)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|SystemSolvePackage| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|SystemSolvePackage| *5)) (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|SystemSolvePackage| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|SystemSolvePackage| *4)) (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|SystemSolvePackage| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|SystemSolvePackage| *5)) (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *5)))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|isDomain| *1 (|SystemSolvePackage| *4)) (|isDomain| *3 (|Fraction| (|Polynomial| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|isDomain| *1 (|SystemSolvePackage| *4)) (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *4))))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *3 *4)) (|ofCategory| *2 (|Type|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|IndexedAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
 (((*1 *1 *1) (AND (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *5 *5 *6 *7 *8 *8 *3) (AND (|isDomain| *6 (|List| (|Boolean|))) (|isDomain| *7 (|Matrix| (|DoubleFloat|))) (|isDomain| *8 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|ExpressionSpace|)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Kernel| *1))) (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Equation| *1))) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Equation| *1)) (|ofCategory| *1 (|ExpressionSpace|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|DataList| *3))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|U32Vector|)) (|isDomain| *5 (|Integer|)) (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *3 *6)) (|ofCategory| *3 (|Type|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Void|))))) 
 (((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *4 *4 *5 *6 *5 *4 *7 *3) (AND (|isDomain| *4 (|Matrix| (|Integer|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *7 (|Matrix| (|DoubleFloat|))) (|isDomain| *3 (|Integer|)) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|Vector| (|MachineFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4))))) 
 (((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|Float|)))) (|isDomain| *1 (|RealSolvePackage|)) (|isDomain| *5 (|Float|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|RegularChain| *4 *5)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *5))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|List| (|RealClosure| (|Fraction| *4))))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |preimage| (|List| *3)) (|:| |image| (|List| *3)))) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1) (|ofCategory| *1 (|StepThrough|)))) 
+(((*1 *2 *3 *3 *3 *3 *4 *5 *6 *6 *7 *7 *3) (AND (|isDomain| *4 (|List| (|Boolean|))) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Matrix| (|Integer|))) (|isDomain| *7 (|DoubleFloat|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *2 (|FiniteFieldCategory|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModMonic| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3 *1) (|partial| AND (|ofCategory| *1 (|KeyedDictionary| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|HallBasis|))))) 
 (((*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| (|Expression| *3)))) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *1 (|TransSolvePackageService| *3))))) 
+(((*1 *2 *3 *4 *3 *5 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|ComplexCategory&| *3 *2)) (|ofCategory| *3 (|ComplexCategory| *2)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|FramedAlgebra&| *3 *2 *4)) (|ofCategory| *3 (|FramedAlgebra| *2 *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|NumberFieldIntegralBasis| *3 *4)) (|ofCategory| *4 (|FramedAlgebra| *2 *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|CommutativeRing|))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5)))) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorFactorizer| *4 *5)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5)))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *3 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *4 *5 *3)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|List| *7) (|List| *7))) (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *1 *2 *3 *3 *3 *4) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|ofCategory| *1 (|FiniteDivisorCategory| *4 *3 *5 *2)) (|ofCategory| *2 (|FunctionFieldCategory| *4 *3 *5)))) ((*1 *1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *2 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *1 (|FiniteDivisorCategory| *2 *4 *5 *6)) (|ofCategory| *6 (|FunctionFieldCategory| *2 *4 *5)))) ((*1 *1 *2 *2) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|ofCategory| *1 (|FiniteDivisorCategory| *2 *3 *4 *5)) (|ofCategory| *5 (|FunctionFieldCategory| *2 *3 *4)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *2)) (|ofCategory| *2 (|FunctionFieldCategory| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FractionalIdeal| *4 (|Fraction| *4) *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|CycleIndicators|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|IrrRepSymNatPackage|))))) 
 (((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *3)) (|ofCategory| *3 (|LeftModule| *2)))) ((*1 *2 *2) (AND (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BinaryExpansion|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|InputForm|))) (|isDomain| *1 (|InputForm|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *4 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *9 (|PlacesCategory| *5 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DesingTreeCategory| *11)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *4 *7 *3 *8 *9 *10 *11 *2 *12)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *5 *6 *4 *7 *3 *8 *9 *10 *12))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|Integer|))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|Integer|))) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|Integer|))) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |poly| *6) (|:| |eq| *3)))) (|isDomain| *1 (|PrimitiveRatRicDE| *5 *6 *3 *7)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *6))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |poly| *6) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6)))))) (|isDomain| *1 (|RationalRicDE| *5 *6)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6)))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BinaryExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DecimalExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|HexadecimalExpansion|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|EuclideanDomain|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| *4) (|:| |xpnt| (|Integer|)))) (|ofCategory| *4 (|Join| (|UnivariatePolynomialCategory| *3) (|IntegralDomain|) (CATEGORY |domain| (SIGNATURE |gcd| ($ $ $))))) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|UnivariatePolynomialSquareFree| *3 *4))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
 (((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *3 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *2 *2 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *4))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *3 *3 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *3 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *3 *5))))) 
 (((*1 *1 *1 *2) (|partial| AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 *2) (|ofType| *4 *2)))) 
+(((*1 *1 *1 *2) (|partial| AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ODEIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))))) ((*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3 *3 *4 *4 *5 *4 *5 *4 *4 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| *4))) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *4 (|PolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |lcmfij| *7) (|:| |totdeg| *5) (|:| |poli| *4) (|:| |polj| *4))) (|isDomain| *1 (|GroebnerInternalPackage| *6 *7 *8 *4))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|RetractableTo| (|Integer|))) (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|Integer|)) (|isDomain| *5 (|Matrix| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagMatrixOperationsPackage|))))) 
+(((*1 *2 *3 *4 *5 *6) (|partial| AND (|isDomain| *4 (|Mapping| *8 *8)) (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |ratpart| *7) (|:| |coeff| *7)) "failed") *7)) (|isDomain| *6 (|List| (|Fraction| *8))) (|ofCategory| *7 (|Field|)) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7)) (|isDomain| *3 (|Fraction| *8)) (|isDomain| *2 (|Record| (|:| |answer| (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (|isDomain| *1 (|TranscendentalIntegration| *7 *8))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *7 (|QuotientFieldCategory| *4)) (|ofCategory| *2 (|MatrixCategory| *7 *8 *9)) (|isDomain| *1 (|InnerMatrixQuotientFieldFunctions| *4 *5 *6 *3 *7 *8 *9 *2)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *8 (|FiniteLinearAggregate| *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *7)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2) (|partial| AND (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *1 *1) (|partial| AND (|isDomain| *1 (|Matrix| *2)) (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|SquareMatrixCategory| *2 *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *2 *3)) (|ofCategory| *5 (|DirectProductCategory| *2 *3)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|MoreSystemCommands|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1) (|isDomain| *1 (|ThreeDimensionalViewport|)))) 
+(((*1 *2 *3 *4 *4 *3 *4 *5 *4 *4 *3 *3 *3 *3 *6 *3 *7) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|Matrix| (|DoubleFloat|))) (|isDomain| *7 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteFieldFunctions| *4)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteFieldNormalBasis| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteFieldNormalBasisExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|Union| (|SparseUnivariatePolynomial| *3) (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|))))))))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FiniteFieldNormalBasisExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
 (((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *2)) (|ofCategory| *2 (|CachableSet|)) (|isDomain| *1 (|SortedCache| *2)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Integer|) *2 *2)) (|ofCategory| *2 (|CachableSet|)) (|isDomain| *1 (|SortedCache| *2))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Record| (|:| |Index| *4) (|:| |Entry| *5))) (|isDomain| *1 (|SparseEchelonMatrix| *4 *5)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Set| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| *4)) (|isDomain| *1 (|RandomDistributions| *4)))) ((*1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)) (|isDomain| *3 (|Float|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|Integer|))) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp50| LSFUN1)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|)))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|ContinuedFraction| (|Fraction| (|Integer|)))) (|isDomain| *1 (|BalancedPAdicRational| *3)) (|ofType| *3 (|Integer|)))) ((*1 *1 *2 *3 *3) (AND (|isDomain| *3 (|Stream| *2)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|ContinuedFraction| *2)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ContinuedFraction| *3)))) ((*1 *2 *3) (AND (|isDomain| *2 (|ContinuedFraction| (|Integer|))) (|isDomain| *1 (|NumericContinuedFraction| *3)) (|ofCategory| *3 (|FloatingPointSystem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|ContinuedFraction| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PAdicRational| *3)) (|ofType| *3 (|Integer|)))) ((*1 *2 *1) (AND (|ofType| *3 (|Integer|)) (|isDomain| *2 (|ContinuedFraction| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PAdicRationalConstructor| *3 *4)) (|ofCategory| *4 (|PAdicIntegerCategory| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |Indices| (|List| *3)) (|:| |Entries| (|List| *4)))) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *3 *5) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp19| LSFUN2)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| (|LyndonWord| *3)) (|:| |c| *4)))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FiniteDivisor| *3 *4 *5 *6)) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5))))) 
 (((*1 *1) (|isDomain| *1 (|Color|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |Ech| (|SparseEchelonMatrix| *3 *4)) (|:| |Lt| (|Matrix| (|Fraction| *4))) (|:| |Pivots| (|List| *4)) (|:| |Rank| (|NonNegativeInteger|)))) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|RepresentationPackage2| *5))))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|DisplayPackage|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|String|)) (|isDomain| *1 (|DisplayPackage|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *4 *3 *5) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp24| FUNCT1)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)))) ((*1 *1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *3 (|List| (|Kernel| *2))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *5 *2))))) 
 (((*1 *2 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
+(((*1 *2 *3 *4 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *4 *5 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Void|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
 (((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *3 *3 *3 *4 *5 *5 *5 *5 *5 *5 *6 *6 *6 *3 *3 *5 *7 *3 *8) (AND (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *6 (|Boolean|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp20| QPHESS)))) (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|Group|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|NonAssociativeRng|)))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *1 (|BlowUpPackage| *4 *5 *2 *6 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *6)) (|ofCategory| *3 (|BlowUpMethodCategory|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineInteger|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineInteger|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|SExpression|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AxiomServer|))))) 
+(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *3 *4 *5 *6)))) ((*1 *1 *2 *3 *4) (|partial| AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| (|Boolean|) *8 *8)) (|isDomain| *4 (|Mapping| *8 *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|WuWenTsunTriangularSet| *5 *6 *7 *8))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *3 *3 *3 *3 *3 *4 *4 *4 *3 *3 *5 *6 *3 *6 *6 *5 *6 *6 *6 *6 *5 *3 *3 *3 *3 *3 *6 *6 *6 *3 *3 *3 *3 *3 *7 *4 *4 *4 *4 *3 *8 *9) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Boolean|)) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *7 (|Matrix| (|Integer|))) (|isDomain| *8 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp55| CONFUN)))) (|isDomain| *9 (|Union| (|:| |fn| (|FileName|)) (|:| |fp| (|Asp49| OBJFUN)))) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *2) (|:| |polj| *2))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *2)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|GcdDomain|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|GcdDomain|))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|PrimitiveArray| (|U32Vector|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
 (((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|RootsFindingPackage| *3))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SparseEchelonMatrix| *4 *5)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|SortedCache| *3)) (|ofCategory| *3 (|CachableSet|))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *3 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagOptimisationPackage|))))) 
+(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Complex| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *1) (|isDomain| *1 (|Color|)))) 
 (((*1 *2 *2) (AND (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *1 (|PolyGroebner| *4))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Kernel| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|KernelFunctions2| *2 *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| *2))) (|isDomain| *2 (|Pattern| *3)) (|isDomain| *1 (|RewriteRule| *3 *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| *2)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|FramedAlgebra&| *3 *4 *5)) (|ofCategory| *3 (|FramedAlgebra| *4 *5)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Matrix| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)) (|isDomain| *3 (|Float|))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *5 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorsOps| *4 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *4) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *6) (|:| |polj| *6)))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *2 (|List| (|RewriteRule| *3 *4 *5))) (|isDomain| *1 (|Ruleset| *3 *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3))))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|InputForm|)) (|isDomain| *1 (|InputFormFunctions1| *4)) (|ofCategory| *4 (|Type|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|DictionaryOperations| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|DictionaryOperations| *2)) (|ofCategory| *2 (|SetCategory|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
+(((*1 *2 *3 *3 *4 *4 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Color|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *4 *4 *3 *3 *5) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *3 *4 *4 *3 *4 *3 *5) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DrawComplex|))))) 
+(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *2) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *4 *2)))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| (|Expression| *5)))) (|isDomain| *3 (|Vector| (|Expression| *5))) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *1 (|TransSolvePackageService| *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *4 *4 *5 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |mval| (|Matrix| *3)) (|:| |invmval| (|Matrix| *3)) (|:| |genIdeal| (|PolynomialIdeals| *3 *4 *5 *6)))) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|UniversalSegment| (|Integer|))) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *3) (AND (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *6 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|BezoutMatrix| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|MatrixCategory| *2 *5 *6))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|List| (|Fraction| *6))) (|isDomain| *3 (|Fraction| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|RationalIntegration| *5 *6))))) 
 (((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Matrix| *3))) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Vector| *3)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *4)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FramedAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Vector| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Matrix| *5))) (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|StructuralConstantsPackage| *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4 *4 *5 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|DoubleFloat|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagFittingPackage|))))) 
+(((*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *5 *2)) (|ofCategory| *2 (|FunctionSpace| *5)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *5 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *5 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *5 (|Kernel| $)))))))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|Finite|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|LyndonWord| *3)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|Finite|))))) 
+(((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))))) ((*1 *2) (|partial| AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *2 *5)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *2 *5)))) ((*1 *2) (|partial| AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *2 *4)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|SimpleCell| *3 (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|RealClosedField|)) (|isDomain| *1 (|Cell| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|SimpleCell| *3 (|SparseUnivariatePolynomial| *3)))) (|ofCategory| *3 (|RealClosedField|)) (|isDomain| *1 (|Cell| *3))))) 
 (((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|isDomain| *4 (|Fraction| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|RationalLODE| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |basis| (|List| (|Fraction| *6))) (|:| |mat| (|Matrix| *5)))) (|isDomain| *1 (|RationalLODE| *5 *6)) (|isDomain| *4 (|List| (|Fraction| *6))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|isDomain| *4 (|Fraction| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|RationalLODE| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |basis| (|List| (|Fraction| *6))) (|:| |mat| (|Matrix| *5)))) (|isDomain| *1 (|RationalLODE| *5 *6)) (|isDomain| *4 (|List| (|Fraction| *6)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Table| (|StochasticDifferential| *3) (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|NonNegativeInteger|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 (|Symbol|))) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) (|Symbol|) *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 *3)) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) *3 *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 HPSPEC) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 (|Symbol|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| HPSPEC (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RoutinesTable|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|DoubleFloat|)))) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|FiniteDivisor| *5 *6 *7 *8)) (|ofCategory| *5 (|FunctionSpace| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|ofCategory| *8 (|FunctionFieldCategory| *5 *6 *7)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PointsOfFiniteOrder| *4 *5 *6 *7 *8)))) ((*1 *2 *3) (AND (|isDomain| *3 (|FiniteDivisor| (|Fraction| (|Integer|)) *4 *5 *6)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| (|Fraction| (|Integer|)) *4 *5)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PointsOfFiniteOrderRational| *4 *5 *6))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|List| (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4)))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
 (((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *3 (|DivisorCategory| *10)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *3 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|isDomain| *1 (|InterpolateFormsPackage| *4 *5 *6 *7 *8 *9 *10 *3)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *3 (|DivisorCategory| *10)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|List| (|DistributedMultivariatePolynomial| *6 *5))) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *6 (|PseudoAlgebraicClosureOfFiniteField| *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *5 *4))) (|isDomain| *3 (|Divisor| (|Places| *4))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|PositiveInteger|)) (|has| *4 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Matrix| *4))) (|isDomain| *3 (|PositiveInteger|)) (|has| *4 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |gcd| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|NonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |normal| (|Factored| *3)) (|:| |special| (|Factored| *3)))) (|isDomain| *1 (|MonomialExtensionTools| *5 *3))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| *8)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *2 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|NumberFormats|))))) 
+(((*1 *2 *3 *3 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined")) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|)))) ((*1 *2 *2 *3 *4 *4 *5) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *2 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *2 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *2 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *5 *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| *5 *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *3)))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|UnivariatePolynomial| *5 *4))) (|isDomain| *1 (|SturmHabichtPackage| *4 *5)) (|isDomain| *3 (|UnivariatePolynomial| *5 *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|None|)) (|isDomain| *1 (|Any|))))) 
+(((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |totdeg| (|NonNegativeInteger|)) (|:| |pol| *3)))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|PolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *5 *6 *7 *3))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |k| *4) (|:| |c| *3)))))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| (|PoincareBirkhoffWittLyndonBasis| *3)) (|:| |c| *4)))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|LyndonWord| *3))) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *10)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *2 *11 *3 *12)) (|ofCategory| *3 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *2 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2) (AND (|isDomain| *2 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Divisor| (|Places| *3))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|CharacteristicZero|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *3 *4 *4 *4 *5 *4 *6 *6 *3) (AND (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *5 (|Matrix| (|Integer|))) (|isDomain| *6 (|DoubleFloat|)) (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagInterpolationPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Integer|)) (|ofCategory| *6 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|LinearSystemFromPowerSeriesPackage| *5 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) ((*1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|DequeueAggregate| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|XPolynomialRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedMonoid|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|Ring|) (|Module| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|XExponentialPackage| *4 *5 *2)) (|ofCategory| *2 (|XPolynomialsCat| *5 *4))))) 
+(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DisplayPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *3 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithGroebnerBasis| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
 (((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *1 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldFunctions| *4))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
+(((*1 *1 *1 *1) (|partial| AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|EuclideanModularRing| *2 *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *3 *3 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *3 "failed") *3 *3 *4)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|ModularField| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *1 *1) (|partial| AND (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3))))) 
+(((*1 *2 *2 *3 *4 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *5 *6))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *2 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|UnivariatePolynomialMultiplicationPackage| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *4 (|RetractableTo| (|Integer|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *1 *1 *1) (|isDomain| *1 (|CardinalNumber|))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DivisionRing|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Algebra| *3)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *4 *5 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *4 *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Algebra| *3)) (|ofCategory| *5 (|UnivariateLaurentSeriesCategory| *4)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *4 *5 *2 *6)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *4 *5)) (|ofCategory| *6 (|PartialTranscendentalFunctions| *5)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|ElementaryFunctionCategory|))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|FreeGroup| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|Float|))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeMonoid| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|SemiGroup|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Group|)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InputForm|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InputForm|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|MappingPackage1| *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *3 *4)) (|ofCategory| *4 (|LeftModule| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *4 *5)) (|ofCategory| *5 (|LeftModule| *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monad|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Operator| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Operator| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RadicalCategory|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|SemiGroup|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *6 (|DirectProductCategory| *3 *4)) (|ofCategory| *4 (|Field|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|FunctionFieldCategory| *2 *3 *4)) (|ofCategory| *2 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|GcdDomain|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|PolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|)))) ((*1 *2 *2 *3) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|SubResultantPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |value| *4) (|:| |weight| (|Integer|))))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| *4)) (|isDomain| *1 (|RandomDistributions| *4))))) 
+(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *2 (|Record| (|:| |answer| *3) (|:| |logpart| *3))) (|isDomain| *1 (|AlgebraicHermiteIntegration| *5 *6 *7 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |answer| (|Fraction| *6)) (|:| |logpart| (|Fraction| *6)) (|:| |specpart| (|Fraction| *6)) (|:| |polypart| *6))) (|isDomain| *1 (|TranscendentalHermiteIntegration| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Factored| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *5 *6))))) 
 (((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerAlgebraicNumber|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *2 (|PolynomialCategory| *4 *6 *5)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *2)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|Boolean|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Vector| *3)) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Integer|)) (|ofCategory| *6 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|LinearSystemFromPowerSeriesPackage| *5 *6))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|List| *7)) (|isDomain| *5 (|List| *8)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *8)) (|isDomain| *1 (|FactoringUtilities| *6 *7 *8 *9))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|IrredPolyOverFiniteField| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AffineSpaceCategory| *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AffineSpaceCategory| *3)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|PermutationCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Set| *3)))) ((*1 *2 *1 *3) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Set| (|List| *4))) (|isDomain| *1 (|PermutationGroup| *4)) (|isDomain| *3 (|List| *4)))) ((*1 *2 *1 *3) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Set| (|Set| *4))) (|isDomain| *1 (|PermutationGroup| *4)) (|isDomain| *3 (|Set| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3))))) 
+(((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|List| *8)) (|isDomain| *3 (|Mapping| (|Boolean|) *8 *8)) (|isDomain| *4 (|Mapping| *8 *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |gcd| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |gcd| *1) (|:| |coef1| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *7) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithGroebnerBasis| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *7) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|OrderedRing|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| *2) (|LinearlyExplicitRingOver| *2) (|GcdDomain|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ElementaryFunctionSign| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|OrderedCompletion| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| *2) (|LinearlyExplicitRingOver| *2) (|GcdDomain|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ElementaryFunctionSign| *6 *3)))) ((*1 *2 *3 *4 *3 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|String|)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| *2) (|LinearlyExplicitRingOver| *2) (|GcdDomain|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ElementaryFunctionSign| *6 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RationalFunctionSign| *4)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|OrderedCompletion| (|Fraction| (|Polynomial| *6)))) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RationalFunctionSign| *6)))) ((*1 *2 *3 *4 *3 *5) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|String|)) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RationalFunctionSign| *6)))) ((*1 *2 *3) (|partial| AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ToolsForSign| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MultiDictionary| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |entry| *3) (|:| |count| (|NonNegativeInteger|)))))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *6 (|PositiveInteger|)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Record| (|:| |plist| (|List| *3)) (|:| |modulo| *5))) (|isDomain| *1 (|GeneralHenselPackage| *5 *3)) (|isDomain| *4 (|List| *3))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|String|))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Mapping| (|Boolean|) *9)) (|isDomain| *5 (|Mapping| (|Boolean|) *9 *9)) (|ofCategory| *9 (|RecursivePolynomialCategory| *6 *7 *8)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |bas| *1) (|:| |top| (|List| *9)))) (|isDomain| *3 (|List| *9)) (|ofCategory| *1 (|TriangularSetCategory| *6 *7 *8 *9)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| (|Boolean|) *8 *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |bas| *1) (|:| |top| (|List| *8)))) (|isDomain| *3 (|List| *8)) (|ofCategory| *1 (|TriangularSetCategory| *5 *6 *7 *8))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderingFunctions| *4 *5)) (|ofType| *4 (|NonNegativeInteger|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SparseEchelonMatrix| *4 *5)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3 *4 *4 *3) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|PureAlgebraicIntegration| *5 *3 *6)) (|ofCategory| *6 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *3))))) 
 (((*1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|FiniteAbelianMonoidRing| *5 *7)) (|ofCategory| *7 (|DirectProductCategory| *8 (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialPackageForCurve| *5 *6 *7 *8 *4)) (|ofCategory| *4 (|ProjectiveSpaceCategory| *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SubSpaceComponentProperty|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |gcd| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AttributeButtons|))))) 
 (((*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *2 *1 *1 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *4 *5)) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|BagAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FileCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
 (((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |k| (|OrderedFreeMonoid| *3)) (|:| |c| *4)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|InputForm|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7))))) (|ofCategory| *7 (|OrderedRing|)) (|ofCategory| *8 (|Join| (|UnivariatePowerSeriesCategory| *3 *7) (|Field|) (|TranscendentalFunctionCategory|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $)) (SIGNATURE |integrate| ($ $))))) (|isDomain| *2 (|Union| (|:| |%series| *8) (|:| |%problem| (|Record| (|:| |func| (|String|)) (|:| |prob| (|String|)))))) (|isDomain| *1 (|FunctionSpaceToUnivariatePowerSeries| *6 *3 *7 *8 *9 *10)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PartialTranscendentalFunctions| *8)) (|ofType| *10 (|Symbol|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|ExponentialOfUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Join| (|Field|) (|OrderedSet|))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|)))) (|isDomain| *1 (|d02AgentsPackage|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ThreeSpaceCategory| *3))))) 
+(((*1 *2 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PAdicWildFunctionFieldIntegralBasis| *4 *2 *3 *5)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *5 (|MonogenicAlgebra| *2 *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (|isDomain| *1 (|IntegrationFunctionsTable|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *3 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *3 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3) (AND (|isDomain| *3 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|ProjectivePlane| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| (|Places| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |op| (|BasicOperator|)) (|:| |w| (|DoubleFloat|)))) (|isDomain| *1 (|d01WeightsPackage|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *5 *4))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|CommuteUnivariatePolynomialCategory| *3 *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2) (AND (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *3) (|Finite|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|UnivariateTaylorSeriesCZero| (|Integer|) |t|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|List| *7)) (|isDomain| *5 (|List| (|List| *8))) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |upol| (|SparseUnivariatePolynomial| *8)) (|:| |Lval| (|List| *8)) (|:| |Lfact| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *8)) (|:| |exponent| (|Integer|))))) (|:| |ctpol| *8))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Complex| *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|ofCategory| *2 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *5 *2))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| (|List| *7) *7 (|SparseUnivariatePolynomial| *7))) (|isDomain| *5 (|Mapping| (|Factored| *7) *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |frac| (|Fraction| *7)) (|:| |eq| *3)))) (|isDomain| *1 (|PrimitiveRatRicDE| *6 *7 *3 *8)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *7)) (|ofCategory| *8 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *7))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |frac| (|Fraction| *6)) (|:| |eq| (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6)))))) (|isDomain| *1 (|RationalRicDE| *5 *6)) (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6)))))) 
+(((*1 *1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|SplittingNode| *4 *5))) (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *4 *5)))) ((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|SplittingNode| *3 *4))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ODEIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|)))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|FortranCode|))))) 
 (((*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| *3)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *7 (|PolynomialCategory| *6 *5 *3)) (|isDomain| *1 (|GosperSummationMethod| *5 *3 *6 *7 *2)) (|ofCategory| *2 (|Join| (|RetractableTo| (|Fraction| (|Integer|))) (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *7)) (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)))))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *2 (|EuclideanDomain|)) (|ofCategory| *3 (|QuotientFieldCategory| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|FractionalIdeal| *2 *3 *4 *5)) (|ofCategory| *5 (|Join| (|FramedAlgebra| *3 *4) (|RetractableTo| *3)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|Record| (|:| |solns| (|List| *5)) (|:| |maps| (|List| (|Record| (|:| |arg| *5) (|:| |res| *5)))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|NumberTheoreticPolynomialFunctions| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *3 *3) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Divisor| (|Places| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|isDomain| *4 (|List| (|Places| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|))))) 
+(((*1 *1 *2 *2 *2 *2) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ExtAlgBasis|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *8)) (|isDomain| *4 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *7 *5 *6)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|Ring|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|FactoringUtilities| *5 *6 *7 *8)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|GradedModule| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *2 (|AbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|LaurentPolynomial| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonogenicLinearOperator| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 *2)) (|ofType| *7 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *5 *3 *6 *7)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *5 *6)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PowerSeriesCategory| *3 *2 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|OrderedAbelianMonoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SetCategoryWithDegree|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XPolynomialsCat| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *8 (|PlacesCategory| *4 *7)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *2 *7 *8 *9 *10)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *2 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)))) ((*1 *1 *2 *3 *4 *5 *6 *5 *7 *8 *9) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *8)) (|isDomain| *4 (|AffinePlane| *8)) (|isDomain| *9 (|Symbol|)) (|ofCategory| *8 (|Field|)) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *12 (|DirectProductCategory| (|#| *10) *5)) (|ofCategory| *13 (|LocalPowerSeriesCategory| *8)) (|ofCategory| *14 (|PlacesCategory| *8 *13)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *8 *10 *11 *12 *2 *13 *14 *7 *6)) (|ofCategory| *11 (|PolynomialCategory| *8 *12 (|OrderedVariableList| *10))) (|ofCategory| *2 (|ProjectiveSpaceCategory| *8)) (|ofCategory| *7 (|DivisorCategory| *14)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *1) (|isDomain| *1 (|SingletonAsOrderedSet|)))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Polynomial| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Polynomial| *4)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Polynomial| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Polynomial| *4))))) 
+(((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *4 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| *3))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|MonogenicAlgebra| *4 *5)) (|isDomain| *1 (|InfiniteProductFiniteField| *4 *5 *6 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *6)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| *3))) (|isDomain| *1 (|InfiniteProductPrimeField| *4 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|List| *3))))) 
+(((*1 *1) (AND (|isDomain| *1 (|DirichletRing| *2)) (|ofCategory| *2 (|Ring|))))) 
 (((*1 *2 *3 *3 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixManipulation| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Matrix| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|SquareMatrixCategory| *3 *4 *5 *6)) (|ofCategory| *5 (|DirectProductCategory| *3 *4)) (|ofCategory| *6 (|DirectProductCategory| *3 *4))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|PrimitiveArray| *3)) (|isDomain| *1 (|SubResultantPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|List| *4)))) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Matrix| *3))))) 
+(((*1 *1 *2 *3 *1 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|OpenMathErrorKind|)) (|isDomain| *1 (|OpenMathError|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Matrix| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|SegmentBinding| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|)))) ((*1 *1 *2 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
-(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|RetractableTo| (|Integer|))) (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *5 *5)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Mapping| (|Stream| *4) (|Stream| *4) (|Stream| *4))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *5))))) 
-(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| C (|Matrix| *5)) (|:| |g| (|Vector| *5))))) (|isDomain| *1 (|PseudoLinearNormalForm| *5)) (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SetOfMIntegersInOneToN| *4 *5)) (|ofType| *4 *3) (|ofType| *5 *3)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|InfClsPt| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|InfinitlyClosePoint| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Fraction| (|Integer|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Mapping| *8 (|Fraction| (|Integer|)))) (|isDomain| *4 (|Equation| *8)) (|isDomain| *5 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *6 (|Fraction| (|Integer|))) (|ofCategory| *8 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *7 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *8 *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *4 *3)) (|ofCategory| *3 (|UnivariateLaurentSeriesCategory| *4))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|))))) 
+(((*1 *2 *3 *3 *2) (|partial| AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Monoid|) (|Finite|) (CATEGORY |package| (SIGNATURE ** (*3 *3 (|Integer|)))))) (|isDomain| *1 (|DiscreteLogarithmPackage| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|List| (|NonNegativeInteger|)))))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2))))) 
+(((*1 *1 *1) (AND (|ofCategory| *2 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| *4) (|LinearlyExplicitRingOver| *4))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| *5) (|LinearlyExplicitRingOver| *5))) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *7 (|Integer|))) (|isDomain| *4 (|Equation| *7)) (|isDomain| *5 (|UniversalSegment| (|Integer|))) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *4 *3)) (|ofCategory| *3 (|UnivariateTaylorSeriesCategory| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| (|List| *6))) (|isDomain| *1 (|GenExEuclid| *4 *6)) (|isDomain| *5 (|List| *6))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *3 (|Integer|)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatchListResult| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *5 (|ListAggregate| *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatchResult| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NumericalIntegrationProblem|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|)))) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalIntegrationProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))) (|:| |extra| (|Result|)))) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|)))))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)) (|:| |extra| (|Result|)))))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|OrdinaryDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)))))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|NumericalOptimizationCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|ofCategory| *1 (|PartialDifferentialEquationsSolverCategory|)) (|isDomain| *3 (|RoutinesTable|)) (|isDomain| *4 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |explanations| (|String|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Record| (|:| |measure| (|Float|)) (|:| |name| (|String|)) (|:| |explanations| (|List| (|String|))))) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 (|Integer|))) (|isDomain| *4 (|Equation| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *7 (|Integer|))) (|isDomain| *4 (|Equation| *7)) (|isDomain| *5 (|UniversalSegment| (|NonNegativeInteger|))) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|NonNegativeInteger|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d01AgentsPackage|))))) 
+(((*1 *2 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *3 *4 *5 *5 *4 *6) (AND (|isDomain| *5 (|Kernel| *4)) (|isDomain| *6 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|GenusZeroIntegration| *7 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4 *5 *5 *5 *4 *6) (AND (|isDomain| *5 (|Kernel| *4)) (|isDomain| *6 (|Fraction| (|SparseUnivariatePolynomial| *4))) (|ofCategory| *4 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|GenusZeroIntegration| *7 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|CombinatorialFunctionCategory|))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *3 *4) (AND (|isDomain| *4 |RationalNumber|) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Equation| *3))) (|isDomain| *1 (|Equation| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|List| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
+(((*1 *1 *1 *2 *1) (AND (|isDomain| *1 (|BinaryTree| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|BinaryTree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|Matrix| (|DoubleFloat|))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathPackage|))))) 
+(((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Symbol|)) (|PartialDifferentialRing| (|Symbol|)) (|CombinatorialOpsCategory|)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|d01WeightsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |sin| (|Stream| *4)) (|:| |cos| (|Stream| *4)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *4)) (|isDomain| *3 (|Stream| *4))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3 *4 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *3 (|DivisorCategory| *11)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *3 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Record| (|:| |ord| (|Integer|)) (|:| |num| *7) (|:| |den| *7) (|:| |upTo| (|Integer|)))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (|isDomain| *4 (|Integer|)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |ord| (|Integer|)) (|:| |num| (|DistributedMultivariatePolynomial| *6 *5)) (|:| |den| (|DistributedMultivariatePolynomial| *6 *5)) (|:| |upTo| (|Integer|)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|isDomain| *4 (|Integer|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |ord| (|Integer|)) (|:| |num| (|DistributedMultivariatePolynomial| *6 *5)) (|:| |den| (|DistributedMultivariatePolynomial| *6 *5)) (|:| |upTo| (|Integer|)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|isDomain| *4 (|Integer|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Float|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|RealNumberSystem|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|isDomain| *2 (|Record| (|:| |r| *3) (|:| |phi| *3)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |f1| (|List| *4)) (|:| |f2| (|List| (|List| (|List| *4)))) (|:| |f3| (|List| (|List| *4))) (|:| |f4| (|List| (|List| (|List| *4)))))) (|isDomain| *1 (|TableauxBumpers| *4)) (|isDomain| *3 (|List| (|List| (|List| *4))))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|TubePlot| *3)) (|isDomain| *1 (|NumericTubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|Boolean|)) (|isDomain| *1 (|TubePlot| *2)) (|ofCategory| *2 (|PlottableSpaceCurveCategory|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|LyndonWord| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3 *3 *3 *3 *4 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
 (((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
-(((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |resultantReduit| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranType|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|NAGLinkSupportPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Matrix| (|Integer|))) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|PAdicIntegerCategory| *4))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |sup| (|Polynomial| *6)) (|:| |inf| (|Polynomial| *6)))) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *4 *5))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionFieldCategory&| *4 *3 *5 *6)) (|ofCategory| *4 (|FunctionFieldCategory| *3 *5 *6)))) ((*1 *2 *3 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|LieExponentials| *2 *3 *4)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *4 (|PositiveInteger|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ListMultiDictionary| *3)) (|ofCategory| *3 (|SetCategory|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|DifferentialRing|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Mapping| *1 (|NonNegativeInteger|))) (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Mapping| *1 (|NonNegativeInteger|))) (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Point| *4)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|e04AgentsPackage|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|DistributedMultivariatePolynomial| *3 *4)) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|isDomain| *1 (|GeneralDistributedMultivariatePolynomial| *3 *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|HomogeneousDistributedMultivariatePolynomial| *3 *4)) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *1) (|isDomain| *1 (|Float|)))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |polnum| (|NewSparseUnivariatePolynomial| *3)) (|:| |polden| *3) (|:| |power| (|NonNegativeInteger|)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |polnum| *1) (|:| |polden| *1) (|:| |power| (|NonNegativeInteger|)))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4)))))) 
-(((*1 *2 *3 *1) (|partial| AND (|ofCategory| *1 (|AssociationListAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Record| (|:| |key| *3) (|:| |entry| *4)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3 *3 *4 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|NagEigenPackage|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *2 *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Table| (|StochasticDifferential| *3) (|StochasticDifferential| *3))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|LyndonWord| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DirichletRing| *4)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |cont| *5) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|DistinctDegreeFactorize| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *1 (|CylindricalAlgebraicDecompositionUtilities| *4 *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
+(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *2)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *2 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|EuclideanDomain|))))) 
+(((*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *3 (|Matrix| *11)) (|isDomain| *4 (|List| (|Fraction| (|Polynomial| *8)))) (|isDomain| *5 (|NonNegativeInteger|)) (|isDomain| *6 (|String|)) (|ofCategory| *8 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *11 (|PolynomialCategory| *8 *10 *9)) (|ofCategory| *9 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *10 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |rgl| (|List| (|Record| (|:| |eqzro| (|List| *11)) (|:| |neqzro| (|List| *11)) (|:| |wcond| (|List| (|Polynomial| *8))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *8)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *8)))))))))) (|:| |rgsz| (|Integer|)))) (|isDomain| *1 (|ParametricLinearEquations| *8 *9 *10 *11)) (|isDomain| *7 (|Integer|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Polynomial| *5)) (|isDomain| *1 (|PolToPol| *4 *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|))))) 
+(((*1 *1) (|ofCategory| *1 (|Aggregate|))) ((*1 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1) (AND (|ofCategory| *2 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3)))) ((*1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (|isDomain| *1 (|TheSymbolTable|))) ((*1 *1) (|isDomain| *1 (|SymbolTable|)))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)) (|isDomain| *3 (|DoubleFloat|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *2 *3 *4 *5 *6) (|partial| AND (|isDomain| *4 (|Mapping| *8 *8)) (|isDomain| *5 (|Mapping| (|Record| (|:| |ans| *7) (|:| |right| *7) (|:| |sol?| (|Boolean|))) (|Integer|) *7)) (|isDomain| *6 (|List| (|Fraction| *8))) (|ofCategory| *7 (|Field|)) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7)) (|isDomain| *3 (|Fraction| *8)) (|isDomain| *2 (|Record| (|:| |answer| (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (|isDomain| *1 (|TranscendentalIntegration| *7 *8))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|SortPackage| *4 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *4) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|SortPackage| *3 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *3) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|))))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OpenMathDevice|)) (|isDomain| *1 (|OpenMathConnection|))))) 
+(((*1 *1) (|isDomain| *1 (|CharacterClass|)))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|IntegrationTools| *4 *2)) (|ofCategory| *2 (|ElementaryFunctionCategory|)) (|ofCategory| *2 (|FunctionSpace| *4))))) 
+(((*1 *1 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *2 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| (|Vector| (|Integer|)))) (|isDomain| *1 (|GrayCode|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|RadicalSolvePackage| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|RadicalSolvePackage| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *4))))) (|isDomain| *1 (|RadicalSolvePackage| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *4))))) (|isDomain| *1 (|RadicalSolvePackage| *4))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *5 (|List| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LeadingCoefDetermination| *6 *7 *3 *8)) (|ofCategory| *8 (|PolynomialCategory| *3 *7 *6))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *1 (|RewriteRule| *3 *4 *2)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))))) ((*1 *2 *1) (AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|SuchThat| *2 *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *2 *3 *4 *5)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|DifferentialVariableCategory| *3)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Set| (|Set| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|isDomain| *3 (|Integer|)) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Record| (|:| |k| *4) (|:| |c| *3)))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)) (|isDomain| *3 (|Float|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5)) (|ofType| *4 (|List| (|Symbol|)))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|List| *4)))) (|isDomain| *2 (|List| (|List| *4))) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Set| (|Symbol|))) (|isDomain| *1 (|ApplicationProgramInterface|)) (|isDomain| *3 (|Symbol|))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariatePolynomialMultiplicationPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|LyndonWord| *3)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PlacesCategory| *3 *4))))) 
+(((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) *3)) (|isDomain| *1 (|BlowUpPackage| *5 *6 *7 *8 *4)) (|ofCategory| *7 (|FiniteAbelianMonoidRing| *5 *8)) (|ofCategory| *4 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UTSodetools| *4 *5 *6 *2)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Tableau| (|List| *4))) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4))))) 
-(((*1 *1) (|isDomain| *1 (|CharacterClass|))) ((*1 *1 *1) (|isDomain| *1 (|Character|))) ((*1 *1 *1) (|ofCategory| *1 (|StringAggregate|)))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| *10)) (|isDomain| *1 (|LazardSetSolvingPackage| *5 *6 *7 *8 *9 *10)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *10 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|LexTriangularPackage| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6))))) (|isDomain| *1 (|LexTriangularPackage| *5 *6)))) ((*1 *2 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|RegularChain| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
-(((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Mapping| (|SparseMultivariateTaylorSeries| *4 *3 *5))) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *4 *3 *5)) (|ofCategory| *5 (|PolynomialCategory| *4 (|IndexedExponents| *3) *3)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Mapping| (|TaylorSeries| *4))) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TaylorSeries| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |ratpart| *6) (|:| |coeff| *6)) "failed") *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Record| (|:| |answer| (|IntegrationResult| (|Fraction| *7))) (|:| |a0| *6))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|SuchThat| (|List| (|Expression| *5)) (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|SuchThat| (|List| (|Expression| *5)) (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|LinearDependence| *5 *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| *5)) (|not| (|ofCategory| *5 (|Field|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Vector| (|Fraction| *5))) (|isDomain| *1 (|LinearDependence| *5 *4))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *4 (|Mapping| (|Boolean|) *2 *2)) (|isDomain| *1 (|UserDefinedPartialOrdering| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *2))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Expression| *3)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofType| *4 (|List| (|Symbol|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *7))) (|isDomain| *4 (|Mapping| (|List| *6) *7)) (|isDomain| *5 (|Mapping| (|Factored| *7) *7)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|List| (|Fraction| *7))) (|isDomain| *1 (|RationalRicDE| *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *7 (|Fraction| *7))) (|isDomain| *4 (|Mapping| (|List| *6) *7)) (|isDomain| *5 (|Mapping| (|Factored| *7) *7)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|List| (|Fraction| *7))) (|isDomain| *1 (|RationalRicDE| *6 *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *5))) (|isDomain| *1 (|RationalRicDE| *4 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|AlgebraicallyClosedField|)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6)))) ((*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *5 (|Fraction| *5))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *5))) (|isDomain| *1 (|RationalRicDE| *4 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|AlgebraicallyClosedField|)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |close| *1) (|:| |open| (|List| *7))))) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2 *2 *3) (AND (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *2 *3)) (|ofCategory| *2 (|Type|)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|DequeueAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *5 (|PolynomialFactorizationExplicit|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *8))) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *5 *6 *7 *8)) (|isDomain| *4 (|SparseUnivariatePolynomial| *8)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Complex| *3)))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|MakeFloatCompiledFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|MakeFloatCompiledFunction| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)) (|isDomain| *1 (|IntegerCombinatoricFunctions| *2))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *4 (|Field|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|RecurrenceOperator| *4 *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *4) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Symbol|)) (|PartialDifferentialRing| (|Symbol|)) (|CombinatorialOpsCategory|)))))) 
+(((*1 *2 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *8)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *8)) (|:| |badPols| (|List| *8)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|Reference| (|OrderedCompletion| (|Integer|)))) (|isDomain| *3 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *4)))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *4))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|OneDimensionalArray| (|List| (|LyndonWord| *5)))) (|isDomain| *1 (|LyndonWord| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Complex| *4)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|UnivariatePolynomial| *5 *4))) (|isDomain| *1 (|SturmHabichtPackage| *4 *5)) (|isDomain| *3 (|UnivariatePolynomial| *5 *4))))) 
+(((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *4 *4 *5 *6) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|ViewportPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|ViewportPackage|))))) 
+(((*1 *2 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *2 *3 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monad|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DisplayPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DisplayPackage|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *3 *3 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Monoid|)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |mat| (|Matrix| (|Fraction| (|Polynomial| *4)))) (|:| |vec| (|List| (|Fraction| (|Polynomial| *4)))) (|:| |rank| (|NonNegativeInteger|)) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4))))))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *4 (|PlacesCategory| *5 *2)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *5 *6 *3 *7 *8 *2 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *5 *6 *3 *7 *8 *2 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *6 *5)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *6 *5)) (|isDomain| *4 (|Places| *5)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|NeitherSparseOrDensePowerSeries| *5)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *2)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|ParametrizationPackage| *5 *6 *3 *7 *8 *2 *9)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *9 (|PlacesCategory| *5 *2)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|ParametrizationPackage| *5 *6 *3 *7 *8 *2 *4)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *4 (|PlacesCategory| *5 *2)))) ((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|ParametrizationPackage| *5 *6 *3 *7 *8 *2 *4)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *4 (|PlacesCategory| *5 *2)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *6)) (|isDomain| *1 (|ParametrizationPackage| *6 *7 *3 *8 *9 *2 *4)) (|ofCategory| *3 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *4 (|PlacesCategory| *6 *2))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| *3))) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| *3)) (|:| |f2| (|List| (|OrderedCompletion| *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|ElementaryFunctionDefiniteIntegration| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| *3))) (|isDomain| *5 (|String|)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *6))) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| *3)) (|:| |f2| (|List| (|OrderedCompletion| *3))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|ElementaryFunctionDefiniteIntegration| *6 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Expression| *5)))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *5))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Expression| *6)))) (|isDomain| *5 (|String|)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *6))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| *5))))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *5))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *5)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Fraction| (|Polynomial| *6))))) (|isDomain| *5 (|String|)) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|:| |f1| (|OrderedCompletion| (|Expression| *6))) (|:| |f2| (|List| (|OrderedCompletion| (|Expression| *6)))) (|:| |fail| "failed") (|:| |pole| "potentialPole"))) (|isDomain| *1 (|RationalFunctionDefiniteIntegration| *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| *3 (|List| *3))) (|isDomain| *1 (|FunctionSpaceIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Float|)) (|isDomain| *6 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalIntegrationProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *5 (|Float|)) (|isDomain| *6 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|String|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *4 (|SegmentBinding| (|OrderedCompletion| (|Float|)))) (|isDomain| *5 (|Symbol|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalIntegrationPackage|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|IntegrationResult| (|Fraction| *5))) (|isDomain| *1 (|RationalIntegration| *4 *5)) (|isDomain| *3 (|Fraction| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|CharacteristicZero|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Union| (|Expression| *5) (|List| (|Expression| *5)))) (|isDomain| *1 (|IntegrationResultRFToFunction| *5)))) ((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|MultivariateTaylorSeriesCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Polynomial| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *2 *4)) (|ofCategory| *4 (|PolynomialCategory| *3 (|IndexedExponents| *2) *2)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TaylorSeries| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| (QUOTE |x|))) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (OR (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|ofCategory| *3 (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|ofCategory| *3 (|PrimitiveFunctionCategory|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|has| *3 (SIGNATURE |variables| ((|List| *2) *3))) (|has| *3 (SIGNATURE |integrate| (*3 *3 *2))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (OR (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|ofCategory| *3 (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|ofCategory| *3 (|PrimitiveFunctionCategory|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|has| *3 (SIGNATURE |variables| ((|List| *2) *3))) (|has| *3 (SIGNATURE |integrate| (*3 *3 *2))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (OR (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|ofCategory| *3 (|AlgebraicallyClosedFunctionSpace| (|Integer|))) (|ofCategory| *3 (|PrimitiveFunctionCategory|)) (|ofCategory| *3 (|TranscendentalFunctionCategory|)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (AND (|has| *3 (SIGNATURE |variables| ((|List| *2) *3))) (|has| *3 (SIGNATURE |integrate| (*3 *3 *2))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *2 *5 *6)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *5))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)))) ((*1 *2) (AND (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|FunctionFieldIntegralBasis| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) ((*1 *2) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|))))) (|isDomain| *1 (|NumberFieldIntegralBasis| *3 *4)) (|ofCategory| *4 (|FramedAlgebra| (|Integer|) *3)))) ((*1 *2) (AND (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *4)) (|:| |basisDen| *4) (|:| |basisInv| (|Matrix| *4)))) (|isDomain| *1 (|PAdicWildFunctionFieldIntegralBasis| *3 *4 *5 *6)) (|ofCategory| *6 (|MonogenicAlgebra| *4 *5)))) ((*1 *2) (AND (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *4)) (|:| |basisDen| *4) (|:| |basisInv| (|Matrix| *4)))) (|isDomain| *1 (|WildFunctionFieldIntegralBasis| *3 *4 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *4 *5))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|List| (|Fraction| (|Polynomial| *6)))) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|RationalFunctionIntegration| *6))))) 
+(((*1 *1 *1 *2) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *3 *3 *4) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|NonLinearSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|NonLinearSolvePackage| *4)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *7)) (|isDomain| *5 (|Mapping| (|Record| (|:| |particular| (|Union| *6 "failed")) (|:| |basis| (|List| *6))) *7 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| *6) "failed")) (|:| |basis| (|List| (|Vector| *6))))) (|isDomain| *1 (|SystemODESolver| *6 *7)) (|isDomain| *4 (|Vector| *6))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |flg| (|Union| "nil" "sqfr" "irred" "prime")) (|:| |fctr| *3) (|:| |xpnt| (|Integer|))))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *3))) (|isDomain| *1 (|ChineseRemainderToolsForIntegralBases| *3 *5 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *7))) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *5 *6 *4)) (|ofCategory| *5 (|PolynomialFactorizationExplicit|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *5 *6 *4 *7))))) 
+(((*1 *2 *3 *1) (|partial| AND (|ofCategory| *1 (|AssociationListAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Record| (|:| |key| *3) (|:| |entry| *4)))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|BasicStochasticDifferential|))) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Stack| (|String|))) (|isDomain| *1 (|FortranOutputStackPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|DoubleFloat|))))) 
 (((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialExtension| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|DifferentialExtension| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DifferentialRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1) (|ofCategory| *1 (|DifferentialRing|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PartialDifferentialRing| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *1 (|PartialDifferentialRing| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Tree| *3))) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3))) ((*1 *1 *2 *3 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|ThreeDimensionalMatrix| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|not| (|has| *1 (ATTRIBUTE |arbitraryPrecision|))) (|not| (|has| *1 (ATTRIBUTE |arbitraryExponent|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OrderedMultisetAggregate| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|OrderedSet|))) ((*1 *1) (|isDomain| *1 (|SingleInteger|)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FourierComponent| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DesingTree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |llcmres| *1) (|:| |coeff1| *1) (|:| |coeff2| *1))) (|ofCategory| *1 (|LeftOreRing|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |discriminant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|FreeAbelianMonoidCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|CancellationAbelianMonoid|))))) 
 (((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *1 (|TheSymbolTable|))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *2 (|Record| (|:| |cycle?| (|Boolean|)) (|:| |prefix| (|NonNegativeInteger|)) (|:| |period| (|NonNegativeInteger|)))) (|isDomain| *1 (|Stream| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *3 (|NonNegativeInteger|))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Float|)) (|isDomain| *1 (|RoutinesTable|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *1 (|PolyGroebner| *4))))) 
+(((*1 *1) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|not| (|has| *1 (ATTRIBUTE |arbitraryPrecision|))) (|not| (|has| *1 (ATTRIBUTE |arbitraryExponent|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OrderedMultisetAggregate| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|OrderedSet|))) ((*1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *1 (|FileCategory| *2 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|FileCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| (|Record| (|:| |ratpart| *4) (|:| |coeff| *4)) "failed") *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|TranscendentalIntegration| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerRoots| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *3 (|Stream| *2)) (|ofCategory| *2 (|EuclideanDomain|)) (|isDomain| *1 (|ContinuedFraction| *2))))) 
 (((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *4 (|Palette|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|PointCategory| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Point| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)) (|isDomain| *3 (|DoubleFloat|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|AlgFactor| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|AlgebraicNumber|))))) ((*1 *2 *3 *1) (AND (|isDomain| *2 (|Record| (|:| |less| (|BinarySearchTree| *3)) (|:| |greater| (|BinarySearchTree| *3)))) (|isDomain| *1 (|BinarySearchTree| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|DivisorCategory| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|IntegrationResult| *4)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedFunctionSpace| *3) (|TranscendentalFunctionCategory|))) (|ofCategory| *3 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|IntegrationResultToFunction| *3 *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|IntegrationResult| (|Fraction| (|Polynomial| *3)))) (|ofCategory| *3 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|IntegrationResultRFToFunction| *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *3 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |normal| *3) (|:| |special| *3))) (|isDomain| *1 (|MonomialExtensionTools| *5 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Vector| (|Vector| *5))) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|CharacterClass|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|StringAggregate|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Character|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|StringAggregate|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Point| *3)))))) ((*1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|List| (|Point| *4)))) (|isDomain| *3 (|Boolean|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|Point| *3)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|List| (|List| *4)))) (|isDomain| *3 (|Boolean|)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2 *3 *3) (AND (|isDomain| *2 (|List| (|List| (|Point| *4)))) (|isDomain| *3 (|Boolean|)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|List| (|List| *5)))) (|isDomain| *3 (|List| (|SubSpaceComponentProperty|))) (|isDomain| *4 (|SubSpaceComponentProperty|)) (|ofCategory| *1 (|ThreeSpaceCategory| *5)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|List| (|Point| *5)))) (|isDomain| *3 (|List| (|SubSpaceComponentProperty|))) (|isDomain| *4 (|SubSpaceComponentProperty|)) (|ofCategory| *1 (|ThreeSpaceCategory| *5)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|OrderedVariableList| *5))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Record| (|:| |dpolys| (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|:| |coords| (|List| (|Integer|))))) (|isDomain| *1 (|GroebnerSolve| *5 *6 *7)) (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|ofCategory| *7 (|GcdDomain|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *7)) (|:| |neqzro| (|List| *7)) (|:| |wcond| (|List| (|Polynomial| *4))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|EuclideanDomain|)) (|isDomain| *2 (|Fraction| (|Factored| (|Polynomial| *4)))) (|isDomain| *1 (|RationalFunctionFactorizer| *4))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|Finite|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|ModuleMonomial| *2 *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofType| *4 (|Mapping| (|Boolean|) (|Record| (|:| |index| *2) (|:| |exponent| *3)) (|Record| (|:| |index| *2) (|:| |exponent| *3))))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| (|Complex| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |outval| (|Complex| *4)) (|:| |outmult| (|Integer|)) (|:| |outvect| (|List| (|Matrix| (|Complex| *4))))))) (|isDomain| *1 (|NumericComplexEigenPackage| *4)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|FunctionSpaceComplexIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5)))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LyndonWord| *3))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
-(((*1 *2 *3 *3 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Mapping| (|List| *4) *4)) (|isDomain| *1 (|Bezier| *4)) (|isDomain| *3 (|List| *4))))) 
-(((*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|OpenMathPackage|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *5) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *5 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|))))) 
-(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|PureAlgebraicIntegration| *5 *3 *6)) (|ofCategory| *6 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Matrix| (|Expression| (|Integer|))))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |scalar| (|Fraction| (|Integer|))) (|:| |coeff| (|SparseUnivariatePolynomial| *3)) (|:| |logand| (|SparseUnivariatePolynomial| *3))))) (|isDomain| *1 (|IntegrationResult| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|OneDimensionalArray| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|OneDimensionalArray| *5)) (|isDomain| *1 (|OneDimensionalArrayFunctions2| *6 *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *7 *5)) (|isDomain| *4 (|DirectProduct| *6 *7)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|DirectProduct| *6 *5)) (|isDomain| *1 (|DirectProductFunctions2| *6 *7 *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|FiniteLinearAggregate| *5)) (|isDomain| *1 (|FiniteLinearAggregateFunctions2| *6 *4 *5 *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|FiniteSetAggregate| *5)) (|isDomain| *1 (|FiniteSetAggregateFunctions2| *6 *4 *5 *2)) (|ofCategory| *4 (|FiniteSetAggregate| *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|List| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|ListFunctions2| *6 *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|PrimitiveArray| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|PrimitiveArray| *5)) (|isDomain| *1 (|PrimitiveArrayFunctions2| *6 *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *3 *6 *3)) (|isDomain| *5 (|Stream| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamFunctions2| *6 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|Vector| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|VectorFunctions2| *6 *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|InnerTaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Stream| *3))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |gcd| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |resultant| *3) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|isDomain| *1 (|IntegralBasisTools| *2 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *2 *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|CachableSet|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|TexFormat|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FunctionFieldCategory&| *3 *4 *5 *6)) (|ofCategory| *3 (|FunctionFieldCategory| *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4))))) 
+(((*1 *2 *3 *3 *3) (|partial| AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Fraction| *5))) (|isDomain| *1 (|TranscendentalRischDESystem| *4 *5)) (|isDomain| *3 (|Fraction| *5))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SetCategory|)) (|isDomain| *2 (|String|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
 (((*1 *2 *2) (AND (|isDomain| *2 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *4 (|NonNegativeInteger|)) (|OrderedVariableList| *3) (|DistributedMultivariatePolynomial| *3 (|Fraction| (|Integer|))))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|NonNegativeInteger|)) (|isDomain| *1 (|IdealDecompositionPackage| *3 *4))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| (|LyndonWord| *5))) (|isDomain| *1 (|LyndonWord| *5))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (|isDomain| *1 (|IntegrationFunctionsTable|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|KeyedDictionary| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))) (|isDomain| *1 (|ODEIntensityFunctionsTable|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| *4)) (|SuchThat| (|Symbol|) (|Polynomial| *4)))) (|:| |geneigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| *4)))))))) (|isDomain| *1 (|EigenPackage| *4)) (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4))))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *1 (|PlacesCategory| *4 *5)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|LocalPowerSeriesCategory| *4)) (|isDomain| *2 (|Void|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|OpenMathConnection|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathServerPackage|))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *5 (|Mapping| (|IntegrationResult| *3) *3 (|Symbol|))) (|isDomain| *6 (|Mapping| (|Union| (|Record| (|:| |special| *3) (|:| |integrand| *3)) "failed") *3 (|Symbol|))) (|ofCategory| *3 (|ElementaryFunctionCategory|)) (|ofCategory| *3 (|LiouvillianFunctionCategory|)) (|ofCategory| *3 (|RetractableTo| *4)) (|ofCategory| *3 (|FunctionSpace| *7)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *7 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *7 (|PatternMatchable| (|Integer|))) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|IntegrationTools| *7 *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *2 *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
 (((*1 *2 *3) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *3)) (|ofCategory| *3 (|ConvertibleTo| *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *3)) (|ofCategory| *3 (|ConvertibleTo| *2)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| *2)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|Numeric| *5))))) 
-(((*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *3 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *6)))) (|isDomain| *4 (|Reference| (|OrderedCompletion| (|Integer|)))) (|isDomain| *5 (|Symbol|)) (|isDomain| *7 (|Fraction| (|Integer|))) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *6))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2 *1 *3 *4 *4 *5) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1 *3 *4 *4 *5) (AND (|isDomain| *3 (|List| (|Point| (|DoubleFloat|)))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GraphImage|))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|e04AgentsPackage|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *2 *2)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|DoubleResultantPackage| *5 *2 *6 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *5 *2 *6))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|SegmentCategory| *3)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *7) (|:| |polj| *7))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Exit|)) (|isDomain| *1 (|OpenMathPackage|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *3 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *1)))) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|NonAssociativeRng|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|OutputForm|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FiniteDivisor| *3 *4 *5 *6)) (|ofCategory| *6 (|FunctionFieldCategory| *3 *4 *5))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *7)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
-(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|PartialDifferentialRing| *5)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|FiniteLinearAggregateSort| *4 *2)) (|ofCategory| *2 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|))))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Polynomial| *4))))) ((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|FramedNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|List| (|Polynomial| *3))))) ((*1 *2) (AND (|isDomain| *2 (|List| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|GenericNonAssociativeAlgebra| *4 *5 *6 *7))) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *4 *5 *6 *7)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofType| *5 (|PositiveInteger|)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|Vector| (|Matrix| *4)))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *7 (|PolynomialCategory| *3 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *8) (|:| |radicand| *8))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *3 *7 *8)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *8 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*7 $)) (SIGNATURE |denom| (*7 $)) (SIGNATURE |coerce| ($ *7)))))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|DivisorCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|List| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *7)) (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|AlgebraicNumber|))) (|UnivariateFormalPowerSeries| (|AlgebraicNumber|)))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|AlgebraicNumber|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|AlgebraicNumber|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|AlgebraicNumber|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|AlgebraicNumber|))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|AlgebraicNumber|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| *4 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *4))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| *4) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|)))) (|UnivariateFormalPowerSeries| (|Fraction| (|Integer|))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Integer|) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Integer|)))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Integer|)) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 (|Symbol|))) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) (|Symbol|) *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| *4)) (|UnivariateFormalPowerSeries| *4))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| |exprStream| (|Mapping| (|Stream| *6) *6 *3)) (|:| A (|Mapping| *5 (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| *5))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| *4) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| *4)))) (|:| AX (|Mapping| *6 (|NonNegativeInteger|) *3 *6)) (|:| C (|Mapping| (|List| *5) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) (|Symbol|))) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) (|Symbol|) (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|Record| (|:| |guessStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|))))) (|UnivariateFormalPowerSeries| (|Fraction| (|Polynomial| (|Integer|)))))) (|:| |degreeStream| (|Stream| (|NonNegativeInteger|))) (|:| |testStream| (|Mapping| (|Stream| (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))))) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| |exprStream| (|Mapping| (|Stream| (|Expression| (|Integer|))) (|Expression| (|Integer|)) *3)) (|:| A (|Mapping| (|Polynomial| (|Integer|)) (|NonNegativeInteger|) (|NonNegativeInteger|) (|SparseUnivariatePolynomial| (|Polynomial| (|Integer|))))) (|:| AF (|Mapping| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|)))) (|NonNegativeInteger|) (|NonNegativeInteger|) (|UnivariateFormalPowerSeries| (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| (|Integer|))))))) (|:| AX (|Mapping| (|Expression| (|Integer|)) (|NonNegativeInteger|) *3 (|Expression| (|Integer|)))) (|:| C (|Mapping| (|List| (|Polynomial| (|Integer|))) (|NonNegativeInteger|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 HPSPEC) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 (|Symbol|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| HPSPEC (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|UnivariatePolynomial| *5 *4)) (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|SturmHabichtPackage| *4 *5))))) 
-(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *3 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *3 *5))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *2 (|Plot|)) (|isDomain| *1 (|PlotFunctions1| *3)) (|ofCategory| *3 (|ConvertibleTo| (|InputForm|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Any|)) (|isDomain| *1 (|AnyFunctions1| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| *2)) (|ofType| *4 (|List| *2)) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| *5)) (|ofCategory| *5 (|FortranMachineTypeCategory|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|MyUnivariatePolynomial| *3 *4))) (|isDomain| *1 (|MyExpression| *3 *4)) (|ofType| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) (|isDomain| *1 (|NumericalIntegrationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|NottinghamGroup| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalODEProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) (|isDomain| *1 (|NumericalOptimizationProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalPDEProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RetractableTo| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (OR (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|not| (|ofCategory| *3 (|Algebra| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|IntegerNumberSystem|))) (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|QuotientFieldCategory| (|Integer|)))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) ((*1 *1 *2) (OR (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|GuessOption|))))) 
 (((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)) (|isDomain| *1 (|BezoutMatrix| *4 *3 *2 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ExpressionSpace|)))) ((*1 *1 *1) (|ofCategory| *1 (|ExpressionSpace|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *2 *7 *8 *9 *10)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *8 (|PlacesCategory| *3 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|ProjectiveSpaceCategory| *3))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *3)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Permutation| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|PermutationGroup| *4))))) 
 (((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *1 *2 *3 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoid|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| (|Boolean|) *5)) (|isDomain| *1 (|PatternFunctions1| *4 *5)) (|ofCategory| *5 (|Type|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6))))) (|isDomain| *1 (|LexTriangularPackage| *5 *6))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *6)) (|:| |exponent| (|Integer|))))) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5))))) 
-(((*1 *1) (|isDomain| *1 (|FortranCode|)))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|Float|)))) (|isDomain| *2 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|FractionFreeFastGaussian| *5 *6)) (|ofCategory| *6 (|AbelianMonoidRing| *5 *4)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|GcdDomain|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|FractionFreeFastGaussian| *5 *6)) (|ofCategory| *6 (|AbelianMonoidRing| *5 *4)))) ((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|UnivariatePolynomial| *4 *5)) (|isDomain| *3 (|List| *5)) (|ofType| *4 (|Symbol|)) (|ofCategory| *5 (|Field|)) (|isDomain| *1 (|PolynomialInterpolation| *4 *5)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *5)) (|isDomain| *1 (|PolynomialInterpolation| *4 *5)) (|ofType| *4 (|Symbol|)))) ((*1 *2 *3 *3 *4 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Fraction| (|Polynomial| *6))) (|isDomain| *1 (|RationalInterpolation| *5 *6)) (|ofType| *5 (|Symbol|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|ParametricLinearEquations| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4))))) 
-(((*1 *1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
-(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|Fraction| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|RationalIntegration| *3 *4))))) 
-(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|ExtAlgBasis|))))) 
-(((*1 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Matrix| *3))) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
-(((*1 *2 *3 *4 *3 *3) (AND (|isDomain| *3 (|Equation| *6)) (|isDomain| *4 (|BasicOperator|)) (|ofCategory| *6 (|FunctionSpace| *5)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *5 *6)))) ((*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|Equation| *7)) (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|List| *7)) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *7)))) ((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *3 (|List| (|Equation| *7))) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Equation| *7)) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| (|Equation| *8))) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Equation| *8)) (|isDomain| *6 (|List| *8)) (|ofCategory| *8 (|FunctionSpace| *7)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *7 *8)))) ((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Equation| *7)) (|ofCategory| *7 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *6 (|List| (|Equation| *8))) (|ofCategory| *8 (|FunctionSpace| *7)) (|isDomain| *5 (|Equation| *8)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *7 *8)))) ((*1 *2 *3 *4 *3 *5) (AND (|isDomain| *3 (|Equation| *5)) (|isDomain| *4 (|BasicOperator|)) (|ofCategory| *5 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *5)))) ((*1 *2 *3 *4 *5 *3) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *3)))) ((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|FunctionSpace| *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *6 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|List| *3)) (|ofCategory| *3 (|FunctionSpace| *7)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionSpaceODESolver| *7 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Symbol|)) (|isDomain| *6 (|List| *3)) (|ofCategory| *3 (|FunctionSpace| *7)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ExpressionSolve| *7 *3 *2 *8)) (|ofCategory| *8 (|UnivariateTaylorSeriesCategory| (|SparseUnivariatePolynomialExpressions| *3))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *6)) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| (|SparseUnivariatePolynomialExpressions| *5))) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)) (|isDomain| *1 (|TaylorSolve| *5 *2 *6))))) 
-(((*1 *2 *3) (AND (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|FunctionFieldIntegralBasis| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|NumberFieldIntegralBasis| *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|PAdicWildFunctionFieldIntegralBasis| *4 *3 *5 *6)) (|ofCategory| *6 (|MonogenicAlgebra| *3 *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|WildFunctionFieldIntegralBasis| *4 *3 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *3 *5))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3)) (|ofCategory| *3 (|FiniteFieldCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *5 *4)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *5 *4 *6 *2)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *6 (|IntegralDomain|))))) 
-(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Kernel| *1)) (|ofCategory| *1 (|ExpressionSpace|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Join| (|Field|) (|OrderedSet|))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3) (|isDomain| *1 (|ExponentialOfUnivariatePuiseuxSeries| *3 *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)) (|isDomain| *3 (|Float|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|Boolean|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|GroebnerFactorizationPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|List| *8))) (|isDomain| *1 (|GroebnerFactorizationPackage| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| (|List| *7))) (|isDomain| *1 (|GroebnerFactorizationPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|PolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|List| *8))) (|isDomain| *1 (|GroebnerFactorizationPackage| *5 *6 *7 *8)) (|isDomain| *3 (|List| *8))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *2 (|List| (|Record| (|:| |eigval| (|Union| (|Fraction| (|Polynomial| *4)) (|SuchThat| (|Symbol|) (|Polynomial| *4)))) (|:| |eigmult| (|NonNegativeInteger|)) (|:| |eigvec| (|List| (|Matrix| (|Fraction| (|Polynomial| *4)))))))) (|isDomain| *1 (|EigenPackage| *4)) (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| *4))))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *5))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorsOps| *4 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| A (|Matrix| *5)) (|:| |eqs| (|List| (|Record| (|:| C (|Matrix| *5)) (|:| |g| (|Vector| *5)) (|:| |eq| *6) (|:| |rh| *5)))))) (|isDomain| *1 (|SystemODESolver| *5 *6)) (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *6)) (|:| |vec| (|Vector| *5)))) (|isDomain| *1 (|SystemODESolver| *5 *6)) (|isDomain| *3 (|Matrix| *6)) (|isDomain| *4 (|Vector| *5))))) 
-(((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|OpenMathEncoding|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |minor| (|List| (|PositiveInteger|))) (|:| |eq| *3) (|:| |minors| (|List| (|List| (|PositiveInteger|)))) (|:| |ops| (|List| *3)))) (|isDomain| *1 (|AssociatedEquations| *5 *3)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *3 (|List| (|Palette|))) (|isDomain| *1 (|GraphImage|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|SegmentCategory| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Kernel| (|AlgebraicNumber|))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|isDomain| *3 (|List| (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|isDomain| *3 (|Kernel| (|AlgebraicNumber|))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|FractionalIdeal| *3 *2 *4 *5)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *5 (|Join| (|FramedAlgebra| *2 *4) (|RetractableTo| *2))))) ((*1 *2 *1) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|FramedModule| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *5 (|FramedAlgebra| *2 *4)) (|ofType| *6 (|Vector| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *5) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *5 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Kernel| (|InnerAlgebraicNumber|))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|InnerAlgebraicNumber|))) (|isDomain| *3 (|List| (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|InnerAlgebraicNumber|))) (|isDomain| *3 (|Kernel| (|InnerAlgebraicNumber|))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|MonogenicAlgebra| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|NormInMonogenicAlgebra| *4 *2 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
+(((*1 *1 *1 *2 *1) (AND (|ofCategory| *1 (|BinaryTreeCategory| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |basis| (|Matrix| *6)) (|:| |basisDen| *6) (|:| |basisInv| (|Matrix| *6))))) (|isDomain| *1 (|ChineseRemainderToolsForIntegralBases| *5 *6 *7)) (|isDomain| *3 (|Record| (|:| |basis| (|Matrix| *6)) (|:| |basisDen| *6) (|:| |basisInv| (|Matrix| *6)))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|RealClosedField|)) (|isDomain| *2 (|List| (|SimpleCell| *5 *6))) (|isDomain| *1 (|SimpleCell| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|RealClosedField|)) (|isDomain| *2 (|List| (|SimpleCell| *5 *3))) (|isDomain| *1 (|SimpleCell| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *4)) (|isDomain| *1 (|UTSodetools| *4 *3 *5 *2)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|OpenMathConnection|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *7 (|List| *7))) (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Mapping| (|Complex| (|DoubleFloat|)) (|Complex| (|DoubleFloat|)))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *2 (|ThreeDimensionalViewport|)) (|isDomain| *1 (|DrawComplex|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|PrecomputedAssociatedEquations| *5 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|SubSpace| 3 *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|NumberTheoreticPolynomialFunctions| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|MathMLFormat|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|String|)) (|ofCategory| *1 (|FileCategory| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *3 *1) (|partial| AND (|isDomain| *3 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *4 *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(((*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *1 (|LinGroebnerPackage| *5 *6))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|Aggregate|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FileCategory| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1) (|isDomain| *1 (|Library|)))) 
+(((*1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|isDomain| *1 (|IncrementingMaps| *3)) (|ofCategory| *3 (|Join| (|Monoid|) (|AbelianSemiGroup|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| "skip" "MonteCarlo" "deterministic")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| "skip" "MonteCarlo" "deterministic")) (|isDomain| *1 (|GuessOption|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *6)) (|:| |exponent| (|Integer|))))) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|DistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|PolToPol| *4 *5)) (|ofType| *4 (|List| (|Symbol|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Any|)) (|isDomain| *1 (|AnyFunctions1| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Float|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| *2)) (|ofType| *4 (|List| *2)) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| *5)) (|ofCategory| *5 (|FortranMachineTypeCategory|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Float|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Integer|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| (|Float|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Polynomial| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Polynomial| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Expression| (|Integer|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Expression| (|Float|)))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|MyUnivariatePolynomial| *3 *4))) (|isDomain| *1 (|MyExpression| *3 *4)) (|ofType| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) (|isDomain| *1 (|NumericalIntegrationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|NottinghamGroup| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalODEProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) (|isDomain| *1 (|NumericalOptimizationProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalPDEProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RetractableTo| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (OR (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|not| (|ofCategory| *3 (|Algebra| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|IntegerNumberSystem|))) (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| *3)) (AND (|not| (|ofCategory| *3 (|QuotientFieldCategory| (|Integer|)))) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) ((*1 *1 *2) (OR (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *3 *4)) (|ofCategory| *4 (|FunctionSpace| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *4)) (|ofCategory| *4 (|FunctionSpace| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|CommonOperators|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *4)) (|ofCategory| *4 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|ExpressionSpace&| *3)) (|ofCategory| *3 (|ExpressionSpace|)))) ((*1 *2 *2) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpace&| *3 *4)) (|ofCategory| *3 (|FunctionSpace| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *4)) (|ofCategory| *4 (|FunctionSpace| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *4)) (|ofCategory| *4 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Set| (|NonNegativeInteger|))) (|isDomain| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|Record| (|:| |contp| (|Integer|)) (|:| |factors| (|List| (|Record| (|:| |irr| *3) (|:| |pow| (|Integer|))))))) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|FileCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DrawComplex|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *4 *5 *6 *3))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|Comparable|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined")) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|))))) 
+(((*1 *2 *2 *2 *3 *3 *4 *2 *5) (|partial| AND (|isDomain| *3 (|Kernel| *2)) (|isDomain| *4 (|Mapping| (|Union| *2 "failed") *2 *2 (|Symbol|))) (|isDomain| *5 (|SparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|GenusZeroIntegration| *6 *2 *7)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *2 *2 *3 *3 *4 *3 *2 *5) (|partial| AND (|isDomain| *3 (|Kernel| *2)) (|isDomain| *4 (|Mapping| (|Union| *2 "failed") *2 *2 (|Symbol|))) (|isDomain| *5 (|Fraction| (|SparseUnivariatePolynomial| *2))) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|GenusZeroIntegration| *6 *2 *7)) (|ofCategory| *7 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |mat| (|Matrix| *5)) (|:| |vec| (|Vector| (|List| (|PositiveInteger|)))))) (|isDomain| *1 (|AssociatedEquations| *5 *3)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *2 (|Fraction| (|Integer|)))))) 
-(((*1 *2 *3) (|partial| AND (|ofCategory| *2 (|SetCategory|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *2)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *3 *4 *2 *2 *5) (|partial| AND (|isDomain| *2 (|OrderedCompletion| *4)) (|isDomain| *3 (|Kernel| *4)) (|isDomain| *5 (|Boolean|)) (|ofCategory| *4 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|DefiniteIntegrationTools| *6 *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|QuasiComponentPackage| *3 *4 *5 *6 *7)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *3 *4 *5 *6 *7))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|ModularHermitianRowReduction| *3))))) 
-(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *4 (|String|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| *4))))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| (|Integer|)))))) (|isDomain| *2 (|List| (|List| (|Equation| (|Polynomial| *4))))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *4)))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *4)))) (|isDomain| *1 (|FloatingRealPackage| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|isDomain| *2 (|Record| (|:| |particular| *4) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|ElementaryFunctionLODESolver| *6 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)))) ((*1 *2 *3 *2 *4 *2 *5) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ElementaryFunctionLODESolver| *6 *2 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|Vector| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|Vector| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5)))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|List| (|Vector| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| *5))) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| |particular| (|Union| (|Vector| *5) "failed")) (|:| |basis| (|List| (|Vector| *5)))))) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)) (|isDomain| *4 (|List| (|Vector| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *7 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|List| (|Record| (|:| |particular| (|Union| *7 "failed")) (|:| |basis| (|List| *7))))) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *7 *3)) (|isDomain| *4 (|List| *7)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|NonLinearSolvePackage| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|NonLinearSolvePackage| *4)))) ((*1 *2 *2 *2 *3 *4) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|NonLinearFirstOrderODESolver| *5 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *5) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|Matrix| *7)) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *7)) (|:| |basis| (|List| (|Vector| *7))))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)) (|isDomain| *4 (|Vector| *7)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Matrix| *6)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedFunctionSpace| *5) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Vector| *6))) (|isDomain| *1 (|ElementaryFunctionODESolver| *5 *6)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|List| (|Equation| *7))) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *7)) (|:| |basis| (|List| (|Vector| *7))))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|List| *7)) (|isDomain| *4 (|List| (|BasicOperator|))) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *7)) (|:| |basis| (|List| (|Vector| *7))))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Equation| *7)) (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Symbol|)) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Union| (|Record| (|:| |particular| *7) (|:| |basis| (|List| *7))) *7 "failed")) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|Symbol|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|Union| (|Record| (|:| |particular| *3) (|:| |basis| (|List| *3))) *3 "failed")) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))))) ((*1 *2 *3 *4 *3 *5) (|partial| AND (|isDomain| *3 (|Equation| *2)) (|isDomain| *4 (|BasicOperator|)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *2)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))))) ((*1 *2 *2 *3 *4 *5) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Equation| *2)) (|isDomain| *5 (|List| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *6) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ElementaryFunctionODESolver| *6 *2)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalODEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *4 (|Float|)) (|isDomain| *5 (|List| *4)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *4) (AND (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *4 (|Float|)) (|isDomain| *5 (|List| *4)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *6 *4) (AND (|isDomain| *3 (|Vector| (|Expression| *4))) (|isDomain| *5 (|List| (|Float|))) (|isDomain| *6 (|Expression| (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *5 *4) (AND (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *4 (|Float|)) (|isDomain| *5 (|List| *4)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4) (AND (|isDomain| *3 (|Vector| (|Expression| *4))) (|isDomain| *5 (|List| (|Float|))) (|isDomain| *6 (|Expression| (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *4 *5 *6 *5 *4 *4) (AND (|isDomain| *3 (|Vector| (|Expression| *4))) (|isDomain| *5 (|List| (|Float|))) (|isDomain| *6 (|Expression| (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaOrdinaryDifferentialEquationPackage|)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |particular| *6) (|:| |basis| (|List| *6))) "failed") *7 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|LinearOrdinaryDifferentialOperatorCategory| *6)) (|isDomain| *2 (|Record| (|:| |particular| (|Vector| *6)) (|:| |basis| (|Matrix| *6)))) (|isDomain| *1 (|SystemODESolver| *6 *7)) (|isDomain| *3 (|Matrix| *6)) (|isDomain| *4 (|Vector| *6)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|NumericalPDEProblem|)) (|isDomain| *4 (|RoutinesTable|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7 *8) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *6 (|List| (|List| (|Expression| *3)))) (|isDomain| *7 (|String|)) (|isDomain| *8 (|DoubleFloat|)) (|isDomain| *5 (|List| (|Expression| (|Float|)))) (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *3 *3 *3 *4 *4 *5 *6 *7) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *6 (|List| (|List| (|Expression| *3)))) (|isDomain| *7 (|String|)) (|isDomain| *5 (|List| (|Expression| (|Float|)))) (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaPartialDifferentialEquationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|RealSolvePackage|)) (|isDomain| *4 (|Float|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Polynomial| (|Integer|))) (|isDomain| *2 (|List| (|Float|))) (|isDomain| *1 (|RealSolvePackage|)) (|isDomain| *4 (|Float|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|TransSolvePackage| *4)) (|isDomain| *3 (|Expression| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *4)))) (|isDomain| *1 (|TransSolvePackage| *4)) (|isDomain| *3 (|Equation| (|Expression| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|TransSolvePackage| *5)) (|isDomain| *3 (|Equation| (|Expression| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|Equation| (|Expression| *5)))) (|isDomain| *1 (|TransSolvePackage| *5)) (|isDomain| *3 (|Expression| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *2 (|List| (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|TransSolvePackage| *5)) (|isDomain| *3 (|List| (|Equation| (|Expression| *5)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|SystemSolvePackage| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *5)))))) (|isDomain| *1 (|SystemSolvePackage| *5)) (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|SystemSolvePackage| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *4)))))) (|isDomain| *1 (|SystemSolvePackage| *4)) (|isDomain| *3 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|SystemSolvePackage| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *5))))) (|isDomain| *1 (|SystemSolvePackage| *5)) (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *5)))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|isDomain| *1 (|SystemSolvePackage| *4)) (|isDomain| *3 (|Fraction| (|Polynomial| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Equation| (|Fraction| (|Polynomial| *4))))) (|isDomain| *1 (|SystemSolvePackage| *4)) (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *4))))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Any|))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *3 *6)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *4 *5 *3)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *5 (|PatternMatchable| (|Integer|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |special| *3) (|:| |integrand| *3))) (|isDomain| *1 (|PatternMatchIntegration| *5 *3)) (|ofCategory| *3 (|LiouvillianFunctionCategory|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|AntiSymm| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|List| (|Symbol|))))) ((*1 *1 *1) (AND (|isDomain| *1 (|DeRhamComplex| *2 *3)) (|ofCategory| *2 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *3 (|List| (|Symbol|)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3 *3 *3 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|EuclideanDomain|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RomanNumeral|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RomanNumeral|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Record| (|:| |low| (|List| *3)) (|:| |high| (|List| *3)))) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Mapping| (|Void|) (|SExpression|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AxiomServer|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|Polynomial| *4)))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatRicDE| *4 *2 *3 *5)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2)))))) 
+(((*1 *1) (AND (|ofCategory| *1 (|FiniteSetAggregate| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Mapping| (|List| *4) *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|StreamTensor| *4))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *3 *4 *5 *5 *2) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|Polynomial| *6)) (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|OrderedCompletion| *7)) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *7 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *6))) (|isDomain| *1 (|DefiniteIntegrationTools| *6 *7)))) ((*1 *2 *3 *4 *4 *2) (|partial| AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|SparseUnivariatePolynomial| *6)) (|isDomain| *4 (|OrderedCompletion| *6)) (|ofCategory| *6 (|Join| (|TranscendentalFunctionCategory|) (|AlgebraicallyClosedFunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|DefiniteIntegrationTools| *5 *6))))) 
+(((*1 *2 *1 *2) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 *2)) (|ofType| *6 *2) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5))))) 
+(((*1 *2 *3 *4 *3) (AND (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *2 (|Expression| (|Fraction| (|Integer|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|NonNegativeInteger|)))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|StringAggregate|)))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|List| *2)) (|isDomain| *1 (|BasicOperatorFunctions1| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *4 (|List| *4))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|Mapping| *4 (|List| *4))) (|isDomain| *1 (|BasicOperatorFunctions1| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *4 (|LeftModule| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *3 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Operator| *3))))) 
+(((*1 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *3 *3 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|isDomain| *1 (|d01AgentsPackage|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) *4)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *3 (|DivisorCategory| *11)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *3 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *7)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *5 *6 *7 *8 *9 *10 *11 *3 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *4 *5 *2) (AND (|isDomain| *2 (|List| *5)) (|ofCategory| *5 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) *4)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *6)) (|ofCategory| *11 (|PlacesCategory| *6 *10)) (|isDomain| *1 (|InterpolateFormsPackage| *6 *7 *5 *8 *9 *10 *11 *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *3 (|DivisorCategory| *11)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *6 *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|DistributedMultivariatePolynomial| *6 *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|))) (|isDomain| *1 (|FiniteAlgebraicExtensionField&| *3 *4)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|OnePointCompletion| (|PositiveInteger|)))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| *4)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DesingTreePackage| *4 *5 *6 *7 *8 *9 *10 *11 *12 *3 *13)) (|ofCategory| *3 (|DesingTreeCategory| *12))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FlexibleArray| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofType| *4 (|Integer|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *1 (|TangentExpansions| *2)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|Record| (|:| |height| (|Integer|)) (|:| |base| (|Integer|)) (|:| |quotient| (|Integer|)) (|:| |reste| (|Integer|)) (|:| |type| (|Union| "left" "center" "right" "vertical" "horizontal")))) (|isDomain| *1 (|NewtonPolygon| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *5)) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6)) (|ofCategory| *6 (|DirectProductCategory| *7 (|NonNegativeInteger|))) (|ofType| *7 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |height| (|Integer|)) (|:| |base| (|Integer|)) (|:| |quotient| (|Integer|)) (|:| |reste| (|Integer|)) (|:| |type| (|Union| "left" "center" "right" "vertical" "horizontal")))) (|isDomain| *1 (|NewtonPolygon| *4 *5 *6 *7))))) 
 (((*1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Aggregate|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|has| $ (ATTRIBUTE |finiteAggregate|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|XPolynomialRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedMonoid|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
 (((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |k| (|LyndonWord| *3)) (|:| |c| *4)))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SplittingTree| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|DifferentialVariableCategory| *4))))) 
-(((*1 *2 *3 *4 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *1 (|BlowUpPackage| *4 *5 *2 *6 *3)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *4 *6)) (|ofCategory| *3 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|RootsFindingPackage| *3))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Kernel| *4)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|KernelFunctions2| *2 *4))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorsOps| *4 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *4))))) 
-(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *4 *2)))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Fraction| (|SparseUnivariatePolynomial| (|Expression| *5)))) (|isDomain| *3 (|Vector| (|Expression| *5))) (|isDomain| *4 (|Integer|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *1 (|TransSolvePackageService| *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|RetractableTo| (|Integer|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *5 *2)) (|ofCategory| *2 (|FunctionSpace| *5)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *5 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *5 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *5 (|Kernel| $)))))))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|PendantTree| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|PendantTree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PackageForPoly| *3 *4 *5 *6)) (|ofCategory| *4 (|FiniteAbelianMonoidRing| *3 *5))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *2 (|Record| (|:| |part1| *3) (|:| |part2| *4))) (|isDomain| *1 (|MakeRecord| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|Type|))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|Point| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SplittingTree| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *3 (|PositiveInteger|)) (|has| *4 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Matrix| *4))) (|isDomain| *3 (|PositiveInteger|)) (|has| *4 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *4))))) 
-(((*1 *2 *3 *3 *3 *4 *5 *5 *6) (AND (|isDomain| *3 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Union| (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|)) "undefined")) (|isDomain| *5 (|Segment| (|DoubleFloat|))) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|)))) ((*1 *2 *3 *4 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|)))) ((*1 *2 *2 *3 *4 *4 *5) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *3 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *4 (|Segment| (|DoubleFloat|))) (|isDomain| *5 (|List| (|DrawOption|))) (|isDomain| *1 (|MeshCreationRoutinesForThreeDimensions|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|DisplayPackage|))))) 
-(((*1 *1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *2 *1 *1 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|PolynomialCategory| *4 *5 *3)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Factored| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *5 *6))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *2 (|PolynomialCategory| *4 *6 *5)) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *2)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|))))) 
-(((*1 *2 *3 *4 *5 *5 *5 *5 *4 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *3 *5)) (|isDomain| *1 (|PatternMatchListResult| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *5 (|ListAggregate| *4))))) 
-(((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *6 (|PositiveInteger|)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Record| (|:| |plist| (|List| *3)) (|:| |modulo| *5))) (|isDomain| *1 (|GeneralHenselPackage| *5 *3)) (|isDomain| *4 (|List| *3))))) 
-(((*1 *2 *3 *4 *4 *3) (|partial| AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *5) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|PureAlgebraicIntegration| *5 *3 *6)) (|ofCategory| *6 (|SetCategory|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|e04AgentsPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3)) (|isDomain| *1 (|MappingPackage1| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *5 *2)) (|ofCategory| *4 (|Type|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *2 (|FiniteLinearAggregate| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|RectangularMatrixCategory| *4 *5 *6 *7 *2)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *7 (|DirectProductCategory| *5 *6)) (|ofCategory| *2 (|DirectProductCategory| *4 *6))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *6 *7))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |sinh| (|Stream| *4)) (|:| |cosh| (|Stream| *4)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *4)) (|isDomain| *3 (|Stream| *4))))) 
+(((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|ofCategory| *5 (|FunctionSpace| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| (|Fraction| (|Integer|))))) (|isDomain| *1 (|FunctionSpaceUnivariatePolynomialFactor| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|PendantTree| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|PendantTree| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3 *4 *4 *3 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *3 *4 *4 *4 *3 *5) (AND (|isDomain| *4 (|Kernel| *3)) (|isDomain| *5 (|Fraction| (|SparseUnivariatePolynomial| *3))) (|ofCategory| *3 (|Join| (|FunctionSpace| *6) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|GenusZeroIntegration| *6 *3 *7)) (|ofCategory| *7 (|SetCategory|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *1)) (|ofCategory| *1 (|AlgebraicallyClosedField|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|AlgebraicallyClosedFunctionSpace| *2)) (|ofCategory| *2 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *2)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *2 (|FunctionSpace| *5)) (|isDomain| *1 (|AlgebraicFunction| *5 *2)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *2 *3) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *1 *2 *3 *4) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|OutputForm|)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *1 *2 *3) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Vector| *5))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|RepresentationPackage2| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Finite|)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *3 *4)) (|isDomain| *1 (|PatternMatchListResult| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *5 (|ListAggregate| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|LiePolynomial| *4 *5))) (|isDomain| *1 (|LieExponentials| *4 *5 *6)) (|ofCategory| *5 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *6 (|PositiveInteger|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerPackage| *4 *5 *6 *2)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Automorphism| *6)) (|isDomain| *5 (|Mapping| *6 *6)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| R (|Matrix| *6)) (|:| A (|Matrix| *6)) (|:| |Ainv| (|Matrix| *6)))) (|isDomain| *1 (|PseudoLinearNormalForm| *6)) (|isDomain| *3 (|Matrix| *6))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |op| (|BasicOperator|)) (|:| |w| (|DoubleFloat|)))) (|isDomain| *1 (|d01WeightsPackage|))))) 
-(((*1 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|List| *7)) (|isDomain| *5 (|List| (|List| *8))) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |upol| (|SparseUnivariatePolynomial| *8)) (|:| |Lval| (|List| *8)) (|:| |Lfact| (|List| (|Record| (|:| |factor| (|SparseUnivariatePolynomial| *8)) (|:| |exponent| (|Integer|))))) (|:| |ctpol| *8))) (|isDomain| *1 (|MultivariateSquareFree| *6 *7 *8 *9))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|List| *3))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *3 *5)) (|isDomain| *1 (|PatternMatchListResult| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *5 (|ListAggregate| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| *7 *5 *6)) (|isDomain| *1 (|MakeBinaryCompiledFunction| *4 *5 *6 *7)) (|ofCategory| *4 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|)) (|ofCategory| *7 (|Type|))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|PackageForPoly| *3 *2 *4 *5)) (|ofCategory| *2 (|FiniteAbelianMonoidRing| *3 *4))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|List| (|List| (|NonNegativeInteger|)))))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|))))) 
-(((*1 *2 *3 *4 *5 *5 *4 *6) (AND (|isDomain| *5 (|Kernel| *4)) (|isDomain| *6 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|GenusZeroIntegration| *7 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4 *5 *5 *5 *4 *6) (AND (|isDomain| *5 (|Kernel| *4)) (|isDomain| *6 (|Fraction| (|SparseUnivariatePolynomial| *4))) (|ofCategory| *4 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|GenusZeroIntegration| *7 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|))))) 
+(((*1 *2 *1) (AND (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofType| *6 (|Mapping| (|Boolean|) (|Record| (|:| |index| *2) (|:| |exponent| *5)) (|Record| (|:| |index| *2) (|:| |exponent| *5)))) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|GeneralModulePolynomial| *3 *4 *2 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 (|OrderedVariableList| *3)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Polynomial| (|Complex| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Polynomial| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Polynomial| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *4)))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| (|Complex| *5)))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Expression| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Expression| *5)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Expression| (|Complex| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *4 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Expression| (|Complex| *5))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *5 (|ConvertibleTo| (|Float|))) (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|Numeric| *5))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *11 (|DivisorCategory| *10)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *11 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *11 *12 *13 *14)) (|ofCategory| *13 (|DesingTreeCategory| *12)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *4) (|Finite|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
 (((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|Collection| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|InfiniteTuple| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1 *3) (|partial| AND (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *3 *2)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *4 *5 *3)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|Tuple| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |sin| (|Stream| *4)) (|:| |cos| (|Stream| *4)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *4)) (|isDomain| *3 (|Stream| *4))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DirichletRing| *4)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|List| *8))) (|isDomain| *3 (|List| *8)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|RetractableTo| (|Fraction| *2)))) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|BoundIntegerRoots| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|BasicType|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
 (((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|InfiniteTuple| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |gen| *3) (|:| |exp| (|Integer|)))) (|isDomain| *1 (|Divisor| *3)) (|ofCategory| *3 (|SetCategoryWithDegree|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *2 (|HomogeneousDistributedMultivariatePolynomial| *4 *5)) (|isDomain| *1 (|LinGroebnerPackage| *4 *5))))) 
-(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|isDomain| *1 (|TangentExpansions| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Kernel| *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|ElementaryFunctionStructurePackage| *4 *2))))) 
+(((*1 *2 *3 *4 *5 *6) (|partial| AND (|isDomain| *4 (|Symbol|)) (|isDomain| *6 (|List| (|Kernel| *3))) (|isDomain| *5 (|Kernel| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|ElementaryIntegration| *7 *3))))) 
 (((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|InfiniteTuple| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *10 (|PlacesCategory| *4 *9)) (|ofCategory| *3 (|DivisorCategory| *10)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *8 *9 *10 *3 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Record| (|:| |num| (|List| *6)) (|:| |den| *6))) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *8 *9 *10 *3 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|Fraction| (|DistributedMultivariatePolynomial| *6 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| *5 *4))) (|:| |den| (|DistributedMultivariatePolynomial| *5 *4)))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Divisor| (|Places| *5))) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Fraction| (|DistributedMultivariatePolynomial| *6 *5)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Divisor| (|Places| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |num| (|List| (|DistributedMultivariatePolynomial| *5 *4))) (|:| |den| (|DistributedMultivariatePolynomial| *5 *4)))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Result|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|RoutinesTable|))) ((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamFunctions1| *4)) (|ofCategory| *4 (|Type|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *6 (|Ring|)) (|ofCategory| *6 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *2 (|Record| (|:| |max| (|Union| (|Integer|) "failed")) (|:| |ord| (|Union| (|Integer|) "failed")) (|:| |ker| (|Kernel| *5)))) (|isDomain| *1 (|RecurrenceOperator| *6 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *6) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| *4) (|PartialDifferentialRing| *4) (|CombinatorialOpsCategory|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PlottablePlaneCurveCategory|)) (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|)))))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |ir| (|IntegrationResult| (|Fraction| *6))) (|:| |specpart| (|Fraction| *6)) (|:| |polypart| *6))) (|isDomain| *1 (|TranscendentalIntegration| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *1 (|PolynomialDecomposition| *2 *4)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|SquareMatrix| *3 *4)) (|ofType| *3 (|NonNegativeInteger|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|MonogenicAlgebra| *3 *4)) (|isDomain| *1 (|InfiniteProductFiniteField| *3 *4 *5 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *1 (|InfiniteProductPrimeField| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |points| (|NonNegativeInteger|)) (|:| |curves| (|NonNegativeInteger|)) (|:| |polygons| (|NonNegativeInteger|)) (|:| |constructs| (|NonNegativeInteger|))))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|BinaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *2 (|List| (|Expression| *6))) (|isDomain| *1 (|DegreeReductionPackage| *5 *6)) (|isDomain| *3 (|Expression| *6)) (|ofCategory| *5 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|IntegrationResult| *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|))) (|ofCategory| *4 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|IntegrationResultToFunction| *4 *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|IntegrationResult| (|Fraction| (|Polynomial| *4)))) (|ofCategory| *4 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|List| (|Expression| *4))) (|isDomain| *1 (|IntegrationResultRFToFunction| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentExpansionCategory| *3 *2)) (|ofCategory| *3 (|OrderedRing|)) (|ofCategory| *2 (|StreamAggregate| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *1)) (|ofCategory| *1 (|SegmentExpansionCategory| *4 *2)) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *2 (|StreamAggregate| *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|XDistributedPolynomial| (|Symbol|) *3)) (|isDomain| *1 (|XPolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|isDomain| *1 (|XRecursivePolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|ArcHyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| *4)))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|Logic|))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *1 *3 *3) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Void|))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| (|Integer|))) (|isDomain| *2 (|Vector| (|Fraction| (|Integer|)))) (|isDomain| *1 (|IntegerLinearDependence| *4))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
-(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|Monoid|)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Result|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|LinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|LinearAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|RoutinesTable|))) ((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamFunctions1| *4)) (|ofCategory| *4 (|Type|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Float|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|NonNegativeInteger|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *8))) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *8)) (|:| |badPols| (|List| *8)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *4 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))))) ((*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *4 (|Fraction| (|Integer|))))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Fraction| (|Integer|))) (|isDomain| *2 (|List| (|Record| (|:| |left| *5) (|:| |right| *5)))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *4 (|Record| (|:| |left| *5) (|:| |right| *5))))) ((*1 *2 *3) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) ((*1 *2 *3 *4) (AND (|isDomain| *2 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|isDomain| *4 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *2 (|List| (|Record| (|:| |left| *4) (|:| |right| *4)))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Fraction| (|Integer|))) (|isDomain| *2 (|List| (|Record| (|:| |left| *5) (|:| |right| *5)))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|isDomain| *4 (|Record| (|:| |left| *5) (|:| |right| *5)))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|TranscendentalFunctionCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|FourierComponent| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
 (((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|isDomain| *1 (|IncrementingMaps| *3)) (|ofCategory| *3 (|Join| (|Monoid|) (|AbelianSemiGroup|)))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *5 "failed") *7)) (|isDomain| *4 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *7 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *2 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|ODETools| *4 *5)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|ODETools| *5 *6)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|Logic|))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
 (((*1 *2 *3 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Vector| (|List| (|Integer|)))) (|isDomain| *1 (|HallBasis|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|InfiniteTuple| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|Group|))) ((*1 *1 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *1) (|ofCategory| *1 (|PseudoAlgebraicClosureOfPerfectFieldCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|PartitionsAndPermutations|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *1) (|isDomain| *1 (|Partition|))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *1) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Record| (|:| |factors| (|List| *3)) (|:| |error| *5)))) (|isDomain| *1 (|ComplexRootFindingPackage| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *5))))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|List| (|Record| (|:| |factors| (|List| *3)) (|:| |error| *4)))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|PartialFraction| *2)) (|ofCategory| *2 (|EuclideanDomain|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *14)) (|ofCategory| *14 (|DesingTreeCategory| *13)) (|ofCategory| *13 (|InfinitlyClosePointCategory| *5 *6 *7 *8 *9 *10 *11 *12 *15)) (|ofCategory| *15 (|BlowUpMethodCategory|)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|PolynomialCategory| *5 *8 (|OrderedVariableList| *6))) (|ofCategory| *8 (|DirectProductCategory| (|#| *6) *3)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *10 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *11 (|PlacesCategory| *5 *10)) (|ofCategory| *12 (|DivisorCategory| *11)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DesingTreePackage| *5 *6 *7 *8 *9 *10 *11 *12 *13 *14 *15))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3)))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Vector| *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraPackage| *3 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)))) ((*1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FramedAlgebra| *3 *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FractionalIdeal| *3 *4 *5 *6)) (|ofCategory| *6 (|Join| (|FramedAlgebra| *4 *5) (|RetractableTo| *4))))) ((*1 *2 *1) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|QuotientFieldCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|FramedModule| *3 *4 *5 *6 *7)) (|ofCategory| *6 (|FramedAlgebra| *4 *5)) (|ofType| *7 *2))) ((*1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Vector| (|Vector| *4))) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|AffinePlane| *3)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|EuclideanDomain|))) ((*1 *1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|AxiomServer|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Database| (|IndexCard|))) (|isDomain| *1 (|OperationsQuery|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|RadicalCategory|)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|List| (|Record| (|:| |factor| *3) (|:| |degree| *4)))) (|isDomain| *1 (|ModularDistinctDegreeFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|)))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |radval| (|Expression| (|Integer|))) (|:| |radmult| (|Integer|)) (|:| |radvect| (|List| (|Matrix| (|Expression| (|Integer|)))))))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|PointsOfFiniteOrderTools| *4 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|PlaneAlgebraicCurvePlot|)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Factored| *4) *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Factored| *4)) (|isDomain| *1 (|FactoredFunctionUtilities| *4)))) ((*1 *1 *1) (|isDomain| *1 (|Plot3D|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *1) (|isDomain| *1 (|Plot|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *1 (|RealZeroPackage| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *2 *2) (|partial| AND (|isDomain| *2 (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|))))) (|isDomain| *1 (|RealZeroPackageQ| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))))) ((*1 *1 *1) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|DirectProductCategory| *5 (|NonNegativeInteger|))) (|isDomain| *1 (|PackageForPoly| *4 *3 *2 *5)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *2)) (|ofType| *5 (|NonNegativeInteger|))))) 
+(((*1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|List| (|RewriteRule| *4 *5 *2))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|ApplyRules| *4 *5 *2)))) ((*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|List| (|RewriteRule| *5 *6 *2))) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Join| (|Ring|) (|PatternMatchable| *5) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *5)))) (|ofCategory| *2 (|Join| (|FunctionSpace| *6) (|PatternMatchable| *5) (|ConvertibleTo| (|Pattern| *5)))) (|isDomain| *1 (|ApplyRules| *5 *6 *2))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|isDomain| *1 (|e04AgentsPackage|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Any|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PointsOfFiniteOrderTools| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| (|Fraction| *3)))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1 *1) (|ofCategory| *1 (|EuclideanDomain|))) ((*1 *1 *1 *1) (|isDomain| *1 (|NonNegativeInteger|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|SubSpace| *2 *3)) (|ofType| *2 (|PositiveInteger|)) (|ofCategory| *3 (|Ring|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1) (|ofCategory| *1 (|HyperbolicFunctionCategory|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *6))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|RetractableTo| *5))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| (|List| (|Equation| (|Fraction| (|Polynomial| *6)))))) (|isDomain| *1 (|RetractSolvePackage| *5 *6))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DirichletRing| *4)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |entry| (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated")))))))) (|isDomain| *1 (|IntegrationFunctionsTable|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|List| *4))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|IntegerPrimesPackage| *3)) (|ofCategory| *3 (|IntegerNumberSystem|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *1 (|FourierSeries| *3 *2)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *2 (|Join| (|OrderedSet|) (|AbelianGroup|)))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |rank| (|NonNegativeInteger|)) (|:| |eqns| (|List| (|Record| (|:| |det| *8) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|)))))) (|:| |fgb| (|List| *8))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)) (|isDomain| *4 (|NonNegativeInteger|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *3)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|TrigonometricManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3)))))) 
-(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *5 *6 *7)) (|ofType| *6 (|List| (|Symbol|))) (|ofType| *7 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|List| (|RegularChain| *4 *5))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *3 *4 *5 *5) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofCategory| *6 (|Finite|)) (|ofCategory| *6 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *6)))) (|isDomain| *1 (|RepresentationPackage2| *6)) (|isDomain| *3 (|List| (|Matrix| *6))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *4)))) (|isDomain| *1 (|RepresentationPackage2| *4)) (|isDomain| *3 (|List| (|Matrix| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Finite|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Finite|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|List| (|List| (|Matrix| *5)))) (|isDomain| *1 (|RepresentationPackage2| *5)) (|isDomain| *3 (|List| (|Matrix| *5)))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|ExpressionTubePlot|)) (|isDomain| *3 (|DoubleFloat|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|FreeAbelianMonoidCategory| *4 *2)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|CancellationAbelianMonoid|))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|TangentExpansions| *2)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Permutation| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|PermutationGroup| *4))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Any|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *1 (|HeuGcd| *3))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3)))) ((*1 *2 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
+(((*1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *6 (|Field|)) (|isDomain| *4 (|TaylorSeries| *6)) (|isDomain| *2 (|Mapping| (|Stream| *4) (|Stream| *4))) (|isDomain| *1 (|WeierstrassPreparation| *6)) (|isDomain| *5 (|Stream| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|StreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *1 (|SetAggregate| *3)))) ((*1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *2 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PrimitiveArray| (|Complex| (|Float|)))) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) ((*1 *1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|Float|))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *2 (|List| *2))) (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *5 *2))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
-(((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |radicand| (|Fraction| *5)) (|:| |deg| (|NonNegativeInteger|)))) (|isDomain| *1 (|ChangeOfVariable| *4 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Fraction| *5)))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|Pattern| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Boolean|) (|BasicOperator|) (|BasicOperator|))) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *6 *6)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *4 (|List| *6)) (|isDomain| *2 (|Record| (|:| |fs| (|Boolean|)) (|:| |sd| *4) (|:| |td| (|List| *4)))) (|isDomain| *1 (|TableauxBumpers| *6)) (|isDomain| *5 (|List| *4))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SubSpace| 3 (|DoubleFloat|))) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Export3D|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *4 *5)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Polynomial| *5)) (|isDomain| *1 (|PolToPol| *4 *5))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|AbelianMonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeModuleCat| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LaurentPolynomial| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DoubleFloat|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *2 (|MonogenicLinearOperator| *3)) (|isDomain| *1 (|OppositeMonogenicLinearOperator| *2 *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Complex| (|DoubleFloat|)))) (|isDomain| *1 (|ComplexDoubleFloatVector|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Vector| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 (|List| *5))) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Mapping| (|Stream| *4) (|List| (|Stream| *4)))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *5))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|CyclicStreamTools| *4 *3)) (|ofCategory| *3 (|LazyStreamAggregate| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|ArcTrigonometricFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3))))) 
-(((*1 *2 *3 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Complex| (|Expression| *4))) (|isDomain| *1 (|ComplexTrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| (|Complex| *4)))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Complex| *3)) (|isDomain| *1 (|TrigonometricManipulations| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4)))))) 
-(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|GaloisGroupPolynomialUtilities| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|LinearOrdinaryDifferentialOperatorCategory| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *1 (|LinearOrdinaryDifferentialOperatorsOps| *5 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|PolynomialIdeals| *3 *4 *5 *6))) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *1 *1 *1) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *3 *4)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|List| *7)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *1) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *4 *5 *6 *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| (|Polynomial| *4)))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|List| (|Mapping| *4 (|List| *4)))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *3 (|Mapping| *4 *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|BasicOperatorFunctions1| *4)))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|List| (|Mapping| *4 (|List| *4)))) (|isDomain| *1 (|BasicOperatorFunctions1| *4)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|)))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Complex| (|DoubleFloat|)))) (|isDomain| *1 (|ComplexDoubleFloatVector|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Vector| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedVariableOrdering|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedVariableOrdering|))))) 
-(((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1 *1 *2 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|PolynomialIdeals| (|Fraction| (|Integer|)) (|DirectProduct| *5 (|NonNegativeInteger|)) (|OrderedVariableList| *4) (|DistributedMultivariatePolynomial| *4 (|Fraction| (|Integer|))))) (|isDomain| *3 (|List| (|OrderedVariableList| *4))) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|NonNegativeInteger|)) (|isDomain| *1 (|IdealDecompositionPackage| *4 *5))))) 
-(((*1 *2 *3 *4 *2 *3 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|Complex| (|DoubleFloat|)))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|BlasLevelOne|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Stream| (|Stream| (|Polynomial| *5)))) (|isDomain| *1 (|WeierstrassPreparation| *5)) (|isDomain| *4 (|Stream| (|Polynomial| *5)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *2 *3 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2))))) ((*1 *2 *3) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2)))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Integer|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|)))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|SmithNormalForm| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MakeUnaryCompiledFunction| *4 *5 *6)) (|ofCategory| *4 (|ConvertibleTo| (|InputForm|))) (|ofCategory| *5 (|Type|)) (|ofCategory| *6 (|Type|))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialExtension| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|DifferentialExtension| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DifferentialRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1) (|ofCategory| *1 (|DifferentialRing|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialVariableCategory| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *2 *1 *3) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|PartialDifferentialRing| *3)) (|isDomain| *1 (|IntegrationResult| *2)) (|isDomain| *3 (|Symbol|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PartialDifferentialRing| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *1 (|PartialDifferentialRing| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| (QUOTE |x|))) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|DisplayPackage|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|)))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3 *3 *4 *4 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |theta| (|DoubleFloat|)) (|:| |phi| (|DoubleFloat|)) (|:| |scale| (|DoubleFloat|)) (|:| |scaleX| (|DoubleFloat|)) (|:| |scaleY| (|DoubleFloat|)) (|:| |scaleZ| (|DoubleFloat|)) (|:| |deltaX| (|DoubleFloat|)) (|:| |deltaY| (|DoubleFloat|)))) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2 *1 *3 *3 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3 *4 *2 *5) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|List| (|Pattern| *6))) (|isDomain| *5 (|Mapping| (|PatternMatchResult| *6 *8) *8 (|Pattern| *6) (|PatternMatchResult| *6 *8))) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *8 (|Join| (|Ring|) (|ConvertibleTo| (|Pattern| *6)) (|RetractableTo| *7))) (|isDomain| *2 (|PatternMatchResult| *6 *8)) (|ofCategory| *7 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|PatternMatchTools| *6 *7 *8))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldSquareFreeDecomposition| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|List| *6))))) 
+(((*1 *1) (|isDomain| *1 (|Character|)))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|))))) 
+(((*1 *1 *1 *1) (|partial| AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|)))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialExtension| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|DifferentialExtension| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DifferentialRing|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1) (|ofCategory| *1 (|DifferentialRing|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialVariableCategory| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Mapping| *4 *4)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *1) (AND (|ofCategory| *2 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *2 *1 *3) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|PartialDifferentialRing| *3)) (|isDomain| *1 (|IntegrationResult| *2)) (|isDomain| *3 (|Symbol|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Mapping| *2 *2)) (|isDomain| *1 (|IntegrationResult| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| *4)) (|isDomain| *3 (|List| (|NonNegativeInteger|))) (|ofCategory| *1 (|PartialDifferentialRing| *4)) (|ofCategory| *4 (|SetCategory|)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *1 (|PartialDifferentialRing| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PartialDifferentialRing| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| (QUOTE |x|))) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| (|List| (|List| *4)))) (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *4)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *4))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *2 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *5 (|RecursivePolynomialCategory| *3 *4 *2))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Partition|)) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|List| (|RewriteRule| *3 *4 *5))) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *1 (|Ruleset| *3 *4 *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|SetAggregate| *2)) (|ofCategory| *2 (|SetCategory|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *2) (AND (|isDomain| *1 (|FourierComponent| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|)))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|List| (|BasicOperator|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|OrthogonalPolynomialFunctions| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|LinearlyExplicitRingOver| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Vector| *4)) (|isDomain| *1 (|LinearDependence| *4 *5))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|SparseEchelonMatrix| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *2) (AND (|isDomain| *1 (|FourierComponent| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|TrigonometricFunctionCategory|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|ofCategory| *8 (|UnivariatePolynomialCategory| (|Fraction| *7))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|AlgebraicIntegrate| *5 *6 *7 *8 *3)) (|ofCategory| *3 (|FunctionFieldCategory| *6 *7 *8))))) 
-(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|PatternMatchable| *5)) (|isDomain| *2 (|PatternMatchListResult| *5 *6 (|List| *6))) (|isDomain| *1 (|PatternMatch| *5 *6 *4)) (|isDomain| *3 (|List| *6)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|List| (|Equation| *3))) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|ofCategory| *3 (|RetractableTo| (|Symbol|))) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *3)))) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|ofCategory| *3 (|Ring|)) (|not| (|ofCategory| *3 (|RetractableTo| (|Symbol|)))) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|PatternMatchResult| *5 *3)) (|isDomain| *1 (|PatternMatch| *5 *3 *4)) (|not| (|ofCategory| *3 (|RetractableTo| (|Symbol|)))) (|not| (|ofCategory| *3 (|Ring|))) (|ofCategory| *3 (|PatternMatchable| *5)) (|ofCategory| *4 (|ConvertibleTo| (|Pattern| *5)))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |stiffness| (|Float|)) (|:| |stability| (|Float|)) (|:| |expense| (|Float|)) (|:| |accuracy| (|Float|)) (|:| |intermediateResults| (|Float|)))) (|isDomain| *1 (|ODEIntensityFunctionsTable|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|List| (|Equation| (|Polynomial| *6)))) (|isDomain| *1 (|InnerNumericFloatSolvePackage| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| *4))))) 
+(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|DictionaryOperations| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|DictionaryOperations| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *3 *1) (|partial| AND (|ofCategory| *1 (|KeyedDictionary| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|Multiset| *4)))) ((*1 *1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|Multiset| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariatePolynomialMultiplicationPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *1 *2 *2 *1) (|partial| AND (|isDomain| *2 (|BasicStochasticDifferential|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *3)) (|ofCategory| *3 (|SetCategory|))))) 
 (((*1 *1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|RewriteRule| *4 *5 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))))) ((*1 *1 *2 *2) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *1 (|RewriteRule| *3 *4 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3))))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *2 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *1 *1) (|partial| |ofCategory| *1 (|StepThrough|)))) 
-(((*1 *2 *3 *2) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) ((*1 *2 *3 *2) (AND (|ofCategory| *1 (|NumericalIntegrationCategory|)) (|isDomain| *2 (|Result|)) (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|))))))) 
-(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Color|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| (|Integer|))))) (|isDomain| *1 (|FreeGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| (|NonNegativeInteger|))))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |factor| *3) (|:| |exponent| (|Integer|))))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Record| (|:| |gen| *3) (|:| |exp| (|NonNegativeInteger|))))) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *7 *8 *9 *2 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|DivisorCategory| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *3 *6 *7 *8 *9 *2 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *4 (|List| *13)) (|isDomain| *5 (|List| *9)) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *13 (|DesingTreeCategory| *12)) (|ofCategory| *6 (|Field|)) (|ofCategory| *12 (|InfinitlyClosePointCategory| *6 *7 *3 *8 *9 *10 *11 *2 *14)) (|ofCategory| *14 (|BlowUpMethodCategory|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *10 (|LocalPowerSeriesCategory| *6)) (|ofCategory| *11 (|PlacesCategory| *6 *10)) (|ofCategory| *2 (|DivisorCategory| *11)) (|isDomain| *1 (|IntersectionDivisorPackage| *6 *7 *3 *8 *9 *10 *11 *2 *12 *13 *14)))) ((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Divisor| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *5 *4)) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Divisor| (|Places| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|HomogeneousDistributedMultivariatePolynomial| *4 *5))) (|isDomain| *3 (|List| (|OrderedVariableList| *4))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|GcdDomain|)) (|isDomain| *1 (|GroebnerSolve| *4 *5 *6)) (|ofCategory| *6 (|GcdDomain|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|XPolynomialsCat| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|Commutator|))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Commutator|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|PositiveInteger|))) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|FiniteLinearAggregate| *5)) (|ofCategory| *7 (|FiniteLinearAggregate| *5)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|MatrixManipulation| *5 *6 *7 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *7)))) ((*1 *2 *1 *3) (AND (|isDomain| *2 (|Record| (|:| |Left| (|SparseEchelonMatrix| *3 *4)) (|:| |Right| (|SparseEchelonMatrix| *3 *4)))) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FloatingPointSystem&| *3)) (|ofCategory| *3 (|FloatingPointSystem|)))) ((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|FloatingPointSystem&| *3)) (|ofCategory| *3 (|FloatingPointSystem|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|has| *1 (ATTRIBUTE |arbitraryPrecision|)) (|ofCategory| *1 (|FloatingPointSystem|)))) ((*1 *2) (AND (|ofCategory| *1 (|FloatingPointSystem|)) (|isDomain| *2 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Stream| (|Integer|)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ElementaryFunction| *4 *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| *4) (|RadicalCategory|)))))) 
-(((*1 *2 *3 *3 *4 *5 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| (|List| *8)) (|:| |tower| *9)))) (|isDomain| *5 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *6 *7 *4)) (|ofCategory| *9 (|RegularTriangularSetCategory| *6 *7 *4 *8)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|Record| (|:| |val| *8) (|:| |tower| *9)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *6 *7 *4 *8 *9))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Stream| (|Stream| *4))) (|isDomain| *2 (|Stream| *4)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SubSpaceComponentProperty|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1) (|ofCategory| *1 (|RadicalCategory|))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealClosedField|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Point| *4))) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
 (((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Asp12| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Asp29| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Asp33| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FortranProgramCategory|)) (|isDomain| *2 (|Void|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|FileName|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|String|)) (|isDomain| *4 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|OutputForm|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|))))) 
-(((*1 *2 *3 *3 *4 *5) (AND (|isDomain| *3 (|List| (|Matrix| *6))) (|isDomain| *4 (|Boolean|)) (|isDomain| *5 (|Integer|)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|RepresentationPackage2| *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *6 (|Ring|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Matrix| *4))) (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|RepresentationPackage2| *4)) (|ofCategory| *4 (|Field|)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|List| (|Matrix| *5))) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|RepresentationPackage2| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|Ring|))))) 
-(((*1 *2 *3 *4 *5 *6 *7 *7 *8) (AND (|isDomain| *3 (|Record| (|:| |det| *12) (|:| |rows| (|List| (|Integer|))) (|:| |cols| (|List| (|Integer|))))) (|isDomain| *4 (|Matrix| *12)) (|isDomain| *5 (|List| (|Fraction| (|Polynomial| *9)))) (|isDomain| *6 (|List| (|List| *12))) (|isDomain| *7 (|NonNegativeInteger|)) (|isDomain| *8 (|Integer|)) (|ofCategory| *9 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *12 (|PolynomialCategory| *9 *11 *10)) (|ofCategory| *10 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *11 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Record| (|:| |eqzro| (|List| *12)) (|:| |neqzro| (|List| *12)) (|:| |wcond| (|List| (|Polynomial| *9))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *9)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *9))))))))) (|isDomain| *1 (|ParametricLinearEquations| *9 *10 *11 *12))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef1| *3) (|:| |coef2| *3) (|:| |resultant| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2) (AND (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1) (|isDomain| *1 (|Pi|))) ((*1 *1) (|ofCategory| *1 (|TranscendentalFunctionCategory|)))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|Boolean|)) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|EuclideanDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|EuclideanGroebnerBasisPackage| *4 *5 *6 *2))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
 (((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranOutputStackPackage|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|has| *6 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *3) (AND (|has| *9 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|ofCategory| *7 (|QuotientFieldCategory| *4)) (|ofCategory| *8 (|FiniteLinearAggregate| *7)) (|ofCategory| *9 (|FiniteLinearAggregate| *7)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerMatrixQuotientFieldFunctions| *4 *5 *6 *3 *7 *8 *9 *10)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)) (|ofCategory| *10 (|MatrixCategory| *7 *8 *9)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *5)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|List| *7))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Finite|)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|FiniteDivisorCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|ofCategory| *2 (|FunctionFieldCategory| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|FreeNilpotentLie| *3 *4 *5)) (|ofType| *3 *2) (|ofType| *4 *2) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *1 (|MonogenicAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|ElementaryFunctionCategory|))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|Ring|) (|Module| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|XExponentialPackage| *4 *5 *2)) (|ofCategory| *2 (|XPolynomialsCat| *5 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *4 (|Module| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1) (|ofCategory| *1 (|RadicalCategory|))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|ofCategory| *1 (|RealClosedField|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealClosedField|)))) 
+(((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|RandomNumberSource|))))) 
 (((*1 *1 *2 *2 *2) (AND (|isDomain| *2 (|String|)) (|ofCategory| *1 (|FileNameCategory|))))) 
-(((*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|))))) ((*1 *1 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|MoebiusTransform| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1 *3 *4 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4))))) 
-(((*1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DivisionRing|)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Group|)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|SemiGroup|)) (|isDomain| *2 (|PositiveInteger|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|))))) 
+(((*1 *2) (AND (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1) (|isDomain| *1 (|Pi|))) ((*1 *1) (|ofCategory| *1 (|TranscendentalFunctionCategory|)))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3))))) 
+(((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|ofCategory| *2 (|Ring|)) (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *2 (|Record| (|:| |k| (|Integer|)) (|:| |c| *4))) (|isDomain| *1 (|NeitherSparseOrDensePowerSeries| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *3 (|Integer|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|FileName|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranOutputStackPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranOutputStackPackage|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Record| (|:| |high| (|List| (|Symbol|))) (|:| |low| (|List| (|Symbol|))))) (|isDomain| *1 (|UserDefinedVariableOrdering|))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *5 *3)) (|ofCategory| *4 (|Type|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *4))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariateLaurentSeries| *3 *4 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|UnivariateLaurentSeriesCategory| *3)) (|isDomain| *1 (|ElementaryFunctionsUnivariatePuiseuxSeries| *3 *4 *2 *5)) (|ofCategory| *2 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *4)) (|ofCategory| *5 (|PartialTranscendentalFunctions| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|ElementaryFunctionCategory|))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctionsNonCommutative| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|StreamTranscendentalFunctions| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Join| (|Ring|) (|Module| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|XExponentialPackage| *4 *5 *2)) (|ofCategory| *2 (|XPolynomialsCat| *5 *4)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *4 (|Module| (|Fraction| (|Integer|)))) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|FortranType|))))) (|isDomain| *1 (|SymbolTable|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MonadWithUnit|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|Monoid|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LinearSystemMatrixPackage1| *5)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |shallowlyMutable|)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LinearSystemMatrixPackage| *5 *6 *4 *3)) (|ofCategory| *3 (|MatrixCategory| *5 *6 *4))))) 
+(((*1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|DivisionRing|)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Group|)) (|isDomain| *2 (|Integer|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|Monoid|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|SemiGroup|)) (|isDomain| *2 (|PositiveInteger|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|List| (|Matrix| (|Integer|)))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
 (((*1 *1 *1 *1) (AND (|isDomain| *1 (|IndexedBits| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
 (((*1 *1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|VectorCategory| *3)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofCategory| *3 (|Type|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| (|FortranType|))))) (|isDomain| *1 (|SymbolTable|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *6 *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *4 *5)) (|isDomain| *1 (|MappingPackage3| *4 *5 *6)) (|ofCategory| *5 (|SetCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|Join| (|Ring|) (|PatternMatchable| *3) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *3)))) (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|RewriteRule| *3 *4 *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|PatternMatchable| *3) (|ConvertibleTo| (|Pattern| *3))))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|CombinatorialOpsCategory|)) (|isDomain| *2 (|Symbol|)))) ((*1 *1 *1) (|ofCategory| *1 (|CombinatorialOpsCategory|)))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (|isDomain| *1 (|IntegrationFunctionsTable|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Record| (|:| |val| (|List| *7)) (|:| |tower| *8))) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|Record| (|:| |val| (|List| *7)) (|:| |tower| *8))) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|CharacteristicZero|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|RecursiveAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|Void|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|))))) 
+(((*1 *1) (|isDomain| *1 (|Character|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Record| (|:| |center| *5) (|:| |equation| *5)))) (|isDomain| *1 (|PrimitiveRatDE| *4 *5 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |center| *4) (|:| |equation| *4)))) (|isDomain| *1 (|PrimitiveRatDE| *5 *4 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|List| (|Record| (|:| |center| *5) (|:| |equation| *5)))) (|isDomain| *1 (|PrimitiveRatDE| *4 *5 *6 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *5))))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Record| (|:| |center| *4) (|:| |equation| *4)))) (|isDomain| *1 (|PrimitiveRatDE| *5 *4 *6 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *4)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *2 (|List| (|Segment| (|DoubleFloat|)))) (|isDomain| *1 (|PlotTools|))))) 
+(((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|PrimitiveArray| (|ModMonic| *3 *4))) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *3 *4 *5) (AND (|isDomain| *2 (|U32Vector|)) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *5 (|Integer|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *3 *4 *5) (AND (|ofCategory| *6 (|UnivariatePolynomialCategory| *9)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *9 (|EuclideanDomain|)) (|ofCategory| *10 (|PolynomialCategory| *9 *7 *8)) (|isDomain| *2 (|Record| (|:| |deter| (|List| (|SparseUnivariatePolynomial| *10))) (|:| |dterm| (|List| (|List| (|Record| (|:| |expt| (|NonNegativeInteger|)) (|:| |pcoef| *10))))) (|:| |nfacts| (|List| *6)) (|:| |nlead| (|List| *10)))) (|isDomain| *1 (|NPCoef| *6 *7 *8 *9 *10)) (|isDomain| *3 (|SparseUnivariatePolynomial| *10)) (|isDomain| *4 (|List| *6)) (|isDomain| *5 (|List| *10))))) 
 (((*1 *1 *1) (AND (|isDomain| *1 (|IndexedBits| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|AffineSpaceCategory| *4)) (|ofCategory| *4 (|Field|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *1)) (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *4 (|Field|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *1 *1) (|partial| AND (|isDomain| *1 (|Cell| *2)) (|ofCategory| *2 (|RealClosedField|))))) 
 (((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Segment| *3)) (|ofCategory| *3 (|PolynomialCategory| *7 *6 *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| (|Integer|)))) (|isDomain| *1 (|InnerPolySum| *6 *4 *7 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |num| *3) (|:| |den| (|Integer|)))) (|isDomain| *1 (|InnerPolySum| *5 *4 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4)))) ((*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceSum| *4 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|CombinatorialOpsCategory|) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|CombinatorialOpsCategory|) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceSum| *4 *2)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Polynomial| *5))) (|isDomain| *1 (|RationalFunctionSum| *5)) (|isDomain| *3 (|Polynomial| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Union| (|Fraction| (|Polynomial| *5)) (|Expression| *5))) (|isDomain| *1 (|RationalFunctionSum| *5)) (|isDomain| *3 (|Fraction| (|Polynomial| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Polynomial| *5))) (|isDomain| *3 (|Polynomial| *5)) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Fraction| *3)) (|isDomain| *1 (|RationalFunctionSum| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|SegmentBinding| (|Fraction| (|Polynomial| *5)))) (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Union| *3 (|Expression| *5))) (|isDomain| *1 (|RationalFunctionSum| *5))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|PolynomialComposition| *2 *3)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| *2)) (|isDomain| *4 (|Mapping| *2 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|MonomialExtensionTools| *5 *2)) (|ofCategory| *5 (|Field|))))) 
-(((*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *4 (|Union| "nil" "sqfr" "irred" "prime")) (|isDomain| *1 (|Factored| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|e04AgentsPackage|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Matrix| (|Expression| (|Integer|))))) (|isDomain| *1 (|RadicalEigenPackage|))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Mapping| (|Union| *5 "failed") *8)) (|isDomain| *4 (|Matrix| (|SparseUnivariatePolynomial| *8))) (|ofCategory| *5 (|Ring|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|Matrix| *6)) (|isDomain| *1 (|IntegralBasisPolynomialTools| *5 *6 *7 *8)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| (|Matrix| *3))) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AlgebraicFunctionField| *4 *5 *6 *7)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|ofType| *7 *6)))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|LaurentPolynomial| *4 *5)) (|isDomain| *3 (|Mapping| (|Record| (|:| |ans| *4) (|:| |right| *4) (|:| |sol?| (|Boolean|))) (|Integer|) *4)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|TranscendentalIntegration| *4 *5))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *3 (|PartialDifferentialRing| *5)) (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *5 *3 *6 *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *5) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathPackage|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|AffineSpaceCategory| *3))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|RetractableTo| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|RationalFunctionIntegration| *4))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|NumberFormats|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|MultivariateSquareFree| *5 *4 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *6 *5 *4))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|e04AgentsPackage|))))) 
-(((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|Float|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|Complex| (|Float|))))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|Integer|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|Complex| (|Float|))))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|Integer|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|Float|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|MachineComplex|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|MachineFloat|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|Expression| (|MachineInteger|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|MachineComplex|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|MachineFloat|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|Expression| (|MachineInteger|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Vector| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Matrix| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|NewtonInterpolation| *4))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|)))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *2 *2 *3 *4) (AND (|isDomain| *2 (|Matrix| *5)) (|isDomain| *3 (|Automorphism| *5)) (|isDomain| *4 (|Mapping| *5 *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *1 (|PseudoLinearNormalForm| *5))))) 
-(((*1 *2 *1) (AND (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)) (|isDomain| *1 (|QuasiAlgebraicSet| *3 *4 *5 *2)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|NumericalOptimizationProblem|)) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Expression| (|Float|)))) (|isDomain| *4 (|List| (|Float|))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|AnnaNumericalOptimizationPackage|))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|PointCategory| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|Point| (|DoubleFloat|))) (|isDomain| *1 (|TubePlotTools|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerBits|))))) 
-(((*1 *2 *2) (|partial| AND (|isDomain| *1 (|IntegerRoots| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
-(((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|List| *7)) (|isDomain| *3 (|Integer|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *7))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TheSymbolTable|))))) 
-(((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|GcdDomain|)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|ofCategory| *6 (|PolynomialCategory| *5 *3 *4)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|GeneralPolynomialGcdPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|PolynomialFactorizationExplicit|))))) 
-(((*1 *2 *3 *4 *3 *5) (AND (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *9 (|LocalPowerSeriesCategory| *6)) (|isDomain| *2 (|Record| (|:| |fnc| *3) (|:| |crv| *3) (|:| |chart| (|List| (|Integer|))))) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *6 *7 *3 *8 *4 *9 *10)) (|isDomain| *5 (|Integer|)) (|ofCategory| *3 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *4 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *10 (|PlacesCategory| *6 *9))))) 
-(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|IntegralBasisTools| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|))))) 
-(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *2 *3 *4)) (|ofCategory| *2 (|Type|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)))) ((*1 *1 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|IndexedAggregate| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|LaurentPolynomial| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *1 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoid|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *1 *2 *2 *2) (AND (|isDomain| *1 (|ParametricSurface| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNumericEigenPackage| *4 *5 *6)) (|ofCategory| *5 (|Field|)) (|ofCategory| *6 (|Join| (|Field|) (|OrderedRing|)))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Fraction| (|Integer|))))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Segment| (|Float|)))) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *3 (|Boolean|)) (|isDomain| *1 (|SubSpace| *4 *5)) (|ofType| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|))))) 
+(((*1 *1 *2) (AND (|isDomain| *1 (|DenavitHartenbergMatrix| *2)) (|ofCategory| *2 (|Join| (|Field|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3 *4 *3) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |ratpart| *3) (|:| |coeff| *3))) (|isDomain| *1 (|ElementaryIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|UniversalSegment| *3)) (|ofCategory| *3 (|Type|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|IntegerBits|))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OutputForm|))))) 
+(((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|d01WeightsPackage|))))) 
+(((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|List| (|Fraction| *7))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *3 (|Fraction| *7)) (|ofCategory| *6 (|Field|)) (|isDomain| *2 (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|FreeModuleCat| *3 *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|MonoidRing| *3 *4))) (|isDomain| *1 (|MonoidRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| *6 (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PackageForPoly| *4 *3 *5 *6)) (|ofCategory| *3 (|FiniteAbelianMonoidRing| *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|PolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|ofCategory| *4 (|FiniteFieldCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *6 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|SuchThat| (|List| (|Polynomial| *4)) (|List| (|Equation| (|Polynomial| *4))))) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *7))))) 
+(((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Record| (|:| |left| *3) (|:| |right| *3))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|Polynomial| *4))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|ReductionOfOrder| *3 *2)) (|ofCategory| *2 (|LinearOrdinaryDifferentialOperatorCategory| *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Record| (|:| |eq| *3) (|:| |op| (|List| *5)))) (|isDomain| *1 (|ReductionOfOrder| *5 *3)) (|isDomain| *4 (|List| *5)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|SymmetricPolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|CycleIndicators|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|DeRhamComplex| *2 *3)) (|ofCategory| *2 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *3 (|List| (|Symbol|)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *7))) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *4 *5 *6 *7)) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *5))) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5)) (|isDomain| *3 (|SparseUnivariatePolynomial| *5))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))))) ((*1 *1 *1 *1) (|ofCategory| *1 (|OrderedAbelianMonoidSup|)))) 
+(((*1 *2) (AND (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| (|PrimeField| *3)) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldNormalBasis| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldNormalBasisExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|Union| (|SparseUnivariatePolynomial| *3) *2)))) ((*1 *2) (AND (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldNormalBasisExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *7))) (|isDomain| *3 (|SparseUnivariatePolynomial| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialFactorizationByRecursion| *4 *5 *6 *7)))) ((*1 *2 *2 *3) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *5))) (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|PolynomialFactorizationExplicit|)) (|isDomain| *1 (|PolynomialFactorizationByRecursionUnivariate| *4 *5))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *5 (|Kernel| *4)) (|isDomain| *6 (|Symbol|)) (|ofCategory| *4 (|Join| (|FunctionSpace| *7) (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|))) (|ofCategory| *7 (|Join| (|GcdDomain|) (|RetractableTo| (|Integer|)) (|OrderedSet|) (|CharacteristicZero|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|PureAlgebraicIntegration| *7 *4 *3)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *4)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|AlgebraPackage| *3 *4)) (|ofCategory| *4 (|FramedNonAssociativeAlgebra| *3))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *1 (|Cell| *3)) (|ofCategory| *3 (|RealClosedField|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OrderedRing|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Equation| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |varOrder| (|List| (|Symbol|))) (|:| |inhom| (|Union| (|List| (|Vector| (|NonNegativeInteger|))) "failed")) (|:| |hom| (|List| (|Vector| (|NonNegativeInteger|)))))) (|isDomain| *1 (|DiophantineSolutionPackage|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|SmithNormalForm| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *3 *4) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|ModularAlgebraicGcdOperations| *5 *4)) (|ofCategory| *5 (|Type|)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 |SortedExponentVector|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|OutputForm|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SpecialOutputPackage|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Field|)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *2 *4 *5 *3)) (|ofCategory| *3 (|MatrixCategory| *2 *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *2 *4 *5 *3)) (|ofCategory| *3 (|MatrixCategory| *2 *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|PrimitiveArray| (|ModMonic| *3 *4))) (|isDomain| *1 (|ModMonic| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
 (((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|StringCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Symbol|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |preimage| (|List| *3)) (|:| |image| (|List| *3)))) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6)))) ((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|List| *7) (|List| *7))) (|isDomain| *2 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7))))) 
-(((*1 *2 *2) (AND (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|ModuleOperator| *2 *3)) (|ofCategory| *3 (|LeftModule| *2)))) ((*1 *2 *2) (AND (|isDomain| *1 (|Operator| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ODEIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|))))) ((*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3 *4 *5 *6) (|partial| AND (|isDomain| *4 (|Mapping| *8 *8)) (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |ratpart| *7) (|:| |coeff| *7)) "failed") *7)) (|isDomain| *6 (|List| (|Fraction| *8))) (|ofCategory| *7 (|Field|)) (|ofCategory| *8 (|UnivariatePolynomialCategory| *7)) (|isDomain| *3 (|Fraction| *8)) (|isDomain| *2 (|Record| (|:| |answer| (|Record| (|:| |mainpart| *3) (|:| |limitedlogs| (|List| (|Record| (|:| |coeff| *3) (|:| |logand| *3)))))) (|:| |a0| *7))) (|isDomain| *1 (|TranscendentalIntegration| *7 *8))))) 
-(((*1 *1) (|isDomain| *1 (|ThreeDimensionalViewport|)))) 
+(((*1 *1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Stream| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|CharacterClass|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Character|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |resultant| *3) (|:| |coef1| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *8))))) 
+(((*1 *1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *1 *1) (AND (|isDomain| *1 (|FortranExpression| *2 *3 *4)) (|ofType| *2 (|List| (|Symbol|))) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|FortranMachineTypeCategory|)))) ((*1 *1 *1) (|isDomain| *1 (|Float|))) ((*1 *1) (|isDomain| *1 (|Float|)))) 
 (((*1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerRetractions| *3)) (|ofCategory| *3 (|RetractableTo| *2)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *2 *5 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Set| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| *4)) (|isDomain| *1 (|RandomDistributions| *4)))) ((*1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Float|))) (|isDomain| *1 (|RandomFloatDistributions|)) (|isDomain| *3 (|Float|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Segment| (|Integer|))) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|PolynomialIdeals| *4 *5 *6 *2)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)))) ((*1 *1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|Point| (|DoubleFloat|)))) (|isDomain| *1 (|DrawOption|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|HomogeneousDistributedMultivariatePolynomial| *5 *6))) (|isDomain| *3 (|HomogeneousDistributedMultivariatePolynomial| *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|Vector| *6)) (|isDomain| *1 (|LinGroebnerPackage| *5 *6))))) 
 (((*1 *2 *2) (AND (|isDomain| *1 (|MappingPackage1| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|MachineFloat|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |lcmfij| *5) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *2) (|:| |polj| *2))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|PolynomialCategory| *4 *5 *6)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *2)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *6 (|OrderedSet|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Complex| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GroebnerInternalPackage| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *5 *6))))) 
+(((*1 *2 *1 *3 *3 *3) (AND (|isDomain| *3 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
 (((*1 *1 *2 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *1 (|FloatingPointSystem|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|FloatingPointSystem|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *2 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *4 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |lcmfij| *4) (|:| |totdeg| (|NonNegativeInteger|)) (|:| |poli| *6) (|:| |polj| *6)))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GroebnerInternalPackage| *3 *4 *5 *6))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DrawComplex|))))) 
-(((*1 *2 *3) (AND (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *6 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|BezoutMatrix| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|MatrixCategory| *2 *5 *6))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|DoubleFloat|))) (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *2 (|Matrix| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot|))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OpenMathDevice|))))) 
-(((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|isDomain| *4 (|Fraction| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|RationalLODE| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |basis| (|List| (|Fraction| *6))) (|:| |mat| (|Matrix| *5)))) (|isDomain| *1 (|RationalLODE| *5 *6)) (|isDomain| *4 (|List| (|Fraction| *6))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|isDomain| *4 (|Fraction| *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |particular| (|Union| *4 "failed")) (|:| |basis| (|List| *4)))) (|isDomain| *1 (|RationalLODE| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|Record| (|:| |basis| (|List| (|Fraction| *6))) (|:| |mat| (|Matrix| *5)))) (|isDomain| *1 (|RationalLODE| *5 *6)) (|isDomain| *4 (|List| (|Fraction| *6)))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RoutinesTable|))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|List| *8)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|CharacteristicZero|)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Vector| (|List| (|Record| (|:| |value| *4) (|:| |index| (|SingleInteger|)))))) (|isDomain| *1 (|FiniteFieldFunctions| *4))))) 
-(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|Integer|)) (|ofCategory| *6 (|LocalPowerSeriesCategory| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|LinearSystemFromPowerSeriesPackage| *5 *6))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AffineSpaceCategory| *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|AffineSpaceCategory| *3)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|PermutationCategory| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Set| *3)))) ((*1 *2 *1 *3) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Set| (|List| *4))) (|isDomain| *1 (|PermutationGroup| *4)) (|isDomain| *3 (|List| *4)))) ((*1 *2 *1 *3) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Set| (|Set| *4))) (|isDomain| *1 (|PermutationGroup| *4)) (|isDomain| *3 (|Set| *4)))) ((*1 *2 *1 *3) (AND (|isDomain| *2 (|Set| *3)) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *1) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderingFunctions| *4 *5)) (|ofType| *4 (|NonNegativeInteger|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|SubSpaceComponentProperty|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Ring|))))) 
-(((*1 *2 *1 *1 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *5 *5)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *4 *5)) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Record| (|:| |k| (|OrderedFreeMonoid| *3)) (|:| |c| *4)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PAdicWildFunctionFieldIntegralBasis| *4 *2 *3 *5)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *5 (|MonogenicAlgebra| *2 *3))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|GaloisGroupUtilities| *3)) (|ofCategory| *3 (|FloatingPointSystem|)) (|ofCategory| *3 (|Ring|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Complex| *5)) (|ofCategory| *5 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|ofCategory| *2 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *5 *2))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|DoubleFloat|))) (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *1 *2 *2 *2 *2) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|PrimitiveArray| *3)) (|isDomain| *1 (|SubResultantPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|)))) ((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|OpenMathDevice|)) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|OpenMathPackage|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatchListResult| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *5 (|ListAggregate| *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|PatternMatchResult| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot|))))) 
+(((*1 *2 *3 *1 *4 *4 *4 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *3))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *1 (|RegularTriangularSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *1 *2 *1) (AND (|ofCategory| *1 (|RegularTriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5)))) ((*1 *2 *3 *1 *4 *4 *4 *4 *4) (AND (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *3))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *3)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7))))) 
+(((*1 *1) (|isDomain| *1 (|TheSymbolTable|)))) 
+(((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Polynomial| (|Integer|))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|SegmentBinding| (|Polynomial| (|Integer|)))) (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranCodePackage1|)))) ((*1 *1 *2 *2 *2) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Character|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|))))) 
+(((*1 *2 *1 *3) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|BasicStochasticDifferential|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|LinesOpPack| *3))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |gcd| (|NewSparseUnivariatePolynomial| *3)) (|:| |coef2| (|NewSparseUnivariatePolynomial| *3)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |gcd| *1) (|:| |coef2| *1))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *1) (|isDomain| *1 (|FortranType|)))) 
+(((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|)))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|List| (|Record| (|:| |val| *3) (|:| |tower| *4)))) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *5 *6 *7 *3))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|RetractableTo| (|Integer|))) (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|isDomain| *1 (|FortranCode|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|GaussianFactorizationPackage|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatDE| *4 *2 *3 *5)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2))))) ((*1 *2 *3 *4) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|PrimitiveRatDE| *4 *2 *5 *3)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
+(((*1 *2 *3 *2 *4) (|partial| AND (|isDomain| *4 (|Mapping| (|Union| (|Integer|) "failed") *5)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerPolySign| *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *3 *4 *2 *5) (|partial| AND (|isDomain| *5 (|Mapping| (|Union| (|Integer|) "failed") *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerPolySign| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4 *5) (|partial| AND (|isDomain| *5 (|Mapping| (|Union| (|Integer|) "failed") *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|InnerPolySign| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Mapping| *5 *5 *5)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *2 (|Mapping| (|Stream| *4) (|Stream| *4) (|Stream| *4))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *4 *5))))) 
+(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
+(((*1 *2 *2) (|partial| AND (|isDomain| *2 (|SparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *3))))) 
+(((*1 *2) (AND (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Segment| *3)) (|isDomain| *1 (|SegmentBinding| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *2) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|UniversalSegment| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Palette|)) (|isDomain| *1 (|ViewDefaultsPackage|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *2 *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
-(((*1 *1 *2 *3 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot3D|)))) ((*1 *1 *2 *3 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Mapping| (|Point| (|DoubleFloat|)) (|DoubleFloat|))) (|isDomain| *3 (|Segment| (|DoubleFloat|))) (|isDomain| *1 (|Plot|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Set| (|Set| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|List| *4)))) (|isDomain| *2 (|List| (|List| *4))) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|TableauxBumpers| *4))))) 
-(((*1 *2 *1 *2) (AND (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *3) (AND (|ofCategory| *2 (|Field|)) (|ofCategory| *2 (|OrderedRing|)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *5 (|PatternMatchable| (|Integer|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |special| *3) (|:| |integrand| *3))) (|isDomain| *1 (|PatternMatchIntegration| *5 *3)) (|ofCategory| *3 (|LiouvillianFunctionCategory|)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *2 *3 *4 *4) (|partial| AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|OrderedCompletion| *2)) (|ofCategory| *2 (|SpecialFunctionCategory|)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|ConvertibleTo| (|Pattern| (|Integer|)))) (|ofCategory| *5 (|PatternMatchable| (|Integer|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|GcdDomain|) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|PatternMatchIntegration| *5 *2))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Fraction| (|Polynomial| *4))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Matrix| (|Fraction| (|Polynomial| *4)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Fraction| (|Polynomial| *4)))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *3)))) ((*1 *2 *3 *3 *4) (AND (|isDomain| *4 (|Automorphism| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|UnivariateSkewPolynomialCategoryOps| *5 *3)) (|ofCategory| *3 (|UnivariateSkewPolynomialCategory| *5))))) 
+(((*1 *1 *2 *3 *4) (AND (|isDomain| *3 (|Boolean|)) (|isDomain| *4 (|Symbol|)) (|ofCategory| *2 (|RealClosedField|)) (|isDomain| *1 (|SimpleCell| *2 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| (|Record| (|:| C (|Matrix| *5)) (|:| |g| (|Vector| *5))))) (|isDomain| *1 (|PseudoLinearNormalForm| *5)) (|isDomain| *3 (|Matrix| *5)) (|isDomain| *4 (|Vector| *5))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RealClosure| *3)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|) (|RealConstant|))))) ((*1 *2 *3 *1 *2) (AND (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|isDomain| *1 (|RightOpenIntervalRootCharacterization| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *3 *1 *2) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *2 *3)) (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorization| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|FiniteFieldFactorizationWithSizeParseBySideEffect| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Point| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|SubSpace| *3 *4)) (|ofType| *3 (|PositiveInteger|))))) 
+(((*1 *2 *3 *1) (AND (|ofCategory| *1 (|KeyedDictionary| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *3 *4 *5 *6))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
 (((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *4 *3 *5)) (|ofCategory| *4 (|Type|)) (|ofCategory| *3 (|FiniteLinearAggregate| *4)) (|ofCategory| *5 (|FiniteLinearAggregate| *4))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|InnerMatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *4 *5 *6 *3)) (|ofCategory| *3 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
+(((*1 *2 *3 *4 *5 *6 *2 *7 *8) (|partial| AND (|isDomain| *2 (|List| (|SparseUnivariatePolynomial| *11))) (|isDomain| *3 (|SparseUnivariatePolynomial| *11)) (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|List| *8)) (|isDomain| *6 (|List| (|NonNegativeInteger|))) (|isDomain| *7 (|Vector| (|List| (|SparseUnivariatePolynomial| *8)))) (|ofCategory| *10 (|OrderedSet|)) (|ofCategory| *8 (|EuclideanDomain|)) (|ofCategory| *11 (|PolynomialCategory| *8 *9 *10)) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|MultivariateLifting| *9 *10 *8 *11))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|Collection| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |center| *4) (|:| |num| *4)))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|Join| (|Field|) (|CharacteristicZero|))) (|isDomain| *1 (|FullPartialFractionExpansion| *3 *4)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *3 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *4 (|Boolean|)) (|isDomain| *1 (|FortranType|)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Boolean|)) (|isDomain| *1 (|FortranType|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|InfiniteTuple| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|LieAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LiePolynomial| *3 *4)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LiePolynomial| *3 *4)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|LiePolynomial| *3 *4)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|List| *3)))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|ModuleMonomial| *2 *3 *4)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|SetCategory|)) (|ofType| *4 (|Mapping| (|Boolean|) (|Record| (|:| |index| *2) (|:| |exponent| *3)) (|Record| (|:| |index| *2) (|:| |exponent| *3)))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |key| (|Symbol|)) (|:| |entry| *4)))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternMatchResult| *3 *4)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *5)) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|List| (|SplittingNode| *3 *5))) (|isDomain| *1 (|SplittingNode| *3 *5)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |val| *4) (|:| |tower| *5)))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *5 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *2 (|List| (|SplittingNode| *4 *5))) (|isDomain| *1 (|SplittingNode| *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |val| *3) (|:| |tower| *4))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingNode| *3 *4)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *4 (|Boolean|)) (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1 *2 *3 *2 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|SplittingNode| *2 *3))) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *2 *3)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|SplittingTree| *2 *3))) (|isDomain| *1 (|SplittingTree| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|SplittingNode| *3 *4)) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *4 (|Join| (|SetCategory|) (|Aggregate|))) (|isDomain| *1 (|SplittingTree| *3 *4)))) ((*1 *1 *2 *3) (AND (|isDomain| *1 (|SuchThat| *2 *3)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|XPolynomialRing| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedMonoid|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|LexTriangularPackage| *5 *6))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceToExponentialExpansion| *3 *2 *4 *5)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *4 (|Symbol|)) (|ofType| *5 *2))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3) (CATEGORY |domain| (SIGNATURE |coerce| ($ *4))))) (|ofCategory| *4 (|OrderedRing|)) (|ofCategory| *5 (|Join| (|UnivariatePowerSeriesCategory| *2 *4) (|Field|) (|TranscendentalFunctionCategory|) (CATEGORY |domain| (SIGNATURE |differentiate| ($ $)) (SIGNATURE |integrate| ($ $))))) (|isDomain| *1 (|FunctionSpaceToUnivariatePowerSeries| *3 *2 *4 *5 *6 *7)) (|ofCategory| *6 (|PartialTranscendentalFunctions| *5)) (|ofType| *7 (|Symbol|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Integer|)) (|isDomain| *1 (|GaloisGroupUtilities| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|UniqueFactorizationDomain|)) (|ofCategory| *1 (|FunctionFieldCategory| *4 *3 *5)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *3)))))) 
-(((*1 *2 *3 *3) (AND (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *6 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|BezoutMatrix| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *4 (|MatrixCategory| *2 *5 *6))))) 
-(((*1 *2) (AND (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|BalancedPAdicRational| *3)) (|ofType| *3 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|BalancedPAdicRational| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PAdicRational| *3)) (|ofType| *3 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|PAdicRational| *2)) (|ofType| *2 (|Integer|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofType| *3 *2) (|isDomain| *1 (|PAdicRationalConstructor| *3 *4)) (|ofCategory| *4 (|PAdicIntegerCategory| *3)))) ((*1 *1 *1) (AND (|ofType| *2 (|Integer|)) (|isDomain| *1 (|PAdicRationalConstructor| *2 *3)) (|ofCategory| *3 (|PAdicIntegerCategory| *2)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|UnivariateTaylorSeriesCategory| *2))))) 
-(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Mapping| (|List| *4) *4)) (|isDomain| *1 (|Bezier| *4)) (|isDomain| *3 (|List| *4))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Complex| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *1 *1) (|ofCategory| *1 (|SpecialFunctionCategory|)))) 
-(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|Polynomial| *4))))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *4)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Fraction| (|Polynomial| *4)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|FileName|)) (|isDomain| *1 (|Library|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)) (|isDomain| *2 (|List| *4))))) 
-(((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3 *3) (AND (|isDomain| *3 (|String|)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Matrix| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Matrix| (|Expression| (|Integer|))))) (|isDomain| *1 (|RadicalEigenPackage|)) (|isDomain| *3 (|Expression| (|Integer|)))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| (|Vector| (|Integer|)))) (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *1 (|GrayCode|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *1) (|ofCategory| *1 (|AbelianMonoid|))) ((*1 *1) (|ofCategory| *1 (|Aggregate|))) ((*1 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|CartesianTensor| *2 *3 *4)) (|ofType| *2 (|Integer|)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1) (|ofCategory| *1 (|Monoid|))) ((*1 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1) (|isDomain| *1 (|Symbol|)))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|ThreeSpaceCategory| *3)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Point| *3))) (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *2 *3) (AND (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|PartialDifferentialRing| *4)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *4 *2 *5 *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *3 (|Join| (|FiniteLinearAggregate| *4) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *5 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *2 *4 *5 *3)) (|ofCategory| *3 (|MatrixCategory| *2 *4 *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|has| *2 (ATTRIBUTE (|commutative| "*"))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|))))) 
+(((*1 *1 *2 *2) (|partial| AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicStochasticDifferential|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *2 (|Mapping| (|Point| *3) (|Point| *3))) (|isDomain| *1 (|CoordinateSystems| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|)))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |resultantReduit| *4))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *3 *2 *4) (AND (|isDomain| *3 (|Matrix| *2)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *2 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *2)) (|isDomain| *1 (|IntegralBasisTools| *2 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *2 *5))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|Union| (|:| |Null| "null") (|:| |Assignment| "assignment") (|:| |Conditional| "conditional") (|:| |Return| "return") (|:| |Block| "block") (|:| |Comment| "comment") (|:| |Call| "call") (|:| |For| "for") (|:| |While| "while") (|:| |Repeat| "repeat") (|:| |Goto| "goto") (|:| |Continue| "continue") (|:| |ArrayAssignment| "arrayAssignment") (|:| |Save| "save") (|:| |Stop| "stop") (|:| |Common| "common") (|:| |Print| "print"))) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|QuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|SquareFreeQuasiComponentPackage| *4 *5 *6 *7 *3)) (|ofCategory| *3 (|RegularTriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *2 *2 *3) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StorageEfficientMatrixOperations| *3))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Polynomial| (|Integer|)))) (|isDomain| *1 (|FortranType|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Matrix| (|DoubleFloat|))) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|NAGLinkSupportPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Matrix| (|Integer|))) (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|NAGLinkSupportPackage|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *3 (|GcdDomain|)) (|isDomain| *1 (|CylindricalAlgebraicDecompositionUtilities| *3 *4))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|FileName|)) (|isDomain| *1 (|Library|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|FortranTemplate|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *2 *3 *4 *5 *6 *7 *8 *9 *10)) (|ofCategory| *4 (|PolynomialCategory| *2 *5 (|OrderedVariableList| *3))) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))) (|ofCategory| *6 (|ProjectiveSpaceCategory| *2)) (|ofCategory| *7 (|LocalPowerSeriesCategory| *2)) (|ofCategory| *8 (|PlacesCategory| *2 *7)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *2 *3 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DrawOption|)))) ((*1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GraphicsDefaults|))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfAlgExtOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|ofCategory| *4 (|PseudoAlgebraicClosureOfRationalNumberCategory|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FactorisationOverPseudoAlgebraicClosureOfRationalNumber| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *2 (|Record| (|:| |%term| (|Record| (|:| |%coef| (|UnivariatePuiseuxSeries| *4 *5 *6)) (|:| |%expon| (|ExponentialOfUnivariatePuiseuxSeries| *4 *5 *6)) (|:| |%expTerms| (|List| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| *4)))))) (|:| |%type| (|String|)))) (|isDomain| *1 (|UnivariatePuiseuxSeriesWithExponentialSingularity| *3 *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4)))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GuessOption|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|ConvertibleTo| (|Pattern| *3))) (|ofCategory| *3 (|PatternMatchable| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|ConvertibleTo| (|Pattern| *3))) (|ofCategory| *2 (|PatternMatchable| *3)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| *1 (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *1 (|HomogeneousAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3)))) ((*1 *1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|has| $ (ATTRIBUTE |shallowlyMutable|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3))))) 
-(((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|Matrix| (|Integer|))) (|isDomain| *1 (|SymmetricGroupCombinatoricFunctions|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *3) (|partial| AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|PolynomialCategory| *5 *4 *2)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|PolynomialCategoryQuotientFunctions| *4 *2 *5 *6 *3)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |coerce| ($ *6)) (SIGNATURE |numer| (*6 $)) (SIGNATURE |denom| (*6 $))))))) ((*1 *2 *3) (|partial| AND (|isDomain| *3 (|Fraction| (|Polynomial| *4))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RationalFunction| *4))))) 
+(((*1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *3 (|Integer|)) (|ofCategory| *1 (|PAdicIntegerCategory| *4))))) 
+(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|ExtensibleLinearAggregate| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2 *1 *1) (AND (|isDomain| *2 (|Mapping| (|Boolean|) *3 *3)) (|ofCategory| *1 (|ExtensibleLinearAggregate| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|PriorityQueueAggregate| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
 (((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DisplayPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|String|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|DisplayPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|List| (|Point| *3)))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|SplittingNode| *2 *3)) (|ofCategory| *2 (|Join| (|SetCategory|) (|Aggregate|))) (|ofCategory| *3 (|Join| (|SetCategory|) (|Aggregate|)))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Plot3D|))))) 
-(((*1 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1) (|partial| |ofCategory| *1 (|MonadWithUnit|)))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) *2)) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *5)) (|ofCategory| *5 (|Field|)) (|isDomain| *2 (|List| *6)) (|isDomain| *1 (|InnerNumericEigenPackage| *5 *6 *4)) (|ofCategory| *6 (|Field|)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|)))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Integer|))) (|isDomain| *1 (|PolynomialNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|SmithNormalForm| *3 *4 *5 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *4 *5))))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))) (|isDomain| *1 (|d01AgentsPackage|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|DoubleFloat|)) (|isDomain| *2 (|MachineFloat|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| (|DoubleFloat|) (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *2 (|Record| (|:| |start| *3) (|:| |factors| (|Factored| *3)))) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *4)))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|AssociationList| (|String|) (|None|))) (|isDomain| *1 (|BasicOperator|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3 (|Integer|))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Automorphism| *3)))) ((*1 *1 *2 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Automorphism| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|Automorphism| *3))))) 
-(((*1 *2 *2 *3) (|partial| AND (|isDomain| *3 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|FunctionSpace| *4))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|ofCategory| *7 (|UnivariatePolynomialCategory| (|Fraction| *6))) (|isDomain| *1 (|AlgebraicIntegrate| *4 *5 *6 *7 *2)) (|ofCategory| *2 (|FunctionFieldCategory| *5 *6 *7))))) 
-(((*1 *1 *1 *2 *2 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Vector| *2)) (|ofCategory| *5 (|EuclideanDomain|)) (|ofCategory| *6 (|QuotientFieldCategory| *5)) (|ofCategory| *2 (|Join| (|FramedAlgebra| *6 *7) (|RetractableTo| *6))) (|isDomain| *1 (|FractionalIdeal| *5 *6 *7 *2)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|OrderedFreeMonoid| *3)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|OrderedMonoid|)) (|isDomain| *1 (|XPolynomialRing| *3 *2)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|PatternFunctions1| *4 *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Any|)) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $))))) (|ofCategory| *6 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |sup| (|Polynomial| *6)) (|:| |inf| (|Polynomial| *6)))) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *4 *5 *6 *3)) (|ofCategory| *3 (|PolynomialCategory| (|Fraction| (|Polynomial| *6)) *4 *5))))) 
+(((*1 *1) (|isDomain| *1 (|OpenMathEncoding|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *4 *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|Ring|)) (|isDomain| *1 (|FactoringUtilities| *4 *5 *2 *6)) (|ofCategory| *6 (|PolynomialCategory| *2 *4 *5))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|PrincipalIdealDomain|)) (|isDomain| *2 (|Record| (|:| |coef| (|List| *1)) (|:| |generator| *1))) (|isDomain| *3 (|List| *1))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *6 (|UnivariatePolynomialCategory| (|Fraction| *5))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FunctionFieldCategory&| *4 *3 *5 *6)) (|ofCategory| *4 (|FunctionFieldCategory| *3 *5 *6)))) ((*1 *2 *3 *3) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranCode|)))) ((*1 *1) (|isDomain| *1 (|FortranCode|)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |left| (|Fraction| (|Integer|))) (|:| |right| (|Fraction| (|Integer|)))))) (|isDomain| *2 (|List| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|LieExponentials| *2 *3 *4)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *4 (|PositiveInteger|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|Magma| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|OrderedFreeMonoid| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *1) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Polynomial| *3)))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|InfiniteProductCharacteristicZero| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|MonogenicAlgebra| *3 *4)) (|isDomain| *1 (|InfiniteProductFiniteField| *3 *4 *5 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *5)))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|Field|) (|Finite|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *1 (|InfiniteProductPrimeField| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|StreamInfiniteProduct| *3))))) 
+(((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|RegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6)))) ((*1 *2) (AND (|ofCategory| *3 (|GcdDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|SquareFreeRegularTriangularSetGcdPackage| *3 *4 *5 *6 *7)) (|ofCategory| *7 (|RegularTriangularSetCategory| *3 *4 *5 *6))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ListMultiDictionary| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Matrix| (|PrimeField| *3))) (|isDomain| *1 (|FiniteFieldNormalBasis| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|FiniteFieldNormalBasisExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|Union| (|SparseUnivariatePolynomial| *3) (|Vector| (|List| (|Record| (|:| |value| *3) (|:| |index| (|SingleInteger|))))))))) ((*1 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|FiniteFieldNormalBasisExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|))))) 
 (((*1 *2 *1) (AND (|ofCategory| *1 (|UnaryRecursiveAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|AttributeButtons|)))) ((*1 *2 *3 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *3 (|String|)) (|isDomain| *1 (|AttributeButtons|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|PositiveInteger|))) (|isDomain| *1 (|SetOfMIntegersInOneToN| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *1 (|Expression| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedSet|)))) ((*1 *2 *3) (AND (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1))))) 
-(((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OneDimensionalArray| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|OneDimensionalArray| *3))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 *5 *4)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|MappingPackage3| *5 *4 *6))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|IntegerNumberTheoryFunctions|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|UserDefinedVariableOrdering|))))) 
-(((*1 *2 *3 *4 *4 *5 *6) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|ViewportPackage|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|ViewportPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|GraphImage|)) (|isDomain| *1 (|ViewportPackage|))))) 
-(((*1 *1 *1 *1 *2) (AND (|ofCategory| *1 (|PolynomialCategory| *3 *4 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *2 *3 *3 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|U32Vector|)) (|isDomain| *1 (|U32VectorPolynomialOperations|)))) ((*1 *2 *3 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *2 *3 *4 *4 *4 *4 *5 *5) (AND (|isDomain| *3 (|Mapping| (|Float|) (|Float|))) (|isDomain| *4 (|Float|)) (|isDomain| *2 (|Record| (|:| |value| *4) (|:| |error| *4) (|:| |totalpts| (|Integer|)) (|:| |success| (|Boolean|)))) (|isDomain| *1 (|NumericalQuadrature|)) (|isDomain| *5 (|Integer|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|isDomain| *2 (|Record| (|:| |goodPols| (|List| *7)) (|:| |badPols| (|List| *7)))) (|isDomain| *1 (|PolynomialSetUtilitiesPackage| *4 *5 *6 *7)) (|isDomain| *3 (|List| *7))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|Symbol|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ArrayStack| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *1 (|BagAggregate| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Dequeue| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|Heap| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Queue| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Stack| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|OpenMathConnection|)) (|isDomain| *4 (|Any|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathServerPackage|))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|TubePlot| *2)) (|ofCategory| *2 (|PlottableSpaceCurveCategory|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldCyclicGroup| *3 *4)) (|ofType| *3 (|PositiveInteger|)) (|ofType| *4 (|PositiveInteger|)))) ((*1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldCyclicGroupExtensionByPolynomial| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|SparseUnivariatePolynomial| *3)))) ((*1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|SingleInteger|))) (|isDomain| *1 (|FiniteFieldCyclicGroupExtension| *3 *4)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|PositiveInteger|))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|CyclicStreamTools| *3 *2)) (|ofCategory| *2 (|LazyStreamAggregate| *3))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *5 *3 *6)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *6 (|Join| (|FloatingPointSystem|) (|RetractableTo| *5) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *5)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *5 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|)))))) 
+(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Field|)) (|isDomain| *1 (|NonCommutativeOperatorDivision| *2 *3)) (|ofCategory| *2 (|MonogenicLinearOperator| *3)))) ((*1 *1 *1 *1) (AND (|ofCategory| *1 (|UnivariateSkewPolynomialCategory| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|Field|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|FlexibleArray| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IndexedFlexibleArray| *3 *4)) (|ofCategory| *3 (|Type|)) (|ofType| *4 *2)))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|RandomFloatDistributions|))))) 
+(((*1 *2 *2 *3) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|OrderedVariableList| *5))) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|GcdDomain|)) (|isDomain| *2 (|List| (|List| (|DistributedMultivariatePolynomial| *5 *6)))) (|isDomain| *1 (|GroebnerSolve| *5 *6 *7)) (|isDomain| *3 (|List| (|DistributedMultivariatePolynomial| *5 *6))) (|ofCategory| *7 (|GcdDomain|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *2 (|GcdDomain|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|Plot|)) (|isDomain| *4 (|Fraction| (|Integer|))) (|isDomain| *2 (|Record| (|:| |brans| (|List| (|List| (|Point| (|DoubleFloat|))))) (|:| |xValues| (|Segment| (|DoubleFloat|))) (|:| |yValues| (|Segment| (|DoubleFloat|))))) (|isDomain| *1 (|TwoDimensionalPlotClipping|))))) 
+(((*1 *2 *3 *4 *5 *5 *6) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|)))) ((*1 *2 *3 *4 *5 *5 *6 *3 *3 *3 *3) (AND (|isDomain| *4 (|Integer|)) (|isDomain| *6 (|Mapping| (|Void|) (|Vector| *5) (|Vector| *5) (|Float|))) (|isDomain| *3 (|Vector| (|Float|))) (|isDomain| *5 (|Float|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|NumericalOrdinaryDifferentialEquations|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|AffineSpaceCategory| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|RationalRetractions| *3)) (|ofCategory| *3 (|RetractableTo| (|Fraction| (|Integer|))))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RationalRetractions| *3)) (|ofCategory| *3 (|RetractableTo| *2))))) 
+(((*1 *2 *1) (AND (|ofCategory| *3 (|DifferentialRing|)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *4)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Mapping| *1 (|NonNegativeInteger|))) (|ofCategory| *1 (|DifferentialPolynomialCategory| *3 *4 *5 *6)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *5 (|DifferentialVariableCategory| *3)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Mapping| *1 (|NonNegativeInteger|))) (|ofCategory| *1 (|DifferentialPolynomialCategory| *4 *3 *5 *6)))) ((*1 *1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *3 *1) (AND (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|IndexedAggregate| *4 *3)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *9 (|LocalPowerSeriesCategory| *6)) (|isDomain| *2 (|List| *9)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *6 *7 *4 *8 *3 *9 *10)) (|ofCategory| *4 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *10 (|PlacesCategory| *6 *9))))) 
+(((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Point| *4)) (|ofCategory| *1 (|ThreeSpaceCategory| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *1 *3 *4) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|Point| (|DoubleFloat|))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|CardinalNumber|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|IntegrationResult| *3)) (|isDomain| *1 (|ElementaryIntegration| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5)))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|Finite|)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *1)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *3 *2)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|Field|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *4)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Expression| (|DoubleFloat|)))) (|isDomain| *1 (|e04AgentsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|)))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|AttributeButtons|))))) 
 (((*1 *1 *1) (|isDomain| *1 (|InputForm|)))) 
 (((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|Equation| *2)) (|ofCategory| *2 (|AbelianGroup|)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *2 *3 *3) (AND (|isDomain| *2 (|Stream| *4)) (|isDomain| *3 (|Integer|)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *4)))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3))) ((*1 *1 *1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|DrawComplex|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OpenMathErrorKind|))))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|DistributedMultivariatePolynomial| *3 *4)) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofType| *3 (|List| (|Symbol|))) (|isDomain| *1 (|GeneralDistributedMultivariatePolynomial| *3 *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|DirectProductCategory| (|#| *3) (|NonNegativeInteger|))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|HomogeneousDistributedMultivariatePolynomial| *3 *4)) (|ofType| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Polynomial| *4))) (|ofCategory| *4 (|RealClosedField|)) (|isDomain| *2 (|List| (|Cell| *4))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Polynomial| *5))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|RealClosedField|)) (|isDomain| *2 (|List| (|Cell| *5))) (|isDomain| *1 (|CylindricalAlgebraicDecompositionPackage| *5))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicStochasticDifferential|)))) ((*1 *2 *3) (AND (|ofCategory| *5 (|Join| (|ConvertibleTo| *2) (|CommutativeRing|))) (|isDomain| *2 (|Pattern| *4)) (|isDomain| *1 (|ComplexPattern| *4 *5 *3)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *3 (|ComplexCategory| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Segment| (|OrderedCompletion| (|Float|))))) (|isDomain| *2 (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|DoubleFloat|)) (|isDomain| *1 (|Float|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Vector| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Vector| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Factored| *1)) (|ofCategory| *1 (|FunctionSpace| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|GeneralPolynomialSet| *3 *4 *5 *6)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|InputForm|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ConvertibleTo| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *1 (|MonogenicAlgebra| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Pattern| *3))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|PointCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|RomanNumeral|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)))) ((*1 *1 *2) (OR (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|not| (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Algebra| (|Integer|))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))) (AND (|isDomain| *2 (|Polynomial| (|Integer|))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Fraction| (|Integer|)))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *5 (|ConvertibleTo| (|Symbol|))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |val| (|List| *7)) (|:| |tower| *8))) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *8 (|RegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|RegularSetDecompositionPackage| *4 *5 *6 *7 *8)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|SingletonAsOrderedSet|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|SegmentCategory| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *2 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *2 *5 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|SExpressionCategory| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |val| (|List| *7)) (|:| |tower| *8))) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *8 (|SquareFreeRegularTriangularSetCategory| *4 *5 *6 *7)) (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *4 *5 *6 *7 *8)))) ((*1 *1 *2 *3 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|TexFormat|)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *3 (|Integer|)) (|isDomain| *1 (|TexFormat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *5))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|Polynomial| (|RealClosure| (|Fraction| *4)))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|Polynomial| (|RealClosure| (|Fraction| *4)))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *4)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|RealClosure| (|Fraction| *4)))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|List| (|Symbol|))))) ((*1 *2 *3) (AND (|isDomain| *3 (|SquareFreeRegularTriangularSet| *4 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6)))) (|ofCategory| *4 (|Join| (|OrderedRing|) (|EuclideanDomain|) (|CharacteristicZero|) (|RealConstant|))) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|NewSparseMultivariatePolynomial| *4 (|OrderedVariableList| *6)))) (|isDomain| *1 (|ZeroDimensionalSolvePackage| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|AntiSymm| *3 *4)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))))) ((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|ofType| *4 (|List| (|Symbol|)))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Symbol|))))) 
-(((*1 *2 *2) (|partial| AND (|isDomain| *1 (|IntegerFactorizationPackage| *2)) (|ofCategory| *2 (|IntegerNumberSystem|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *4 *2)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|SegmentBinding| *1)) (|ofCategory| *1 (|CombinatorialOpsCategory|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|CombinatorialOpsCategory|)) (|isDomain| *2 (|Symbol|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Any|))))) 
-(((*1 *1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *1 *1) (|isDomain| *1 (|OutputForm|)))) 
-(((*1 *2 *3 *3 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| *6 *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Record| (|:| |a| *6) (|:| |b| (|Fraction| *6)) (|:| |h| *6) (|:| |c1| (|Fraction| *6)) (|:| |c2| (|Fraction| *6)) (|:| |t| *6))) (|isDomain| *1 (|TranscendentalRischDESystem| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $))))))))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *3 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *3 (|Kernel| $))))))))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *4 (|Kernel| $))))))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *4 *2)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Kernel| *2))) (|ofCategory| *2 (|Join| (|Field|) (|ExpressionSpace|) (CATEGORY |domain| (SIGNATURE |numer| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |denom| ((|SparseMultivariatePolynomial| *4 (|Kernel| $)) $)) (SIGNATURE |coerce| ($ (|SparseMultivariatePolynomial| *4 (|Kernel| $))))))) (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *1 (|AlgebraicManipulations| *4 *2))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|RecursivePolynomialCategory| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *3 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|OrderedSet|))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Algebra| (|Fraction| (|Integer|)))) (|isDomain| *1 (|UnivariateTaylorSeriesODESolver| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |endPointContinuity| (|Union| (|:| |continuous| "Continuous at the end points") (|:| |lowerSingular| "There is a singularity at the lower end point") (|:| |upperSingular| "There is a singularity at the upper end point") (|:| |bothSingular| "There are singularities at both end points") (|:| |notEvaluated| "End point continuity not yet evaluated"))) (|:| |singularitiesStream| (|Union| (|:| |str| (|Stream| (|DoubleFloat|))) (|:| |notEvaluated| "Internal singularities not yet evaluated"))) (|:| |range| (|Union| (|:| |finite| "The range is finite") (|:| |lowerInfinite| "The bottom of range is infinite") (|:| |upperInfinite| "The top of range is infinite") (|:| |bothInfinite| "Both top and bottom points are infinite") (|:| |notEvaluated| "Range not yet evaluated"))))) (|isDomain| *2 (|Result|)) (|isDomain| *1 (|ExpertSystemToolsPackage|))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *4 *2))))) 
-(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
-(((*1 *2 *3 *4) (|partial| AND (|isDomain| *4 (|Fraction| *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|PrimitiveRatDE| *5 *2 *3 *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| (|Fraction| *2))) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|PrimitiveRatDE| *5 *2 *3 *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| (|Fraction| *2)))))) 
+(((*1 *2 *3) (AND (|ofCategory| *1 (|PolynomialFactorizationExplicit|)) (|isDomain| *2 (|Factored| (|SparseUnivariatePolynomial| *1))) (|isDomain| *3 (|SparseUnivariatePolynomial| *1))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| *5 *4)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| (QUOTE |x|) *4)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| *5 *4)) (|isDomain| *1 (|UnivariateTaylorSeries| *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4))) ((*1 *2 *1 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|UnivariatePolynomial| *5 *4)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *4 *5)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Symbol|))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|Symbol|))))) 
 (((*1 *2 *3 *3 *3) (|partial| AND (|ofCategory| *4 (|Join| (|CharacteristicZero|) (|AlgebraicallyClosedField|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| *5))) (|isDomain| *1 (|Kovacic| *4 *5)) (|isDomain| *3 (|Fraction| *5)))) ((*1 *2 *3 *3 *3 *4) (|partial| AND (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|CharacteristicZero|) (|AlgebraicallyClosedField|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| *6))) (|isDomain| *1 (|Kovacic| *5 *6)) (|isDomain| *3 (|Fraction| *6))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|d01AgentsPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Expression| (|DoubleFloat|))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Vector| (|Expression| (|DoubleFloat|)))) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|isDomain| *2 (|Stream| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemContinuityPackage|))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *3 (|PartialDifferentialRing| *6)) (|isDomain| *2 (|Matrix| *3)) (|isDomain| *1 (|MultiVariableCalculusFunctions| *6 *3 *7 *4)) (|ofCategory| *7 (|FiniteLinearAggregate| *3)) (|ofCategory| *4 (|Join| (|FiniteLinearAggregate| *6) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|))))))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *4)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Matrix| *3))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *1 (|Reference| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|Vector| (|Matrix| *3)))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *3 *4 *5 *6 *7 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *3 *4 *5)) (|ofCategory| (|PseudoAlgebraicClosureOfFiniteField| *3) (|Finite|)) (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|)))) ((*1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *3 *4 *5)) (|ofCategory| *3 (|Finite|)) (|ofCategory| *3 (|Field|)) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|BlowUpMethodCategory|))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *5 *4)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|isDomain| *2 (|Mapping| *5)) (|isDomain| *1 (|MappingPackage2| *4 *5))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Boolean|)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|ofCategory| *8 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *6 *7 *8)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|RegularSetDecompositionPackage| *6 *7 *8 *3 *4)) (|ofCategory| *4 (|RegularTriangularSetCategory| *6 *7 *8 *3)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *3 (|RecursivePolynomialCategory| *5 *6 *7)) (|isDomain| *2 (|Record| (|:| |done| (|List| *4)) (|:| |todo| (|List| (|Record| (|:| |val| (|List| *3)) (|:| |tower| *4)))))) (|isDomain| *1 (|SquareFreeRegularSetDecompositionPackage| *5 *6 *7 *3 *4)) (|ofCategory| *4 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *3))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *2)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *1) (|isDomain| *1 (|DoubleFloat|))) ((*1 *1) (|isDomain| *1 (|Float|)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Factored| *5)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *5) (|:| |radicand| (|List| *5)))) (|isDomain| *1 (|FactoredFunctions| *5)) (|isDomain| *4 (|NonNegativeInteger|)))) ((*1 *1 *1 *2) (AND (|ofCategory| *1 (|RadicalCategory|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BalancedPAdicRational| *4)) (|ofType| *4 *3) (|isDomain| *3 (|Integer|)))) ((*1 *2 *1 *2) (AND (|ofCategory| *1 (|PAdicIntegerCategory| *3)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *1 *3) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|PAdicRational| *4)) (|ofType| *4 *3) (|isDomain| *3 (|Integer|)))) ((*1 *2 *1 *3) (AND (|ofType| *4 *3) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|PAdicRationalConstructor| *4 *5)) (|isDomain| *3 (|Integer|)) (|ofCategory| *5 (|PAdicIntegerCategory| *4)))) ((*1 *2 *1 *1) (AND (|ofCategory| *1 (|RealClosedField|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *3 *1 *2) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *2 *3)) (|ofCategory| *2 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)))) ((*1 *2 *1 *3) (AND (|ofCategory| *1 (|UnivariatePowerSeriesCategory| *2 *3)) (|ofCategory| *3 (|OrderedAbelianMonoid|)) (|has| *2 (SIGNATURE ** (*2 *2 *3))) (|has| *2 (SIGNATURE |coerce| (*2 (|Symbol|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|RealPolynomialUtilitiesPackage| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FortranScalarType|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Integer|))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *8 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *9) (|:| |radicand| *9))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *7 *8 *9)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *9 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*8 $)) (SIGNATURE |denom| (*8 $)) (SIGNATURE |coerce| ($ *8)))))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Plot3D|))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |polnum| (|NewSparseUnivariatePolynomial| *3)) (|:| |polden| *3) (|:| |power| (|NonNegativeInteger|)))) (|isDomain| *1 (|NewSparseUnivariatePolynomial| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1 *1) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *2 (|Record| (|:| |polnum| *1) (|:| |polden| *1) (|:| |power| (|NonNegativeInteger|)))) (|ofCategory| *1 (|RecursivePolynomialCategory| *3 *4 *5))))) 
+(((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|Vector| *5)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *4 (|SingleInteger|)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *5))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ListMonoidOps| *3 *4 *5)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 *4)))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|SparseUnivariatePolynomial| *4))) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|Record| (|:| |zeros| (|List| *4)) (|:| |extDegree| (|Integer|)))) (|isDomain| *1 (|RootsFindingPackage| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
+(((*1 *1 *2 *2 *2 *2 *2 *3 *4) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|Boolean|)) (|isDomain| *4 (|Union| "left" "center" "right" "vertical" "horizontal")) (|ofCategory| *1 (|BlowUpMethodCategory|))))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FiniteFieldCategory|)) (|isDomain| *2 (|Union| "prime" "polynomial" "normal" "cyclic"))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *3 (|PlacesCategory| *4 *8)) (|ofCategory| *9 (|DivisorCategory| *3)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *2 *8 *3 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|ProjectiveSpaceCategory| *4)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *2 *8 *3 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *2 (|ProjectiveSpaceCategory| *4)) (|isDomain| *1 (|LocalParametrizationOfSimplePointPackage| *4 *5 *6 *7 *2 *8 *3)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *3 (|PlacesCategory| *4 *8)))) ((*1 *2 *3) (AND (|isDomain| *3 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Places| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|ProjectivePlane| *4)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
+(((*1 *1 *1) (|isDomain| *1 (|RoutinesTable|)))) 
+(((*1 *2) (AND (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)) (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Matrix| (|Fraction| *4)))))) 
 (((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|AlgebraicFunction| *3 *4)) (|ofCategory| *4 (|FunctionSpace| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|BasicOperator|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *4)) (|ofCategory| *4 (|FunctionSpace| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|CommonOperators|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *4)) (|ofCategory| *4 (|Join| (|FunctionSpace| *3) (|RadicalCategory|))))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|ExpressionSpace&| *3)) (|ofCategory| *3 (|ExpressionSpace|)))) ((*1 *2 *2) (AND (|ofCategory| *1 (|ExpressionSpace|)) (|isDomain| *2 (|BasicOperator|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpace&| *3 *4)) (|ofCategory| *3 (|FunctionSpace| *4)))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|FunctionalSpecialFunction| *3 *4)) (|ofCategory| *4 (|FunctionSpace| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|BasicOperator|)) (|isDomain| *1 (|Kernel| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *2) (AND (|isDomain| *2 (|BasicOperator|)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *4)) (|ofCategory| *4 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |quotient| *1) (|:| |remainder| *1))) (|ofCategory| *1 (|EuclideanDomain|)))) ((*1 *2 *1 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |lm| (|FreeMonoid| *3)) (|:| |rm| (|FreeMonoid| *3)))) (|isDomain| *1 (|FreeMonoid| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Record| (|:| |quotient| (|NonNegativeInteger|)) (|:| |remainder| (|NonNegativeInteger|)))) (|isDomain| *1 (|NonNegativeInteger|)))) ((*1 *2 *1 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |lm| (|Union| (|OrderedFreeMonoid| *3) "failed")) (|:| |rm| (|Union| (|OrderedFreeMonoid| *3) "failed")))) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |quotient| *3) (|:| |remainder| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|RightOpenIntervalRootCharacterization| (|RealClosure| *3) (|SparseUnivariatePolynomial| (|RealClosure| *3)))) (|isDomain| *1 (|RealClosure| *3)) (|ofCategory| *3 (|Join| (|OrderedRing|) (|Field|) (|RealConstant|)))))) 
+(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
 (((*1 *2 *2 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|isDomain| *3 (|Mapping| (|Boolean|) *5)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Type|)) (|isDomain| *1 (|PatternFunctions1| *4 *5)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Pattern| *4)) (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *5))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Type|)) (|isDomain| *1 (|PatternFunctions1| *4 *5)))) ((*1 *2 *2 *3 *4) (AND (|isDomain| *2 (|Pattern| *5)) (|isDomain| *3 (|List| (|Symbol|))) (|isDomain| *4 (|Mapping| (|Boolean|) (|List| *6))) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *1 (|PatternFunctions1| *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *5)) (|ofCategory| *5 (|Type|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAttachPredicates| *4 *2 *5)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|Mapping| (|Boolean|) *5))) (|ofCategory| *5 (|Type|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|FunctionSpaceAttachPredicates| *4 *2 *5)) (|ofCategory| *2 (|FunctionSpace| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Mapping| (|Boolean|) *5)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|AttachPredicates| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|List| (|Mapping| (|Boolean|) *5))) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|AttachPredicates| *5)))) ((*1 *1 *1 *2 *3) (AND (|isDomain| *2 (|List| (|Symbol|))) (|isDomain| *3 (|Mapping| (|Boolean|) (|List| *6))) (|ofCategory| *6 (|Join| (|FunctionSpace| *5) (|PatternMatchable| *4) (|ConvertibleTo| (|Pattern| *4)))) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|Join| (|Ring|) (|PatternMatchable| *4) (|OrderedSet|) (|ConvertibleTo| (|Pattern| *4)))) (|isDomain| *1 (|RewriteRule| *4 *5 *6))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Segment| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *3 *1) (|partial| AND (|isDomain| *3 (|Mapping| (|Boolean|) *2)) (|ofCategory| *1 (|Collection| *2)) (|ofCategory| *2 (|Type|))))) 
+(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|))) ((*1 *1 *1 *1) (|isDomain| *1 (|SingleInteger|)))) 
+(((*1 *1 *1) (AND (|ofCategory| *1 (|FunctionSpace| *2)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *2 (|IntegralDomain|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|MyExpression| *2 *3)) (|ofType| *2 (|Symbol|)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *1) (AND (|ofCategory| *1 (|QuotientFieldCategory| *2)) (|ofCategory| *2 (|IntegralDomain|))))) 
+(((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|ScriptFormulaFormat|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Stream| (|List| (|Integer|)))) (|isDomain| *1 (|PartitionsAndPermutations|)) (|isDomain| *3 (|Integer|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *7 (|SetCategory|)) (|isDomain| *2 (|Boolean|))))) 
-(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|TextFile|))))) 
-(((*1 *1 *1 *1) (|isDomain| *1 (|Boolean|))) ((*1 *1 *1 *1) (|ofCategory| *1 (|BitAggregate|)))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|PrimitiveArray| (|SparseUnivariatePolynomial| *4))) (|isDomain| *1 (|FiniteFieldPolynomialPackage| *4)) (|isDomain| *3 (|SparseUnivariatePolynomial| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|List| (|String|))) (|isDomain| *1 (|OpenMathPackage|)) (|isDomain| *3 (|String|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Mapping| *6 (|List| *6))) (|isDomain| *1 (|UTSodetools| *4 *5 *3 *6)) (|ofCategory| *3 (|LinearOrdinaryDifferentialOperatorCategory| *5)) (|ofCategory| *6 (|UnivariateTaylorSeriesCategory| *4))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|GaloisGroupFactorizer| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Point| *3)) (|ofCategory| *3 (|Join| (|Field|) (|TranscendentalFunctionCategory|) (|RadicalCategory|))) (|isDomain| *1 (|CoordinateSystems| *3))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|ContinuedFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|OrderedIntegralDomain|)) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|UnivariatePolynomial| *5 *4))) (|isDomain| *1 (|SturmHabichtPackage| *4 *5)) (|isDomain| *3 (|UnivariatePolynomial| *5 *4))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|DoublyLinkedAggregate| *2)) (|ofCategory| *2 (|Type|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|BinaryFile|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|CachableSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|ofCategory| *1 (|FiniteLinearAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *3 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|CharacterClass|)))) ((*1 *2 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *3) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|BrillhartTests| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|PlottablePlaneCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|))))) ((*1 *2 *1) (AND (|ofCategory| *1 (|PlottableSpaceCurveCategory|)) (|isDomain| *2 (|Segment| (|DoubleFloat|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Tableau| (|List| *4))) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|List| (|List| *4))) (|isDomain| *1 (|TableauxBumpers| *4))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|LazyStreamAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
 (((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|FortranCode|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithGroebnerBasis| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
-(((*1 *2 *2 *3 *4 *4) (AND (|isDomain| *4 (|Integer|)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|ofCategory| *6 (|FiniteLinearAggregate| *3)) (|isDomain| *1 (|MatrixLinearAlgebraFunctions| *3 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *3 *5 *6))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Record| (|:| |value| *4) (|:| |weight| (|Integer|))))) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Mapping| *4)) (|isDomain| *1 (|RandomDistributions| *4))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| *9)) (|isDomain| *4 (|List| *7)) (|isDomain| *5 (|List| *8)) (|ofCategory| *7 (|OrderedSet|)) (|ofCategory| *8 (|Ring|)) (|ofCategory| *9 (|PolynomialCategory| *8 *6 *7)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *8)) (|isDomain| *1 (|FactoringUtilities| *6 *7 *8 *9))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *7) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithGroebnerBasis| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *7) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *3 *6 *7)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SparseUnivariatePolynomial| (|SparseUnivariatePolynomial| *4))) (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|isDomain| *2 (|Union| (|List| *8) "failed" "Infinite" (|Integer|))) (|isDomain| *1 (|AffineAlgebraicSetComputeWithResultant| *4 *5 *6 *7 *8)) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *4))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|DoubleFloatSpecialFunctions|)))) ((*1 *1 *1) (|ofCategory| *1 (|LiouvillianFunctionCategory|))) ((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|LiouvillianFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|AttributeButtons|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *1) (AND (|isDomain| *1 (|ArrayStack| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|BagAggregate| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Dequeue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Heap| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Queue| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *1 (|Stack| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|)))) (|isDomain| *1 (|d02AgentsPackage|))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|PolynomialCategory| *4 *7 (|OrderedVariableList| *5))) (|ofCategory| *7 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *3 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *9 (|PlacesCategory| *4 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|InfinitlyClosePointCategory| *4 *5 *6 *7 *3 *8 *9 *10 *13)) (|ofCategory| *13 (|BlowUpMethodCategory|)) (|isDomain| *2 (|List| *9)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *4 *5 *6 *7 *3 *8 *9 *10 *11 *12 *13)) (|ofCategory| *12 (|DesingTreeCategory| *11)))) ((*1 *2 *3) (AND (|isDomain| *3 (|ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| *4)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|ProjectivePlane| *4)) (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| (|Places| *4))) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *4 *5 *6)) (|ofType| *5 (|List| (|Symbol|))) (|ofCategory| *6 (|BlowUpMethodCategory|))))) 
-(((*1 *1 *1) (AND (|ofCategory| *1 (|DivisorCategory| *2)) (|ofCategory| *2 (|SetCategory|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|NonNegativeInteger|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|EuclideanDomain|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|CharacteristicZero|))) (|isDomain| *1 (|ODEIntegration| *4 *2)) (|ofCategory| *2 (|Join| (|AlgebraicallyClosedFunctionSpace| *4) (|TranscendentalFunctionCategory|) (|PrimitiveFunctionCategory|)))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *1 (|NumberTheoreticPolynomialFunctions| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|CommutativeRing|))))) 
-(((*1 *1 *2 *3) (AND (|ofCategory| *4 (|Field|)) (|ofCategory| *6 (|DirectProductCategory| (|#| *5) (|NonNegativeInteger|))) (|ofCategory| *7 (|LocalPowerSeriesCategory| *4)) (|ofCategory| *8 (|PlacesCategory| *4 *7)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *4 *5 *3 *6 *2 *7 *8 *9 *10)) (|ofCategory| *3 (|PolynomialCategory| *4 *6 (|OrderedVariableList| *5))) (|ofCategory| *2 (|ProjectiveSpaceCategory| *4)) (|ofCategory| *9 (|DivisorCategory| *8)) (|ofCategory| *10 (|BlowUpMethodCategory|)))) ((*1 *1 *2 *3 *4 *5 *6 *5 *7 *8 *9) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| (|construct| (QUOTE X) (QUOTE Y)) *8)) (|isDomain| *4 (|AffinePlane| *8)) (|isDomain| *9 (|Symbol|)) (|ofCategory| *8 (|Field|)) (|isDomain| *5 (|NonNegativeInteger|)) (|ofCategory| *12 (|DirectProductCategory| (|#| *10) *5)) (|ofCategory| *13 (|LocalPowerSeriesCategory| *8)) (|ofCategory| *14 (|PlacesCategory| *8 *13)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *8 *10 *11 *12 *2 *13 *14 *7 *6)) (|ofCategory| *11 (|PolynomialCategory| *8 *12 (|OrderedVariableList| *10))) (|ofCategory| *2 (|ProjectiveSpaceCategory| *8)) (|ofCategory| *7 (|DivisorCategory| *14)) (|ofCategory| *6 (|BlowUpMethodCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|PlacesCategory| *3 *4)) (|ofCategory| *4 (|LocalPowerSeriesCategory| *3)))) ((*1 *1) (|isDomain| *1 (|SingletonAsOrderedSet|)))) 
-(((*1 *2 *1 *3) (AND (|isDomain| *3 (|Vector| *1)) (|ofCategory| *1 (|FiniteRankAlgebra| *4 *5)) (|ofCategory| *4 (|CommutativeRing|)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Matrix| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FramedAlgebra| *3 *4)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Matrix| *3))))) 
-(((*1 *2 *3 *3 *2) (|partial| AND (|isDomain| *2 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Monoid|) (|Finite|) (CATEGORY |package| (SIGNATURE ** (*3 *3 (|Integer|)))))) (|isDomain| *1 (|DiscreteLogarithmPackage| *3))))) 
-(((*1 *1 *1) (AND (|ofCategory| *2 (|GcdDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|isDomain| *1 (|QuasiAlgebraicSet| *2 *3 *4 *5)) (|ofCategory| *5 (|PolynomialCategory| *2 *4 *3))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Integer|))) (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|)))) ((*1 *2) (AND (|isDomain| *2 (|PermutationGroup| (|Integer|))) (|isDomain| *1 (|PermutationGroupExamples|))))) 
-(((*1 *1 *1 *1) (|ofCategory| *1 (|CombinatorialFunctionCategory|))) ((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|CombinatorialFunction| *3 *2)) (|ofCategory| *2 (|FunctionSpace| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *1 (|IntegerCombinatoricFunctions| *2)) (|ofCategory| *2 (|IntegerNumberSystem|)))) ((*1 *1 *1 *1) (|isDomain| *1 (|OutputForm|))) ((*1 *2 *3 *4) (AND (|isDomain| *4 |RationalNumber|) (|isDomain| *2 (|Mapping| (|Integer|))) (|isDomain| *1 (|RandomIntegerDistributions|)) (|isDomain| *3 (|Integer|))))) 
+(((*1 *2 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Kernel| *2))) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *2 (|Join| (|FunctionSpace| (|Complex| *5)) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *5 *6 *2)) (|ofCategory| *6 (|Join| (|FunctionSpace| *5) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *5)) (|ofCategory| *5 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *4 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *4))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Fraction| (|Integer|))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *5 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Equation| *3)) (|isDomain| *5 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|GcdDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|ExpressionToUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Mapping| *6 (|Integer|))) (|isDomain| *4 (|Equation| *6)) (|ofCategory| *6 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *5))) (|ofCategory| *5 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *7 (|Integer|))) (|isDomain| *4 (|Equation| *7)) (|isDomain| *5 (|UniversalSegment| (|Integer|))) (|ofCategory| *7 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *6))) (|ofCategory| *6 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *6 *7)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *3)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Mapping| *8 (|Fraction| (|Integer|)))) (|isDomain| *4 (|Equation| *8)) (|isDomain| *5 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *6 (|Fraction| (|Integer|))) (|ofCategory| *8 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *7))) (|ofCategory| *7 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *7 *8)))) ((*1 *2 *3 *4 *5 *6 *7) (AND (|isDomain| *4 (|Symbol|)) (|isDomain| *5 (|Equation| *3)) (|isDomain| *6 (|UniversalSegment| (|Fraction| (|Integer|)))) (|isDomain| *7 (|Fraction| (|Integer|))) (|ofCategory| *3 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *8))) (|ofCategory| *8 (|Join| (|IntegralDomain|) (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)))) (|isDomain| *2 (|Any|)) (|isDomain| *1 (|GenerateUnivariatePowerSeries| *8 *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|InnerTaylorSeries| *3)))) ((*1 *1 *2 *3 *1) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateLaurentSeriesCategory| *3)))) ((*1 *1 *2 *3) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *3 (|Stream| (|Record| (|:| |k| (|Fraction| (|Integer|))) (|:| |c| *4)))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesCategory| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|NonNegativeInteger|)) (|:| |c| *3)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateTaylorSeriesCategory| *3))))) 
+(((*1 *1) (|isDomain| *1 (|CharacterClass|))) ((*1 *1 *1) (|isDomain| *1 (|Character|))) ((*1 *1 *1) (|ofCategory| *1 (|StringAggregate|)))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|isDomain| *2 (|Mapping| (|Stream| (|Polynomial| *4)) (|Stream| (|Polynomial| *4)))) (|isDomain| *1 (|WeierstrassPreparation| *4)) (|ofCategory| *4 (|Field|))))) 
+(((*1 *2 *2 *2 *2) (AND (|ofCategory| *2 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| *10)) (|isDomain| *1 (|LazardSetSolvingPackage| *5 *6 *7 *8 *9 *10)) (|ofCategory| *9 (|RegularTriangularSetCategory| *5 *6 *7 *8)) (|ofCategory| *10 (|SquareFreeRegularTriangularSetCategory| *5 *6 *7 *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|LexTriangularPackage| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 (|IndexedExponents| (|OrderedVariableList| *6)) (|OrderedVariableList| *6) (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6))))) (|isDomain| *1 (|LexTriangularPackage| *5 *6)))) ((*1 *2 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|RegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|RegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| (|NewSparseMultivariatePolynomial| *5 (|OrderedVariableList| *6)))) (|isDomain| *4 (|Boolean|)) (|ofCategory| *5 (|GcdDomain|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| (|RegularChain| *5 *6))) (|isDomain| *1 (|RegularChain| *5 *6)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|RegularTriangularSetCategory| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *4) (AND (|isDomain| *3 (|List| *8)) (|isDomain| *4 (|Boolean|)) (|ofCategory| *8 (|RecursivePolynomialCategory| *5 *6 *7)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|ofCategory| *7 (|OrderedSet|)) (|isDomain| *2 (|List| (|SquareFreeRegularTriangularSet| *5 *6 *7 *8))) (|isDomain| *1 (|SquareFreeRegularTriangularSet| *5 *6 *7 *8)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *7)) (|ofCategory| *7 (|RecursivePolynomialCategory| *4 *5 *6)) (|ofCategory| *4 (|IntegralDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|isDomain| *2 (|List| *1)) (|ofCategory| *1 (|TriangularSetCategory| *4 *5 *6 *7))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|BinaryFile|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|CachableSet|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *3 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|FiniteLinearAggregate| *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|ofCategory| *1 (|FiniteLinearAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Integer|)))) ((*1 *2 *3 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Integer|)) (|isDomain| *3 (|CharacterClass|)))) ((*1 *2 *1 *1 *2) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *2 (|Integer|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|Symbol|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *7 *3)) (|ofType| *7 *3) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|PackageForPoly| *4 *5 *6 *7)) (|ofCategory| *5 (|FiniteAbelianMonoidRing| *4 *6))))) 
+(((*1 *2 *2) (|partial| AND (|ofCategory| *1 (|PartialTranscendentalFunctions| *2)) (|ofCategory| *2 (|TranscendentalFunctionCategory|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| (|Expression| (|DoubleFloat|)))) (|isDomain| *2 (|Record| (|:| |stiffnessFactor| (|Float|)) (|:| |stabilityFactor| (|Float|)))) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |op| (|BasicOperator|)) (|:| |arg| (|List| (|Pattern| *3))))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1 *3) (|partial| AND (|isDomain| *3 (|BasicOperator|)) (|isDomain| *2 (|List| (|Pattern| *4))) (|isDomain| *1 (|Pattern| *4)) (|ofCategory| *4 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|OpenMathDevice|))))) 
+(((*1 *2 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateFormalPowerSeries| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeries| *2 *3 *4)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|)) (|ofType| *4 *2))) ((*1 *1 *1) (AND (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *2 *3)) (|ofCategory| *2 (|Ring|)) (|ofType| *3 (|Symbol|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|FunctionSpaceReduce| *4 *3)) (|ofCategory| *3 (|FunctionSpace| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|Kernel| *3)) (|ofCategory| *3 (|FunctionSpace| *5)) (|ofCategory| *5 (|Join| (|OrderedSet|) (|IntegralDomain|) (|RetractableTo| (|Integer|)))) (|isDomain| *2 (|SparseUnivariatePolynomial| (|Fraction| (|Integer|)))) (|isDomain| *1 (|FunctionSpaceReduce| *5 *3))))) 
+(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|)))) ((*1 *2 *3 *4 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Mapping| (|SparseMultivariateTaylorSeries| *4 *3 *5))) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *4 *3 *5)) (|ofCategory| *5 (|PolynomialCategory| *4 (|IndexedExponents| *3) *3)))) ((*1 *1 *2 *3 *4) (AND (|isDomain| *2 (|Mapping| (|TaylorSeries| *4))) (|isDomain| *3 (|Symbol|)) (|isDomain| *1 (|TaylorSeries| *4)) (|ofCategory| *4 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|TwoDimensionalArrayCategory| *3 *4 *5)) (|ofCategory| *3 (|Type|)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *5 (|FiniteLinearAggregate| *3)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|RectangularMatrixCategory| *3 *4 *5 *6 *7)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *6 (|DirectProductCategory| *4 *5)) (|ofCategory| *7 (|DirectProductCategory| *3 *5)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *5)) (|isDomain| *1 (|UTSodetools| *5 *2 *6 *3)) (|ofCategory| *6 (|LinearOrdinaryDifferentialOperatorCategory| *2)) (|ofCategory| *3 (|UnivariateTaylorSeriesCategory| *5))))) 
+(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|Join| (|GcdDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|BalancedFactorisation| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|Join| (|GcdDomain|) (|CharacteristicZero|))) (|isDomain| *2 (|Factored| *3)) (|isDomain| *1 (|BalancedFactorisation| *5 *3))))) 
+(((*1 *2 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3)))) ((*1 *2 *2 *2) (AND (|isDomain| *2 (|List| (|Matrix| *3))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|Matrix| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3)))) ((*1 *2 *2) (AND (|isDomain| *2 (|List| (|Matrix| *3))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|RepresentationPackage1| *3))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Union| (|Record| (|:| |ratpart| *6) (|:| |coeff| *6)) "failed") *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Record| (|:| |answer| (|IntegrationResult| (|Fraction| *7))) (|:| |a0| *6))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)) (|isDomain| *4 (|List| *8)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|List| (|Symbol|))) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *7)) (|ofCategory| *7 (|PolynomialCategory| *4 *6 *5)) (|ofCategory| *4 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *5 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *6 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *7)) (|:| |neqzro| (|List| *7)) (|:| |wcond| (|List| (|Polynomial| *4))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *4)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *4)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *4 *5 *6 *7)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *9)) (|:| |neqzro| (|List| *9)) (|:| |wcond| (|List| (|Polynomial| *6))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *6)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *6)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)) (|isDomain| *4 (|List| *9)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|PositiveInteger|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *9)) (|:| |neqzro| (|List| *9)) (|:| |wcond| (|List| (|Polynomial| *6))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *6)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *6)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|List| (|Record| (|:| |eqzro| (|List| *8)) (|:| |neqzro| (|List| *8)) (|:| |wcond| (|List| (|Polynomial| *5))) (|:| |bsoln| (|Record| (|:| |partsol| (|Vector| (|Fraction| (|Polynomial| *5)))) (|:| |basis| (|List| (|Vector| (|Fraction| (|Polynomial| *5)))))))))) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|List| *9)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Matrix| *8)) (|isDomain| *4 (|String|)) (|ofCategory| *8 (|PolynomialCategory| *5 *7 *6)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *6 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *5 *6 *7 *8)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Matrix| *10)) (|isDomain| *4 (|List| *10)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|String|)) (|ofCategory| *10 (|PolynomialCategory| *7 *9 *8)) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *8 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|Matrix| *10)) (|isDomain| *4 (|List| (|Symbol|))) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|String|)) (|ofCategory| *10 (|PolynomialCategory| *7 *9 *8)) (|ofCategory| *7 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *8 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *9 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *7 *8 *9 *10)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Matrix| *9)) (|isDomain| *4 (|PositiveInteger|)) (|isDomain| *5 (|String|)) (|ofCategory| *9 (|PolynomialCategory| *6 *8 *7)) (|ofCategory| *6 (|Join| (|EuclideanDomain|) (|CharacteristicZero|))) (|ofCategory| *7 (|Join| (|OrderedSet|) (|ConvertibleTo| (|Symbol|)))) (|ofCategory| *8 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|ParametricLinearEquations| *6 *7 *8 *9))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *7 (|GcdDomain|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|IntegralDomain|)) (|ofCategory| *8 (|PolynomialCategory| *7 *5 *6)) (|isDomain| *2 (|Record| (|:| |exponent| (|NonNegativeInteger|)) (|:| |coef| *3) (|:| |radicand| *3))) (|isDomain| *1 (|PolynomialRoots| *5 *6 *7 *8 *3)) (|isDomain| *4 (|NonNegativeInteger|)) (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE |numer| (*8 $)) (SIGNATURE |denom| (*8 $)) (SIGNATURE |coerce| ($ *8)))))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *1 (|ListToMap| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *2)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *2)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|List| *6)) (|isDomain| *4 (|List| *5)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Mapping| *5 *6)) (|isDomain| *1 (|ListToMap| *6 *5)))) ((*1 *2 *3 *4 *5 *2) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *2)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *2)))) ((*1 *2 *3 *4 *2) (AND (|isDomain| *2 (|Mapping| *6 *5)) (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *6)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *6)))) ((*1 *2 *3 *4 *5 *6) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| *2)) (|isDomain| *6 (|Mapping| *2 *5)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|Type|)) (|isDomain| *1 (|ListToMap| *5 *2)))) ((*1 *2 *1 *1 *3) (AND (|ofCategory| *1 (|StringAggregate|)) (|isDomain| *3 (|Character|)) (|isDomain| *2 (|NonNegativeInteger|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|Equation| (|Fraction| (|Polynomial| *5)))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|SuchThat| (|List| (|Expression| *5)) (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|Fraction| (|Polynomial| *5))) (|isDomain| *4 (|Symbol|)) (|ofCategory| *5 (|Join| (|EuclideanDomain|) (|OrderedSet|) (|CharacteristicZero|))) (|isDomain| *2 (|SuchThat| (|List| (|Expression| *5)) (|List| (|Equation| (|Expression| *5))))) (|isDomain| *1 (|RadicalSolvePackage| *5))))) 
 (((*1 *2 *2) (|partial| AND (|isDomain| *2 (|Expression| (|DoubleFloat|))) (|isDomain| *1 (|ExpertSystemToolsPackage|)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Record| (|:| |num| (|Pattern| *3)) (|:| |den| (|Pattern| *3)))) (|isDomain| *1 (|Pattern| *3)) (|ofCategory| *3 (|SetCategory|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|InputForm|)))) (|isDomain| *1 (|RecurrenceOperator| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|AbelianMonoid|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Symbol|)) (|PartialDifferentialRing| (|Symbol|)) (|CombinatorialOpsCategory|)))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *2 (|IntegralDomain|)) (|isDomain| *1 (|PseudoRemainderSequence| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|ElementaryFunction| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|RadicalCategory|)))))) 
-(((*1 *2 *3 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *1 (|CylindricalAlgebraicDecompositionUtilities| *4 *3))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|AffineSpaceCategory| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|Algebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Field|)) (|ofType| *6 (|Vector| (|Matrix| *3))) (|isDomain| *1 (|AlgebraGivenByStructuralConstants| *3 *4 *5 *6)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Any|)) (|isDomain| *1 (|AnyFunctions1| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp10| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) (|isDomain| *1 (|Asp19| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|))) (|isDomain| *1 (|Asp1| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|FortranExpression| (|construct|) (|construct| (QUOTE X) (QUOTE HESS)) (|MachineFloat|)))) (|isDomain| *1 (|Asp20| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|))) (|isDomain| *1 (|Asp24| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) (|isDomain| *1 (|Asp31| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) (|isDomain| *1 (|Asp35| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE EPS)) (|construct| (QUOTE Y)) (|MachineFloat|)))) (|isDomain| *1 (|Asp41| *3 *4 *5)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE EPS)) (|construct| (QUOTE YA) (QUOTE YB)) (|MachineFloat|)))) (|isDomain| *1 (|Asp42| *3 *4 *5)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) (|isDomain| *1 (|Asp49| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) (|isDomain| *1 (|Asp4| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) (|isDomain| *1 (|Asp50| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) (|isDomain| *1 (|Asp55| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) (|isDomain| *1 (|Asp6| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp73| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp74| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp77| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp78| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) (|isDomain| *1 (|Asp7| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|FortranExpression| (|construct| (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp80| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|))) (|isDomain| *1 (|Asp9| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|RadixExpansion| 2)) (|isDomain| *1 (|BinaryExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BinaryExpansion|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|BlowUpMethodCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|CartesianTensor| *3 *4 *5))) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *5)) (|ofCategory| *5 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SquareMatrix| *4 *5)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|DirectProduct| *4 *5)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Matrix| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| (|Fraction| (|Polynomial| *4))))) (|isDomain| *1 (|CoerceVectorMatrixPackage| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))) (|isDomain| *1 (|Database| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|RadixExpansion| 10)) (|isDomain| *1 (|DecimalExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DecimalExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|DirichletRing| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|DirichletRing| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|PositiveInteger|))) (|isDomain| *1 (|DirichletRing| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 (|PositiveInteger|))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|DirichletRing| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|DataList| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|DataList| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| (|Expression| *4))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|Float|)))) (|isDomain| *2 (|SegmentBinding| (|Float|))) (|isDomain| *1 (|DrawNumericHack| *4)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|ExtAlgBasis|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|EuclideanModularRing| *3 *2 *4 *5 *6 *7)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *2 *2 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *2 "failed") *2 *2 *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4) (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *1 (|ExponentialExpansion| *3 *4 *5 *6)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FortranCode|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Expression| *5)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *2 (|FiniteAlgebraicExtensionField| *4)) (|isDomain| *1 (|FiniteFieldHomomorphisms| *3 *4 *2)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *2 (|FiniteAlgebraicExtensionField| *4)) (|isDomain| *1 (|FiniteFieldHomomorphisms| *2 *4 *3)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|XRecursivePolynomial| *3 *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|XDistributedPolynomial| *3 *4)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|FreeLieAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranMatrixCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranMatrixCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranMatrixCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|MachineFloat|))) (|ofCategory| *1 (|FortranMatrixCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|ofCategory| *1 (|FileNameCategory|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|ScriptFormulaFormat|)) (|isDomain| *1 (|ScriptFormulaFormat1| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|Complex| (|Float|))))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|Float|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|Integer|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|MachineComplex|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|MachineFloat|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|MachineInteger|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FourierComponent| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|AbelianGroup|))) (|isDomain| *1 (|FourierSeries| *3 *4)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|))))))) ((*1 *1 *2) (AND (|isDomain| *1 (|FourierSeries| *2 *3)) (|ofCategory| *2 (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Join| (|OrderedSet|) (|AbelianGroup|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Fraction| *3)))) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Fraction| *3))) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| *3 (|Kernel| *1))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranScalarType|)) (|isDomain| *1 (|FortranType|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FortranType|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranVectorCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranVectorCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranVectorCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|MachineFloat|))) (|ofCategory| *1 (|FortranVectorCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| *3)))) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *6 (|Vector| (|Matrix| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|RadixExpansion| 16)) (|isDomain| *1 (|HexadecimalExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|HexadecimalExpansion|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|IndexCard|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *1 (|AssociatedJordanAlgebra| *3 *2)) (|ofCategory| *2 (|NonAssociativeAlgebra| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|CoercibleTo| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|LeftAlgebra| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|XPBWPolynomial| *3 *4)) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *1 (|AssociatedLieAlgebra| *3 *2)) (|ofCategory| *2 (|NonAssociativeAlgebra| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Magma| *3)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| *3)))) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| *3)))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3)) (|isDomain| *1 (|MappingPackage1| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|MachineComplex|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Complex| (|MachineInteger|))) (|isDomain| *1 (|MachineComplex|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Complex| (|MachineFloat|))) (|isDomain| *1 (|MachineComplex|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Complex| (|Integer|))) (|isDomain| *1 (|MachineComplex|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|MachineComplex|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|MachineInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *2 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|MachineInteger|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|MakeCachableSet| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|MathMLFormat|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|ModularField| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |index| *3) (|:| |exponent| *4))) (|isDomain| *1 (|ModuleMonomial| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|SetCategory|)) (|ofType| *5 (|Mapping| (|Boolean|) *2 *2)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |index| *3) (|:| |exponent| *4))) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|ModuleMonomial| *3 *4 *5)) (|ofType| *5 (|Mapping| (|Boolean|) *2 *2)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |coef| *3) (|:| |monom| *4)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)) (|isDomain| *1 (|MonoidRing| *3 *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|MyUnivariatePolynomial| *3 *4))) (|ofType| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|MyExpression| *3 *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MyUnivariatePolynomial| *3 *4)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *3)) (|ofType| *3 (|Symbol|)) (|isDomain| *1 (|MyUnivariatePolynomial| *3 *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|MyUnivariatePolynomial| *3 *2)) (|ofType| *3 (|Symbol|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|NonAssociativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) (|isDomain| *1 (|NumericalIntegrationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalIntegrationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalIntegrationProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|NumericalIntegrationProblem|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|None|)) (|isDomain| *1 (|NoneFunctions1| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalODEProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|NumericalODEProblem|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|PartialDifferentialRing| *3)) (|isDomain| *1 (|OrdinaryDifferentialRing| *3 *2 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofType| *4 *3))) ((*1 *1 *2) (AND (|ofCategory| *3 (|SetCategory|)) (|ofType| *4 *3) (|isDomain| *1 (|OrdinaryDifferentialRing| *3 *2 *4)) (|ofCategory| *2 (|PartialDifferentialRing| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OpenMathErrorKind|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) (|isDomain| *1 (|NumericalOptimizationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *1 (|NumericalOptimizationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|isDomain| *1 (|NumericalOptimizationProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|NumericalOptimizationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *3)) (|ofType| *3 (|Symbol|)) (|isDomain| *1 (|UnivariateSkewPolynomial| *3 *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Automorphism| *4)) (|ofType| *6 (|Mapping| *4 *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OrdSetInts|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|OrdinaryWeightedPolynomials| *3 *4 *5 *6)) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|List| (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Polynomial| *3)) (|isDomain| *1 (|OrdinaryWeightedPolynomials| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|List| (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|AlgebraicNumber|))) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PolynomialAN2Expression|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|AlgebraicNumber|)))) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PolynomialAN2Expression|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalPDEProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|NumericalPDEProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Tree| *3)) (|isDomain| *1 (|PendantTree| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PermutationGroup| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Factored| *3))) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|PartialFraction| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| *3)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Pi|)) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|PiCoercions| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|Partition|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ResolveLatticeCompletion| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Exit|)) (|isDomain| *1 (|ResolveLatticeCompletion| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|ResidueRing| *3 *4 *5 *2 *6)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)) (|ofType| *6 (|List| *2)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|RetractableTo| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|RationalFunction| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|RectangularMatrix| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Ring|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *4 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 (|IndexedExponents| *4) *4)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *2 *4)) (|ofCategory| *4 (|PolynomialCategory| *3 (|IndexedExponents| *2) *2)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|SquareMatrix| *3 *4)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Character|)) (|ofCategory| *1 (|StringAggregate|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePolynomial| *4 *3)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Switch|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Symbol|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Table| (|Symbol|) (|FortranType|))) (|isDomain| *1 (|SymbolTable|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Tableau| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|TexFormat|)) (|isDomain| *1 (|TexFormat1| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|TexFormat|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|TaylorSeries| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|PrimitiveArray| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Tuple| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| (QUOTE |x|))) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePolynomial| (QUOTE |x|) *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|Segment| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|UniversalSegment| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *3)) (|ofType| *3 (|Symbol|)) (|isDomain| *1 (|UnivariatePolynomial| *3 *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePolynomial| *4 *3)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePolynomial| *4 *3)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Variable| *3)) (|ofType| *3 *2))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|GraphImage|)) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|ViewportPackage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Void|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofType| *6 (|List| *4)) (|isDomain| *1 (|WeightedPolynomials| *3 *4 *5 *2 *6 *7 *8)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)) (|ofType| *7 (|List| (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)) (|isDomain| *1 (|WeightedPolynomials| *3 *4 *5 *2 *6 *7 *8)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofType| *6 (|List| *4)) (|ofType| *7 (|List| (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|XAlgebra| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|XRecursivePolynomial| *3 *4)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)))) ((*1 *1 *2) (AND (|isDomain| *1 (|XPolynomialRing| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedMonoid|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|MatrixCategory| *2 *3 *4)) (|ofCategory| *3 (|FiniteLinearAggregate| *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|CommutativeRing|))))) 
+(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *7 *7)) (|isDomain| *5 (|Mapping| (|Union| (|List| *6) "failed") (|Integer|) *6 *6)) (|ofCategory| *6 (|Field|)) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|Record| (|:| |answer| (|IntegrationResult| (|Fraction| *7))) (|:| |a0| *6))) (|isDomain| *1 (|TranscendentalIntegration| *6 *7)) (|isDomain| *3 (|Fraction| *7))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|AlgebraicNumber|))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|ofCategory| (|AlgebraicNumber|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|AlgebraicNumber|)) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessAlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessFinite| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessFinite| *4)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *4 (|Join| (|FiniteFieldCategory|) (|ConvertibleTo| (|Integer|)))))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Integer|)))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Integer|)) (|RetractableTo| *3)) (|ofCategory| (|Integer|) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Integer|))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessInteger|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *4)) (|ofCategory| *4 (|Field|)) (|ofType| *9 (|Mapping| *6 *4)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *5)) (|isDomain| *4 (|List| (|GuessOption|))) (|ofCategory| *5 (|Field|)) (|ofType| *10 (|Mapping| *7 *5)) (|ofCategory| *8 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *9 (|Mapping| *5 *8)) (|isDomain| *2 (|List| (|Record| (|:| |function| *7) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|Guess| *5 *6 *7 *8 *9 *10)) (|ofCategory| *6 (|GcdDomain|)) (|ofCategory| *7 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *8) (|RetractableTo| (|Symbol|)) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| (|Symbol|)) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|ofCategory| *7 (|Join| (|OrderedSet|) (|IntegralDomain|))) (|ofType| *8 (|Mapping| *4 *7)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| *6) (|:| |order| (|NonNegativeInteger|)))) (|List| *4) (|List| (|GuessOption|)))) (|isDomain| *1 (|Guess| *4 *5 *6 *7 *8 *9)) (|ofCategory| *4 (|RetractableTo| *3)) (|ofCategory| *5 (|RetractableTo| *3)) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|GcdDomain|)) (|ofCategory| *6 (|Join| (|FunctionSpace| (|Integer|)) (|IntegralDomain|) (|RetractableTo| *7) (|RetractableTo| *3) (|RetractableTo| (|Integer|)) (|CombinatorialOpsCategory|) (|PartialDifferentialRing| *3) (CATEGORY |domain| (SIGNATURE * ($ $ $)) (SIGNATURE / ($ $ $)) (SIGNATURE ** ($ $ $)) (SIGNATURE |numerator| ($ $)) (SIGNATURE |denominator| ($ $)) (SIGNATURE |ground?| ((|Boolean|) $))))) (|ofType| *9 (|Mapping| *6 *4)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|Polynomial| (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|isDomain| *2 (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|ofCategory| (|Fraction| (|Polynomial| (|Integer|))) (|RetractableTo| *3)) (|ofCategory| (|Polynomial| (|Integer|)) (|RetractableTo| *3)) (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|Expression| (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|Polynomial| (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessPolynomial|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|))))) (|ofType| *4 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|Fraction| (|MyUnivariatePolynomial| *5 (|Integer|))))) (|isDomain| *4 (|List| (|GuessOption|))) (|ofType| *5 (|Symbol|)) (|isDomain| *2 (|List| (|Record| (|:| |function| (|MyExpression| *5 (|Integer|))) (|:| |order| (|NonNegativeInteger|))))) (|isDomain| *1 (|GuessUnivariatePolynomial| *5)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Mapping| (|List| (|Record| (|:| |function| (|MyExpression| *4 (|Integer|))) (|:| |order| (|NonNegativeInteger|)))) (|List| (|Fraction| (|MyUnivariatePolynomial| *4 (|Integer|)))) (|List| (|GuessOption|)))) (|isDomain| *1 (|GuessUnivariatePolynomial| *4)) (|ofType| *4 *3)))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *2 (|Float|)) (|isDomain| *1 (|d02AgentsPackage|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|AffineSpaceCategory| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|AffineSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|Algebra| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| *3)) (|ofCategory| *3 (|Field|)) (|ofType| *6 (|Vector| (|Matrix| *3))) (|isDomain| *1 (|AlgebraGivenByStructuralConstants| *3 *4 *5 *6)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Any|)) (|isDomain| *1 (|AnyFunctions1| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE JINT) (QUOTE X) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp10| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) (|isDomain| *1 (|Asp19| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|))) (|isDomain| *1 (|Asp1| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|FortranExpression| (|construct|) (|construct| (QUOTE X) (QUOTE HESS)) (|MachineFloat|)))) (|isDomain| *1 (|Asp20| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|))) (|isDomain| *1 (|Asp24| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) (|isDomain| *1 (|Asp31| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) (|isDomain| *1 (|Asp35| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE EPS)) (|construct| (QUOTE Y)) (|MachineFloat|)))) (|isDomain| *1 (|Asp41| *3 *4 *5)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE EPS)) (|construct| (QUOTE YA) (QUOTE YB)) (|MachineFloat|)))) (|isDomain| *1 (|Asp42| *3 *4 *5)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) (|isDomain| *1 (|Asp49| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|))) (|isDomain| *1 (|Asp4| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE XC)) (|MachineFloat|)))) (|isDomain| *1 (|Asp50| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) (|isDomain| *1 (|Asp55| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct|) (|construct| (QUOTE X)) (|MachineFloat|)))) (|isDomain| *1 (|Asp6| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp73| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|FortranExpression| (|construct| (QUOTE X) (QUOTE Y)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp74| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp77| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp78| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|)))) (|isDomain| *1 (|Asp7| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|FortranExpression| (|construct| (QUOTE XL) (QUOTE XR) (QUOTE ELAM)) (|construct|) (|MachineFloat|)))) (|isDomain| *1 (|Asp80| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranExpression| (|construct| (QUOTE X)) (|construct| (QUOTE Y)) (|MachineFloat|))) (|isDomain| *1 (|Asp9| *3)) (|ofType| *3 (|Symbol|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|ArrayStack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|RadixExpansion| 2)) (|isDomain| *1 (|BinaryExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|BinaryExpansion|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|ofCategory| *1 (|BlowUpMethodCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|CartesianTensor| *3 *4 *5))) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *5)) (|ofCategory| *5 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)) (|ofType| *4 (|NonNegativeInteger|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SquareMatrix| *4 *5)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|DirectProduct| *4 *5)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|CommutativeRing|)) (|isDomain| *1 (|CartesianTensor| *3 *4 *5)) (|ofType| *3 (|Integer|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Vector| (|Matrix| *4))) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Vector| (|Matrix| (|Fraction| (|Polynomial| *4))))) (|isDomain| *1 (|CoerceVectorMatrixPackage| *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |elt| ((|String|) $ (|Symbol|))) (SIGNATURE |display| ((|Void|) $)) (SIGNATURE |fullDisplay| ((|Void|) $))))) (|isDomain| *1 (|Database| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|RadixExpansion| 10)) (|isDomain| *1 (|DecimalExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|DecimalExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|DirichletRing| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|DirichletRing| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Mapping| *3 (|PositiveInteger|))) (|isDomain| *1 (|DirichletRing| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Mapping| *3 (|PositiveInteger|))) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|DirichletRing| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|DataList| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|OrderedSet|)) (|isDomain| *1 (|DataList| *3)))) ((*1 *2 *3) (AND (|isDomain| *3 (|SegmentBinding| (|Expression| *4))) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|) (|ConvertibleTo| (|Float|)))) (|isDomain| *2 (|SegmentBinding| (|Float|))) (|isDomain| *1 (|DrawNumericHack| *4)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|DifferentialVariableCategory| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|ExtAlgBasis|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)) (|isDomain| *1 (|EuclideanModularRing| *3 *2 *4 *5 *6 *7)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *4 (|AbelianMonoid|)) (|ofType| *5 (|Mapping| *2 *2 *4)) (|ofType| *6 (|Mapping| (|Union| *4 "failed") *4 *4)) (|ofType| *7 (|Mapping| (|Union| *2 "failed") *2 *2 *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *4 *5 *6)) (|ofCategory| *4 (|Join| (|AlgebraicallyClosedField|) (|TranscendentalFunctionCategory|) (|FunctionSpace| *3))) (|ofType| *5 (|Symbol|)) (|ofType| *6 *4) (|ofCategory| *3 (|Join| (|OrderedSet|) (|RetractableTo| (|Integer|)) (|LinearlyExplicitRingOver| (|Integer|)) (|GcdDomain|))) (|isDomain| *1 (|ExponentialExpansion| *3 *4 *5 *6)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FortranCode|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Expression| *5)) (|isDomain| *1 (|FortranExpression| *3 *4 *5)) (|ofType| *3 (|List| (|Symbol|))) (|ofType| *4 (|List| (|Symbol|))) (|ofCategory| *5 (|FortranMachineTypeCategory|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *2 (|FiniteAlgebraicExtensionField| *4)) (|isDomain| *1 (|FiniteFieldHomomorphisms| *3 *4 *2)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|ofCategory| *2 (|FiniteAlgebraicExtensionField| *4)) (|isDomain| *1 (|FiniteFieldHomomorphisms| *2 *4 *3)) (|ofCategory| *3 (|FiniteAlgebraicExtensionField| *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|XRecursivePolynomial| *3 *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FreeLieAlgebra| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|XDistributedPolynomial| *3 *4)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|FreeLieAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|CommutativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranMatrixCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranMatrixCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranMatrixCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Matrix| (|MachineFloat|))) (|ofCategory| *1 (|FortranMatrixCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranMatrixFunctionCategory|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|ofCategory| *1 (|FileNameCategory|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|ScriptFormulaFormat|)) (|isDomain| *1 (|ScriptFormulaFormat1| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|ScriptFormulaFormat|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|Complex| (|Float|))))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|Float|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|Integer|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Complex| (|Float|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Float|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|MachineComplex|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|MachineFloat|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Equation| (|Expression| (|MachineInteger|)))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineComplex|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineFloat|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|isDomain| *1 (|FortranProgram| *3 *4 *5 *6)) (|ofType| *3 (|Symbol|)) (|ofType| *4 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|ofType| *5 (|List| (|Symbol|))) (|ofType| *6 (|SymbolTable|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FourierComponent| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|AbelianGroup|))) (|isDomain| *1 (|FourierSeries| *3 *4)) (|ofCategory| *3 (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|))))))) ((*1 *1 *2) (AND (|isDomain| *1 (|FourierSeries| *2 *3)) (|ofCategory| *2 (|Join| (|CommutativeRing|) (|Algebra| (|Fraction| (|Integer|))))) (|ofCategory| *3 (|Join| (|OrderedSet|) (|AbelianGroup|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Polynomial| (|Fraction| *3)))) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| (|Fraction| *3))) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| *3 (|Kernel| *1))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *1 (|FunctionSpace| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|SExpression|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|FortranScalarType|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranScalarType|)) (|isDomain| *1 (|FortranType|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|FortranType|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranVectorCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranVectorCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranVectorCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|MachineFloat|))) (|ofCategory| *1 (|FortranVectorCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |localSymbols| (|SymbolTable|)) (|:| |code| (|List| (|FortranCode|))))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|FortranCode|)) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|FortranCode|))) (|ofCategory| *1 (|FortranVectorFunctionCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Vector| (|Fraction| (|Polynomial| *3)))) (|ofCategory| *3 (|CommutativeRing|)) (|ofType| *6 (|Vector| (|Matrix| *3))) (|isDomain| *1 (|GenericNonAssociativeAlgebra| *3 *4 *5 *6)) (|ofType| *4 (|PositiveInteger|)) (|ofType| *5 (|List| (|Symbol|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|GraphImage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|GraphImage|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|GeneralUnivariatePowerSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Heap| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|RadixExpansion| 16)) (|isDomain| *1 (|HexadecimalExpansion|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|HexadecimalExpansion|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|HTMLFormat|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|SparseMultivariatePolynomial| (|Integer|) (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|IndexCard|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *6)) (|ofCategory| *6 (|PolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|PolynomialIdeals| *3 *4 *5 *6)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *1 (|AssociatedJordanAlgebra| *3 *2)) (|ofCategory| *2 (|NonAssociativeAlgebra| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|CoercibleTo| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|LeftAlgebra| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|XPBWPolynomial| *3 *4)) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|isDomain| *1 (|LieExponentials| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Join| (|CommutativeRing|) (|Module| (|Fraction| (|Integer|))))) (|ofType| *5 (|PositiveInteger|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *1 (|AssociatedLieAlgebra| *3 *2)) (|ofCategory| *2 (|NonAssociativeAlgebra| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))))) ((*1 *1 *2) (AND (|isDomain| *2 (|Stream| (|Record| (|:| |k| (|Integer|)) (|:| |c| *3)))) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|LocalPowerSeriesCategory| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Magma| *3)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| *3)))) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|PrimitiveArray| (|PrimitiveArray| (|PrimitiveArray| *3)))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|ThreeDimensionalMatrix| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Mapping| *3)) (|isDomain| *1 (|MappingPackage1| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|MatrixCategory| *3 *4 *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *3)) (|ofCategory| *2 (|FiniteLinearAggregate| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|MachineComplex|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Complex| (|MachineInteger|))) (|isDomain| *1 (|MachineComplex|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Complex| (|MachineFloat|))) (|isDomain| *1 (|MachineComplex|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Complex| (|Integer|))) (|isDomain| *1 (|MachineComplex|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Complex| (|Float|))) (|isDomain| *1 (|MachineComplex|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|MachineInteger|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Float|)) (|isDomain| *1 (|MachineFloat|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Expression| (|Integer|))) (|isDomain| *2 (|Expression| (|MachineInteger|))) (|isDomain| *1 (|MachineInteger|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|MakeCachableSet| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|OutputForm|)) (|isDomain| *2 (|String|)) (|isDomain| *1 (|MathMLFormat|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|ModularField| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|ModMonic| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |index| *3) (|:| |exponent| *4))) (|isDomain| *1 (|ModuleMonomial| *3 *4 *5)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|SetCategory|)) (|ofType| *5 (|Mapping| (|Boolean|) *2 *2)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |index| *3) (|:| |exponent| *4))) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *1 (|ModuleMonomial| *3 *4 *5)) (|ofType| *5 (|Mapping| (|Boolean|) *2 *2)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|CommutativeRing|)) (|isDomain| *1 (|ModularRing| *2 *3 *4 *5 *6)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 (|Mapping| *2 *2 *3)) (|ofType| *5 (|Mapping| (|Union| *3 "failed") *3 *3)) (|ofType| *6 (|Mapping| (|Union| *2 "failed") *2 *2 *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Record| (|:| |coef| *3) (|:| |monom| *4)))) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|Monoid|)) (|isDomain| *1 (|MonoidRing| *3 *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|MyUnivariatePolynomial| *3 *4))) (|ofType| *3 (|Symbol|)) (|ofCategory| *4 (|Join| (|Ring|) (|OrderedSet|) (|IntegralDomain|))) (|isDomain| *1 (|MyExpression| *3 *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *4)) (|ofCategory| *4 (|Ring|)) (|isDomain| *1 (|MyUnivariatePolynomial| *3 *4)) (|ofType| *3 (|Symbol|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *3)) (|ofType| *3 (|Symbol|)) (|isDomain| *1 (|MyUnivariatePolynomial| *3 *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|MyUnivariatePolynomial| *3 *2)) (|ofType| *3 (|Symbol|)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|NonAssociativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|:| |nia| (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|:| |mdnia| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))))) (|isDomain| *1 (|NumericalIntegrationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|List| (|Segment| (|OrderedCompletion| (|DoubleFloat|))))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalIntegrationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |var| (|Symbol|)) (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |range| (|Segment| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalIntegrationProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|NumericalIntegrationProblem|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|None|)) (|isDomain| *1 (|NoneFunctions1| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |xinit| (|DoubleFloat|)) (|:| |xend| (|DoubleFloat|)) (|:| |fn| (|Vector| (|Expression| (|DoubleFloat|)))) (|:| |yinit| (|List| (|DoubleFloat|))) (|:| |intvals| (|List| (|DoubleFloat|))) (|:| |g| (|Expression| (|DoubleFloat|))) (|:| |abserr| (|DoubleFloat|)) (|:| |relerr| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalODEProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|NumericalODEProblem|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|PartialDifferentialRing| *3)) (|isDomain| *1 (|OrdinaryDifferentialRing| *3 *2 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofType| *4 *3))) ((*1 *1 *2) (AND (|ofCategory| *3 (|SetCategory|)) (|ofType| *4 *3) (|isDomain| *1 (|OrdinaryDifferentialRing| *3 *2 *4)) (|ofCategory| *2 (|PartialDifferentialRing| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|OpenMathErrorKind|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|:| |noa| (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|:| |lsa| (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))))) (|isDomain| *1 (|NumericalOptimizationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |lfn| (|List| (|Expression| (|DoubleFloat|)))) (|:| |init| (|List| (|DoubleFloat|))))) (|isDomain| *1 (|NumericalOptimizationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |fn| (|Expression| (|DoubleFloat|))) (|:| |init| (|List| (|DoubleFloat|))) (|:| |lb| (|List| (|OrderedCompletion| (|DoubleFloat|)))) (|:| |cf| (|List| (|Expression| (|DoubleFloat|)))) (|:| |ub| (|List| (|OrderedCompletion| (|DoubleFloat|)))))) (|isDomain| *1 (|NumericalOptimizationProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|NumericalOptimizationProblem|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *3)) (|ofType| *3 (|Symbol|)) (|isDomain| *1 (|UnivariateSkewPolynomial| *3 *4 *5 *6)) (|ofCategory| *4 (|Ring|)) (|ofType| *5 (|Automorphism| *4)) (|ofType| *6 (|Mapping| *4 *4)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|OrdSetInts|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|OrdinaryWeightedPolynomials| *3 *4 *5 *6)) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|List| (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Polynomial| *3)) (|isDomain| *1 (|OrdinaryWeightedPolynomials| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|List| (|Symbol|))) (|ofType| *5 (|List| (|NonNegativeInteger|))) (|ofType| *6 (|NonNegativeInteger|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Color|)) (|isDomain| *1 (|Palette|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Polynomial| (|AlgebraicNumber|))) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PolynomialAN2Expression|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Fraction| (|Polynomial| (|AlgebraicNumber|)))) (|isDomain| *2 (|Expression| (|Integer|))) (|isDomain| *1 (|PolynomialAN2Expression|)))) ((*1 *1 *2) (AND (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *2)) (|ofCategory| *2 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OrderedFreeMonoid| *3)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Record| (|:| |pde| (|List| (|Expression| (|DoubleFloat|)))) (|:| |constraints| (|List| (|Record| (|:| |start| (|DoubleFloat|)) (|:| |finish| (|DoubleFloat|)) (|:| |grid| (|NonNegativeInteger|)) (|:| |boundaryType| (|Integer|)) (|:| |dStart| (|Matrix| (|DoubleFloat|))) (|:| |dFinish| (|Matrix| (|DoubleFloat|)))))) (|:| |f| (|List| (|List| (|Expression| (|DoubleFloat|))))) (|:| |st| (|String|)) (|:| |tol| (|DoubleFloat|)))) (|isDomain| *1 (|NumericalPDEProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|NumericalPDEProblem|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Tree| *3)) (|isDomain| *1 (|PendantTree| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|PermutationGroup| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Permutation| *3))) (|isDomain| *1 (|PermutationGroup| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| (|List| *3))) (|ofCategory| *3 (|SetCategory|)) (|isDomain| *1 (|Permutation| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Fraction| (|Factored| *3))) (|ofCategory| *3 (|EuclideanDomain|)) (|isDomain| *1 (|PartialFraction| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| *3)) (|isDomain| *1 (|PartialFraction| *3)) (|ofCategory| *3 (|EuclideanDomain|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Pi|)) (|isDomain| *2 (|Expression| *4)) (|isDomain| *1 (|PiCoercions| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *3 (|Field|)) (|isDomain| *2 (|List| *3)))) ((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Integer|))) (|isDomain| *1 (|Partition|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ResolveLatticeCompletion| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|Exit|)) (|isDomain| *1 (|ResolveLatticeCompletion| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Field|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|ResidueRing| *3 *4 *5 *2 *6)) (|ofCategory| *2 (|PolynomialCategory| *3 *4 *5)) (|ofType| *6 (|List| *2)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|RetractableTo| *2)) (|ofCategory| *2 (|Type|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Fraction| (|Polynomial| *3))) (|isDomain| *1 (|RationalFunction| *3)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|ofCategory| *1 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Matrix| *5)) (|isDomain| *1 (|RectangularMatrix| *3 *4 *5)) (|ofType| *3 (|NonNegativeInteger|)) (|ofType| *4 (|NonNegativeInteger|)) (|ofCategory| *5 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|SparseEchelonMatrix| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *4 *2)) (|ofCategory| *2 (|PolynomialCategory| *3 (|IndexedExponents| *4) *4)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|SparseMultivariateTaylorSeries| *3 *2 *4)) (|ofCategory| *4 (|PolynomialCategory| *3 (|IndexedExponents| *2) *2)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ThreeSpaceCategory| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *2 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Matrix| *4)) (|isDomain| *1 (|SquareMatrix| *3 *4)) (|ofType| *3 (|NonNegativeInteger|)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Character|)) (|ofCategory| *1 (|StringAggregate|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Stack| *3)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|List| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Stream| *3)))) ((*1 *2 *3) (AND (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamTaylorSeriesOperations| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePolynomial| *4 *3)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3) (|isDomain| *1 (|SparseUnivariateTaylorSeries| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Switch|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|String|)) (|isDomain| *1 (|Symbol|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Table| (|Symbol|) (|FortranType|))) (|isDomain| *1 (|SymbolTable|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Tableau| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3) (AND (|isDomain| *2 (|TexFormat|)) (|isDomain| *1 (|TexFormat1| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|TexFormat|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Polynomial| *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|TaylorSeries| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|TaylorSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|PrimitiveArray| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|Tuple| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| (QUOTE |x|))) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePolynomial| (QUOTE |x|) *3)) (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariateFormalPowerSeries| *3)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariateLaurentSeriesConstructorCategory| *3 *2)) (|ofCategory| *2 (|UnivariateTaylorSeriesCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateLaurentSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|Segment| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|UniversalSegment| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *3)) (|ofType| *3 (|Symbol|)) (|isDomain| *1 (|UnivariatePolynomial| *3 *4)) (|ofCategory| *4 (|Ring|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *1 (|UnivariatePuiseuxSeriesConstructorCategory| *3 *2)) (|ofCategory| *2 (|UnivariateLaurentSeriesCategory| *3)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariatePuiseuxSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)) (|ofCategory| *3 (|Ring|)) (|ofType| *5 *3))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePolynomial| *4 *3)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|ofType| *5 *3) (|isDomain| *1 (|UnivariateTaylorSeries| *3 *4 *5)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Variable| *4)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)) (|ofCategory| *3 (|Ring|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|UnivariatePolynomial| *4 *3)) (|ofCategory| *3 (|Ring|)) (|ofType| *4 (|Symbol|)) (|isDomain| *1 (|UnivariateTaylorSeriesCZero| *3 *4)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Symbol|)) (|isDomain| *1 (|Variable| *3)) (|ofType| *3 *2))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|GraphImage|)) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|ViewportPackage|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|OutputForm|)) (|isDomain| *1 (|Void|)))) ((*1 *1 *2) (AND (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofType| *6 (|List| *4)) (|isDomain| *1 (|WeightedPolynomials| *3 *4 *5 *2 *6 *7 *8)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)) (|ofType| *7 (|List| (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)) (|isDomain| *1 (|WeightedPolynomials| *3 *4 *5 *2 *6 *7 *8)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedSet|)) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofType| *6 (|List| *4)) (|ofType| *7 (|List| (|NonNegativeInteger|))) (|ofType| *8 (|NonNegativeInteger|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|XAlgebra| *2)) (|ofCategory| *2 (|Ring|)))) ((*1 *1 *2) (AND (|ofCategory| *1 (|XFreeAlgebra| *2 *3)) (|ofCategory| *2 (|OrderedSet|)) (|ofCategory| *3 (|Ring|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|XRecursivePolynomial| *3 *4)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|XDistributedPolynomial| *3 *4)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|LiePolynomial| *3 *4)) (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *1 (|XPBWPolynomial| *3 *4)))) ((*1 *1 *2) (AND (|isDomain| *1 (|XPolynomialRing| *3 *2)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *2 (|OrderedMonoid|))))) 
 (((*1 *2 *2 *3) (AND (|isDomain| *3 (|List| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6)))) ((*1 *2 *2 *3) (AND (|isDomain| *3 (|Segment| (|PositiveInteger|))) (|ofCategory| *4 (|Field|)) (|ofCategory| *5 (|FiniteLinearAggregate| *4)) (|ofCategory| *6 (|FiniteLinearAggregate| *4)) (|isDomain| *1 (|MatrixManipulation| *4 *5 *6 *2)) (|ofCategory| *2 (|MatrixCategory| *4 *5 *6))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|Stream| (|Integer|))) (|isDomain| *1 (|RadixExpansion| *3)) (|ofType| *3 (|Integer|))))) 
-(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *1 (|TubePlot| *3)) (|ofCategory| *3 (|PlottableSpaceCurveCategory|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4 *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *1 (|SortPackage| *4 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *4) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|)))))) ((*1 *2 *2) (AND (|ofCategory| *3 (|OrderedSet|)) (|ofCategory| *3 (|Type|)) (|isDomain| *1 (|SortPackage| *3 *2)) (|ofCategory| *2 (|Join| (|IndexedAggregate| (|Integer|) *3) (CATEGORY |package| (ATTRIBUTE |finiteAggregate|) (ATTRIBUTE |shallowlyMutable|))))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|NonNegativeInteger|)) (|isDomain| *5 (|List| *3)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *6 (|OrderedSet|)) (|ofCategory| *7 (|OrderedAbelianMonoidSup|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|LeadingCoefDetermination| *6 *7 *3 *8)) (|ofCategory| *8 (|PolynomialCategory| *3 *7 *6))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| *6)) (|isDomain| *3 (|Integer|)) (|ofCategory| *6 (|EuclideanDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|isDomain| *1 (|MultivariateSquareFree| *4 *5 *6 *7)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5))))) 
-(((*1 *2 *2 *2) (AND (|ofCategory| *3 (|Ring|)) (|isDomain| *1 (|UnivariatePolynomialMultiplicationPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *7))) (|isDomain| *4 (|Mapping| (|List| *6) *7)) (|isDomain| *5 (|Mapping| (|Factored| *7) *7)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|List| (|Fraction| *7))) (|isDomain| *1 (|RationalRicDE| *6 *7)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|List| *5) *6)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *7 (|Fraction| *7))) (|isDomain| *4 (|Mapping| (|List| *6) *7)) (|isDomain| *5 (|Mapping| (|Factored| *7) *7)) (|ofCategory| *6 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|ofCategory| *7 (|UnivariatePolynomialCategory| *6)) (|isDomain| *2 (|List| (|Fraction| *7))) (|isDomain| *1 (|RationalRicDE| *6 *7)))) ((*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *5))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *5))) (|isDomain| *1 (|RationalRicDE| *4 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator1| (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|AlgebraicallyClosedField|)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6)))) ((*1 *2 *3) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *5 (|Fraction| *5))) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|ofCategory| *4 (|AlgebraicallyClosedField|)) (|ofCategory| *4 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *5))) (|isDomain| *1 (|RationalRicDE| *4 *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|LinearOrdinaryDifferentialOperator2| *6 (|Fraction| *6))) (|isDomain| *4 (|Mapping| (|Factored| *6) *6)) (|ofCategory| *6 (|UnivariatePolynomialCategory| *5)) (|ofCategory| *5 (|AlgebraicallyClosedField|)) (|ofCategory| *5 (|Join| (|Field|) (|CharacteristicZero|) (|RetractableTo| (|Integer|)) (|RetractableTo| (|Fraction| (|Integer|))))) (|isDomain| *2 (|List| (|Fraction| *6))) (|isDomain| *1 (|RationalRicDE| *5 *6))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|OnePointCompletion| (|DoubleFloat|))) (|isDomain| *1 (|DoubleFloatSpecialFunctions|))))) 
-(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedDirectProductCategory| *3 *2)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|))))) 
-(((*1 *2 *1 *1) (|partial| AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)) (|isDomain| *2 (|SparseUnivariatePolynomial| *3))))) 
+(((*1 *2 *1 *1) (AND (|ofCategory| *1 (|PolynomialSetCategory| *3 *4 *5 *6)) (|ofCategory| *3 (|Ring|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|RecursivePolynomialCategory| *3 *4 *5)) (|ofCategory| *3 (|IntegralDomain|)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|FunctionSpace| *4)) (|isDomain| *1 (|FunctionalSpecialFunction| *4 *2)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|ComplexCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|Factored| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|IntegralDomain|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|OctonionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OnePointCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|OrderedCompletion| *3)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (|partial| AND (|ofCategory| *1 (|QuaternionCategory| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|ofCategory| *3 (|IntegerNumberSystem|)) (|isDomain| *2 (|Fraction| (|Integer|))))) ((*1 *2 *3) (|partial| AND (|isDomain| *2 (|Fraction| (|Integer|))) (|isDomain| *1 (|RationalRetractions| *3)) (|ofCategory| *3 (|RetractableTo| *2))))) 
+(((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| *5)) (|ofCategory| *5 (|Field|)) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|LinearDependence| *5 *4)))) ((*1 *2 *3 *4) (|partial| AND (|isDomain| *3 (|Vector| *4)) (|ofCategory| *4 (|LinearlyExplicitRingOver| *5)) (|not| (|ofCategory| *5 (|Field|))) (|ofCategory| *5 (|IntegralDomain|)) (|isDomain| *2 (|Vector| (|Fraction| *5))) (|isDomain| *1 (|LinearDependence| *5 *4))))) 
 (((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|OutputForm|))) (|isDomain| *1 (|OutputForm|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|Record| (|:| |sub| (|List| (|OutputForm|))) (|:| |sup| (|List| (|OutputForm|))) (|:| |presup| (|List| (|OutputForm|))) (|:| |presub| (|List| (|OutputForm|))) (|:| |args| (|List| (|OutputForm|))))) (|isDomain| *1 (|Symbol|))))) 
-(((*1 *2 *3) (AND (|isDomain| *2 (|Complex| *4)) (|isDomain| *1 (|ComplexRootFindingPackage| *4 *3)) (|ofCategory| *4 (|Join| (|Field|) (|OrderedRing|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2))))) 
-(((*1 *2 *3 *4 *4 *5 *6) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|Palette|)) (|isDomain| *5 (|PositiveInteger|)) (|isDomain| *6 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|ViewportPackage|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| (|List| (|Point| (|DoubleFloat|))))) (|isDomain| *4 (|List| (|DrawOption|))) (|isDomain| *2 (|TwoDimensionalViewport|)) (|isDomain| *1 (|ViewportPackage|))))) 
-(((*1 *2 *2) (AND (|ofCategory| *3 (|Join| (|OrderedSet|) (|GcdDomain|))) (|isDomain| *1 (|TranscendentalManipulations| *3 *2)) (|ofCategory| *2 (|Join| (|FunctionSpace| *3) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|)) (|isDomain| *2 (|AffinePlane| *3))))) 
+(((*1 *2 *3 *4 *4 *4) (AND (|isDomain| *3 (|U32Vector|)) (|isDomain| *4 (|Integer|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|U32VectorPolynomialOperations|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *3 (|List| *2)) (|isDomain| *4 (|Mapping| (|Boolean|) *2 *2)) (|isDomain| *1 (|UserDefinedPartialOrdering| *2)) (|ofCategory| *2 (|SetCategory|)))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| *2)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|)) (|isDomain| *1 (|UserDefinedPartialOrdering| *2))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *6 (|IntegralDomain|)) (|ofCategory| *2 (|PolynomialCategory| *3 *5 *4)) (|isDomain| *1 (|MPolyCatRationalFunctionFactorizer| *5 *4 *6 *2)) (|isDomain| *3 (|Fraction| (|Polynomial| *6))) (|ofCategory| *5 (|OrderedAbelianMonoidSup|)) (|ofCategory| *4 (|Join| (|OrderedSet|) (CATEGORY |domain| (SIGNATURE |convert| ((|Symbol|) $)))))))) 
 (((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Dequeue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *4) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *4 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *1 *1) (|ofCategory| *1 (|IntegerNumberSystem|))) ((*1 *2 *1) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|LyndonWord| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|PositiveInteger|)) (|isDomain| *1 (|Magma| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|OrderedFreeMonoid| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|PoincareBirkhoffWittLyndonBasis| *3)) (|ofCategory| *3 (|OrderedSet|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QueueAggregate| *3)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|NonNegativeInteger|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Queue| *3)) (|ofCategory| *3 (|SetCategory|)))) ((*1 *2 *1) (AND (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|Tuple| *3)) (|ofCategory| *3 (|Type|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|VectorCategory| *2)) (|ofCategory| *2 (|Type|)) (|ofCategory| *2 (|RadicalCategory|)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *4 (|PlacesCategory| *5 *2)) (|ofCategory| *9 (|DivisorCategory| *4)) (|ofCategory| *10 (|InfinitlyClosePointCategory| *5 *6 *3 *7 *8 *2 *4 *9 *12)) (|ofCategory| *12 (|BlowUpMethodCategory|)) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|GeneralPackageForAlgebraicFunctionField| *5 *6 *3 *7 *8 *2 *4 *9 *10 *11 *12)) (|ofCategory| *11 (|DesingTreeCategory| *10)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *6 *5)) (|isDomain| *4 (|PlacesOverPseudoAlgebraicClosureOfFiniteField| *5)) (|ofCategory| *5 (|FiniteFieldCategory|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|NeitherSparseOrDensePowerSeries| (|PseudoAlgebraicClosureOfFiniteField| *5))) (|isDomain| *1 (|PackageForAlgebraicFunctionFieldOverFiniteField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *3 (|DistributedMultivariatePolynomial| *6 *5)) (|isDomain| *4 (|Places| *5)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|NeitherSparseOrDensePowerSeries| *5)) (|isDomain| *1 (|PackageForAlgebraicFunctionField| *5 *6 *7)) (|ofCategory| *7 (|BlowUpMethodCategory|)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *2)) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|ParametrizationPackage| *5 *6 *3 *7 *8 *2 *9)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *9 (|PlacesCategory| *5 *2)))) ((*1 *2 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|ParametrizationPackage| *5 *6 *3 *7 *8 *2 *4)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *4 (|PlacesCategory| *5 *2)))) ((*1 *2 *3 *3 *4) (AND (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *5)) (|isDomain| *1 (|ParametrizationPackage| *5 *6 *3 *7 *8 *2 *4)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5)) (|ofCategory| *4 (|PlacesCategory| *5 *2)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *5 (|Integer|)) (|ofCategory| *6 (|Field|)) (|ofType| *7 (|List| (|Symbol|))) (|ofCategory| *8 (|DirectProductCategory| (|#| *7) (|NonNegativeInteger|))) (|ofCategory| *2 (|LocalPowerSeriesCategory| *6)) (|isDomain| *1 (|ParametrizationPackage| *6 *7 *3 *8 *9 *2 *4)) (|ofCategory| *3 (|PolynomialCategory| *6 *8 (|OrderedVariableList| *7))) (|ofCategory| *9 (|ProjectiveSpaceCategory| *6)) (|ofCategory| *4 (|PlacesCategory| *6 *2))))) 
-(((*1 *2) (AND (|ofCategory| *3 (|UniqueFactorizationDomain|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| (|Fraction| *4))) (|isDomain| *2 (|Vector| *1)) (|ofCategory| *1 (|FunctionFieldCategory| *3 *4 *5)))) ((*1 *2) (AND (|ofCategory| *3 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *3)) (|:| |basisDen| *3) (|:| |basisInv| (|Matrix| *3)))) (|isDomain| *1 (|FunctionFieldIntegralBasis| *3 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *3 *4)))) ((*1 *2) (AND (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Integer|))) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| (|Integer|))) (|:| |basisDen| (|Integer|)) (|:| |basisInv| (|Matrix| (|Integer|))))) (|isDomain| *1 (|NumberFieldIntegralBasis| *3 *4)) (|ofCategory| *4 (|FramedAlgebra| (|Integer|) *3)))) ((*1 *2) (AND (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *4)) (|:| |basisDen| *4) (|:| |basisInv| (|Matrix| *4)))) (|isDomain| *1 (|PAdicWildFunctionFieldIntegralBasis| *3 *4 *5 *6)) (|ofCategory| *6 (|MonogenicAlgebra| *4 *5)))) ((*1 *2) (AND (|ofCategory| *3 (|FiniteFieldCategory|)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3)) (|ofCategory| *5 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Record| (|:| |basis| (|Matrix| *4)) (|:| |basisDen| *4) (|:| |basisInv| (|Matrix| *4)))) (|isDomain| *1 (|WildFunctionFieldIntegralBasis| *3 *4 *5 *6)) (|ofCategory| *6 (|FramedAlgebra| *4 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|GuessOption|))) (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|Union| (|NonNegativeInteger|) "arbitrary")) (|isDomain| *1 (|GuessOption|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Stack| (|String|))) (|isDomain| *1 (|FortranOutputStackPackage|))))) 
-(((*1 *2 *2 *1) (AND (|ofCategory| *1 (|TriangularSetCategory| *3 *4 *5 *2)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *2 (|RecursivePolynomialCategory| *3 *4 *5))))) 
-(((*1 *1 *1 *1) (AND (|isDomain| *1 (|NewSparseUnivariatePolynomial| *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *2 *3) (AND (|isDomain| *2 (|List| (|Polynomial| *4))) (|isDomain| *3 (|List| (|Symbol|))) (|ofCategory| *4 (|GcdDomain|)) (|isDomain| *1 (|PolyGroebner| *4))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|NonNegativeInteger|)) (|isDomain| *1 (|AlgebraPackage| *4 *3)) (|ofCategory| *3 (|FramedNonAssociativeAlgebra| *4))))) 
-(((*1 *2 *3 *3) (AND (|ofCategory| *4 (|IntegralDomain|)) (|isDomain| *2 (|Record| (|:| |coef2| *3) (|:| |subResultant| *3))) (|isDomain| *1 (|PseudoRemainderSequence| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+(((*1 *2) (AND (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|RootsFindingPackage| *3)) (|ofCategory| *3 (|Field|))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|Partition|)) (|isDomain| *1 (|Permutation| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *1 *2) (AND (|isDomain| *2 (|Expression| *3)) (|ofCategory| *3 (|Join| (|Ring|) (|OrderedSet|))) (|isDomain| *1 (|DeRhamComplex| *3 *4)) (|ofType| *4 (|List| (|Symbol|)))))) 
+(((*1 *1) (|isDomain| *1 (|Character|))) ((*1 *2 *3) (AND (|isDomain| *3 (|List| (|DrawOption|))) (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|DrawOptionFunctions0|)))) ((*1 *1 *2) (AND (|isDomain| *2 (|ThreeSpace| (|DoubleFloat|))) (|isDomain| *1 (|DrawOption|))))) 
+(((*1 *1) (|isDomain| *1 (|CharacterClass|)))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *2)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|)))))) 
+(((*1 *1 *1 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|Expression| *3)) (|ofCategory| *3 (|IntegralDomain|)) (|ofCategory| *3 (|OrderedSet|))))) 
+(((*1 *2 *3 *4 *2 *3 *2 *3) (AND (|isDomain| *2 (|PrimitiveArray| (|DoubleFloat|))) (|isDomain| *3 (|SingleInteger|)) (|isDomain| *4 (|DoubleFloat|)) (|isDomain| *1 (|BlasLevelOne|))))) 
+(((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TwoDimensionalViewport|)))) ((*1 *2 *1 *3 *3) (AND (|isDomain| *3 (|PositiveInteger|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|List| (|List| (|StochasticDifferential| *4)))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *3 *3) (AND (|isDomain| *3 (|List| (|StochasticDifferential| *4))) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *4)) (|ofCategory| *4 (|Join| (|OrderedSet|) (|IntegralDomain|))))) ((*1 *2 *1 *1) (AND (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|StochasticDifferential| *3)) (|ofCategory| *3 (|Join| (|OrderedSet|) (|IntegralDomain|)))))) 
+(((*1 *2 *3 *4) (AND (|ofCategory| *4 (|Field|)) (|isDomain| *2 (|List| (|Stream| *4))) (|isDomain| *1 (|EllipticFunctionsUnivariateTaylorSeries| *4 *5)) (|isDomain| *3 (|Stream| *4)) (|ofCategory| *5 (|UnivariateTaylorSeriesCategory| *4))))) 
+(((*1 *2 *1) (AND (|isDomain| *2 (|List| (|Tree| *3))) (|isDomain| *1 (|Tree| *3)) (|ofCategory| *3 (|SetCategory|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IndexedAggregate| *2 *3)) (|ofCategory| *3 (|Type|)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *2 (|OrderedSet|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|IntervalCategory| *3)) (|ofCategory| *3 (|Join| (|FloatingPointSystem|) (|TranscendentalFunctionCategory|))) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OrderedRing|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|ofCategory| *1 (|RealRootCharacterizationCategory| *4 *3)) (|ofCategory| *4 (|Join| (|OrderedRing|) (|Field|))) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)) (|isDomain| *2 (|Boolean|))))) 
+(((*1 *1 *1 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3))) ((*1 *1 *2 *3 *1) (AND (|isDomain| *1 (|ListMonoidOps| *2 *3 *4)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|AbelianMonoid|)) (|ofType| *4 *3))) ((*1 *1 *1 *1) (AND (|isDomain| *1 (|ThreeDimensionalMatrix| *2)) (|ofCategory| *2 (|Ring|)) (|ofCategory| *2 (|SetCategory|))))) 
 (((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *4)) (|isDomain| *1 (|PolynomialSolveByFormulas| *3 *4)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4)))) ((*1 *2 *3 *3) (AND (|ofCategory| *3 (|Join| (|Field|) (CATEGORY |domain| (SIGNATURE ** ($ $ (|Fraction| (|Integer|))))))) (|isDomain| *2 (|List| *3)) (|isDomain| *1 (|PolynomialSolveByFormulas| *4 *3)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *3))))) 
-(((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|OneDimensionalArray| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|OneDimensionalArray| *5)) (|isDomain| *1 (|OneDimensionalArrayFunctions2| *6 *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *7 *5)) (|isDomain| *4 (|DirectProduct| *6 *7)) (|ofType| *6 (|NonNegativeInteger|)) (|ofCategory| *7 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|DirectProduct| *6 *5)) (|isDomain| *1 (|DirectProductFunctions2| *6 *7 *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|ofCategory| *2 (|FiniteLinearAggregate| *5)) (|isDomain| *1 (|FiniteLinearAggregateFunctions2| *6 *4 *5 *2)) (|ofCategory| *4 (|FiniteLinearAggregate| *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|ofCategory| *6 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *2 (|FiniteSetAggregate| *5)) (|isDomain| *1 (|FiniteSetAggregateFunctions2| *6 *4 *5 *2)) (|ofCategory| *4 (|FiniteSetAggregate| *6)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|List| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|List| *5)) (|isDomain| *1 (|ListFunctions2| *6 *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|PrimitiveArray| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|PrimitiveArray| *5)) (|isDomain| *1 (|PrimitiveArrayFunctions2| *6 *5)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *4 (|Mapping| *3 *6 *3)) (|isDomain| *5 (|Stream| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *3 (|Type|)) (|isDomain| *2 (|Stream| *3)) (|isDomain| *1 (|StreamFunctions2| *6 *3)))) ((*1 *2 *3 *4 *5) (AND (|isDomain| *3 (|Mapping| *5 *6 *5)) (|isDomain| *4 (|Vector| *6)) (|ofCategory| *6 (|Type|)) (|ofCategory| *5 (|Type|)) (|isDomain| *2 (|Vector| *5)) (|isDomain| *1 (|VectorFunctions2| *6 *5))))) 
-(((*1 *2 *3) (AND (|isDomain| *3 (|Matrix| *2)) (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|Join| (|EuclideanDomain|) (CATEGORY |domain| (SIGNATURE |squareFree| ((|Factored| $) $))))) (|isDomain| *1 (|IntegralBasisTools| *2 *4 *5)) (|ofCategory| *5 (|FramedAlgebra| *2 *4)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|SquareMatrixCategory| *3 *2 *4 *5)) (|ofCategory| *4 (|DirectProductCategory| *3 *2)) (|ofCategory| *5 (|DirectProductCategory| *3 *2)) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|ArrayStack| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Dequeue| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|OrderedSet|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Heap| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| *1 (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *1 (|HomogeneousAggregate| *4)) (|ofCategory| *4 (|Type|)) (|isDomain| *2 (|Boolean|)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Queue| *4)))) ((*1 *2 *3 *1) (AND (|isDomain| *3 (|Mapping| (|Boolean|) *4)) (|has| $ (ATTRIBUTE |finiteAggregate|)) (|ofCategory| *4 (|SetCategory|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|Stack| *4))))) 
-(((*1 *2 *3) (AND (|ofCategory| *4 (|Join| (|IntegralDomain|) (|OrderedSet|))) (|ofCategory| *2 (|Join| (|FunctionSpace| *4) (|RadicalCategory|) (|TranscendentalFunctionCategory|))) (|isDomain| *1 (|InnerTrigonometricManipulations| *4 *2 *3)) (|ofCategory| *3 (|Join| (|FunctionSpace| (|Complex| *4)) (|RadicalCategory|) (|TranscendentalFunctionCategory|)))))) 
-(((*1 *1 *1) (AND (|isDomain| *1 (|InnerSparseUnivariatePowerSeries| *2)) (|ofCategory| *2 (|Algebra| (|Fraction| (|Integer|)))) (|ofCategory| *2 (|Ring|))))) 
-(((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Kernel| (|AlgebraicNumber|))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|isDomain| *3 (|List| (|Kernel| (|AlgebraicNumber|)))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|AlgebraicNumber|))) (|isDomain| *3 (|Kernel| (|AlgebraicNumber|))) (|isDomain| *1 (|AlgebraicNumber|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|ComplexCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *3) (AND (|ofCategory| *2 (|Join| (|Field|) (|OrderedRing|))) (|isDomain| *1 (|ComplexRootFindingPackage| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| (|Complex| *2))))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|PositiveInteger|)) (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *3)) (|ofCategory| *3 (|Field|)) (|ofCategory| *3 (|Finite|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteAlgebraicExtensionField| *2)) (|ofCategory| *2 (|Field|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|FiniteRankAlgebra| *2 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|FractionalIdeal| *3 *2 *4 *5)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *5 (|Join| (|FramedAlgebra| *2 *4) (|RetractableTo| *2))))) ((*1 *2 *1) (AND (|ofCategory| *4 (|UnivariatePolynomialCategory| *2)) (|ofCategory| *2 (|QuotientFieldCategory| *3)) (|isDomain| *1 (|FramedModule| *3 *2 *4 *5 *6)) (|ofCategory| *3 (|EuclideanDomain|)) (|ofCategory| *5 (|FramedAlgebra| *2 *4)) (|ofType| *6 (|Vector| *5)))) ((*1 *2 *3 *4) (AND (|isDomain| *4 (|PositiveInteger|)) (|ofCategory| *5 (|Ring|)) (|ofCategory| *2 (|Join| (|FloatingPointSystem|) (|RetractableTo| *5) (|Field|) (|TranscendentalFunctionCategory|) (|ElementaryFunctionCategory|))) (|isDomain| *1 (|GaloisGroupFactorizationUtilities| *5 *3 *2)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|List| (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *1 *1 *2) (AND (|isDomain| *2 (|Kernel| (|InnerAlgebraicNumber|))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|InnerAlgebraicNumber|))) (|isDomain| *3 (|List| (|Kernel| (|InnerAlgebraicNumber|)))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|SparseUnivariatePolynomial| (|InnerAlgebraicNumber|))) (|isDomain| *3 (|Kernel| (|InnerAlgebraicNumber|))) (|isDomain| *1 (|InnerAlgebraicNumber|)))) ((*1 *2 *2 *3) (AND (|isDomain| *2 (|Vector| *4)) (|isDomain| *3 (|PositiveInteger|)) (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *1 (|InnerNormalBasisFieldFunctions| *4)))) ((*1 *2 *3) (AND (|ofCategory| *4 (|GcdDomain|)) (|ofCategory| *5 (|MonogenicAlgebra| *4 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *4)) (|isDomain| *1 (|NormInMonogenicAlgebra| *4 *2 *5 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *5)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|OctonionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *2 *1) (AND (|ofCategory| *1 (|QuaternionCategory| *2)) (|ofCategory| *2 (|CommutativeRing|)))) ((*1 *1 *1) (|ofCategory| *1 (|RealNumberSystem|)))) 
+(((*1 *2 *1 *3) (AND (|isDomain| *3 (|String|)) (|isDomain| *2 (|Void|)) (|isDomain| *1 (|ThreeDimensionalViewport|))))) 
+(((*1 *2 *3 *3) (AND (|isDomain| *3 (|Vector| *5)) (|ofCategory| *5 (|OrderedAbelianMonoid|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|OrderingFunctions| *4 *5)) (|ofType| *4 (|NonNegativeInteger|))))) 
+(((*1 *2 *3) (AND (|isDomain| *3 (|Point| *2)) (|isDomain| *1 (|PointPackage| *2)) (|ofCategory| *2 (|Ring|))))) 
+(((*1 *2 *1) (AND (|ofCategory| *1 (|FileNameCategory|)) (|isDomain| *2 (|String|))))) 
+(((*1 *2 *2 *2) (|partial| AND (|ofCategory| *3 (|Join| (|IntegralDomain|) (|CharacteristicZero|))) (|isDomain| *1 (|UnivariatePolynomialDecompositionPackage| *3 *2)) (|ofCategory| *2 (|UnivariatePolynomialCategory| *3))))) 
+(((*1 *2) (AND (|ofCategory| *4 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|)) (|isDomain| *1 (|FiniteRankNonAssociativeAlgebra&| *3 *4)) (|ofCategory| *3 (|FiniteRankNonAssociativeAlgebra| *4)))) ((*1 *2) (AND (|ofCategory| *1 (|FiniteRankNonAssociativeAlgebra| *3)) (|ofCategory| *3 (|CommutativeRing|)) (|isDomain| *2 (|Boolean|))))) 
 (((*1 *1 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|))))) 
-(((*1 *1 *2) (AND (|isDomain| *2 (|SingleInteger|)) (|isDomain| *1 (|OpenMathConnection|))))) 
-(((*1 *2) (AND (|isDomain| *2 (|Void|)) (|isDomain| *1 (|TabulatedComputationPackage| *3 *4)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|))))) 
-(((*1 *2 *1 *2) (AND (|isDomain| *2 (|Symbol|)) (|ofCategory| *1 (|InfinitlyClosePointCategory| *3 *4 *5 *6 *7 *8 *9 *10 *11)) (|ofCategory| *3 (|Field|)) (|ofCategory| *5 (|PolynomialCategory| *3 *6 (|OrderedVariableList| *4))) (|ofCategory| *6 (|DirectProductCategory| (|#| *4) (|NonNegativeInteger|))) (|ofCategory| *7 (|ProjectiveSpaceCategory| *3)) (|ofCategory| *8 (|LocalPowerSeriesCategory| *3)) (|ofCategory| *9 (|PlacesCategory| *3 *8)) (|ofCategory| *10 (|DivisorCategory| *9)) (|ofCategory| *11 (|BlowUpMethodCategory|))))) 
+(((*1 *2 *3 *4) (AND (|isDomain| *4 (|List| *3)) (|ofCategory| *3 (|PolynomialCategory| *5 *7 (|OrderedVariableList| *6))) (|ofCategory| *7 (|DirectProductCategory| (|#| *6) (|NonNegativeInteger|))) (|ofCategory| *5 (|Field|)) (|ofType| *6 (|List| (|Symbol|))) (|isDomain| *2 (|List| *8)) (|isDomain| *1 (|ProjectiveAlgebraicSetPackage| *5 *6 *3 *7 *8)) (|ofCategory| *8 (|ProjectiveSpaceCategory| *5))))) 
+(((*1 *2 *3) (AND (|ofCategory| *4 (|OrderedAbelianMonoidSup|)) (|ofCategory| *5 (|OrderedSet|)) (|ofCategory| *6 (|EuclideanDomain|)) (|isDomain| *2 (|List| (|NonNegativeInteger|))) (|isDomain| *1 (|NPCoef| *3 *4 *5 *6 *7)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *6)) (|ofCategory| *7 (|PolynomialCategory| *6 *4 *5))))) 
+(((*1 *2 *3 *1) (AND (|isDomain| *3 (|Symbol|)) (|isDomain| *2 (|Union| (|:| |fst| (|FortranScalarType|)) (|:| |void| "void"))) (|isDomain| *1 (|TheSymbolTable|))))) 
+(((*1 *1) (|isDomain| *1 (|Void|)))) 
 (((*1 *1 *1) (AND (|ofCategory| *1 (|SExpressionCategory| *2 *3 *4 *5 *6)) (|ofCategory| *2 (|SetCategory|)) (|ofCategory| *3 (|SetCategory|)) (|ofCategory| *4 (|SetCategory|)) (|ofCategory| *5 (|SetCategory|)) (|ofCategory| *6 (|SetCategory|))))) 
-(((*1 *2 *2) (AND (|isDomain| *2 (|Integer|)) (|isDomain| *1 (|IntegerNumberTheoryFunctions|))))) 
-((|numberOfDivisors| . 1571891) (|car| . 1571642) (|setsymbName!| . 1571105) (|clearTable!| . 1570939) (|OMmakeConn| . 1570844) (|cdr| . 1570595) (|norm| . 1567082) (|cSec| . 1566922) (FG2F . 1566560) (|any?| . 1565365) (|diagonalProduct| . 1564857) (|scan| . 1562863) (|linear| . 1562345) (|semiLastSubResultantEuclidean| . 1562111) (|rightRank| . 1561919) (|totalGroebner| . 1561747) (|lazyPseudoRemainder| . 1561642) (|removeZero| . 1561386) (|showFortranOutputStack| . 1561284) (|maxDegree| . 1561006) (|integralBasis| . 1559274) (|parametrize| . 1555991) (|length| . 1554471) (|sec2cos| . 1554256) (|drawCurves| . 1553778) (|schwerpunkt| . 1553566) (|scripts| . 1553210) (|linearAssociatedLog| . 1552832) (|leadingSupport| . 1552686) (|Ei6| . 1552561) (|cAsin| . 1552401) (|ricDsolve| . 1548942) (|noKaratsuba| . 1548768) (|normDeriv2| . 1548443) (|polCase| . 1548096) (|bubbleSort!| . 1547553) (|listLoops| . 1547389) (|fractRagits| . 1547264) (|rows| . 1546686) (|coerce| . 1506324) (|gcdBasisAdd| . 1506116) (|iiasech| . 1505920) (|resultantnaif| . 1505754) (|getEq| . 1505401) (|isQuotient| . 1505102) (|binomial| . 1504528) (|janko2| . 1504265) (|idealSimplify| . 1504032) (|shanksDiscLogAlgorithm| . 1503802) (|regularRepresentation| . 1503396) (|create| . 1501791) (|eulerE| . 1501576) (|expint| . 1501195) (|nrows| . 1500706) (|divOfZero| . 1500609) (|placesAbove| . 1499261) (|stiffnessAndStabilityOfODEIF| . 1498785) (|extract!| . 1498283) (|ncols| . 1497794) (|resetAttributeButtons| . 1497713) (|sin2csc| . 1497498) (|fresnelC| . 1497110) (|affineSingularPoints| . 1495750) (|completeEval| . 1495359) (|weighted| . 1495149) (|elRow2!| . 1494851) (|affineAlgSet| . 1493940) (|call| . 1493859) (|position| . 1492977) (|previous| . 1492881) (|SturmHabichtSequence| . 1492638) (|partialQuotients| . 1492507) (|polar| . 1492323) (|eisensteinIrreducible?| . 1492165) (LODO2FUN . 1491851) (|OMlistSymbols| . 1491730) (|reducedQPowers| . 1491495) (|nor| . 1491397) (|readLineIfCan!| . 1491309) (|null?| . 1491032) (|permutations| . 1490888) (|formula| . 1490790) (|find| . 1490649) (|iicsc| . 1490453) (|columns| . 1489875) (|suchThat| . 1487943) (|operator| . 1486025) (|iitan| . 1485829) (|rightTrace| . 1485712) (|algebraicDecompose| . 1484764) (|curry| . 1484564) (|classNumber| . 1483276) (|genericLeftNorm| . 1482964) (|setref| . 1482879) (|rightRegularRepresentation| . 1482559) (|bandedHessian| . 1482162) (|singularitiesOf| . 1481297) (|kovacic| . 1480504) (|denomLODE| . 1479681) (|acoshIfCan| . 1479540) (|inrootof| . 1479321) (|att2Result| . 1478424) (|fixedPointExquo| . 1478230) (|mainMonomial| . 1478043) (|ratDenom| . 1476356) (|monomRDEsys| . 1475905) (|bracket| . 1475768) (|infix| . 1475622) (|objectOf| . 1475545) (|summation| . 1474934) (|PollardSmallFactor| . 1474809) (|scripted?| . 1474732) (|homogeneous?| . 1474414) (|convert| . 1465840) (|setImagSteps| . 1465758) (|generalLambert| . 1465129) (|rightZero| . 1465013) (|branchPointAtInfinity?| . 1464744) (|and| . 1464599) (|flatten| . 1464553) (|cycleElt| . 1464405) (|getZechTable| . 1463784) (|getCurve| . 1463680) (|OMsend| . 1463525) (|bag| . 1462855) (|prefixRagits| . 1462732) (|resetNew| . 1462661) (|linearPolynomials| . 1462290) (|simpson| . 1461990) (|resultant| . 1461107) (|graphCurves| . 1460507) (|resetVariableOrder| . 1460415) (|divisors| . 1460279) (|curryRight| . 1460036) (|curve?| . 1459915) (|cosIfCan| . 1459774) (|pseudoRemainder| . 1459668) (|over| . 1459618) (|integralBasisAtInfinity| . 1459347) (|oneDimensionalArray| . 1459096) (|factorPolynomial| . 1458639) (|inGroundField?| . 1458521) (|elements| . 1458337) (|setButtonValue| . 1458107) (|second| . 1458009) (|randomLC| . 1457656) (|setsubMatrix!| . 1457430) (|palginfieldint| . 1456965) (|morphism| . 1456599) (|setProperties| . 1456484) (|startPolynomial| . 1456215) (|colorFunction| . 1455834) (|df2mf| . 1455702) (|rangeIsFinite| . 1455143) (|initiallyReduce| . 1454700) (|hermite| . 1454294) (|solve1| . 1454028) (|subMultV| . 1453502) (|rightRecip| . 1453279) (|maxPoints3D| . 1453205) (|setEmpty!| . 1453029) (|iipow| . 1452831) (|lp| . 1452700) (|wholeRagits| . 1452577) (|say| . 1452353) (|squareTop| . 1452164) (|makeYoungTableau| . 1452007) (|map!| . 1450792) (|expandTrigProducts| . 1450391) (|debug| . 1450107) (|subTriSet?| . 1449414) (|operation| . 1448916) (|nextSubsetGray| . 1448776) (|radicalEigenvector| . 1448538) (|startTableGcd!| . 1447773) (|localParam| . 1447602) (|library| . 1447523) (|moebiusMu| . 1447424) (|rationalFunction| . 1446982) (|airyAi| . 1446539) (|linearBezier| . 1446386) (|jordanAlgebra?| . 1446046) (|removeZeroes| . 1444747) (|iisqrt3| . 1444554) (|bezoutResultant| . 1444217) (|integralRepresents| . 1443940) (|pascalTriangle| . 1443777) (|localAbs| . 1442714) (|guessPRec| . 1435661) (|lexTriangular| . 1435356) (|quasiRegular?| . 1435053) (|aRow| . 1434773) (|construct| . 1430453) (|nullity| . 1429277) (|setRow!| . 1429041) (|tanIfCan| . 1428900) (|pmintegrate| . 1427769) (|boundOfCauchy| . 1427574) (|iiatan| . 1427378) (|setlast!| . 1427235) (|untab| . 1427055) (|orbits| . 1426924) (|pointPlot| . 1426258) (|routines| . 1426211) (|leftTrace| . 1426094) (|cschIfCan| . 1425953) (|minIndex| . 1425792) (|imagJ| . 1425589) (|setValue!| . 1425410) (|pointColorDefault| . 1425236) (|segment| . 1424942) (|setAdaptive| . 1424867) (|failed?| . 1424498) (|OMread| . 1424381) (|viewZoomDefault| . 1424201) (|subresultantVector| . 1424001) (|quatern| . 1423888) (|pdf2df| . 1423742) (GF2FG . 1423349) (|safetyMargin| . 1423007) (|reducedDiscriminant| . 1422722) (|mindegTerm| . 1422524) (|subNode?| . 1422268) (|extractProperty| . 1422104) (|totalLex| . 1421897) (|useNagFunctions| . 1421475) (|orbit| . 1420331) (|finiteSeries2LinSysWOVectorise| . 1420081) (|stoseLastSubResultant| . 1419676) (|createMultiplicationTable| . 1419422) (|univariatePolynomials| . 1419051) (|irreducibleFactors| . 1418685) (|viewSizeDefault| . 1418477) (|setlocalParam!| . 1417939) (|getMeasure| . 1417827) (|ratDsolve| . 1416020) (|startTableInvSet!| . 1415255) (|OMgetType| . 1415171) (|comment| . 1415003) (|bezoutDiscriminant| . 1414669) (|setRealSteps| . 1414587) (|critMTonD1| . 1414224) (|points| . 1414065) (|float| . 1413593) (|dcabs1| . 1413462) (|sPol| . 1413108) (|maximumExponent| . 1412948) (|coth2trigh| . 1412733) (|id| . 1412638) (|saturate| . 1412148) (|quadratic| . 1411627) (|uniform| . 1411193) (|integer| . 1410816) (|viewport3D| . 1410758) (|primlimitedint| . 1410217) (|int| . 1409567) (|setScreenResolution| . 1409492) (|printingInfo?| . 1409323) (|conjug| . 1409043) (|removeRedundantFactors| . 1407553) (|viewThetaDefault| . 1407373) (|listRepresentation| . 1407200) (|string| . 1406750) (|multiplyExponents| . 1406272) (|trailingCoefficient| . 1406115) (|fill!| . 1405740) (|chartCoord| . 1405647) (|idealiserMatrix| . 1405337) (|localize| . 1404748) (|gcdPolynomial| . 1404200) (|nullary?| . 1404116) (|mask| . 1404058) (|endSubProgram| . 1403977) (|convertIfCan| . 1403870) (|removeCoshSq| . 1403655) (|gbasis| . 1403354) (|perfectSqrt| . 1403244) (|bitCoef| . 1403159) (|removeRedundantFactorsInPols| . 1402837) (|cross| . 1402532) (|goodnessOfFit| . 1402194) (|atanhIfCan| . 1402053) (|definingInequation| . 1401820) (|changeBase| . 1401493) (|cyclic| . 1401342) (|nand| . 1401244) (|newton| . 1401064) (|reindex| . 1400856) (|assign| . 1396394) (|nonLinearPart| . 1396279) (|univcase| . 1396000) (|ScanArabic| . 1395881) (|key| . 1395618) (|infieldIntegrate| . 1395359) (|affinePoint| . 1395236) (|OMsupportsSymbol?| . 1395120) (|hessian| . 1394765) (|polyRing2UPUP| . 1394327) (|viewWriteAvailable| . 1394232) (|getGraph| . 1394097) (|expintfldpoly| . 1393773) (|firstDenom| . 1393642) (|bernoulli| . 1393331) (|knownInfBasis| . 1393024) (|basisOfLeftAnnihilator| . 1392843) (|lineColorDefault| . 1392669) (|basisOfRightNucloid| . 1392480) (|mapMatrixIfCan| . 1392078) (|gramschmidt| . 1391953) (|splitLinear| . 1391847) (|flagFactor| . 1391667) (|normalDenom| . 1391445) (|compose| . 1391160) (|sum| . 1388483) (|removeConjugate| . 1387908) (|Not| . 1387778) (|pow| . 1387378) (|symbol| . 1387129) (|lazyIrreducibleFactors| . 1386763) (|subCase?| . 1385934) (|entry| . 1384845) (|factorials| . 1384322) (|quotedOperators| . 1383976) (|one| . 1383764) (|useEisensteinCriterion| . 1383606) (|constantRight| . 1383366) (|queue| . 1383253) (|symbolTable| . 1383110) (|zero| . 1382718) (|Or| . 1382582) (|getVariableOrder| . 1382423) (|internalInfRittWu?| . 1381674) (|pushFortranOutputStack| . 1381435) (^ . 1380835) (|moduleSum| . 1380449) (|scale| . 1379967) (|filename| . 1379873) (|exp| . 1377606) (|generator| . 1376522) (|popFortranOutputStack| . 1376432) (|euclideanNormalForm| . 1376150) (|toseInvertible?| . 1375400) (|csc2sin| . 1375185) (|pi| . 1374716) (|resultantEuclidean| . 1374468) (|regime| . 1373551) (|areEquivalent?| . 1372879) (|outputAsFortran| . 1372007) (|sqrt| . 1371341) (|solid| . 1371242) (|addiag| . 1371070) (|stoseInternalLastSubResultant| . 1370124) (|localReal?| . 1369900) (|digits| . 1369279) (|li| . 1368984) (|trunc| . 1368641) (|testDim| . 1368333) (|intersectionDivisor| . 1366267) (|index?| . 1366108) (|erf| . 1365813) (|factors| . 1365126) (|colorDef| . 1365002) (|numericalIntegration| . 1364377) (|nextItem| . 1364317) (|aCubic| . 1364077) (|stoseInvertible?reg| . 1363666) (|rule| . 1363004) (|lambert| . 1362511) (|karatsubaOnce| . 1362337) (|dilog| . 1362042) (|Is| . 1360825) (|dot| . 1360314) (|palgintegrate| . 1359818) (|leftGcd| . 1359524) (|OMReadError?| . 1359436) (|sin| . 1357966) (|OMgetEndBind| . 1357884) (|operators| . 1357781) (|setMaxPoints| . 1357706) (|nextLatticePermutation| . 1357557) (|schema| . 1357343) (|cos| . 1355873) (|lo| . 1355783) (|ruleset| . 1355427) (|setOrder| . 1355109) (|bumptab1| . 1354938) (|coshIfCan| . 1354797) (|postfix| . 1354747) (|differentiate| . 1350391) (|tan| . 1349013) (|incr| . 1348801) (|Musser| . 1348590) (|mainMonomials| . 1348375) (|patternMatchTimes| . 1347905) (|viewpoint| . 1345980) (|cot| . 1344785) (|hi| . 1344695) (|unaryFunction| . 1344453) (|OMgetAtp| . 1344371) (|diophantineSystem| . 1344026) (|sec| . 1342831) (|sts2stst| . 1342604) (|zaxpy| . 1342393) (|contract| . 1341611) (|setVariableOrder| . 1341349) (|vector| . 1341125) (|csc| . 1339930) (|symmetricPower| . 1339484) (|ravel| . 1339288) (|shiftRoots| . 1339125) (|complexForm| . 1338440) (|evalat| . 1338301) (|asin| . 1336920) (|po| . 1336764) (|machineFraction| . 1336669) (|monomial?| . 1335753) (|guessPade| . 1331418) (|acos| . 1330037) (|resetBadValues| . 1329950) (|radPoly| . 1329608) (|leftMinimalPolynomial| . 1329404) (|ode| . 1329139) (|atan| . 1327668) (|zeroSquareMatrix| . 1327501) (|icamax| . 1327355) (|set| . 1327145) (|minus!| . 1326869) (|mathieu12| . 1326606) (|acot| . 1325408) (|wordInStrongGenerators| . 1325226) (|tanNa| . 1325104) (|statusIto| . 1324947) (|cosh2sech| . 1324732) (|asec| . 1323534) (|tRange| . 1323353) (|triangSolve| . 1322271) (|trigs| . 1321663) (|ParCondList| . 1321062) (|acsc| . 1319864) (|entries| . 1318592) (|multiplicative?| . 1318439) (|lazyPseudoQuotient| . 1318334) (|solveRetract| . 1318002) (|sinh| . 1316627) (|polyred| . 1316411) (|domainOf| . 1316334) (|Ei4| . 1316209) (|subResultantChain| . 1315954) (|cosh| . 1314579) (|getGoodPrime| . 1314308) (|radicalEigenvectors| . 1314010) (|printStatement| . 1313916) (|rootBound| . 1313574) (|ddFact| . 1313340) (|magnitude| . 1313186) (|tanh| . 1311811) (|generate| . 1311329) (|wronskianMatrix| . 1310868) (|mapUnivariateIfCan| . 1310507) (|incrementBy| . 1310352) (|realZeros| . 1308081) (|selectAndPolynomials| . 1307655) (|numberOfChildren| . 1307498) (|coth| . 1306306) (|shift| . 1305775) (|pquo| . 1305395) (|leftOne| . 1305275) (|dec| . 1305217) (|solveLinearlyOverQ| . 1304994) (|swap!| . 1304793) (|sech| . 1303601) (|expand| . 1301709) (|rightFactorCandidate| . 1301513) (|monomialIntegrate| . 1301159) (|listBranches| . 1300898) (|shiftInfoRec| . 1300328) (|concat| . 1299219) (|lBasis| . 1296875) (|csch| . 1295683) (|filterWhile| . 1295429) (|airyBi| . 1294986) (|createLowComplexityTable| . 1294736) (|transform| . 1294472) (|head| . 1294032) (|acotIfCan| . 1293891) (|asinh| . 1292696) (|filterUntil| . 1292442) (|overset?| . 1292029) (|transCoord| . 1291936) (|additive?| . 1291783) (|cCosh| . 1291623) (|sincos| . 1291384) (|acosh| . 1290189) (|select| . 1289371) (|nthExponent| . 1289249) (|palgLODE0| . 1287986) (|firstNumer| . 1287887) (|lllip| . 1287728) (|atanh| . 1286533) (|expandPower| . 1286318) (|supDimElseRittWu?| . 1285625) (|indices| . 1285469) (|maxRowIndex| . 1285002) (|intChoose| . 1284409) (|acoth| . 1283214) (|imaginary| . 1283116) (|exprHasWeightCosWXorSinWX| . 1282746) (|OMputObject| . 1282664) (|taylorRep| . 1282488) (|sumOfSquares| . 1282372) (|asech| . 1281177) (|palgextint| . 1280693) (|HenselLift| . 1280388) (|lists| . 1280162) (|rk4a| . 1279869) (|pr2dmp| . 1279518) (|factorsOfDegree| . 1279259) (|monicDivide| . 1278836) (|copyInto!| . 1278664) (|newLine| . 1278583) (|meshPar2Var| . 1277552) (|antisymmetricTensors| . 1277132) (|result| . 1276888) (|modifyPoint| . 1276290) (|makeRecord| . 1276113) (|stoseInvertibleSetreg| . 1275751) (|origin| . 1275659) (|ptree| . 1275477) (|rootKerSimp| . 1274841) (|unvectorise| . 1274236) (|setnext!| . 1274095) (|symmetricProduct| . 1273727) (|constantIfCan| . 1273556) (|setFoundZeroes| . 1273435) (|OMputEndObject| . 1273353) (|applyTransform| . 1273046) (|vectorcombination| . 1272873) (|leader| . 1272626) (|roughBase?| . 1272318) (|LyndonCoordinates| . 1272024) (|acscIfCan| . 1271883) (|zeroVector| . 1271716) (|#| . 1270335) (|fi2df| . 1270195) (|outputMeasure| . 1270075) (|var2Steps| . 1269847) (|laguerreL| . 1269537) (|legendre| . 1269264) (|mainVariable?| . 1268990) (|tracePowMod| . 1268777) (|getBadValues| . 1268657) (|base| . 1268214) (|df2fi| . 1268074) (|solve| . 1251256) (|wrregime| . 1250603) (|selectIntegrationRoutines| . 1250553) (|rowEch| . 1250411) (|removeSuperfluousQuasiComponents| . 1249724) (|whatInfinity| . 1249593) (|computeInt| . 1249170) (|extractIfCan| . 1249016) (|rationalPower| . 1248798) (|numberOfMonomials| . 1248303) (|numerators| . 1248172) (|fixedDivisor| . 1248011) (|OMopenFile| . 1247884) (|triangulate| . 1247207) (|directSum| . 1246839) (|mainVariables| . 1246568) (|eigenvectors| . 1246181) (|groebnerFactorize| . 1244734) (|removeRoughlyRedundantFactorsInPols| . 1244126) (|exponential| . 1243763) (|mainKernel| . 1243663) (|orderIfNegative| . 1243525) (|pushdterm| . 1243123) (|numberOfNormalPoly| . 1242971) (|localIntegralBasis| . 1241512) (|seriesSolve| . 1237442) (|basisOfCentroid| . 1237253) (|normalElement| . 1236941) (|exponents| . 1236850) (|var2StepsDefault| . 1236660) (|infieldint| . 1236406) (|mulmod| . 1236342) (|sqfree| . 1236025) (|fresnelS| . 1235637) (|interpolate| . 1234348) (|socf2socdf| . 1234155) (|iiGamma| . 1233981) (|besselI| . 1233526) (|stop| . 1233481) (|compdegd| . 1233095) (|squareFreeLexTriangular| . 1232634) (|predicate| . 1232433) (|pomopo!| . 1232280) (|cExp| . 1232120) (|vectoraddmul| . 1231950) (|box| . 1231767) (|f2st| . 1231647) (|sylvesterMatrix| . 1231353) (|printCode| . 1231274) (|retract| . 1222066) (|plotPolar| . 1221437) (|critM| . 1221167) (|isList| . 1221030) (|countRealRoots| . 1220818) (|shiftHP| . 1207594) (|generic?| . 1207479) (|redmat| . 1207101) (|gethi| . 1206615) (|suppOfZero| . 1206490) (|edf2ef| . 1206335) (|rroot| . 1205812) (|conditionsForIdempotents| . 1204588) (|padicallyExpand| . 1204436) (|heapSort| . 1204178) (|rowEchWoZeroLinesWOVectorise| . 1204063) (|divergence| . 1203738) (|mulbybinomial| . 1203416) (|times!| . 1203275) (|list?| . 1202998) (|raisePolynomial| . 1202669) (|antiCommutative?| . 1202329) (|currentSubProgram| . 1202248) (|finiteBasis| . 1201948) (|rename| . 1201854) (|upperCase?| . 1201774) (|antiCommutator| . 1201715) (|lastSubResultant| . 1200860) (|mathieu11| . 1200597) (|nextIrreduciblePoly| . 1200421) (|pointColor| . 1200264) (|OMunhandledSymbol| . 1200151) (|critT| . 1199769) (BY . 1199648) (|numberOfFractionalTerms| . 1199521) (|doubleResultant| . 1199205) (|optAttributes| . 1198701) (|collectUpper| . 1198455) (|component| . 1197937) (|makingStats?| . 1197768) (|seriesToOutputForm| . 1197415) (|numeric| . 1195838) (|OMreceive| . 1195711) (|setParam!| . 1195512) (|generalizedEigenvectors| . 1195161) (|keys| . 1194310) (|has?| . 1194196) (|LyndonWordsList| . 1193997) (|radical| . 1193653) (|orthonormalBasis| . 1193461) (|palgint| . 1193012) (|deepExpand| . 1192801) (|bombieriNorm| . 1192137) (|zeroOf| . 1191466) (|iisec| . 1191270) (|OMlistCDs| . 1191179) (|cubicBezier| . 1191020) (|stirling1| . 1190901) (|symmetricGroup| . 1190599) (|univariate?| . 1190312) (|lyndon| . 1190182) (|internalIntegrate0| . 1189773) (|cardinality| . 1189634) (|complexEigenvectors| . 1189297) (|index| . 1188762) (|mesh| . 1187474) (|split| . 1185401) (|quadraticNorm| . 1185087) (|infClsPt?| . 1184994) (|problemPoints| . 1184492) (|point| . 1183476) (|changeMeasure| . 1183361) (|findCycle| . 1183110) (|returnTypeOf| . 1182943) (|noncommutativeJordanAlgebra?| . 1182603) (|phiCoord| . 1182489) (|min| . 1182000) (|plus| . 1181561) (|cyclicEntries| . 1181440) (|resize| . 1181177) (D . 1179622) (|inf| . 1179472) (|totalDifferential| . 1179291) (|largest| . 1178944) (|solveLinear| . 1178420) (|guessExpRat| . 1171367) (|contractSolve| . 1170711) (|primintegrate| . 1170292) (|fintegrate| . 1169728) (|revert| . 1169235) (|sechIfCan| . 1169094) (|zeroSetSplit| . 1165396) (|upperCase| . 1165254) (|bat| . 1165083) (|front| . 1164828) (|simplifyExp| . 1164613) (|assoc| . 1164398) (|integralMatrixAtInfinity| . 1164114) (|ceiling| . 1163914) (|lazyResidueClass| . 1163388) (|sturmSequence| . 1163199) (|exp1| . 1163118) (|reorder| . 1162478) (|linearPart| . 1162363) (|modifyPointData| . 1162020) (|makeVariable| . 1161234) (|clipParametric| . 1160656) (|sumOfKthPowerDivisors| . 1160515) (|iiacot| . 1160319) (|duplicates?| . 1160192) (|mirror| . 1159548) (|rationalPoint?| . 1158946) (|OMgetEndBVar| . 1158864) (|totalfract| . 1158428) (|root| . 1158179) (|adaptive| . 1157802) (|dimensionsOf| . 1157368) (|semiResultantReduitEuclidean| . 1157099) (|clipPointsDefault| . 1156931) (|Lazard| . 1156723) (|Ei1| . 1156598) (|removeSquaresIfCan| . 1156311) (|cAcoth| . 1156151) (|companionBlocks| . 1155910) (|var1StepsDefault| . 1155720) (|stFunc2| . 1155422) (|removeRedundantFactorsInContents| . 1155100) (|even?| . 1154759) (|fortranComplex| . 1154714) (|quotVecSpaceBasis| . 1154589) (|zeroMatrix| . 1154062) (|mat| . 1153869) (|third| . 1153771) (|finite?| . 1153441) (|errorKind| . 1153347) (|copyslice| . 1153183) (|goppaCode| . 1151883) (|GospersMethod| . 1151409) (|squareFreeFactors| . 1151090) (|ldf2lst| . 1150667) (|composites| . 1150546) (|toroidal| . 1150337) (|height| . 1149403) (|axesColorDefault| . 1149229) (|leviCivitaSymbol| . 1149064) (|iomode| . 1148906) (|sign| . 1146488) (|generateIrredPoly| . 1146290) (|trueEqual| . 1146196) (|factorCantorZassenhaus| . 1145696) (|tryFunctionalDecomposition| . 1145538) (|Hausdorff| . 1145273) (|listOfTerms| . 1144624) (|ScanRoman| . 1144505) (|interpolateFormsForFact| . 1142495) (|diffHP| . 1129271) (|hermiteH| . 1129116) (|first| . 1128148) (|lookup| . 1127880) (|basisOfLeftNucloid| . 1127691) (|OMParseError?| . 1127603) (|logical?| . 1127515) (|normal| . 1127381) (|laurentRep| . 1127204) (|approxSqrt| . 1127104) (|evenlambert| . 1126611) (|multiServ| . 1126500) (|dzasum| . 1126310) (|aColumn| . 1126030) (|yellow| . 1125991) (|continuedFraction| . 1125062) (|enterInCache| . 1124788) (|sizeMultiplication| . 1123879) (|odd?| . 1123538) (|incrementKthElement| . 1123384) (|connect| . 1123225) (|polyRicDE| . 1122246) (|rubiksGroup| . 1122133) (|factor1| . 1121653) (|decomposeFunc| . 1121438) (|realSolve| . 1119337) (|coleman| . 1119177) (|unitNormalize| . 1119086) (|multiplicity| . 1118129) (|stepBlowUp| . 1117372) (|readIfCan!| . 1117099) (|overlap| . 1116661) (|paren| . 1116388) (|zerosOf| . 1115310) (|setMinPoints3D| . 1115233) (|createThreeSpace| . 1115128) (|resultantEuclideannaif| . 1114880) (|nilFactor| . 1114758) (|highCommonTerms| . 1114554) (|ShiftC| . 1114308) (|rationalApproximation| . 1113775) (|innerEigenvectors| . 1113324) (|right| . 1112743) (|palglimint0| . 1111484) (|OMputEndBind| . 1111402) (|linearlyDependent?| . 1111192) (|f02aff| . 1111027) (|mapDown!| . 1110736) (|fglmIfCan| . 1110319) (|MPtoMPT| . 1110070) (|OMputEndAttr| . 1109988) (|left| . 1109407) (|rowEchelon| . 1107781) (|f02aef| . 1107607) (|ode1| . 1107379) (|controlPanel| . 1107140) (|meshPar1Var| . 1106810) (|f02adf| . 1106639) (|constant?| . 1106224) (|polygamma| . 1105691) (|shiftRight| . 1105546) (|ode2| . 1105312) (|subs1stVar| . 1105054) (|degOneCoef| . 1104760) (|linGenPos| . 1104416) (|minimumExponent| . 1104256) (|float?| . 1103979) (|f02abf| . 1103811) (|coHeight| . 1103490) (|numberOfPlacesOfDegree| . 1102081) (|screenResolution3D| . 1102007) (|adaptive3D?| . 1101933) (|basisOfLeftNucleus| . 1101755) (|alphabetic?| . 1101675) (|setprevious!| . 1101534) (|f02aaf| . 1101369) (|axes| . 1100934) (|cyclicSubmodule| . 1100688) (|intensity| . 1100567) (|stopTableGcd!| . 1099874) (|chvar| . 1099486) (|En| . 1099298) (|stopMusserTrials| . 1098972) (|credPol| . 1098702) (|taylor| . 1094851) (|deleteRoutine!| . 1094765) (|excpDivV| . 1094260) (|measure| . 1089350) (|rewriteIdealWithHeadRemainder| . 1089039) (|innerSolve| . 1088720) (|lazyPseudoDivide| . 1087813) (|tanhIfCan| . 1087672) (|laurent| . 1084525) (|cyclicGroup| . 1084223) (|evenInfiniteProduct| . 1083337) (|inconsistent?| . 1082579) (|tab| . 1082417) (|copyIto| . 1082281) (|rotatey| . 1082140) (|gcdprim| . 1081997) (|extractPoint| . 1081850) (|puiseux| . 1078674) (|semicolonSeparate| . 1078581) (|prepareDecompose| . 1077554) (|delta| . 1077368) (|graphStates| . 1076919) (|findCoef| . 1076788) (|radicalOfLeftTraceForm| . 1076610) (|setAttributeButtonStep| . 1076525) (|setleft!| . 1076381) (|cartesian| . 1076197) (|algSplitSimple| . 1075825) (|setpoint!| . 1075317) (|iExquo| . 1075168) (|pole?| . 1074849) (|exponent| . 1074065) (|zeta| . 1073982) (|Ei| . 1073565) (|content| . 1072866) (|polynomial| . 1072069) (|shallowCopy| . 1071951) (|divisorAtDesingTree| . 1071286) (|tableForDiscreteLogarithm| . 1071125) (|decimal| . 1071025) (|constantKernel| . 1070864) (|doubleFloatFormat| . 1070783) (|string?| . 1070506) (|SturmHabichtMultiple| . 1070259) (|birth| . 1070141) (|goto| . 1070053) (|cot2trig| . 1069838) (|rischNormalize| . 1069377) (|subMatrix| . 1068567) (|rightTraceMatrix| . 1068061) (|setOfMinN| . 1067877) (|asechIfCan| . 1067736) (|insertionSort!| . 1067193) (|squareFreePart| . 1066358) (|extendedSubResultantGcd| . 1065738) (|radix| . 1065585) (|csubst| . 1065257) (|Ei2| . 1065132) (|suppOfPole| . 1065007) (|nextPrimitiveNormalPoly| . 1064831) (|irreducibleRepresentation| . 1064302) (|iteratedInitials| . 1064087) (|posExpnPart| . 1063987) (|divide!| . 1063823) (|cup| . 1063697) (|fortranInteger| . 1063652) (|viewport2D| . 1063596) (|gradient| . 1063241) (|definingPolynomial| . 1061997) (|rightGcd| . 1061859) (|algDsolve| . 1061324) (|OMserve| . 1061198) (|startTable!| . 1060451) (|tubeRadius| . 1060243) (|lambda| . 1060152) (|listexp| . 1059819) (|leftFactorIfCan| . 1059594) (|pureLex| . 1059387) (|positive?| . 1058910) (|sncndn| . 1058666) (|daxpy| . 1058479) (|alphanumeric| . 1058431) (|cyclePartition| . 1058310) (|mulbyscalar| . 1058146) (|iipolygamma| . 1057944) (|tanintegrate| . 1057545) (|froot| . 1056990) (|balancedFactorisation| . 1056519) (|cAcosh| . 1056359) (|isOp| . 1055999) (|listAllMono| . 1055717) (|aQuadratic| . 1055480) (|series| . 1049612) (|yRange| . 1049383) (|denominator| . 1048996) (|divide| . 1048037) (|pointDominateBy| . 1046283) (|distinguishedCommonRootsOf| . 1046045) (|debug3D| . 1045968) (|approximate| . 1044837) (|univariatePolynomial| . 1043961) (|divOfPole| . 1043864) (|minimalPolynomial| . 1043109) (|localParamOfSimplePt| . 1042587) (|rational?| . 1040777) (|OMgetApp| . 1040695) (|exponential1| . 1040605) (|leftQuotient| . 1040311) (|stopTableInvSet!| . 1039618) (|dflist| . 1039397) (|ran| . 1039140) (|startStats!| . 1038944) (|mindeg| . 1038656) (|mainVariable| . 1037893) (|actualExtensionV| . 1037388) (|laguerre| . 1037227) (|conical| . 1037015) (|laplacian| . 1036690) (|clipSurface| . 1036568) (|cCsc| . 1036408) (|key?| . 1036243) (|lastNonNull| . 1036116) (|monicLeftDivide| . 1035588) (|dequeue| . 1035191) (|iisqrt2| . 1034998) (|signAround| . 1034254) (|minRowIndex| . 1033787) (|toseSquareFreePart| . 1033395) (|halfExtendedSubResultantGcd2| . 1032843) (** . 1026999) (|OMUnknownSymbol?| . 1026911) (|internalAugment| . 1025650) (|iicos| . 1025454) (|lepol| . 1025187) (|fullPartialFraction| . 1024964) (|extendedResultant| . 1024672) (|trim| . 1024484) (|e01sbf| . 1024225) (|setrest!| . 1023972) (|outputAsTex| . 1023728) (|tryFunctionalDecomposition?| . 1023573) (|variablesOf| . 1023449) (|Somos| . 1023177) (|distinguishedRootsOf| . 1022781) (|algebraicCoefficients?| . 1022495) (|tomodpa| . 1022303) (|outputAsScript| . 1022059) (|isTimes| . 1021125) (|generalTwoFactor| . 1020850) (|showTheFTable| . 1020791) (|binarySearchTree| . 1020668) (|LazardQuotient2| . 1020396) (|generalSqFr| . 1020121) (|mpsode| . 1019819) (|merge| . 1018868) (|extractTop!| . 1018693) (|basisOfInterpolateForms| . 1018132) (|particularSolution| . 1017120) (|Aleph| . 1017024) (|makeCos| . 1016816) (|unexpand| . 1016500) (|setPredicates| . 1016377) (|divideIfCan| . 1016121) (|explicitEntries?| . 1015999) (|setSingularPoints| . 1014750) (|vark| . 1014516) (|iiexp| . 1014320) (|clearTheFTable| . 1014230) (|unrankImproperPartitions1| . 1014081) (|notelem| . 1013915) (|printInfo!| . 1013716) (|henselFact| . 1013143) (|invertibleElseSplit?| . 1012835) (|effective?| . 1012710) (|exists?| . 1012621) (|trivialIdeal?| . 1012350) (|adaptive?| . 1012278) (|OMputInteger| . 1012165) (|lowerCase| . 1012023) (|OMgetEndError| . 1011941) (|setelt!| . 1011788) (|mapGen| . 1011160) (|expPot| . 1010972) (|cycleEntry| . 1010874) (|element| . 1010591) (|characteristicSet| . 1009925) (|prevPrime| . 1009817) (|numberOfPrimitivePoly| . 1009665) (|position!| . 1009575) (|modTree| . 1009450) (|variationOfParameters| . 1009223) (|replaceDiffs| . 1008800) (|sinhIfCan| . 1008659) (|hue| . 1008399) (|guessRec| . 1001346) (|listOfMonoms| . 1001128) (|evalADE| . 1000687) (|squareFreePrim| . 1000411) (|e02bcf| . 1000206) (|blockConcat| . 999928) (|dictionary| . 999702) (|more?| . 998646) (|rules| . 998290) (|iiacos| . 998094) (|integral?| . 997278) (|matrixDimensions| . 997126) (|e02bbf| . 996924) (|stoseInvertibleSet| . 996562) (|separe| . 996377) (|paraboloidal| . 996193) (|appendPoint| . 996070) (|algintegrate| . 995574) (|e02baf| . 995398) (|opeval| . 995120) (|se2rfi| . 994711) (|infLex?| . 994406) (|stoseInvertible?sqfreg| . 993995) (|style| . 993785) (|e02akf| . 993574) (|OMputSymbol| . 993459) (|max| . 992892) (|wholePart| . 992468) (|brillhartIrreducible?| . 992166) (|lifting| . 991585) (|inBetweenExcpDiv| . 990923) (|pattern| . 990606) (|linearAssociatedOrder| . 990422) (|expextendedint| . 989916) (|e02ajf| . 989699) (|Frobenius| . 989110) (|setErrorBound| . 988917) (|subscript| . 988825) (|realRoots| . 988361) (|curveV| . 987763) (|e04ycf| . 987547) (|cache| . 987431) (|setTopPredicate| . 987278) (|stirling2| . 987159) (|lcm| . 986844) (|rootSplit| . 986439) (|UP2ifCan| . 985975) (|e04ucf| . 985431) (|indicialEquationAtInfinity| . 984791) (|semiResultantEuclidean2| . 984560) (|pseudoDivide| . 983831) (|leftRegularRepresentation| . 983511) (|multiEuclideanTree| . 983386) (|monomialIntPoly| . 983128) (|explicitlyEmpty?| . 983006) (|e04naf| . 982597) (|vspace| . 982516) (|prime| . 982377) (|showTypeInOutput| . 982276) (|guessRat| . 975223) (|e04mbf| . 974990) (|vectorise| . 974696) (|toseInvertibleSet| . 974344) (|components| . 974223) (|basisOfNucleus| . 974045) (|center| . 973504) (|clip| . 972162) (|redPol| . 971892) (|e04jaf| . 971627) (|sub| . 971577) (|canonicalIfCan| . 971430) (|clearFortranOutputStack| . 971328) (|setmult!| . 970799) (|e04gcf| . 970540) (|outputForm| . 969597) (|rightPower| . 969411) (|permutationGroup| . 969271) (|derivationCoordinates| . 968987) (|e04fdf| . 968728) (|subPolSet?| . 967979) (|messagePrint| . 967874) (|hasHi| . 967757) (|closeComponent| . 967557) (|rightCharacteristicPolynomial| . 967390) (|charpol| . 967125) (|e04dgf| . 966782) (|surface| . 966686) (|imagj| . 966584) (|systemCommand| . 966471) (|projection| . 966373) (|f01ref| . 966146) (|calcRanges| . 965981) (|indicialEquations| . 964188) (|cyclic?| . 963958) (|listYoungTableaus| . 963795) (|one?| . 963380) (|setColumn!| . 963144) (|increase| . 962920) (|tail| . 962545) (|functionIsFracPolynomial?| . 962227) (|taylorIfCan| . 962041) (|f01rdf| . 961805) (|frst| . 961711) (|horizSplit| . 961089) (|f01rcf| . 960898) (|alterQuadVar!| . 960705) (|showIntensityFunctions| . 960130) (|legendreP| . 959920) (|youngGroup| . 959624) (|arity| . 959519) (|copies| . 959404) (|divisor| . 957906) (|genericRightMinimalPolynomial| . 957563) (|intersect| . 955767) (|f01qef| . 955552) (|stFuncN| . 955253) (|bumprow| . 954964) (|qqq| . 954701) (|diagonals| . 954579) (|getlo| . 954093) (|iiAiryBi| . 953919) (|identityMatrix| . 953751) (|f01qdf| . 953527) (|firstExponent| . 953272) (|rightMult| . 953117) (|iisin| . 952921) (|argument| . 952565) (|makeMulti| . 952347) (|f01qcf| . 952168) (|init| . 951937) (|infiniteProduct| . 951051) (|tanAn| . 950871) (|numFunEvals| . 950799) (|unmakeSUP| . 950646) (|normalForm| . 950059) (|f01mcf| . 949841) (|scanOneDimSubspaces| . 949589) (|imagE| . 949487) (|column| . 949014) (|internal?| . 948868) (|datalist| . 948753) (|search| . 948606) (|slope| . 947660) (|f01maf| . 947355) (|tanSum| . 947236) (|extensionDegree| . 946548) (|rightRemainder| . 946410) (|createNormalElement| . 946279) (|drawStyle| . 946157) (|f01bsf| . 945855) (|degreeOfMinimalForm| . 945601) (|tensorMap| . 945440) (|viewPhiDefault| . 945260) (|roman| . 945098) (|pile| . 945005) (|associatedSystem| . 944688) (|meshFun2Var| . 944274) (|f01brf| . 943938) (|setClipValue| . 943852) (|certainlySubVariety?| . 943534) (|close!| . 943362) (|getMatch| . 943183) (|bernoulliB| . 942968) (|hconcat| . 942828) (|autoReduced?| . 942489) (|listConjugateBases| . 941984) (|associatedEquations| . 941583) (|functionNames| . 941493) (|latex| . 940690) (|setEpilogue!| . 940501) (|semiSubResultantGcdEuclidean1| . 940276) (|factorFraction| . 940059) (|nthRootIfCan| . 939876) (|cAcos| . 939716) (|jacobiIdentity?| . 939376) (|monic?| . 938976) (|integerDecode| . 938885) (|bivariateSLPEBR| . 938488) (|extendIfCan| . 938222) (|integrate| . 925312) (|rightOne| . 925192) (|leftPower| . 925006) (|subresultantSequence| . 924763) (|selectPolynomials| . 924346) (|multinomial| . 924199) (|factorSFBRlcUnit| . 923472) (|pseudoRem| . 923332) (|zeroSetSplitIntoTriangularSystems| . 922973) (|foundPlaces| . 922805) (|leadingTerm| . 922627) (|lhs| . 922117) (|alphabetic| . 922069) (E1 . 921912) (|multiEuclidean| . 921811) (|powerAssociative?| . 921669) (|symbolIfCan| . 921547) (|outputGeneral| . 921368) (|tan2trig| . 921153) (|leaves| . 921032) (|integralMatrix| . 920748) (|groebnerIdeal| . 920492) (|randnum| . 920320) (|addMatchRestricted| . 920145) (|generalInfiniteProduct| . 919141) (|mul| . 919005) (|iCompose| . 918897) (|ZetaFunction| . 915987) (|lastNonNul| . 915860) (|karatsuba| . 915641) (|genus| . 913179) (|leftTrim| . 912991) (|quasiRegular| . 912744) (|updatF| . 912371) (|rquo| . 911463) (|OMgetObject| . 911381) (|shallowExpand| . 911170) (|makeCell| . 910849) (|ef2edf| . 910694) (|limitedint| . 910274) (|ref| . 910192) (|packageCall| . 910043) (|sdf2lst| . 909614) (|red| . 909575) (|logGamma| . 909362) (|value| . 908938) (|maxint| . 908758) (|iicsch| . 908562) (|validExponential| . 908153) (|lSpaceBasis| . 907853) (|previousTower| . 907770) (|cCoth| . 907610) (|rightUnit| . 907449) (|makeCrit| . 906990) (|critB| . 906714) (|genericLeftTrace| . 906402) (|multiplyCoefficients| . 905954) (|dimensionOfIrreducibleRepresentation| . 905816) (|properties| . 905704) (|discriminant| . 904327) (|lfunc| . 904244) (|quotient| . 903785) (|repack1| . 903559) (|print| . 903373) (|imagI| . 903170) (|order| . 898545) (|nodes| . 898424) (|graphState| . 898171) (|dom| . 898093) (|moebius| . 897994) (|possiblyNewVariety?| . 897639) (|leastMonomial| . 897452) (|commaSeparate| . 897240) (|LowTriBddDenomInv| . 896979) (|mapExponents| . 896509) (|sparsityIF| . 896366) (|chartV| . 895861) (|poisson| . 895719) (|OMcloseConn| . 895633) (|vconcat| . 895493) (|maxrank| . 894925) (|LiePolyIfCan| . 894552) (|distFact| . 893910) (|ramifMult| . 893817) (|const| . 893651) (|df2ef| . 893511) (|complexExpand| . 892863) (|coordinate| . 892467) (|reverseLex| . 892260) (|script| . 891896) (|direction| . 891756) (|fullDisplay| . 891149) (|asecIfCan| . 891008) (|cosSinInfo| . 890874) (|limitPlus| . 890034) (|extractSplittingLeaf| . 889848) (|maxrow| . 889554) (LE . 889336) (|rationalPlaces| . 888085) (|inverseIntegralMatrix| . 887801) (|invertible?| . 887183) (|outputArgs| . 886811) (|OMencodingBinary| . 886761) (|OMputString| . 886649) (|viewWriteDefault| . 886459) (|initParLocLeaves| . 885769) (|uncouplingMatrices| . 885525) (|degreePartition| . 885021) (|symmetricTensors| . 884687) (|declare| . 884569) (|iter| . 884382) (|algint| . 883999) (|monicRightFactorIfCan| . 883735) (|mapdiv| . 883573) (|constantOpIfCan| . 883393) (|recur| . 883034) (|bright| . 882751) (|eq| . 882471) (|headReduced?| . 881451) (|cyclicCopy| . 881367) (|quoByVar| . 881262) (|separate| . 880576) (|ramifiedAtInfinity?| . 880307) (|separateFactors| . 879756) (|groebgen| . 879424) (|OMgetBVar| . 879342) (|badValues| . 879156) (|useSingleFactorBound?| . 879001) (|dn| . 878826) (|maxMixedDegree| . 878592) (|cSin| . 878432) (|output| . 877910) (|removeSinhSq| . 877695) (|tubeRadiusDefault| . 877487) (|inspect| . 876985) (|ramified?| . 876444) (|fortran| . 876232) (|computeCycleEntry| . 876091) (|deleteProperty!| . 876005) (|endOfFile?| . 875926) (|makeResult| . 875652) (|moduloP| . 875556) (|stablePol| . 875405) (|completeSmith| . 875070) (|aspFilename| . 874979) (|brillhartTrials| . 874661) (|cAsech| . 874501) (|positiveSolve| . 873013) (|unitsColorDefault| . 872839) (|linkToFortran| . 871992) (|selectNonFiniteRoutines| . 871942) (|rewriteSetWithReduction| . 871569) (|mkIntegral| . 871260) (|createPrimitiveElement| . 871205) (|character?| . 871117) (|composite| . 870664) (|leadingCoefficientRicDE| . 870201) (|removeRoughlyRedundantFactorsInPol| . 869911) (|leftDiscriminant| . 869495) (|fullParamInit| . 868805) (|loopPoints| . 868588) (|primitive?| . 868305) (|clearTheIFTable| . 868214) (|leftRecip| . 867991) (|makeFR| . 867482) (|edf2fi| . 867327) (|complexSolve| . 866234) (|rowEchLocal| . 866089) (|imagk| . 865987) (|quasiMonic?| . 865772) (|newElement| . 865191) (|qShiftC| . 864942) (|OMputAttr| . 864860) (|changeName| . 864741) (Y . 864304) (|invertIfCan| . 863996) (|guessAlg| . 859661) (|characteristic| . 857975) (|clearDenominator| . 857086) (|pushup| . 855982) (|conditionP| . 855661) (|insertTop!| . 855480) (|maxSubst| . 855208) (|elColumn2!| . 854910) (|setfirst!| . 854767) (|Lazard2| . 854556) (|blockSplit| . 853186) (|mainVariableOf| . 853071) (|separateDegrees| . 852816) (|singularPointsWithRestriction| . 852409) (|extension| . 852321) (|perspective| . 852199) (|maxIndex| . 852038) (|uncorrelated?| . 851448) (|simplifyPower| . 851291) (|space| . 851004) (|bits| . 850652) (|foundZeroes| . 850534) (|localPointV| . 849992) (|roughSubIdeal?| . 849681) (|pfaffian| . 849454) (|psolve| . 842786) (UTS2UP . 842473) (|bringDown| . 841934) (|guessADE| . 834881) (|symbNameV| . 834347) (|crest| . 834126) (|trigs2explogs| . 833683) (|noLinearFactor?| . 833532) (|OMgetError| . 833450) (|iiatanh| . 833254) (|representationType| . 833128) (|commutativeEquality| . 832945) (|qroot| . 832381) (|nthRoot| . 832007) (|factorSquareFreePolynomial| . 831818) (|OMUnknownCD?| . 831730) (|lfintegrate| . 831327) (|entry?| . 831093) (|rk4| . 830516) (|mainContent| . 830297) (|roughEqualIdeals?| . 829986) (|singleFactorBound| . 829263) (|oddInfiniteProduct| . 828377) (|returns| . 827741) (|primPartElseUnitCanonical!| . 827517) (|OMencodingSGML| . 827467) (|merge!| . 826996) (|dominantTerm| . 826322) (|fortranLiteral| . 826212) (|rightScalarTimes!| . 826071) (|introduce!| . 825961) (|polygon| . 825441) (|corrPoly| . 824881) (|infinite?| . 824633) (|addPoint2| . 824483) (|relativeApprox| . 823923) (|dmp2rfi| . 822759) (|nextNormalPoly| . 822583) (|rightMinimalPolynomial| . 822379) (|sumSquares| . 822243) (|inc| . 822185) (|htrigs| . 821970) (|alphanumeric?| . 821890) (|setMinPoints| . 821815) (|doubleRank| . 821623) (|coord| . 820993) (|log10| . 820687) (|cCot| . 820527) (|csch2sinh| . 820312) (|computePowers| . 820123) (|packExps| . 819916) (|dioSolve| . 819596) (|pastel| . 819520) (|palgLODE| . 818917) (|outlineRender| . 818795) (|sup| . 818583) (|exteriorDifferential| . 818436) (|ReduceOrder| . 818019) (|clipBoolean| . 817885) (|monicDecomposeIfCan| . 817603) (|createPrimitivePoly| . 817401) (|primlimintfrac| . 817000) (|nextPrimitivePoly| . 816824) (|lfextendedint| . 816386) (GE . 816168) (|systemSizeIF| . 815761) (|range| . 815549) (|setFormula!| . 815448) (|inHallBasis?| . 815331) (|compBound| . 815109) (|hasoln| . 814662) (|assert| . 814243) (|algebraicOf| . 813955) (|middle| . 813762) (|iifact| . 813592) (|tower| . 813493) (|modularGcdPrimitive| . 813231) (|superscript| . 813139) (|cAsec| . 812979) (|triangular?| . 812671) (|interpret| . 812476) (|mightHaveRoots| . 812252) (|iiBeta| . 812050) (|numberOfCycles| . 811920) (|solveLinearPolynomialEquation| . 810932) (|repeating| . 810825) (|antisymmetric?| . 810371) (|wholeRadix| . 810248) (|rootSimp| . 809691) (|bitLength| . 809609) (|enumerate| . 809340) (|eyeDistance| . 809219) (|semiResultantEuclideannaif| . 808988) (|rischDEsys| . 808293) (|pointSizeDefault| . 808103) (|tex| . 808015) (|setLegalFortranSourceExtensions| . 807922) (|iicoth| . 807726) (|truncatedmultiplication| . 807587) (|perfectNthRoot| . 807255) (|minset| . 806901) (|leftLcm| . 806607) (|constantCoefficientRicDE| . 806113) (|adjoint| . 805078) (|mapUp!| . 804796) (|zeroDim?| . 804256) (|compiledFunction| . 803732) (|variableOf| . 803554) (|lexico| . 803198) (|checkExtraValues| . 802986) (|approximants| . 802842) (|setleaves!| . 802713) (|rename!| . 802619) (|numberOfIrreduciblePoly| . 802467) (|diff| . 802055) (|cubic| . 801531) (|lintgcd| . 801360) (|round| . 801305) (|fortranLiteralLine| . 801195) (|reducedSystem| . 800798) (|iprint| . 800683) (|totolex| . 800401) (|zeroDimensional?| . 799948) (|quasiComponent| . 799617) (|lazyPremWithDefault| . 799039) (|bottom!| . 798864) (|cCsch| . 798704) (|normalizedAssociate| . 798390) (|lazyPquo| . 798010) (|presuper| . 797960) (|linearlyDependentOverZ?| . 797774) (|collect| . 797434) (|pdf2ef| . 797279) (|OMgetVariable| . 797195) (|lprop| . 797047) (|expt| . 796861) (|rightExtendedGcd| . 796641) (|makeprod| . 796514) (|completeEchelonBasis| . 796348) (|normFactors| . 796005) (|leftFactor| . 795838) (|real?| . 795089) (|truncate| . 794731) (|branchIfCan| . 793742) (|e01sff| . 793522) (|level| . 793365) (|cycleSplit!| . 793225) (|in?| . 792603) (|mapExpon| . 792109) (|fixedPoint| . 791777) (|geometric| . 791635) (|setFoundPlacesToEmpty| . 791467) (|specialise| . 791210) (|omError| . 791077) (|SFunction| . 790917) (|modularFactor| . 790706) (|stosePrepareSubResAlgo| . 790292) (|numberRatPlacesExtDeg| . 788883) (|tubePlot| . 787592) (|kroneckerDelta| . 787427) (|elem?| . 787308) (|makeGraphImage| . 786706) (|modularGcd| . 786444) (|complexLimit| . 785475) (|width| . 785172) (|anfactor| . 784751) (|delete| . 784491) (|fixPredicate| . 784193) (|squareFreeBasis| . 783988) (|guessBinRat| . 776935) (|minimalForm| . 776011) (|copyfirst| . 775850) (|maxPower| . 775578) (|UpTriBddDenomInv| . 775317) (|constantLeft| . 775077) (|numericalOptimization| . 774487) (|shufflein| . 774331) (|OMwrite| . 773000) (|rischDE| . 772268) (|dihedralGroup| . 771966) (|setexcpDiv!| . 771458) (|OMconnectTCP| . 771302) (|reduceByQuasiMonic| . 771046) (|remainder| . 770687) (|simplifyLog| . 770472) (|varselect| . 770266) (|findTerm| . 770068) (|overbar| . 770021) (|chainSubResultants| . 769827) (|translate| . 768804) (|pointData| . 768648) (|variableName| . 768438) (|table| . 768110) (|setAdaptive3D| . 768033) (|mkcomm| . 767905) (|linearAssociatedExp| . 767718) (|message| . 767638) (|excepCoord| . 767545) (|collectUnder| . 767299) (= . 766148) (|substring?| . 766026) (|hasPredicate?| . 765911) (|commutative?| . 765571) (|generators| . 765178) (|resultantSet| . 764937) (|computeCycleLength| . 764760) (|equality| . 764625) (|fortranCompilerName| . 764537) (|branchPoint?| . 763996) (|meatAxe| . 762914) (|primes| . 762775) (< . 762267) (|besselK| . 761812) (|refine| . 760040) (|genusTreeNeg| . 759290) (|conjugate| . 758260) (|stoseSquareFreePart| . 757858) (> . 757725) (|OMputEndAtp| . 757643) (|d03faf| . 757304) (|squareMatrix| . 757149) (|rootNormalize| . 756789) (|normal01| . 756699) (|leadingIndex| . 756226) (<= . 755844) (|subHeight| . 755763) (|d03eef| . 755386) (|usingTable?| . 755217) (|leastAffineMultiple| . 755051) (|safety| . 754817) (|functionName| . 754607) (|cothIfCan| . 754466) (>= . 754333) (|next| . 754237) (|Beta| . 753590) (|d03edf| . 753352) (|physicalLength| . 753069) (|interpolateForms| . 751039) (|unrankImproperPartitions0| . 750890) (|evaluate| . 749899) (|wordsForStrongGenerators| . 749746) (|setsubmult!| . 749217) (|contains?| . 749036) (|projectionSet| . 748795) (|genericRightTraceForm| . 748480) (|leadingBasisTerm| . 748218) (|suffix?| . 748127) (|node?| . 747969) (|maxPoints| . 747732) (|write!| . 747598) (+ . 744903) (|pToDmp| . 744691) (|eq?| . 744036) (|reopen!| . 743875) (|create3Space| . 743661) (- . 740841) (|lastSubResultantEuclidean| . 740590) (UP2UTS . 740319) (|node| . 740213) (|wordInGenerators| . 740031) (/ . 735938) (|bezoutMatrix| . 735644) (|char| . 735488) (|baseRDEsys| . 735179) (|setPosition| . 735056) (|coefficients| . 734213) (|rdregime| . 733591) (|reducedContinuedFraction| . 733457) (|open| . 733168) (|mapCoef| . 732973) (|encode| . 732856) (|spherical| . 732672) (|factorList| . 732110) (|limitedIntegrate| . 731670) (|true| . 731629) (|getPickedPoints| . 731513) (|quartic| . 730986) (|exptMod| . 730608) (|LyndonWordsList1| . 730385) (|getOp| . 729998) (|makeFloatFunction| . 729560) (|cPower| . 729397) (|purelyAlgebraicLeadingMonomial?| . 729111) (|tanh2trigh| . 728896) (|quadTransform| . 728476) (|addMatch| . 728304) (|radicalSolve| . 726039) (|OMconnOutDevice| . 725943) (|empty| . 724973) (|setchart!| . 724465) (|copyDrift| . 724253) (|tube| . 723849) (|findOrderOfDivisor| . 722051) (|stronglyReduce| . 721795) (|binaryTree| . 721612) (|outputFloating| . 721433) (|normalDeriv| . 721123) (|fullOut| . 719993) (|bat1| . 719816) (|basisOfRightNucleus| . 719638) (|mapSolve| . 719254) (|splitNodeOf!| . 718746) (|swap| . 718446) (|mathieu23| . 718183) (|exponentialOrder| . 717960) (|c05nbf| . 717677) (|prefix?| . 717586) (|equation| . 716851) (|read!| . 716720) (|semiSubResultantGcdEuclidean2| . 716495) (|supp| . 716370) (|writable?| . 716281) (|c05adf| . 716043) (|halfExtendedSubResultantGcd1| . 715491) (|map| . 690083) (|univariatePolynomialsGcds| . 689417) (|HermiteIntegrate| . 688660) (|exQuo| . 687693) (|principal?| . 687385) (|finiteSeries2LinSys| . 687135) (|complexElementary| . 685862) (|c06gsf| . 685687) (|splitSquarefree| . 685407) (|name| . 684764) (|allPairsAmong| . 684218) (|exactQuotient| . 683767) (|c06gqf| . 683592) (|invmultisect| . 682963) (|chiSquare1| . 682831) (|shrinkable| . 682570) (|polyRDE| . 682107) (|c06gcf| . 681935) (|showRegion| . 681813) (|symmetric?| . 681359) (|c06gbf| . 681187) (|maxColIndex| . 680720) (|mathieu22| . 680457) (|defineProperty| . 680239) (|hadamard| . 680076) (|rootsOf| . 679265) (|selectSumOfSquaresRoutines| . 679215) (|c06fuf| . 679001) (|plus!| . 678860) (|unitNormal| . 678716) (|prinshINFO| . 678452) (|curryLeft| . 678209) (|c06frf| . 677998) (|primextendedint| . 677506) (|numFunEvals3D| . 677432) (|unravel| . 677236) (|selectsecond| . 677112) (|c06fqf| . 676904) (|identification| . 676643) (|FormatRoman| . 676524) (|DiffC| . 676278) (|guessHolo| . 671943) (|c06fpf| . 671735) (|cycleRagits| . 671612) (|OMsetEncoding| . 671490) (|eval| . 660502) (|goodPoint| . 660262) (|c06ekf| . 660084) (|realEigenvectors| . 659786) (|cscIfCan| . 659645) (|terms| . 659029) (|hexDigit| . 658981) (|Yun| . 658770) (|mix| . 658448) (|c06ecf| . 658273) (|leadingExponent| . 657800) (|gcdPrimitive| . 656996) (|oblateSpheroidal| . 656787) (|graphImage| . 656743) (|normalizedDivide| . 656193) (|c06ebf| . 656021) (|viewDeltaXDefault| . 655841) (|laurentIfCan| . 655654) (|iiacsch| . 655458) (|setProperty| . 655344) (|OMgetEndApp| . 655262) (|c06eaf| . 655090) (|iiasec| . 654894) (|strongGenerators| . 654754) (|approxNthRoot| . 654612) (|central?| . 654431) (|evaluateInverse| . 654153) (|s17def| . 653914) (|chebyshevT| . 653601) (|lyndon?| . 653443) (|squareFreePolynomial| . 652986) (|initializeParamOfPlaces| . 651574) (|OMsupportsCD?| . 651461) (|s17dcf| . 651222) (|chineseRemainder| . 650303) (|setchildren!| . 650137) (|unprotectedRemoveRedundantFactors| . 649847) (|integralAtInfinity?| . 649575) (|hclf| . 649386) (|s17akf| . 649227) (|newReduc| . 649007) (|hcrf| . 648818) (|hash| . 647738) (|secIfCan| . 647597) (|increasePrecision| . 647425) (|setStatus!| . 647218) (|s17ajf| . 647059) (|cTan| . 646899) (|simplify| . 646219) (|shade| . 646030) (|bandedJacobian| . 645630) (|isobaric?| . 645355) (|condition| . 645179) (|purelyAlgebraic?| . 644613) (|s17ahf| . 644454) (|ocf2ocdf| . 644285) (|generic| . 642599) (|permanent| . 642379) (|digit| . 642331) (|select!| . 641999) (|virtualDegree| . 641721) (|updateStatus!| . 641545) (|s17agf| . 641386) (|listOfLists| . 640793) (|integer?| . 640294) (|iibinom| . 640096) (|createNormalPrimitivePoly| . 639894) (|s17aff| . 639735) (|LPolynomial| . 636855) (|cyclotomic| . 636383) (|rationalPoints| . 634068) (|newTypeLists| . 633982) (|ipow| . 633784) (|insertBottom!| . 633603) (|changeThreshhold| . 633488) (|permutation| . 633131) (|removeConstantTerm| . 632927) (|setDegree!| . 632720) (|s17aef| . 632561) (|upDateBranches| . 631278) (|lift| . 629377) (|tubePoints| . 629149) (|iiabs| . 628975) (|hdmpToDmp| . 628726) (|reduceRowOnList| . 628573) (|s17adf| . 628414) (|reduce| . 621829) (|doubleDisc| . 621594) (|removeCosSq| . 621379) (|close| . 621104) (|optimize| . 619868) (|setPoly| . 619730) (|setTower!| . 619616) (|ranges| . 619169) (|subNodeOf?| . 618873) (|s17acf| . 618714) (|ratpart| . 618623) (|redpps| . 618125) (|leftUnits| . 617498) (|partitions| . 617063) (|iisinh| . 616867) (|s15aef| . 616708) (|nonQsign| . 616585) (|pointToPlace| . 616124) (|genusNeg| . 614275) (|besselJ| . 613820) (|iiBesselK| . 613618) (|s15adf| . 613459) (|multV| . 612933) (|roughUnitIdeal?| . 612625) (|lowerCase?| . 612545) (|remove!| . 611295) (|makeEq| . 610978) (|s14baf| . 610813) (|symmetricDifference| . 610716) (|rightExactQuotient| . 610568) (|escape| . 610525) (|antiAssociative?| . 610185) (|display| . 608913) (|sn| . 608738) (|s14abf| . 608579) (|printHeader| . 608285) (|dmpToP| . 608073) (|iiperm| . 607875) (|gcdcofact| . 607732) (|nthCoef| . 607543) (|s14aaf| . 607384) (|infRittWu?| . 606139) (|deepCopy| . 606021) (|sortConstraints| . 605688) (|getDatabase| . 605479) (|genericLeftTraceForm| . 605164) (|s13adf| . 605005) (|pointValue| . 604758) (|cycleTail| . 604660) (|prinb| . 604368) (|objects| . 604090) (|s13acf| . 603931) (|move| . 603662) (|fractRadix| . 603536) (|subs2ndVar| . 603278) (|LyndonBasis| . 602984) (|rootOf| . 601488) (|qfactor| . 601118) (|s13aaf| . 600959) (|nullary| . 600833) (|interReduce| . 600546) (|hypergeometric0F1| . 600327) (|blowUpWithExcpDiv| . 599637) (|Zero| . 599336) (|functionIsContinuousAtEndPoints| . 598715) (|parametric?| . 598640) (LT . 598422) (|s01eaf| . 598251) (|upperCase!| . 598197) (|edf2efi| . 598027) (|checkForZero| . 597136) (|stack| . 597023) (|universe| . 596897) (|axServer| . 596734) (|euclideanSize| . 596635) (|s21bdf| . 596467) (|pmComplexintegrate| . 595888) (|infinityNorm| . 595574) (|smaller?| . 595488) (|imagK| . 595285) (|check| . 594529) (|anticoord| . 594233) (|s21bcf| . 594068) (|parent| . 593950) (|firstUncouplingMatrix| . 593687) (|drawComplexVectorField| . 593454) (|iiacoth| . 593258) (|unary?| . 593174) (|setcurve!| . 592573) (|s21bbf| . 592408) (|OMgetAttr| . 592326) (|numberOfComponents| . 591585) (|iidigamma| . 591411) (|logpart| . 591147) (|rem| . 590988) (|selectMultiDimensionalRoutines| . 590938) (|perfectNthPower?| . 590768) (|s21baf| . 590606) (|numericIfCan| . 589238) (|semiDiscriminantEuclidean| . 589007) (|subResultantGcd| . 588477) (|listSD| . 588291) (|solveInField| . 587354) (|s20adf| . 587195) (|replaceVarByZero| . 586909) (|semiIndiceSubResultantEuclidean| . 586633) (|mapmult| . 586499) (|mainCoefficients| . 586284) (|trapezoidalo| . 585984) (|quo| . 585825) (|indiceSubResultant| . 585617) (|graeffe| . 585424) (|e02agf| . 585150) (|cAcsc| . 584990) (|retractIfCan| . 577294) (|simpsono| . 576994) (RF2UTS . 576654) (|getDomains| . 576522) (|match?| . 576398) (|s20acf| . 576239) (|basisOfCenter| . 576061) (|firstSubsetGray| . 575924) (|explimitedint| . 575369) (|hdmpToP| . 575146) (|/\\| . 575049) (|size?| . 574160) (|d01aqf| . 573913) (|distdfact| . 573596) (|mr| . 573292) (|polarCoordinates| . 573044) (|OMreadFile| . 572935) (|ellipticCylindrical| . 572726) (|\\/| . 572629) (|s19adf| . 572470) (|functionIsOscillatory| . 572167) (|tablePow| . 571893) (|parabolicCylindrical| . 571709) (|cn| . 571534) (|or| . 571389) (|degree| . 566586) (|d01apf| . 566333) (|minimize| . 566052) (|singRicDE| . 564959) (|irreducible?| . 564350) (|fTable| . 563231) (|idealiser| . 562611) (|s19acf| . 562452) (|xn| . 562245) (|cos2sec| . 562030) (|cAcsch| . 561870) (|addPoint| . 561275) (|rewriteIdealWithQuasiMonicGenerators| . 560899) (~= . 560074) (|d01anf| . 559824) (|Vectorise| . 559656) (|primitivePart| . 558489) (|copy!| . 558351) (|logIfCan| . 558210) (|maxShift| . 557932) (|d01amf| . 557688) (|homogenize| . 555883) (|plenaryPower| . 555737) (|tValues| . 555638) (|copyQuadVar| . 555426) (|d01alf| . 555133) (|elliptic| . 554373) (|diagonal?| . 553919) (|delete!| . 553639) (|iiacsc| . 553443) (|s19abf| . 553284) (|OMreadStr| . 553175) (|lexGroebner| . 553003) (|completeHensel| . 552769) (|binomThmExpt| . 552542) (|insert| . 552297) (|d01akf| . 552053) (|myDegree| . 551638) (|plot| . 549755) (|transcendentalDecompose| . 547840) (|normalized?| . 546820) (|cAcot| . 546660) (|s19aaf| . 546501) (|isPower| . 545653) (|f2df| . 545528) (|subspace| . 545064) (|splitConstant| . 544661) (|changeNameToObjf| . 544545) (|d01ajf| . 544301) (|unit| . 543967) (|zRange| . 543851) (|showTheIFTable| . 543791) (|allRootsOf| . 542749) (|s18def| . 542510) (|module| . 541849) (|pushdown| . 540745) (|factorset| . 540400) (|pdct| . 540320) (|quadraticForm| . 540157) (|s18dcf| . 539918) (|getCode| . 539832) (|compactFraction| . 539733) (|qelt| . 539126) (|hasDimension?| . 538804) (|guess| . 527305) (|s18aff| . 527146) (|bit?| . 527051) (|minimumDegree| . 526159) (|closed?| . 525934) (|ddot| . 525750) (|enterPointData| . 525577) (|s18aef| . 525418) (|jacobi| . 525316) (|rk4qc| . 524530) (|coerceListOfPairs| . 524402) (|makeop| . 524096) (|prindINFO| . 523699) (|s18adf| . 523540) (|euler| . 523270) (|LazardQuotient| . 523001) (|algebraicSet| . 522597) (|transpose| . 521745) (|reduceBasisAtInfinity| . 521471) (|reshape| . 520742) (|s18acf| . 520583) (|super| . 520533) (|symFunc| . 520227) (|recolor| . 519962) (|isPlus| . 519021) (|lastSubResultantElseSplit| . 518719) (|f04qaf| . 518402) (|tab1| . 518225) (|supersub| . 518129) (|var1Steps| . 517901) (|bumptab| . 517681) (|sturmVariationsOf| . 517419) (|f04mcf| . 517178) (|bfKeys| . 517088) (|leftNorm| . 516971) (|doubleComplex?| . 516883) (|setPrologue!| . 516694) (|label| . 516644) (|isExpt| . 515018) (GT . 514800) (|f04mbf| . 514380) (|pol| . 514182) (|cRationalPower| . 514000) (|euclideanGroebner| . 513106) (|typeLists| . 512896) (|complexRoots| . 512378) (|safeFloor| . 512215) (|f04maf| . 511965) (|heap| . 511854) (|rootPoly| . 511453) (|groebner| . 509702) (|solid?| . 509606) (|curve| . 508897) (|f04jgf| . 508672) (|nextColeman| . 508512) (|leftExactQuotient| . 508198) (|OMgetBind| . 508116) (|elementary| . 507965) (|subscriptedVariables| . 507859) (|f04faf| . 507672) (|asimpson| . 507369) (|besselY| . 506914) (|unitVector| . 506187) (|iroot| . 505951) (|selectFiniteRoutines| . 505901) (|f04axf| . 505669) (|gnuDraw| . 504810) (F2EXPRR . 504620) (|blowUp| . 503928) (|alternative?| . 503588) (|recoverAfterFail| . 503461) (|f04atf| . 503274) (|lowerCase!| . 503220) (|sumOfDivisors| . 503121) (~ . 503030) (|power| . 502868) (|internalDecompose| . 499893) (|showScalarValues| . 499816) (|f04asf| . 499632) (|selectfirst| . 499508) (|constDsolve| . 498980) (|finiteBound| . 498795) (|LagrangeInterpolation| . 498600) (|redPo| . 498271) (|homogeneous| . 497999) (|complexZeros| . 497298) (|pleskenSplit| . 496814) (|simpleBounds?| . 496671) (|tableau| . 496547) (|leftDivide| . 495813) (|sizeLess?| . 495722) (SEGMENT . 495452) (|f04arf| . 495268) (|prolateSpheroidal| . 495059) (|mainPrimitivePart| . 494840) (|rur| . 493220) (|complexNormalize| . 491947) (|addmod| . 491883) (|exprToXXP| . 491323) (|printStats!| . 491157) (|characteristicSerie| . 490383) (|relerror| . 490304) (|declare!| . 489545) (|symmetricRemainder| . 489484) (|f04adf| . 489279) (|degreeSubResultant| . 489071) (|iisech| . 488875) (|removeFirstZeroes| . 488775) (|iidsum| . 488577) (|leaf?| . 488145) (|pseudoQuotient| . 488002) (|baseRDE| . 487672) (|null| . 487567) (|primitivePart!| . 487348) (|indexName| . 487138) (|df2st| . 486769) (|powerSum| . 486618) (|multiset| . 486335) (|inverse| . 484606) (|iicot| . 484410) (|power!| . 484224) (|BumInSepFFE| . 483861) (|desingTreeAtPoint| . 483197) (|internalSubPolSet?| . 482448) (|digit?| . 482368) (|child?| . 482210) (|frobenius| . 482030) (|ldf2vmf| . 481878) (|continue| . 481790) (|subst| . 481345) (|transcendent?| . 481227) (|exprToGenUPS| . 480348) (|permutationRepresentation| . 479579) (|nthFlag| . 479402) (|initial| . 479155) (|factorOfDegree| . 477734) (|option| . 477251) (|tubePointsDefault| . 477061) (|invmod| . 477000) (|slex| . 476841) (|fortranDouble| . 476796) (|new| . 475690) (|explogs2trigs| . 475297) (|desingTreeWoFullParam| . 474017) (|tan2cot| . 473802) (|setCondition!| . 473623) (|normalise| . 473507) (|f07fef| . 473312) (|cyclotomicFactorization| . 473142) (|distribute| . 473034) (|OMputError| . 472952) (|palgRDE| . 472458) (|createPrimitiveNormalPoly| . 472256) (|nextNormalPrimitivePoly| . 472080) (|f07fdf| . 471894) (|And| . 471758) (|reseed| . 471644) (|quoted?| . 471529) (|nary?| . 471445) (|modulus| . 470295) (|f07aef| . 470058) (|generalizedContinuumHypothesisAssumed?| . 469976) (|generalizedContinuumHypothesisAssumed| . 469891) (|region| . 469732) (|lazy?| . 469610) (|unitCanonical| . 469557) (|f07adf| . 469398) (|reduced?| . 468607) (|comparison| . 468472) (|iitanh| . 468276) (|tree| . 467612) (|nlde| . 467385) (|purelyTranscendental?| . 467099) (|alternatingGroup| . 466797) (|zeroDimPrime?| . 466425) (|subset?| . 466300) (|eigenMatrix| . 466107) (|OMopenString| . 465983) (|s17dlf| . 465741) (|maxTower| . 465624) (|newSubProgram| . 465515) (|realElementary| . 464834) (|dznrm2| . 464644) (^= . 464594) (|readLine!| . 464516) (|s17dhf| . 464312) (|sequences| . 464006) (|multiple| . 463730) (|lyndonIfCan| . 463590) (|polynomialZeros| . 463322) (|arg1| . 463174) (|xRange| . 462945) (|coefOfFirstNonZeroTerm| . 462845) (|basisOfCommutingElements| . 462667) (|s17dgf| . 462463) (|optional| . 462187) (|rightNorm| . 462070) (|arg2| . 461922) (|extend| . 459683) (|squareFree| . 457170) (|OMputFloat| . 457053) (|f02xef| . 456824) (|externalList| . 456734) (|jacobian| . 456168) (NOT . 455913) (|evalRec| . 455472) (|repeating?| . 455300) (|convergents| . 455156) (|f02wef| . 454939) (|newtonPolygon| . 454537) (|resultantReduitEuclidean| . 454251) (|not| . 454068) (OR . 453850) (|product| . 452757) (|packModulus| . 452491) (|evalIfCan| . 448404) (|cCos| . 448244) (|f02fjf| . 447457) (|musserTrials| . 447131) (|integralLastSubResultant| . 446736) (AND . 446518) (|minPoly| . 446060) (|sinIfCan| . 445919) (|displayAsGF| . 445786) (|f02bjf| . 445546) (|OMputEndApp| . 445464) (|update| . 445301) (|innerint| . 444661) (|patternMatch| . 440536) (|splitDenominator| . 438945) (|internalLastSubResultant| . 438019) (|applyQuote| . 437365) (|f02bbf| . 437156) (|allDegrees| . 436944) (|prologue| . 436761) (|primitiveElement| . 434821) (|genusTree| . 434103) (|linSolve| . 433652) (|llprop| . 433495) (|whileLoop| . 433411) (|f02axf| . 433234) (|choosemon| . 432969) (|movedPoints| . 432731) (|invertibleSet| . 432445) (|acothIfCan| . 432304) (|typeList| . 432062) (|printInfo| . 429157) (|top| . 428815) (|f02awf| . 428644) (|SturmHabicht| . 428429) (|reduceLODE| . 428016) (|checkOptions| . 427886) (|mainSquareFreePart| . 427667) (|acsch| . 426472) (|fortranLinkerArgs| . 426384) (|f02akf| . 426207) (|triangularSystems| . 425959) (|expressIdealMember| . 425853) (|ord| . 425773) (|BasicMethod| . 425626) (|atrapezoidal| . 425323) (|f02ajf| . 425152) (|getRef| . 424983) (|partition| . 424781) (|characteristicPolynomial| . 422836) (|numberOfImproperPartitions| . 422727) (|eigenvector| . 422410) (|rdHack1| . 422177) (|f02agf| . 422006) (|lex| . 421875) (|gcd| . 419455) (|insert!| . 416485) (|generalCoefficient| . 416087) (|cyclotomicDecomposition| . 415921) (|isMult| . 415700) (|complexEigenvalues| . 415468) (|extractIndex| . 415311) (|Gamma| . 414587) (|option?| . 414436) (|pointLists| . 414323) (|LiePoly| . 414153) (|listAllMonoExp| . 413842) (* . 405629) (|randomR| . 404906) (|zoom| . 404377) (|alterDrift!| . 404187) (|removeSinSq| . 403972) (|showArrayValues| . 403895) (|integralCoordinates| . 403583) (|associator| . 403521) (|samplePoint| . 403257) (|OMgetEndAttr| . 403175) (|OMencodingUnknown| . 403125) (|getExplanations| . 403003) (|hexDigit?| . 402923) (|external?| . 402841) (|polyPart| . 402650) (|inverseLaplace| . 402219) (|screenResolution| . 401982) (|idamax| . 401842) (|radicalRoots| . 401278) (|false| . 401237) (|cTanh| . 401077) (|createLowComplexityNormalBasis| . 400793) (|extDegree| . 400668) (|deepestInitial| . 400481) (|affineAlgSetLocal| . 399964) (|nonSingularModel| . 399256) (|coefficient| . 396233) (|monomial2series| . 396023) (|OMputBind| . 395941) (|negAndPosEdge| . 395647) (|mvar| . 395220) (|multMonom| . 394741) (|stoseInvertible?| . 393971) (|factorSquareFree| . 392007) (|stronglyReduced?| . 391445) (|mainDefiningPolynomial| . 391325) (|ideal| . 390423) (|stripCommentsAndBlanks| . 390336) (|discriminantEuclidean| . 390088) (|child| . 389928) (|is?| . 388824) (|toseLastSubResultant| . 388429) (|sorted?| . 388102) (|ScanFloatIgnoreSpacesIfCan| . 387983) (|nodeOf?| . 387736) (|weierstrass| . 387529) (|RemainderList| . 387143) (|varList| . 385768) (|putGraph| . 385605) (|leftRank| . 385413) (|neglist| . 385280) (|qsetelt!| . 384868) (|less?| . 383652) (|monicRightDivide| . 383124) (|numberOfComposites| . 382992) (|quotValuation| . 382899) (|vertSplit| . 382277) (|augment| . 381086) (|push!| . 380732) (|nextSublist| . 380338) (|factorial| . 379990) (|pair?| . 379713) (|sort| . 378989) (|aQuartic| . 378746) (|nextsubResultant2| . 378513) (|toScale| . 378301) (|integral| . 377316) (|lieAlgebra?| . 376976) (|elliptic?| . 376446) (|stoseIntegralLastSubResultant| . 376041) (|bandMatrix| . 375479) (|rightLcm| . 375341) (|open?| . 375209) (|fracPart| . 374909) (|An| . 374741) (|writeDotGraph| . 374596) (|topPredicate| . 374429) (|lflimitedint| . 373904) (|OMencodingXML| . 373854) (|numerator| . 373477) (|standardDotHeader| . 373393) (|figureUnits| . 373239) (|groebner?| . 372983) (|pack!| . 372847) (|symmetricSquare| . 372702) (|leftExtendedGcd| . 372482) (|preprocess| . 371627) (|expenseOfEvaluation| . 371277) (|hMonic| . 371038) (|sampleDotGraph| . 370954) (|torsionIfCan| . 369977) (|algebraicVariables| . 369696) (|reduction| . 369146) (|getSmgl| . 369039) (|dotview| . 368933) (|repSq| . 368743) (|resultantReduit| . 368545) (|subQuasiComponent?| . 367106) (|extractClosed| . 366960) (|genericRightNorm| . 366648) (|maxLevel| . 366370) (|dot2eps| . 366267) (|elRow1!| . 365972) (|parts| . 364826) (|nthFactor| . 363979) (|nthFractionalTerm| . 363849) (|applyRules| . 363089) (|setlocalPoint!| . 362544) (|padicFraction| . 362445) (|divisorCascade| . 361863) (|associative?| . 361523) (|setright!| . 361379) (|lfextlimint| . 360869) (|bipolarCylindrical| . 360660) (|numberPlacesDegExtDeg| . 359242) (|binaryFunction| . 358966) (|expenseOfEvaluationIF| . 358559) (|monicModulo| . 358267) (|sinhcosh| . 358026) (|listVariable| . 357746) (|traverse| . 357577) (|bivariate?| . 357290) (|cylindrical| . 357106) (|headRemainder| . 356766) (|unit?| . 356679) (|atanIfCan| . 356538) (|low| . 356448) (|izamax| . 356262) (|cond| . 356094) (|moreAlgebraic?| . 355401) (|denomRicDE| . 355023) (|getOrder| . 354844) (|truncatedmuladd| . 354677) (|partialDenominators| . 354546) (|palgRDE0| . 353447) (|quasiAlgebraicSet| . 353183) (|btwFact| . 352802) (|increment| . 352650) (|type| . 352511) (|accuracyIF| . 352104) (|coerceL| . 351883) (|reduceRow| . 351761) (|overlabel| . 351711) (|allSimpleCells| . 351232) (|putColorInfo| . 351079) (|pointV| . 350574) (|intPatternMatch| . 349900) (|depth| . 349279) (|initiallyReduced?| . 348259) (|halfExtendedResultant2| . 348018) (|curveColorPalette| . 347884) (|genericPosition| . 347466) (|primintfldpoly| . 347197) (|comp| . 346941) (|semiResultantEuclidean1| . 346710) (|lcmCoef| . 346569) (|sin?| . 346446) (|lazyEvaluate| . 346352) (|ptFunc| . 346008) (|count| . 343543) (|cyclicEqual?| . 343428) (|B1solve| . 342724) (|sayLength| . 342494) (|swapColumns!| . 342271) (|makeSeries| . 342026) (|horizConcat| . 341568) (|polygon?| . 341447) (|aromberg| . 341144) (|headReduce| . 340701) (|viewDeltaYDefault| . 340521) (|pToHdmp| . 340298) (|separant| . 340051) (|mkPrim| . 339803) (|selectODEIVPRoutines| . 339753) (|bsolve| . 338910) (|implies| . 338863) (|iiBesselJ| . 338661) (|OMgetInteger| . 338576) (|yCoord| . 338462) (|root?| . 338316) (|exprHasLogarithmicWeights| . 338010) (|factorAndSplit| . 337851) (|iicosh| . 337655) (|vertConcat| . 337197) (|rotatex| . 337056) (|diagonalMatrix| . 335783) (|setClosed| . 335648) (|extractBottom!| . 335473) (|setLabelValue| . 335385) (|definingEquations| . 335124) (|enqueue!| . 334860) (|exprToUPS| . 333981) (|property| . 333860) (|minGbasis| . 333593) (|pointInIdeal?| . 333215) (|basicSet| . 332360) (|duplicates| . 332173) (|lazyPrem| . 331793) (|mathieu24| . 331530) (|multiple?| . 331415) (|iiacosh| . 331219) (|createIrreduciblePoly| . 331017) (|adjunctionDivisor| . 329161) (|units| . 328534) (|obj| . 328463) (|subResultantGcdEuclidean| . 328221) (|torsion?| . 327376) (|exquo| . 325876) (|weights| . 325286) (|complement| . 325157) (|coordinates| . 323031) (|div| . 322981) (|backOldPos| . 322619) (|palgextint0| . 321534) (|harmonic| . 321394) (|code| . 320151) (|traceMatrix| . 319527) (|submod| . 319463) (|medialSet| . 318797) (|color| . 318610) (|curveColor| . 318453) (|flush| . 318297) (|standardBasisOfCyclicSubmodule| . 318062) (|predicates| . 317942) (|coth2tanh| . 317727) (|fixedPoints| . 317580) (|outputFixed| . 317401) (|divideExponents| . 317246) (|primeFactor| . 317124) (|failed| . 316817) (|fractionPart| . 316203) (|binary| . 316013) (|cap| . 315846) (|rangePascalTriangle| . 315588) (|remainder!| . 315427) (|critBonD| . 315061) (|qinterval| . 314908) (|commutator| . 314805) (|roughBasicSet| . 314408) (|singularPoints| . 312795) (|hex| . 312691) (|flexible?| . 312351) (|flexibleArray| . 312090) (|setScreenResolution3D| . 312013) (|checkPrecision| . 311924) (|clearCache| . 311811) (|rhs| . 311301) (|arrayStack| . 311183) (|newtonPolySlope| . 310731) (|numberOfOperations| . 310443) (|polyRingToBlUpRing| . 310045) (|getAncestors| . 309913) (|leftZero| . 309797) (|innerSolve1| . 309266) (|stFunc1| . 308985) (|extendedIntegrate| . 308604) (|closedCurve?| . 308483) (|eigenvalues| . 308227) (|rank| . 305748) (|karatsubaDivide| . 305535) (|complementaryBasis| . 305261) (|top!| . 305086) (|quickSort| . 304828) (|rightUnits| . 304201) (|minPol| . 303541) (|mergeDifference| . 303421) (|Ci| . 303126) (|swapRows!| . 302903) (|cSinh| . 302743) (|taylorQuoByVar| . 302638) (|numberOfValuesNeeded| . 302212) (|padecf| . 301907) (|associatorDependence| . 301508) (|rCoord| . 301394) (|makeSketch| . 301193) (|cAtan| . 301033) (|viewDefaults| . 300949) (|conditions| . 300745) (|fmecg| . 299680) (|zag| . 299630) (|multisect| . 299001) (|binaryTournament| . 298878) (|mainValue| . 298758) (|someBasis| . 298614) (|isamax| . 298480) (|forLoop| . 298199) (|fprindINFO| . 297799) (|mantissa| . 297627) (|ksec| . 297388) (|internalIntegrate| . 296664) (|acschIfCan| . 296523) (|minColIndex| . 296056) (|summary| . 295964) (|patternVariable| . 295813) (|translateToOrigin| . 294685) (|abs| . 293755) (|mergeFactors| . 293612) (|show| . 293453) (|expIfCan| . 293312) (|tanh2coth| . 293097) (|KrullNumber| . 292242) (|difference| . 292051) (|drot| . 291827) (|weight| . 290923) (|hyperelliptic| . 290369) (|kmax| . 290163) (|e02aef| . 289964) (|OMgetFloat| . 289875) (|rombergo| . 289575) (|optional?| . 289460) (|numberOfFactors| . 289083) (|Ei5| . 288958) (|c02agf| . 288755) (|normInvertible?| . 288364) (|quasiMonicPolynomials| . 287993) (|constant| . 287027) (|inverseColeman| . 286867) (|rk4f| . 286580) (|fffg| . 286139) (|rightRankPolynomial| . 285372) (|setvalue!| . 285234) (|complete| . 284662) (|setTex!| . 284571) (|c02aff| . 284368) (|DiffAction| . 284144) (|e02adf| . 283968) (|OMbindTCP| . 283842) (|OMputAtp| . 283760) (|symbolTableOf| . 283641) (|changeWeightLevel| . 283020) (|identitySquareMatrix| . 282853) (|c05pbf| . 282566) (|radicalSimplify| . 282228) (|shiftLeft| . 282083) (|twoFactor| . 281777) (|concat!| . 281156) (|showAttributes| . 280057) (|repeatUntilLoop| . 279973) (|belong?| . 278265) (|qShiftAction| . 278038) (|removeIrreducibleRedundantFactors| . 277669) (|selectPDERoutines| . 277619) (|useEisensteinCriterion?| . 277464) (|critpOrder| . 277079) (|coefChoose| . 276772) (|iFTable| . 276177) (|powern| . 275969) (|credits| . 275877) (|compile| . 275756) (|copyBSD| . 275632) (|trace2PowMod| . 275419) (|iflist2Result| . 275151) (|iiBesselY| . 274949) (|associates?| . 274859) (|edf2df| . 274713) (|common| . 274593) (|solveLinearPolynomialEquationByFractions| . 274336) (|rotate| . 274089) (|conjugates| . 273973) (|e01sef| . 273753) (|ignore?| . 273396) (|normalizeAtInfinity| . 273122) (|sinh2csch| . 272907) (|e01saf| . 272731) (|closedCurve| . 272211) (|sh| . 271847) (|rootPower| . 271290) (|dnrm2| . 271112) (|genericRightDiscriminant| . 270803) (|e01daf| . 270624) (|octon| . 270375) (|infix?| . 270294) (|children| . 270014) (|extendedEuclidean| . 269735) (|palglimint| . 269164) (|FormatArabic| . 269045) (|e01bhf| . 268831) (|dim| . 268755) (|primPartElseUnitCanonical| . 268531) (|integralDerivationMatrix| . 268185) (|primextintfrac| . 267858) (|radicalEigenvalues| . 267677) (|e01bgf| . 267495) (|every?| . 266300) (|retractable?| . 265489) (|random| . 264236) (|tanQ| . 263865) (|iiAiryAi| . 263691) (|cSech| . 263531) (|e01bff| . 263349) (|prod| . 263205) (|monomRDE| . 262804) (|measure2Result| . 262358) (|rootOfIrreduciblePoly| . 261946) (|matrixConcat3D| . 261811) (|diag| . 261608) (|e01bef| . 261435) (|acosIfCan| . 261294) (|reducedForm| . 261193) (|drawComplex| . 260929) (|positiveRemainder| . 260868) (|zero?| . 260152) (|e01baf| . 259973) (|last| . 259385) (|initializeGroupForWordProblem| . 259112) (|irreducibleFactor| . 258990) (|perfectSquare?| . 258862) (|checkRur| . 258417) (|e02zaf| . 258232) (|mesh?| . 258111) (|monicCompleteDecompose| . 257871) (|One| . 257426) (|droot| . 257201) (|e02gaf| . 256993) (|OMputBVar| . 256911) (|RittWuCompare| . 256683) (|rightDivide| . 256173) (|lazyIntegrate| . 255942) (|log2| . 255819) (|e02dff| . 255628) (|nthExpon| . 255008) (|commonDenominator| . 254149) (|PDESolve| . 253592) (|makeViewport3D| . 253236) (|localUnquote| . 252888) (|build| . 252409) (|definingField| . 252218) (|extendedint| . 251872) (|fullInfClsPt| . 251424) (|e02def| . 251242) (|rightDiscriminant| . 250826) (|drawToScale| . 250658) (|linearDependenceOverZ| . 250451) (|e02ddf| . 250186) (|semiDegreeSubResultantEuclidean| . 249910) (|possiblyInfinite?| . 249792) (|factorUsingMusser| . 249368) (|e02dcf| . 249061) (|deriv| . 248930) (|row| . 248457) (|rewriteSetByReducingWithParticularGenerators| . 248035) (|mdeg| . 247809) (|factorGroebnerBasis| . 247087) (|basisOfInterpolateFormsForFact| . 246526) (|charthRoot| . 246274) (|e02daf| . 246003) (|dark| . 245927) (|light| . 245851) (|sqfrFactor| . 245729) (|e02bef| . 245437) (|hasTopPredicate?| . 245322) (|zCoord| . 245208) (|linear?| . 244650) (|nextsousResultant2| . 244478) (|fortranDoubleComplex| . 244433) (|primaryDecomp| . 243881) (|e02bdf| . 243714) (|ODESolve| . 243277) (|OMputVariable| . 243165) (|reset| . 242282) (|internalSubQuasiComponent?| . 241569) (|subtractIfCan| . 241492) (|parabolic| . 241308) (|complexIntegrate| . 240589) (|SturmHabichtCoefficients| . 240374) (|outerProduct| . 240225) (|write| . 239580) (|errorInfo| . 239488) (|minusInfinity| . 239299) (|save| . 239254) (|leadingIdeal| . 239026) (|qPot| . 238847) (|projectivePoint| . 238106) (|UnVectorise| . 237938) (|plusInfinity| . 237749) (|stoseInvertibleSetsqfreg| . 237387) (|computeBasis| . 237174) (|rectangularMatrix| . 236974) (|cyclicParents| . 236853) (|sech2cosh| . 236638) (|leftScalarTimes!| . 236497) (|alternating| . 236346) (|genericLeftDiscriminant| . 236037) (|critMonD1| . 235671) (|nthr| . 235139) (|dmpToHdmp| . 234890) (|d| . 234723) (|wreath| . 234597) (|split!| . 234426) (|shellSort| . 234168) (|satisfy?| . 233561) (|inR?| . 233446) (|complexNumeric| . 229759) (|status| . 229287) (|ShiftAction| . 229063) (|deepestTail| . 228876) (|testModulus| . 228665) (|setCurve| . 227462) (|genericRightTrace| . 227150) (|kernels| . 227051) (|affineRationalPoints| . 226160) (|midpoint| . 225891) (|desingTree| . 223922) (|midpoints| . 223635) (|numberOfHues| . 223554) (|univariate| . 220607) (|bfEntry| . 220366) (|indiceSubResultantEuclidean| . 220073) (|eulerPhi| . 219974) (|factorSquareFreeByRecursion| . 219278) (|shuffle| . 219122) (|factor| . 207293) (|createNormalPoly| . 207091) (|floor| . 206891) (|exprex| . 206670) (|retractToGrn| . 206502) (|makeUnit| . 206353) (|imag| . 205613) (|vedf2vef| . 205436) (|fillPascalTriangle| . 205321) (|mapBivariate| . 204958) (|getStream| . 204780) (|imagi| . 204678) (|d01gbf| . 204380) (|directProduct| . 204251) (|discreteLog| . 204028) (|intcompBasis| . 203766) (|reverse!| . 203307) (|d01gaf| . 203136) (|parametersOf| . 203046) (|decompose| . 200186) (|destruct| . 199701) (|generalizedEigenvector| . 198933) (|d01fcf| . 198638) (|hitherPlane| . 198517) (|options| . 198096) (|high| . 198006) (|nextPartition| . 197670) (|atom?| . 197393) (|monomial| . 194496) (|e| . 194310) (|clipWithRanges| . 194016) (|unparse| . 193937) (|removeDuplicates!| . 193709) (|addPointLast| . 193514) (|coercePreimagesImages| . 193386) (|d01bbf| . 193220) (|multivariate| . 191551) (|readable?| . 191462) (|inRadical?| . 191203) (|d01asf| . 190956) (|completeHermite| . 190645) (|member?| . 189176) (|slash| . 189126) (|combineFeatureCompatibility| . 188918) (|asinhIfCan| . 188777) (|twist| . 188534) (|replaceVarByOne| . 188248) (|columnSpace| . 187993) (|iilog| . 187797) (|guessHP| . 180330) (|d02raf| . 179894) (|initTable!| . 179728) (|rightTrim| . 179540) (|fortranTypeOf| . 179424) (|prefix| . 179328) (|inv| . 178122) (|apply| . 177379) (|leftTraceMatrix| . 176873) (|safeCeiling| . 176710) (|d02kef| . 175870) (|isAbsolutelyIrreducible?| . 175462) (|diagonal| . 175258) (|ridHack1| . 175152) (|ground?| . 174566) (|primeFrobenius| . 174391) (|d02gbf| . 173985) (|subsInVar| . 173696) (|cfirst| . 173475) (|collectQuasiMonic| . 173222) (|normalize| . 172123) (|ground| . 171888) (|brace| . 171544) (|rootProduct| . 170987) (|divideIfCan!| . 170643) (|d02gaf| . 170321) (|members| . 169289) (|blankSeparate| . 169196) (|leadingMonomial| . 168104) (|cons| . 167945) (|quadraticBezier| . 167789) (|createMultiplicationMatrix| . 167555) (|fibonacci| . 167456) (|d02ejf| . 166878) (|pade| . 165963) (|leadingCoefficient| . 163939) (|copy| . 162968) (|scalarTypeOf| . 162834) (|prinpolINFO| . 162542) (|d02cjf| . 162050) (|changeVar| . 161272) (|prime?| . 160536) (|primitiveMonomials| . 160330) (|element?| . 160071) (|uniform01| . 159981) (|nsqfree| . 159456) (|minPoints3D| . 159382) (|d02bhf| . 158997) (|reductum| . 156962) (|d02bbf| . 156572) (|optpair| . 156435) (|OMclose| . 156353) (|qnew| . 155751) (|subSet| . 155602) (|double| . 155416) (|lifting1| . 154713) (|e02ahf| . 154499) (|back| . 154244) (|cot2tan| . 154029) (|extendedgcd| . 153854) (|OMgetSymbol| . 153724) (|Ei3| . 153599) (|interpretString| . 153488) (|placesOfDegree| . 151245) (|list| . 150831) (|cycle| . 150702) (|iiasinh| . 150506) (|bipolar| . 150297) (|displayKind| . 150216) (|powmod| . 150152) (|ffactor| . 149845) (|remove| . 148879) (|integers| . 148711) (|ScanFloatIgnoreSpaces| . 148602) (|zeroDimPrimary?| . 148230) (|nil| . 148156) (|probablyZeroDim?| . 147841) (|rotate!| . 147586) (|createRandomElement| . 147419) (|elt| . 138358) (|trace| . 137541) (|clearTheSymbolTable| . 137356) (|fortranLogical| . 137311) (|lazyGintegrate| . 137061) (|setelt| . 134659) (|makeSUP| . 134506) (|linears| . 134344) (|mainForm| . 134243) (|removeDuplicates| . 134083) (|algebraic?| . 133684) (|pushucoef| . 133267) (|nextPrime| . 133159) (|rest| . 132383) (|theCurve| . 131189) (|xCoord| . 131075) (|dasum| . 130897) (|reverse| . 130495) (|leftMult| . 130340) (|subResultantsChain| . 130136) (|gderiv| . 129959) (|beauzamyBound| . 129617) (|setDifference| . 129503) (|hspace| . 129422) (|insertRoot!| . 129324) (|setStatus| . 129041) (|OMconnInDevice| . 128945) (|setIntersection| . 128831) (|replaceKthElement| . 128674) (|singular?| . 128133) (|numberOfVariables| . 127278) (|exactQuotient!| . 126827) (F . 126680) (|viewPosDefault| . 126466) (|lagrange| . 125973) (|rarrow| . 125923) (|structuralConstants| . 124707) (|setUnion| . 124593) (|expintegrate| . 124160) (|chiSquare| . 124016) (|argumentList!| . 123605) (|lazyVariations| . 123309) (|size| . 121370) (|union| . 120774) (|createZechTable| . 120563) (|argumentListOf| . 120440) (|rewriteIdealWithRemainder| . 120129) (|powers| . 119994) (|substitute| . 119889) (|setFieldInfo| . 119647) (|fortranCarriageReturn| . 119567) (|countRealRootsMultiple| . 119323) (|jordanAdmissible?| . 118983) (|reciprocalPolynomial| . 118790) (|fortranCharacter| . 118745) (|cAsinh| . 118585) (|limit| . 116368) (|rowEchWoZeroLines| . 116253) (|log| . 113919) (|mkAnswer| . 113574) (|OMgetString| . 113490) (|reduceLineOverLine| . 113371) (|empty?| . 112275) (|consnewpol| . 111775) (|variable| . 111084) (|input| . 110832) (|outputSpacing| . 110720) (|delay| . 110471) (|dimension| . 108989) (|distance| . 108865) (|algebraicSort| . 108178) (|test| . 108134) (|presub| . 108084) (|partialFraction| . 107441) (|aLinear| . 107207) (|removeSuperfluousCases| . 106422) (|makeViewport2D| . 106227) (|leftCharacteristicPolynomial| . 106060) (|coerceS| . 105839) (|finiteSeries2Vector| . 105619) (|rowEchelonLocal| . 105471) (|expandLog| . 105256) (|real| . 104316) (|leftAlternative?| . 103976) (|updatD| . 103610) (|cotIfCan| . 103469) (|digamma| . 103026) (|square?| . 102572) (|complex| . 102468) (|balancedBinaryTree| . 102328) (|green| . 102289) (|restorePrecision| . 102203) (|quotientByP| . 102141) (|principalSubResultantSet| . 101906) (|numer| . 100643) (|pointColorPalette| . 100509) (|fullOutput| . 97734) (|represents| . 96605) (|minrank| . 96037) (|yCoordinates| . 95725) (|denom| . 94482) (|specialTrigs| . 94196) (|integerIfCan| . 94055) (|point?| . 93934) (|minPoints| . 93697) (|clikeUniv| . 93479) (|kernel| . 92962) (|coerceP| . 92756) (|recip| . 90772) (|generalInterpolation| . 88805) (|iiBesselI| . 88603) (|pop!| . 88261) (|draw| . 80231) (|sort!| . 79876) (|halfExtendedResultant1| . 79635) (|setMaxPoints3D| . 79558) (|supRittWu?| . 79340) (|sylvesterSequence| . 79148) (|makeObject| . 74677) (|biringToPolyRing| . 74279) (|append| . 74199) (|maxDerivative| . 73921) (|bivariatePolynomials| . 73550) (|lquo| . 72642) (|OMputEndError| . 72560) (|coef| . 71960) (|linearMatrix| . 71760) (|function| . 71051) (|solveid| . 70816) (|topFortranOutputStack| . 70724) (|printTypes| . 70539) (|showAll?| . 70401) (|npcoef| . 69764) (|monom| . 69313) (|doublyTransitive?| . 69159) (|biRank| . 68967) (|infinity| . 68776) (|cycleLength| . 68639) (|epilogue| . 68456) (|discriminantSet| . 68215) (|drotg| . 68068) (|dscal| . 67887) (|processTemplate| . 67713) (|leftRemainder| . 67419) (|iidprod| . 67221) (|partialNumerators| . 67090) (|constantOperator| . 66920) (|dihedral| . 66769) (|lfinfieldint| . 66397) (|oddintegers| . 66229) (|generalPosition| . 65836) (|createGenericMatrix| . 65657) (|blue| . 65618) (|realEigenvalues| . 65413) (|normal?| . 64887) (|symbol?| . 64498) (|ParCond| . 63990) (|laplace| . 63604) (|precision| . 63193) (|leftRankPolynomial| . 62426) (|sbt| . 62323) (|coerceImages| . 62204) (|chebyshevU| . 61891) (|pushuconst| . 61520) (|rationalIfCan| . 60120) (|intermediateResultsIF| . 59713) (|match| . 58371) (|tensorProduct| . 57856) (|returnType!| . 57313) (|OMgetEndAtp| . 57231) (|stiffnessAndStabilityFactor| . 57019) (|weakBiRank| . 56827) (|rightAlternative?| . 56487) (|numberOfComputedEntries| . 56354) (|xor| . 56206) (|mainCharacterization| . 55942) (|selectOptimizationRoutines| . 55892) (|createHN| . 55679) (|dAndcExp| . 55452) (|complex?| . 55364) (|argscript| . 55272) (|cylindricalDecomposition| . 54828) (|decrease| . 54604) (|countable?| . 54519) (|rational| . 53199) (|iiasin| . 53003) (|groebSolve| . 52638) (|physicalLength!| . 52380) (|getMultiplicationMatrix| . 51723) (|expr| . 51474) (|variables| . 49258) (|genericLeftMinimalPolynomial| . 48915) (|principalIdeal| . 48749) (|abelianGroup| . 48588) (|addBadValue| . 48316) (|showTheRoutinesTable| . 48269) (|factorSqFree| . 47684) (|times| . 47436) (|gcdBasis| . 47231) (|matrixGcd| . 46879) (|minordet| . 46145) (|sample| . 45416) (|asinIfCan| . 45275) (|dfRange| . 45142) (|factorUsingYun| . 44718) (|pointToCell| . 44506) (|cLog| . 44346) (|romberg| . 44046) (|indicialEquation| . 43293) (|block| . 43198) (|directory| . 43110) (|prepareSubResAlgo| . 42706) (|freeOf?| . 42295) (|showTheSymbolTable| . 42247) (|internalZeroSetSplit| . 41486) (|lighting| . 41359) (|generalizedInverse| . 41103) (|localParamV| . 40568) (|filterUpTo| . 40437) (|dequeue!| . 40182) (|determinant| . 39195) (|smith| . 38947) (|negative?| . 38470) (|basisOfMiddleNucleus| . 38292) (|solveLinearPolynomialEquationByRecursion| . 37578) (|getMultiplicationTable| . 36800) (|factorByRecursion| . 36104) (|skewSFunction| . 35941) (|getButtonValue| . 35826) (|op| . 35670) (|title| . 35224) (|coefficientSet| . 34992) (|relationsIdeal| . 34593) (|monomials| . 33799) (|exprHasAlgebraicWeight| . 33470) (|bitTruth| . 33357) (|rotatez| . 33216) (|inverseIntegralMatrixAtInfinity| . 32932) (|lieAdmissible?| . 32592) (|thetaCoord| . 32478) (|deref| . 32396) (|any| . 32290) (|sizePascalTriangle| . 32161) (|Si| . 31866) (|quote| . 31779) (|itsALeaf!| . 31611) (|rst| . 31517) (EQ . 31299) (|t| . 31155) (|hasSolution?| . 30566) (|scalarMatrix| . 30134) (|seed| . 30048) (|nullSpace| . 28341) (|rightQuotient| . 28203) (|useSingleFactorBound| . 28045) (|rspace| . 27961) (|fullDesTree| . 27513) (|userOrdered?| . 27382) (|differentialVariables| . 27107) (|linearDependence| . 26885) (|fractionFreeGauss!| . 26587) (|initials| . 26306) (|removeRoughlyRedundantFactorsInContents| . 25984) (|rootRadius| . 25598) (|derivative| . 25039) (|denominators| . 24908) (|writeObj| . 24755) (|explicitlyFinite?| . 24637) (|outputList| . 24523) (|constantToUnaryFunction| . 24370) (|makeSin| . 24162) (|superHeight| . 24081) (|leftUnit| . 23920) (|basis| . 22290) (|identity| . 22152) (|makeTerm| . 21997) (|showClipRegion| . 21875) (|crushedSet| . 21588) (|showAllElements| . 21444) (|integerBound| . 21225) (|interval| . 20737) (|complexNumericIfCan| . 17682) (|OMputEndBVar| . 17600) (|atoms| . 17374) (|palgint0| . 16359) (|lowerPolynomial| . 16030) (|leastPower| . 15711) (|trapezoidal| . 15411) (|transcendenceDegree| . 15090) (|factorsOfCyclicGroupSize| . 14937) (|charClass| . 14760) (|singularAtInfinity?| . 14491) (|fortranReal| . 14446) (|selectOrPolynomials| . 14020) (|totalDegree| . 13307) (|quadratic?| . 13173) (|double?| . 13085) (|cAtanh| . 12925) (|cycles| . 12787) (|univariateSolve| . 10546) (|basisOfRightAnnihilator| . 10365) (|reportInstantiations| . 10242) (|number?| . 10088) (|badNum| . 9562) (|graphs| . 9285) (|degreeSubResultantEuclidean| . 8992) (|dswap| . 8780) (F2FG . 8418) (|gcdcofactprim| . 8275) (|maxdeg| . 7984) (|matrix| . 6967) (|Nul| . 6874) (|insertMatch| . 6702) (|drift| . 6573) (|scaleRoots| . 6410) (|dcopy| . 6258) (|absolutelyIrreducible?| . 5668) (|decreasePrecision| . 5496) (|replace| . 5381) (|mapUnivariate| . 4720) (|OMputApp| . 4638) (|dimensions| . 4285) (|prem| . 3905) (|ratPoly| . 3450) (|normalizeIfCan| . 3060) (|getShiftRec| . 2570) (|writeLine!| . 2414) (|void| . 2376) (|parse| . 2297) (|OMgetEndObject| . 2215) (|lllp| . 2066) (|error| . 1588) (|stopTable!| . 913) (|oddlambert| . 420) (|withPredicates| . 297) (|rightFactorIfCan| . 30)) 
\ No newline at end of file
+(((*1 *2 *3) (AND (|ofCategory| *4 (|FiniteFieldCategory|)) (|isDomain| *2 (|List| (|Record| (|:| |deg| (|NonNegativeInteger|)) (|:| |prod| *3)))) (|isDomain| *1 (|DistinctDegreeFactorize| *4 *3)) (|ofCategory| *3 (|UnivariatePolynomialCategory| *4))))) 
+((|separateDegrees| . 1577253) (|car| . 1577004) (|void| . 1576966) (|returnTypeOf| . 1576799) (|listexp| . 1576466) (|singularPointsWithRestriction| . 1576059) (|cdr| . 1575810) (|noncommutativeJordanAlgebra?| . 1575470) (|leftFactorIfCan| . 1575245) (|extension| . 1575157) (|phiCoord| . 1575043) (|pureLex| . 1574836) (|perspective| . 1574714) (|linear| . 1574196) (|plus| . 1573757) (|positive?| . 1573280) (|maxIndex| . 1573119) (|cyclicEntries| . 1572998) (|sncndn| . 1572754) (|uncorrelated?| . 1572164) (|resize| . 1571901) (|daxpy| . 1571714) (|simplifyPower| . 1571557) (|inf| . 1571407) (|alphanumeric| . 1571359) (|space| . 1571072) (|totalDifferential| . 1570891) (|cyclePartition| . 1570770) (|foundZeroes| . 1570652) (|length| . 1569132) (|pushuconst| . 1568761) (|largest| . 1568414) (|mulbyscalar| . 1568250) (|localPointV| . 1567708) (|scripts| . 1567352) (|solveLinear| . 1566828) (|rationalIfCan| . 1565428) (|iipolygamma| . 1565226) (|roughSubIdeal?| . 1564915) (|rows| . 1564337) (|coerce| . 1523820) (|intermediateResultsIF| . 1523413) (|guessExpRat| . 1516360) (|tanintegrate| . 1515961) (|pfaffian| . 1515734) (|isQuotient| . 1515435) (|contractSolve| . 1514779) (|match| . 1513437) (|froot| . 1512882) (|psolve| . 1506214) (|primintegrate| . 1505795) (|tensorProduct| . 1505280) (|balancedFactorisation| . 1504809) (UTS2UP . 1504496) (|nrows| . 1503843) (|fintegrate| . 1503279) (|returnType!| . 1502736) (|cAcosh| . 1502576) (|bringDown| . 1502037) (|ncols| . 1501384) (|revert| . 1500891) (|OMgetEndAtp| . 1500809) (|isOp| . 1500449) (|guessADE| . 1493396) (|stiffnessAndStabilityFactor| . 1493184) (|sechIfCan| . 1493043) (|listAllMono| . 1492761) (|symbNameV| . 1492227) (|position| . 1491345) (|weakBiRank| . 1491153) (|zeroSetSplit| . 1487455) (|aQuadratic| . 1487218) (|crest| . 1486997) (|rightAlternative?| . 1486657) (|upperCase| . 1486515) (|series| . 1480647) (|trigs2explogs| . 1480204) (|call| . 1480123) (|numberOfComputedEntries| . 1479990) (|bat| . 1479819) (|yRange| . 1479590) (|noLinearFactor?| . 1479439) (|formula| . 1479341) (|front| . 1479086) (|denominator| . 1478699) (|xor| . 1478551) (|suchThat| . 1476619) (|OMgetError| . 1476537) (|simplifyExp| . 1476322) (|mainCharacterization| . 1476058) (|divide| . 1475099) (|iiatanh| . 1474903) (|integralMatrixAtInfinity| . 1474619) (|selectOptimizationRoutines| . 1474569) (|pointDominateBy| . 1472815) (|representationType| . 1472689) (|createHN| . 1472476) (|ceiling| . 1472276) (|distinguishedCommonRootsOf| . 1472038) (|commutativeEquality| . 1471855) (|dAndcExp| . 1471628) (|lazyResidueClass| . 1471102) (|debug3D| . 1471025) (|qroot| . 1470461) (|complex?| . 1470373) (|sturmSequence| . 1470184) (|approximate| . 1469053) (|nthRoot| . 1468679) (|exp1| . 1468598) (|kovacic| . 1467805) (|argscript| . 1467713) (|univariatePolynomial| . 1466837) (|factorSquareFreePolynomial| . 1466648) (|convert| . 1458074) (|cylindricalDecomposition| . 1457630) (|reorder| . 1456990) (|divOfPole| . 1456893) (|OMUnknownCD?| . 1456805) (|and| . 1456660) (|flatten| . 1456614) (|decrease| . 1456390) (|linearPart| . 1456275) (|minimalPolynomial| . 1455520) (|lfintegrate| . 1455117) (|countable?| . 1455032) (|modifyPointData| . 1454689) (|localParamOfSimplePt| . 1454167) (|entry?| . 1453933) (|makeVariable| . 1453147) (|rational| . 1451827) (|rational?| . 1450017) (|rk4| . 1449440) (|clipParametric| . 1448862) (|iiasin| . 1448666) (|OMgetApp| . 1448584) (|mainContent| . 1448365) (|groebSolve| . 1448000) (|sumOfKthPowerDivisors| . 1447859) (|exponential1| . 1447769) (|roughEqualIdeals?| . 1447458) (|iiacot| . 1447262) (|physicalLength!| . 1447004) (|leftQuotient| . 1446710) (|singleFactorBound| . 1445987) (|second| . 1445889) (|getMultiplicationMatrix| . 1445232) (|duplicates?| . 1445105) (|stopTableInvSet!| . 1444412) (|oddInfiniteProduct| . 1443526) (|genericLeftMinimalPolynomial| . 1443183) (|mirror| . 1442539) (|dflist| . 1442318) (|returns| . 1441682) (|rationalPoint?| . 1441080) (|principalIdeal| . 1440914) (|ran| . 1440657) (|primPartElseUnitCanonical!| . 1440433) (|OMgetEndBVar| . 1440351) (|abelianGroup| . 1440190) (|startStats!| . 1439994) (|OMencodingSGML| . 1439944) (|totalfract| . 1439508) (|addBadValue| . 1439236) (|mindeg| . 1438948) (|say| . 1438724) (|merge!| . 1438253) (|root| . 1438004) (|showTheRoutinesTable| . 1437957) (|mainVariable| . 1437194) (|debug| . 1436910) (|dominantTerm| . 1436236) (|factorSqFree| . 1435651) (|adaptive| . 1435274) (|actualExtensionV| . 1434769) (|fortranLiteral| . 1434659) (|library| . 1434580) (|gcdBasis| . 1434375) (|dimensionsOf| . 1433941) (|laguerre| . 1433780) (|rightScalarTimes!| . 1433639) (|operation| . 1433141) (|matrixGcd| . 1432789) (|semiResultantReduitEuclidean| . 1432520) (|conical| . 1432308) (|introduce!| . 1432198) (|clipPointsDefault| . 1432030) (|minordet| . 1431296) (|laplacian| . 1430971) (|polygon| . 1430451) (|Lazard| . 1430243) (|sample| . 1429514) (|clipSurface| . 1429392) (|construct| . 1425072) (|corrPoly| . 1424512) (|Ei1| . 1424387) (|asinIfCan| . 1424246) (|cCsc| . 1424086) (|infinite?| . 1423838) (|dfRange| . 1423705) (|removeSquaresIfCan| . 1423418) (|key?| . 1423253) (|addPoint2| . 1423103) (|factorUsingYun| . 1422679) (|cAcoth| . 1422519) (|lastNonNull| . 1422392) (|relativeApprox| . 1421832) (|companionBlocks| . 1421591) (|pointToCell| . 1421379) (|monicLeftDivide| . 1420851) (|dmp2rfi| . 1419687) (|segment| . 1419393) (|cLog| . 1419233) (|var1StepsDefault| . 1419043) (|iisqrt2| . 1418850) (|nextNormalPoly| . 1418674) (|romberg| . 1418374) (|stFunc2| . 1418076) (|signAround| . 1417332) (|rightMinimalPolynomial| . 1417128) (|indicialEquation| . 1416375) (|removeRedundantFactorsInContents| . 1416053) (|minRowIndex| . 1415586) (|sumSquares| . 1415450) (|block| . 1415355) (|even?| . 1415014) (|toseSquareFreePart| . 1414622) (|inc| . 1414564) (|fortranComplex| . 1414519) (|prepareSubResAlgo| . 1414115) (|halfExtendedSubResultantGcd2| . 1413563) (|htrigs| . 1413348) (|quotVecSpaceBasis| . 1413223) (|freeOf?| . 1412812) (|OMUnknownSymbol?| . 1412724) (|alphanumeric?| . 1412644) (|zeroMatrix| . 1412117) (|showTheSymbolTable| . 1412069) (|internalAugment| . 1410808) (|comment| . 1410640) (|setMinPoints| . 1410565) (|mat| . 1410372) (|internalZeroSetSplit| . 1409611) (|iicos| . 1409415) (|float| . 1408943) (|doubleRank| . 1408751) (|finite?| . 1408421) (|lighting| . 1408294) (|lepol| . 1408027) (|id| . 1407932) (|coord| . 1407302) (|generalizedInverse| . 1407046) (|fullPartialFraction| . 1406823) (|integer| . 1406446) (|log10| . 1406140) (|localParamV| . 1405605) (|extendedResultant| . 1405313) (|cCot| . 1405153) (|filterUpTo| . 1405022) (|trim| . 1404834) (|csch2sinh| . 1404619) (|dequeue!| . 1404364) (|setrest!| . 1404111) (|string| . 1403661) (|computePowers| . 1403472) (|determinant| . 1402485) (|outputAsTex| . 1402241) (|packExps| . 1402034) (|smith| . 1401786) (|tryFunctionalDecomposition?| . 1401631) (|dioSolve| . 1401311) (|negative?| . 1400834) (|variablesOf| . 1400710) (|pastel| . 1400634) (|basisOfMiddleNucleus| . 1400456) (|palgLODE| . 1399853) (|solveLinearPolynomialEquationByRecursion| . 1399139) (|outlineRender| . 1399017) (|getMultiplicationTable| . 1398239) (|sup| . 1398027) (|factorByRecursion| . 1397331) (|exteriorDifferential| . 1397184) (|skewSFunction| . 1397021) (|ReduceOrder| . 1396604) (|getButtonValue| . 1396489) (|clipBoolean| . 1396355) (|coefficientSet| . 1396123) (|monicDecomposeIfCan| . 1395841) (|relationsIdeal| . 1395442) (|createPrimitivePoly| . 1395240) (|monomials| . 1394446) (|subPolSet?| . 1393697) (|key| . 1393434) (|primlimintfrac| . 1393033) (|exprHasAlgebraicWeight| . 1392704) (|messagePrint| . 1392599) (|nextPrimitivePoly| . 1392423) (|bitTruth| . 1392310) (|hasHi| . 1392193) (|lfextendedint| . 1391755) (|rotatez| . 1391614) (|closeComponent| . 1391414) (|systemSizeIF| . 1391007) (|inverseIntegralMatrixAtInfinity| . 1390723) (|rightCharacteristicPolynomial| . 1390556) (|range| . 1390344) (|lieAdmissible?| . 1390004) (|charpol| . 1389739) (|setFormula!| . 1389638) (|thetaCoord| . 1389524) (|surface| . 1389428) (|imagj| . 1389326) (|deref| . 1389244) (|sum| . 1386567) (|projection| . 1386469) (|sizePascalTriangle| . 1386340) (|Not| . 1386210) (|npcoef| . 1385573) (|symbol| . 1385324) (|Si| . 1385029) (|calcRanges| . 1384864) (|indicialEquations| . 1383071) (|quote| . 1382984) (|one| . 1382772) (|itsALeaf!| . 1382604) (|cyclic?| . 1382374) (|entry| . 1381285) (|zero| . 1380893) (|rst| . 1380799) (|Or| . 1380663) (|listYoungTableaus| . 1380500) (^ . 1379900) (|hasSolution?| . 1379311) (|one?| . 1378896) (|symbolTable| . 1378753) (|exp| . 1376486) (|setColumn!| . 1376250) (|pushFortranOutputStack| . 1376011) (|findTerm| . 1375813) (|scalarMatrix| . 1375381) (|queue| . 1375268) (|pi| . 1374799) (|increase| . 1374575) (|filename| . 1374481) (|seed| . 1374395) (|overbar| . 1374348) (|sqrt| . 1373682) (|generator| . 1372598) (|nullSpace| . 1370891) (|tail| . 1370516) (|popFortranOutputStack| . 1370426) (|chainSubResultants| . 1370232) (|functionIsFracPolynomial?| . 1369914) (|li| . 1369619) (|rightQuotient| . 1369481) (|outputAsFortran| . 1368609) (|pointData| . 1368453) (|useSingleFactorBound| . 1368295) (|taylorIfCan| . 1368109) (|variableName| . 1367899) (|erf| . 1367604) (|frst| . 1367510) (|rspace| . 1367426) (|setAdaptive3D| . 1367349) (|fullDesTree| . 1366901) (|horizSplit| . 1366037) (|mkcomm| . 1365909) (|rule| . 1365247) (|userOrdered?| . 1365116) (|alterQuadVar!| . 1364923) (|linearAssociatedExp| . 1364736) (|dilog| . 1364441) (|remove!| . 1363191) (|differentialVariables| . 1362916) (|makeEq| . 1362599) (|showIntensityFunctions| . 1362024) (|message| . 1361944) (|sin| . 1360474) (|horizJoin| . 1360343) (|linearDependence| . 1360121) (|legendreP| . 1359911) (|excepCoord| . 1359818) (|cos| . 1358348) (|symmetricDifference| . 1358251) (|fractionFreeGauss!| . 1357953) (|ruleset| . 1357597) (|youngGroup| . 1357301) (|collectUnder| . 1357055) (|tan| . 1355677) (|rightExactQuotient| . 1355529) (|arity| . 1355424) (|escape| . 1355381) (|initials| . 1355100) (|hasPredicate?| . 1354985) (|cot| . 1353790) (|lo| . 1353700) (|copies| . 1353585) (|antiAssociative?| . 1353245) (|commutative?| . 1352905) (|removeRoughlyRedundantFactorsInContents| . 1352583) (|differentiate| . 1348227) (|sec| . 1347032) (|incr| . 1346820) (|rootRadius| . 1346434) (|sn| . 1346259) (|genericRightMinimalPolynomial| . 1345916) (|generators| . 1345523) (|csc| . 1344328) (|hi| . 1344238) (|derivative| . 1343679) (|resultantSet| . 1343438) (|intersect| . 1341642) (|ravel| . 1341446) (|asin| . 1340065) (|printHeader| . 1339771) (|denominators| . 1339640) (|computeCycleLength| . 1339463) (|stFuncN| . 1339164) (|vector| . 1338940) (|acos| . 1337559) (|dmpToP| . 1337347) (|writeObj| . 1337194) (|bumprow| . 1336905) (|equality| . 1336770) (|atan| . 1335299) (|iiperm| . 1335101) (|set| . 1334891) (|explicitlyFinite?| . 1334773) (|qqq| . 1334510) (|fortranCompilerName| . 1334422) (|acot| . 1333224) (|gcdcofact| . 1333081) (|outputList| . 1332967) (|diagonals| . 1332845) (|branchPoint?| . 1332304) (|asec| . 1331106) (|nthCoef| . 1330917) (|getlo| . 1330431) (|constantToUnaryFunction| . 1330278) (|meatAxe| . 1329196) (|acsc| . 1327998) (|infRittWu?| . 1326753) (|makeSin| . 1326545) (|iiAiryBi| . 1326371) (|primes| . 1326232) (|sinh| . 1324857) (|deepCopy| . 1324739) (|rem| . 1324580) (|identityMatrix| . 1324412) (|superHeight| . 1324331) (|besselK| . 1323876) (|cosh| . 1322501) (|sortConstraints| . 1322168) (|applyRules| . 1321408) (|leftUnit| . 1321247) (|firstExponent| . 1320992) (|refine| . 1319220) (|tanh| . 1317845) (|getDatabase| . 1317636) (|quo| . 1317477) (|setlocalPoint!| . 1316932) (|basis| . 1315302) (|rightMult| . 1315147) (|genusTreeNeg| . 1314397) (|coth| . 1313205) (|genericLeftTraceForm| . 1312890) (|padicFraction| . 1312791) (|divisorCascade| . 1312209) (|identity| . 1312071) (|iisin| . 1311875) (|pointValue| . 1311628) (|conjugate| . 1310598) (|sech| . 1309406) (|generate| . 1308924) (|/\\| . 1308827) (|incrementBy| . 1308672) (|argument| . 1308316) (|makeTerm| . 1308161) (|shift| . 1307630) (|concat| . 1306521) (|stoseSquareFreePart| . 1306119) (|csch| . 1304927) (|cycleTail| . 1304829) (|\\/| . 1304732) (|associative?| . 1304392) (|prinb| . 1304100) (|makeMulti| . 1303882) (|showClipRegion| . 1303760) (|OMputEndAtp| . 1303678) (|asinh| . 1302483) (|expand| . 1300591) (|setright!| . 1300447) (|crushedSet| . 1300160) (|objects| . 1299882) (|infiniteProduct| . 1298996) (|squareMatrix| . 1298841) (|acosh| . 1297646) (|filterWhile| . 1297392) (|lfextlimint| . 1296882) (|rootNormalize| . 1296522) (|showAllElements| . 1296378) (|tanAn| . 1296198) (|move| . 1295929) (|atanh| . 1294734) (|filterUntil| . 1294480) (~= . 1293655) (|bipolarCylindrical| . 1293446) (|integerBound| . 1293227) (|fractRadix| . 1293101) (|numFunEvals| . 1293029) (|normal01| . 1292939) (|acoth| . 1291744) (|select| . 1290926) (|numberPlacesDegExtDeg| . 1289508) (|complexNumericIfCan| . 1286453) (|unmakeSUP| . 1286300) (|leadingIndex| . 1285827) (|asech| . 1284632) (|subs2ndVar| . 1284374) (|binaryFunction| . 1284098) (|lists| . 1283872) (|OMputEndBVar| . 1283790) (|normalForm| . 1283203) (|subHeight| . 1283122) (|LyndonBasis| . 1282828) (|expenseOfEvaluationIF| . 1282421) (|atoms| . 1282195) (|scanOneDimSubspaces| . 1281943) (|usingTable?| . 1281774) (|rootOf| . 1280278) (|monicModulo| . 1279986) (|palgint0| . 1278971) (|ptree| . 1278789) (|imagE| . 1278687) (|leastAffineMultiple| . 1278521) (|qfactor| . 1278151) (|sinhcosh| . 1277910) (|lowerPolynomial| . 1277581) (|column| . 1277108) (|safety| . 1276874) (|nullary| . 1276748) (|makeRecord| . 1276571) (|listVariable| . 1276291) (|leader| . 1276044) (|internal?| . 1275898) (|result| . 1275654) (|cothIfCan| . 1275513) (|interReduce| . 1275226) (|bivariate?| . 1274939) (|#| . 1273558) (|slope| . 1272612) (|Beta| . 1271965) (|hypergeometric0F1| . 1271746) (|cylindrical| . 1271562) (|tanSum| . 1271443) (|physicalLength| . 1271160) (|blowUpWithExcpDiv| . 1270470) (|headRemainder| . 1270130) (|extensionDegree| . 1269442) (|interpolateForms| . 1267412) (|functionIsContinuousAtEndPoints| . 1266791) (|unit?| . 1266704) (|rightRemainder| . 1266566) (|unrankImproperPartitions0| . 1266417) (|parametric?| . 1266342) (|atanIfCan| . 1266201) (|createNormalElement| . 1266070) (|evaluate| . 1265079) (|upperCase!| . 1265025) (|low| . 1264935) (|drawStyle| . 1264813) (|wordsForStrongGenerators| . 1264660) (|edf2efi| . 1264490) (|izamax| . 1264304) (|degreeOfMinimalForm| . 1264050) (|setsubmult!| . 1263521) (|checkForZero| . 1262630) (|moreAlgebraic?| . 1261937) (|tensorMap| . 1261776) (|contains?| . 1261595) (|universe| . 1261469) (|denomRicDE| . 1261091) (|viewPhiDefault| . 1260911) (|projectionSet| . 1260670) (|axServer| . 1260507) (|getOrder| . 1260328) (|roman| . 1260166) (|genericRightTraceForm| . 1259851) (|euclideanSize| . 1259752) (|truncatedmuladd| . 1259585) (|pile| . 1259492) (|leadingBasisTerm| . 1259230) (|pmComplexintegrate| . 1258651) (|partialDenominators| . 1258520) (|associatedSystem| . 1258203) (|node?| . 1258045) (|infinityNorm| . 1257731) (|palgRDE0| . 1256632) (|meshFun2Var| . 1256218) (|maxPoints| . 1255981) (|smaller?| . 1255895) (|quasiAlgebraicSet| . 1255631) (|setClipValue| . 1255545) (|write!| . 1255411) (|imagK| . 1255208) (|btwFact| . 1254827) (|operator| . 1252909) (|certainlySubVariety?| . 1252591) (|retract| . 1243383) (|pToDmp| . 1243171) (|check| . 1242415) (|increment| . 1242263) (|close!| . 1242091) (|eq?| . 1241436) (|anticoord| . 1241140) (|accuracyIF| . 1240733) (|getMatch| . 1240554) (|reopen!| . 1240393) (|numberOfDivisors| . 1240294) (|parent| . 1240176) (|coerceL| . 1239955) (|bernoulliB| . 1239740) (|setsymbName!| . 1239203) (|create3Space| . 1238989) (|firstUncouplingMatrix| . 1238726) (|reduceRow| . 1238604) (|hconcat| . 1238464) (|lastSubResultantEuclidean| . 1238213) (|clearTable!| . 1238047) (|drawComplexVectorField| . 1237814) (|overlabel| . 1237764) (|autoReduced?| . 1237425) (|OMmakeConn| . 1237330) (UP2UTS . 1237059) (|iiacoth| . 1236863) (|allSimpleCells| . 1236384) (|listConjugateBases| . 1235879) (|node| . 1235773) (|norm| . 1232260) (|unary?| . 1232176) (BY . 1232055) (|putColorInfo| . 1231902) (|associatedEquations| . 1231501) (|cSec| . 1231341) (|wordInGenerators| . 1231159) (|setcurve!| . 1230558) (|pointV| . 1230053) (|bezoutMatrix| . 1229759) (|functionNames| . 1229669) (|numeric| . 1228092) (FG2F . 1227730) (|OMgetAttr| . 1227648) (|intPatternMatch| . 1226974) (|radical| . 1226630) (|latex| . 1225827) (|baseRDEsys| . 1225518) (|any?| . 1224323) (|numberOfComponents| . 1223582) (|initiallyReduced?| . 1222562) (|setEpilogue!| . 1222373) (|setPosition| . 1222250) (|diagonalProduct| . 1221742) (|iidigamma| . 1221568) (|halfExtendedResultant2| . 1221327) (|semiSubResultantGcdEuclidean1| . 1221102) (|coefficients| . 1220259) (|scan| . 1218265) (|logpart| . 1218001) (|curveColorPalette| . 1217867) (|index| . 1217332) (|factorFraction| . 1217115) (|rdregime| . 1216493) (|semiLastSubResultantEuclidean| . 1216259) (|selectMultiDimensionalRoutines| . 1216209) (|genericPosition| . 1215791) (|rightRank| . 1215599) (|nthRootIfCan| . 1215416) (|point| . 1214400) (|reducedContinuedFraction| . 1214266) (|perfectNthPower?| . 1214096) (|primintfldpoly| . 1213827) (|open| . 1213538) (|cAcos| . 1213378) (|min| . 1212889) (|totalGroebner| . 1212717) (|numericIfCan| . 1211349) (|semiResultantEuclidean1| . 1211118) (|jacobiIdentity?| . 1210778) (|mapCoef| . 1210583) (|lazyPseudoRemainder| . 1210478) (|semiDiscriminantEuclidean| . 1210247) (|lcmCoef| . 1210106) (|monic?| . 1209706) (|encode| . 1209589) (|removeZero| . 1209333) (|subResultantGcd| . 1208803) (^= . 1208753) (|sin?| . 1208630) (D . 1207075) (|integerDecode| . 1206984) (|spherical| . 1206800) (|showFortranOutputStack| . 1206698) (|listSD| . 1206512) (|lazyEvaluate| . 1206418) (|assoc| . 1206203) (|bivariateSLPEBR| . 1205806) (|maxDegree| . 1205528) (|factorList| . 1204966) (|solveInField| . 1204029) (|ptFunc| . 1203685) (|extendIfCan| . 1203419) (|limitedIntegrate| . 1202979) (|integralBasis| . 1201247) (|replaceVarByZero| . 1200961) (|cyclicEqual?| . 1200846) (|integrate| . 1187936) (|parametrize| . 1184653) (|getPickedPoints| . 1184537) (|semiIndiceSubResultantEuclidean| . 1184261) (|B1solve| . 1183557) (|rightOne| . 1183437) (|quartic| . 1182910) (|sec2cos| . 1182695) (|mapmult| . 1182561) (|sayLength| . 1182331) (|leftPower| . 1182145) (|exptMod| . 1181767) (|drawCurves| . 1181289) (|mainCoefficients| . 1181074) (|swapColumns!| . 1180851) (|subresultantSequence| . 1180608) (|schwerpunkt| . 1180396) (|LyndonWordsList1| . 1180173) (|trapezoidalo| . 1179873) (|makeSeries| . 1179628) (|selectPolynomials| . 1179211) (|linearAssociatedLog| . 1178833) (|getOp| . 1178446) (|indiceSubResultant| . 1178238) (|horizConcat| . 1177780) (|third| . 1177682) (|multinomial| . 1177535) (|leadingSupport| . 1177389) (|makeFloatFunction| . 1176951) (|graeffe| . 1176758) (|polygon?| . 1176637) (|factorSFBRlcUnit| . 1175910) (|Ei6| . 1175785) (|cPower| . 1175622) (|cAcsc| . 1175462) (|height| . 1174528) (|aromberg| . 1174225) (|pseudoRem| . 1174085) (|cAsin| . 1173925) (|purelyAlgebraicLeadingMonomial?| . 1173639) (|simpsono| . 1173339) (|headReduce| . 1172896) (|zeroSetSplitIntoTriangularSystems| . 1172537) (|ricDsolve| . 1169078) (|tanh2trigh| . 1168863) (RF2UTS . 1168523) (|setlast!| . 1168380) (|viewDeltaYDefault| . 1168200) (|quadTransform| . 1167780) (|foundPlaces| . 1167612) (|first| . 1166644) (|noKaratsuba| . 1166470) (|getDomains| . 1166338) (|untab| . 1166158) (|pToHdmp| . 1165935) (|normal| . 1165801) (|leadingTerm| . 1165623) (|normDeriv2| . 1165298) (|addMatch| . 1165126) (|basisOfCenter| . 1164948) (|orbits| . 1164817) (|separant| . 1164570) (|lhs| . 1164060) (|polCase| . 1163713) (|radicalSolve| . 1161448) (|firstSubsetGray| . 1161311) (|pointPlot| . 1160645) (|mkPrim| . 1160397) (|alphabetic| . 1160349) (|OMconnOutDevice| . 1160253) (|bubbleSort!| . 1159710) (|explimitedint| . 1159155) (|routines| . 1159108) (|selectODEIVPRoutines| . 1159058) (E1 . 1158901) (|empty| . 1157931) (|listLoops| . 1157767) (|hdmpToP| . 1157544) (|leftTrace| . 1157427) (|bsolve| . 1156584) (|multiEuclidean| . 1156483) (|setchart!| . 1155975) (|fractRagits| . 1155850) (|size?| . 1154961) (|cschIfCan| . 1154820) (|iiBesselJ| . 1154618) (|gcdBasisAdd| . 1154410) (|distdfact| . 1154093) (|additive?| . 1153940) (|powerAssociative?| . 1153798) (|right| . 1153217) (|copyDrift| . 1153005) (|minIndex| . 1152844) (|f02aff| . 1152679) (|OMgetInteger| . 1152594) (|iiasech| . 1152398) (|cCosh| . 1152238) (|symbolIfCan| . 1152116) (|f02aef| . 1151942) (|left| . 1151361) (|tube| . 1150957) (|mr| . 1150653) (|imagJ| . 1150450) (|yCoord| . 1150336) (|polarCoordinates| . 1150088) (|outputGeneral| . 1149909) (|f02adf| . 1149738) (|findOrderOfDivisor| . 1147940) (|resultantnaif| . 1147774) (|sincos| . 1147535) (|setValue!| . 1147356) (|root?| . 1147210) (|exprHasLogarithmicWeights| . 1146904) (|nthExponent| . 1146782) (|tan2trig| . 1146567) (|getEq| . 1146214) (|stronglyReduce| . 1145958) (|OMreadFile| . 1145849) (|pointColorDefault| . 1145675) (|f02abf| . 1145507) (|binaryTree| . 1145324) (|ellipticCylindrical| . 1145115) (|leaves| . 1144994) (|factorAndSplit| . 1144835) (|binomial| . 1144261) (|palgLODE0| . 1142998) (|setAdaptive| . 1142923) (|f02aaf| . 1142758) (|functionIsOscillatory| . 1142455) (|iicosh| . 1142259) (|integralMatrix| . 1141975) (|outputFloating| . 1141796) (|taylor| . 1137945) (|janko2| . 1137682) (|measure| . 1132772) (|failed?| . 1132403) (|firstNumer| . 1132304) (|normalDeriv| . 1131994) (|tablePow| . 1131720) (|groebnerIdeal| . 1131464) (|laurent| . 1128317) (|idealSimplify| . 1128084) (|vertConcat| . 1127626) (|OMread| . 1127509) (|lllip| . 1127350) (|parabolicCylindrical| . 1127166) (|rotatex| . 1127025) (|shanksDiscLogAlgorithm| . 1126795) (|randnum| . 1126623) (|puiseux| . 1123447) (|fullOut| . 1122317) (|delta| . 1122131) (|viewZoomDefault| . 1121951) (|expandPower| . 1121736) (|errorKind| . 1121642) (|basisOfRightNucleus| . 1121464) (|cn| . 1121289) (|addMatchRestricted| . 1121114) (|regularRepresentation| . 1120708) (|bat1| . 1120531) (|supDimElseRittWu?| . 1119838) (|subresultantVector| . 1119638) (|diagonalMatrix| . 1118365) (|copyslice| . 1118201) (|zeta| . 1118118) (|indices| . 1117962) (|generalInfiniteProduct| . 1116958) (|polynomial| . 1116161) (|create| . 1114556) (|degree| . 1109753) (|quatern| . 1109640) (|setClosed| . 1109505) (|goppaCode| . 1108205) (|extractBottom!| . 1108030) (|mul| . 1107894) (|eulerE| . 1107679) (|mapSolve| . 1107295) (|minimize| . 1107014) (|pdf2df| . 1106868) (|maxRowIndex| . 1106401) (|GospersMethod| . 1105927) (|setLabelValue| . 1105839) (|iCompose| . 1105731) (|expint| . 1105350) (|splitNodeOf!| . 1104842) (|singRicDE| . 1103749) (GF2FG . 1103356) (|intChoose| . 1102763) (|squareFreeFactors| . 1102444) (|imaginary| . 1102346) (|ZetaFunction| . 1099436) (|divOfZero| . 1099339) (|swap| . 1099039) (|irreducible?| . 1098430) (|safetyMargin| . 1098088) (|definingEquations| . 1097827) (|ldf2lst| . 1097404) (|exprHasWeightCosWXorSinWX| . 1097034) (|lastNonNul| . 1096907) (|placesAbove| . 1095559) (|mathieu23| . 1095296) (|fTable| . 1094177) (|reducedDiscriminant| . 1093892) (|enqueue!| . 1093628) (|composites| . 1093507) (|stiffnessAndStabilityOfODEIF| . 1093031) (|exponentialOrder| . 1092808) (|exprToUPS| . 1091929) (|idealiser| . 1091309) (|lambda| . 1091218) (|mindegTerm| . 1091020) (|OMputObject| . 1090938) (|toroidal| . 1090729) (|read!| . 1090598) (|minGbasis| . 1090331) (|extract!| . 1089829) (|xn| . 1089622) (|subNode?| . 1089366) (|taylorRep| . 1089190) (|axesColorDefault| . 1089016) (|resetAttributeButtons| . 1088935) (|sumOfSquares| . 1088819) (|semiSubResultantGcdEuclidean2| . 1088594) (|cos2sec| . 1088379) (|extractProperty| . 1088215) (|pointInIdeal?| . 1087837) (|leviCivitaSymbol| . 1087672) (|supp| . 1087547) (|palgextint| . 1087063) (|cAcsch| . 1086903) (|sin2csc| . 1086688) (|sortedPurge!| . 1086489) (|totalLex| . 1086282) (|basicSet| . 1085427) (|iomode| . 1085269) (|useNagFunctions| . 1084847) (|writable?| . 1084758) (|fresnelC| . 1084370) (|addPoint| . 1083775) (|HenselLift| . 1083470) (|duplicates| . 1083283) (|sign| . 1080865) (|affineSingularPoints| . 1079505) (|rk4a| . 1079212) (|halfExtendedSubResultantGcd1| . 1078660) (|rewriteIdealWithQuasiMonicGenerators| . 1078284) (|orbit| . 1077140) (|lazyPrem| . 1076760) (|generateIrredPoly| . 1076562) (|completeEval| . 1076171) (|finiteSeries2LinSysWOVectorise| . 1075921) (|Vectorise| . 1075753) (|univariatePolynomialsGcds| . 1075087) (|mathieu24| . 1074824) (|setGcdMode| . 1074637) (|pr2dmp| . 1074286) (|trueEqual| . 1074192) (|factorsOfDegree| . 1073933) (|HermiteIntegrate| . 1073176) (|stoseLastSubResultant| . 1072771) (|weighted| . 1072561) (|primitivePart| . 1071394) (** . 1065550) (|multiple?| . 1065435) (|factorCantorZassenhaus| . 1064935) (|karatsuba| . 1064716) (|iiacosh| . 1064520) (|elRow2!| . 1064222) (|exQuo| . 1063255) (|copy!| . 1063117) (|createMultiplicationTable| . 1062863) (|monicDivide| . 1062440) (|tryFunctionalDecomposition| . 1062282) (|affineAlgSet| . 1061371) (|genus| . 1058909) (|newLine| . 1058828) (|principal?| . 1058520) (|createIrreduciblePoly| . 1058318) (|logIfCan| . 1058177) (|univariatePolynomials| . 1057806) (|copyInto!| . 1057634) (|Hausdorff| . 1057369) (|previous| . 1057273) (|quasiRegular| . 1057026) (|dequeue| . 1056629) (|maxShift| . 1056351) (|finiteSeries2LinSys| . 1056101) (|e01sbf| . 1055842) (|irreducibleFactors| . 1055476) (|adjunctionDivisor| . 1053620) (|listOfTerms| . 1052971) (|updatF| . 1052598) (|obj| . 1052527) (|SturmHabichtSequence| . 1052284) (|complexElementary| . 1051011) (|homogenize| . 1049206) (|viewSizeDefault| . 1048998) (|meshPar2Var| . 1047967) (|ScanRoman| . 1047848) (|rquo| . 1046940) (|partialQuotients| . 1046809) (|setlocalParam!| . 1046271) (|splitSquarefree| . 1045991) (|plenaryPower| . 1045845) (|subResultantGcdEuclidean| . 1045603) (|antisymmetricTensors| . 1045183) (|interpolateFormsForFact| . 1043173) (|OMgetObject| . 1043091) (|allPairsAmong| . 1042545) (|polar| . 1042361) (|torsion?| . 1041516) (|tValues| . 1041417) (|getMeasure| . 1041305) (|modifyPoint| . 1040707) (|diffHP| . 1027483) (|shallowExpand| . 1027272) (|weights| . 1026682) (|copyQuadVar| . 1026470) (|ratDsolve| . 1024663) (|stoseInvertibleSetreg| . 1024301) (|hermiteH| . 1024146) (|makeCell| . 1023825) (|origin| . 1023733) (|elliptic| . 1022973) (|startTableInvSet!| . 1022208) (|complement| . 1022079) (|lookup| . 1021811) (|ef2edf| . 1021656) (|rootKerSimp| . 1021020) (|e02bcf| . 1020815) (|diagonal?| . 1020361) (|OMgetType| . 1020277) (|coordinates| . 1018151) (|basisOfLeftNucloid| . 1017962) (|limitedint| . 1017542) (|bezoutDiscriminant| . 1017208) (|delete!| . 1016928) (|backOldPos| . 1016566) (|e02bbf| . 1016364) (|unvectorise| . 1015759) (|OMParseError?| . 1015671) (|ref| . 1015589) (|setnext!| . 1015448) (|setRealSteps| . 1015366) (|iiacsc| . 1015170) (|palgextint0| . 1014085) (|color| . 1013898) (|e02baf| . 1013722) (|logical?| . 1013634) (|dictionary| . 1013408) (|packageCall| . 1013259) (|rules| . 1012903) (|critMTonD1| . 1012540) (|harmonic| . 1012400) (|OMreadStr| . 1012291) (|symmetricProduct| . 1011923) (|e02akf| . 1011712) (|laurentRep| . 1011535) (|sdf2lst| . 1011106) (|traceMatrix| . 1010482) (|pattern| . 1010165) (|constantIfCan| . 1009994) (|lexGroebner| . 1009822) (|points| . 1009663) (|e02ajf| . 1009446) (|approxSqrt| . 1009346) (|red| . 1009307) (|dcabs1| . 1009176) (|submod| . 1009112) (|e04ycf| . 1008896) (|cache| . 1008780) (|purge!| . 1008581) (|setFoundZeroes| . 1008460) (|evenlambert| . 1007967) (|lcm| . 1007652) (|logGamma| . 1007439) (|sPol| . 1007085) (|e04ucf| . 1006541) (|OMputEndObject| . 1006459) (|medialSet| . 1005793) (|multiServ| . 1005682) (|maxint| . 1005502) (|applyTransform| . 1005195) (|curveColor| . 1005038) (|maximumExponent| . 1004878) (|commutator| . 1004775) (|e04naf| . 1004366) (|dzasum| . 1004176) (|iicsch| . 1003980) (|flush| . 1003824) (|e04mbf| . 1003591) (|coth2trigh| . 1003376) (|vectorcombination| . 1003203) (|aColumn| . 1002923) (|validExponential| . 1002514) (|saturate| . 1002024) (|e04jaf| . 1001759) (|center| . 1001218) (|standardBasisOfCyclicSubmodule| . 1000983) (|primitiveRowEchelon| . 1000653) (|roughBase?| . 1000345) (|yellow| . 1000306) (|lSpaceBasis| . 1000006) (|LyndonCoordinates| . 999712) (|e04gcf| . 999453) (|quadratic| . 998932) (|pivots| . 998721) (|predicates| . 998601) (|continuedFraction| . 997672) (|previousTower| . 997589) (|e04fdf| . 997330) (|uniform| . 996896) (|coth2tanh| . 996681) (|pivot| . 996461) (|acscIfCan| . 996320) (|enterInCache| . 996046) (|cCoth| . 995886) (|zeroVector| . 995719) (|sizeMultiplication| . 994810) (|e04dgf| . 994467) (|viewport3D| . 994409) (|fixedPoints| . 994262) (|systemCommand| . 994149) (|rightUnit| . 993988) (|fi2df| . 993848) (|inverse| . 992119) (|outputFixed| . 991940) (|primlimitedint| . 991399) (|f01ref| . 991172) (|odd?| . 990831) (|makeCrit| . 990372) (|iicot| . 990176) (|outputMeasure| . 990056) (|f01rdf| . 989820) (|int| . 989170) (|divideExponents| . 989015) (|incrementKthElement| . 988861) (|critB| . 988585) (|var2Steps| . 988357) (|power!| . 988171) (|primeFactor| . 988049) (|setScreenResolution| . 987974) (|f01rcf| . 987783) (|connect| . 987624) (|genericLeftTrace| . 987312) (|f01qef| . 987097) (|BumInSepFFE| . 986734) (|printingInfo?| . 986565) (|fractionPart| . 985951) (|laguerreL| . 985641) (|polyRicDE| . 984662) (|multiplyCoefficients| . 984214) (|desingTreeAtPoint| . 983550) (|binary| . 983360) (|f01qdf| . 983136) (|conjug| . 982856) (|legendre| . 982583) (|rubiksGroup| . 982470) (|dimensionOfIrreducibleRepresentation| . 982332) (|cap| . 982165) (|divisor| . 980667) (|internalSubPolSet?| . 979918) (|f01qcf| . 979739) (|removeRedundantFactors| . 978249) (|mainVariable?| . 977975) (|factor1| . 977495) (|discriminant| . 976118) (|child?| . 975960) (|tracePowMod| . 975747) (|viewThetaDefault| . 975567) (|f01mcf| . 975349) (|decomposeFunc| . 975134) (|lfunc| . 975051) (|search| . 974904) (|frobenius| . 974724) (|f01maf| . 974419) (|init| . 974188) (|listRepresentation| . 974015) (|getBadValues| . 973895) (|realSolve| . 971794) (|quotient| . 971335) (|ldf2vmf| . 971183) (|f01bsf| . 970881) (|multiplyExponents| . 970403) (|base| . 969960) (|coleman| . 969800) (|repack1| . 969574) (|datalist| . 969459) (|subst| . 969014) (|df2fi| . 968874) (|trailingCoefficient| . 968717) (|f01brf| . 968381) (|unitNormalize| . 968290) (|imagI| . 968087) (|transcendent?| . 967969) (|fill!| . 967594) (|solve| . 950776) (|multiplicity| . 949819) (|order| . 945194) (|exprToGenUPS| . 944315) (|chartCoord| . 944222) (|wrregime| . 943569) (|stepBlowUp| . 942812) (|nodes| . 942691) (|permutationRepresentation| . 941922) (|idealiserMatrix| . 941612) (|selectIntegrationRoutines| . 941562) (|readIfCan!| . 941289) (|graphState| . 941036) (|nthFlag| . 940859) (|gcdPolynomial| . 940311) (|rowEch| . 940169) (|overlap| . 939731) (|moebius| . 939632) (|factorOfDegree| . 938211) (|nullary?| . 938127) (|closedCurve| . 937607) (|removeSuperfluousQuasiComponents| . 936920) (|paren| . 936647) (|possiblyNewVariety?| . 936292) (|tubePointsDefault| . 936102) (|mask| . 936044) (|sh| . 935680) (|whatInfinity| . 935549) (|zerosOf| . 934471) (|leastMonomial| . 934284) (|invmod| . 934223) (|rootPower| . 933666) (|endSubProgram| . 933585) (|computeInt| . 933162) (|setMinPoints3D| . 933085) (|commaSeparate| . 932873) (|slex| . 932714) (|dnrm2| . 932536) (|convertIfCan| . 932429) (|extractIfCan| . 932275) (|createThreeSpace| . 932170) (|LowTriBddDenomInv| . 931909) (|fortranDouble| . 931864) (|genericRightDiscriminant| . 931555) (|removeCoshSq| . 931340) (|rationalPower| . 931122) (|resultantEuclideannaif| . 930874) (|mapExponents| . 930404) (|leftTrim| . 930216) (|explogs2trigs| . 929823) (|gbasis| . 929522) (|octon| . 929273) (|numberOfMonomials| . 928778) (|nilFactor| . 928656) (|sparsityIF| . 928513) (|desingTreeWoFullParam| . 927233) (|perfectSqrt| . 927123) (|children| . 926843) (|numerators| . 926712) (|highCommonTerms| . 926508) (|chartV| . 926003) (|extendedEuclidean| . 925724) (|value| . 925300) (|tan2cot| . 925085) (|bitCoef| . 925000) (|OMconnInDevice| . 924904) (|fixedDivisor| . 924743) (|ShiftC| . 924497) (|poisson| . 924355) (|palglimint| . 923784) (|setCondition!| . 923605) (|OMopenFile| . 923478) (|removeRedundantFactorsInPols| . 923156) (|replaceKthElement| . 922999) (|rationalApproximation| . 922466) (|properties| . 922354) (|OMcloseConn| . 922268) (|singular?| . 921727) (|FormatArabic| . 921608) (|normalise| . 921492) (|print| . 921306) (|cross| . 921001) (|triangulate| . 920324) (|innerEigenvectors| . 919873) (|vconcat| . 919733) (|cyclotomicFactorization| . 919563) (|directSum| . 919195) (|goodnessOfFit| . 918857) (|dim| . 918781) (|numberOfVariables| . 917926) (|palglimint0| . 916667) (|maxrank| . 916099) (|distribute| . 915991) (|atanhIfCan| . 915850) (|exactQuotient!| . 915399) (|primPartElseUnitCanonical| . 915175) (|mainVariables| . 914904) (|OMputEndBind| . 914822) (|LiePolyIfCan| . 914449) (|dom| . 914371) (|eigenvectors| . 913984) (|OMputError| . 913902) (|integralDerivationMatrix| . 913556) (|definingInequation| . 913323) (|viewPosDefault| . 913109) (|linearlyDependent?| . 912899) (|script| . 912535) (|distFact| . 911893) (|groebnerFactorize| . 910446) (|palgRDE| . 909952) (|primextintfrac| . 909625) (|changeBase| . 909298) (|lagrange| . 908805) (|mapDown!| . 908514) (LE . 908296) (|ramifMult| . 908203) (|cyclic| . 908052) (|createPrimitiveNormalPoly| . 907850) (|rarrow| . 907800) (|radicalEigenvalues| . 907619) (|removeRoughlyRedundantFactorsInPols| . 907011) (|fglmIfCan| . 906594) (|const| . 906428) (|nand| . 906330) (|nextNormalPrimitivePoly| . 906154) (|declare| . 906036) (|structuralConstants| . 904820) (|every?| . 903625) (|exponential| . 903262) (|MPtoMPT| . 903013) (|df2ef| . 902873) (|mainKernel| . 902773) (|bright| . 902490) (|reseed| . 902376) (|newton| . 902196) (|retractable?| . 901385) (|expintegrate| . 900952) (|OMputEndAttr| . 900870) (|complexExpand| . 900222) (|reindex| . 900014) (|quoted?| . 899899) (|tanQ| . 899528) (|orderIfNegative| . 899390) (|chiSquare| . 899246) (|rowEchelon| . 897338) (|coordinate| . 896942) (|nary?| . 896858) (|iiAiryAi| . 896684) (|pushdterm| . 896282) (|output| . 895760) (|assign| . 891298) (|argumentList!| . 890887) (|ode1| . 890659) (|fortran| . 890447) (|reverseLex| . 890240) (|nonLinearPart| . 890125) (|modulus| . 888975) (|numberOfNormalPoly| . 888823) (|cSech| . 888663) (|lazyVariations| . 888367) (|controlPanel| . 888128) (|direction| . 887988) (|generalizedContinuumHypothesisAssumed?| . 887906) (|createZechTable| . 887695) (|univcase| . 887416) (|prod| . 887272) (|localIntegralBasis| . 885813) (|meshPar1Var| . 885483) (|fullDisplay| . 884876) (|generalizedContinuumHypothesisAssumed| . 884791) (|ScanArabic| . 884672) (|argumentListOf| . 884549) (|monomRDE| . 884148) (|seriesSolve| . 880078) (|constant?| . 879663) (|asecIfCan| . 879522) (|basisOfCentroid| . 879333) (|region| . 879174) (|measure2Result| . 878728) (|infieldIntegrate| . 878469) (|rewriteIdealWithRemainder| . 878158) (|polygamma| . 877625) (|cosSinInfo| . 877491) (|affinePoint| . 877368) (|lazy?| . 877246) (|rootOfIrreduciblePoly| . 876834) (|normalElement| . 876522) (|powers| . 876387) (|shiftRight| . 876242) (|limitPlus| . 875402) (|exponents| . 875311) (Y . 874874) (|unitCanonical| . 874821) (|matrixConcat3D| . 874686) (|OMsupportsSymbol?| . 874570) (|setFieldInfo| . 874328) (|ode2| . 874094) (|extractSplittingLeaf| . 873908) (|fortranCarriageReturn| . 873828) (|reduced?| . 873037) (|diag| . 872834) (|hessian| . 872479) (|var2StepsDefault| . 872289) (|subs1stVar| . 872031) (|maxrow| . 871737) (|polyRing2UPUP| . 871299) (|comparison| . 871164) (|bits| . 870812) (|infieldint| . 870558) (|acosIfCan| . 870417) (|countRealRootsMultiple| . 870173) (|degOneCoef| . 869879) (|rationalPlaces| . 868628) (|reducedForm| . 868527) (|iitanh| . 868331) (|jordanAdmissible?| . 867991) (|viewWriteAvailable| . 867896) (|mulmod| . 867832) (|linGenPos| . 867488) (|inverseIntegralMatrix| . 867204) (|reciprocalPolynomial| . 867011) (|nlde| . 866784) (|drawComplex| . 866520) (|getGraph| . 866385) (|sqfree| . 866068) (|minimumExponent| . 865908) (|invertible?| . 865290) (|fortranCharacter| . 865245) (|purelyTranscendental?| . 864959) (|positiveRemainder| . 864898) (|expintfldpoly| . 864574) (|fresnelS| . 864186) (|float?| . 863909) (|outputArgs| . 863537) (|cAsinh| . 863377) (|alternatingGroup| . 863075) (|zero?| . 862359) (|firstDenom| . 862228) (|interpolate| . 860939) (|coHeight| . 860618) (|OMencodingBinary| . 860568) (|socf2socdf| . 860375) (|zeroDimPrime?| . 860003) (|initializeGroupForWordProblem| . 859730) (|bernoulli| . 859419) (|limit| . 857202) (|numberOfPlacesOfDegree| . 855793) (|OMputString| . 855681) (|knownInfBasis| . 855374) (|subset?| . 855249) (|irreducibleFactor| . 855127) (|iiGamma| . 854953) (|rowEchWoZeroLines| . 854838) (|screenResolution3D| . 854764) (|viewWriteDefault| . 854574) (|basisOfLeftAnnihilator| . 854393) (|eigenMatrix| . 854200) (|mkAnswer| . 853855) (|perfectSquare?| . 853727) (|besselI| . 853272) (|adaptive3D?| . 853198) (|initParLocLeaves| . 852508) (|stop| . 852463) (|OMopenString| . 852339) (|checkRur| . 851894) (|lineColorDefault| . 851720) (|OMgetString| . 851636) (|basisOfLeftNucleus| . 851458) (|uncouplingMatrices| . 851214) (|basisOfRightNucloid| . 851025) (|maxTower| . 850908) (|reduceLineOverLine| . 850789) (|mesh?| . 850668) (|compdegd| . 850282) (|alphabetic?| . 850202) (|degreePartition| . 849698) (|mapMatrixIfCan| . 849296) (|newSubProgram| . 849187) (|squareFreeLexTriangular| . 848726) (|monicCompleteDecompose| . 848486) (|empty?| . 847390) (|setprevious!| . 847249) (GE . 847031) (|symmetricTensors| . 846697) (|droot| . 846472) (|realElementary| . 845791) (|consnewpol| . 845291) (|gramschmidt| . 845166) (|predicate| . 844965) (|axes| . 844530) (|iter| . 844343) (|dznrm2| . 844153) (|splitLinear| . 844047) (|pomopo!| . 843894) (|OMputBVar| . 843812) (|outputSpacing| . 843700) (|cyclicSubmodule| . 843454) (|interpret| . 843259) (|algint| . 842876) (|flagFactor| . 842696) (|cExp| . 842536) (|readLine!| . 842458) (|RittWuCompare| . 842230) (|assert| . 841811) (|delay| . 841562) (|intensity| . 841441) (|monicRightFactorIfCan| . 841177) (|normalDenom| . 840955) (|sequences| . 840649) (|rightDivide| . 840139) (|vectoraddmul| . 839969) (|dimension| . 838487) (|stopTableGcd!| . 837794) (|tex| . 837706) (|mapdiv| . 837544) (|lyndonIfCan| . 837404) (|lazyIntegrate| . 837173) (|box| . 836990) (|compose| . 836705) (|distance| . 836581) (|chvar| . 836193) (|constantOpIfCan| . 836013) (|polynomialZeros| . 835745) (|f2st| . 835625) (|log2| . 835502) (|removeConjugate| . 834927) (|algebraicSort| . 834240) (|En| . 834052) (|recur| . 833693) (|sylvesterMatrix| . 833399) (|xRange| . 833170) (|nthExpon| . 832550) (|pow| . 832150) (|presub| . 832100) (|stopMusserTrials| . 831774) (|eq| . 831494) (|printCode| . 831415) (|coefOfFirstNonZeroTerm| . 831315) (|commonDenominator| . 830456) (|lazyIrreducibleFactors| . 830090) (|partialFraction| . 829447) (|credPol| . 829177) (|headReduced?| . 828157) (|basisOfCommutingElements| . 827979) (|PDESolve| . 827422) (|plotPolar| . 826793) (|subCase?| . 825964) (|aLinear| . 825730) (|deleteRoutine!| . 825644) (|cyclicCopy| . 825560) (|factorials| . 825037) (|rightNorm| . 824920) (|critM| . 824650) (|makeViewport3D| . 824294) (|removeSuperfluousCases| . 823509) (|excpDivV| . 823004) (|quoByVar| . 822899) (|localUnquote| . 822551) (|extend| . 820312) (|isList| . 820175) (|quotedOperators| . 819829) (|makeViewport2D| . 819634) (|rewriteIdealWithHeadRemainder| . 819323) (|level| . 819166) (|separate| . 818480) (|leftCharacteristicPolynomial| . 818313) (|squareFree| . 815800) (|useEisensteinCriterion| . 815642) (|build| . 815163) (|countRealRoots| . 814951) (|innerSolve| . 814632) (|ramifiedAtInfinity?| . 814363) (|OMputFloat| . 814246) (|shiftHP| . 801022) (|definingField| . 800831) (|coerceS| . 800610) (|lazyPseudoDivide| . 799703) (|separateFactors| . 799152) (|externalList| . 799062) (|extendedint| . 798716) (|finiteSeries2Vector| . 798496) (|generic?| . 798381) (|tanhIfCan| . 798240) (|groebgen| . 797908) (|delete| . 797648) (|jacobian| . 797082) (|rowEchelonLocal| . 796934) (|fullInfClsPt| . 796486) (|redmat| . 796108) (|cyclicGroup| . 795806) (|OMgetBVar| . 795724) (|evalRec| . 795283) (|gethi| . 794797) (|rightDiscriminant| . 794381) (|expandLog| . 794166) (|evenInfiniteProduct| . 793280) (|badValues| . 793094) (|repeating?| . 792922) (|suppOfZero| . 792797) (|drawToScale| . 792629) (|leftAlternative?| . 792289) (|inconsistent?| . 791531) (|useSingleFactorBound?| . 791376) (|convergents| . 791232) (|edf2ef| . 791077) (|linearDependenceOverZ| . 790870) (|updatD| . 790504) (|tab| . 790342) (|dn| . 790167) (|newtonPolygon| . 789765) (|rroot| . 789242) (|semiDegreeSubResultantEuclidean| . 788966) (|cotIfCan| . 788825) (|copyIto| . 788689) (|maxMixedDegree| . 788455) (= . 787304) (|substring?| . 787182) (|resultantReduitEuclidean| . 786896) (|possiblyInfinite?| . 786778) (|digamma| . 786335) (|translate| . 785312) (|rotatey| . 785171) (|cSin| . 785011) (|table| . 784683) (|packModulus| . 784417) (|factorUsingMusser| . 783993) (|square?| . 783539) (|gcdprim| . 783396) (|removeSinhSq| . 783181) (< . 782673) (|evalIfCan| . 778586) (|deriv| . 778455) (|balancedBinaryTree| . 778315) (|extractPoint| . 778168) (|tubeRadiusDefault| . 777960) (> . 777827) (|cCos| . 777667) (|d03faf| . 777328) (|row| . 776616) (|green| . 776577) (|semicolonSeparate| . 776484) (|inspect| . 775982) (<= . 775600) (|musserTrials| . 775274) (|d03eef| . 774897) (|rewriteSetByReducingWithParticularGenerators| . 774475) (|restorePrecision| . 774389) (|prepareDecompose| . 773362) (|ramified?| . 772821) (>= . 772688) (|next| . 772592) (|integralLastSubResultant| . 772197) (|d03edf| . 771959) (|mdeg| . 771733) (|quotientByP| . 771671) (|graphStates| . 771222) (|computeCycleEntry| . 771081) (|minPoly| . 770623) (|factorGroebnerBasis| . 769901) (|principalSubResultantSet| . 769666) (|findCoef| . 769535) (|deleteProperty!| . 769449) (|functionName| . 769239) (|suffix?| . 769148) (|sinIfCan| . 769007) (|basisOfInterpolateFormsForFact| . 768446) (|pointColorPalette| . 768312) (|endOfFile?| . 768233) (+ . 765538) (|displayAsGF| . 765405) (|charthRoot| . 765153) (|fullOutput| . 762378) (|makeResult| . 762104) (- . 759284) (|OMputEndApp| . 759202) (|dark| . 759126) (|represents| . 757997) (|moduloP| . 757901) (/ . 753808) (|char| . 753652) (|innerint| . 753012) (|light| . 752936) (|minrank| . 752368) (|stablePol| . 752217) (|patternMatch| . 748092) (|sqfrFactor| . 747970) (|yCoordinates| . 747658) (|completeSmith| . 747323) (|splitDenominator| . 745732) (|hasTopPredicate?| . 745617) (|specialTrigs| . 745331) (|aspFilename| . 745240) (|true| . 745199) (|internalLastSubResultant| . 744273) (|zCoord| . 744159) (|integerIfCan| . 744018) (|brillhartTrials| . 743700) (|allDegrees| . 743488) (|linear?| . 742930) (|point?| . 742809) (|cAsech| . 742649) (|prologue| . 742466) (|Somos| . 742194) (|nextsousResultant2| . 742022) (|minPoints| . 741785) (|positiveSolve| . 740297) (|fortranDoubleComplex| . 740252) (|primitiveElement| . 738312) (|localize| . 737723) (|clikeUniv| . 737505) (|distinguishedRootsOf| . 737109) (|unitsColorDefault| . 736935) (|genusTree| . 736217) (|coerceP| . 736011) (|primaryDecomp| . 735459) (|algebraicCoefficients?| . 735173) (|linkToFortran| . 734326) (|linSolve| . 733875) (|ODESolve| . 733438) (|recip| . 731454) (|tomodpa| . 731262) (|generalInterpolation| . 729295) (|selectNonFiniteRoutines| . 729245) (|c05nbf| . 728962) (|prefix?| . 728871) (|llprop| . 728714) (|equation| . 727979) (|OMputVariable| . 727867) (|outputAsScript| . 727623) (|rewriteSetWithReduction| . 727250) (|whileLoop| . 727166) (|iiBesselI| . 726964) (|c05adf| . 726726) (|map| . 701318) (|internalSubQuasiComponent?| . 700605) (|isTimes| . 699671) (|mkIntegral| . 699362) (|subtractIfCan| . 699285) (|choosemon| . 699020) (|c06gsf| . 698845) (|pop!| . 698503) (|generalTwoFactor| . 698228) (|parabolic| . 698044) (|movedPoints| . 697806) (|c06gqf| . 697631) (|sort!| . 697276) (|showTheFTable| . 697217) (|binarySearchTree| . 697094) (|invertibleSet| . 696808) (|c06gcf| . 696636) (|complexIntegrate| . 695917) (|halfExtendedResultant1| . 695676) (|c06gbf| . 695504) (|acothIfCan| . 695363) (|SturmHabichtCoefficients| . 695148) (|setMaxPoints3D| . 695071) (|LazardQuotient2| . 694799) (|c06fuf| . 694585) (|typeList| . 694343) (|errorInfo| . 694251) (|supRittWu?| . 694033) (|generalSqFr| . 693758) (|leadingIdeal| . 693530) (|SturmHabicht| . 693315) (|c06frf| . 693104) (|sylvesterSequence| . 692912) (|mpsode| . 692610) (|biringToPolyRing| . 692212) (|reduceLODE| . 691799) (|c06fqf| . 691591) (|qPot| . 691412) (|merge| . 690461) (|extractTop!| . 690286) (|checkOptions| . 690156) (|c06fpf| . 689948) (|projectivePoint| . 689207) (|maxDerivative| . 688929) (|eval| . 677941) (|basisOfInterpolateForms| . 677380) (|mainSquareFreePart| . 677161) (|c06ekf| . 676983) (|UnVectorise| . 676815) (|bivariatePolynomials| . 676444) (|inHallBasis?| . 676327) (|c06ecf| . 676152) (|acsch| . 674957) (|stoseInvertibleSetsqfreg| . 674595) (|lquo| . 673687) (|particularSolution| . 672675) (|compBound| . 672453) (|Aleph| . 672357) (|fortranLinkerArgs| . 672269) (|c06ebf| . 672097) (|computeBasis| . 671884) (|OMputEndError| . 671802) (|hasoln| . 671355) (|linearMatrix| . 671155) (|triangularSystems| . 670907) (|c06eaf| . 670735) (|rectangularMatrix| . 670535) (|makeCos| . 670327) (|algebraicOf| . 670039) (|solveid| . 669804) (|expressIdealMember| . 669698) (|s17def| . 669459) (|cyclicParents| . 669338) (|unexpand| . 669022) (|middle| . 668829) (|ord| . 668749) (|topFortranOutputStack| . 668657) (|s17dcf| . 668418) (|sech2cosh| . 668203) (|setPredicates| . 668080) (|iifact| . 667910) (|BasicMethod| . 667763) (|leftScalarTimes!| . 667622) (|s17akf| . 667463) (|printTypes| . 667278) (|divideIfCan| . 667022) (|tower| . 666923) (|alternating| . 666772) (|atrapezoidal| . 666469) (|s17ajf| . 666310) (|explicitEntries?| . 666188) (|showAll?| . 666050) (|modularGcdPrimitive| . 665788) (|doublyTransitive?| . 665634) (|condition| . 665458) (|getRef| . 665289) (|s17ahf| . 665130) (|genericLeftDiscriminant| . 664821) (|setSingularPoints| . 663572) (|hash| . 662492) (|superscript| . 662400) (|biRank| . 662208) (|characteristicPolynomial| . 660263) (|s17agf| . 660104) (|critMonD1| . 659738) (|vark| . 659504) (|cAsec| . 659344) (|iiexp| . 659148) (|numberOfImproperPartitions| . 659039) (|s17aff| . 658880) (|nthr| . 658348) (|cycleLength| . 658211) (|triangular?| . 657903) (|eigenvector| . 657586) (|clearTheFTable| . 657496) (|s17aef| . 657337) (|dmpToHdmp| . 657088) (|epilogue| . 656905) (|permanent| . 656685) (|mightHaveRoots| . 656461) (|discriminantSet| . 656220) (|wreath| . 656094) (|rdHack1| . 655861) (|s17adf| . 655702) (|unrankImproperPartitions1| . 655553) (|close| . 655278) (|optimize| . 654042) (|iiBeta| . 653840) (|drotg| . 653693) (|notelem| . 653527) (|lex| . 653396) (|s17acf| . 653237) (|split!| . 653066) (|lift| . 651165) (|numberOfCycles| . 651035) (|dscal| . 650854) (|shellSort| . 650596) (|s15aef| . 650437) (|reduce| . 643852) (|printInfo!| . 643653) (|permutation| . 643296) (|solveLinearPolynomialEquation| . 642308) (|processTemplate| . 642134) (|s15adf| . 641975) (|satisfy?| . 641368) (|henselFact| . 640795) (|repeating| . 640688) (|s14baf| . 640523) (|leftRemainder| . 640229) (|inR?| . 640114) (|invertibleElseSplit?| . 639806) (|antisymmetric?| . 639352) (|display| . 638080) (|iidprod| . 637882) (|s14abf| . 637723) (|ShiftAction| . 637499) (|effective?| . 637374) (|wholeRadix| . 637251) (|partialNumerators| . 637120) (|s14aaf| . 636961) (|deepestTail| . 636774) (|exists?| . 636685) (|rootSimp| . 636128) (|constantOperator| . 635958) (|s13adf| . 635799) (|testModulus| . 635588) (|trivialIdeal?| . 635317) (|bitLength| . 635235) (|dihedral| . 635084) (|s13acf| . 634925) (|setCurve| . 633722) (|adaptive?| . 633650) (|enumerate| . 633381) (|genericRightTrace| . 633069) (|s13aaf| . 632910) (|lfinfieldint| . 632538) (|OMputInteger| . 632425) (|eyeDistance| . 632304) (|Zero| . 632003) (|affineRationalPoints| . 631112) (|insert!| . 628142) (LT . 627924) (|s01eaf| . 627753) (|oddintegers| . 627585) (|lowerCase| . 627443) (|semiResultantEuclideannaif| . 627212) (|generalCoefficient| . 626814) (|generalPosition| . 626421) (|s21bdf| . 626253) (|midpoint| . 625984) (|OMgetEndError| . 625902) (|rischDEsys| . 625207) (|cyclotomicDecomposition| . 625041) (|s21bcf| . 624876) (|createGenericMatrix| . 624697) (|desingTree| . 622728) (|setelt!| . 622388) (|pointSizeDefault| . 622198) (|isMult| . 621977) (|blue| . 621938) (|s21bbf| . 621773) (|midpoints| . 621486) (|mapGen| . 620858) (|setLegalFortranSourceExtensions| . 620765) (|stack| . 620652) (|complexEigenvalues| . 620420) (|numberOfHues| . 620339) (|s21baf| . 620177) (|expPot| . 619989) (|realEigenvalues| . 619784) (|iicoth| . 619588) (|extractIndex| . 619431) (|bfEntry| . 619190) (|s20adf| . 619031) (|normal?| . 618505) (|cycleEntry| . 618407) (|truncatedmultiplication| . 618268) (|Gamma| . 617544) (|e02agf| . 617270) (|element| . 616987) (|symbol?| . 616598) (|perfectNthRoot| . 616266) (|option?| . 616115) (|match?| . 615991) (|s20acf| . 615832) (|ParCond| . 615324) (|characteristicSet| . 614658) (|minset| . 614304) (|pointLists| . 614191) (|d01aqf| . 613944) (|laplace| . 613558) (|prevPrime| . 613450) (|leftLcm| . 613156) (|LiePoly| . 612986) (|s19adf| . 612827) (|numberOfPrimitivePoly| . 612675) (|leftRankPolynomial| . 611908) (|constantCoefficientRicDE| . 611414) (|or| . 611269) (|listAllMonoExp| . 610958) (|d01apf| . 610705) (|position!| . 610615) (|sbt| . 610512) (|adjoint| . 609477) (|randomR| . 608754) (|s19acf| . 608595) (|modTree| . 608470) (|coerceImages| . 608351) (|mapUp!| . 608069) (|zoom| . 607540) (|d01anf| . 607290) (|variationOfParameters| . 607063) (|chebyshevU| . 606750) (|zeroDim?| . 606210) (|alterDrift!| . 606020) (|d01amf| . 605776) (|replaceDiffs| . 605353) (|compiledFunction| . 604829) (|removeSinSq| . 604614) (|d01alf| . 604321) (|sinhIfCan| . 604180) (|variableOf| . 604002) (|showArrayValues| . 603925) (|s19abf| . 603766) (|hue| . 603506) (|lexico| . 603150) (|integralCoordinates| . 602838) (|insert| . 602593) (|d01akf| . 602349) (|guessRec| . 595296) (|checkExtraValues| . 595084) (|associator| . 595022) (|s19aaf| . 594863) (|listOfMonoms| . 594645) (|approximants| . 594501) (|samplePoint| . 594237) (|d01ajf| . 593993) (|evalADE| . 593552) (|setleaves!| . 593423) (|OMgetEndAttr| . 593341) (|s18def| . 593102) (|squareFreePrim| . 592826) (|plot| . 590943) (|rename!| . 590849) (|OMencodingUnknown| . 590799) (|s18dcf| . 590560) (|blockConcat| . 590282) (|numberOfIrreduciblePoly| . 590130) (|subspace| . 589666) (|getExplanations| . 589544) (|s18aff| . 589385) (|leastPower| . 589066) (|more?| . 588010) (|diff| . 587598) (|hexDigit?| . 587518) (|iiacos| . 587322) (|s18aef| . 587163) (|trapezoidal| . 586863) (|module| . 586202) (|cubic| . 585678) (|external?| . 585596) (|s18adf| . 585437) (|transcendenceDegree| . 585116) (|integral?| . 584300) (|lintgcd| . 584129) (|polyPart| . 583938) (|reshape| . 583209) (|factorsOfCyclicGroupSize| . 583056) (|s18acf| . 582897) (|guess| . 571398) (|matrixDimensions| . 571246) (|round| . 571191) (|inverseLaplace| . 570760) (|f04qaf| . 570443) (|charClass| . 570266) (|stoseInvertibleSet| . 569904) (|fortranLiteralLine| . 569794) (|screenResolution| . 569557) (|f04mcf| . 569316) (|singularAtInfinity?| . 569047) (|separe| . 568862) (|reducedSystem| . 568465) (|idamax| . 568325) (GT . 568107) (|f04mbf| . 567687) (|fortranReal| . 567642) (|paraboloidal| . 567458) (|iprint| . 567343) (|radicalRoots| . 566779) (|f04maf| . 566529) (|selectOrPolynomials| . 566103) (|appendPoint| . 565980) (|totolex| . 565698) (|cTanh| . 565538) (|label| . 565488) (|f04jgf| . 565263) (|totalDegree| . 564550) (|algintegrate| . 564054) (|zeroDimensional?| . 563601) (|createLowComplexityNormalBasis| . 563317) (|f04faf| . 563130) (|quadratic?| . 562996) (|opeval| . 562718) (|quasiComponent| . 562387) (|extDegree| . 562262) (|double?| . 562174) (|f04axf| . 561942) (|heap| . 561831) (|se2rfi| . 561422) (|lazyPremWithDefault| . 560844) (|deepestInitial| . 560657) (|f04atf| . 560470) (|cAtanh| . 560310) (|infLex?| . 560005) (~ . 559914) (|bottom!| . 559739) (|affineAlgSetLocal| . 559222) (|f04asf| . 559038) (|cycles| . 558900) (|stoseInvertible?sqfreg| . 558489) (|cCsch| . 558329) (|nonSingularModel| . 557621) (|homogeneous| . 557349) (|univariateSolve| . 555108) (|style| . 554898) (|normalizedAssociate| . 554584) (|coefficient| . 551561) (SEGMENT . 551291) (|f04arf| . 551107) (|basisOfRightAnnihilator| . 550926) (|OMputSymbol| . 550811) (|lazyPquo| . 550431) (|monomial2series| . 550221) (|number?| . 550067) (|max| . 549500) (|presuper| . 549450) (|OMputBind| . 549368) (|f04adf| . 549163) (|badNum| . 548637) (|wholePart| . 548213) (|tableau| . 548089) (|linearlyDependentOverZ?| . 547903) (|negAndPosEdge| . 547609) (|graphs| . 547332) (|brillhartIrreducible?| . 547030) (|collect| . 546690) (|declare!| . 545931) (|mvar| . 545504) (|degreeSubResultantEuclidean| . 545211) (|lifting| . 544630) (|pdf2ef| . 544475) (|multMonom| . 543996) (|dswap| . 543784) (|digit?| . 543704) (|inBetweenExcpDiv| . 543042) (|null| . 542937) (|OMgetVariable| . 542853) (|stoseInvertible?| . 542083) (|continue| . 541995) (F2FG . 541633) (|linearAssociatedOrder| . 541449) (|lprop| . 541301) (|initial| . 541054) (|factorSquareFree| . 539090) (|option| . 538607) (|gcdcofactprim| . 538464) (|expextendedint| . 537958) (|multiset| . 537675) (|expt| . 537489) (|stronglyReduced?| . 536927) (|new| . 535637) (|maxdeg| . 535346) (|Frobenius| . 534757) (|rightExtendedGcd| . 534537) (|mainDefiningPolynomial| . 534417) (|f07fef| . 534222) (|Nul| . 534129) (|setErrorBound| . 533936) (|makeprod| . 533809) (|ideal| . 532907) (|f07fdf| . 532721) (|extract| . 532559) (|And| . 532423) (|insertMatch| . 532251) (|subscript| . 532159) (|completeEchelonBasis| . 531993) (|stripCommentsAndBlanks| . 531906) (|elimZeroCols!| . 531753) (|f07aef| . 531516) (|drift| . 531387) (|realRoots| . 530923) (|normFactors| . 530580) (|discriminantEuclidean| . 530332) (|deleteRow!| . 530148) (|f07adf| . 529989) (|scaleRoots| . 529826) (|curveV| . 529228) (|leftFactor| . 529061) (|child| . 528901) (|consRow!| . 528662) (|dcopy| . 528510) (|setTopPredicate| . 528357) (|real?| . 527608) (|is?| . 526504) (|appendRow!| . 526265) (|s17dlf| . 526023) (|absolutelyIrreducible?| . 525433) (|stirling2| . 525314) (|truncate| . 524956) (|decreasePrecision| . 524784) (|toseLastSubResultant| . 524389) (|allIndices| . 524233) (|s17dhf| . 524029) (|multiple| . 523753) (|rootSplit| . 523348) (|branchIfCan| . 522359) (|tree| . 521695) (|arg1| . 521547) (|sorted?| . 521220) (|s17dgf| . 521016) (|replace| . 520901) (|optional| . 520625) (|UP2ifCan| . 520161) (|e01sff| . 519941) (|arg2| . 519793) (|ScanFloatIgnoreSpacesIfCan| . 519674) (|f02xef| . 519445) (|mapUnivariate| . 518784) (|indicialEquationAtInfinity| . 518144) (NOT . 517889) (|cycleSplit!| . 517749) (|nodeOf?| . 517502) (|f02wef| . 517285) (|OMputApp| . 517203) (|not| . 517020) (|semiResultantEuclidean2| . 516789) (OR . 516571) (|in?| . 515949) (|weierstrass| . 515742) (|f02fjf| . 514955) (|dimensions| . 514602) (|pseudoDivide| . 513873) (AND . 513655) (|mapExpon| . 513161) (|RemainderList| . 512775) (|f02bjf| . 512535) (|prem| . 512155) (|update| . 511992) (|leftRegularRepresentation| . 511672) (|fixedPoint| . 511340) (|varList| . 509965) (|ratPoly| . 509510) (|f02bbf| . 509301) (|applyQuote| . 508647) (|multiEuclideanTree| . 508522) (|product| . 507429) (|geometric| . 507287) (|eisensteinIrreducible?| . 507129) (|putGraph| . 506966) (|f02axf| . 506789) (|normalizeIfCan| . 506399) (|monomialIntPoly| . 506141) (|setFoundPlacesToEmpty| . 505973) (|leftRank| . 505781) (LODO2FUN . 505467) (|printInfo| . 502562) (|f02awf| . 502391) (|getShiftRec| . 501901) (|explicitlyEmpty?| . 501779) (|specialise| . 501522) (|OMlistSymbols| . 501401) (|neglist| . 501268) (|f02akf| . 501091) (|writeLine!| . 500935) (|vspace| . 500854) (|omError| . 500721) (|qsetelt!| . 500309) (|reducedQPowers| . 500074) (|top| . 499732) (|f02ajf| . 499561) (|parse| . 499482) (|prime| . 499343) (|SFunction| . 499183) (|nor| . 499085) (|less?| . 497869) (|f02agf| . 497698) (|OMgetEndObject| . 497616) (|showTypeInOutput| . 497515) (|modularFactor| . 497304) (|readLineIfCan!| . 497216) (|monicRightDivide| . 496688) (|lllp| . 496539) (|guessRat| . 489486) (|stosePrepareSubResAlgo| . 489072) (|null?| . 488795) (|numberOfComposites| . 488663) (|stopTable!| . 487988) (|vectorise| . 487694) (|partition| . 487492) (|gcd| . 485072) (* . 476493) (|numberRatPlacesExtDeg| . 475084) (|quotValuation| . 474991) (|permutations| . 474847) (|constantRight| . 474607) (|oddlambert| . 474114) (|toseInvertibleSet| . 473762) (|tubePlot| . 472471) (|find| . 472330) (|vertSplit| . 471708) (|getVariableOrder| . 471549) (|withPredicates| . 471426) (|components| . 471305) (|kroneckerDelta| . 471140) (|iicsc| . 470944) (|internalInfRittWu?| . 470195) (|augment| . 469004) (|rightFactorIfCan| . 468737) (|basisOfNucleus| . 468559) (|false| . 468518) (|elem?| . 468399) (|moduleSum| . 468013) (|columns| . 467435) (|push!| . 467081) (|clip| . 465739) (|makeGraphImage| . 465137) (|iitan| . 464941) (|scale| . 464459) (|nextSublist| . 464065) (|join| . 463934) (|redPol| . 463664) (|modularGcd| . 463402) (|factorial| . 463054) (|rightTrace| . 462937) (|euclideanNormalForm| . 462655) (|sub| . 462605) (|complexLimit| . 461636) (|toseInvertible?| . 460886) (|algebraicDecompose| . 459938) (|pair?| . 459661) (|canonicalIfCan| . 459514) (|width| . 459211) (|curry| . 459011) (|csc2sin| . 458796) (|aQuartic| . 458553) (|clearFortranOutputStack| . 458451) (|anfactor| . 458030) (|resultantEuclidean| . 457782) (|classNumber| . 456494) (|nextsubResultant2| . 456261) (|setmult!| . 455732) (|fixPredicate| . 455434) (|toScale| . 455222) (|genericLeftNorm| . 454910) (|regime| . 453993) (|outputForm| . 453050) (|squareFreeBasis| . 452845) (|sort| . 452121) (|areEquivalent?| . 451449) (|setref| . 451364) (|integral| . 450379) (|rightPower| . 450193) (|guessBinRat| . 443140) (|solid| . 443041) (|rightRegularRepresentation| . 442721) (|lieAlgebra?| . 442381) (|permutationGroup| . 442241) (|minimalForm| . 441317) (|elliptic?| . 440787) (|bandedHessian| . 440390) (|addiag| . 440218) (|derivationCoordinates| . 439934) (|copyfirst| . 439773) (|singularitiesOf| . 438908) (|stoseInternalLastSubResultant| . 437962) (|stoseIntegralLastSubResultant| . 437557) (|maxPower| . 437285) (|localReal?| . 437061) (|denomLODE| . 436238) (|bandMatrix| . 435676) (|UpTriBddDenomInv| . 435415) (|digits| . 434794) (|acoshIfCan| . 434653) (|rightLcm| . 434515) (|inrootof| . 434296) (|constantLeft| . 434056) (|parts| . 432910) (|trunc| . 432567) (|open?| . 432435) (|numericalOptimization| . 431845) (|att2Result| . 430948) (|fracPart| . 430648) (|testDim| . 430340) (|shufflein| . 430184) (|An| . 430016) (|fixedPointExquo| . 429822) (|intersectionDivisor| . 427756) (|writeDotGraph| . 427611) (|OMwrite| . 426280) (|mainMonomial| . 426093) (|traverse| . 425924) (|index?| . 425765) (|rischDE| . 425033) (|ratDenom| . 423346) (|factors| . 422659) (|topPredicate| . 422492) (|cond| . 422324) (|dihedralGroup| . 422022) (|lflimitedint| . 421497) (|monomRDEsys| . 421046) (|colorDef| . 420922) (|setexcpDiv!| . 420414) (|numericalIntegration| . 419789) (|bracket| . 419652) (|OMencodingXML| . 419602) (|type| . 419463) (|OMconnectTCP| . 419307) (|nextItem| . 419247) (|infix| . 419101) (|numerator| . 418724) (|objectOf| . 418647) (|reduceByQuasiMonic| . 418391) (|standardDotHeader| . 418307) (|depth| . 417686) (|aCubic| . 417446) (|summation| . 416835) (|remainder| . 416476) (|figureUnits| . 416322) (|comp| . 416066) (|stoseInvertible?reg| . 415655) (|groebner?| . 415399) (|simplifyLog| . 415184) (|PollardSmallFactor| . 415059) (|count| . 412594) (|lambert| . 412101) (|varselect| . 411895) (|pack!| . 411759) (|scripted?| . 411682) (|karatsubaOnce| . 411508) (|homogeneous?| . 411190) (|symmetricSquare| . 411045) (|Is| . 409828) (|setImagSteps| . 409746) (|dot| . 409235) (|leftExtendedGcd| . 409015) (|palgintegrate| . 408519) (|generalLambert| . 407890) (|preprocess| . 407035) (|rightZero| . 406919) (|expenseOfEvaluation| . 406569) (|leftGcd| . 406275) (|implies| . 406228) (|branchPointAtInfinity?| . 405959) (|hMonic| . 405720) (|OMReadError?| . 405632) (|cycleElt| . 405484) (|sampleDotGraph| . 405400) (|OMgetEndBind| . 405318) (|operators| . 405215) (|getZechTable| . 404594) (|torsionIfCan| . 403617) (|setMaxPoints| . 403542) (|getCurve| . 403438) (|algebraicVariables| . 403157) (|exactQuotient| . 402706) (|property| . 402585) (|reduction| . 402035) (|OMsend| . 401880) (|nextLatticePermutation| . 401731) (|invmultisect| . 401102) (|getSmgl| . 400995) (|bag| . 400325) (|schema| . 400111) (|chiSquare1| . 399979) (|dotview| . 399873) (|setOrder| . 399555) (|prefixRagits| . 399432) (|units| . 398805) (|shrinkable| . 398544) (|repSq| . 398354) (|resetNew| . 398283) (|bumptab1| . 398112) (|exquo| . 396612) (|polyRDE| . 396149) (|coshIfCan| . 396008) (|linearPolynomials| . 395637) (|resultantReduit| . 395439) (|div| . 395389) (|showRegion| . 395267) (|simpson| . 394967) (|postfix| . 394917) (|subQuasiComponent?| . 393478) (|symmetric?| . 393024) (|code| . 391781) (|Musser| . 391570) (|resultant| . 390687) (|extractClosed| . 390541) (|genericRightNorm| . 390229) (|maxColIndex| . 389762) (|completeHensel| . 389528) (|failed| . 389221) (|graphCurves| . 388621) (|mainMonomials| . 388406) (|mathieu22| . 388143) (|binomThmExpt| . 387916) (|maxLevel| . 387638) (|resetVariableOrder| . 387546) (|patternMatchTimes| . 387076) (|defineProperty| . 386858) (|myDegree| . 386443) (|dot2eps| . 386340) (|divisors| . 386204) (|viewpoint| . 384279) (|hadamard| . 384116) (|transcendentalDecompose| . 382201) (|curryRight| . 381958) (|elRow1!| . 381663) (|unaryFunction| . 381421) (|checkPrecision| . 381332) (|clearCache| . 381219) (|rootsOf| . 380408) (|normalized?| . 379388) (|nthFactor| . 378541) (|curve?| . 378420) (|OMgetAtp| . 378338) (|selectSumOfSquaresRoutines| . 378288) (|cAcot| . 378128) (|diophantineSystem| . 377783) (|cosIfCan| . 377642) (|nthFractionalTerm| . 377512) (|plus!| . 377371) (|isPower| . 376523) (|pseudoRemainder| . 376417) (|sts2stst| . 376190) (|unitNormal| . 376046) (|f2df| . 375921) (|rank| . 373442) (|over| . 373392) (|zaxpy| . 373181) (|prinshINFO| . 372917) (|splitConstant| . 372514) (|integralBasisAtInfinity| . 372243) (|contract| . 371461) (|curryLeft| . 371218) (|changeNameToObjf| . 371102) (|oneDimensionalArray| . 370851) (|setVariableOrder| . 370589) (|primextendedint| . 370097) (|unit| . 369763) (|factorPolynomial| . 369306) (|symmetricPower| . 368860) (|numFunEvals3D| . 368786) (|zRange| . 368670) (|inGroundField?| . 368552) (|shiftRoots| . 368389) (|unravel| . 368193) (|showTheIFTable| . 368133) (|elements| . 367949) (|complexForm| . 367264) (|selectsecond| . 367140) (|allRootsOf| . 366098) (|conditions| . 365894) (|setButtonValue| . 365664) (|evalat| . 365525) (|identification| . 365264) (|pushdown| . 364160) (|randomLC| . 363807) (|rangePascalTriangle| . 363549) (|po| . 363393) (|FormatRoman| . 363274) (|factorset| . 362929) (|setsubMatrix!| . 362703) (|remainder!| . 362542) (|machineFraction| . 362447) (|DiffC| . 362201) (|pdct| . 362121) (|critBonD| . 361755) (|palginfieldint| . 361290) (|monomial?| . 360374) (|summary| . 360282) (|guessHolo| . 355947) (|quadraticForm| . 355784) (|morphism| . 355418) (|qinterval| . 355265) (|guessPade| . 350930) (|show| . 350771) (|cycleRagits| . 350648) (|getCode| . 350562) (|setProperties| . 350447) (|roughBasicSet| . 350050) (|resetBadValues| . 349963) (|radPoly| . 349621) (|OMsetEncoding| . 349499) (|compactFraction| . 349400) (|startPolynomial| . 349131) (|singularPoints| . 347518) (|e02aef| . 347319) (|goodPoint| . 347079) (|qelt| . 346472) (|colorFunction| . 346091) (|hex| . 345987) (|leftMinimalPolynomial| . 345783) (|df2mf| . 345651) (|flexible?| . 345311) (|c02agf| . 345108) (|realEigenvectors| . 344810) (|hasDimension?| . 344488) (|constant| . 343522) (|indiceSubResultantEuclidean| . 343229) (|ode| . 342964) (|rangeIsFinite| . 342405) (|zeroSquareMatrix| . 342238) (|cscIfCan| . 342097) (|bit?| . 342002) (|flexibleArray| . 341741) (|eulerPhi| . 341642) (|c02aff| . 341439) (|icamax| . 341293) (|e02adf| . 341117) (|terms| . 340501) (|minimumDegree| . 339609) (|initiallyReduce| . 339166) (|setScreenResolution3D| . 339089) (|factorSquareFreeByRecursion| . 338393) (|hexDigit| . 338345) (|minus!| . 338069) (|c05pbf| . 337782) (|closed?| . 337557) (|hermite| . 337151) (|rhs| . 336641) (|shuffle| . 336485) (|arrayStack| . 336367) (|showAttributes| . 335268) (|Yun| . 335057) (|ddot| . 334873) (|createNormalPoly| . 334671) (|solve1| . 334405) (|mathieu12| . 334142) (|newtonPolySlope| . 333690) (|mix| . 333368) (|enterPointData| . 333195) (|subMultV| . 332669) (|floor| . 332469) (|wordInStrongGenerators| . 332287) (|credits| . 332195) (|compile| . 332074) (|numberOfOperations| . 331786) (|leadingExponent| . 331313) (|jacobi| . 331211) (|exprex| . 330990) (|rightRecip| . 330767) (|tanNa| . 330645) (|polyRingToBlUpRing| . 330247) (|e01sef| . 330027) (|gcdPrimitive| . 329223) (|rk4qc| . 328437) (|maxPoints3D| . 328363) (|retractToGrn| . 328195) (|statusIto| . 328038) (|getAncestors| . 327906) (|oblateSpheroidal| . 327697) (|makeUnit| . 327548) (|coerceListOfPairs| . 327420) (|e01saf| . 327244) (|setEmpty!| . 327068) (|cosh2sech| . 326853) (|iipow| . 326655) (|leftZero| . 326539) (|vedf2vef| . 326362) (|graphImage| . 326318) (|makeop| . 326012) (|e01daf| . 325833) (|infix?| . 325752) (|tRange| . 325571) (|fillPascalTriangle| . 325456) (|prindINFO| . 325059) (|normalizedDivide| . 324509) (|innerSolve1| . 323978) (|e01bhf| . 323764) (|lp| . 323633) (|triangSolve| . 322551) (|mapBivariate| . 322188) (|e01bgf| . 322006) (|viewDeltaXDefault| . 321826) (|euler| . 321556) (|wholeRagits| . 321433) (|stFunc1| . 321152) (|trigs| . 320544) (|random| . 319291) (|extendedIntegrate| . 318910) (|getStream| . 318732) (|laurentIfCan| . 318545) (|LazardQuotient| . 318276) (|squareTop| . 318087) (|e01bff| . 317905) (|ParCondList| . 317304) (|iiacsch| . 317108) (|entries| . 315836) (|e01bef| . 315663) (|algebraicSet| . 315259) (|makeYoungTableau| . 315102) (|closedCurve?| . 314981) (|imagi| . 314879) (|setProperty| . 314765) (|multiplicative?| . 314612) (|eigenvalues| . 314356) (|discreteLog| . 314133) (|transpose| . 313281) (|map!| . 312066) (|last| . 311478) (|e01baf| . 311299) (|reduceBasisAtInfinity| . 311025) (|intcompBasis| . 310763) (|OMgetEndApp| . 310681) (|e02zaf| . 310496) (|expandTrigProducts| . 310095) (|karatsubaDivide| . 309882) (|lazyPseudoQuotient| . 309777) (|One| . 309332) (|iiasec| . 309136) (|complementaryBasis| . 308862) (|reverse!| . 308403) (|super| . 308353) (|e02gaf| . 308145) (|subTriSet?| . 307452) (|solveRetract| . 307120) (|top!| . 306945) (|nextSubsetGray| . 306805) (|strongGenerators| . 306665) (|symFunc| . 306359) (|e02dff| . 306168) (|polyred| . 305952) (|parametersOf| . 305862) (|domainOf| . 305785) (|recolor| . 305520) (|approxNthRoot| . 305378) (|quickSort| . 305120) (|e02def| . 304938) (|radicalEigenvector| . 304700) (|decompose| . 301840) (|central?| . 301659) (|Ei4| . 301534) (|generalizedEigenvector| . 300766) (|isPlus| . 299825) (|rightUnits| . 299198) (|startTableGcd!| . 298433) (|e02ddf| . 298168) (|minPol| . 297508) (|e02dcf| . 297201) (|evaluateInverse| . 296923) (|lastSubResultantElseSplit| . 296621) (|localParam| . 296450) (|subResultantChain| . 296195) (|hitherPlane| . 296074) (|moebiusMu| . 295975) (|mergeDifference| . 295855) (|chebyshevT| . 295542) (|tab1| . 295365) (|e02daf| . 295094) (|getGoodPrime| . 294823) (|high| . 294733) (|Ci| . 294438) (|lyndon?| . 294280) (|e02bef| . 293988) (|supersub| . 293892) (|rationalFunction| . 293450) (|radicalEigenvectors| . 293152) (|nextPartition| . 292816) (|var1Steps| . 292588) (|printStatement| . 292494) (|swapRows!| . 292271) (|squareFreePolynomial| . 291814) (|e02bdf| . 291647) (|airyAi| . 291204) (|reset| . 290321) (|atom?| . 290044) (|linearBezier| . 289891) (|clipWithRanges| . 289597) (|initializeParamOfPlaces| . 288185) (|rootBound| . 287843) (|bumptab| . 287623) (|outerProduct| . 287474) (|cSinh| . 287314) (|write| . 286669) (|minusInfinity| . 286480) (|save| . 286435) (|jordanAlgebra?| . 286095) (|unparse| . 286016) (|OMsupportsCD?| . 285903) (|sturmVariationsOf| . 285641) (|taylorQuoByVar| . 285536) (|ddFact| . 285302) (|plusInfinity| . 285113) (|bfKeys| . 285023) (|chineseRemainder| . 284104) (|removeDuplicates!| . 283876) (|removeZeroes| . 282577) (|numberOfValuesNeeded| . 282151) (|magnitude| . 281997) (|iisqrt3| . 281804) (|setchildren!| . 281638) (|leftNorm| . 281521) (|wronskianMatrix| . 281060) (|padecf| . 280755) (|addPointLast| . 280560) (|d| . 280393) (|bezoutResultant| . 280056) (|unprotectedRemoveRedundantFactors| . 279766) (|doubleComplex?| . 279678) (|associatorDependence| . 279279) (|mapUnivariateIfCan| . 278918) (|coercePreimagesImages| . 278790) (|integralRepresents| . 278513) (|integralAtInfinity?| . 278241) (|setPrologue!| . 278052) (|readable?| . 277963) (|rCoord| . 277849) (|realZeros| . 275578) (|makeSketch| . 275377) (|hclf| . 275188) (|isExpt| . 273562) (|pascalTriangle| . 273399) (|inRadical?| . 273140) (|selectAndPolynomials| . 272714) (|complexNumeric| . 269027) (|status| . 268555) (|localAbs| . 267492) (|newReduc| . 267272) (|pol| . 267074) (|cAtan| . 266914) (|numberOfChildren| . 266757) (|completeHermite| . 266446) (|kernels| . 266347) (|guessPRec| . 259294) (|hcrf| . 259105) (|cRationalPower| . 258923) (|viewDefaults| . 258839) (|pquo| . 258459) (|member?| . 256990) (|univariate| . 254043) (|leftOne| . 253923) (|euclideanGroebner| . 253029) (|secIfCan| . 252888) (|lexTriangular| . 252583) (|d01gbf| . 252285) (|fmecg| . 251220) (|slash| . 251170) (|factor| . 239341) (|combineFeatureCompatibility| . 239133) (|increasePrecision| . 238961) (|dec| . 238903) (|typeLists| . 238693) (|quasiRegular?| . 238390) (|zag| . 238340) (|d01gaf| . 238169) (|complexRoots| . 237651) (|imag| . 236911) (|aRow| . 236631) (|d01fcf| . 236336) (|setStatus!| . 236129) (|options| . 235708) (|multisect| . 235079) (|solveLinearlyOverQ| . 234856) (|asinhIfCan| . 234715) (|binaryTournament| . 234592) (|directProduct| . 234463) (|e| . 234277) (|safeFloor| . 234114) (|cTan| . 233954) (|swap!| . 233753) (|twist| . 233510) (|nullity| . 232334) (|d01bbf| . 232168) (|destruct| . 231683) (|rootPoly| . 231282) (|d01asf| . 231035) (|simplify| . 230355) (|setRow!| . 229609) (|mainValue| . 229489) (|rightFactorCandidate| . 229293) (|replaceVarByOne| . 229007) (|monomial| . 226110) (|someBasis| . 225966) (|shade| . 225777) (|groebner| . 224026) (|monomialIntegrate| . 223672) (|tanIfCan| . 223531) (|columnSpace| . 223276) (|isamax| . 223142) (|multivariate| . 221473) (|solid?| . 221377) (|iilog| . 221181) (|bandedJacobian| . 220781) (|pmintegrate| . 219650) (|rightTrim| . 219462) (|d02raf| . 219026) (|listBranches| . 218765) (|isobaric?| . 218490) (|forLoop| . 218209) (|guessHP| . 210742) (|curve| . 210033) (|d02kef| . 209193) (|boundOfCauchy| . 208998) (|shiftInfoRec| . 208428) (|iiatan| . 208232) (|fprindINFO| . 207832) (|purelyAlgebraic?| . 207266) (|nextColeman| . 207106) (|d02gbf| . 206700) (|lBasis| . 204356) (|initTable!| . 204190) (|inv| . 202984) (|apply| . 202241) (|ocf2ocdf| . 202072) (|mantissa| . 201900) (|leftExactQuotient| . 201586) (|d02gaf| . 201264) (|airyBi| . 200821) (|fortranTypeOf| . 200705) (|ground?| . 200119) (|createLowComplexityTable| . 199869) (|generic| . 198183) (|OMgetBind| . 198101) (|ksec| . 197862) (|d02ejf| . 197284) (|prefix| . 197188) (|ground| . 196953) (|brace| . 196609) (|digit| . 196561) (|elementary| . 196410) (|leftTraceMatrix| . 195904) (|internalIntegrate| . 195180) (|transform| . 194916) (|d02cjf| . 194424) (|leadingMonomial| . 193332) (|cons| . 193173) (|subscriptedVariables| . 193067) (|select!| . 192735) (|safeCeiling| . 192572) (|d02bhf| . 192187) (|acschIfCan| . 192046) (|head| . 191606) (|leadingCoefficient| . 189582) (|copy| . 188486) (|virtualDegree| . 188208) (|d02bbf| . 187818) (|asimpson| . 187515) (|minColIndex| . 187048) (|acotIfCan| . 186907) (|isAbsolutelyIrreducible?| . 186499) (|primitiveMonomials| . 186293) (|e02ahf| . 186079) (|updateStatus!| . 185903) (|besselY| . 185448) (|patternVariable| . 185297) (|overset?| . 184884) (|diagonal| . 184680) (|reductum| . 182645) (|listOfLists| . 182052) (|unitVector| . 181325) (|transCoord| . 181232) (|translateToOrigin| . 180104) (|ridHack1| . 179998) (|double| . 179812) (|integer?| . 179313) (|iroot| . 179077) (|abs| . 178147) (|primeFrobenius| . 177972) (|iibinom| . 177774) (|selectFiniteRoutines| . 177724) (|mergeFactors| . 177581) (|subsInVar| . 177292) (|remove| . 176326) (|list| . 175912) (|createNormalPrimitivePoly| . 175710) (|gnuDraw| . 174851) (|expIfCan| . 174710) (|cfirst| . 174489) (|LPolynomial| . 171609) (F2EXPRR . 171419) (|tanh2coth| . 171204) (|collectQuasiMonic| . 170951) (|elt| . 161731) (|blowUp| . 161039) (|cyclotomic| . 160567) (|trace| . 159750) (|KrullNumber| . 158895) (|normalize| . 157796) (|nil| . 157722) (|setelt| . 155320) (|rationalPoints| . 153005) (|alternative?| . 152665) (|difference| . 152474) (|rootProduct| . 151917) (|newTypeLists| . 151831) (|recoverAfterFail| . 151704) (|drot| . 151480) (|divideIfCan!| . 151136) (|ipow| . 150938) (|lowerCase!| . 150884) (|weight| . 149980) (|members| . 148948) (|removeDuplicates| . 148788) (|insertBottom!| . 148607) (|sumOfDivisors| . 148508) (|hyperelliptic| . 147954) (|conditionsForIdempotents| . 146730) (|blankSeparate| . 146637) (|rest| . 145861) (|changeThreshhold| . 145746) (|power| . 145584) (|kmax| . 145378) (|padicallyExpand| . 145226) (|quadraticBezier| . 145070) (|reverse| . 144668) (|removeConstantTerm| . 144464) (|internalDecompose| . 141489) (|heapSort| . 141231) (|OMgetFloat| . 141142) (|createMultiplicationMatrix| . 140908) (|setDifference| . 140794) (F . 140647) (|setDegree!| . 140440) (|showScalarValues| . 140363) (|rowEchWoZeroLinesWOVectorise| . 140248) (|rombergo| . 139948) (|fibonacci| . 139849) (|setIntersection| . 139735) (|upDateBranches| . 138452) (|selectfirst| . 138328) (|divergence| . 138003) (|optional?| . 137888) (|pade| . 136973) (|union| . 136377) (|tubePoints| . 136149) (|constDsolve| . 135621) (|numberOfFactors| . 135244) (|mulbybinomial| . 134922) (|scalarTypeOf| . 134788) (|setUnion| . 134674) (|iiabs| . 134500) (|finiteBound| . 134315) (|Ei5| . 134190) (|times!| . 134049) (|prinpolINFO| . 133757) (|size| . 131818) (|radicalOfLeftTraceForm| . 131640) (|hdmpToDmp| . 131391) (|LagrangeInterpolation| . 131196) (|normInvertible?| . 130805) (|list?| . 130528) (|changeVar| . 129750) (|substitute| . 129645) (|log| . 127311) (|setAttributeButtonStep| . 127226) (|reduceRowOnList| . 127073) (|redPo| . 126744) (|raisePolynomial| . 126415) (|quasiMonicPolynomials| . 126044) (|prime?| . 125308) (|input| . 125056) (|variable| . 124365) (|setleft!| . 124221) (|doubleDisc| . 123986) (|complexZeros| . 123285) (|antiCommutative?| . 122945) (|inverseColeman| . 122785) (|element?| . 122526) (|test| . 122482) (|cartesian| . 122298) (|removeCosSq| . 122083) (|pleskenSplit| . 121599) (|rk4f| . 121312) (|currentSubProgram| . 121231) (|uniform01| . 121141) (|simpleBounds?| . 120998) (|setPoly| . 120860) (|finiteBasis| . 120560) (|algSplitSimple| . 120188) (|fffg| . 119747) (|nsqfree| . 119222) (|real| . 118282) (|rightRankPolynomial| . 117515) (|setTower!| . 117401) (|leftDivide| . 116667) (|setpoint!| . 116159) (|rename| . 116065) (|minPoints3D| . 115991) (|complex| . 115887) (|upperCase?| . 115807) (|ranges| . 115360) (|sizeLess?| . 115269) (|iExquo| . 115120) (|setvalue!| . 114982) (|optpair| . 114845) (|prolateSpheroidal| . 114636) (|subNodeOf?| . 114340) (|antiCommutator| . 114281) (|OMclose| . 114199) (|complete| . 113627) (|pole?| . 113308) (|ratpart| . 113217) (|exponent| . 112433) (|setTex!| . 112342) (|mainPrimitivePart| . 112123) (|lastSubResultant| . 111268) (|name| . 110625) (|qnew| . 110023) (|numer| . 108760) (|DiffAction| . 108536) (|redpps| . 108038) (|rur| . 106418) (|Ei| . 106001) (|mathieu11| . 105738) (|subSet| . 105589) (|denom| . 104346) (|nextIrreduciblePoly| . 104170) (|leftUnits| . 103543) (|complexNormalize| . 102270) (|lifting1| . 101567) (|OMbindTCP| . 101441) (|content| . 100742) (|kernel| . 100225) (|pointColor| . 100068) (|append| . 99988) (|partitions| . 99553) (|addmod| . 99489) (|OMputAtp| . 99407) (|shallowCopy| . 99289) (|back| . 99034) (|draw| . 91004) (|divisorAtDesingTree| . 90339) (|iisinh| . 90143) (|function| . 89434) (|exprToXXP| . 88874) (|symbolTableOf| . 88755) (|OMunhandledSymbol| . 88642) (|cot2tan| . 88427) (|makeObject| . 83956) (|tableForDiscreteLogarithm| . 83795) (|nonQsign| . 83672) (|printStats!| . 83506) (|critT| . 83124) (|changeWeightLevel| . 82503) (|extendedgcd| . 82328) (|coef| . 81728) (|decimal| . 81628) (|pointToPlace| . 81167) (|characteristicSerie| . 80393) (|identitySquareMatrix| . 80226) (|numberOfFractionalTerms| . 80099) (|OMgetSymbol| . 79969) (|createPrimitiveElement| . 79914) (|monom| . 79463) (|doubleResultant| . 79147) (|Ei3| . 79022) (|genusNeg| . 77173) (|relerror| . 77094) (|infinity| . 76903) (|radicalSimplify| . 76565) (|constantKernel| . 76404) (|character?| . 76316) (|doubleFloatFormat| . 76235) (|besselJ| . 75780) (|symmetricRemainder| . 75719) (|optAttributes| . 75215) (|shiftLeft| . 75070) (|interpretString| . 74959) (|composite| . 74506) (|iiBesselK| . 74304) (|twoFactor| . 73998) (|degreeSubResultant| . 73790) (|string?| . 73513) (|collectUpper| . 73267) (|placesOfDegree| . 71024) (|leadingCoefficientRicDE| . 70561) (|iisech| . 70365) (|multV| . 69839) (|component| . 69321) (|concat!| . 68700) (|SturmHabichtMultiple| . 68453) (|cycle| . 68324) (|removeRoughlyRedundantFactorsInPol| . 68034) (|precision| . 67623) (|iiasinh| . 67427) (|roughUnitIdeal?| . 67119) (|removeFirstZeroes| . 67019) (|repeatUntilLoop| . 66935) (|makingStats?| . 66766) (|birth| . 66648) (|leftDiscriminant| . 66232) (|lowerCase?| . 66152) (|iidsum| . 65954) (|bipolar| . 65745) (|seriesToOutputForm| . 65392) (|belong?| . 63684) (|goto| . 63596) (|fullParamInit| . 62906) (|qShiftAction| . 62679) (|leaf?| . 62247) (|displayKind| . 62166) (|OMreceive| . 62039) (|cot2trig| . 61824) (|loopPoints| . 61607) (|variables| . 59391) (|rischNormalize| . 58930) (|pseudoQuotient| . 58787) (|removeIrreducibleRedundantFactors| . 58418) (|setParam!| . 58219) (|powmod| . 58155) (|primitive?| . 57872) (|times| . 57624) (|generalizedEigenvectors| . 57273) (|baseRDE| . 56943) (|ffactor| . 56636) (|selectPDERoutines| . 56586) (|subMatrix| . 55776) (|clearTheIFTable| . 55685) (|expr| . 55436) (|rightTraceMatrix| . 54930) (|primitivePart!| . 54711) (|useEisensteinCriterion?| . 54556) (|keys| . 53705) (|integers| . 53537) (|leftRecip| . 53314) (|has?| . 53200) (|indexName| . 52990) (|critpOrder| . 52605) (|ScanFloatIgnoreSpaces| . 52496) (|setOfMinN| . 52312) (|makeFR| . 51803) (|df2st| . 51434) (|zeroDimPrimary?| . 51062) (|LyndonWordsList| . 50863) (|coefChoose| . 50556) (|asechIfCan| . 50415) (|edf2fi| . 50260) (|directory| . 50172) (|powerSum| . 50021) (|iFTable| . 49426) (|insertionSort!| . 48883) (|orthonormalBasis| . 48691) (|probablyZeroDim?| . 48376) (|complexSolve| . 47283) (|title| . 46837) (|palgint| . 46388) (|powern| . 46180) (|squareFreePart| . 45345) (|rotate!| . 45090) (|rowEchLocal| . 44945) (|copyBSD| . 44821) (|deepExpand| . 44610) (|extendedSubResultantGcd| . 43990) (|createRandomElement| . 43823) (|imagk| . 43721) (|op| . 43565) (|trace2PowMod| . 43352) (|bombieriNorm| . 42688) (|radix| . 42535) (|clearTheSymbolTable| . 42350) (|quasiMonic?| . 42135) (EQ . 41917) (|t| . 41773) (|zeroOf| . 41102) (|iflist2Result| . 40834) (|fortranLogical| . 40789) (|csubst| . 40461) (|newElement| . 39880) (|any| . 39774) (|Ei2| . 39649) (|iisec| . 39453) (|iiBesselY| . 39251) (|lazyGintegrate| . 39001) (|qShiftC| . 38752) (|suppOfPole| . 38627) (|associates?| . 38537) (|OMlistCDs| . 38446) (|makeSUP| . 38293) (|OMputAttr| . 38211) (|cubicBezier| . 38052) (|edf2df| . 37906) (|nextPrimitiveNormalPoly| . 37730) (|linears| . 37568) (|changeName| . 37449) (|stirling1| . 37330) (|common| . 37210) (|irreducibleRepresentation| . 36681) (|mainForm| . 36580) (|invertIfCan| . 36272) (|solveLinearPolynomialEquationByFractions| . 36015) (|iteratedInitials| . 35800) (|symmetricGroup| . 35498) (|algebraic?| . 35099) (|guessAlg| . 30764) (|posExpnPart| . 30664) (|rotate| . 30417) (|univariate?| . 30130) (|pushucoef| . 29713) (|characteristic| . 28027) (|lyndon| . 27897) (|conjugates| . 27781) (|divide!| . 27617) (|nextPrime| . 27509) (|clearDenominator| . 26620) (|cup| . 26494) (|ignore?| . 26137) (|internalIntegrate0| . 25728) (|theCurve| . 24534) (|pushup| . 23430) (|normalizeAtInfinity| . 23156) (|cardinality| . 23017) (|fortranInteger| . 22972) (|interval| . 22484) (|xCoord| . 22370) (|conditionP| . 22049) (|reportInstantiations| . 21926) (|dasum| . 21748) (|complexEigenvectors| . 21411) (|sinh2csch| . 21196) (|viewport2D| . 21140) (|insertTop!| . 20959) (|leftMult| . 20804) (|mesh| . 19516) (|gradient| . 19161) (|maxSubst| . 18889) (|matrix| . 17872) (|subResultantsChain| . 17668) (|split| . 15595) (|definingPolynomial| . 14351) (|elColumn2!| . 14053) (|quadraticNorm| . 13739) (|rightGcd| . 13601) (|retractIfCan| . 5905) (|gderiv| . 5728) (|setfirst!| . 5585) (|infClsPt?| . 5492) (|beauzamyBound| . 5150) (|algDsolve| . 4615) (|Lazard2| . 4404) (|problemPoints| . 3902) (|OMserve| . 3776) (|hspace| . 3695) (|blockSplit| . 2325) (|insertRoot!| . 2227) (|changeMeasure| . 2112) (|startTable!| . 1365) (|mainVariableOf| . 1250) (|error| . 772) (|tubeRadius| . 564) (|findCycle| . 313) (|setStatus| . 30)) 
\ No newline at end of file
diff --git a/src/share/algebra/users.daase/index.kaf b/src/share/algebra/users.daase/index.kaf
index b697266..e8692fc 100644
--- a/src/share/algebra/users.daase/index.kaf
+++ b/src/share/algebra/users.daase/index.kaf
@@ -1,4 +1,4 @@
-237680              (|ProjectiveAlgebraicSetPackage|)
+237944              (|ProjectiveAlgebraicSetPackage|)
 (|ProjectiveAlgebraicSetPackage|)
 (|AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |BlowUpPackage| |DesingTreePackage| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField|)
 (|AffinePlane|)
@@ -58,7 +58,7 @@
 (|BalancedBinaryTree| |BinarySearchTree| |BinaryTournament|)
 (|SetOfMIntegersInOneToN|)
 (|DesingTreePackage|)
-(|AbelianMonoid&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Aggregate&| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |AnyFunctions1| |ApplicationProgramInterface| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BasicType&| |BezoutMatrix| |BinaryExpansion| |BinaryFile| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |BinaryTreeCategory&| |BitAggregate&| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CardinalNumber| |CartesianTensor| |Cell| |ChangeOfVariable| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |CommuteUnivariatePolynomialCategory| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclicStreamTools| |CylindricalAlgebraicDecompositionPackage| |CylindricalAlgebraicDecompositionUtilities| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |EvaluateCycleIndicators| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemContinuityPackage1| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |ExtensionField&| |FGLMIfCanPackage| |Factored| |FactoredFunctions| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |File| |FileName| |FindOrderFinite| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRingFunctions2| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteDivisorCategory&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionalIdeal| |FramedModule| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GraphicsDefaults| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteProductFiniteField| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerBits| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerLinearDependence| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRetractions| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegralDomain&| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |IrredPolyOverFiniteField| |Kernel| |KeyedAccessFile| |KeyedDictionary&| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListAggregate&| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MatrixManipulation| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonadWithUnit&| |Monoid&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagPolynomialRootsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonPolygon| |NonCommutativeOperatorDivision| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |None| |NormInMonogenicAlgebra| |NormRetractPackage| |NormalizationPackage| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericContinuedFraction| |NumericTubePlot| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathConnection| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedRing&| |OrderedSet&| |OrderedVariableList| |OrderingFunctions| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximantPackage| |PadeApproximants| |Palette| |ParametricLinearEquations| |ParametrizationPackage| |PartialFraction| |Partition| |Pattern| |PatternFunctions1| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchListResult| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchQuotientFieldCategory| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchSymbol| |PatternMatchTools| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PolToPol| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuadraticForm| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RationalFactorize| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalInterpolation| |RationalLODE| |RationalRetractions| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RectangularMatrixCategory&| |RecurrenceOperator| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SegmentFunctions2| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleCell| |SingleInteger| |SingletonAsOrderedSet| |SmithNormalForm| |SortPackage| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |StorageEfficientMatrixOperations| |Stream| |StreamAggregate&| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |StreamTaylorSeriesOperations| |StreamTensor| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |TableauxBumpers| |TabulatedComputationPackage| |TaylorSeries| |TaylorSolve| |TexFormat| |TextFile| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U32VectorPolynomialOperations| |U8Matrix| |U8Vector| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UniversalSegmentFunctions2| |UserDefinedPartialOrdering| |Variable| |Vector| |VectorFunctions2| |ViewDefaultsPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AbelianMonoid&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Aggregate&| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |AnyFunctions1| |ApplicationProgramInterface| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BasicType&| |BezoutMatrix| |BinaryExpansion| |BinaryFile| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |BinaryTreeCategory&| |BitAggregate&| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CardinalNumber| |CartesianTensor| |Cell| |ChangeOfVariable| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |CommuteUnivariatePolynomialCategory| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclicStreamTools| |CylindricalAlgebraicDecompositionPackage| |CylindricalAlgebraicDecompositionUtilities| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |EvaluateCycleIndicators| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemContinuityPackage1| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |ExtensionField&| |FGLMIfCanPackage| |Factored| |FactoredFunctions| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |File| |FileName| |FindOrderFinite| |FiniteAbelianMonoidRing&| |FiniteAbelianMonoidRingFunctions2| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteDivisorCategory&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionalIdeal| |FramedModule| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GraphicsDefaults| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteProductFiniteField| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerBits| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerLinearDependence| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRetractions| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegralDomain&| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |IrredPolyOverFiniteField| |Kernel| |KeyedAccessFile| |KeyedDictionary&| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListAggregate&| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MatrixManipulation| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonadWithUnit&| |Monoid&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagPolynomialRootsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonPolygon| |NonCommutativeOperatorDivision| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |None| |NormInMonogenicAlgebra| |NormRetractPackage| |NormalizationPackage| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericContinuedFraction| |NumericTubePlot| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathConnection| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedRing&| |OrderedSet&| |OrderedVariableList| |OrderingFunctions| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximantPackage| |PadeApproximants| |Palette| |ParametricLinearEquations| |ParametrizationPackage| |PartialFraction| |Partition| |Pattern| |PatternFunctions1| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListAggregate| |PatternMatchListResult| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchQuotientFieldCategory| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchSymbol| |PatternMatchTools| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PolToPol| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialCategoryQuotientFunctions| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuadraticForm| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RationalFactorize| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalInterpolation| |RationalLODE| |RationalRetractions| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RectangularMatrixCategory&| |RecurrenceOperator| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SegmentFunctions2| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleCell| |SingleInteger| |SingletonAsOrderedSet| |SmithNormalForm| |SortPackage| |SparseEchelonMatrix| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |StorageEfficientMatrixOperations| |Stream| |StreamAggregate&| |StreamFunctions1| |StreamFunctions2| |StreamFunctions3| |StreamTaylorSeriesOperations| |StreamTensor| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |TableauxBumpers| |TabulatedComputationPackage| |TaylorSeries| |TaylorSolve| |TexFormat| |TextFile| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U32VectorPolynomialOperations| |U8Matrix| |U8Vector| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesConstructorCategory&| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UniversalSegmentFunctions2| |UserDefinedPartialOrdering| |Variable| |Vector| |VectorFunctions2| |ViewDefaultsPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|PrimitiveRatDE| |RationalLODE|)
 (|GaloisGroupFactorizer|)
 (|CliffordAlgebra| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |Equation| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |HomogeneousDirectProduct| |InnerFiniteField| |InnerPrimeField| |OrderedDirectProduct| |PrimeField| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |RectangularMatrix| |SplitHomogeneousDirectProduct|)
@@ -168,7 +168,7 @@
 (|Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |FortranPackage| |FortranType| |SimpleFortranProgram| |SymbolTable|)
 (|Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |FortranCode| |FortranPackage| |SymbolTable| |TheSymbolTable|)
 (|FourierSeries|)
-(|AbelianMonoidRing&| |AlgFactor| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedFunctionSpace&| |Asp1| |Asp10| |Asp19| |Asp20| |Asp24| |Asp31| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp80| |Asp9| |BalancedPAdicRational| |BinaryExpansion| |BoundIntegerRoots| |ChangeOfVariable| |CoerceVectorMatrixPackage| |CombinatorialFunction| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexRootFindingPackage| |ContinuedFraction| |CycleIndicators| |CylindricalAlgebraicDecompositionPackage| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |DoubleFloat| |DoubleFloatSpecialFunctions| |DoubleResultantPackage| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EvaluateCycleIndicators| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |Factored| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FiniteDivisor| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionFunctions2| |FractionalIdeal| |FullPartialFractionExpansion| |FullyRetractableTo&| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GeneralDistributedMultivariatePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |Guess| |GuessInteger| |GuessPolynomial| |GuessUnivariatePolynomial| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |InfiniteProductFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerModularGcd| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |Integer| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |Interval| |InverseLaplaceTransform| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LieSquareMatrix| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearPolynomialEquationByFractions| |LinearSystemPolynomialPackage| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |ModMonic| |ModularField| |MonogenicAlgebra&| |MonomialExtensionTools| |MultipleMap| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonLinearSolvePackage| |NormalizationPackage| |NumberTheoreticPolynomialFunctions| |Numeric| |ODEIntegration| |Octonion| |OctonionCategory&| |OnePointCompletion| |OrderedCompletion| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrthogonalPolynomialFunctions| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PadeApproximantPackage| |PadeApproximants| |ParametricLinearEquations| |PartialFraction| |PartialFractionPackage| |PatternMatchIntegration| |Pi| |PiCoercions| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialAN2Expression| |PolynomialCategory&| |PolynomialCategoryQuotientFunctions| |PolynomialFactorizationByRecursionUnivariate| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialRoots| |PolynomialSolveByFormulas| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveRatDE| |PrimitiveRatRicDE| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |PureAlgebraicLODE| |QuasiAlgebraicSet2| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RadixUtilities| |RationalFactorize| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunctionIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalIntegration| |RationalInterpolation| |RationalLODE| |RationalRetractions| |RationalRicDE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReducedDivisor| |RetractSolvePackage| |RightOpenIntervalRootCharacterization| |RomanNumeral| |SequentialDifferentialPolynomial| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StructuralConstantsPackage| |SturmHabichtPackage| |SupFractionFactorizer| |SymmetricPolynomial| |SystemSolvePackage| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ToolsForSign| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TransSolvePackageService| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |TwoDimensionalPlotClipping| |UTSodetools| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesFunctions2| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |XExponentialPackage| |XPBWPolynomial| |ZeroDimensionalSolvePackage| |d01TransformFunctionType| |d01WeightsPackage| |d01aqfAnnaType| |d02AgentsPackage| |e04AgentsPackage| |e04ucfAnnaType|)
+(|AbelianMonoidRing&| |AlgFactor| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedFunctionSpace&| |Asp1| |Asp10| |Asp19| |Asp20| |Asp24| |Asp31| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp80| |Asp9| |BalancedPAdicRational| |BinaryExpansion| |BoundIntegerRoots| |ChangeOfVariable| |CoerceVectorMatrixPackage| |CombinatorialFunction| |Complex| |ComplexCategory&| |ComplexFactorization| |ComplexRootFindingPackage| |ContinuedFraction| |CycleIndicators| |CylindricalAlgebraicDecompositionPackage| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |DoubleFloat| |DoubleFloatSpecialFunctions| |DoubleResultantPackage| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EvaluateCycleIndicators| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |Factored| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FiniteDivisor| |FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionFunctions2| |FractionalIdeal| |FullPartialFractionExpansion| |FullyRetractableTo&| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GeneralDistributedMultivariatePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |Guess| |GuessInteger| |GuessPolynomial| |GuessUnivariatePolynomial| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |InfiniteProductFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerModularGcd| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |Integer| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |Interval| |InverseLaplaceTransform| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LieSquareMatrix| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearPolynomialEquationByFractions| |LinearSystemPolynomialPackage| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |ModMonic| |ModularField| |MonogenicAlgebra&| |MonomialExtensionTools| |MultipleMap| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonLinearSolvePackage| |NormalizationPackage| |NumberTheoreticPolynomialFunctions| |Numeric| |ODEIntegration| |Octonion| |OctonionCategory&| |OnePointCompletion| |OrderedCompletion| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrthogonalPolynomialFunctions| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PadeApproximantPackage| |PadeApproximants| |ParametricLinearEquations| |PartialFraction| |PartialFractionPackage| |PatternMatchIntegration| |Pi| |PiCoercions| |PlaneAlgebraicCurvePlot| |Plot| |Plot3D| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialAN2Expression| |PolynomialCategory&| |PolynomialCategoryQuotientFunctions| |PolynomialFactorizationByRecursionUnivariate| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialRoots| |PolynomialSolveByFormulas| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveRatDE| |PrimitiveRatRicDE| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |PureAlgebraicLODE| |QuasiAlgebraicSet2| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RadixUtilities| |RationalFactorize| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionFactorizer| |RationalFunctionIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalIntegration| |RationalInterpolation| |RationalLODE| |RationalRetractions| |RationalRicDE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReducedDivisor| |RetractSolvePackage| |RightOpenIntervalRootCharacterization| |RomanNumeral| |SequentialDifferentialPolynomial| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseEchelonMatrix| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StructuralConstantsPackage| |SturmHabichtPackage| |SupFractionFactorizer| |SymmetricPolynomial| |SystemSolvePackage| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ToolsForSign| |TopLevelDrawFunctionsForAlgebraicCurves| |TransSolvePackage| |TransSolvePackageService| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |TwoDimensionalPlotClipping| |UTSodetools| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesFunctions2| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |XExponentialPackage| |XPBWPolynomial| |ZeroDimensionalSolvePackage| |d01TransformFunctionType| |d01WeightsPackage| |d01aqfAnnaType| |d02AgentsPackage| |e04AgentsPackage| |e04ucfAnnaType|)
 (|FractionFreeFastGaussianFractions| |Guess|)
 (|Guess|)
 (|FiniteDivisor| |FiniteDivisorFunctions2| |FractionalIdealFunctions2| |FramedModule| |HyperellipticFiniteDivisor| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational|)
@@ -257,7 +257,7 @@
 (|ComplexTrigonometricManipulations| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |TrigonometricManipulations|)
 (|AssociationList| |BalancedPAdicRational| |BasicOperatorFunctions1| |BinaryExpansion| |Bits| |Boolean| |CharacterClass| |CommonOperators| |Complex| |ComplexCategory&| |ComplexDoubleFloatVector| |DataList| |DecimalExpansion| |DifferentialSparseMultivariatePolynomial| |DistributedMultivariatePolynomial| |DoubleFloat| |DoubleFloatVector| |EqTable| |ExponentialExpansion| |Export3D| |Expression| |Factored| |FlexibleArray| |Float| |FortranPackage| |FortranProgram| |Fraction| |FunctionSpace&| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GnuDraw| |HashTable| |HexadecimalExpansion| |HomogeneousDistributedMultivariatePolynomial| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerTable| |InputFormFunctions1| |Integer| |IntegerNumberSystem&| |Kernel| |KeyedAccessFile| |Library| |LiouvillianFunction| |List| |ListMultiDictionary| |MachineComplex| |MachineInteger| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |Matrix| |ModMonic| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OpenMathPackage| |OrderedVariableList| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |Pi| |Point| |Polynomial| |PolynomialCategory&| |PrimitiveArray| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadixExpansion| |RectangularMatrix| |RecursivePolynomialCategory&| |RegularChain| |RegularTriangularSet| |Result| |RomanNumeral| |RoutinesTable| |SequentialDifferentialPolynomial| |Set| |SingleInteger| |SparseMultivariatePolynomial| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SquareFreeRegularTriangularSet| |SquareMatrix| |Stream| |String| |StringTable| |Symbol| |SymbolTable| |Table| |TemplateUtilities| |TopLevelDrawFunctions| |U16Vector| |U32Vector| |U8Vector| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |Vector| |WuWenTsunTriangularSet|)
 (|FunctionSpace&|)
-(|AbelianGroup&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgFactor| |Algebra&| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |ArrayStack| |Asp10| |Asp19| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp55| |Asp73| |Asp74| |Asp77| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |Bezier| |BezoutMatrix| |BinaryExpansion| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlasLevelOne| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Color| |CombinatorialFunction| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ContinuedFraction| |CoordinateSystems| |CycleIndicators| |CyclotomicPolynomialPackage| |DataList| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |EigenPackage| |ElementaryFunction| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |Equation| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtensibleLinearAggregate&| |Factored| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FloatingPointSystem&| |FortranCode| |FortranExpression| |FortranProgram| |FortranTemplate| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FractionalIdealFunctions2| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyRetractableTo&| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GnuDraw| |GosperSummationMethod| |GraphImage| |GraphicsDefaults| |GrayCode| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Group&| |Guess| |GuessFinite| |GuessFiniteFunctions| |HTMLFormat| |HallBasis| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperbolicFunctionCategory&| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteProductCharacteristicZero| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InfinitlyClosePoint| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerBits| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRetractions| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |KeyedAccessFile| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazyStreamAggregate&| |LeadingCoefDetermination| |LeftAlgebra&| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorsOps| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListAggregate&| |ListMonoidOps| |ListToMap| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |MakeFloatCompiledFunction| |MappingPackage1| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MatrixManipulation| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonAssociativeRing&| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericContinuedFraction| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedRing&| |OrderedVariableList| |OrderingFunctions| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |ParametrizationPackage| |PartialFraction| |Partition| |PartitionsAndPermutations| |Pattern| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchPolynomialCategory| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |PiCoercions| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointPackage| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialCategory&| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSolveByFormulas| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |QuadraticForm| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RadixUtilities| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RandomNumberSource| |RationalFactorize| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalInterpolation| |RationalLODE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReduceLODE| |ReductionOfOrder| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RightOpenIntervalRootCharacterization| |Ring&| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleCell| |SingleInteger| |SmithNormalForm| |SortPackage| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |StochasticDifferential| |Stream| |StreamAggregate&| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StructuralConstantsPackage| |SturmHabichtPackage| |SubSpace| |Symbol| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TaylorSolve| |TemplateUtilities| |TexFormat| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalFunctionCategory&| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularMatrixOperations| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U32VectorPolynomialOperations| |U8Matrix| |U8Vector| |UTSodetools| |UnaryRecursiveAggregate&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesFunctions2| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |Vector| |VectorCategory&| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AbelianGroup&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgFactor| |Algebra&| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |ArrayStack| |Asp10| |Asp19| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp55| |Asp73| |Asp74| |Asp77| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |Bezier| |BezoutMatrix| |BinaryExpansion| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlasLevelOne| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CardinalNumber| |CartesianTensor| |ChangeOfVariable| |Character| |CharacterClass| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Color| |CombinatorialFunction| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ContinuedFraction| |CoordinateSystems| |CycleIndicators| |CyclotomicPolynomialPackage| |DataList| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |EigenPackage| |ElementaryFunction| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |Equation| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtensibleLinearAggregate&| |Factored| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregate&| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FloatingPointSystem&| |FortranCode| |FortranExpression| |FortranProgram| |FortranTemplate| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FractionalIdealFunctions2| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyRetractableTo&| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GnuDraw| |GosperSummationMethod| |GraphImage| |GraphicsDefaults| |GrayCode| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Group&| |Guess| |GuessFinite| |GuessFiniteFunctions| |HTMLFormat| |HallBasis| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperbolicFunctionCategory&| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfiniteProductCharacteristicZero| |InfiniteProductFiniteField| |InfiniteProductPrimeField| |InfinitlyClosePoint| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerBits| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRetractions| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |KeyedAccessFile| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazyStreamAggregate&| |LeadingCoefDetermination| |LeftAlgebra&| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorsOps| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListAggregate&| |ListMonoidOps| |ListToMap| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |MakeFloatCompiledFunction| |MappingPackage1| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MatrixManipulation| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonAssociativeRing&| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericContinuedFraction| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathServerPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedRing&| |OrderedVariableList| |OrderingFunctions| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |ParametrizationPackage| |PartialFraction| |Partition| |PartitionsAndPermutations| |Pattern| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchPolynomialCategory| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |PiCoercions| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointPackage| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialCategory&| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSolveByFormulas| |PowerSeriesCategory&| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |QuadraticForm| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RadixUtilities| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RandomNumberSource| |RationalFactorize| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalInterpolation| |RationalLODE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReduceLODE| |ReductionOfOrder| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RightOpenIntervalRootCharacterization| |Ring&| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleCell| |SingleInteger| |SmithNormalForm| |SortPackage| |SparseEchelonMatrix| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |StochasticDifferential| |Stream| |StreamAggregate&| |StreamInfiniteProduct| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StructuralConstantsPackage| |SturmHabichtPackage| |SubSpace| |Symbol| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TaylorSolve| |TemplateUtilities| |TexFormat| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalFunctionCategory&| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularMatrixOperations| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U32VectorPolynomialOperations| |U8Matrix| |U8Vector| |UTSodetools| |UnaryRecursiveAggregate&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariateLaurentSeriesFunctions2| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |Vector| |VectorCategory&| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|RandomIntegerDistributions|)
 (|ComplexRootFindingPackage| |GaloisGroupUtilities| |Guess| |IntegerNumberSystem&| |IrrRepSymNatPackage| |MultivariateLifting| |RepresentationPackage1| |SetOfMIntegersInOneToN| |SymmetricGroupCombinatoricFunctions|)
 (|CyclotomicPolynomialPackage| |Factored| |GaussianFactorizationPackage| |IntegerNumberSystem&| |NumberFieldIntegralBasis|)
@@ -304,7 +304,7 @@
 (|SystemSolvePackage|)
 (|InterpolateFormsPackage| |LinearSystemFromPowerSeriesPackage|)
 (|Expression| |PowerSeriesLimitPackage|)
-(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |Any| |ApplicationProgramInterface| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttachPredicates| |AttributeButtons| |AxiomServer| |BagAggregate&| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |Bezier| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlasLevelOne| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |BoundIntegerRoots| |CRApackage| |CardinalNumber| |CartesianTensor| |CartesianTensorFunctions2| |Cell| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |CoerceVectorMatrixPackage| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclotomicPolynomialPackage| |CylindricalAlgebraicDecompositionPackage| |CylindricalAlgebraicDecompositionUtilities| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DictionaryOperations&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DisplayPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |DrawOptionFunctions1| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |ErrorFunctions| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Evalable&| |EvaluateCycleIndicators| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExpertSystemToolsPackage2| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |FGLMIfCanPackage| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |Finite&| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregateFunctions2| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FiniteSetAggregateFunctions2| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyEvalableOver&| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GnuDraw| |GosperSummationMethod| |GraphImage| |Graphviz| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Guess| |GuessAlgebraicNumber| |GuessFinite| |GuessInteger| |GuessOption| |GuessOptionFunctions0| |GuessPolynomial| |GuessUnivariatePolynomial| |HTMLFormat| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductObject| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerEvalable&| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegrationFunctionsTable| |IntegrationResult| |IntegrationResultFunctions2| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |Kernel| |KernelFunctions2| |KeyedAccessFile| |KeyedDictionary&| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListFunctions2| |ListFunctions3| |ListMonoidOps| |ListMultiDictionary| |ListToMap| |LocalParametrizationOfSimplePointPackage| |LyndonWord| |MPolyCatFunctions2| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |MappingPackage1| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCommonDenominator| |MatrixLinearAlgebraFunctions| |MatrixManipulation| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonoidRingFunctions2| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NormRetractPackage| |NormalizationPackage| |NumberFieldIntegralBasis| |NumberFormats| |NumericComplexEigenPackage| |NumericRealEigenPackage| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODEIntensityFunctionsTable| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathError| |OpenMathPackage| |OppositeMonogenicLinearOperator| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximants| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |ParametrizationPackage| |PartialDifferentialRing&| |PartialFraction| |PartialFractionPackage| |Partition| |PartitionsAndPermutations| |Pattern| |PatternFunctions1| |PatternFunctions2| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchTools| |PendantTree| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PolyGroebner| |Polynomial| |PolynomialCategory&| |PolynomialCategoryQuotientFunctions| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolation| |PolynomialInterpolationAlgorithms| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RationalFactorize| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionIntegration| |RationalFunctionSign| |RationalIntegration| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RecurrenceOperator| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetAggregate&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleCell| |SimpleFortranProgram| |SingleInteger| |SmithNormalForm| |SortedCache| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |Stream| |StreamAggregate&| |StreamFunctions2| |StreamTaylorSeriesOperations| |StreamTensor| |StreamTranscendentalFunctions| |String| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TaylorSolve| |TexFormat| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U32VectorPolynomialOperations| |U8Matrix| |U8Vector| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePowerSeriesCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |VectorCategory&| |VectorFunctions2| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicManipulations| |AlgebraicMultFact| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |Any| |ApplicationProgramInterface| |ApplyRules| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttachPredicates| |AttributeButtons| |AxiomServer| |BagAggregate&| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |Bezier| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlasLevelOne| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |BoundIntegerRoots| |CRApackage| |CardinalNumber| |CartesianTensor| |CartesianTensorFunctions2| |Cell| |Character| |CharacterClass| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |CoerceVectorMatrixPackage| |Collection&| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexRootFindingPackage| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |ContinuedFraction| |CycleIndicators| |CyclotomicPolynomialPackage| |CylindricalAlgebraicDecompositionPackage| |CylindricalAlgebraicDecompositionUtilities| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DictionaryOperations&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DisplayPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |DrawOptionFunctions1| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |EllipticFunctionsUnivariateTaylorSeries| |EqTable| |Equation| |ErrorFunctions| |EuclideanDomain&| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Evalable&| |EvaluateCycleIndicators| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage1| |ExpertSystemToolsPackage2| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceFunctions2| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |ExtAlgBasis| |ExtensibleLinearAggregate&| |FGLMIfCanPackage| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoredFunctions2| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |Finite&| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregateFunctions2| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FiniteSetAggregateFunctions2| |FlexibleArray| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FullyEvalableOver&| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GnuDraw| |GosperSummationMethod| |GraphImage| |Graphviz| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |GroebnerSolve| |Guess| |GuessAlgebraicNumber| |GuessFinite| |GuessInteger| |GuessOption| |GuessOptionFunctions0| |GuessPolynomial| |GuessUnivariatePolynomial| |HTMLFormat| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedAggregate&| |IndexedBits| |IndexedDirectProductObject| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerEvalable&| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerMatrixQuotientFieldFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegrationFunctionsTable| |IntegrationResult| |IntegrationResultFunctions2| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |Kernel| |KernelFunctions2| |KeyedAccessFile| |KeyedDictionary&| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazardSetSolvingPackage| |LazyStreamAggregate&| |LeadingCoefDetermination| |LexTriangularPackage| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |LiouvillianFunction| |List| |ListFunctions2| |ListFunctions3| |ListMonoidOps| |ListMultiDictionary| |ListToMap| |LocalParametrizationOfSimplePointPackage| |LyndonWord| |MPolyCatFunctions2| |MPolyCatPolyFactorizer| |MPolyCatRationalFunctionFactorizer| |MRationalFactorize| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |MappingPackage1| |MathMLFormat| |Matrix| |MatrixCategory&| |MatrixCommonDenominator| |MatrixLinearAlgebraFunctions| |MatrixManipulation| |MergeThing| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModuleOperator| |MoebiusTransform| |MonogenicAlgebra&| |MonoidRing| |MonoidRingFunctions2| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NormRetractPackage| |NormalizationPackage| |NumberFieldIntegralBasis| |NumberFormats| |NumericComplexEigenPackage| |NumericRealEigenPackage| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntegration| |ODEIntensityFunctionsTable| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathError| |OpenMathPackage| |OppositeMonogenicLinearOperator| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximants| |Palette| |ParadoxicalCombinatorsForStreams| |ParametricLinearEquations| |ParametrizationPackage| |PartialDifferentialRing&| |PartialFraction| |PartialFractionPackage| |Partition| |PartitionsAndPermutations| |Pattern| |PatternFunctions1| |PatternFunctions2| |PatternMatch| |PatternMatchFunctionSpace| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPolynomialCategory| |PatternMatchPushDown| |PatternMatchResult| |PatternMatchResultFunctions2| |PatternMatchTools| |PendantTree| |Permutation| |PermutationGroup| |PermutationGroupExamples| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PlotTools| |PoincareBirkhoffWittLyndonBasis| |Point| |PointFunctions2| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |PolyGroebner| |Polynomial| |PolynomialCategory&| |PolynomialCategoryQuotientFunctions| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialFactorizationExplicit&| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolation| |PolynomialInterpolationAlgorithms| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetCategory&| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PowerSeriesLimitPackage| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet| |QuasiAlgebraicSet2| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RationalFactorize| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionIntegration| |RationalFunctionSign| |RationalIntegration| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealSolvePackage| |RealZeroPackage| |RealZeroPackageQ| |RectangularMatrix| |RecurrenceOperator| |RecursiveAggregate&| |RecursivePolynomialCategory&| |ReductionOfOrder| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentFunctions2| |SequentialDifferentialPolynomial| |Set| |SetAggregate&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleCell| |SimpleFortranProgram| |SingleInteger| |SmithNormalForm| |SortedCache| |SparseEchelonMatrix| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |Stream| |StreamAggregate&| |StreamFunctions2| |StreamTaylorSeriesOperations| |StreamTensor| |StreamTranscendentalFunctions| |String| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |SubSpaceComponentProperty| |SupFractionFactorizer| |Switch| |Symbol| |SymbolTable| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TableauxBumpers| |TangentExpansions| |TaylorSeries| |TaylorSolve| |TexFormat| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TopLevelDrawFunctionsForPoints| |TransSolvePackage| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDESystem| |Tree| |TriangularSetCategory&| |TrigonometricManipulations| |TubePlot| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U32VectorPolynomialOperations| |U8Matrix| |U8Vector| |UnaryRecursiveAggregate&| |UniqueFactorizationDomain&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCommonDenominator| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePowerSeriesCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |UniversalSegment| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |VectorCategory&| |VectorFunctions2| |ViewDefaultsPackage| |ViewportPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|AlgebraPackage| |Asp19| |Asp55| |DirichletRing| |ElementaryFunctionSign| |FiniteSetAggregateFunctions2| |FramedNonAssociativeAlgebra&| |GaloisGroupFactorizer| |GenericNonAssociativeAlgebra| |Guess| |LieSquareMatrix| |MatrixCommonDenominator| |MatrixManipulation| |PAdicWildFunctionFieldIntegralBasis| |PermutationGroupExamples| |RealSolvePackage| |TaylorSolve| |ThreeSpace| |TwoDimensionalPlotClipping| |UnivariateTaylorSeriesODESolver|)
 (|FreeGroup| |FreeMonoid| |InnerFreeAbelianMonoid|)
 (|IntegerFactorizationPackage|)
@@ -329,7 +329,7 @@
 (|MappingPackage1|)
 (|MappingPackage2|)
 (|MappingPackage3|)
-(|AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicNumber| |AnnaNumericalOptimizationPackage| |AnnaPartialDifferentialEquationPackage| |Asp19| |Asp20| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp41| |Asp42| |Asp55| |Asp74| |Asp77| |Asp80| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |BalancedPAdicRational| |BinaryExpansion| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |CoerceVectorMatrixPackage| |Complex| |ComplexCategory&| |ComplexDoubleFloatVector| |CycleIndicators| |DecimalExpansion| |DenavitHartenbergMatrix| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DistributedMultivariatePolynomial| |DoubleFloatVector| |EigenPackage| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage2| |ExponentialExpansion| |Expression| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FortranCode| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FullyLinearlyExplicitRingOver&| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |GeneralDistributedMultivariatePolynomial| |GenericNonAssociativeAlgebra| |GosperSummationMethod| |Guess| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |IndexedVector| |InnerAlgebraicNumber| |InnerFiniteField| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerPrimeField| |Integer| |IntegralBasisPolynomialTools| |IntegralBasisTools| |InterpolateFormsPackage| |IrrRepSymNatPackage| |LieSquareMatrix| |LinGroebnerPackage| |LinearDependence| |LinearOrdinaryDifferentialOperatorsOps| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |MachineComplex| |MachineInteger| |Matrix| |MatrixCommonDenominator| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularHermitianRowReduction| |MonogenicAlgebra&| |MultiVariableCalculusFunctions| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NumberFieldIntegralBasis| |NumericComplexEigenPackage| |NumericRealEigenPackage| |ODETools| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |ParametricLinearEquations| |Point| |Polynomial| |PolynomialCategory&| |PolynomialFactorizationExplicit&| |PrecomputedAssociatedEquations| |PrimeField| |PseudoAlgebraicClosureOfFiniteField| |PseudoLinearNormalForm| |PureAlgebraicLODE| |Quaternion| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadixExpansion| |RationalInterpolation| |RationalLODE| |RectangularMatrix| |RectangularMatrixCategoryFunctions2| |ReduceLODE| |RepresentationPackage1| |RepresentationPackage2| |RomanNumeral| |SequentialDifferentialPolynomial| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StorageEfficientMatrixOperations| |StructuralConstantsPackage| |SymmetricGroupCombinatoricFunctions| |SystemODESolver| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalRischDESystem| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |Vector| |VectorCategory&| |WildFunctionFieldIntegralBasis| |d01alfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicNumber| |AnnaNumericalOptimizationPackage| |AnnaPartialDifferentialEquationPackage| |Asp19| |Asp20| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp41| |Asp42| |Asp55| |Asp74| |Asp77| |Asp80| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |BalancedPAdicRational| |BinaryExpansion| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |CoerceVectorMatrixPackage| |Complex| |ComplexCategory&| |ComplexDoubleFloatVector| |CycleIndicators| |DecimalExpansion| |DenavitHartenbergMatrix| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DistributedMultivariatePolynomial| |DoubleFloatVector| |EigenPackage| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ExpertSystemToolsPackage| |ExpertSystemToolsPackage2| |ExponentialExpansion| |Expression| |FiniteAlgebraicExtensionField&| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FortranCode| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FullyLinearlyExplicitRingOver&| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |GeneralDistributedMultivariatePolynomial| |GenericNonAssociativeAlgebra| |GosperSummationMethod| |Guess| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |IndexedVector| |InnerAlgebraicNumber| |InnerFiniteField| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerPrimeField| |Integer| |IntegralBasisPolynomialTools| |IntegralBasisTools| |InterpolateFormsPackage| |IrrRepSymNatPackage| |LieSquareMatrix| |LinGroebnerPackage| |LinearDependence| |LinearOrdinaryDifferentialOperatorsOps| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |MachineComplex| |MachineInteger| |Matrix| |MatrixCommonDenominator| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularHermitianRowReduction| |MonogenicAlgebra&| |MultiVariableCalculusFunctions| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NumberFieldIntegralBasis| |NumericComplexEigenPackage| |NumericRealEigenPackage| |ODETools| |OrderedDirectProduct| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |ParametricLinearEquations| |Point| |Polynomial| |PolynomialCategory&| |PolynomialFactorizationExplicit&| |PrecomputedAssociatedEquations| |PrimeField| |PseudoAlgebraicClosureOfFiniteField| |PseudoLinearNormalForm| |PureAlgebraicLODE| |Quaternion| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadixExpansion| |RationalInterpolation| |RationalLODE| |RectangularMatrix| |RectangularMatrixCategoryFunctions2| |ReduceLODE| |RepresentationPackage1| |RepresentationPackage2| |RomanNumeral| |SequentialDifferentialPolynomial| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseEchelonMatrix| |SparseMultivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StorageEfficientMatrixOperations| |StructuralConstantsPackage| |SymmetricGroupCombinatoricFunctions| |SystemODESolver| |TransSolvePackageService| |TranscendentalIntegration| |TranscendentalRischDESystem| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |Vector| |VectorCategory&| |WildFunctionFieldIntegralBasis| |d01alfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|AlgebraicHermiteIntegration| |Asp19| |Asp20| |Asp31| |Asp35| |Asp41| |Asp42| |Asp74| |Asp77| |Asp80| |CoerceVectorMatrixPackage| |ComplexCategory&| |FractionalIdeal| |FramedAlgebra&| |FunctionFieldCategory&| |InnerMatrixQuotientFieldFunctions| |LinearDependence| |MatrixCommonDenominator| |MatrixLinearAlgebraFunctions| |ReduceLODE| |SimpleAlgebraicExtension| |SmithNormalForm|)
 (|AlgebraicFunctionField| |FractionalIdeal| |FramedModule| |FunctionFieldCategory&| |QuotientFieldCategory&|)
 (|IndexedMatrix| |Matrix|)
@@ -369,7 +369,7 @@
 (|BlowUpPackage|)
 (|ElementaryFunctionODESolver|)
 (|RationalRicDE|)
-(|AbelianGroup&| |AbelianMonoid&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Aggregate&| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |ApplyUnivariateSkewPolynomial| |ArrayStack| |Asp19| |Asp20| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp41| |Asp42| |Asp55| |Asp74| |Asp77| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |Automorphism| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicOperator| |BasicOperatorFunctions1| |BezoutMatrix| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |BinaryTreeCategory&| |Bits| |BlowUpPackage| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CRApackage| |CardinalNumber| |CartesianTensor| |Cell| |ChangeOfVariable| |Character| |CharacterClass| |CharacteristicPolynomialInMonogenicalAlgebra| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Collection&| |CommonOperators| |CommuteUnivariatePolynomialCategory| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPatternMatch| |ComplexRootFindingPackage| |ConstantLODE| |ContinuedFraction| |CoordinateSystems| |CyclicStreamTools| |CyclotomicPolynomialPackage| |CylindricalAlgebraicDecompositionPackage| |CylindricalAlgebraicDecompositionUtilities| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialRing&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DoubleResultantPackage| |DrawComplex| |EigenPackage| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |EuclideanDomain&| |EuclideanModularRing| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |ExtAlgBasis| |ExtensibleLinearAggregate&| |ExtensionField&| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |FieldOfPrimeCharacteristic&| |FindOrderFinite| |Finite&| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GrayCode| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerSolve| |Group&| |Guess| |GuessOption| |GuessOptionFunctions0| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteProductFiniteField| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |IrredPolyOverFiniteField| |Kernel| |KernelFunctions2| |KeyedAccessFile| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazyStreamAggregate&| |LeadingCoefDetermination| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |List| |ListAggregate&| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |MakeCachableSet| |MappingPackage1| |MappingPackageInternalHacks1| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MatrixManipulation| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |MonadWithUnit&| |MonogenicAlgebra&| |Monoid&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonCommutativeOperatorDivision| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NormInMonogenicAlgebra| |NormRetractPackage| |NormalizationPackage| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |Operator| |OppositeMonogenicLinearOperator| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximantPackage| |PadeApproximants| |ParametricLinearEquations| |ParametricPlaneCurve| |ParametricPlaneCurveFunctions2| |ParametricSpaceCurve| |ParametricSpaceCurveFunctions2| |ParametricSurface| |ParametricSurfaceFunctions2| |ParametrizationPackage| |PartialDifferentialRing&| |PartialFraction| |Partition| |Pattern| |PatternFunctions2| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchPushDown| |PatternMatchTools| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |Pi| |PlaneAlgebraicCurvePlot| |PoincareBirkhoffWittLyndonBasis| |Point| |PointPackage| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolationAlgorithms| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory&| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReduceLODE| |ReducedDivisor| |ReductionOfOrder| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |SExpressionOf| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SortPackage| |SortedCache| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |StorageEfficientMatrixOperations| |Stream| |StreamAggregate&| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |String| |StringAggregate&| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |Symbol| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TabulatedComputationPackage| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularMatrixOperations| |TriangularSetCategory&| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U32VectorPolynomialOperations| |U8Matrix| |U8Vector| |UTSodetools| |UnaryRecursiveAggregate&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |Vector| |VectorCategory&| |ViewDefaultsPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01aqfAnnaType| |d01fcfAnnaType| |d02AgentsPackage| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AbelianGroup&| |AbelianMonoid&| |AbelianMonoidRing&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Aggregate&| |AlgFactor| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |ApplyUnivariateSkewPolynomial| |ArrayStack| |Asp19| |Asp20| |Asp27| |Asp28| |Asp30| |Asp31| |Asp34| |Asp35| |Asp41| |Asp42| |Asp55| |Asp74| |Asp77| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |Automorphism| |BalancedBinaryTree| |BalancedFactorisation| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicOperator| |BasicOperatorFunctions1| |BezoutMatrix| |BinaryExpansion| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |BinaryTreeCategory&| |Bits| |BlowUpPackage| |Boolean| |BoundIntegerRoots| |BrillhartTests| |CRApackage| |CardinalNumber| |CartesianTensor| |Cell| |ChangeOfVariable| |Character| |CharacterClass| |CharacteristicPolynomialInMonogenicalAlgebra| |CharacteristicPolynomialPackage| |ChineseRemainderToolsForIntegralBases| |CliffordAlgebra| |Collection&| |CommonOperators| |CommuteUnivariatePolynomialCategory| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexFactorization| |ComplexIntegerSolveLinearPolynomialEquation| |ComplexPatternMatch| |ComplexRootFindingPackage| |ConstantLODE| |ContinuedFraction| |CoordinateSystems| |CyclicStreamTools| |CyclotomicPolynomialPackage| |CylindricalAlgebraicDecompositionPackage| |CylindricalAlgebraicDecompositionUtilities| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |Dictionary&| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialRing&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatSpecialFunctions| |DoubleFloatVector| |DoubleResultantPackage| |DrawComplex| |EigenPackage| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |EuclideanDomain&| |EuclideanModularRing| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToUnivariatePowerSeries| |ExtAlgBasis| |ExtensibleLinearAggregate&| |ExtensionField&| |Factored| |FactoredFunctionUtilities| |FactoredFunctions| |FactoringUtilities| |FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber| |FactorisationOverPseudoAlgebraicClosureOfRationalNumber| |Field&| |FieldOfPrimeCharacteristic&| |FindOrderFinite| |Finite&| |FiniteAbelianMonoidRing&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFactorization| |FiniteFieldFactorizationWithSizeParseBySideEffect| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteFieldSquareFreeDecomposition| |FiniteLinearAggregateFunctions2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GcdDomain&| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialGcdPackage| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GosperSummationMethod| |GraphImage| |GrayCode| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerSolve| |Group&| |Guess| |GuessOption| |GuessOptionFunctions0| |HallBasis| |HashTable| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteProductFiniteField| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgFactor| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerMatrixLinearAlgebraFunctions| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerNumericFloatSolvePackage| |InnerPAdicInteger| |InnerPolySign| |InnerPolySum| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegerSolveLinearPolynomialEquation| |IntegralBasisPolynomialTools| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InterfaceGroebnerPackage| |InternalRationalUnivariateRepresentationPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrrRepSymNatPackage| |IrredPolyOverFiniteField| |Kernel| |KernelFunctions2| |KeyedAccessFile| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LazyStreamAggregate&| |LeadingCoefDetermination| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinGroebnerPackage| |LinearAggregate&| |LinearDependence| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorCategory&| |LinearOrdinaryDifferentialOperatorFactorizer| |LinearOrdinaryDifferentialOperatorsOps| |LinearPolynomialEquationByFractions| |LinearSystemFromPowerSeriesPackage| |LinearSystemMatrixPackage| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |List| |ListAggregate&| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MPolyCatFunctions2| |MPolyCatFunctions3| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MachineFloat| |MachineInteger| |MakeCachableSet| |MappingPackage1| |MappingPackageInternalHacks1| |Matrix| |MatrixCategory&| |MatrixCategoryFunctions2| |MatrixLinearAlgebraFunctions| |MatrixManipulation| |ModMonic| |ModularDistinctDegreeFactorizer| |ModularField| |ModularHermitianRowReduction| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |MonadWithUnit&| |MonogenicAlgebra&| |Monoid&| |MonoidRing| |MonomialExtensionTools| |MultFiniteFactorize| |MultiVariableCalculusFunctions| |Multiset| |MultivariateLifting| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NPCoef| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NewtonInterpolation| |NewtonPolygon| |NonCommutativeOperatorDivision| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NormInMonogenicAlgebra| |NormRetractPackage| |NormalizationPackage| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |NumberTheoreticPolynomialFunctions| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODETools| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |Operator| |OppositeMonogenicLinearOperator| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |PadeApproximantPackage| |PadeApproximants| |ParametricLinearEquations| |ParametricPlaneCurve| |ParametricPlaneCurveFunctions2| |ParametricSpaceCurve| |ParametricSpaceCurveFunctions2| |ParametricSurface| |ParametricSurfaceFunctions2| |ParametrizationPackage| |PartialDifferentialRing&| |PartialFraction| |Partition| |Pattern| |PatternFunctions2| |PatternMatchIntegerNumberSystem| |PatternMatchIntegration| |PatternMatchPushDown| |PatternMatchTools| |PendantTree| |Permanent| |Permutation| |PermutationGroup| |Pi| |PlaneAlgebraicCurvePlot| |PoincareBirkhoffWittLyndonBasis| |Point| |PointPackage| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |Polynomial| |PolynomialCategory&| |PolynomialCategoryLifting| |PolynomialComposition| |PolynomialDecomposition| |PolynomialFactorizationByRecursion| |PolynomialFactorizationByRecursionUnivariate| |PolynomialGcdPackage| |PolynomialIdeals| |PolynomialInterpolationAlgorithms| |PolynomialNumberTheoryFunctions| |PolynomialPackageForCurve| |PolynomialRing| |PolynomialRoots| |PolynomialSetUtilitiesPackage| |PolynomialSolveByFormulas| |PolynomialSquareFree| |PositiveInteger| |PowerSeriesCategory&| |PrecomputedAssociatedEquations| |PrimeField| |PrimitiveArray| |PrimitiveElement| |PrimitiveRatDE| |PrimitiveRatRicDE| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicIntegration| |PushVariables| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |Queue| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomDistributions| |RandomFloatDistributions| |RandomIntegerDistributions| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealPolynomialUtilitiesPackage| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RectangularMatrixCategory&| |RectangularMatrixCategoryFunctions2| |RecurrenceOperator| |RecursivePolynomialCategory&| |ReduceLODE| |ReducedDivisor| |ReductionOfOrder| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |RegularTriangularSetGcdPackage| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RetractSolvePackage| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RootsFindingPackage| |RoutinesTable| |SExpressionOf| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SortPackage| |SortedCache| |SparseEchelonMatrix| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |StorageEfficientMatrixOperations| |Stream| |StreamAggregate&| |StreamTaylorSeriesOperations| |StreamTranscendentalFunctions| |String| |StringAggregate&| |StringTable| |StructuralConstantsPackage| |SturmHabichtPackage| |SubResultantPackage| |SubSpace| |Symbol| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SymmetricPolynomial| |SystemODESolver| |SystemSolvePackage| |Table| |TableAggregate&| |Tableau| |TabulatedComputationPackage| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalHermiteIntegration| |TranscendentalIntegration| |TranscendentalManipulations| |TranscendentalRischDE| |TranscendentalRischDESystem| |Tree| |TriangularMatrixOperations| |TriangularSetCategory&| |TubePlotTools| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U32VectorPolynomialOperations| |U8Matrix| |U8Vector| |UTSodetools| |UnaryRecursiveAggregate&| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePolynomialCategoryFunctions2| |UnivariatePolynomialDecompositionPackage| |UnivariatePolynomialDivisionPackage| |UnivariatePolynomialMultiplicationPackage| |UnivariatePolynomialSquareFree| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateSkewPolynomialCategoryOps| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |Vector| |VectorCategory&| |ViewDefaultsPackage| |WeierstrassPreparation| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XExponentialPackage| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01aqfAnnaType| |d01fcfAnnaType| |d02AgentsPackage| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|AlgebraicFunction| |Any| |AnyFunctions1| |BasicOperator| |BasicOperatorFunctions1| |CombinatorialFunction| |CommonOperators| |FunctionSpace&| |FunctionSpaceAttachPredicates| |FunctionalSpecialFunction| |LaplaceTransform| |LiouvillianFunction| |ModuleOperator| |NoneFunctions1| |RecurrenceOperator|)
 (|AnyFunctions1| |ModuleOperator|)
 (|InternalRationalUnivariateRepresentationPackage| |LazardSetSolvingPackage| |LexTriangularPackage| |RationalUnivariateRepresentationPackage| |ZeroDimensionalSolvePackage|)
@@ -400,7 +400,7 @@
 (|AffineAlgebraicSetComputeWithGroebnerBasis| |DesingTreePackage| |DistributedMultivariatePolynomial| |FGLMIfCanPackage| |GeneralDistributedMultivariatePolynomial| |GroebnerSolve| |Guess| |HomogeneousDistributedMultivariatePolynomial| |IdealDecompositionPackage| |InterpolateFormsPackage| |LexTriangularPackage| |LinGroebnerPackage| |LocalParametrizationOfSimplePointPackage| |MultivariatePolynomial| |PolToPol| |ProjectiveAlgebraicSetPackage| |QuasiAlgebraicSet2| |RationalUnivariateRepresentationPackage| |RegularChain| |ZeroDimensionalSolvePackage|)
 (|FullPartialFractionExpansion|)
 (|FullPartialFractionExpansion| |LinearOrdinaryDifferentialOperatorsOps| |OrderlyDifferentialPolynomial|)
-(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Algebra&| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BinaryExpansion| |BinaryFile| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CRApackage| |CardinalNumber| |CartesianTensor| |Cell| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |DictionaryOperations&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawOption| |ElementaryFunctionODESolver| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |EqTable| |Equation| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionToOpenMath| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionSpace&| |GaloisGroupFactorizationUtilities| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteTuple| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InputForm| |Integer| |IntegerMod| |IntegrationResult| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Interval| |Kernel| |KeyedAccessFile| |LaurentPolynomial| |LeftAlgebra&| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MathMLFormat| |Matrix| |MatrixCategory&| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonAssociativeRing&| |NonNegativeInteger| |None| |NormalizationPackage| |NottinghamGroup| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |PartialFraction| |Partition| |Pattern| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PrimeField| |PrimitiveArray| |PrintPackage| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuadraticForm| |QuasiAlgebraicSet| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |QuotientFieldCategory&| |RadicalFunctionField| |RadixExpansion| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealZeroPackage| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularTriangularSet| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |Ring&| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |ScriptFormulaFormat1| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleCell| |SimpleFortranProgram| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |TableAggregate&| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TaylorSolve| |TexFormat| |TexFormat1| |TextFile| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctionsForCompiledFunctions| |Tree| |TriangularSetCategory&| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalViewport| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Matrix| |U8Vector| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UniversalSegment| |Variable| |Vector| |Void| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |Algebra&| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicNumber| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BinaryExpansion| |BinaryFile| |BinaryRecursiveAggregate&| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpPackage| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CRApackage| |CardinalNumber| |CartesianTensor| |Cell| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DesingTreePackage| |DictionaryOperations&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DifferentialVariableCategory&| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawOption| |ElementaryFunctionODESolver| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |EqTable| |Equation| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionToOpenMath| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionSpace&| |GaloisGroupFactorizationUtilities| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GraphImage| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousAggregate&| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfiniteTuple| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InputForm| |Integer| |IntegerMod| |IntegrationResult| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Interval| |Kernel| |KeyedAccessFile| |LaurentPolynomial| |LeftAlgebra&| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MathMLFormat| |Matrix| |MatrixCategory&| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonAssociativeRing&| |NonNegativeInteger| |None| |NormalizationPackage| |NottinghamGroup| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OnePointCompletion| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |PartialFraction| |Partition| |Pattern| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PrimeField| |PrimitiveArray| |PrintPackage| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuadraticForm| |QuasiAlgebraicSet| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |QuotientFieldCategory&| |RadicalFunctionField| |RadixExpansion| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |RealClosedField&| |RealClosure| |RealNumberSystem&| |RealZeroPackage| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularTriangularSet| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |Ring&| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |ScriptFormulaFormat1| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SimpleCell| |SimpleFortranProgram| |SingleInteger| |SingletonAsOrderedSet| |SparseEchelonMatrix| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeRegularTriangularSet| |SquareMatrix| |SquareMatrixCategory&| |Stack| |StochasticDifferential| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringAggregate&| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |TableAggregate&| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TaylorSolve| |TexFormat| |TexFormat1| |TextFile| |TheSymbolTable| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |TopLevelDrawFunctionsForCompiledFunctions| |Tree| |TriangularSetCategory&| |Tuple| |TwoDimensionalArray| |TwoDimensionalArrayCategory&| |TwoDimensionalViewport| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Matrix| |U8Vector| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UniversalSegment| |Variable| |Vector| |Void| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|DirichletRing| |GenUFactorize| |Guess| |IndexCard| |InternalRationalUnivariateRepresentationPackage| |NormalizationPackage| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |SparseUnivariatePolynomialExpressions| |TabulatedComputationPackage| |TaylorSolve| |ZeroDimensionalSolvePackage|)
 (|PAdicRational|)
 (|BalancedPAdicRational| |PAdicRational|)
@@ -463,7 +463,7 @@
 (|InternalRationalUnivariateRepresentationPackage| |LazardSetSolvingPackage| |QuasiComponentPackage| |RationalUnivariateRepresentationPackage| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetCategory&| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |WuWenTsunTriangularSet| |ZeroDimensionalSolvePackage|)
 (|RadicalSolvePackage|)
 (|PolynomialCategory&|)
-(|AbelianGroup&| |AbelianMonoid&| |AbelianMonoidRing&| |AbelianSemiGroup&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |Asp19| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AttributeButtons| |Automorphism| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |Bezier| |BinaryExpansion| |BlowUpPackage| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |Complex| |ComplexCategory&| |ComplexRootFindingPackage| |ConstantLODE| |ContinuedFraction| |CoordinateSystems| |CycleIndicators| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DesingTreePackage| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatSpecialFunctions| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionLODESolver| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |EllipticFunctionsUnivariateTaylorSeries| |Equation| |EuclideanModularRing| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionTubePlot| |Factored| |FactoringUtilities| |Finite&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |Float| |FloatingPointSystem&| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GnuDraw| |GraphImage| |GrayCode| |Group&| |Guess| |GuessOptionFunctions0| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InnerTrigonometricManipulations| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |InterfaceGroebnerPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrredPolyOverFiniteField| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LiouvillianFunction| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MatrixManipulation| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularField| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |Monad&| |MonadWithUnit&| |MonogenicAlgebra&| |Monoid&| |MonoidRing| |MultFiniteFactorize| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NagEigenPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonAssociativeAlgebra&| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |Numeric| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |Octonion| |OctonionCategory&| |OnePointCompletion| |Operator| |OppositeMonogenicLinearOperator| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |ParametricLinearEquations| |PartialFraction| |Partition| |PatternMatchIntegration| |Permanent| |Permutation| |PermutationGroupExamples| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialFactorizationByRecursion| |PolynomialGcdPackage| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialSolveByFormulas| |PositiveInteger| |PowerSeriesCategory&| |PrecomputedAssociatedEquations| |PrimeField| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoRemainderSequence| |PureAlgebraicIntegration| |QuadraticForm| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomFloatDistributions| |RandomIntegerDistributions| |RandomNumberSource| |RealClosedField&| |RealClosure| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RecursivePolynomialCategory&| |ReduceLODE| |RegularTriangularSetCategory&| |RepeatedDoubling| |RepeatedSquaring| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |Ruleset| |SemiGroup&| |SequentialDifferentialPolynomial| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StochasticDifferential| |StreamTranscendentalFunctions| |SturmHabichtPackage| |SubSpace| |SymmetricFunctions| |SymmetricPolynomial| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ThreeDimensionalViewport| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalFunctionCategory&| |TranscendentalIntegration| |TranscendentalManipulations| |TubePlotTools| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U32VectorPolynomialOperations| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialMultiplicationPackage| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AbelianGroup&| |AbelianMonoid&| |AbelianMonoidRing&| |AbelianSemiGroup&| |AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicNumber| |AlgebraicallyClosedField&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |ApplyRules| |Asp19| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AttributeButtons| |Automorphism| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |Bezier| |BinaryExpansion| |BlowUpPackage| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |Complex| |ComplexCategory&| |ComplexRootFindingPackage| |ConstantLODE| |ContinuedFraction| |CoordinateSystems| |CycleIndicators| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DegreeReductionPackage| |DesingTreePackage| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DistinctDegreeFactorize| |DistributedMultivariatePolynomial| |DivisionRing&| |Divisor| |DoubleFloat| |DoubleFloatSpecialFunctions| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionLODESolver| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |EllipticFunctionsUnivariateTaylorSeries| |Equation| |EuclideanModularRing| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionTubePlot| |Factored| |FactoringUtilities| |Finite&| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteLinearAggregateSort| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FiniteSetAggregate&| |Float| |FloatingPointSystem&| |FortranExpression| |FourierSeries| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FunctionFieldCategory&| |FunctionFieldIntegralBasis| |FunctionSpace&| |FunctionSpaceIntegration| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GaloisGroupFactorizationUtilities| |GaloisGroupFactorizer| |GaloisGroupPolynomialUtilities| |GaloisGroupUtilities| |GaussianFactorizationPackage| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GeneralHenselPackage| |GeneralModulePolynomial| |GeneralPackageForAlgebraicFunctionField| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |GnuDraw| |GraphImage| |GrayCode| |Group&| |Guess| |GuessOptionFunctions0| |Heap| |HeuGcd| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerModularGcd| |InnerMultFact| |InnerNormalBasisFieldFunctions| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTaylorSeries| |InnerTrigonometricManipulations| |Integer| |IntegerCombinatoricFunctions| |IntegerFactorizationPackage| |IntegerMod| |IntegerNumberSystem&| |IntegerNumberTheoryFunctions| |IntegerPrimesPackage| |IntegerRoots| |IntegralBasisTools| |IntegrationResult| |IntegrationResultToFunction| |InterfaceGroebnerPackage| |InterpolateFormsPackage| |IntersectionDivisorPackage| |Interval| |InverseLaplaceTransform| |IrredPolyOverFiniteField| |Kovacic| |LaplaceTransform| |LaurentPolynomial| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LinearOrdinaryDifferentialOperatorFactorizer| |LiouvillianFunction| |LocalAlgebra| |LocalParametrizationOfSimplePointPackage| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MatrixManipulation| |MeshCreationRoutinesForThreeDimensions| |ModMonic| |ModularField| |ModularRing| |Module&| |ModuleOperator| |MoebiusTransform| |Monad&| |MonadWithUnit&| |MonogenicAlgebra&| |Monoid&| |MonoidRing| |MultFiniteFactorize| |MultivariatePolynomial| |MultivariateSquareFree| |MyExpression| |MyUnivariatePolynomial| |NagEigenPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonAssociativeAlgebra&| |NonLinearFirstOrderODESolver| |NonNegativeInteger| |NottinghamGroup| |NumberFieldIntegralBasis| |NumberFormats| |Numeric| |NumericTubePlot| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |Octonion| |OctonionCategory&| |OnePointCompletion| |Operator| |OppositeMonogenicLinearOperator| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OrthogonalPolynomialFunctions| |OutputForm| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PackageForPoly| |ParametricLinearEquations| |PartialFraction| |Partition| |PatternMatchIntegration| |Permanent| |Permutation| |PermutationGroupExamples| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |Plot| |Plot3D| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PointsOfFiniteOrderTools| |Polynomial| |PolynomialFactorizationByRecursion| |PolynomialGcdPackage| |PolynomialNumberTheoryFunctions| |PolynomialRing| |PolynomialSolveByFormulas| |PositiveInteger| |PowerSeriesCategory&| |PrecomputedAssociatedEquations| |PrimeField| |Product| |ProjectiveAlgebraicSetPackage| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoRemainderSequence| |PureAlgebraicIntegration| |QuadraticForm| |Quaternion| |QuaternionCategory&| |QuotientFieldCategory&| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RandomFloatDistributions| |RandomIntegerDistributions| |RandomNumberSource| |RealClosedField&| |RealClosure| |RealRootCharacterizationCategory&| |RealZeroPackage| |RectangularMatrix| |RecursivePolynomialCategory&| |ReduceLODE| |RegularTriangularSetCategory&| |RepeatedDoubling| |RepeatedSquaring| |RepresentationPackage1| |RepresentationPackage2| |ResidueRing| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |Ruleset| |SemiGroup&| |SequentialDifferentialPolynomial| |Set| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SmithNormalForm| |SparseEchelonMatrix| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StochasticDifferential| |StreamTranscendentalFunctions| |SturmHabichtPackage| |SubSpace| |SymmetricFunctions| |SymmetricPolynomial| |TangentExpansions| |TaylorSeries| |TaylorSolve| |ThreeDimensionalViewport| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalFunctionCategory&| |TranscendentalIntegration| |TranscendentalManipulations| |TubePlotTools| |TwoDimensionalPlotClipping| |TwoDimensionalViewport| |TwoFactorize| |U32VectorPolynomialOperations| |UnivariateFactorize| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialMultiplicationPackage| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateSkewPolynomialCategory&| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WildFunctionFieldIntegralBasis| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|DefiniteIntegrationTools| |ElementaryFunctionSign| |LaplaceTransform| |d01AgentsPackage|)
 (|AssociatedEquations|)
 (|FiniteField| |FiniteFieldCyclicGroup| |FiniteFieldNormalBasis| |InterfaceGroebnerPackage|)
@@ -561,14 +561,14 @@
 (|DirichletRing| |EllipticFunctionsUnivariateTaylorSeries| |InfiniteProductFiniteField| |InnerTaylorSeries| |SparseMultivariateTaylorSeries| |StreamInfiniteProduct| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |UnivariateLaurentSeriesConstructor| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |UnivariateTaylorSeriesODESolver| |WeierstrassPreparation|)
 (|ElementaryFunctionsUnivariateLaurentSeries| |InfiniteProductFiniteField| |SparseMultivariateTaylorSeries| |StreamInfiniteProduct| |StreamTranscendentalFunctionsNonCommutative| |UnivariateTaylorSeriesCategory&|)
 (|UnivariateTaylorSeriesCategory&|)
-(|AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BinaryExpansion| |BinaryFile| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DictionaryOperations&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |ErrorFunctions| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionTubePlot| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GnuDraw| |GraphImage| |Graphviz| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerMod| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |Interval| |Kernel| |KeyedAccessFile| |LaplaceTransform| |LaurentPolynomial| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |MathMLFormat| |Matrix| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |MoreSystemCommands| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonNegativeInteger| |None| |NormalizationPackage| |NottinghamGroup| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OnePointCompletion| |OpenMathConnection| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |OperationsQuery| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |ParametricLinearEquations| |PartialFraction| |Partition| |Pattern| |PatternMatchAssertions| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |RadicalFunctionField| |RadixExpansion| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalUnivariateRepresentationPackage| |RealClosure| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetCategory&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |Stack| |StochasticDifferential| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TemplateUtilities| |TexFormat| |TextFile| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalManipulations| |Tree| |TrigonometricManipulations| |Tuple| |TwoDimensionalArray| |TwoDimensionalViewport| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Matrix| |U8Vector| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UniversalSegment| |Variable| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AffinePlane| |AffinePlaneOverPseudoAlgebraicClosureOfFiniteField| |AffineSpace| |AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AnonymousFunction| |AntiSymm| |Any| |ArrayStack| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |AssociationList| |AttributeButtons| |Automorphism| |AxiomServer| |BalancedBinaryTree| |BalancedPAdicInteger| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BinaryExpansion| |BinaryFile| |BinarySearchTree| |BinaryTournament| |BinaryTree| |Bits| |BlowUpWithHamburgerNoether| |BlowUpWithQuadTrans| |Boolean| |CardinalNumber| |CartesianTensor| |Character| |CharacterClass| |CliffordAlgebra| |Color| |CombinatorialFunction| |CommonOperators| |Commutator| |Complex| |ComplexCategory&| |ComplexDoubleFloatMatrix| |ComplexDoubleFloatVector| |ComplexPattern| |ComplexPatternMatch| |ComplexRootFindingPackage| |ComplexTrigonometricManipulations| |ContinuedFraction| |DataList| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DenavitHartenbergMatrix| |Dequeue| |DesingTree| |DictionaryOperations&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DistributedMultivariatePolynomial| |Divisor| |DoubleFloat| |DoubleFloatMatrix| |DoubleFloatVector| |DrawComplex| |DrawOption| |DrawOptionFunctions0| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryFunctionsUnivariateLaurentSeries| |ElementaryFunctionsUnivariatePuiseuxSeries| |ElementaryIntegration| |ElementaryRischDE| |EqTable| |Equation| |ErrorFunctions| |EuclideanGroebnerBasisPackage| |EuclideanModularRing| |Exit| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Export3D| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceFunctions1| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionTubePlot| |ExtAlgBasis| |Factored| |File| |FileName| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranTemplate| |FortranType| |FourierComponent| |FourierSeries| |Fraction| |FractionalIdeal| |FramedModule| |FramedNonAssociativeAlgebra&| |FreeAbelianGroup| |FreeAbelianMonoid| |FreeGroup| |FreeModule| |FreeModule1| |FreeMonoid| |FreeNilpotentLie| |FullPartialFractionExpansion| |FunctionCalled| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceAssertions| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceReduce| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionalSpecialFunction| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralModulePolynomial| |GeneralPolynomialSet| |GeneralSparseTable| |GeneralTriangularSet| |GeneralUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GnuDraw| |GraphImage| |Graphviz| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOption| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |Heap| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |IndexCard| |IndexedBits| |IndexedDirectProductAbelianGroup| |IndexedDirectProductAbelianMonoid| |IndexedDirectProductObject| |IndexedDirectProductOrderedAbelianMonoid| |IndexedDirectProductOrderedAbelianMonoidSup| |IndexedExponents| |IndexedFlexibleArray| |IndexedList| |IndexedMatrix| |IndexedOneDimensionalArray| |IndexedString| |IndexedTwoDimensionalArray| |IndexedVector| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerFiniteField| |InnerFreeAbelianMonoid| |InnerIndexedTwoDimensionalArray| |InnerPAdicInteger| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |InnerTaylorSeries| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |Integer| |IntegerMod| |IntegrationResult| |IntegrationResultToFunction| |IntegrationTools| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |Interval| |Kernel| |KeyedAccessFile| |LaplaceTransform| |LaurentPolynomial| |Library| |LieExponentials| |LiePolynomial| |LieSquareMatrix| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperator1| |LinearOrdinaryDifferentialOperator2| |LiouvillianFunction| |List| |ListMonoidOps| |ListMultiDictionary| |LocalAlgebra| |Localize| |LyndonWord| |MachineComplex| |MachineFloat| |MachineInteger| |Magma| |MakeCachableSet| |MakeFloatCompiledFunction| |MathMLFormat| |Matrix| |ModMonic| |ModularField| |ModularRing| |ModuleMonomial| |ModuleOperator| |MoebiusTransform| |MonoidRing| |MoreSystemCommands| |Multiset| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NonNegativeInteger| |None| |NormalizationPackage| |NottinghamGroup| |NumberFormats| |NumericalIntegrationProblem| |NumericalODEProblem| |NumericalOptimizationProblem| |NumericalOrdinaryDifferentialEquations| |NumericalPDEProblem| |NumericalQuadrature| |ODEIntegration| |Octonion| |OctonionCategory&| |OneDimensionalArray| |OnePointCompletion| |OpenMathConnection| |OpenMathDevice| |OpenMathEncoding| |OpenMathError| |OpenMathErrorKind| |OpenMathPackage| |OpenMathServerPackage| |OperationsQuery| |Operator| |OppositeMonogenicLinearOperator| |OrdSetInts| |OrderedCompletion| |OrderedDirectProduct| |OrderedFreeMonoid| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OrderlyDifferentialVariable| |OrdinaryDifferentialRing| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PAdicInteger| |PAdicRational| |PAdicRationalConstructor| |Palette| |ParametricLinearEquations| |PartialFraction| |Partition| |Pattern| |PatternMatchAssertions| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchListResult| |PatternMatchResult| |PendantTree| |Permutation| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |PoincareBirkhoffWittLyndonBasis| |Point| |PointsOfFiniteOrder| |Polynomial| |PolynomialIdeals| |PolynomialRing| |PositiveInteger| |PowerSeriesLimitPackage| |PrimeField| |PrimitiveArray| |Product| |ProjectivePlane| |ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField| |ProjectiveSpace| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |QuadraticForm| |QuasiAlgebraicSet| |QuasiComponentPackage| |Quaternion| |QuaternionCategory&| |QueryEquation| |Queue| |RadicalFunctionField| |RadixExpansion| |RationalFunctionDefiniteIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalUnivariateRepresentationPackage| |RealClosure| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |Reference| |RegularChain| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResidueRing| |Result| |RewriteRule| |RightOpenIntervalRootCharacterization| |RomanNumeral| |RoutinesTable| |RuleCalled| |Ruleset| |SExpression| |SExpressionOf| |ScriptFormulaFormat| |Segment| |SegmentBinding| |SequentialDifferentialPolynomial| |SequentialDifferentialVariable| |Set| |SetCategory&| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SingletonAsOrderedSet| |SparseEchelonMatrix| |SparseMultivariatePolynomial| |SparseMultivariateTaylorSeries| |SparseTable| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateSkewPolynomial| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SplittingNode| |SplittingTree| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |SquareMatrix| |Stack| |StochasticDifferential| |Stream| |StreamTranscendentalFunctions| |StreamTranscendentalFunctionsNonCommutative| |String| |StringTable| |SubSpace| |SubSpaceComponentProperty| |SuchThat| |Switch| |Symbol| |SymbolTable| |SymmetricPolynomial| |Table| |Tableau| |TabulatedComputationPackage| |TaylorSeries| |TemplateUtilities| |TexFormat| |TextFile| |ThreeDimensionalMatrix| |ThreeDimensionalViewport| |ThreeSpace| |ToolsForSign| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TranscendentalManipulations| |Tree| |TrigonometricManipulations| |Tuple| |TwoDimensionalArray| |TwoDimensionalViewport| |U16Matrix| |U16Vector| |U32Matrix| |U32Vector| |U8Matrix| |U8Vector| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UniversalSegment| |Variable| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |WuWenTsunTriangularSet| |XDistributedPolynomial| |XPBWPolynomial| |XPolynomial| |XPolynomialRing| |XRecursivePolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |d03fafAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|CylindricalAlgebraicDecompositionPackage| |InnerNumericFloatSolvePackage| |TranscendentalIntegration|)
 (|Export3D| |ThreeSpace|)
 (|MeshCreationRoutinesForThreeDimensions| |SubSpace| |ThreeDimensionalViewport| |ThreeSpace|)
 (|EigenPackage| |PolynomialIdeals| |RadicalEigenPackage| |RadicalSolvePackage|)
 (|Expression|)
 (|Asp12| |Asp30| |Asp35| |Asp55| |Asp74| |Asp8| |FortranCode|)
-(|AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |Any| |ApplicationProgramInterface| |ApplyRules| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AttachPredicates| |AttributeButtons| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BinaryExpansion| |Boolean| |Cell| |CombinatorialFunction| |CommonOperators| |Complex| |ComplexCategory&| |ComplexPattern| |ComplexPatternMatch| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |CylindricalAlgebraicDecompositionPackage| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DesingTreePackage| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DrawOption| |DrawOptionFunctions0| |DrawOptionFunctions1| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |Equation| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |FGLMIfCanPackage| |Factored| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasisExtensionByPolynomial| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranType| |Fraction| |FramedNonAssociativeAlgebra&| |FullPartialFractionExpansion| |FullyEvalableOver&| |FunctionCalled| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |Guess| |GuessAlgebraicNumber| |GuessFinite| |GuessInteger| |GuessOption| |GuessOptionFunctions0| |GuessPolynomial| |GuessUnivariatePolynomial| |HexadecimalExpansion| |HomogeneousDirectProduct| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexCard| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerNumericFloatSolvePackage| |InnerSparseUnivariatePowerSeries| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InternalPrintPackage| |InverseLaplaceTransform| |Kernel| |KeyedAccessFile| |LaplaceTransform| |LaurentPolynomial| |LexTriangularPackage| |Library| |LieSquareMatrix| |LinGroebnerPackage| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperatorsOps| |LiouvillianFunction| |List| |ListMultiDictionary| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |Matrix| |ModMonic| |MonogenicAlgebra&| |Multiset| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseUnivariatePolynomial| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NumberFormats| |NumericComplexEigenPackage| |NumericRealEigenPackage| |ODEIntegration| |Octonion| |OctonionCategory&| |OpenMathDevice| |OpenMathError| |OpenMathErrorKind| |OrdSetInts| |OrderedDirectProduct| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OutputForm| |PAdicRational| |PAdicRationalConstructor| |ParametricLinearEquations| |PartialFractionPackage| |Pattern| |PatternFunctions2| |PatternMatch| |PatternMatchAssertions| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPushDown| |PatternMatchResult| |PatternMatchSymbol| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |PlotFunctions1| |PolToPol| |Polynomial| |PolynomialAN2Expression| |PolynomialFunctions2| |PolynomialIdeals| |PolynomialToUnivariatePolynomial| |PowerSeriesLimitPackage| |PrimitiveElement| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet2| |Quaternion| |QuaternionCategory&| |QueryEquation| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosure| |RealSolvePackage| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |RepresentationPackage1| |Result| |RetractSolvePackage| |RewriteRule| |RomanNumeral| |RoutinesTable| |RuleCalled| |SExpression| |SegmentBinding| |SegmentBindingFunctions2| |SequentialDifferentialPolynomial| |Set| |SimpleAlgebraicExtension| |SimpleCell| |SimpleFortranProgram| |SingletonAsOrderedSet| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StochasticDifferential| |StructuralConstantsPackage| |Switch| |Symbol| |SymbolTable| |SystemSolvePackage| |TaylorSeries| |TheSymbolTable| |ThreeDimensionalMatrix| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalManipulations| |TrigonometricManipulations| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |Variable| |Vector| |WeierstrassPreparation| |XPolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
+(|AlgebraGivenByStructuralConstants| |AlgebraicFunction| |AlgebraicFunctionField| |AlgebraicIntegrate| |AlgebraicIntegration| |AlgebraicManipulations| |AlgebraicNumber| |AlgebraicallyClosedField&| |AlgebraicallyClosedFunctionSpace&| |AnnaNumericalIntegrationPackage| |AnnaNumericalOptimizationPackage| |AnnaOrdinaryDifferentialEquationPackage| |AnnaPartialDifferentialEquationPackage| |AntiSymm| |Any| |ApplicationProgramInterface| |ApplyRules| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AttachPredicates| |AttributeButtons| |BalancedPAdicRational| |BasicFunctions| |BasicOperator| |BasicOperatorFunctions1| |BasicStochasticDifferential| |BinaryExpansion| |Boolean| |Cell| |CombinatorialFunction| |CommonOperators| |Complex| |ComplexCategory&| |ComplexPattern| |ComplexPatternMatch| |ComplexRootPackage| |ComplexTrigonometricManipulations| |ConstantLODE| |CylindricalAlgebraicDecompositionPackage| |Database| |DeRhamComplex| |DecimalExpansion| |DefiniteIntegrationTools| |DesingTreePackage| |DifferentialExtension&| |DifferentialPolynomialCategory&| |DifferentialSparseMultivariatePolynomial| |DirectProduct| |DirectProductCategory&| |DirectProductMatrixModule| |DirectProductModule| |DrawOption| |DrawOptionFunctions0| |DrawOptionFunctions1| |EigenPackage| |ElementaryFunction| |ElementaryFunctionDefiniteIntegration| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionSign| |ElementaryFunctionStructurePackage| |ElementaryIntegration| |ElementaryRischDE| |ElementaryRischDESystem| |Equation| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |ExponentialOfUnivariatePuiseuxSeries| |Expression| |ExpressionSolve| |ExpressionSpace&| |ExpressionSpaceODESolver| |ExpressionToOpenMath| |ExpressionToUnivariatePowerSeries| |ExpressionTubePlot| |FGLMIfCanPackage| |Factored| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |FiniteFieldNormalBasisExtensionByPolynomial| |Float| |FloatingComplexPackage| |FloatingRealPackage| |FortranCode| |FortranCodePackage1| |FortranExpression| |FortranPackage| |FortranProgram| |FortranScalarType| |FortranType| |Fraction| |FramedNonAssociativeAlgebra&| |FullPartialFractionExpansion| |FullyEvalableOver&| |FunctionCalled| |FunctionFieldCategory&| |FunctionSpace&| |FunctionSpaceAttachPredicates| |FunctionSpaceComplexIntegration| |FunctionSpaceIntegration| |FunctionSpacePrimitiveElement| |FunctionSpaceSum| |FunctionSpaceToExponentialExpansion| |FunctionSpaceToUnivariatePowerSeries| |FunctionSpaceUnivariatePolynomialFactor| |FunctionalSpecialFunction| |GenUFactorize| |GeneralDistributedMultivariatePolynomial| |GeneralUnivariatePowerSeries| |GenerateUnivariatePowerSeries| |GenericNonAssociativeAlgebra| |GenusZeroIntegration| |Guess| |GuessAlgebraicNumber| |GuessFinite| |GuessInteger| |GuessOption| |GuessOptionFunctions0| |GuessPolynomial| |GuessUnivariatePolynomial| |HexadecimalExpansion| |HomogeneousDirectProduct| |HyperellipticFiniteDivisor| |IdealDecompositionPackage| |IndexCard| |InfClsPt| |InfinitlyClosePoint| |InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField| |InnerAlgebraicNumber| |InnerNumericFloatSolvePackage| |InnerSparseUnivariatePowerSeries| |InnerTrigonometricManipulations| |InputForm| |InputFormFunctions1| |IntegrationResult| |IntegrationResultRFToFunction| |IntegrationResultToFunction| |IntegrationTools| |InternalPrintPackage| |InverseLaplaceTransform| |Kernel| |KeyedAccessFile| |LaplaceTransform| |LaurentPolynomial| |LexTriangularPackage| |Library| |LieSquareMatrix| |LinGroebnerPackage| |LinearOrdinaryDifferentialOperator| |LinearOrdinaryDifferentialOperatorsOps| |LiouvillianFunction| |List| |ListMultiDictionary| |MPolyCatRationalFunctionFactorizer| |MachineComplex| |MakeBinaryCompiledFunction| |MakeFloatCompiledFunction| |MakeFunction| |MakeUnaryCompiledFunction| |Matrix| |ModMonic| |MonogenicAlgebra&| |Multiset| |MyExpression| |MyUnivariatePolynomial| |NAGLinkSupportPackage| |NagEigenPackage| |NagFittingPackage| |NagIntegrationPackage| |NagInterpolationPackage| |NagLapack| |NagLinearEquationSolvingPackage| |NagMatrixOperationsPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagPolynomialRootsPackage| |NagRootFindingPackage| |NagSeriesSummationPackage| |NagSpecialFunctionsPackage| |NeitherSparseOrDensePowerSeries| |NewSparseUnivariatePolynomial| |NonLinearFirstOrderODESolver| |NonLinearSolvePackage| |NumberFormats| |NumericComplexEigenPackage| |NumericRealEigenPackage| |ODEIntegration| |Octonion| |OctonionCategory&| |OpenMathDevice| |OpenMathError| |OpenMathErrorKind| |OrdSetInts| |OrderedDirectProduct| |OrderedVariableList| |OrderlyDifferentialPolynomial| |OutputForm| |PAdicRational| |PAdicRationalConstructor| |ParametricLinearEquations| |PartialFractionPackage| |Pattern| |PatternFunctions2| |PatternMatch| |PatternMatchAssertions| |PatternMatchIntegration| |PatternMatchKernel| |PatternMatchPushDown| |PatternMatchResult| |PatternMatchSymbol| |PermutationGroup| |Pi| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |PlaneAlgebraicCurvePlot| |Plcs| |PlotFunctions1| |PolToPol| |Polynomial| |PolynomialAN2Expression| |PolynomialFunctions2| |PolynomialIdeals| |PolynomialToUnivariatePolynomial| |PowerSeriesLimitPackage| |PrimitiveElement| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PureAlgebraicIntegration| |PushVariables| |QuasiAlgebraicSet2| |Quaternion| |QuaternionCategory&| |QueryEquation| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadicalSolvePackage| |RadixExpansion| |RationalFunction| |RationalFunctionDefiniteIntegration| |RationalFunctionFactor| |RationalFunctionIntegration| |RationalFunctionLimitPackage| |RationalFunctionSign| |RationalFunctionSum| |RationalInterpolation| |RationalLODE| |RationalRicDE| |RationalUnivariateRepresentationPackage| |RealClosure| |RealSolvePackage| |RectangularMatrix| |RecurrenceOperator| |RecursivePolynomialCategory&| |RepresentationPackage1| |Result| |RetractSolvePackage| |RewriteRule| |RomanNumeral| |RoutinesTable| |RuleCalled| |SExpression| |SegmentBinding| |SegmentBindingFunctions2| |SequentialDifferentialPolynomial| |Set| |SimpleAlgebraicExtension| |SimpleCell| |SimpleFortranProgram| |SingletonAsOrderedSet| |SparseEchelonMatrix| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StochasticDifferential| |StructuralConstantsPackage| |Switch| |Symbol| |SymbolTable| |SystemSolvePackage| |TaylorSeries| |TheSymbolTable| |ThreeDimensionalMatrix| |TopLevelDrawFunctions| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TransSolvePackage| |TransSolvePackageService| |TranscendentalManipulations| |TrigonometricManipulations| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariateLaurentSeriesConstructorCategory&| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |UnivariatePuiseuxSeries| |UnivariatePuiseuxSeriesConstructor| |UnivariatePuiseuxSeriesWithExponentialSingularity| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero| |UnivariateTaylorSeriesCategory&| |Variable| |Vector| |WeierstrassPreparation| |XPolynomial| |ZeroDimensionalSolvePackage| |d01AgentsPackage| |d01TransformFunctionType| |d01WeightsPackage| |d01ajfAnnaType| |d01akfAnnaType| |d01alfAnnaType| |d01amfAnnaType| |d01anfAnnaType| |d01apfAnnaType| |d01aqfAnnaType| |d01asfAnnaType| |d01fcfAnnaType| |d01gbfAnnaType| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03AgentsPackage| |d03eefAnnaType| |e04AgentsPackage| |e04dgfAnnaType| |e04fdfAnnaType| |e04gcfAnnaType| |e04jafAnnaType| |e04mbfAnnaType| |e04nafAnnaType| |e04ucfAnnaType|)
 (|Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |FortranPackage| |FortranProgram| |TheSymbolTable|)
 (|TangentExpansions|)
 (|IrrRepSymNatPackage| |RepresentationPackage1|)
@@ -631,11 +631,11 @@
 (|GenerateUnivariatePowerSeries|)
 (|FunctionSpace&| |Polynomial| |UserDefinedVariableOrdering|)
 (|GeneralUnivariatePowerSeries| |MyUnivariatePolynomial| |PolynomialToUnivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePuiseuxSeries| |SparseUnivariateTaylorSeries| |UnivariateFormalPowerSeries| |UnivariateLaurentSeries| |UnivariatePolynomial| |UnivariatePuiseuxSeries| |UnivariateSkewPolynomial| |UnivariateTaylorSeries| |UnivariateTaylorSeriesCZero|)
-(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicNumber| |AnnaOrdinaryDifferentialEquationPackage| |Asp10| |Asp19| |Asp20| |Asp28| |Asp31| |Asp35| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp78| |Asp8| |Asp80| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |BalancedPAdicRational| |BinaryExpansion| |BlowUpPackage| |CartesianTensor| |CliffordAlgebra| |CoerceVectorMatrixPackage| |Complex| |ComplexCategory&| |ComplexIntegerSolveLinearPolynomialEquation| |DecimalExpansion| |DenavitHartenbergMatrix| |DesingTreePackage| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductFunctions2| |DirectProductMatrixModule| |DirectProductModule| |DistributedMultivariatePolynomial| |EigenPackage| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionStructurePackage| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |Expression| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FortranCode| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FractionalIdealFunctions2| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeNilpotentLie| |FullyLinearlyExplicitRingOver&| |FunctionFieldCategory&| |GaloisGroupPolynomialUtilities| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GenericNonAssociativeAlgebra| |GosperSummationMethod| |GrayCode| |Guess| |HallBasis| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |InfinitlyClosePoint| |InnerAlgebraicNumber| |InnerFiniteField| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerPrimeField| |Integer| |IntegerLinearDependence| |IntegerPrimesPackage| |IntegerSolveLinearPolynomialEquation| |IntegralBasisTools| |IntegrationResultToFunction| |InterpolateFormsPackage| |IrrRepSymNatPackage| |LieSquareMatrix| |LinGroebnerPackage| |LinearDependence| |LinearOrdinaryDifferentialOperatorsOps| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |MachineComplex| |MachineInteger| |Matrix| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularHermitianRowReduction| |MonogenicAlgebra&| |MultiVariableCalculusFunctions| |MultivariateLifting| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NPCoef| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NumberFieldIntegralBasis| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODETools| |OrderedDirectProduct| |OrderingFunctions| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForPoly| |ParametricLinearEquations| |Permanent| |Permutation| |PermutationGroup| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PolToPol| |Polynomial| |PolynomialCategory&| |PolynomialFactorizationExplicit&| |PolynomialIdeals| |PrimeField| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicLODE| |Quaternion| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadixExpansion| |RandomDistributions| |RationalInterpolation| |RationalLODE| |RealZeroPackage| |RectangularMatrix| |ReduceLODE| |RepresentationPackage1| |RepresentationPackage2| |RomanNumeral| |SequentialDifferentialPolynomial| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SparseMultivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StructuralConstantsPackage| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SystemODESolver| |SystemSolvePackage| |TangentExpansions| |ThreeDimensionalMatrix| |TransSolvePackageService| |TranscendentalRischDESystem| |TwoDimensionalViewport| |UTSodetools| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |VectorFunctions2| |WildFunctionFieldIntegralBasis| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |e04AgentsPackage| |e04fdfAnnaType| |e04gcfAnnaType| |e04ucfAnnaType|)
+(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AlgebraGivenByStructuralConstants| |AlgebraPackage| |AlgebraicFunctionField| |AlgebraicHermiteIntegration| |AlgebraicIntegrate| |AlgebraicNumber| |AnnaOrdinaryDifferentialEquationPackage| |Asp10| |Asp19| |Asp20| |Asp28| |Asp31| |Asp35| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp78| |Asp8| |Asp80| |AssociatedEquations| |AssociatedJordanAlgebra| |AssociatedLieAlgebra| |BalancedPAdicRational| |BinaryExpansion| |BlowUpPackage| |CartesianTensor| |CliffordAlgebra| |CoerceVectorMatrixPackage| |Complex| |ComplexCategory&| |ComplexIntegerSolveLinearPolynomialEquation| |DecimalExpansion| |DenavitHartenbergMatrix| |DesingTreePackage| |DifferentialSparseMultivariatePolynomial| |DiophantineSolutionPackage| |DirectProduct| |DirectProductCategory&| |DirectProductFunctions2| |DirectProductMatrixModule| |DirectProductModule| |DistributedMultivariatePolynomial| |EigenPackage| |ElementaryFunctionLODESolver| |ElementaryFunctionODESolver| |ElementaryFunctionStructurePackage| |ExpertSystemContinuityPackage| |ExpertSystemToolsPackage| |ExponentialExpansion| |Expression| |FiniteAlgebraicExtensionField&| |FiniteDivisor| |FiniteField| |FiniteFieldCategory&| |FiniteFieldCyclicGroup| |FiniteFieldCyclicGroupExtension| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtension| |FiniteFieldExtensionByPolynomial| |FiniteFieldFunctions| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasis| |FiniteFieldNormalBasisExtension| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteFieldPolynomialPackage| |FiniteFieldPolynomialPackage2| |FiniteFieldSolveLinearPolynomialEquation| |FiniteRankAlgebra&| |FiniteRankNonAssociativeAlgebra&| |FortranCode| |Fraction| |FractionFreeFastGaussian| |FractionFreeFastGaussianFractions| |FractionalIdeal| |FractionalIdealFunctions2| |FramedAlgebra&| |FramedModule| |FramedNonAssociativeAlgebra&| |FramedNonAssociativeAlgebraFunctions2| |FreeNilpotentLie| |FullyLinearlyExplicitRingOver&| |FunctionFieldCategory&| |GaloisGroupPolynomialUtilities| |GenExEuclid| |GeneralDistributedMultivariatePolynomial| |GenericNonAssociativeAlgebra| |GosperSummationMethod| |GrayCode| |Guess| |HallBasis| |HexadecimalExpansion| |HomogeneousDirectProduct| |HomogeneousDistributedMultivariatePolynomial| |HyperellipticFiniteDivisor| |InfinitlyClosePoint| |InnerAlgebraicNumber| |InnerFiniteField| |InnerNormalBasisFieldFunctions| |InnerNumericEigenPackage| |InnerPrimeField| |Integer| |IntegerLinearDependence| |IntegerPrimesPackage| |IntegerSolveLinearPolynomialEquation| |IntegralBasisTools| |IntegrationResultToFunction| |InterpolateFormsPackage| |IrrRepSymNatPackage| |LieSquareMatrix| |LinGroebnerPackage| |LinearDependence| |LinearOrdinaryDifferentialOperatorsOps| |LinearSystemMatrixPackage1| |LinearSystemPolynomialPackage| |LinesOpPack| |MachineComplex| |MachineInteger| |Matrix| |MatrixLinearAlgebraFunctions| |ModMonic| |ModularHermitianRowReduction| |MonogenicAlgebra&| |MultiVariableCalculusFunctions| |MultivariateLifting| |MultivariatePolynomial| |MyExpression| |MyUnivariatePolynomial| |NPCoef| |NewSparseMultivariatePolynomial| |NewSparseUnivariatePolynomial| |NumberFieldIntegralBasis| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODETools| |OrderedDirectProduct| |OrderingFunctions| |OrderlyDifferentialPolynomial| |PAdicRational| |PAdicRationalConstructor| |PAdicWildFunctionFieldIntegralBasis| |PackageForPoly| |ParametricLinearEquations| |Permanent| |Permutation| |PermutationGroup| |Point| |PointsOfFiniteOrder| |PointsOfFiniteOrderRational| |PolToPol| |Polynomial| |PolynomialCategory&| |PolynomialFactorizationExplicit&| |PolynomialIdeals| |PrimeField| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |PseudoLinearNormalForm| |PseudoRemainderSequence| |PureAlgebraicLODE| |Quaternion| |QuotientFieldCategory&| |RadicalEigenPackage| |RadicalFunctionField| |RadixExpansion| |RandomDistributions| |RationalInterpolation| |RationalLODE| |RealZeroPackage| |RectangularMatrix| |ReduceLODE| |RepresentationPackage1| |RepresentationPackage2| |RomanNumeral| |SequentialDifferentialPolynomial| |SetOfMIntegersInOneToN| |SimpleAlgebraicExtension| |SingleInteger| |SparseEchelonMatrix| |SparseMultivariatePolynomial| |SparseUnivariateLaurentSeries| |SparseUnivariatePolynomial| |SparseUnivariatePolynomialExpressions| |SplitHomogeneousDirectProduct| |SquareMatrix| |SquareMatrixCategory&| |StructuralConstantsPackage| |SymmetricFunctions| |SymmetricGroupCombinatoricFunctions| |SystemODESolver| |SystemSolvePackage| |TangentExpansions| |ThreeDimensionalMatrix| |TransSolvePackageService| |TranscendentalRischDESystem| |TwoDimensionalViewport| |UTSodetools| |UnivariateLaurentSeries| |UnivariateLaurentSeriesConstructor| |UnivariatePolynomial| |UnivariatePolynomialCategory&| |VectorFunctions2| |WildFunctionFieldIntegralBasis| |d02AgentsPackage| |d02bbfAnnaType| |d02bhfAnnaType| |d02cjfAnnaType| |d02ejfAnnaType| |d03eefAnnaType| |e04AgentsPackage| |e04fdfAnnaType| |e04gcfAnnaType| |e04ucfAnnaType|)
 (|AlgebraicHermiteIntegration| |AlgebraicIntegrate| |Asp10| |Asp19| |Asp20| |Asp31| |Asp35| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp78| |Asp8| |Asp80| |FramedNonAssociativeAlgebraFunctions2| |GenExEuclid| |GenericNonAssociativeAlgebra| |LinearDependence| |SimpleAlgebraicExtension|)
 (|GraphImage| |MeshCreationRoutinesForThreeDimensions| |ThreeDimensionalViewport| |TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions| |TwoDimensionalViewport| |ViewportPackage|)
 (|TopLevelDrawFunctionsForAlgebraicCurves| |TopLevelDrawFunctionsForCompiledFunctions|)
-(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |ApplicationProgramInterface| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociationList| |AttributeButtons| |AxiomServer| |BasicStochasticDifferential| |BinaryFile| |Bits| |BlowUpPackage| |CommonOperators| |Complex| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |DataList| |Database| |DesingTreePackage| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DoubleFloat| |DoubleFloatVector| |EqTable| |EuclideanGroebnerBasisPackage| |Export3D| |ExpressionToOpenMath| |File| |FiniteAlgebraicExtensionField&| |FiniteFieldCategory&| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteLinearAggregateSort| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranTemplate| |Fraction| |FramedNonAssociativeAlgebra&| |FunctionSpaceReduce| |GaloisGroupFactorizer| |GaloisGroupUtilities| |GenUFactorize| |GeneralPackageForAlgebraicFunctionField| |GeneralSparseTable| |GenericNonAssociativeAlgebra| |GnuDraw| |GraphImage| |Graphviz| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |HomogeneousDirectProduct| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerNormalBasisFieldFunctions| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |Integer| |IntegrationFunctionsTable| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Kernel| |KeyedAccessFile| |Library| |List| |LocalParametrizationOfSimplePointPackage| |MachineFloat| |MakeCachableSet| |MathMLFormat| |MoreSystemCommands| |NAGLinkSupportPackage| |NagEigenPackage| |NagIntegrationPackage| |NagLinearEquationSolvingPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagRootFindingPackage| |NeitherSparseOrDensePowerSeries| |NormalizationPackage| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntensityFunctionsTable| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathConnection| |OpenMathDevice| |OpenMathPackage| |OpenMathServerPackage| |OrderedDirectProduct| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PermutationGroup| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |Point| |PointsOfFiniteOrder| |PrimitiveArray| |PrintPackage| |ProjectiveAlgebraicSetPackage| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuasiComponentPackage| |RadicalFunctionField| |RandomNumberSource| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResolveLatticeCompletion| |Result| |RoutinesTable| |ScriptFormulaFormat| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SortPackage| |SortedCache| |SparseTable| |SparseUnivariatePolynomialExpressions| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |StochasticDifferential| |Stream| |String| |StringTable| |Symbol| |SymbolTable| |SystemODESolver| |Table| |TabulatedComputationPackage| |TaylorSolve| |TexFormat| |TextFile| |TheSymbolTable| |ThreeDimensionalViewport| |TwoDimensionalViewport| |U16Vector| |U32Vector| |U32VectorPolynomialOperations| |U8Vector| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |ZeroDimensionalSolvePackage| |e04AgentsPackage|)
+(|AffineAlgebraicSetComputeWithGroebnerBasis| |AffineAlgebraicSetComputeWithResultant| |AlgebraGivenByStructuralConstants| |AlgebraicFunctionField| |ApplicationProgramInterface| |Asp1| |Asp10| |Asp12| |Asp19| |Asp20| |Asp24| |Asp27| |Asp28| |Asp29| |Asp30| |Asp31| |Asp33| |Asp34| |Asp35| |Asp4| |Asp41| |Asp42| |Asp49| |Asp50| |Asp55| |Asp6| |Asp7| |Asp73| |Asp74| |Asp77| |Asp78| |Asp8| |Asp80| |Asp9| |AssociationList| |AttributeButtons| |AxiomServer| |BasicStochasticDifferential| |BinaryFile| |Bits| |BlowUpPackage| |CommonOperators| |Complex| |ComplexDoubleFloatVector| |ComplexRootFindingPackage| |DataList| |Database| |DesingTreePackage| |DirectProduct| |DirectProductMatrixModule| |DirectProductModule| |DirichletRing| |DiscreteLogarithmPackage| |DisplayPackage| |DoubleFloat| |DoubleFloatVector| |EqTable| |EuclideanGroebnerBasisPackage| |Export3D| |ExpressionToOpenMath| |File| |FiniteAlgebraicExtensionField&| |FiniteFieldCategory&| |FiniteFieldCyclicGroupExtensionByPolynomial| |FiniteFieldExtensionByPolynomial| |FiniteFieldHomomorphisms| |FiniteFieldNormalBasisExtensionByPolynomial| |FiniteLinearAggregateSort| |FiniteRankNonAssociativeAlgebra&| |FlexibleArray| |Float| |FortranCode| |FortranExpression| |FortranOutputStackPackage| |FortranPackage| |FortranProgram| |FortranTemplate| |Fraction| |FramedNonAssociativeAlgebra&| |FunctionSpaceReduce| |GaloisGroupFactorizer| |GaloisGroupUtilities| |GenUFactorize| |GeneralPackageForAlgebraicFunctionField| |GeneralSparseTable| |GenericNonAssociativeAlgebra| |GnuDraw| |GraphImage| |Graphviz| |GroebnerFactorizationPackage| |GroebnerInternalPackage| |GroebnerPackage| |Guess| |GuessOptionFunctions0| |HTMLFormat| |HashTable| |HomogeneousDirectProduct| |IndexCard| |IndexedAggregate&| |IndexedBits| |IndexedFlexibleArray| |IndexedList| |IndexedOneDimensionalArray| |IndexedString| |IndexedVector| |InnerNormalBasisFieldFunctions| |InnerPrimeField| |InnerSparseUnivariatePowerSeries| |InnerTable| |Integer| |IntegrationFunctionsTable| |InternalPrintPackage| |InternalRationalUnivariateRepresentationPackage| |IntersectionDivisorPackage| |Kernel| |KeyedAccessFile| |Library| |List| |LocalParametrizationOfSimplePointPackage| |MachineFloat| |MakeCachableSet| |MathMLFormat| |MoreSystemCommands| |NAGLinkSupportPackage| |NagEigenPackage| |NagIntegrationPackage| |NagLinearEquationSolvingPackage| |NagOptimisationPackage| |NagOrdinaryDifferentialEquationsPackage| |NagPartialDifferentialEquationsPackage| |NagRootFindingPackage| |NeitherSparseOrDensePowerSeries| |NormalizationPackage| |NumericalOrdinaryDifferentialEquations| |NumericalQuadrature| |ODEIntensityFunctionsTable| |OneDimensionalArray| |OneDimensionalArrayAggregate&| |OpenMathConnection| |OpenMathDevice| |OpenMathPackage| |OpenMathServerPackage| |OrderedDirectProduct| |OrdinaryWeightedPolynomials| |OutputForm| |OutputPackage| |PackageForAlgebraicFunctionField| |PackageForAlgebraicFunctionFieldOverFiniteField| |PermutationGroup| |Places| |PlacesOverPseudoAlgebraicClosureOfFiniteField| |Plcs| |Point| |PointsOfFiniteOrder| |PrimitiveArray| |PrintPackage| |ProjectiveAlgebraicSetPackage| |PseudoAlgebraicClosureOfAlgExtOfRationalNumber| |PseudoAlgebraicClosureOfFiniteField| |PseudoAlgebraicClosureOfRationalNumber| |QuasiComponentPackage| |RadicalFunctionField| |RandomNumberSource| |RationalInterpolation| |RationalUnivariateRepresentationPackage| |RegularSetDecompositionPackage| |RegularTriangularSet| |RegularTriangularSetGcdPackage| |RepresentationPackage2| |ResolveLatticeCompletion| |Result| |RoutinesTable| |ScriptFormulaFormat| |SimpleAlgebraicExtension| |SimpleFortranProgram| |SingleInteger| |SortPackage| |SortedCache| |SparseEchelonMatrix| |SparseTable| |SparseUnivariatePolynomialExpressions| |SpecialOutputPackage| |SplitHomogeneousDirectProduct| |SquareFreeQuasiComponentPackage| |SquareFreeRegularSetDecompositionPackage| |SquareFreeRegularTriangularSet| |SquareFreeRegularTriangularSetGcdPackage| |StochasticDifferential| |Stream| |String| |StringTable| |Symbol| |SymbolTable| |SystemODESolver| |Table| |TabulatedComputationPackage| |TaylorSolve| |TexFormat| |TextFile| |TheSymbolTable| |ThreeDimensionalViewport| |TwoDimensionalViewport| |U16Vector| |U32Vector| |U32VectorPolynomialOperations| |U8Vector| |UserDefinedPartialOrdering| |UserDefinedVariableOrdering| |Vector| |ViewDefaultsPackage| |ViewportPackage| |WeightedPolynomials| |ZeroDimensionalSolvePackage| |e04AgentsPackage|)
 (|OrdinaryWeightedPolynomials|)
 (|PAdicWildFunctionFieldIntegralBasis|)
 (|LieExponentials| |LiePolynomial| |XPBWPolynomial| |XPolynomial| |XRecursivePolynomial|)
@@ -670,4 +670,4 @@
 (|AnnaNumericalOptimizationPackage|)
 (|AnnaNumericalOptimizationPackage|)
 (|AnnaNumericalOptimizationPackage|)
-(("e04ucfAnnaType" 0 237643) ("e04nafAnnaType" 0 237606) ("e04mbfAnnaType" 0 237569) ("e04jafAnnaType" 0 237532) ("e04gcfAnnaType" 0 237495) ("e04fdfAnnaType" 0 237458) ("e04dgfAnnaType" 0 237421) ("e04AgentsPackage" 0 237282) ("d03eefAnnaType" 0 237239) ("d03AgentsPackage" 0 237220) ("d02ejfAnnaType" 0 237176) ("d02cjfAnnaType" 0 237132) ("d02bhfAnnaType" 0 237088) ("d02bbfAnnaType" 0 237044) ("d02AgentsPackage" 0 236974) ("d01gbfAnnaType" 0 236938) ("d01fcfAnnaType" 0 236902) ("d01asfAnnaType" 0 236866) ("d01aqfAnnaType" 0 236830) ("d01apfAnnaType" 0 236794) ("d01anfAnnaType" 0 236758) ("d01amfAnnaType" 0 236722) ("d01alfAnnaType" 0 236686) ("d01akfAnnaType" 0 236650) ("d01ajfAnnaType" 0 236614) ("d01WeightsPackage" 0 236561) ("d01TransformFunctionType" 0 236525) ("d01AgentsPackage" 0 236272) ("XRecursivePolynomial" 0 236223) ("XPolynomialRing" 0 236196) ("XPBWPolynomial" 0 236176) ("XDistributedPolynomial" 0 236086) ("WildFunctionFieldIntegralBasis" 0 236046) ("WeightedPolynomials" 0 236014) ("Void" 0 231607) ("ViewportPackage" 0 231519) ("ViewDefaultsPackage" 0 231307) ("VectorSpace&" 0 NIL) ("VectorFunctions2" 0 230998) ("VectorCategory&" 0 NIL) ("Vector" 0 225882) ("Variable" 0 225507) ("UserDefinedPartialOrdering" 0 225445) ("UniversalSegmentFunctions2" 0 225411) ("UniversalSegment" 0 224545) ("UnivariateTaylorSeriesFunctions2" 0 224507) ("UnivariateTaylorSeriesCategory&" 0 NIL) ("UnivariateTaylorSeriesCZero" 0 224378) ("UnivariateTaylorSeries" 0 224217) ("UnivariateSkewPolynomialCategoryOps" 0 224182) ("UnivariateSkewPolynomialCategory&" 0 NIL) ("UnivariatePuiseuxSeriesWithExponentialSingularity" 0 224119) ("UnivariatePuiseuxSeriesConstructorCategory&" 0 NIL) ("UnivariatePuiseuxSeriesConstructor" 0 224059) ("UnivariatePuiseuxSeries" 0 223838) ("UnivariatePowerSeriesCategory&" 0 NIL) ("UnivariatePolynomialSquareFree" 0 223719) ("UnivariatePolynomialDivisionPackage" 0 223674) ("UnivariatePolynomialDecompositionPackage" 0 223648) ("UnivariatePolynomialCommonDenominator" 0 223435) ("UnivariatePolynomialCategoryFunctions2" 0 222311) ("UnivariatePolynomialCategory&" 0 NIL) ("UnivariatePolynomial" 0 222002) ("UnivariateLaurentSeriesFunctions2" 0 221964) ("UnivariateLaurentSeriesConstructorCategory&" 0 NIL) ("UnivariateLaurentSeriesConstructor" 0 221936) ("UnivariateLaurentSeries" 0 221836) ("UnivariateFormalPowerSeriesFunctions" 0 221826) ("UnivariateFormalPowerSeries" 0 221738) ("UniqueFactorizationDomain&" 0 NIL) ("UnaryRecursiveAggregate&" 0 NIL) ("U8Vector" 0 221725) ("U32Vector" 0 221679) ("U16Vector" 0 221665) ("TwoFactorize" 0 221612) ("TwoDimensionalViewport" 0 221439) ("TwoDimensionalPlotClipping" 0 221393) ("TwoDimensionalArrayCategory&" 0 NIL) ("TwoDimensionalArray" 0 221377) ("TubePlotTools" 0 221336) ("TubePlot" 0 221251) ("TrigonometricManipulations" 0 221066) ("TrigonometricFunctionCategory&" 0 NIL) ("TriangularSetCategory&" 0 NIL) ("TriangularMatrixOperations" 0 220876) ("Tree" 0 220834) ("TranscendentalRischDESystem" 0 220806) ("TranscendentalRischDE" 0 220762) ("TranscendentalManipulations" 0 220646) ("TranscendentalIntegration" 0 220578) ("TranscendentalHermiteIntegration" 0 220548) ("TranscendentalFunctionCategory&" 0 NIL) ("TransSolvePackageService" 0 220526) ("TopLevelDrawFunctionsForCompiledFunctions" 0 220500) ("TopLevelDrawFunctions" 0 220488) ("ToolsForSign" 0 220381) ("ThreeSpace" 0 220129) ("ThreeDimensionalViewport" 0 220002) ("ThreeDimensionalMatrix" 0 219959) ("TheSymbolTable" 0 219909) ("TextFile" 0 219857) ("TexFormat" 0 219842) ("TemplateUtilities" 0 219822) ("TaylorSolve" 0 219802) ("TaylorSeries" 0 219775) ("TangentExpansions" 0 219736) ("TabulatedComputationPackage" 0 219600) ("Tableau" 0 219580) ("TableAggregate&" 0 NIL) ("Table" 0 218925) ("SystemSolvePackage" 0 218820) ("SystemODESolver" 0 218798) ("SymmetricPolynomial" 0 218752) ("SymmetricGroupCombinatoricFunctions" 0 218703) ("SymmetricFunctions" 0 218681) ("SymbolTable" 0 218402) ("Symbol" 0 210211) ("Switch" 0 210148) ("SupFractionFactorizer" 0 210133) ("SuchThat" 0 210053) ("SubSpaceComponentProperty" 0 209959) ("SubSpace" 0 209933) ("SubResultantPackage" 0 209828) ("StringAggregate&" 0 NIL) ("String" 0 198548) ("StreamTranscendentalFunctionsNonCommutative" 0 198512) ("StreamTranscendentalFunctions" 0 198299) ("StreamTaylorSeriesOperations" 0 197870) ("StreamInfiniteProduct" 0 197804) ("StreamFunctions3" 0 197611) ("StreamFunctions2" 0 197108) ("StreamFunctions1" 0 197070) ("StreamAggregate&" 0 NIL) ("Stream" 0 195207) ("StorageEfficientMatrixOperations" 0 195196) ("Stack" 0 195158) ("SquareMatrixCategory&" 0 NIL) ("SquareMatrix" 0 195025) ("SquareFreeRegularTriangularSetGcdPackage" 0 194898) ("SquareFreeRegularTriangularSet" 0 194801) ("SquareFreeRegularSetDecompositionPackage" 0 194766) ("SquareFreeQuasiComponentPackage" 0 194589) ("SplittingTree" 0 194562) ("SplittingNode" 0 194519) ("SparseUnivariateTaylorSeries" 0 194453) ("SparseUnivariateSkewPolynomial" 0 194387) ("SparseUnivariatePolynomialFunctions2" 0 193873) ("SparseUnivariatePolynomialExpressions" 0 193839) ("SparseUnivariatePolynomial" 0 187112) ("SparseUnivariateLaurentSeries" 0 187078) ("SparseMultivariateTaylorSeries" 0 187061) ("SparseMultivariatePolynomial" 0 185804) ("SortedCache" 0 185775) ("SmithNormalForm" 0 185743) ("SingletonAsOrderedSet" 0 185046) ("SingleInteger" 0 177323) ("SimpleCell" 0 177271) ("SimpleAlgebraicExtension" 0 177140) ("SetCategory&" 0 NIL) ("SetAggregate&" 0 NIL) ("Set" 0 176702) ("SequentialDifferentialVariable" 0 176665) ("SemiGroup&" 0 NIL) ("SegmentFunctions2" 0 176550) ("SegmentBindingFunctions2" 0 176508) ("SegmentBinding" 0 176141) ("Segment" 0 175056) ("ScriptFormulaFormat" 0 175031) ("SExpressionOf" 0 175015) ("SExpression" 0 174786) ("RoutinesTable" 0 174195) ("RootsFindingPackage" 0 174059) ("Ring&" 0 NIL) ("RightOpenIntervalRootCharacterization" 0 174043) ("RewriteRule" 0 173998) ("RetractableTo&" 0 NIL) ("RetractSolvePackage" 0 173972) ("Result" 0 172901) ("RepeatedSquaring" 0 172660) ("RepeatedDoubling" 0 172477) ("RegularTriangularSetGcdPackage" 0 172419) ("RegularTriangularSetCategory&" 0 NIL) ("RegularTriangularSet" 0 172402) ("RegularSetDecompositionPackage" 0 172377) ("RegularChain" 0 172322) ("Reference" 0 171939) ("ReductionOfOrder" 0 171906) ("ReduceLODE" 0 171884) ("RecursivePolynomialCategory&" 0 NIL) ("RecursiveAggregate&" 0 NIL) ("RecurrenceOperator" 0 171874) ("RectangularMatrixCategory&" 0 NIL) ("RealZeroPackage" 0 171794) ("RealSolvePackage" 0 171766) ("RealRootCharacterizationCategory&" 0 NIL) ("RealPolynomialUtilitiesPackage" 0 171711) ("RealNumberSystem&" 0 NIL) ("RealClosure" 0 171679) ("RealClosedField&" 0 NIL) ("RationalRicDE" 0 171589) ("RationalLODE" 0 171450) ("RationalIntegration" 0 171329) ("RationalFunctionSign" 0 171271) ("RationalFunctionIntegration" 0 171237) ("RationalFunctionFactor" 0 171204) ("RationalFunction" 0 171156) ("RationalFactorize" 0 170926) ("RandomNumberSource" 0 170846) ("RadixExpansion" 0 170784) ("RadicalSolvePackage" 0 170762) ("RadicalCategory&" 0 NIL) ("QuotientFieldCategoryFunctions2" 0 170739) ("QuotientFieldCategory&" 0 NIL) ("Queue" 0 170727) ("QueryEquation" 0 170714) ("QuaternionCategory&" 0 NIL) ("Quaternion" 0 170701) ("QuasiComponentPackage" 0 170587) ("QuasiAlgebraicSet" 0 170564) ("QuadraticForm" 0 170544) ("PushVariables" 0 170517) ("PureAlgebraicIntegration" 0 170440) ("PseudoRemainderSequence" 0 170355) ("PseudoLinearNormalForm" 0 170335) ("PseudoAlgebraicClosureOfRationalNumber" 0 170218) ("PseudoAlgebraicClosureOfFiniteField" 0 169947) ("ProjectiveSpace" 0 169927) ("ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField" 0 169814) ("ProjectivePlane" 0 169709) ("ProjectiveAlgebraicSetPackage" 0 169616) ("Product" 0 169575) ("PrintPackage" 0 169549) ("PrimitiveRatRicDE" 0 169531) ("PrimitiveRatDE" 0 169478) ("PrimitiveElement" 0 169444) ("PrimitiveArray" 0 168613) ("PrimeField" 0 168520) ("PrecomputedAssociatedEquations" 0 168496) ("PowerSeriesLimitPackage" 0 168404) ("PowerSeriesCategory&" 0 NIL) ("PositiveInteger" 0 158615) ("PolynomialSquareFree" 0 158591) ("PolynomialSolveByFormulas" 0 158567) ("PolynomialSetUtilitiesPackage" 0 158170) ("PolynomialSetCategory&" 0 NIL) ("PolynomialRoots" 0 158067) ("PolynomialRing" 0 157899) ("PolynomialPackageForCurve" 0 157802) ("PolynomialNumberTheoryFunctions" 0 157748) ("PolynomialInterpolationAlgorithms" 0 157720) ("PolynomialIdeals" 0 157669) ("PolynomialGcdPackage" 0 157593) ("PolynomialFunctions2" 0 157397) ("PolynomialFactorizationExplicit&" 0 NIL) ("PolynomialFactorizationByRecursionUnivariate" 0 157334) ("PolynomialFactorizationByRecursion" 0 157310) ("PolynomialDecomposition" 0 157280) ("PolynomialCategoryQuotientFunctions" 0 156881) ("PolynomialCategoryLifting" 0 156246) ("PolynomialCategory&" 0 NIL) ("Polynomial" 0 153833) ("PolyGroebner" 0 153787) ("PolToPol" 0 153750) ("PointsOfFiniteOrderTools" 0 153696) ("PointsOfFiniteOrder" 0 153673) ("PointPackage" 0 153532) ("Point" 0 153096) ("PoincareBirkhoffWittLyndonBasis" 0 153059) ("PlotTools" 0 153044) ("Plot3D" 0 152977) ("Plot" 0 152840) ("Plcs" 0 152781) ("PlaneAlgebraicCurvePlot" 0 152737) ("PlacesOverPseudoAlgebraicClosureOfFiniteField" 0 152685) ("Places" 0 152648) ("PiCoercions" 0 152626) ("Pi" 0 152590) ("PermutationGroup" 0 152561) ("Permutation" 0 152466) ("PatternMatchTools" 0 152403) ("PatternMatchSymbol" 0 152392) ("PatternMatchResultFunctions2" 0 152345) ("PatternMatchResult" 0 150927) ("PatternMatchQuotientFieldCategory" 0 150900) ("PatternMatchPushDown" 0 150779) ("PatternMatchPolynomialCategory" 0 150742) ("PatternMatchListResult" 0 150697) ("PatternMatchListAggregate" 0 150680) ("PatternMatchKernel" 0 150637) ("PatternMatchIntegration" 0 150518) ("PatternMatchIntegerNumberSystem" 0 150493) ("PatternMatchFunctionSpace" 0 150478) ("PatternFunctions1" 0 150408) ("Pattern" 0 148875) ("PartitionsAndPermutations" 0 148775) ("Partition" 0 148658) ("PartialDifferentialRing&" 0 NIL) ("ParametrizationPackage" 0 148539) ("ParametricSurface" 0 148439) ("ParametricSpaceCurve" 0 148336) ("ParametricPlaneCurve" 0 148233) ("ParadoxicalCombinatorsForStreams" 0 148032) ("Palette" 0 147830) ("PackageForPoly" 0 147523) ("PAdicRationalConstructor" 0 147481) ("PAdicInteger" 0 147463) ("OutputPackage" 0 147093) ("OutputForm" 0 137246) ("OrderlyDifferentialVariable" 0 137140) ("OrderlyDifferentialPolynomial" 0 137107) ("OrderedVariableList" 0 136554) ("OrderedSet&" 0 NIL) ("OrderedRing&" 0 NIL) ("OrderedFreeMonoid" 0 136402) ("OrderedCompletionFunctions2" 0 136331) ("OrderedCompletion" 0 135548) ("OrdSetInts" 0 135514) ("OpenMathPackage" 0 135488) ("OpenMathErrorKind" 0 135470) ("OpenMathEncoding" 0 135292) ("OpenMathDevice" 0 135110) ("OpenMathConnection" 0 135084) ("OnePointCompletionFunctions2" 0 135051) ("OnePointCompletion" 0 134238) ("OneDimensionalArrayAggregate&" 0 NIL) ("OneDimensionalArray" 0 134169) ("OctonionCategory&" 0 NIL) ("ODETools" 0 134121) ("ODEIntensityFunctionsTable" 0 134058) ("ODEIntegration" 0 133949) ("NumericalPDEProblem" 0 133906) ("NumericalOptimizationProblem" 0 133850) ("NumericalODEProblem" 0 133806) ("NumericalIntegrationProblem" 0 133743) ("NumericTubePlot" 0 133697) ("NumericRealEigenPackage" 0 133676) ("Numeric" 0 133637) ("NumberTheoreticPolynomialFunctions" 0 133607) ("NumberFormats" 0 133577) ("NormalizationPackage" 0 133404) ("NoneFunctions1" 0 133369) ("None" 0 133068) ("NonNegativeInteger" 0 117131) ("NonLinearSolvePackage" 0 117113) ("NonLinearFirstOrderODESolver" 0 117081) ("NonAssociativeRng&" 0 NIL) ("NonAssociativeRing&" 0 NIL) ("NonAssociativeAlgebra&" 0 NIL) ("NewtonPolygon" 0 117063) ("NewtonInterpolation" 0 117053) ("NewSparseUnivariatePolynomialFunctions2" 0 117017) ("NewSparseUnivariatePolynomial" 0 116939) ("NewSparseMultivariatePolynomial" 0 116827) ("NeitherSparseOrDensePowerSeries" 0 116740) ("NagPartialDifferentialEquationsPackage" 0 116721) ("NagOrdinaryDifferentialEquationsPackage" 0 116651) ("NagOptimisationPackage" 0 116495) ("NagIntegrationPackage" 0 116323) ("NagEigenPackage" 0 116302) ("NPCoef" 0 116278) ("NAGLinkSupportPackage" 0 115866) ("MyUnivariatePolynomial" 0 115849) ("MyExpression" 0 115819) ("MultivariateSquareFree" 0 115755) ("MultivariateLifting" 0 115667) ("MultivariateFactorize" 0 115334) ("Multiset" 0 115275) ("MultipleMap" 0 115200) ("MultiVariableCalculusFunctions" 0 115106) ("MultFiniteFactorize" 0 115032) ("MoreSystemCommands" 0 114953) ("MonomialExtensionTools" 0 114834) ("MonoidRing" 0 114809) ("Monoid&" 0 NIL) ("MonogenicAlgebra&" 0 NIL) ("MonadWithUnit&" 0 NIL) ("Monad&" 0 NIL) ("MoebiusTransform" 0 114787) ("ModuleOperator" 0 114774) ("ModuleMonomial" 0 114746) ("Module&" 0 NIL) ("ModularRing" 0 114706) ("ModularHermitianRowReduction" 0 114501) ("ModularDistinctDegreeFactorizer" 0 114444) ("ModMonic" 0 114334) ("MeshCreationRoutinesForThreeDimensions" 0 114288) ("MergeThing" 0 114275) ("MatrixLinearAlgebraFunctions" 0 114248) ("MatrixCommonDenominator" 0 114138) ("MatrixCategoryFunctions2" 0 113757) ("MatrixCategory&" 0 NIL) ("Matrix" 0 108873) ("MappingPackageInternalHacks3" 0 108853) ("MappingPackageInternalHacks2" 0 108833) ("MappingPackageInternalHacks1" 0 108813) ("MappingPackage1" 0 108719) ("MakeUnaryCompiledFunction" 0 108659) ("MakeFunction" 0 108600) ("MakeFloatCompiledFunction" 0 108536) ("MakeBinaryCompiledFunction" 0 108488) ("Magma" 0 108457) ("MachineInteger" 0 108423) ("MachineFloat" 0 108354) ("MRationalFactorize" 0 108190) ("MPolyCatRationalFunctionFactorizer" 0 108080) ("MPolyCatPolyFactorizer" 0 108043) ("MPolyCatFunctions3" 0 108030) ("MPolyCatFunctions2" 0 107943) ("LyndonWord" 0 107856) ("Logic&" 0 NIL) ("Localize" 0 107839) ("LocalParametrizationOfSimplePointPackage" 0 107746) ("LocalAlgebra" 0 107733) ("ListToMap" 0 107682) ("ListMultiDictionary" 0 107650) ("ListMonoidOps" 0 107598) ("ListFunctions2" 0 107158) ("ListAggregate&" 0 NIL) ("List" 0 89341) ("LiouvillianFunction" 0 89300) ("LinesOpPack" 0 89235) ("LinearSystemPolynomialPackage" 0 89212) ("LinearSystemMatrixPackage" 0 88878) ("LinearSystemFromPowerSeriesPackage" 0 88850) ("LinearPolynomialEquationByFractions" 0 88729) ("LinearOrdinaryDifferentialOperatorsOps" 0 88690) ("LinearOrdinaryDifferentialOperatorFactorizer" 0 88657) ("LinearOrdinaryDifferentialOperatorCategory&" 0 NIL) ("LinearOrdinaryDifferentialOperator2" 0 88624) ("LinearOrdinaryDifferentialOperator1" 0 88460) ("LinearOrdinaryDifferentialOperator" 0 88382) ("LinearDependence" 0 88354) ("LinearAggregate&" 0 NIL) ("LinGroebnerPackage" 0 88317) ("LiePolynomial" 0 88280) ("LieAlgebra&" 0 NIL) ("LexTriangularPackage" 0 88248) ("LeftAlgebra&" 0 NIL) ("LeadingCoefDetermination" 0 88208) ("LazyStreamAggregate&" 0 NIL) ("LaurentPolynomial" 0 88137) ("Kovacic" 0 88104) ("KeyedDictionary&" 0 NIL) ("KeyedAccessFile" 0 88092) ("KernelFunctions2" 0 88077) ("Kernel" 0 86228) ("IrredPolyOverFiniteField" 0 86188) ("Interval" 0 86141) ("IntersectionDivisorPackage" 0 86097) ("InterpolateFormsPackage" 0 86053) ("InternalRationalUnivariateRepresentationPackage" 0 85979) ("InternalPrintPackage" 0 85871) ("InterfaceGroebnerPackage" 0 85824) ("IntegrationTools" 0 85515) ("IntegrationResultToFunction" 0 85420) ("IntegrationResultRFToFunction" 0 85380) ("IntegrationResultFunctions2" 0 85181) ("IntegrationResult" 0 84809) ("IntegrationFunctionsTable" 0 84754) ("IntegralDomain&" 0 NIL) ("IntegralBasisTools" 0 84625) ("IntegralBasisPolynomialTools" 0 84585) ("IntegerSolveLinearPolynomialEquation" 0 84573) ("IntegerRoots" 0 84388) ("IntegerRetractions" 0 84356) ("IntegerPrimesPackage" 0 83924) ("IntegerNumberTheoryFunctions" 0 83823) ("IntegerNumberSystem&" 0 NIL) ("IntegerMod" 0 83803) ("IntegerLinearDependence" 0 83764) ("IntegerFactorizationPackage" 0 83640) ("IntegerCombinatoricFunctions" 0 83424) ("IntegerBits" 0 83393) ("Integer" 0 67618) ("InputFormFunctions1" 0 67599) ("InputForm" 0 65338) ("InnerTrigonometricManipulations" 0 65210) ("InnerTaylorSeries" 0 65120) ("InnerTable" 0 65110) ("InnerSparseUnivariatePowerSeries" 0 65013) ("InnerPrimeField" 0 64979) ("InnerPolySum" 0 64955) ("InnerPolySign" 0 64872) ("InnerPAdicInteger" 0 64832) ("InnerNumericFloatSolvePackage" 0 64735) ("InnerNumericEigenPackage" 0 64678) ("InnerNormalBasisFieldFunctions" 0 64630) ("InnerMultFact" 0 64584) ("InnerMatrixQuotientFieldFunctions" 0 64551) ("InnerMatrixLinearAlgebraFunctions" 0 64482) ("InnerIndexedTwoDimensionalArray" 0 64404) ("InnerFreeAbelianMonoid" 0 64363) ("InnerEvalable&" 0 NIL) ("InnerCommonDenominator" 0 64117) ("InnerAlgebraicNumber" 0 64097) ("InnerAlgFactor" 0 64028) ("InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField" 0 63976) ("InfinitlyClosePoint" 0 63902) ("InfiniteTuple" 0 63848) ("InfClsPt" 0 63811) ("IndexedVector" 0 63784) ("IndexedString" 0 63773) ("IndexedOneDimensionalArray" 0 63704) ("IndexedList" 0 63695) ("IndexedFlexibleArray" 0 63608) ("IndexedExponents" 0 63307) ("IndexedDirectProductOrderedAbelianMonoidSup" 0 63286) ("IndexedDirectProductOrderedAbelianMonoid" 0 63238) ("IndexedDirectProductObject" 0 63200) ("IndexedDirectProductAbelianMonoid" 0 63120) ("IndexedDirectProductAbelianGroup" 0 63105) ("IndexedBits" 0 63096) ("IndexedAggregate&" 0 NIL) ("IdealDecompositionPackage" 0 63073) ("HyperbolicFunctionCategory&" 0 NIL) ("HomogeneousDistributedMultivariatePolynomial" 0 63004) ("HomogeneousDirectProduct" 0 62923) ("HomogeneousAggregate&" 0 NIL) ("HeuGcd" 0 62911) ("HashTable" 0 62855) ("HallBasis" 0 62834) ("GuessOptionFunctions0" 0 62824) ("GuessOption" 0 62790) ("GuessFiniteFunctions" 0 62774) ("Guess" 0 62674) ("Group&" 0 NIL) ("GroebnerPackage" 0 62445) ("GroebnerInternalPackage" 0 62318) ("GrayCode" 0 62304) ("GraphicsDefaults" 0 62204) ("GraphImage" 0 62116) ("GradedModule&" 0 NIL) ("GradedAlgebra&" 0 NIL) ("GosperSummationMethod" 0 62073) ("GenusZeroIntegration" 0 62044) ("GeneralizedMultivariateFactorize" 0 61972) ("GeneralTriangularSet" 0 61913) ("GeneralSparseTable" 0 61897) ("GeneralPolynomialSet" 0 61706) ("GeneralPolynomialGcdPackage" 0 61682) ("GeneralPackageForAlgebraicFunctionField" 0 61595) ("GeneralHenselPackage" 0 61509) ("GeneralDistributedMultivariatePolynomial" 0 61424) ("GenUFactorize" 0 61372) ("GenExEuclid" 0 61198) ("GcdDomain&" 0 NIL) ("GaloisGroupUtilities" 0 61160) ("GaloisGroupPolynomialUtilities" 0 61134) ("GaloisGroupFactorizer" 0 61086) ("GaloisGroupFactorizationUtilities" 0 61043) ("FunctionalSpecialFunction" 0 61028) ("FunctionSpaceUnivariatePolynomialFactor" 0 60929) ("FunctionSpaceToUnivariatePowerSeries" 0 60889) ("FunctionSpacePrimitiveElement" 0 60812) ("FunctionSpaceIntegration" 0 60574) ("FunctionSpaceFunctions2" 0 60490) ("FunctionSpaceComplexIntegration" 0 60461) ("FunctionSpaceAttachPredicates" 0 60414) ("FunctionSpaceAssertions" 0 60347) ("FunctionSpace&" 0 NIL) ("FunctionFieldCategoryFunctions2" 0 60319) ("FunctionFieldCategory&" 0 NIL) ("FullyRetractableTo&" 0 NIL) ("FullyLinearlyExplicitRingOver&" 0 NIL) ("FullyEvalableOver&" 0 NIL) ("FreeMonoid" 0 60297) ("FreeModule1" 0 60221) ("FreeModule" 0 60116) ("FreeGroup" 0 60086) ("FreeAbelianGroup" 0 60067) ("FramedNonAssociativeAlgebra&" 0 NIL) ("FramedModule" 0 60049) ("FramedAlgebra&" 0 NIL) ("FractionalIdealFunctions2" 0 60021) ("FractionalIdeal" 0 59853) ("FractionFreeFastGaussianFractions" 0 59843) ("FractionFreeFastGaussian" 0 59797) ("Fraction" 0 51879) ("FourierComponent" 0 51861) ("FortranType" 0 51571) ("FortranScalarType" 0 51291) ("FortranPackage" 0 51081) ("FortranOutputStackPackage" 0 50836) ("FortranExpression" 0 50671) ("FortranCode" 0 50404) ("FloatingRealPackage" 0 50383) ("FloatingPointSystem&" 0 NIL) ("Float" 0 48529) ("FlexibleArray" 0 48504) ("FiniteSetAggregate&" 0 NIL) ("FiniteRankNonAssociativeAlgebra&" 0 NIL) ("FiniteRankAlgebra&" 0 NIL) ("FiniteLinearAggregateSort" 0 48470) ("FiniteLinearAggregateFunctions2" 0 48291) ("FiniteLinearAggregate&" 0 NIL) ("FiniteFieldSquareFreeDecomposition" 0 48210) ("FiniteFieldSolveLinearPolynomialEquation" 0 48179) ("FiniteFieldPolynomialPackage" 0 47977) ("FiniteFieldNormalBasisExtensionByPolynomial" 0 47916) ("FiniteFieldFunctions" 0 47763) ("FiniteFieldFactorizationWithSizeParseBySideEffect" 0 47701) ("FiniteFieldExtensionByPolynomial" 0 47616) ("FiniteFieldExtension" 0 47595) ("FiniteFieldCyclicGroupExtensionByPolynomial" 0 47534) ("FiniteFieldCategory&" 0 NIL) ("FiniteDivisorCategory&" 0 NIL) ("FiniteDivisor" 0 47398) ("FiniteAlgebraicExtensionField&" 0 NIL) ("FiniteAbelianMonoidRingFunctions2" 0 47360) ("FiniteAbelianMonoidRing&" 0 NIL) ("Finite&" 0 NIL) ("FileName" 0 46968) ("File" 0 46914) ("FieldOfPrimeCharacteristic&" 0 NIL) ("Field&" 0 NIL) ("FactorisationOverPseudoAlgebraicClosureOfRationalNumber" 0 46805) ("FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber" 0 46754) ("FactoringUtilities" 0 46666) ("FactoredFunctions2" 0 46471) ("FactoredFunctions" 0 46402) ("FactoredFunctionUtilities" 0 46287) ("Factored" 0 41805) ("ExtensionField&" 0 NIL) ("ExtensibleLinearAggregate&" 0 NIL) ("ExtAlgBasis" 0 41776) ("ExpressionSpaceFunctions2" 0 41678) ("ExpressionSpace&" 0 NIL) ("ExpressionSolve" 0 41655) ("ExpressionFunctions2" 0 41278) ("Expression" 0 39442) ("ExponentialOfUnivariatePuiseuxSeries" 0 39327) ("ExponentialExpansion" 0 39287) ("ExpertSystemToolsPackage2" 0 39249) ("ExpertSystemToolsPackage1" 0 39228) ("ExpertSystemToolsPackage" 0 38737) ("ExpertSystemContinuityPackage" 0 38699) ("Exit" 0 38429) ("Evalable&" 0 NIL) ("EuclideanModularRing" 0 38409) ("EuclideanGroebnerBasisPackage" 0 38379) ("EuclideanDomain&" 0 NIL) ("ErrorFunctions" 0 38171) ("Equation" 0 34772) ("EltableAggregate&" 0 NIL) ("ElementaryRischDESystem" 0 34746) ("ElementaryRischDE" 0 34720) ("ElementaryIntegration" 0 34657) ("ElementaryFunctionsUnivariatePuiseuxSeries" 0 34617) ("ElementaryFunctionsUnivariateLaurentSeries" 0 34546) ("ElementaryFunctionStructurePackage" 0 34216) ("ElementaryFunctionSign" 0 33854) ("ElementaryFunctionODESolver" 0 33821) ("ElementaryFunctionCategory&" 0 NIL) ("ElementaryFunction" 0 33806) ("EigenPackage" 0 33782) ("DrawOptionFunctions1" 0 33757) ("DrawOptionFunctions0" 0 33553) ("DrawOption" 0 33381) ("DoubleResultantPackage" 0 33358) ("DoubleFloatVector" 0 33336) ("DoubleFloatSpecialFunctions" 0 33320) ("DoubleFloat" 0 31188) ("Divisor" 0 30965) ("DivisionRing&" 0 NIL) ("DistributedMultivariatePolynomial" 0 30560) ("DistinctDegreeFactorize" 0 30241) ("DisplayPackage" 0 30215) ("DiscreteLogarithmPackage" 0 30190) ("DirectProductCategory&" 0 NIL) ("DirectProduct" 0 29628) ("DifferentialVariableCategory&" 0 NIL) ("DifferentialSparseMultivariatePolynomial" 0 29518) ("DifferentialRing&" 0 NIL) ("DifferentialPolynomialCategory&" 0 NIL) ("DifferentialExtension&" 0 NIL) ("DictionaryOperations&" 0 NIL) ("Dictionary&" 0 NIL) ("DesingTreePackage" 0 29445) ("DesingTree" 0 29358) ("DegreeReductionPackage" 0 29334) ("DefiniteIntegrationTools" 0 29254) ("Database" 0 29234) ("DataList" 0 29221) ("CylindricalAlgebraicDecompositionUtilities" 0 29163) ("CyclotomicPolynomialPackage" 0 29115) ("CyclicStreamTools" 0 29081) ("CoordinateSystems" 0 29039) ("ContinuedFraction" 0 28924) ("ConstantLODE" 0 28891) ("ComplexRootPackage" 0 28832) ("ComplexPatternMatch" 0 28811) ("ComplexPattern" 0 28790) ("ComplexIntegerSolveLinearPolynomialEquation" 0 28769) ("ComplexFunctions2" 0 28737) ("ComplexFactorization" 0 28669) ("ComplexDoubleFloatVector" 0 28640) ("ComplexCategory&" 0 NIL) ("Complex" 0 28054) ("CommuteUnivariatePolynomialCategory" 0 27907) ("Commutator" 0 27886) ("CommonOperators" 0 27733) ("CommonDenominator" 0 27599) ("CombinatorialFunction" 0 27584) ("Color" 0 27485) ("Collection&" 0 NIL) ("CoerceVectorMatrixPackage" 0 27421) ("ChineseRemainderToolsForIntegralBases" 0 27381) ("CharacteristicPolynomialInMonogenicalAlgebra" 0 27359) ("CharacterClass" 0 27286) ("Character" 0 26964) ("ChangeOfVariable" 0 26864) ("Cell" 0 26819) ("CartesianTensor" 0 26789) ("CardinalNumber" 0 26072) ("BrillhartTests" 0 26046) ("BoundIntegerRoots" 0 26012) ("Boolean" 0 7575) ("BlowUpPackage" 0 7553) ("Bits" 0 7526) ("BitAggregate&" 0 NIL) ("BinaryTreeCategory&" 0 NIL) ("BinaryTree" 0 7465) ("BinaryRecursiveAggregate&" 0 NIL) ("BasicType&" 0 NIL) ("BasicStochasticDifferential" 0 7438) ("BasicOperatorFunctions1" 0 7245) ("BasicOperator" 0 5838) ("BasicFunctions" 0 5804) ("BalancedPAdicInteger" 0 5778) ("BalancedFactorisation" 0 5739) ("BagAggregate&" 0 NIL) ("Automorphism" 0 5559) ("AttributeButtons" 0 5285) ("AssociationList" 0 5133) ("AssociatedLieAlgebra" 0 5113) ("Asp9" 0 5018) ("Asp80" 0 4974) ("Asp8" 0 4879) ("Asp78" 0 4835) ("Asp77" 0 4791) ("Asp74" 0 4731) ("Asp73" 0 4671) ("Asp7" 0 4559) ("Asp6" 0 4533) ("Asp55" 0 4489) ("Asp50" 0 4445) ("Asp49" 0 4384) ("Asp42" 0 4340) ("Asp41" 0 4296) ("Asp4" 0 4236) ("Asp35" 0 4210) ("Asp34" 0 4174) ("Asp33" 0 4130) ("Asp31" 0 4069) ("Asp30" 0 4033) ("Asp29" 0 4013) ("Asp28" 0 3959) ("Asp27" 0 3939) ("Asp24" 0 3895) ("Asp20" 0 3851) ("Asp19" 0 3807) ("Asp12" 0 3763) ("Asp10" 0 3719) ("Asp1" 0 3533) ("ArcTrigonometricFunctionCategory&" 0 NIL) ("ApplyUnivariateSkewPolynomial" 0 3493) ("ApplyRules" 0 3437) ("AnyFunctions1" 0 2370) ("Any" 0 1020) ("AntiSymm" 0 1002) ("AnnaNumericalOptimizationPackage" 0 981) ("AnnaNumericalIntegrationPackage" 0 952) ("AlgebraicallyClosedFunctionSpace&" 0 NIL) ("AlgebraicallyClosedField&" 0 NIL) ("AlgebraicNumber" 0 779) ("AlgebraicManipulations" 0 493) ("AlgebraicIntegration" 0 467) ("AlgebraicHermiteIntegration" 0 444) ("AlgebraicFunction" 0 429) ("AlgebraGivenByStructuralConstants" 0 396) ("Algebra&" 0 NIL) ("AlgFactor" 0 289) ("Aggregate&" 0 NIL) ("AffineSpace" 0 273) ("AffinePlane" 0 88) ("AffineAlgebraicSetComputeWithResultant" 0 54) ("AffineAlgebraicSetComputeWithGroebnerBasis" 0 20) ("AbelianSemiGroup&" 0 NIL) ("AbelianMonoidRing&" 0 NIL) ("AbelianMonoid&" 0 NIL) ("AbelianGroup&" 0 NIL))
\ No newline at end of file
+(("e04ucfAnnaType" 0 237907) ("e04nafAnnaType" 0 237870) ("e04mbfAnnaType" 0 237833) ("e04jafAnnaType" 0 237796) ("e04gcfAnnaType" 0 237759) ("e04fdfAnnaType" 0 237722) ("e04dgfAnnaType" 0 237685) ("e04AgentsPackage" 0 237546) ("d03eefAnnaType" 0 237503) ("d03AgentsPackage" 0 237484) ("d02ejfAnnaType" 0 237440) ("d02cjfAnnaType" 0 237396) ("d02bhfAnnaType" 0 237352) ("d02bbfAnnaType" 0 237308) ("d02AgentsPackage" 0 237238) ("d01gbfAnnaType" 0 237202) ("d01fcfAnnaType" 0 237166) ("d01asfAnnaType" 0 237130) ("d01aqfAnnaType" 0 237094) ("d01apfAnnaType" 0 237058) ("d01anfAnnaType" 0 237022) ("d01amfAnnaType" 0 236986) ("d01alfAnnaType" 0 236950) ("d01akfAnnaType" 0 236914) ("d01ajfAnnaType" 0 236878) ("d01WeightsPackage" 0 236825) ("d01TransformFunctionType" 0 236789) ("d01AgentsPackage" 0 236536) ("XRecursivePolynomial" 0 236487) ("XPolynomialRing" 0 236460) ("XPBWPolynomial" 0 236440) ("XDistributedPolynomial" 0 236350) ("WildFunctionFieldIntegralBasis" 0 236310) ("WeightedPolynomials" 0 236278) ("Void" 0 231849) ("ViewportPackage" 0 231761) ("ViewDefaultsPackage" 0 231549) ("VectorSpace&" 0 NIL) ("VectorFunctions2" 0 231240) ("VectorCategory&" 0 NIL) ("Vector" 0 226102) ("Variable" 0 225727) ("UserDefinedPartialOrdering" 0 225665) ("UniversalSegmentFunctions2" 0 225631) ("UniversalSegment" 0 224765) ("UnivariateTaylorSeriesFunctions2" 0 224727) ("UnivariateTaylorSeriesCategory&" 0 NIL) ("UnivariateTaylorSeriesCZero" 0 224598) ("UnivariateTaylorSeries" 0 224437) ("UnivariateSkewPolynomialCategoryOps" 0 224402) ("UnivariateSkewPolynomialCategory&" 0 NIL) ("UnivariatePuiseuxSeriesWithExponentialSingularity" 0 224339) ("UnivariatePuiseuxSeriesConstructorCategory&" 0 NIL) ("UnivariatePuiseuxSeriesConstructor" 0 224279) ("UnivariatePuiseuxSeries" 0 224058) ("UnivariatePowerSeriesCategory&" 0 NIL) ("UnivariatePolynomialSquareFree" 0 223939) ("UnivariatePolynomialDivisionPackage" 0 223894) ("UnivariatePolynomialDecompositionPackage" 0 223868) ("UnivariatePolynomialCommonDenominator" 0 223655) ("UnivariatePolynomialCategoryFunctions2" 0 222531) ("UnivariatePolynomialCategory&" 0 NIL) ("UnivariatePolynomial" 0 222222) ("UnivariateLaurentSeriesFunctions2" 0 222184) ("UnivariateLaurentSeriesConstructorCategory&" 0 NIL) ("UnivariateLaurentSeriesConstructor" 0 222156) ("UnivariateLaurentSeries" 0 222056) ("UnivariateFormalPowerSeriesFunctions" 0 222046) ("UnivariateFormalPowerSeries" 0 221958) ("UniqueFactorizationDomain&" 0 NIL) ("UnaryRecursiveAggregate&" 0 NIL) ("U8Vector" 0 221945) ("U32Vector" 0 221899) ("U16Vector" 0 221885) ("TwoFactorize" 0 221832) ("TwoDimensionalViewport" 0 221659) ("TwoDimensionalPlotClipping" 0 221613) ("TwoDimensionalArrayCategory&" 0 NIL) ("TwoDimensionalArray" 0 221597) ("TubePlotTools" 0 221556) ("TubePlot" 0 221471) ("TrigonometricManipulations" 0 221286) ("TrigonometricFunctionCategory&" 0 NIL) ("TriangularSetCategory&" 0 NIL) ("TriangularMatrixOperations" 0 221096) ("Tree" 0 221054) ("TranscendentalRischDESystem" 0 221026) ("TranscendentalRischDE" 0 220982) ("TranscendentalManipulations" 0 220866) ("TranscendentalIntegration" 0 220798) ("TranscendentalHermiteIntegration" 0 220768) ("TranscendentalFunctionCategory&" 0 NIL) ("TransSolvePackageService" 0 220746) ("TopLevelDrawFunctionsForCompiledFunctions" 0 220720) ("TopLevelDrawFunctions" 0 220708) ("ToolsForSign" 0 220601) ("ThreeSpace" 0 220349) ("ThreeDimensionalViewport" 0 220222) ("ThreeDimensionalMatrix" 0 220179) ("TheSymbolTable" 0 220129) ("TextFile" 0 220077) ("TexFormat" 0 220062) ("TemplateUtilities" 0 220042) ("TaylorSolve" 0 220022) ("TaylorSeries" 0 219995) ("TangentExpansions" 0 219956) ("TabulatedComputationPackage" 0 219820) ("Tableau" 0 219800) ("TableAggregate&" 0 NIL) ("Table" 0 219145) ("SystemSolvePackage" 0 219040) ("SystemODESolver" 0 219018) ("SymmetricPolynomial" 0 218972) ("SymmetricGroupCombinatoricFunctions" 0 218923) ("SymmetricFunctions" 0 218901) ("SymbolTable" 0 218622) ("Symbol" 0 210409) ("Switch" 0 210346) ("SupFractionFactorizer" 0 210331) ("SuchThat" 0 210251) ("SubSpaceComponentProperty" 0 210157) ("SubSpace" 0 210131) ("SubResultantPackage" 0 210026) ("StringAggregate&" 0 NIL) ("String" 0 198724) ("StreamTranscendentalFunctionsNonCommutative" 0 198688) ("StreamTranscendentalFunctions" 0 198475) ("StreamTaylorSeriesOperations" 0 198046) ("StreamInfiniteProduct" 0 197980) ("StreamFunctions3" 0 197787) ("StreamFunctions2" 0 197284) ("StreamFunctions1" 0 197246) ("StreamAggregate&" 0 NIL) ("Stream" 0 195383) ("StorageEfficientMatrixOperations" 0 195372) ("Stack" 0 195334) ("SquareMatrixCategory&" 0 NIL) ("SquareMatrix" 0 195201) ("SquareFreeRegularTriangularSetGcdPackage" 0 195074) ("SquareFreeRegularTriangularSet" 0 194977) ("SquareFreeRegularSetDecompositionPackage" 0 194942) ("SquareFreeQuasiComponentPackage" 0 194765) ("SplittingTree" 0 194738) ("SplittingNode" 0 194695) ("SparseUnivariateTaylorSeries" 0 194629) ("SparseUnivariateSkewPolynomial" 0 194563) ("SparseUnivariatePolynomialFunctions2" 0 194049) ("SparseUnivariatePolynomialExpressions" 0 194015) ("SparseUnivariatePolynomial" 0 187288) ("SparseUnivariateLaurentSeries" 0 187254) ("SparseMultivariateTaylorSeries" 0 187237) ("SparseMultivariatePolynomial" 0 185980) ("SortedCache" 0 185951) ("SmithNormalForm" 0 185919) ("SingletonAsOrderedSet" 0 185222) ("SingleInteger" 0 177499) ("SimpleCell" 0 177447) ("SimpleAlgebraicExtension" 0 177316) ("SetCategory&" 0 NIL) ("SetAggregate&" 0 NIL) ("Set" 0 176878) ("SequentialDifferentialVariable" 0 176841) ("SemiGroup&" 0 NIL) ("SegmentFunctions2" 0 176726) ("SegmentBindingFunctions2" 0 176684) ("SegmentBinding" 0 176317) ("Segment" 0 175232) ("ScriptFormulaFormat" 0 175207) ("SExpressionOf" 0 175191) ("SExpression" 0 174962) ("RoutinesTable" 0 174371) ("RootsFindingPackage" 0 174235) ("Ring&" 0 NIL) ("RightOpenIntervalRootCharacterization" 0 174219) ("RewriteRule" 0 174174) ("RetractableTo&" 0 NIL) ("RetractSolvePackage" 0 174148) ("Result" 0 173077) ("RepeatedSquaring" 0 172836) ("RepeatedDoubling" 0 172653) ("RegularTriangularSetGcdPackage" 0 172595) ("RegularTriangularSetCategory&" 0 NIL) ("RegularTriangularSet" 0 172578) ("RegularSetDecompositionPackage" 0 172553) ("RegularChain" 0 172498) ("Reference" 0 172115) ("ReductionOfOrder" 0 172082) ("ReduceLODE" 0 172060) ("RecursivePolynomialCategory&" 0 NIL) ("RecursiveAggregate&" 0 NIL) ("RecurrenceOperator" 0 172050) ("RectangularMatrixCategory&" 0 NIL) ("RealZeroPackage" 0 171970) ("RealSolvePackage" 0 171942) ("RealRootCharacterizationCategory&" 0 NIL) ("RealPolynomialUtilitiesPackage" 0 171887) ("RealNumberSystem&" 0 NIL) ("RealClosure" 0 171855) ("RealClosedField&" 0 NIL) ("RationalRicDE" 0 171765) ("RationalLODE" 0 171626) ("RationalIntegration" 0 171505) ("RationalFunctionSign" 0 171447) ("RationalFunctionIntegration" 0 171413) ("RationalFunctionFactor" 0 171380) ("RationalFunction" 0 171332) ("RationalFactorize" 0 171102) ("RandomNumberSource" 0 171022) ("RadixExpansion" 0 170960) ("RadicalSolvePackage" 0 170938) ("RadicalCategory&" 0 NIL) ("QuotientFieldCategoryFunctions2" 0 170915) ("QuotientFieldCategory&" 0 NIL) ("Queue" 0 170903) ("QueryEquation" 0 170890) ("QuaternionCategory&" 0 NIL) ("Quaternion" 0 170877) ("QuasiComponentPackage" 0 170763) ("QuasiAlgebraicSet" 0 170740) ("QuadraticForm" 0 170720) ("PushVariables" 0 170693) ("PureAlgebraicIntegration" 0 170616) ("PseudoRemainderSequence" 0 170531) ("PseudoLinearNormalForm" 0 170511) ("PseudoAlgebraicClosureOfRationalNumber" 0 170394) ("PseudoAlgebraicClosureOfFiniteField" 0 170123) ("ProjectiveSpace" 0 170103) ("ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField" 0 169990) ("ProjectivePlane" 0 169885) ("ProjectiveAlgebraicSetPackage" 0 169792) ("Product" 0 169751) ("PrintPackage" 0 169725) ("PrimitiveRatRicDE" 0 169707) ("PrimitiveRatDE" 0 169654) ("PrimitiveElement" 0 169620) ("PrimitiveArray" 0 168789) ("PrimeField" 0 168696) ("PrecomputedAssociatedEquations" 0 168672) ("PowerSeriesLimitPackage" 0 168580) ("PowerSeriesCategory&" 0 NIL) ("PositiveInteger" 0 158769) ("PolynomialSquareFree" 0 158745) ("PolynomialSolveByFormulas" 0 158721) ("PolynomialSetUtilitiesPackage" 0 158324) ("PolynomialSetCategory&" 0 NIL) ("PolynomialRoots" 0 158221) ("PolynomialRing" 0 158053) ("PolynomialPackageForCurve" 0 157956) ("PolynomialNumberTheoryFunctions" 0 157902) ("PolynomialInterpolationAlgorithms" 0 157874) ("PolynomialIdeals" 0 157823) ("PolynomialGcdPackage" 0 157747) ("PolynomialFunctions2" 0 157551) ("PolynomialFactorizationExplicit&" 0 NIL) ("PolynomialFactorizationByRecursionUnivariate" 0 157488) ("PolynomialFactorizationByRecursion" 0 157464) ("PolynomialDecomposition" 0 157434) ("PolynomialCategoryQuotientFunctions" 0 157035) ("PolynomialCategoryLifting" 0 156400) ("PolynomialCategory&" 0 NIL) ("Polynomial" 0 153987) ("PolyGroebner" 0 153941) ("PolToPol" 0 153904) ("PointsOfFiniteOrderTools" 0 153850) ("PointsOfFiniteOrder" 0 153827) ("PointPackage" 0 153686) ("Point" 0 153250) ("PoincareBirkhoffWittLyndonBasis" 0 153213) ("PlotTools" 0 153198) ("Plot3D" 0 153131) ("Plot" 0 152994) ("Plcs" 0 152935) ("PlaneAlgebraicCurvePlot" 0 152891) ("PlacesOverPseudoAlgebraicClosureOfFiniteField" 0 152839) ("Places" 0 152802) ("PiCoercions" 0 152780) ("Pi" 0 152744) ("PermutationGroup" 0 152715) ("Permutation" 0 152620) ("PatternMatchTools" 0 152557) ("PatternMatchSymbol" 0 152546) ("PatternMatchResultFunctions2" 0 152499) ("PatternMatchResult" 0 151081) ("PatternMatchQuotientFieldCategory" 0 151054) ("PatternMatchPushDown" 0 150933) ("PatternMatchPolynomialCategory" 0 150896) ("PatternMatchListResult" 0 150851) ("PatternMatchListAggregate" 0 150834) ("PatternMatchKernel" 0 150791) ("PatternMatchIntegration" 0 150672) ("PatternMatchIntegerNumberSystem" 0 150647) ("PatternMatchFunctionSpace" 0 150632) ("PatternFunctions1" 0 150562) ("Pattern" 0 149029) ("PartitionsAndPermutations" 0 148929) ("Partition" 0 148812) ("PartialDifferentialRing&" 0 NIL) ("ParametrizationPackage" 0 148693) ("ParametricSurface" 0 148593) ("ParametricSpaceCurve" 0 148490) ("ParametricPlaneCurve" 0 148387) ("ParadoxicalCombinatorsForStreams" 0 148186) ("Palette" 0 147984) ("PackageForPoly" 0 147677) ("PAdicRationalConstructor" 0 147635) ("PAdicInteger" 0 147617) ("OutputPackage" 0 147247) ("OutputForm" 0 137378) ("OrderlyDifferentialVariable" 0 137272) ("OrderlyDifferentialPolynomial" 0 137239) ("OrderedVariableList" 0 136686) ("OrderedSet&" 0 NIL) ("OrderedRing&" 0 NIL) ("OrderedFreeMonoid" 0 136534) ("OrderedCompletionFunctions2" 0 136463) ("OrderedCompletion" 0 135680) ("OrdSetInts" 0 135646) ("OpenMathPackage" 0 135620) ("OpenMathErrorKind" 0 135602) ("OpenMathEncoding" 0 135424) ("OpenMathDevice" 0 135242) ("OpenMathConnection" 0 135216) ("OnePointCompletionFunctions2" 0 135183) ("OnePointCompletion" 0 134370) ("OneDimensionalArrayAggregate&" 0 NIL) ("OneDimensionalArray" 0 134301) ("OctonionCategory&" 0 NIL) ("ODETools" 0 134253) ("ODEIntensityFunctionsTable" 0 134190) ("ODEIntegration" 0 134081) ("NumericalPDEProblem" 0 134038) ("NumericalOptimizationProblem" 0 133982) ("NumericalODEProblem" 0 133938) ("NumericalIntegrationProblem" 0 133875) ("NumericTubePlot" 0 133829) ("NumericRealEigenPackage" 0 133808) ("Numeric" 0 133769) ("NumberTheoreticPolynomialFunctions" 0 133739) ("NumberFormats" 0 133709) ("NormalizationPackage" 0 133536) ("NoneFunctions1" 0 133501) ("None" 0 133200) ("NonNegativeInteger" 0 117241) ("NonLinearSolvePackage" 0 117223) ("NonLinearFirstOrderODESolver" 0 117191) ("NonAssociativeRng&" 0 NIL) ("NonAssociativeRing&" 0 NIL) ("NonAssociativeAlgebra&" 0 NIL) ("NewtonPolygon" 0 117173) ("NewtonInterpolation" 0 117163) ("NewSparseUnivariatePolynomialFunctions2" 0 117127) ("NewSparseUnivariatePolynomial" 0 117049) ("NewSparseMultivariatePolynomial" 0 116937) ("NeitherSparseOrDensePowerSeries" 0 116850) ("NagPartialDifferentialEquationsPackage" 0 116831) ("NagOrdinaryDifferentialEquationsPackage" 0 116761) ("NagOptimisationPackage" 0 116605) ("NagIntegrationPackage" 0 116433) ("NagEigenPackage" 0 116412) ("NPCoef" 0 116388) ("NAGLinkSupportPackage" 0 115976) ("MyUnivariatePolynomial" 0 115959) ("MyExpression" 0 115929) ("MultivariateSquareFree" 0 115865) ("MultivariateLifting" 0 115777) ("MultivariateFactorize" 0 115444) ("Multiset" 0 115385) ("MultipleMap" 0 115310) ("MultiVariableCalculusFunctions" 0 115216) ("MultFiniteFactorize" 0 115142) ("MoreSystemCommands" 0 115063) ("MonomialExtensionTools" 0 114944) ("MonoidRing" 0 114919) ("Monoid&" 0 NIL) ("MonogenicAlgebra&" 0 NIL) ("MonadWithUnit&" 0 NIL) ("Monad&" 0 NIL) ("MoebiusTransform" 0 114897) ("ModuleOperator" 0 114884) ("ModuleMonomial" 0 114856) ("Module&" 0 NIL) ("ModularRing" 0 114816) ("ModularHermitianRowReduction" 0 114611) ("ModularDistinctDegreeFactorizer" 0 114554) ("ModMonic" 0 114444) ("MeshCreationRoutinesForThreeDimensions" 0 114398) ("MergeThing" 0 114385) ("MatrixLinearAlgebraFunctions" 0 114358) ("MatrixCommonDenominator" 0 114248) ("MatrixCategoryFunctions2" 0 113867) ("MatrixCategory&" 0 NIL) ("Matrix" 0 108961) ("MappingPackageInternalHacks3" 0 108941) ("MappingPackageInternalHacks2" 0 108921) ("MappingPackageInternalHacks1" 0 108901) ("MappingPackage1" 0 108807) ("MakeUnaryCompiledFunction" 0 108747) ("MakeFunction" 0 108688) ("MakeFloatCompiledFunction" 0 108624) ("MakeBinaryCompiledFunction" 0 108576) ("Magma" 0 108545) ("MachineInteger" 0 108511) ("MachineFloat" 0 108442) ("MRationalFactorize" 0 108278) ("MPolyCatRationalFunctionFactorizer" 0 108168) ("MPolyCatPolyFactorizer" 0 108131) ("MPolyCatFunctions3" 0 108118) ("MPolyCatFunctions2" 0 108031) ("LyndonWord" 0 107944) ("Logic&" 0 NIL) ("Localize" 0 107927) ("LocalParametrizationOfSimplePointPackage" 0 107834) ("LocalAlgebra" 0 107821) ("ListToMap" 0 107770) ("ListMultiDictionary" 0 107738) ("ListMonoidOps" 0 107686) ("ListFunctions2" 0 107246) ("ListAggregate&" 0 NIL) ("List" 0 89407) ("LiouvillianFunction" 0 89366) ("LinesOpPack" 0 89301) ("LinearSystemPolynomialPackage" 0 89278) ("LinearSystemMatrixPackage" 0 88944) ("LinearSystemFromPowerSeriesPackage" 0 88916) ("LinearPolynomialEquationByFractions" 0 88795) ("LinearOrdinaryDifferentialOperatorsOps" 0 88756) ("LinearOrdinaryDifferentialOperatorFactorizer" 0 88723) ("LinearOrdinaryDifferentialOperatorCategory&" 0 NIL) ("LinearOrdinaryDifferentialOperator2" 0 88690) ("LinearOrdinaryDifferentialOperator1" 0 88526) ("LinearOrdinaryDifferentialOperator" 0 88448) ("LinearDependence" 0 88420) ("LinearAggregate&" 0 NIL) ("LinGroebnerPackage" 0 88383) ("LiePolynomial" 0 88346) ("LieAlgebra&" 0 NIL) ("LexTriangularPackage" 0 88314) ("LeftAlgebra&" 0 NIL) ("LeadingCoefDetermination" 0 88274) ("LazyStreamAggregate&" 0 NIL) ("LaurentPolynomial" 0 88203) ("Kovacic" 0 88170) ("KeyedDictionary&" 0 NIL) ("KeyedAccessFile" 0 88158) ("KernelFunctions2" 0 88143) ("Kernel" 0 86294) ("IrredPolyOverFiniteField" 0 86254) ("Interval" 0 86207) ("IntersectionDivisorPackage" 0 86163) ("InterpolateFormsPackage" 0 86119) ("InternalRationalUnivariateRepresentationPackage" 0 86045) ("InternalPrintPackage" 0 85937) ("InterfaceGroebnerPackage" 0 85890) ("IntegrationTools" 0 85581) ("IntegrationResultToFunction" 0 85486) ("IntegrationResultRFToFunction" 0 85446) ("IntegrationResultFunctions2" 0 85247) ("IntegrationResult" 0 84875) ("IntegrationFunctionsTable" 0 84820) ("IntegralDomain&" 0 NIL) ("IntegralBasisTools" 0 84691) ("IntegralBasisPolynomialTools" 0 84651) ("IntegerSolveLinearPolynomialEquation" 0 84639) ("IntegerRoots" 0 84454) ("IntegerRetractions" 0 84422) ("IntegerPrimesPackage" 0 83990) ("IntegerNumberTheoryFunctions" 0 83889) ("IntegerNumberSystem&" 0 NIL) ("IntegerMod" 0 83869) ("IntegerLinearDependence" 0 83830) ("IntegerFactorizationPackage" 0 83706) ("IntegerCombinatoricFunctions" 0 83490) ("IntegerBits" 0 83459) ("Integer" 0 67662) ("InputFormFunctions1" 0 67643) ("InputForm" 0 65382) ("InnerTrigonometricManipulations" 0 65254) ("InnerTaylorSeries" 0 65164) ("InnerTable" 0 65154) ("InnerSparseUnivariatePowerSeries" 0 65057) ("InnerPrimeField" 0 65023) ("InnerPolySum" 0 64999) ("InnerPolySign" 0 64916) ("InnerPAdicInteger" 0 64876) ("InnerNumericFloatSolvePackage" 0 64779) ("InnerNumericEigenPackage" 0 64722) ("InnerNormalBasisFieldFunctions" 0 64674) ("InnerMultFact" 0 64628) ("InnerMatrixQuotientFieldFunctions" 0 64595) ("InnerMatrixLinearAlgebraFunctions" 0 64526) ("InnerIndexedTwoDimensionalArray" 0 64448) ("InnerFreeAbelianMonoid" 0 64407) ("InnerEvalable&" 0 NIL) ("InnerCommonDenominator" 0 64161) ("InnerAlgebraicNumber" 0 64141) ("InnerAlgFactor" 0 64072) ("InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField" 0 64020) ("InfinitlyClosePoint" 0 63946) ("InfiniteTuple" 0 63892) ("InfClsPt" 0 63855) ("IndexedVector" 0 63828) ("IndexedString" 0 63817) ("IndexedOneDimensionalArray" 0 63748) ("IndexedList" 0 63739) ("IndexedFlexibleArray" 0 63652) ("IndexedExponents" 0 63351) ("IndexedDirectProductOrderedAbelianMonoidSup" 0 63330) ("IndexedDirectProductOrderedAbelianMonoid" 0 63282) ("IndexedDirectProductObject" 0 63244) ("IndexedDirectProductAbelianMonoid" 0 63164) ("IndexedDirectProductAbelianGroup" 0 63149) ("IndexedBits" 0 63140) ("IndexedAggregate&" 0 NIL) ("IdealDecompositionPackage" 0 63117) ("HyperbolicFunctionCategory&" 0 NIL) ("HomogeneousDistributedMultivariatePolynomial" 0 63048) ("HomogeneousDirectProduct" 0 62967) ("HomogeneousAggregate&" 0 NIL) ("HeuGcd" 0 62955) ("HashTable" 0 62899) ("HallBasis" 0 62878) ("GuessOptionFunctions0" 0 62868) ("GuessOption" 0 62834) ("GuessFiniteFunctions" 0 62818) ("Guess" 0 62718) ("Group&" 0 NIL) ("GroebnerPackage" 0 62489) ("GroebnerInternalPackage" 0 62362) ("GrayCode" 0 62348) ("GraphicsDefaults" 0 62248) ("GraphImage" 0 62160) ("GradedModule&" 0 NIL) ("GradedAlgebra&" 0 NIL) ("GosperSummationMethod" 0 62117) ("GenusZeroIntegration" 0 62088) ("GeneralizedMultivariateFactorize" 0 62016) ("GeneralTriangularSet" 0 61957) ("GeneralSparseTable" 0 61941) ("GeneralPolynomialSet" 0 61750) ("GeneralPolynomialGcdPackage" 0 61726) ("GeneralPackageForAlgebraicFunctionField" 0 61639) ("GeneralHenselPackage" 0 61553) ("GeneralDistributedMultivariatePolynomial" 0 61468) ("GenUFactorize" 0 61416) ("GenExEuclid" 0 61242) ("GcdDomain&" 0 NIL) ("GaloisGroupUtilities" 0 61204) ("GaloisGroupPolynomialUtilities" 0 61178) ("GaloisGroupFactorizer" 0 61130) ("GaloisGroupFactorizationUtilities" 0 61087) ("FunctionalSpecialFunction" 0 61072) ("FunctionSpaceUnivariatePolynomialFactor" 0 60973) ("FunctionSpaceToUnivariatePowerSeries" 0 60933) ("FunctionSpacePrimitiveElement" 0 60856) ("FunctionSpaceIntegration" 0 60618) ("FunctionSpaceFunctions2" 0 60534) ("FunctionSpaceComplexIntegration" 0 60505) ("FunctionSpaceAttachPredicates" 0 60458) ("FunctionSpaceAssertions" 0 60391) ("FunctionSpace&" 0 NIL) ("FunctionFieldCategoryFunctions2" 0 60363) ("FunctionFieldCategory&" 0 NIL) ("FullyRetractableTo&" 0 NIL) ("FullyLinearlyExplicitRingOver&" 0 NIL) ("FullyEvalableOver&" 0 NIL) ("FreeMonoid" 0 60341) ("FreeModule1" 0 60265) ("FreeModule" 0 60160) ("FreeGroup" 0 60130) ("FreeAbelianGroup" 0 60111) ("FramedNonAssociativeAlgebra&" 0 NIL) ("FramedModule" 0 60093) ("FramedAlgebra&" 0 NIL) ("FractionalIdealFunctions2" 0 60065) ("FractionalIdeal" 0 59897) ("FractionFreeFastGaussianFractions" 0 59887) ("FractionFreeFastGaussian" 0 59841) ("Fraction" 0 51901) ("FourierComponent" 0 51883) ("FortranType" 0 51593) ("FortranScalarType" 0 51313) ("FortranPackage" 0 51103) ("FortranOutputStackPackage" 0 50858) ("FortranExpression" 0 50693) ("FortranCode" 0 50426) ("FloatingRealPackage" 0 50405) ("FloatingPointSystem&" 0 NIL) ("Float" 0 48551) ("FlexibleArray" 0 48526) ("FiniteSetAggregate&" 0 NIL) ("FiniteRankNonAssociativeAlgebra&" 0 NIL) ("FiniteRankAlgebra&" 0 NIL) ("FiniteLinearAggregateSort" 0 48492) ("FiniteLinearAggregateFunctions2" 0 48313) ("FiniteLinearAggregate&" 0 NIL) ("FiniteFieldSquareFreeDecomposition" 0 48232) ("FiniteFieldSolveLinearPolynomialEquation" 0 48201) ("FiniteFieldPolynomialPackage" 0 47999) ("FiniteFieldNormalBasisExtensionByPolynomial" 0 47938) ("FiniteFieldFunctions" 0 47785) ("FiniteFieldFactorizationWithSizeParseBySideEffect" 0 47723) ("FiniteFieldExtensionByPolynomial" 0 47638) ("FiniteFieldExtension" 0 47617) ("FiniteFieldCyclicGroupExtensionByPolynomial" 0 47556) ("FiniteFieldCategory&" 0 NIL) ("FiniteDivisorCategory&" 0 NIL) ("FiniteDivisor" 0 47420) ("FiniteAlgebraicExtensionField&" 0 NIL) ("FiniteAbelianMonoidRingFunctions2" 0 47382) ("FiniteAbelianMonoidRing&" 0 NIL) ("Finite&" 0 NIL) ("FileName" 0 46990) ("File" 0 46936) ("FieldOfPrimeCharacteristic&" 0 NIL) ("Field&" 0 NIL) ("FactorisationOverPseudoAlgebraicClosureOfRationalNumber" 0 46827) ("FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber" 0 46776) ("FactoringUtilities" 0 46688) ("FactoredFunctions2" 0 46493) ("FactoredFunctions" 0 46424) ("FactoredFunctionUtilities" 0 46309) ("Factored" 0 41827) ("ExtensionField&" 0 NIL) ("ExtensibleLinearAggregate&" 0 NIL) ("ExtAlgBasis" 0 41798) ("ExpressionSpaceFunctions2" 0 41700) ("ExpressionSpace&" 0 NIL) ("ExpressionSolve" 0 41677) ("ExpressionFunctions2" 0 41300) ("Expression" 0 39464) ("ExponentialOfUnivariatePuiseuxSeries" 0 39349) ("ExponentialExpansion" 0 39309) ("ExpertSystemToolsPackage2" 0 39271) ("ExpertSystemToolsPackage1" 0 39250) ("ExpertSystemToolsPackage" 0 38759) ("ExpertSystemContinuityPackage" 0 38721) ("Exit" 0 38451) ("Evalable&" 0 NIL) ("EuclideanModularRing" 0 38431) ("EuclideanGroebnerBasisPackage" 0 38401) ("EuclideanDomain&" 0 NIL) ("ErrorFunctions" 0 38193) ("Equation" 0 34794) ("EltableAggregate&" 0 NIL) ("ElementaryRischDESystem" 0 34768) ("ElementaryRischDE" 0 34742) ("ElementaryIntegration" 0 34679) ("ElementaryFunctionsUnivariatePuiseuxSeries" 0 34639) ("ElementaryFunctionsUnivariateLaurentSeries" 0 34568) ("ElementaryFunctionStructurePackage" 0 34238) ("ElementaryFunctionSign" 0 33876) ("ElementaryFunctionODESolver" 0 33843) ("ElementaryFunctionCategory&" 0 NIL) ("ElementaryFunction" 0 33828) ("EigenPackage" 0 33804) ("DrawOptionFunctions1" 0 33779) ("DrawOptionFunctions0" 0 33575) ("DrawOption" 0 33403) ("DoubleResultantPackage" 0 33380) ("DoubleFloatVector" 0 33358) ("DoubleFloatSpecialFunctions" 0 33342) ("DoubleFloat" 0 31210) ("Divisor" 0 30987) ("DivisionRing&" 0 NIL) ("DistributedMultivariatePolynomial" 0 30582) ("DistinctDegreeFactorize" 0 30263) ("DisplayPackage" 0 30237) ("DiscreteLogarithmPackage" 0 30212) ("DirectProductCategory&" 0 NIL) ("DirectProduct" 0 29650) ("DifferentialVariableCategory&" 0 NIL) ("DifferentialSparseMultivariatePolynomial" 0 29540) ("DifferentialRing&" 0 NIL) ("DifferentialPolynomialCategory&" 0 NIL) ("DifferentialExtension&" 0 NIL) ("DictionaryOperations&" 0 NIL) ("Dictionary&" 0 NIL) ("DesingTreePackage" 0 29467) ("DesingTree" 0 29380) ("DegreeReductionPackage" 0 29356) ("DefiniteIntegrationTools" 0 29276) ("Database" 0 29256) ("DataList" 0 29243) ("CylindricalAlgebraicDecompositionUtilities" 0 29185) ("CyclotomicPolynomialPackage" 0 29137) ("CyclicStreamTools" 0 29103) ("CoordinateSystems" 0 29061) ("ContinuedFraction" 0 28946) ("ConstantLODE" 0 28913) ("ComplexRootPackage" 0 28854) ("ComplexPatternMatch" 0 28833) ("ComplexPattern" 0 28812) ("ComplexIntegerSolveLinearPolynomialEquation" 0 28791) ("ComplexFunctions2" 0 28759) ("ComplexFactorization" 0 28691) ("ComplexDoubleFloatVector" 0 28662) ("ComplexCategory&" 0 NIL) ("Complex" 0 28076) ("CommuteUnivariatePolynomialCategory" 0 27929) ("Commutator" 0 27908) ("CommonOperators" 0 27755) ("CommonDenominator" 0 27621) ("CombinatorialFunction" 0 27606) ("Color" 0 27507) ("Collection&" 0 NIL) ("CoerceVectorMatrixPackage" 0 27443) ("ChineseRemainderToolsForIntegralBases" 0 27403) ("CharacteristicPolynomialInMonogenicalAlgebra" 0 27381) ("CharacterClass" 0 27308) ("Character" 0 26986) ("ChangeOfVariable" 0 26886) ("Cell" 0 26841) ("CartesianTensor" 0 26811) ("CardinalNumber" 0 26094) ("BrillhartTests" 0 26068) ("BoundIntegerRoots" 0 26034) ("Boolean" 0 7575) ("BlowUpPackage" 0 7553) ("Bits" 0 7526) ("BitAggregate&" 0 NIL) ("BinaryTreeCategory&" 0 NIL) ("BinaryTree" 0 7465) ("BinaryRecursiveAggregate&" 0 NIL) ("BasicType&" 0 NIL) ("BasicStochasticDifferential" 0 7438) ("BasicOperatorFunctions1" 0 7245) ("BasicOperator" 0 5838) ("BasicFunctions" 0 5804) ("BalancedPAdicInteger" 0 5778) ("BalancedFactorisation" 0 5739) ("BagAggregate&" 0 NIL) ("Automorphism" 0 5559) ("AttributeButtons" 0 5285) ("AssociationList" 0 5133) ("AssociatedLieAlgebra" 0 5113) ("Asp9" 0 5018) ("Asp80" 0 4974) ("Asp8" 0 4879) ("Asp78" 0 4835) ("Asp77" 0 4791) ("Asp74" 0 4731) ("Asp73" 0 4671) ("Asp7" 0 4559) ("Asp6" 0 4533) ("Asp55" 0 4489) ("Asp50" 0 4445) ("Asp49" 0 4384) ("Asp42" 0 4340) ("Asp41" 0 4296) ("Asp4" 0 4236) ("Asp35" 0 4210) ("Asp34" 0 4174) ("Asp33" 0 4130) ("Asp31" 0 4069) ("Asp30" 0 4033) ("Asp29" 0 4013) ("Asp28" 0 3959) ("Asp27" 0 3939) ("Asp24" 0 3895) ("Asp20" 0 3851) ("Asp19" 0 3807) ("Asp12" 0 3763) ("Asp10" 0 3719) ("Asp1" 0 3533) ("ArcTrigonometricFunctionCategory&" 0 NIL) ("ApplyUnivariateSkewPolynomial" 0 3493) ("ApplyRules" 0 3437) ("AnyFunctions1" 0 2370) ("Any" 0 1020) ("AntiSymm" 0 1002) ("AnnaNumericalOptimizationPackage" 0 981) ("AnnaNumericalIntegrationPackage" 0 952) ("AlgebraicallyClosedFunctionSpace&" 0 NIL) ("AlgebraicallyClosedField&" 0 NIL) ("AlgebraicNumber" 0 779) ("AlgebraicManipulations" 0 493) ("AlgebraicIntegration" 0 467) ("AlgebraicHermiteIntegration" 0 444) ("AlgebraicFunction" 0 429) ("AlgebraGivenByStructuralConstants" 0 396) ("Algebra&" 0 NIL) ("AlgFactor" 0 289) ("Aggregate&" 0 NIL) ("AffineSpace" 0 273) ("AffinePlane" 0 88) ("AffineAlgebraicSetComputeWithResultant" 0 54) ("AffineAlgebraicSetComputeWithGroebnerBasis" 0 20) ("AbelianSemiGroup&" 0 NIL) ("AbelianMonoidRing&" 0 NIL) ("AbelianMonoid&" 0 NIL) ("AbelianGroup&" 0 NIL))
\ No newline at end of file
